pro term_size,xs,ys
;+
; ROUTINE:  term_size
;
; PURPOSE:  find the number columns and number of lines in the idl terminal
;
; USEAGE:   term_size,xs,ys
;
; INPUT:    
;
; KEYWORD INPUT:
;
; OUTPUT:
;  xs       number of columns
;  ys       number of lines
;
; DISCUSSION:
;  uses the unix command "resize" to find the terminal size
;
; LIMITATIONS:
;
; COMMON BLOCKS:
;
; SIDE EFFECTS:
;  
; EXAMPLE:  
;           term_size,xs,ys & print,xs,ys
;
; AUTHOR:   Paul Ricchiazzi                        04 Nov 97
;           Institute for Computational Earth System Science
;           University of California, Santa Barbara
;           paul@icess.ucsb.edu
;
; REVISIONS:
;
;-
;
spawn,'resize',/noshell,result

i=0
repeat begin
  js=(strpos(result,':li#'))(i)
  is=(strpos(result,':co#'))(i)
  i=i+1
endrep until js gt 0

strlin=strmid(result,js+4,4)
strcol=strmid(result,is+4,4)
ys=0
xs=0
reads,strlin,ys
reads,strcol,xs
return
end

