 pro wselect
;+
; ROUTINE:    wselect
;
; PURPOSE:    wset to window selected by a mouse click
;
; USEAGE:     wselect
;
; DISCUSSION: the LMB selects the window and exits WSELECT, 
;             the MMB kills the window and remains within the 
;             WSELECT program loop.  The WSELECT program loop 
;             ends when either the LMB is pressed within a window
;             or when there are no remaining windows.
;
; OUTPUT:     none
;
;  author:  Paul Ricchiazzi                            11jan94
;           Institute for Computational Earth System Science
;           University of California, Santa Barbara
;
;-
;
device,window_state=ws
nw=n_elements(ws)
chosen=-1
repeat begin
  for i=0,nw-1 do begin
    if ws(i) eq 1 then begin
      wset,i
      cursor,xdum,ydum,/device,/nowait
      if !err eq 1 then chosen=i
      if !err eq 2 then begin
        wdelete,i
        ws(i)=0
        wait,.3
      endif
      !err=0
    endif
  endfor
endrep until chosen ne -1 or max(ws) eq 0
end
