;+NAME/ONE LINE DESCRIPTIONG OF ROUTINE
;    SCALE_CHL scales a float to byte using SeaWiFS standard chlorophyll log scaling
function scale_chl, inmap

sz = size(inmap)
outmap = bytarr(sz(1),sz(2))

s = where(inmap le 0.01)
if (s(0) ne -1) then outmap(s) = 0
s = where(inmap gt 56)
if (s(0) ne -1) then outmap(s) = 250
s = where(inmap gt 0.01 and inmap le 56.0)
outmap(s) = ((( alog10(inmap(s))+2.0)/0.015)+0.5)

return, outmap
end
