;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GET_SYSTIME gets the system time.
;
;---------------------------------------------------------------
; Procedure Get_Systime
;
; Written By:  BA Franz
; Date:        02 Feb 1994
;
;---------------------------------------------------------------
;
function get_systime,dmy=dmy,hms=hms,mdy=mdy,vax=vax,zulu=zulu

fmt = 'v'

if (keyword_set( dmy)) then fmt='d'
if (keyword_set( hms)) then fmt='h'
if (keyword_set( mdy)) then fmt='m'
if (keyword_set( vax)) then fmt='v'
if (keyword_set(zulu)) then fmt='z'

clock = systime(0)
month = strtrim(strmid(clock, 4,3),2)
day   = strtrim(strmid(clock, 7,3),2)
year  = strtrim(strmid(clock,22,2),2)
hour  = strtrim(strmid(clock,11,2),2)
min   = strtrim(strmid(clock,14,2),2)
sec   = strtrim(strmid(clock,17,2),2)

if (fix(day) lt 10) then day = '0'+day

case month of 
    'Jan' : mnum='01'
    'Feb' : mnum='02'
    'Mar' : mnum='03'
    'Apr' : mnum='04'
    'May' : mnum='05'
    'Jun' : mnum='06'
    'Jul' : mnum='07'
    'Aug' : mnum='08'
    'Sep' : mnum='09'
    'Oct' : mnum='10'
    'Nov' : mnum='11'
    'Dec' : mnum='12'
endcase

vaxtime = day+'-'+month+'-19'+year+' '+hour+':'+min+':'+sec

case fmt of
    'd' : date = mnum+'/'+day+'/'+year
    'h' : date = hour+':'+min+':'+sec
    'm' : date = month+' '+day+', 19'+year
    'v' : date = vaxtime
    'z' : date = timeconv(vaxtime,infmt='vax',outfmt='zulu')
endcase

return,date
end
