;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    PLGIF is a gif production tool.
;
;--------------------------------------------------------------------
;
; Procedure PLGIF
;
; IDL procedure to simplify production of gif files.
;
; Written By:   BA Franz
;
; Inputs:
;     iflag - 0=open plot file
;             1=close plot file
;
;--------------------------------------------------------------------
;
pro plgif,iflag,file=filename,negate=negate,scale=scale,resolution=res

common plgif_cmn, dev_type, old_res, file, negative

if (iflag eq 0) then begin
    if (n_elements(filename)  eq 0) then begin
        file = 'idl.gif'
    endif else begin
        file = filename
    endelse
    if (keyword_set(negate)) then    $
        negative=1                   $
    else                             $
        negative=0
endif

bg = !p.background
fg = !p.color

if (iflag eq 0) then begin 

    dev_type = !d.name  ; Store current device name
    set_plot,'z'

    !p.background = fg
    !p.color      = bg

    if (keyword_set(scale)) then     $
        sf=scale                     $
    else                             $
        sf=1
    if (keyword_set(res)) then      $
        xy=res                      $
    else                            $
        xy=[!d.x_size,!d.y_size]
    xy = xy*sf

    old_res = [!d.x_size,!d.y_size]
    device,set_resolution=[xy(0),xy(1)]
    erase

endif else begin

    image = tvrd()
    tvlct,r,g,b,/get

    if (negative) then                                         $
        write_gif,file,image,reverse(r),reverse(g),reverse(b)  $
    else                                                       $
        write_gif,file,image,r,g,b

    device,set_resolution=old_res
    set_plot,dev_type   ; Restore Previous Plot Type
    print,'File ',file,' has been generated'

endelse

return
end
