pro li,shr_obj_name,code,dir=dir,entry=entry,silent=silent

IF (N_PARAMS() EQ 0) THEN BEGIN
	PRINT, 'li,shr_obj_name,code,<dir=dir>,<entry=entry>'
	PRINT, ' '
	PRINT, 'where "shr_obj_name" is the shared object filename.'
	PRINT, '      "code" is 0 for PRO, 1 for FUNCTION.'
	PRINT, '      "dir" is the directory of the shared object file.'
	PRINT, '      "entry" is the routine name.'
	PRINT, ' '
	PRINT, '      "entry" is needed if there is more that one routine'
	PRINT, '      in the shared object file or if the routine name'
	PRINT, '      has a mixed-case name.'
	RETURN
ENDIF

; Get default directory
IF (N_ELEMENTS(dir) EQ 0) THEN BEGIN
	SPAWN, 'pwd', dir
	dir = dir[0] + '/'
ENDIF

IF (N_ELEMENTS(entry) EQ 0) THEN entry = shr_obj_name

; Place a '/' at end of directory name if missing
IF (STRMID(dir,STRLEN(dir)-1,1) NE '/') THEN dir = dir + '/'

linkimage,entry,dir+shr_obj_name+'.so',code,entry
	; last parameter needed for mixed case routines

IF (not keyword_set(silent)) THEN $
	print,'Established linkimage for ', shr_obj_name

IF (entry NE shr_obj_name) THEN PRINT,'Entry Point: ', entry

return
end