;+NAME/ONE LINE DESCRIPTION OF A ROUTINE:
;    RD_ATTR will return an attribute for a given a dataset and attribute.
;
;  rd_attr.pro will take as input the name of a dataset and the name of an
;  attribute
;  in the dataset.  It will output the attribute.
;
FUNCTION rd_attr, file, attrname
;
;  return - attribute from file
;  file - hdf file name
;  attrname - attribute name
;
;  W. Robinson, GSC, 31 May 96
;  J. Gales, Futuretech 17 Aug 99
;	Exit if attribute not found
;	Change 2 to 1 in call to strmid
;
;  open the file
;
sd_id = HDF_SD_START( file, /READ )
;
;  get the index for the name
;
index = HDF_SD_ATTRFIND( sd_id, attrname )
IF (index EQ -1) THEN BEGIN
	attdat = -1
	GOTO, bail
ENDIF

;
;  read the data
;
HDF_SD_ATTRINFO, sd_id, index, DATA = attdat, TYPE = att_typ
IF  att_typ  EQ  'STRING'  THEN  $
  BEGIN
  attdat = strmid( attdat, 0, strlen( attdat ) - 1 )
  END
;
;  close the dataset
;
bail:
HDF_SD_END, sd_id
;
RETURN, attdat
END
