;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    rd_ncdfvar reads a var from a netCDF file.
;
FUNCTION rd_ncdfvar, file, sdsname, start=start, count=count
;
;  return - array from sds
;  file - ncdf file name
;  sdsname - var name
;
if (n_elements(start) eq 0) then start=-1
if (n_elements(count) eq 0) then count=-1

;
;  open the sds
;
sz = size(file)
if (sz(1) ne 3) then begin
    fid = NCDF_OPEN( file, /NOWRITE)
endif else begin
    fid = file
endelse

;
;  get the var id
;
vid = NCDF_VARID( fid, sdsname )

;
;  read the data
;
if (start(0) ne -1 and count(0) ne -1) then begin
    NCDF_VARGET, fid, vid, data, start=start, count=count
endif else begin
    NCDF_VARGET, fid, vid, data
endelse

if (sz(1) ne 3) then $
    NCDF_CLOSE, fid

RETURN, data
END


