function get_group_dataset, structure

FORWARD_FUNCTION get_group_dataset

ns_tags = n_tags(structure)

for i=0,n_tags(structure)-1 do begin
   sz = size(structure.(i))
   if ( (sz[sz[0]+1] eq 8)) then begin
      if ( structure.(i)._type eq 'DATASET') then begin
         if ( n_elements(ret) eq 0) then $
            ret = structure.(i)._path + ":" + structure.(i)._name + ':' $ 
         else $
            ret = [ret, structure.(i)._path + ":" + structure.(i)._name + ':']
  ;       print,  structure.(i)._path + ":" + structure.(i)._name + ':'
      endif else if ( structure.(i)._type eq 'GROUP') then begin
 ;        print,'GROUP: ',structure.(i)._name
         ;help,/struct,structure.(i)
          if ( n_elements(ret) eq 0) then begin
;            help,/struct,structure.(i) 
            ret = get_group_dataset(structure.(i))
         endif else begin
;            help,/struct,structure.(i) 
            ret = [ret, get_group_dataset(structure.(i))]
         endelse
      endif
   endif
endfor

; If not defined then set ret to ''  JMG  03/23/15
if (n_elements(ret) eq 0) then ret = ''
return, ret

end

function find_attribute, structure, dataset, att_name

  ns_tags = n_tags(structure)
  for i=0,ns_tags-1 do begin
     nss_tags = n_tags(structure.(i))
     if (nss_tags eq 0) then continue
     if (structure.(i)._type eq 'DATASET' and $
         structure.(i).(0) eq dataset) then begin
        for j=0,nss_tags-1 do begin
           nsss_tags = n_tags((structure.(i).(j)))
           if (nsss_tags eq 0) then continue
           if (structure.(i).(j)._type eq 'ATTRIBUTE' and $
               structure.(i).(j).(0) eq att_name) then return, 1
        endfor
     endif
  endfor

return, 0
end

function read_hdf5, file, dataset, group=group, band=band, scale=scale

fid = H5F_OPEN(file)  
h5_struct = h5_parse(file)

if ( keyword_set(group)) then begin
 ;  print,group
endif else begin
   gd = get_group_dataset(h5_struct)
   for i=0,n_elements(gd)-1 do begin
      pos = strpos(gd[i], ':'+dataset+':')
      if (pos ne -1) then begin
         group = strmid(gd[i], 0, pos)
         break
      endif
   endfor
endelse

if (group ne '/') then begin
    n = strlen(group)
    p = strpos(group,'-') ; some dufass put a "-" in a group name
    if (p gt 0) then begin
        group2 = strmid(group,0,p)+'_'+strmid(group,p+1,n)
    endif else begin
        group2 = strmid(group,0,n)
    endelse
    status = execute('grp_struct = h5_struct.'+group2)
endif else begin
    grp_struct = h5_struct
endelse

grp_id = h5g_open(fid, group)
dset_id = h5d_open(grp_id, dataset)
out = h5d_read(dset_id)

if (keyword_set(scale)) then begin

   if (find_attribute(grp_struct, dataset, 'scale_factor') eq 1) then begin
      aid = h5a_open_name(dset_id,'scale_factor')
      gain = h5a_read(aid)
      h5a_close,aid

      aid = h5a_open_name(dset_id,'add_offset')
      offset = h5a_read(aid) 
      h5a_close,aid

      out = out*gain[0] + offset[0]

   endif
endif

h5d_close, dset_id
h5g_close, grp_id
h5f_close, fid

if (keyword_set(band) eq 0) then return, out

if (band eq 1) then out=reform(out[0,*])
if (band eq 2) then out=reform(out[1,*])
if (band eq 3) then out=reform(out[2,*])

return, out
end

