;-------------------------------------------------------------
;+
; NAME:
;	byte_ordering.pro 
; PURPOSE:
;	Determines the system's native byte ordering 
;
; CALLING SEQUENCE:
;	 a=byte_ordering()
;
; This source code was written at the the U.S. Naval Research Laboratory
; and is of US Government origin. If you did not receive this file from the
; Naval Research Laboratory, the caliber/quality of the code cannot be
; vouched for. 
;
; Distribution Statement:
; Distribution authorized to U.S. Government Agencies only (premature
; dissemination) (2012 November 8). Other requests for this document shall
; be referred to Marcos Montes (Naval Research Laboratory, Code 7232,
; Washington, DC, 20375; 202-767-7308; marcos.montes@nrl.navy.mil).
;
;“THIS SOFTWARE IS PROVIDED “AS IS” AND WITHOUT ANY REPRESENTATION OR
;WARRANTY, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
;WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR ANY
;WARRANTIES OF ACCURACY OR COMPLETENESS OR THAT THE USE OF THE SOFTWARE
;WILL NOT INFRINGE OR VIOLATE ANY PATENT OR OTHER PROPRIETARY RIGHTS OF ANY
;THIRD PARTY (WHETHER DIRECTLY OR INDIRECTLY).  NRL shall not liable for
;any damage or loss except to the extent that such damage or loss were the
;direct result of the acts of NRL employees AND to the extent such
;liability may be established and pursued against NRL under the Federal
;Tort Claims Act and other applicable law and regulation that specifically
;waive the sovereign immunity of the United States.” 
;-
;-------------------------------------------------------------
function byte_ordering
; Want to determine byte ordering on this machine. 
; Not sure how to this in IDL, so I will use the same code as Fortran
; Returns ENVI's sense of byte ordering
; No inputs
; usage:
; IDL> a=byte_ordering()

   compile_opt idl2
   openw,lun,'junk0912875634.bin',/get_lun,/delete
   one=1s ; must be 2 byte integer
   hold=bytarr(2) & hold[*]=byte(0) 
   writeu,lun,one               ; write a 2-byte integer
   point_lun,lun,0              ; rewind
   readu,lun,hold               ; read as 2@1byte values
   close,lun & free_lun,lun     ; cleanup
   return,fix(hold[1])          ; return function's value

end
