;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    MED computes the median of an array of any length.
;
;Name
; MED
;PURPOSE
; Compute the median of an array, which may be of even length. IDL Version 2.
;Calling sequence  
; MID_VALUE = MED(A)
;Outputs
; The median of array A
;RESTRICTIONS:
; Does not work in IDL Version 1, since it call MEDIAN, which does not
; exist there.
;
;-
FUNCTION MED,A       

; Find the length of the array:
  NUM = N_ELEMENTS(A)
; If odd, we can call MEDIAN:
  IF( NUM MOD 2 NE 0 )THEN BEGIN
     MED = MEDIAN(A)
     B = A
     B = B(SORT(B))
     MED = B( (NUM-1)/2 )
  ENDIF ELSE BEGIN
     B = A
     B = B( SORT(B) )
     I0    = (NUM-1)/2
     MED =.5*(B(I0)+B(I0+1)) 
  ENDELSE

  RETURN, MED
END
