;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    STDEV calculates the standard deviation of a dataset.
;
function stdev,data,mean

npts = n_elements(data)

if (npts gt 1) then begin

   mean  = total(data)/npts
   var   = total( (data-mean)^2 )/(npts-1)
   sigma = sqrt(var)

endif else begin

    mean  = data(0) 
    sigma = 0.

endelse

return,sigma
end
