;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    VECCROSS determines the cross-product of two vectors of equal size.
;
function veccross, vec1, vec2

    sz1 = size(vec1)
    sz2 = size(vec2)

    if (sz1(0) ne sz2(0) or sz1(1) ne sz2(1)) then begin
        message,'Vectors must be identical in size',/info
        return,-1
    end

    if (sz1(1) ne 3) then begin
        message,'Vectors 1 x 3 or n x 3',/info
        return,-1
    endif

    case sz1(0) of
        1 : prod = [ vec1(1)*vec2(2)-vec2(1)*vec1(2), $
                     vec1(2)*vec2(0)-vec2(2)*vec1(0), $
                     vec1(0)*vec2(1)-vec2(0)*vec1(1)  ]
        2 : begin
            prod = double(vec1)
            prod(0,*) = vec1(1,*)*vec2(2,*)-vec2(1,*)*vec1(2,*)
            prod(1,*) = vec1(2,*)*vec2(0,*)-vec2(2,*)*vec1(0,*)
            prod(2,*) = vec1(0,*)*vec2(1,*)-vec2(0,*)*vec1(1,*)
            end
        else: begin
            message,'Dont know how to form product of this',/info
            return,-1
        end
    endcase

    return, prod
end
