;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    VECDOT calculates the dot product of vectors of equal size.
;
function vecdot, vec1, vec2

    sz1 = size(vec1)
    sz2 = size(vec2)

    if (sz1(0) ne sz2(0) or sz1(1) ne sz2(1)) then begin
        message,'Vectors must be identical in size',/info
        return,-1
    end

    case sz1(0) of
        1 : sum = total(double(vec1)*double(vec2))
        2 : begin
            sum = 0.D
            for i=0L,sz1(1)-1 do $
                sum = sum + double(vec1(i,*))*double(vec2(i,*))
            end
        else : begin
            message,'Dont know how to form vector sum of this',/info
            sum = -1
        end
    endcase

    return, reform(sum)
end
