;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    VECMAG calculates the magnitude of a vector.
;
function vecmag, vec

    sz = size(vec)

    case sz(0) of
        1 : mag = sqrt(total(double(vec)^2))
        2 : begin
            sum = 0.D
            for i=0L,sz(1)-1 do $
                sum = sum + double(vec(i,*))^2
            mag = sqrt(sum)
            end
        else : begin
            message,'Dont know how to form magnitude of this',/info
            mag = -1
        end
    endcase

    return, reform(mag)
end
