;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    WTD_SIGMA returns the weighted sigma value for a given dataset.
;
function wtd_sigma,wts

n = n_elements(wts)

if (n eq 1) then begin
    return,wts
endif 

select = where(wts gt 0.0)
if (select(0) eq -1) then begin
    return,-9999
endif else if (n_elements(select) eq 1) then begin
    return,wts(select(0))
endif 

sigma = sqrt(1/total(1/wts(select)^2)

return,sigma
end


