;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    XANCTRND performs trending analysis on ancillary data.
;
PRO XAncTrnd_PostScript, event
thisFile = Dialog_Pickfile(/Write, File='anctrnd.ps')
IF thisFile EQ '' THEN RETURN
Widget_Control, event.top, Get_UValue=info, /No_Copy
WSet, info.wid
keywords = PSWindow()
thisDevice = !D.Name
Set_Plot, 'PS', /Copy
Device, File=thisFile, _Extra=keywords, Bits_Per_Pixel=8, Inches=1, /Color
pseudoEvent = {WIDGET_BUTTON, ID:info.action, $
  Top:event.top, Handler:0L, Select:1}
Widget_Control, event.top, Set_UValue=info, /No_Copy
XAncTrnd_Processing, pseudoEvent
Device, /Close_File
Set_Plot, thisDevice
END
;*****************************************************

PRO XAncTrnd_GIF, event
thisFile = Dialog_Pickfile(/Write, File='anctrnd.gif')
IF thisFile EQ '' THEN RETURN
Widget_Control, event.top, Get_UValue=info, /No_Copy
WSet, info.wid
snapshot = TVRD()
TVLCT, r, g, b, /Get
Write_GIF, thisFile, snapshot, r, g, b
Widget_Control, event.top, Set_UValue=info, /No_Copy
END 
;*****************************************************

PRO XAncTrnd_JPEG, event
thisFile = Dialog_Pickfile(/Write, File='anctrnd.jpg')
IF thisFile EQ '' THEN RETURN
Widget_Control, event.top, Get_UValue=info, /No_Copy
WSet, info.wid
snapshot = TVRD()
TVLCT, r, g, b, /Get
s = Size(snapshot)
image24 = BytArr(3, s[1], s[2])
image24(0,*,*) = r(snapshot)
image24(1,*,*) = g(snapshot)
image24(2,*,*) = b(snapshot)
Write_JPEG, thisFile, image24, True=1, Quality=75
Widget_Control, event.top, Set_UValue=info, /No_Copy
END 
;*****************************************************

PRO XAncTrnd_ASCII, event
thisFile = Dialog_Pickfile(/Write, File='anctrnd.asc')
OPENW, OUT, thisFile,/GET_LUN

END
;*****************************************************

PRO XAncTrnd_HDF, event
Widget_Control, event.top, Get_UValue=info, /No_Copy,/HOURGLASS
Widget_Control, event.id, Get_Value=buttonValue
Widget_Control, info.LLATID, Get_Value=LLAT
Widget_Control, info.ULATID, Get_Value=ULAT
Widget_Control, info.LLONID, Get_Value=LLON
Widget_Control, info.ULONID, Get_Value=ULON
Widget_Control, info.minRanID, Get_Value=minV
Widget_Control, info.maxRanID, Get_Value=maxV
Widget_Control, info.sdayID, Get_Value=sday
Widget_Control, info.edayID, Get_Value=eday


LIMIT =[LLAT,LLON,ULAT,ULON]
extra = info.extra
extra.limit = LIMIT
CASE info.var OF
       'ozone' : BEGIN
        i1 = fix((180 + LLON)/1.25)
        j1 = fix(90. + LLAT)
        i2 = fix((180 + ULON-1)/1.25)
        j2 = fix(90. + ULAT-1)
	END
        ELSE : BEGIN
        i1 = fix(180 + LLON)
        j1 = fix(90. + LLAT)
        i2 = fix(180 + ULON-1)
        j2 = fix(90. + ULAT)
        END
ENDCASE
image = *info.image
sx = size(*info.image)
ximage = fltarr(sx[1],sx[2])
nanimage = image/image
if sx[0] ge 3 THEN BEGIN
	sumimage = TOTAL(image,3,/NAN)
	nanimage = TOTAL(nanimage,3,/NAN)
ENDIF ELSE BEGIN
	sumimage = image
ENDELSE

ximage = sumimage/nanimage
lowidx = where(ximage LT minV)
hiidx = where(ximage GT maxV)
if lowidx[0] GE 0 then ximage(lowidx) = minV
if hiidx[0] GE 0 then ximage(hiidx) = maxV       
extra.min = minV;(ximage,/NAN)
extra.max = maxV;(ximage,/NAN)
thisImage = vflip(ximage(i1:i2,j1:j2))

;MAP_SET,0,0,/Cylindrical,limit=LIMIT,/NOBORDER,/isotropic
;image = MAP_IMAGE(thisImage,latmin=LIMIT[0],latmax=LIMIT[2],lonmin=LIMIT[1],lonmax=LIMIT[3])

lat = FLTARR(i2-i1+1,j2-j1+1)
lon = FLTARR(i2-i1+1,j2-j1+1)
for i = i1,i2 DO BEGIN
	for j = j1,j2 DO BEGIN
		lat[i,j] = j -(90-j1)
		lon[i,j] = i -(180-i1)
	endfor
endfor
lat = vflip(lat)

thisFile = Dialog_Pickfile(/Write, File='anctrnd.hdf')
XANCTRND_HDF_Write,thisFile,thisImage,lat,lon,info.var
Widget_Control, event.top, Set_UValue=info, /No_Copy
END
;*****************************************************

PRO XAncTrnd_Protect_Colors, event
IF event.type NE 0 THEN RETURN
Widget_Control, event.top, Get_UValue=info, /No_Copy
TVLCT, info.r, info.g, info.b, info.bottom
Widget_Control, event.top, Set_UValue=info, /No_Copy
END 
;*****************************************************

PRO XAncTrnd_Cleanup, tlb
Widget_Control, tlb, Get_UValue=info, /No_Copy
IF N_Elements(info) EQ 0 THEN Heap_GC ELSE $
   Ptr_Free, info.image
END 
;*****************************************************

PRO XAncTrnd_Processing, event
Widget_Control, event.top, Get_UValue=info, /No_Copy,/HOURGLASS
Widget_Control, event.id, Get_Value=buttonValue
Widget_Control, info.LLATID, Get_Value=LLAT
Widget_Control, info.ULATID, Get_Value=ULAT
Widget_Control, info.LLONID, Get_Value=LLON
Widget_Control, info.ULONID, Get_Value=ULON
Widget_Control, info.minRanID, Get_Value=minV
Widget_Control, info.maxRanID, Get_Value=maxV
Widget_Control, info.sdayID, Get_Value=sday
Widget_Control, info.edayID, Get_Value=eday


LIMIT =[LLAT,LLON,ULAT,ULON]
extra = info.extra
extra.limit = LIMIT

i1 = fix(180 + LLON)
j1 = fix(90. + LLAT)
i2 = fix(180 + ULON-1)
j2 = fix(90. + ULAT)
binsize = 1
CASE info.var OF
      'z_wind': BEGIN
        extra.Title = strcompress('Zonal Wind ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Zonal Wind Speed (m/s)'
        binsize = 0.5
        END
      'm_wind': BEGIN
        extra.Title = strcompress('Meridional Wind ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Meridional Wind Speed (m/s)'
        binsize = 0.5
        END
      'c_wind': BEGIN
        extra.Title = strcompress('Wind Speed ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Wind Speed (m/s)'
        binsize = 0.25
        END
        'd_wind': BEGIN
        extra.Title = strcompress('Wind Direction ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Wind Direction (degrees)'
        END
      'rel_hum': BEGIN
        extra.Title = strcompress('Relative Humidity ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Relative Humidity (percent)'
        
        END
     'press': BEGIN
        extra.Title = strcompress('Atmospheric Pressure ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Atmospheric Pressure (mb)'
        binsize = 0.5
        END
     'p_water': BEGIN
        extra.Title = strcompress('Precipital Water ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Precipitous Water (kg/m^2)'
        binsize = 0.5
        END
     'ozone' : BEGIN
        extra.Title = strcompress('Ozone ' +info.syr+sday[0]+' to '+info.eyr+eday[0])
        x_title_1 = 'Time' 
        y_title_1 = 'Ozone (DU)' 
	i1 = fix((180 + LLON)/1.25)
        j1 = fix(90. + LLAT)
        i2 = fix((180 + ULON-1)/1.25)
        j2 = fix(90. + ULAT-1)
	END
ENDCASE

image = *info.image
sx = size(*info.image)
ximage = fltarr(sx[1],sx[2])
nanimage = image/image
if sx[0] ge 3 THEN BEGIN
	sumimage = TOTAL(image,3,/NAN)
	nanimage = TOTAL(nanimage,3,/NAN)
ENDIF ELSE BEGIN
	sumimage = image
ENDELSE

ximage = sumimage/nanimage
;   if sx[0] GT 2 THEN BEGIN
;       for m = i1, i2 DO BEGIN
;               for n = j1, j2 DO BEGIN
;                           pix =  mean(image(m,n,*),/NAN)
;                           ximage(m,n) = pix
;               endfor
;       endfor
;   endif else ximage = image
lowidx = where(ximage LT minV)
hiidx = where(ximage GT maxV)
if lowidx[0] GE 0 then ximage(lowidx) = minV
if hiidx[0] GE 0 then ximage(hiidx) = maxV       
extra.min = minV;(ximage,/NAN)
extra.max = maxV;(ximage,/NAN)
IF !D.Name EQ 'X' THEN WSet, info.wid
CASE buttonValue OF
   'Smooth': thisImage = Smooth(ximage(i1:i2,j1:j2), 7)
   'Edge Enhance': thisImage = Sobel(ximage(i1:i2,j1:j2))
   'Histogram': BEGIN
	thisImage = ximage(i1:i2,j1:j2)
        hist = Histogram(thisImage,BINSIZE=binsize,min=extra.min,max=extra.max,/NAN)
        bins = FINDGEN(N_ELEMENTS(hist))/(1/binsize) +extra.min
        PLOT, bins, hist, YRANGE = [0, MAX(hist)+1], PSYM = 10, $
        TITLE = extra.Title, XTITLE = y_title_1, YTITLE = 'Number of Points',BACKGROUND = 255, COLOR = 0
        ;Plot, thisImage
   END
   'Data vs Time': BEGIN
        y = fltarr(sx[1],sx[2])
        plty = fltarr(sx[3])
        for k = 0,sx[3]-1 DO BEGIN
                y = image[i1:i2,j1:j2,k]
                plty(k) = mean(y,/NAN)
        endfor
        jsplot,*info.pltx,plty,yrange=[min(plty),max(plty)], TITLE = extra.Title,YTITLE= strcompress('Mean '+ y_title_1),$
                FORMAT=string('n$ 0d$ @ Y$ '),BACKGROUND = 255, COLOR = 0
   END     
   'Original': thisImage = ximage(i1:i2,j1:j2)
   ELSE : thisImage = ximage(i1:i2,j1:j2)
ENDCASE
IF ((buttonValue NE 'Histogram') AND (buttonValue NE 'Data vs Time')) THEN BEGIN       
;thisImage = ximage(i1:i2,j1:j2)
;IF (!D.Flags AND 256) NE 0 THEN WSet, info.wid
;MAP_SET,0,0,/Cylindrical,limit=LIMIT,/NOBORDER,/isotropic
;thisImage = BytScl(thisImage, Top=info.ncolors-1,/NAN)
;mapImage = MAP_IMAGE(thisImage,latmin=LLAT,latmax=ULAT,lonmin=LLON,lonmax=ULON,min_value=extra.min, max_value=extra.max,compress=1,/BILINEAR)
ImageBar, thisImage, /EraseFirst, _Extra=extra, $
        NColors=info.ncolors, Bottom=info.bottom
ENDIF
info.action = event.id
Widget_Control, info.minRanID, Set_Value = extra.min
Widget_Control, info.maxRanID, Set_Value = extra.max
Widget_Control, event.top, Set_UValue=info, /No_Copy
END ;*****************************************************

FUNCTION XAncTrnd_Var, event
Widget_Control, event.top, Get_UValue=info, /No_Copy
Widget_Control, info.sdayID, Get_Value=sday
Widget_Control, info.edayID, Get_Value=eday
extra = info.extra

desc2 = ['00', '06', '12', '18']

desc5 = ['Zonal Wind', 'Meridional Wind','Wind Speed', $
           'Wind Direction','Relative Humidity',$
           'Atmospheric Pressure', 'Precipital Water', 'Ozone']

CASE desc5[event.index] OF
      'Zonal Wind': BEGIN
        info.var = 'z_wind' 
        info.varqc = 'z_wind_QC' 
        info.met_type = 'Meteorological' 
        datfil = 'zwind.dat'
        END
      'Meridional Wind': BEGIN
        info.var = 'm_wind' 
        info.varqc = 'm_wind_QC' 
        info.met_type = 'Meteorological' 
        datfil = 'mwind.dat'
        END
      'Wind Speed': BEGIN
        info.var = 'c_wind' 
        info.varqc = 'z_wind_QC' 
        info.met_type = 'Meteorological' 
        datfil = 'cwind.dat'
        END
        'Wind Direction': BEGIN
        info.var = 'd_wind' 
        info.varqc = 'z_wind_QC' 
        info.met_type = 'Meteorological' 
        datfil = 'dwind.dat'
        END
      'Relative Humidity': BEGIN
        info.var = 'rel_hum' 
        info.varqc = 'rel_hum_QC' 
        info.met_type = 'Meteorological' 
        datfil = 'relhum.dat'
        END
     'Atmospheric Pressure': BEGIN
        info.var = 'press' 
        info.varqc = 'press_QC' 
        info.met_type = 'Meteorological' 
        datfil = 'press.dat'
        END
     'Precipital Water': BEGIN
        info.var = 'p_water' 
        info.varqc = 'p_water_QC' 
        info.met_type = 'Meteorological' 
        datfil = 'pwater.dat'
        END
     'Ozone' : BEGIN
        info.var = 'ozone' 
        info.varqc = 'ozone_QC' 
        info.met_type = 'Ozone Data' 
        datfil = 'ozone.dat'
        Widget_Control, info.ehrID, Set_Droplist_Select = 2
        Widget_Control, info.shrID, Set_Droplist_Select = 2

        END
     endcase
     

info.extra = extra
Widget_Control, event.top, Set_UValue=info, /No_Copy
END ;*****************************************************

PRO XAncTrnd_Open, event
Widget_Control, event.top, Get_UValue=info, /No_Copy,/HOURGLASS

Widget_Control, info.sdayID, Get_Value=sday
Widget_Control, info.edayID, Get_Value=eday
Widget_Control, info.UlatID, Get_Value=Ulat
Widget_Control, info.UlonID, Get_Value=Ulon
Widget_Control, info.LlatID, Get_Value=Llat
Widget_Control, info.LlonID, Get_Value=Llon

met_type=info.met_type
syr = info.syr
eyr = info.eyr
shr = info.shr
ehr = info.ehr
extra = info.extra
topdir = '/ancillary'
           
CASE met_type OF
    'Meteorological':begin
           ;dir = '/simbios06/simbiosd/data/anc/met/'
           suffix = '_NCEP.MET'
           suffixe = '_NCEP.MET'
           ozchk = ydns2js(info.syr,sday[0],0)
           ozchk = long(ozchk/86400)
           edchk = ydns2js(info.eyr,eday[0],0)
           edchk =   long(edchk/86400)
     END
    'Ozone Data':BEGIN
           ;dir = '/simbios06/simbiosd/data/anc/ozone/'
           ozchk = ydns2js(info.syr,sday[0],0)
           ozchk = long(ozchk/86400)
           if (ozchk[0] ge -916) then suffix = '_EPTOMS.OZONE' $
           else suffix = '_ADTOMS.OZONE'
           
           edchk = ydns2js(info.eyr,eday[0],0)
           edchk =   long(edchk/86400)
           if (edchk[0] ge -916) then suffixe = '_EPTOMS.OZONE' $
           else suffixe = '_ADTOMS.OZONE'
           
    END
ENDCASE
i1 = round(179.5 + Llon)
j1 = round(90 + Llat)
i2 = round(179.5 + Ulon)
j2 = round(90 + Ulat)

CASE info.var OF
        'c_wind':BEGIN
        sds_parm1 = 'z_wind'
        sds_parm2 = 'm_wind'
        sds_parmqc1 = 'z_wind_QC'
        sds_parmqc2 = 'm_wind_QC'
        end
       'd_wind':BEGIN
        sds_parm1 = 'z_wind'
        sds_parm2 = 'm_wind'
        sds_parmqc1 = 'z_wind_QC'
        sds_parmqc2 = 'm_wind_QC'
        end
        else: BEGIN
        sds_parm = info.var
        sds_parmqc = info.varqc
        end
ENDCASE
nsiz = edchk[0] - ozchk[0] + 1
pltx = fltarr(nsiz*4)
plty = fltarr(nsiz*4)
x = fltarr(360,181,nsiz*4+1)
mnum = 359
nnum = 180
file = 'S' + syr + sday + shr + suffix
efile = 'S' + eyr + eday + ehr + suffix
num=0
num1=sday[0]
if (met_type eq 'Ozone Data') then begin
	x = fltarr(288,180,nsiz+1)
	mnum = 287
	nnum = 179
	shr = '12'
	ehr = '12'
endif
pix = fltarr(mnum, nnum)
yr = string(info.syr)
eyr = string(info.eyr)
dn = string(sday)
edn = string(eday)
hr = string(shr)
ehr = string(ehr)
time = ydns2js(yr[0],dn[0],hr[0]*3600.)
etime = ydns2js(eyr[0],edn[0],ehr[0]*3600.)
while (time le etime ) DO BEGIN
        dir = strcompress((topdir +'/'+ string(yr) +'/'+  string(dn)+'/'),/remove_all)
        ;fils = findfile(dir[0])
        file = strcompress(('S' + yr + dn + hr + suffix),/remove_all)
        f = strcompress((dir + file),/remove_all)
	fils = findfile(f[0],count=count)
        
	IF (count GT 0) THEN BEGIN
        print, file
        CASE info.var OF 
        'c_wind':BEGIN
        z1 = rd_sds(f[0],sds_parm1)
        z2 = rd_sds(f[0],sds_parm2)
        z = SQRT((z1)^2 + (z2)^2)
        qc1 = rd_sds(f[0],sds_parmqc1)
        qc2 = rd_sds(f[0],sds_parmqc2)
        qcidx = where((qc1 ne 0) and (qc2 ne 0))
        end
        'd_wind':BEGIN
        z1 = rd_sds(f[0],sds_parm1)
        z2 = rd_sds(f[0],sds_parm2)
        z = (180/!PI)*(atan(z1,z2))
        qc1 = rd_sds(f[0],sds_parmqc1)
        qc2 = rd_sds(f[0],sds_parmqc2)
        qcidx = where((qc1 ne 0) and (qc2 ne 0))
        end
        else:begin
        z = rd_sds(f[0], sds_parm)
        qc = rd_sds(f[0],sds_parmqc)
        qcidx = where(qc ne 0)
        end
        ENDCASE
        IF info.var EQ 'ozone' THEN z = float(z)
        IF (qcidx[0] GE 0) THEN z(qcidx) = !Values.F_NAN
        IF info.var EQ 'ozone' THEN BEGIN
             nanidx = where(z EQ -1.)
             IF (nanidx[0] GE 0) THEN z(nanidx) = !Values.F_NAN
        ENDIF
        z = vflip(z)
        IF info.var EQ 'ozone' THEN x(*,*,num) = z ELSE x(*,*,num) = CONGRID(z,360,181)
	pltx(num) = ydns2js(yr,dn[0],hr*3600.)
        num = num +1
	ENDIF
        hr = strmid(file,8,2)
        IF info.var NE 'ozone' THEN BEGIN
                CASE hr[0] OF
                '00': hr  = '06'
                '06': hr = '12'
                '12': hr = '18'
                '18': BEGIN
                        hr = '00'
                        dn = FIX(dn[0] +1)
	                if ((dn[0] lt 100) AND (dn[0] ge 10)) then dn = strcompress(('0'+string(dn[0])),/remove_all)
                        if (dn[0] lt 10) THEN dn = strcompress(('00'+string(dn[0])),/remove_all)
                        IF (((YR MOD 4) EQ 0) AND ((YR MOD 100) NE 0)) $
                                OR ((YR MOD 400) EQ 0) THEN BEGIN 
                                IF (dn EQ 367) THEN BEGIN
				        yr = yr + 1 
				        dn = '001'
			        ENDIF
                        ENDIF ELSE BEGIN
                                IF (dn EQ 366) THEN BEGIN
				        yr = yr + 1 
				        dn = '001'
			        ENDIF
                        ENDELSE
                        
                END
                ENDCASE
        ENDIF ELSE BEGIN
		hr = '12'
                dn = FIX(dn[0] +1)
	        if ((dn[0] lt 100) AND (dn[0] ge 10)) then dn = strcompress(('0'+string(dn[0])),/remove_all)
                if (dn[0] lt 10) THEN dn = strcompress(('00'+string(dn[0])),/remove_all)
                IF (((YR MOD 4) EQ 0) AND ((YR MOD 100) NE 0)) $
                        OR ((YR MOD 400) EQ 0) THEN BEGIN 
                        IF (dn EQ 367) THEN BEGIN
			        yr = yr + 1 
			        dn = '001'
		        ENDIF
                ENDIF ELSE BEGIN
                        IF (dn EQ 366) THEN BEGIN
			        yr = yr + 1 
			        dn = '001'
		        ENDIF
                ENDELSE
        ENDELSE
	dn = string(dn)
        yr = string(yr)
	time = ydns2js(yr[0],dn[0],hr[0]*3600.)
	
ENDWHILE

y = x(*,*,0:num-1)
Widget_Control, info.minRanID, Set_Value = min(y,/NAN)
Widget_Control, info.maxRanID, Set_Value = max(y,/NAN)
*info.image = y
info.extra = extra

*info.pltx = pltx[0:num-1]

pseudoEvent = {WIDGET_BUTTON, ID:info.action, $
  Top:event.top, Handler:0L, Select:1}

Widget_Control, info.action, Send_Event=pseudoEvent
Widget_Control, event.top, Set_UValue=info, /No_Copy
END ;*****************************************************

PRO XAncTrnd_Colors, event
Widget_Control, event.top, Get_UValue=info, /No_Copy
thisEvent = Tag_Names(event, /Structure_Name)
CASE thisEvent OF
'WIDGET_BUTTON': BEGIN
   XColors, NColors=info.ncolors, Bottom=info.bottom, $
      Title='XAncTrnd Colors (' + StrTrim(info.wid,2) + ')', $
      Group_Leader=event.top, NotifyID=[event.id, event.top]
   ENDCASE
'XCOLORS_LOAD': BEGIN
   info.r = event.r(info.bottom:info.ncolors-1+info.bottom)
   info.g = event.g(info.bottom:info.ncolors-1+info.bottom)
   info.b = event.b(info.bottom:info.ncolors-1+info.bottom)
   ENDCASE
ENDCASE
Widget_Control, event.top, Set_UValue=info, /No_Copy
END ;*****************************************************


PRO XAncTrnd_Resize, event
Widget_Control, event.top, Get_UValue=info, /No_Copy
Widget_Control, info.syrID, Get_UValue=year
Widget_Control, info.shrID, Get_UValue=hour
desc5 = ['Zonal Wind', 'Meridional Wind','Combined Wind', $
           'Relative Humidity', 'Atmospheric Pressure', $
           'Precipital Water', 'Ozone']

img_size = size(*info.image)
CASE event.id OF
        info.syrID: info.syr = year(event.index)
        info.shrID: info.shr = hour(event.index)
        info.eyrID: info.eyr = year(event.index)
        info.ehrID: info.ehr = hour(event.index) 
	info.varID: info.var = desc5(event.index)
	ELSE:  junk=0    
ENDCASE
IF info.syr EQ '1996' THEN BEGIN
        WIDGET_CONTROL, info.sdayID, SET_VALUE = 255
ENDIF
if (img_size[0] EQ 2) THEN  BEGIN
Widget_Control, info.drawID, Draw_XSize=800, Draw_YSize=600
pseudoEvent = {WIDGET_BUTTON, ID:info.varID, Top:event.top, $
   Handler:0L, Select:1}
Widget_Control, info.action, Send_Event=pseudoEvent
endif
Widget_Control, event.top, Set_UValue=info, /No_Copy
END ;*****************************************************

PRO XAncTrnd_Quit, event
Widget_Control, event.top, Get_UValue=info, /No_Copy

IF N_Elements(info) EQ 0 THEN Heap_GC ELSE $
   Ptr_Free, [info.image, info.plty, info.pltx]

Widget_Control, event.top, /Destroy
END ;*****************************************************

PRO XAncTrnd

desc  = ['1\Options:', '0\Plot Data - X/Y', '0\Plot Data - Average Image', $
         '0\Load Color Table', '0\Print Plot', '0\Print Image'] 

desc1 = ['1996', '1997', '1998', '1999', '2000']

desc2 = ['00', '06', '12', '18']

desc3 = ['1\Data Type:', '0\Meteorological Data', '2\Ozone Data']

desc5 = ['Zonal Wind', 'Meridional Wind','Wind Speed', $
           'Wind Direction','Relative Humidity', $
           'Atmospheric Pressure','Precipital Water', 'Ozone']



tlb = Widget_Base(Title='Ancillary Data Display Program', Column=1, $
TLB_Size_Events=1, MBar=menubaseID)
subbaseID = Widget_Base(tlb, row=4, /Align_Center)
sub2ID = Widget_Base(subbaseID, col=4, /Align_Left)
sub3ID = Widget_Base(subbaseID, col=3, /Align_Center)
sub4ID = Widget_Base(subbaseID, col=2, /Align_Center)
locID = Widget_Base(sub2ID, col=1, /Align_Left)
stimeID = Widget_Base(sub2ID, col=1, /Align_Left)
etimeID = Widget_Base(sub2ID, col=1, /Align_Left)

fileID = Widget_Button(menubaseID, Value='File', Menu=1)
saveID = Widget_Button(fileID, Value='Save As', /Menu)
psID = Widget_Button(saveID, Value='PostScript File',Event_Pro='XAncTrnd_PostScript')
gifID = Widget_Button(saveID, Value='GIF File', Event_Pro='XAncTrnd_GIF')
jpegID = Widget_Button(saveID, Value='JPEG File', Event_Pro='XAncTrnd_JPEG')
;asciiID = Widget_Button(saveID, Value='ASCII', Event_Pro='XAncTrnd_ASCII')
hdfID = Widget_Button(saveID, Value='HDF', Event_Pro='XAncTrnd_HDF')
quitID = Widget_Button(fileID, Value='Quit', Event_Pro='XAncTrnd_Quit', /Separator)

colors = Widget_Button(menubaseID, Value='Colors')
icolors = Widget_Button(colors, Value='Image Colors', $
   Event_Pro='XAncTrnd_Colors')

processID = Widget_Button(menubaseID, Value='Processing', $
   Event_Pro='XAncTrnd_Processing', /Menu)
smoothID = Widget_Button(processID, Value='Smooth')
edgeID = Widget_Button(processID, Value='Edge Enhance')
equalID = Widget_Button(processID, Value='Histogram')
originalID = Widget_Button(processID, Value='Original')
plotID = Widget_Button(processID,Value='Data vs Time')  

LlonID = cw_field(locID, /floating, xsize=8, value='-180.0',title='Lower Left Lon:')
LlatID = cw_field(locID, /floating, xsize=8, value='-90.0',title='Lower Left Lat:')
UlonID = cw_field(locID, /floating, xsize=8, value='180.0',title='Upper Right Lon:')
UlatID = cw_field(locID, /floating, xsize=8, value='90.0',title='Upper Right Lat:')
minRanID = cw_field(sub4ID, /floating, xsize=8, value='0.0',title='Minimum Value:')
maxRanID = cw_field(sub4ID, /floating, xsize=8, value='0.0',title='Maximum Value:')
startlabel = widget_label(stimeID, value='Start Info:')
sdayID = cw_field(stimeID, /string, xsize=3, value='255', title='Day: ')
syrID = widget_droplist(stimeID, value=desc1,uvalue=desc1,title="Year: ",Event_Pro='XAncTrnd_Resize');Year
shrID = widget_droplist(stimeID, value=desc2,uvalue=desc2,title="Hour: ",Event_Pro='XAncTrnd_Resize');Hour
endlabel = widget_label(etimeID, value='End Info:')
edayID = cw_field(etimeID, /string, xsize=3, value='255', title='Day: ')
eyrID = widget_droplist(etimeID, value=desc1,title="Year: ",Event_Pro='XAncTrnd_Resize');Year
ehrID = widget_droplist(etimeID, value=desc2,title="Hour: ",Event_Pro='XAncTrnd_Resize');Hour
varID = widget_droplist(sub3ID, value=desc5,uvalue=desc5, Event_Func='XAncTrnd_Var');Variable type
imageID = widget_button(sub3ID,Value='Plot Image',Event_Pro='XAncTrnd_Open')
refreshID = widget_button(sub3ID,Value='Refresh Image',Event_Pro='XAncTrnd_Processing')

drawID = Widget_Draw(subbaseID, XSize=800, YSize=600, RETAIN=2,$
   /Button_Events, Event_Pro='XAncTrnd_Protect_Colors')

Widget_Control, tlb, /Realize
Widget_Control, drawID, Get_Value=wid
WSet, wid

syr = '1996'
shr = '00'
eyr = '1996'
ehr = '00'
func = ''

ncolors = !D.N_Colors < 256
bottom = 0
LIMIT = [-90.,-180.,90.,180.]
extra = {Title:'AncTrnd Image',Min:'0',Max:'255',Divisions:'7',$
        ncolors:ncolors,bottom:bottom,Limit:LIMIT}
DEVICE, RETAIN=2

TVLCT, r, g, b, /Get
r = r(bottom:ncolors-1+bottom)
g = g(bottom:ncolors-1+bottom)
b = b(bottom:ncolors-1+bottom)
plty = fltarr(2)
pltx = fltarr(2)
var = 'z_wind'
varqc = 'z_wind_QC'
met_type='Meteorological'
info = {image:Ptr_New(image),r:r,g:g,b:b,ncolors:ncolors, bottom:bottom, $
        extra:extra,action:originalID, wid:wid, drawID:drawID,LlatID:LlatID,$
        LlonID:LlonID,UlatID:UlatID,UlonID:UlonID,minRanID:minRanID,$
        maxRanID:maxRanID,sdayID:sdayID,syrID:syrID,$
        syr:syr,shr:shr,shrID:shrID,edayID:edayID,eyrID:eyrID,ehrID:ehrID,$
        eyr:eyr,ehr:ehr,varID:varID,var:var,varqc:varqc,func:func,$
        met_type:met_type,imageID:imageID,plotID:plotID,plty:Ptr_New(plty),$
        pltx:Ptr_New(pltx)}


Widget_Control, tlb, Set_UValue=info, /No_Copy
XManager, 'XAncTrnd', tlb, /No_Block, Event_Handler='XAncTrnd_Resize'
END 
;*****************************************************
