;  Fundamental constants required for the monochromatic
;  Planck function routines PLANCK_M, PLANC_M, BRIGHT_M, BRITE_M
;
;  Taken from the NIST Reference on Constants, Units, and Uncertainty
;
;  http://physics.nist.gov/cuu/Constants/
;
;  See also:
;
;  Mohr, P.J. and B.N. Taylor, "CODATA recommended values of the
;    fundamental physical constants: 1998", Reviews of Modern Physics,
;    Vol.72, No.2, 2000.

rcs_id = '$Id: fundamental_constants.pro,v 1.1 2002/09/03 18:58:58 gumley Exp $'

;- Planck constant (Joule second)
h = 6.62606876d-34

;- Speed of light in vacuum (meters per second)
c = 2.99792458d+08

;- Boltzmann constant (Joules per Kelvin)      
k = 1.3806503d-23

;- Derived constants      
c1 = 2.0d+0 * h * c * c
c2 = (h * c) / k
