;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    L1MOS2GENERIC converts a level 1b mos file to a generic level1b file.
;
function l1mos2generic,inrec

    n = n_elements(inrec)
    nb = n_elements(inrec(0).data(*,0))
    if (nb ne 13) then begin
        print,'This is not a standard mos structure'
        return,-1
    endif
    outrec = generic_l1_str(n,384)
    bindx  = [0,1,2,3,4,7,8,10]

    outrec.year = inrec.year
    outrec.day  = inrec.day
    outrec.msec = inrec.msec
    outrec.lon  = inrec.lon
    outrec.lat  = inrec.lat
    outrec.sunz = inrec.sunz
    outrec.suna = inrec.suna
    outrec.senz = inrec.senz
    outrec.sena = inrec.sena
    outrec.data = inrec.data(bindx,*)

    return, outrec
end
