;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    MOL2_STR generates a data structure to store mos level 2 data.
;
function mol2_str, nstruct

    common mol2_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin

       npix = 384
       nbnd = 8
 
       rec = { mol2_struct	     		    , $  ; Structure Name
               year:		0L		    , $  ; 
               day:		0L		    , $  ; 
               msec:		0L	    	    , $  ; 
               lon:		fltarr(npix)        , $  ;
               lat:		fltarr(npix)        , $  ;
               sunz:		fltarr(npix)        , $  ;
               suna:		fltarr(npix)        , $  ;
               senz:		fltarr(npix)        , $  ;
               sena:		fltarr(npix)        , $  ;
               Ltoa:            fltarr(nbnd,npix)   , $  ;
               aermod1:         lonarr(npix)        , $  ;
               aermod2:         lonarr(npix)        , $  ;
               eps:             fltarr(npix)        , $  ;
               t_ib:            fltarr(nbnd,npix)   , $  ;
               t_ob:            fltarr(nbnd,npix)   , $  ;
               tLf:		fltarr(nbnd,npix)   , $  ;
               Lr:		fltarr(nbnd,npix)   , $  ;
               La:		fltarr(nbnd,npix)   , $  ;
               tLw:		fltarr(nbnd,npix)   , $  ;
               Lw:		fltarr(nbnd,npix)   , $  ;
               nLw:		fltarr(nbnd,npix)    $  ;
             }

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { mol2_struct }, nstruct )
end
