;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    MOMKFLATL1B converts an hdf to flat binary in level1 format.
;
pro momkflatl1b, infile, outfile

    data = mordl1hdf( infile, time, lon, lat, sunz, suna, senz, sena )

    ns = n_elements(time)
    np = n_elements(lon)/ns
    nb = n_elements(data)/ns/np

    scan = fltarr(nb,np)

    sec2ydmsec, time, year, day, msec

    if (n_elements(outfile) eq 0) then begin
        z = s2zulu(yds2sec(year(0),day(0),msec(0)/1000.D0))
        if (strmid(z,0,2) ne '19') then z = '19'+z
        outfile = 'M'+strmid(z,0,13)+'.L1B_384'
        print,outfile
    endif

    openw,/get_lun,lun,outfile

    sensorID = 1
    r   = generic_l1_str(1,np) & r=r(0)
    len = str_len(r)
    hdr = bytarr(len)
    hdr(0:3)  = byte(long(sensorID),0,4)
    hdr(4:7)  = byte(long(len),0,4)
    hdr(8:11) = byte(long(np),0,4)

    writeu,lun,hdr

    for is=0,ns-1 do begin

        for ib=0,nb-1 do $
            scan(ib,*) = data(*,is,ib)

        r.year = year(is)
        r.day  = day(is)
        r.msec = msec(is)
        r.lon  = lon (*,is)
        r.lat  = lat (*,is)
        r.sunz = sunz(*,is)
        r.suna = suna(*,is)
        r.senz = senz(*,is)
        r.sena = sena(*,is)
        r.data = scan

        writeu,lun,r

   endfor

   free_lun,lun
       
return
end
