;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    MOS_DESTRIPE destripes mos images.
;
function mos_destripe,inmap,outmap,stripe_map

     stripe_map = inmap * 0.0 + 1.0
     npix       = 384
     rgn        = fltarr(npix)

;    for j=0,383 do begin
;        stripe_map(*,j) = median(inmap(*,j),15)/inmap(*,j)
;    endfor

;    for j=0,383 do begin
;        stripe_map(*,j) = med(inmap(*,j))/inmap(*,j)
;    endfor

    flag = lonarr(384)
    for j=0,383 do begin
        y = reform(inmap(*,j))
        s = where(y gt 0,n)
        if ( n gt 0.5*npix ) then begin
            flag(j) = 1
            c = poly_fit(findgen(n),y(s),3,yfit)
            stripe_map(s,j) = yfit/y(s)
        endif else $
            print,'skipping scan ',j
    endfor

    indx = where(flag eq 1)
    for i=0,383 do begin
        gains  = reform(stripe_map(i,indx))
        s      = where(gains ne 0,n)
        if (n gt 10) then $
            rgn(i) = med(gains(s))
    endfor
    print,avg(rgn)
    rgn = rgn/avg(rgn)

    outmap = inmap
    for j=0,383 do $
        outmap(*,j) = inmap(*,j)*rgn

    return,rgn
end
