;+NAME/ONE LINE DESCRTIPION OF ROUTINE:
;    RECAL_MOS is a scan angle dependant recalibration.
;
;pro recal_mos,infile,calfile,outfile,rec
;
;    rec = readl1(infile,hdr)
;    cal = get_mos_coef(calfile)
;    n   = n_elements(rec)
;
;    for i=0,n-1 do for j=0,7 do $
;        rec(i).data(j,*) = rec(i).data(j,*)*cal(j,*)
;
;    writel1,rec,hdr.sensorID,outfile
;
;    return
;end

pro recal_mos,infile,outfile,rec

    rec = readl1(infile,hdr)
    n   = n_elements(rec)

    ndeg=3
    c   = fltarr(ndeg+1,7)
    c(*,0) = [     0.902891,  0.000354425, -8.96543e-07,  1.37955e-09 ]
    c(*,1) = [     0.845250,  0.000379770, -7.26726e-07,  6.51980e-10 ]
    c(*,2) = [     0.809718,  0.000379780, -5.33238e-07,  2.05004e-10 ]
    c(*,3) = [     0.869272,  0.000170190, -4.92404e-08,  2.75398e-10 ]
    c(*,4) = [     0.870131,  0.000180656,  2.15049e-07, -4.59490e-10 ]
    c(*,5) = [     0.928749,  0.000760171, -2.58208e-06,  3.45480e-09 ]
; 1998 059 Band 7, r6
    c(*,6) = [     1.22870,   0.000510813, -5.31438e-07, -3.22847e-10 ]
; 1998 029 Band 7, r7
;    c(*,6) = [     1.32080,  -0.000352874, -2.85567e-06,  7.38865e-09 ]


    pix = findgen(384)+1

    for j=0,6 do begin
        g = c(0,j) & for k=1,ndeg do g = g + c(k,j)*pix^k
        for i=0,n-1 do $
            rec(i).data(j,*) = rec(i).data(j,*)*g
    endfor
    writel1,rec,hdr.sensorID,outfile

    return
end

