;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    ECEF2ECI converts Earth centered, Earth fixed coordinates (Earth centered
;    rotational) to Earth centered inertial coordinates.
;
function ecef2eci,year,day,sec,vec1

   vec2 = vec1 * 0.
   gha2000, year, day+double(sec/86400.D0), gha
   cogha = cos(-gha/!radeg) 
   sigha = sin(-gha/!radeg) 
   vec2(0,*) = vec1(0,*)*cogha + vec1(1,*)*sigha
   vec2(1,*) = vec1(1,*)*cogha - vec1(0,*)*sigha
   vec2(2,*) = vec1(2,*)

   return, vec2
end
