;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    ECI2ECEF converts Earth centered inertial coordinates to Earth centered,
;    Earth fixed (Earth centered rotational) coordinates.
;
function eci2ecef,year,day,sec,vec1

   vec2 = vec1 * 0.
   gha2000, year, day+double(sec/86400.D0), gha
   cogha = cos(gha/!radeg) 
   sigha = sin(gha/!radeg) 
   vec2([0,3]) = vec1([0,3])*cogha + vec1([1,4])*sigha
   vec2([1,4]) = vec1([1,4])*cogha - vec1([0,3])*sigha
   vec2([2,5]) = vec1([2,5])

   return, vec2
end
