;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    L_SUN computes unit sun vector in geocentric rotating coordinates.
;
;  Computes unit Sun vector in geocentric rotating coodinates, using 
;  subprograms to compute inertial Sun vector and Greenwich hour angle
pro l_sun,iyr,iday,sec,sunr,rs

;	implicit real*8 (a-h,o-z)
;	real*4 sunr(3),su(3),rs
	
;	radeg = 180.d0/3.14159265359d0

;  Get unit Sun vector in geocentric inertial coordinates
	sun2000,iyr,iday,sec,su,rs

;  Get Greenwich mean sideral angle
	day = iday + sec/864.d2 
	gha2000,iyr,day,gha
	ghar = gha/!radeg

;  Transform Sun vector into geocentric rotating frame
	n = n_elements(day)
	sunr = fltarr(3,n)
	sunr(0,*) = su(0,*)*cos(ghar) + su(1,*)*sin(ghar)
	sunr(1,*) = su(1,*)*cos(ghar) - su(0,*)*sin(ghar)
	sunr(2,*) = su(2,*)

	return
	end

