;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    NAVIGATE_SCENE provides location information for a single scene.
;
PRO Navigate_Scene,orb_vec,sun_ref,sen_mat,scan_ell,longitude,latitude,$
                   sen_zenith,sen_azimuth,sol_zenith,sol_azimuth,Gac=gac

   IF KEYWORD_SET(Gac) THEN npixels = 248 ELSE npixels = 1285

   nscans = SIZE(orb_vec)
   longitude   = FLTARR(npixels,nscans(2))
   latitude    = FLTARR(npixels,nscans(2))
   sen_zenith  = FLTARR(npixels,nscans(2))
   sen_azimuth = FLTARR(npixels,nscans(2))
   sol_zenith  = FLTARR(npixels,nscans(2))
   sol_azimuth = FLTARR(npixels,nscans(2))

   FOR j=0,nscans(2)-1 DO BEGIN
      Navigate_Line,orb_vec(*,j),sun_ref(*,j),sen_mat(*,*,j),scan_ell(*,j),$
                    lon,lat,senz,sena,solz,sola,Gac=gac
      longitude(*,j)   = lon
      latitude(*,j)    = lat
      sen_zenith(*,j)  = senz
      sen_azimuth(*,j) = sena
      sol_zenith(*,j)  = solz
      sol_azimuth(*,j) = sola
   ENDFOR

END
