;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    OCCLOUDMASK creates the octs cloud mask for a level 2 file.
;
function occloudmask,Lt8,theta,theta0,albedo

    threshold = 0.90

    Fo8  =  98.48
    TauR = 0.0158
    mu   = cos(theta *!pi/180.)
    mu0  = cos(theta0*!pi/180.)

    albedo = 100.0*Lt8/(Fo8*mu0*exp(-0.5*tauR*(1.0/mu0+1.0/mu)))

    mask = fix(Lt8)+1
    s = where(albedo gt threshold or Lt8 le 0)
    if (s(0) ne -1) then mask(s) = 0

    return, mask
end
