;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    OCL1_STR creates a level 1 structure for an octs file.
;
function ocl1_str, nstruct

    common ocl1_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin
 
       rec = { ocl1_struct	     		, $  ; Structure Name
               year:		0L		, $  ; 
               day:		0L		, $  ; 
               msec:		0L		, $  ; 
               pos:		fltarr(3)	, $  ; 
               vel:		fltarr(3)	, $  ; 
               att:		fltarr(3)	, $  ; 
               rm:		fltarr(3,3)	, $  ; 
               coef:		fltarr(10)	, $  ; 
               l_sun:		fltarr(3)	, $  ; 
               es_dist:		0.		, $  ; 
               sunz:		fltarr(10,2222) , $  ;
               suna:		fltarr(10,2222) , $  ;
               senz:		fltarr(10,2222) , $  ;
               sena:		fltarr(10,2222) , $  ;
               lon:		fltarr(10,2222) , $  ;
               lat:		fltarr(10,2222) , $  ;
               atilt:		0.		, $  ; 
               ctilt:		0L		, $  ; 
               gain:		intarr(12)	, $  ;
               temps:		fltarr(4)	, $  ;
               data:		fltarr(12,10,2222) $  ;
             }

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { ocl1_struct }, nstruct )
end
