;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    OCTLM2GAIN returns the gain from a given telemetry stream.
;
; gain specification
;   1 = Ocean Normal
;   2 = Land  Normal
;   3 = Ocean High
;   4 = Land  High
;

function octlm2gain,tlm

n    = n_elements(tlm)/120
rec  = tlm(6:7) and 'FF'X
gain = bytarr(12,n)

for i=0,7 do begin
    ;                  Ocean/Land                  Normal/High
    gain(i,*) = ((rec(0,*) and 2^i) ne 0) + ((rec(1,*) and 2^i) ne 0)*2 + 1
endfor

return,gain
end
