;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    ELEMENTS_STR creates a data structure to store array elements.
;
function elements_str, nstruct

    common elements_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin

       orb = { orb_struct			, $  ; Structure Name
               sma:		0.D0		, $  ; Semi-Major Axis (km)
               eccen:		0.D0		, $  ; Eccentricity
               incl:		0.D0		, $  ; Inclination (deg)
               ra:		0.D0		, $  ; Lon. of Asc. Node (deg)
               ap:		0.D0		, $  ; Arg of Periapsis (deg)
               ma:		0.D0		  $  ; Mean anomaly (deg)
             }
 
       rec = { elements_struct	     		, $  ; Structure Name
               year:		0L		, $  ; Year (e.g. 1996)
               day:		0L		, $  ; Day of year
               sec:		0.D0		, $  ; Seconds of day
               orb1:	        orb(0)		, $  ; Initial Orbit
               orb2:		orb(0)		, $  ; Final (fitted) Orbit
               cdrg:		0.D0		, $  ; Drag Coefficient
               type:		0L		, $  ; 0=init, 1=final (fitted)
               fill:		0L		  $  ; spare
             }

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { elements_struct }, nstruct )
end
