;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GAC2SOH returns the state of health given a gac data set.
;
function gac2soh, gacframe

    nrec = n_elements(gacframe)
    soh  = soh_str(nrec)
    ntag = n_tags(soh)
    len  = n_elements(gacframe(0).mf1.sohtlm)

    cnt = 0	; SOH byte position

    for i=0,ntag-1 do begin

	n  = n_elements(soh(0).(i))	; SOH field length
	mf = fix(cnt/len)		; GAC mF #
        p  = cnt mod len		; Position of field in mF

        case mf+1 of
          1 : soh.(i) = gacframe.mf1.sohtlm(p:p+n-1)
          2 : soh.(i) = gacframe.mf3.sohtlm(p:p+n-1)
          3 : soh.(i) = gacframe.mf2.sohtlm(p:p+n-1)
        endcase

        cnt = cnt + n

    endfor


return, soh
end
