;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GETGACIMAGE returns the associated image for a global area coverage.
;
function getgacimage,mnf,det


    nscan  = 5
    ndet   = 8
    len    = 248
    lscan  = 4032 ; (3+248+1)*8*2 bytes
    offset = 790L ; (3+4+8+775)   bytes

    sz  = size(mnf)
    n   = sz(2)

    image  = intarr(len,nscan,n)
    indx   = lindgen(len)*8 + det + 24   ; integers

    for i=0,n-1 do for j=0,nscan-1 do begin

        startb = offset + j*lscan
        endb   = startb + lscan - 1
        scan = fix( mnf(startb:endb,i), 0, lscan/2)
        image(*,j,i) = scan(indx)

    endfor

    return, reform(image,len,n*nscan)
 end


