;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GETL0BYTES returns the number of bytes in a level 0 file.
;
function getl0bytes,file,bindx,type=type,indx=indx

    if (n_elements(type) eq 0) then type='GAC' else type=strupcase(type)
    if (n_elements(indx) eq 0) then indx=getl0indx(file) 

    nbytes = n_elements(bindx)
    recnum = where(indx.type eq typeconv(type,/id))
    nrec   = n_elements(recnum)
    len    = 21504
    hdr    = 512
    boi    = bytarr(nbytes,nrec)

    openr,/get_lun,lun,file

    r = assoc(lun, bytarr(len), hdr)

    for i=0L, nrec-1 do begin
        boi(*,i) = r(bindx,recnum(i))
    endfor

    return, boi
end


