;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GETL0DARK returns level 0 dark values.
;
function getl0dark,file,time,type=type,indx=indx

    if (n_elements(type) eq 0) then type='GAC' else type=strupcase(type)
    if (n_elements(indx) eq 0) then indx=getl0indx(file) 

    case strupcase(type) of
       'GAC' : begin
               dindx  = lindgen(16)
               bindx  = 822L+[dindx,4032*1+dindx,4032*2+dindx,4032*3+dindx,4032*4+dindx]
               result = getl0bytes(file,bindx,type=type,indx=indx)
               nrecs  = n_elements(result(0,*))
               result = reform(result,16,5L*nrecs)
               result = fix(result,0,8,5L*nrecs)
               time   = indx(where(indx.type eq typeconv(type,/id))).time
               time   = mnfsec2gscansec(time)
               end
       else :  begin
               bindx  = 910L + lindgen(16)
               result = getl0bytes(file,bindx,type=type,indx=indx)
               nrecs  = n_elements(result(0,*))
               result = fix(result,0,8,nrecs)
               time   = indx(where(indx.type eq typeconv(type,/id))).time
               end
    endcase
    
    return, result

end

