;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GETL0INDX returns an index for a level 0 file.
;
function indx_str, nstruct

    common indx_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin
 
       rec = { indx_struct	     	, $  ; Structure Name
               time:		0.D	, $  ; 
               mnfnum:		0B	, $  ; 
               type:		0B	  $  ; 
             }

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { indx_struct }, nstruct )
end



function getL0indx,file

    len = 21504
    hdr = 512

    openr,/get_lun,lun,file

    f    = fstat(lun)
    nrec = (f.size - hdr)/len
    indx = indx_str(nrec)

    r = assoc(lun, bytarr(len), hdr)

    boi = bytarr(12,nrec)

    for i=0L, nrec-1 do begin
        boi(*,i) = r(3:14,i)
    endfor

    scid = swap_endian(fix(boi(0: 3,*),0,2,nrec),/swap_if_little_endian)
    ttag = swap_endian(fix(boi(4:11,*),0,4,nrec),/swap_if_little_endian)

    indx.type   = scid2mnftype(scid)
    indx.mnfnum = scid2mnfnum(scid)
    indx.time   = ttag2sec(ttag)

    free_lun,lun

    return, indx
end
