;+NAME/ONE LINE DECRIPTION OF ROUTINE:
;    GETLACIMAGE returns the image associated with a local area coverage.
;
function getlacimage,mnf,det

    ndet   = 8
    len    = 1285
    lscan  = 20624 ; (3+1285+1)*8*2 bytes
    offset = 878L  ; (3+4+8+775+88) bytes

    sz  = size(mnf)
    n   = sz(2)

    image  = intarr(len,n)
    indx   = lindgen(len)*8 + det + 24   ; integers

    for i=0,n-1 do begin

        startb = offset
        endb   = startb + lscan - 1
        scan = fix( mnf(startb:endb,i), 0, lscan/2)
        image(*,i) = scan(indx)

    endfor

    return, image
 end


