;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GETSOHINFO returns state of health information about the spacecraft.
;
function getsohinfo, all=all, name=name, addr=addr, $
                     getname=getname, getaddr=getaddr, getlen=getlen

    common sohsubinfo_cmn, init, info

    if (n_elements(init) eq 0) then begin

        init = 1
        info = replicate({name:'',len:0,addr:0},17) 

        info( 0).name = 'sga'
        info( 0).len  = 170
        info( 0).addr = 4416
        info( 1).name = 'sac'
        info( 1).len  = 296    
        info( 1).addr = 4384
        info( 2).name = 'saa'
        info( 2).len  = 200    
        info( 2).addr = 4368
        info( 3).name = 'rxs1'
        info( 3).len  = 48    
        info( 3).addr = 9217
        info( 4).name = 'rxs2'
        info( 4).len  = 48    
        info( 4).addr = 9218
        info( 5).name = 'txl'
        info( 5).len  = 67    
        info( 5).addr = 9985
        info( 6).name = 'txs'
        info( 6).len  = 67    
        info( 6).addr = 9729
        info( 7).name = 'smu'
        info( 7).len  = 144    
        info( 7).addr = 4609
        info( 8).name = 'eps'
        info( 8).len  = 205    
        info( 8).addr = 8705
        info( 9).name = 'fdr1'
        info( 9).len  = 126    
        info( 9).addr = 1281
        info(10).name = 'fdr2'
        info(10).len  = 126    
        info(10).addr = 1282
        info(11).name = 'gua'
        info(11).len  = 94    
        info(11).addr = 8544
        info(12).name = 'gsc'
        info(12).len  = 78    
        info(12).addr = 8464
        info(13).name = 'psa'
        info(13).len  = 64     
        info(13).addr = 272
        info(14).name = 'pfa'
        info(14).len  = 192     
        info(14).addr = 320
        info(15).name = 'shm'
        info(15).len  = 104    
        info(15).addr = 4544
        info(16).name = 'ghm'
        info(16).len  = 144    
        info(16).addr = 8640

    endif

    if (keyword_set(all)) then $
        return, info           $
    else begin
        if (n_elements(addr) ne 0) then              $
            s = where(info.addr eq addr)             $
        else if (n_elements(name) ne 0) then         $
            s = where(strlowcase(name) eq info.name) $ 
        else s = -1
        if (s(0) ne -1) then begin
            if (keyword_set(getaddr)) then return, info(s).addr
            if (keyword_set(getname)) then return, info(s).name
            if (keyword_set(getlen )) then return, info(s).len
        endif
    endelse

    return, -1

end
