;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GTE_STR creates a data structure to store gte soh telemetry data.
;
; Warning: gte, lte files can't be read with ASSOC, since they were
;          not written as fixed records.
;
function gte_str, nstruct

    common gte_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin
 
       rec = { gte_struct           		, $  ; Structure Name
               day:     	0L    		, $  ; Day Number
               utc:    		0.D    		, $  ; 
               pos:   		fltarr(3)    	, $  ; 
               vel:   		fltarr(3)    	, $  ; 
               att:   		fltarr(3)    	, $  ; 
               tilt:   		0L    		, $  ; 
               mode:   		0L    		, $  ; 
               gain:   		intarr(8)  	, $  ; 
               tdi:    		intarr(8)    	, $  ; 
               type:  		0L      	}    ;

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { gte_struct }, nstruct )
end


