;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    SCH2TILT returns an array of scheduled tilt times and tilt values.
;
;--------------------------------------------------------------------
; Pro sch2tilt
;
; Returns an array of scheduled tilt times and tilt values
;
; Written By: BA Franz, GSC, 5 March 96
;--------------------------------------------------------------------
pro sch2tilt,schin,tilt,sec

    s = where(schin.name eq 'chg tilt forward' or $
              schin.name eq 'gac recorder off' or $
              schin.name eq 'chg tilt aft'     or $
              schin.name eq 'chg tilt nadir',  ns )

    if (ns ne 0) then begin
        sch  = schin(s)
        sec  = yds2sec(sch.year,sch.day,sch.sec)
        tilt = intarr(ns)
        s = where(sch.name eq 'chg tilt forward')
        if (s(0) ne -1) then tilt(s) = -20.
        s = where(sch.name eq 'chg tilt aft' or sch.name eq 'gac recorder off')
        if (s(0) ne -1) then tilt(s) =  20.
        s = where(sch.name eq 'chg tilt nadir')
        if (s(0) ne -1) then tilt(s) =   0.
    endif else begin
        sec  = -1
        tilt = -1
    endelse

    return
end





