;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    SOH_BLOCK_STR creates a data structure to store state of health block
;    telemetry data.
;
function gsoh_str, nstruct

    common gsoh_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin
 
       rec = { gsoh_struct	     		, $  ; Structure Name
               ;
               ; S/C Minor Frame #1
               ;
               scid1:		intarr(2)	, $  ; S/C ID
               time1:		intarr(4)	, $  ; Time Tag
                                                     ; Begin SOH TLM mF 1
               sga:		bytarr(170)	, $  ;
               sac:		bytarr(296)	, $  ;
               saa:		bytarr(200)	, $  ;
               rxs1:		bytarr(48)	, $  ;
               rxs2:	        bytarr(48)	, $  ;
               pad1:		bytarr(13)	, $  ;
                                                     ; End SOH TLM mF 1
               pad4:		0B		, $  ; Force two-byte align
               instlm1:		intarr(44,5)	, $  ; Instrument TLM
               gtdi1:		intarr(8,5)	, $  ; Gain & TDI
               ;
               ; S/C Minor Frame #2
               ;
               scid2:		intarr(2)	, $  ; S/C ID
               time2:		intarr(4)	, $  ; Time Tag
                                                     ; Begin SOH TLM mF 3
               gua:		bytarr(94)	, $  ;
               gsc:		bytarr(78)	, $  ;
               psa:		bytarr(64)	, $  ;
               pfa:		bytarr(192)	, $  ;
               shm:	        bytarr(32)	, $  ;
               ghm:	        bytarr(140)	, $  ;
               pad3:		bytarr(175)	, $  ;
                                                     ; End SOH TLM mF 3
               align2:		0B		, $  ; Force two-byte align
               instlm2:		intarr(44,5)	, $  ; Instrument TLM
               gtdi2:		intarr(8,5)	, $  ; Gain & TDI
               ;
               ; S/C Minor Frame #3
               ;
               scid3:		intarr(2)	, $  ; S/C ID
               time3:		intarr(4)	, $  ; Time Tag
                                                     ; Begin SOH TLM mF 2
               txl:		bytarr(67)	, $  ;
               txs:		bytarr(67)	, $  ;
               smu:		bytarr(144)	, $  ;
               eps:		bytarr(205)	, $  ;
               fdr1:	        bytarr(126)	, $  ;
               fdr2:	        bytarr(126)	, $  ;
               pad2:		bytarr(40)	, $  ;
                                                     ;
               align3:		0B		, $  ; Force two-byte align
               instlm3:		intarr(44,5)	, $  ; 
               gtdi3:		intarr(8,5)	  $  ; Gain & TDI
            }

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { gsoh_struct }, nstruct )
end
