;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    TLM_LAC_STR creates a data structure to store lac telemetry data.
;
function tlm_lac_str, nstruct

    common tlm_lac_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin
 
       rec = { tlm_lac_struct	     		, $  ; Structure Name
               scid:		intarr(2)	, $  ; S/C ID
               time:		intarr(4)	, $  ; Time Tag
               soh:		bytarr(775)	, $  ; State-of-Health
               pad:		0B		, $  ; Force two-byte align
               instlm:		intarr(44)	, $  ; Instrument TLM
               gtdi:		intarr(8)	  $  ; Gain & TDI
             }

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { tlm_lac_struct }, nstruct )
end
