;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    TXL_STR creates a data structure to store txl state of health
;    telemetry data.
;
;========================================================================
; Name: 
;	txl_str - creates data structure to store txl SOH telemetry data
;
; Synopsis:
;	txl = txl_str( nrec )
;
; Inputs:
;	nrec	- number of records desired
;
; Outputs:
;	txl	-  data structure with nrec records
;
; Author:
;	BA Franz, General Sciences Corp., 29 January 96
;
;========================================================================
function txl_str, nstruct

    common txl_str_cmn, defined

    if ( n_elements(defined) ne 1 ) then begin
 
       rec = { txl_struct	     		, $  ; Structure Name
               frame_length:		0	, $  ;
               frame_header:	     bytarr(8)	, $  ;
               length:			0	, $  ;
               dest_addr:		0	, $  ;
               source_addr:		0	, $  ;
               control:			0B	, $  ;
               sequence:		0B	, $  ;
               func:			0B	, $  ;
               subfunc:			0B	, $  ;
               task_status: 	        0B	, $  ;
               task_error:		0B	, $  ;
               fill:                 bytarr(35)	, $  ;
               pkt_year:		0B	, $  ;
               pkt_month:		0B	, $  ;
               pkt_day:			0B	, $  ;
               pkt_hour:		0B	, $  ;
               pkt_minute:		0B	, $  ;
               pkt_second:		0B	, $  ;
               pad:			0	, $  ;
               crc:			0	}

       defined = 1 

    endif

    if ( n_elements(nstruct) ne 1 ) then nstruct = 1

return, replicate( { txl_struct }, nstruct )
end
