;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GENERIC_L1_STR creates a data structure to store generic level 1 files.
;
function generic_l1_str, nscan, npix, format

    if (n_elements(format) eq 0) then format=0

    if (format eq 1) then begin
       rec = { year:		0L		    , $  ; 
               day:		0L		    , $  ; 
               msec:		0L	    	    , $  ; 
               lon:		fltarr(npix)        , $  ;
               lat:		fltarr(npix)        , $  ;
               sunz:            fltarr(npix)        , $  ;
               suna:            fltarr(npix)        , $  ;
               senz:            fltarr(npix)        , $  ;
               sena:            fltarr(npix)        , $  ;
               data:            fltarr(8,npix)      , $  ;
               tsunz:		intarr(8,npix)      , $  ;
               tsenz:		intarr(8,npix)      , $  ;
               traz: 		intarr(8,npix)        $  ;
             }
    endif else begin
       rec = { year:		0L		    , $  ; 
               day:		0L		    , $  ; 
               msec:		0L	    	    , $  ; 
               lon:		fltarr(npix)        , $  ;
               lat:		fltarr(npix)        , $  ;
               sunz:		fltarr(npix)        , $  ;
               suna:		fltarr(npix)        , $  ;
               senz:		fltarr(npix)        , $  ;
               sena:		fltarr(npix)        , $  ;
               data:            fltarr(8,npix)        $  ;
             }
    endelse

return, replicate( rec, nscan )
end




