;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GENERIC_L2_STR creates a data structure to store generic level2 files.
;
function generic_l2_str, nscan, npix

       nbnd = 8
 
       rec = { year:		0L		    , $  ; 
               day:		0L		    , $  ; 
               msec:		0L	    	    , $  ; 
               lon:		fltarr(npix)        , $  ;
               lat:		fltarr(npix)        , $  ;
               sunz:		fltarr(npix)        , $  ;
               suna:		fltarr(npix)        , $  ;
               senz:		fltarr(npix)        , $  ;
               sena:		fltarr(npix)        , $  ;
               Ltoa:            fltarr(nbnd,npix)   , $  ;
               aermodmin:       lonarr(npix)        , $
               aermodmax:       lonarr(npix)        , $
               aerratio:        fltarr(npix)        , $  ;
               eps:             fltarr(npix)        , $  ;
               taua:            fltarr(nbnd,npix)   , $  ;
               t_oz_sol:        fltarr(nbnd,npix)   , $  ;
               t_oz_sen:        fltarr(nbnd,npix)   , $  ;
               t_sol:           fltarr(nbnd,npix)   , $  ;
               t_sen:           fltarr(nbnd,npix)   , $  ;
               tLf:		fltarr(nbnd,npix)   , $  ;
               Lr:		fltarr(nbnd,npix)   , $  ;
               La:		fltarr(nbnd,npix)   , $  ;
               tLw:		fltarr(nbnd,npix)   , $  ;
               Lw:		fltarr(nbnd,npix)   , $  ;
               nLw:		fltarr(nbnd,npix)    $  ;
             }

return, replicate( rec, nscan )
end




