pro mknlwfile,ifile,ofile

    nlw  = readl2hdf(ifile,'nLw_')
     lw  = readl2hdf(ifile,'Lw_')
    solz = readl2hdf(ifile,'solz')
    year = rd_sds   (ifile,'year')
    day  = rd_sds   (ifile,'day')
    msec = rd_sds   (ifile,'msec')

    sz = size(nlw)
    np = sz(1)
    ns = sz(2)
    nb = sz(3)

    rec   =  {year:0L,day:0L,msec:0L, 	$
              solz:fltarr(np), 	$	
              lw:fltarr(8,np), 	$
              nlw:fltarr(8,np)}

    len = str_len(rec)
    hdr = {sensorID:0L,reclen:len,npix:np,format:0L,nscans:ns, $
             fill:bytarr(len-20)}
    openw,1,ofile
    writeu,1,hdr
    for i=0,ns-1 do begin
        rec.year = year(i)
        rec.day  = day(i)
        rec.msec = msec(i)
        rec.solz = solz(*,i)
        for j=0,np-1 do $
            rec.nlw(0:nb-1,j) = reform(nlw(j,i,0:nb-1))
        writeu,1,rec
    endfor
    close,1

    return
end
