;+NAME/ONE LINE DESCRIPTION:
;  nm_2_msk.pro  will convert a list of level-2 mask names into a mask
;
FUNCTION nm_2_msk,list,MODIS=MODIS
;
;  return - number that corresponds to the mask mask list
;  list - list of mask names seperated with commas
;
;  W. Robinson, GSC, 23 July 96
;  SWB, Futuretech Corporation, 1 Feb 2000 Modified for 32bit flags.
;  PJW, SSAI, 18 Dec 2003 Modified to perform unique sort on flag array
;
;
base_str = ["ATMFAIL" , "LAND" , "BADANC" , "HIGLINT" , "HILT" ,$
            "HISATZEN" , "COASTZ" , "NEGLW" , "STRAYLIGHT" , "CLDICE" ,$
            "COCCOLITH" , "TURBIDW" , "HISOLZEN" , "HITAU" , "LOWLW" ,$
            "CHLFAIL" , "NAVWARN" , "ABSAER" , "TRICHO" , "MAXAERITER" ,$
            "MODGLINT" , "CHLWARN" , "ATMWARN" , "DARKPIXEL","SEAICE",$
            "NAVFAIL","FILTER","SSTWARN","SSTFAIL","SPARE30","SPARE31","OCEAN"]

;  seperate the list and compose the numerical mask

str = STR_SEP( list, ',' )

ustr = str[UNIQ(str, SORT(str))]

msk_num = ULONG(0)
FOR  i = 0, N_ELEMENTS( ustr ) - 1  DO BEGIN
  index = WHERE( ustr(i) EQ base_str, count )
  IF  count EQ 1  THEN msk_num = msk_num + ULONG(2)^index
ENDFOR

RETURN, msk_num
END
