;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    READ_DPROD reads a given data product.
;
function read_dprod,infile,filehdr,recnum=recnum,status=status

    common read_dprod_cmn, filename, lun, hdr, rec, nrecs

    if (n_elements(recnum)   eq 0) then recnum   = -1
    if (n_elements(filename) eq 0) then filename = ''
    if (n_elements(lun)      eq 0) then lun      = -1

    if (filename ne infile) then begin

        if (lun ne -1) then free_lun,lun

        hdr={sensorID:0L,reclen:0L,npix:0L,format:0L}
        openr,/get_lun,lun,infile
        readu,lun,hdr

        if (hdr.npix    gt   5000     or $
            hdr.reclen  gt 1000000    or $
            hdr.npix    lt 1          or $
            hdr.reclen  lt 1        ) then begin
            print,'Header values seem wacky'
            print,'Record Length:   ',hdr.reclen
            print,'Pixels per Scan: ',hdr.npix
            status = 0
            return,-1
        endif

        f     = fstat(lun)
        nrecs = f.size/hdr.reclen - 1
        rec   = dprod_str(1,hdr.npix)

        filename = infile

    endif

    filehdr = hdr

    if (recnum ge nrecs or recnum lt -1) then begin
       status = 0
       filename = ''
       free_lun,lun
       return, rec
    endif else if (recnum eq -1) then begin
       status = 1
       a = assoc(lun,replicate(rec,nrecs),hdr.reclen)
       r = a(0)
       filename = ''
       free_lun,lun
       return,r
    endif else begin
       status = 1
       a   = assoc(lun,rec,hdr.reclen)
       rec = a(recnum)
       if (recnum eq nrecs-1) then begin
           filename = ''
           free_lun,lun
       endif
       return,rec
    endelse
            
end
