;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    READL2 reads a level 2 file.
;
function readl2,infile,hdr,nrec=nrec

    hdr={sensorID:0L,reclen:0L,npix:0L,format:0L}

    close,1 & openr,1,infile
    readu,1,hdr

    if (hdr.npix    gt   5000     or $
        hdr.reclen  gt 1000000    or $
        hdr.npix    lt 1          or $
        hdr.reclen  lt 1        ) then begin
        print,'Header values seem wacky'
        print,'Record Length:   ',hdr.reclen
        print,'Pixels per Scan: ',hdr.npix
        return,-1
    endif

    f = fstat(1)
    if (n_elements(nrec) eq 0) then 	$
        nrecs = f.size/hdr.reclen - 1 	$
    else 				$
        nrecs = nrec

    case hdr.format of
      1    : r = generic_l2sg_str(nrecs,hdr.npix)
      else : r = generic_l2_str(nrecs,hdr.npix)
    endcase

    a = assoc(1,r,hdr.reclen)
    r = a(0)

    close,1
    return,r
end
