;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    READL2_FIELD reads fields from a level 2 file.
;
function readl2_field,infile,field,hdr,nrec=nrec

    hdr={sensorID:0L,reclen:0L,npix:0L,format:0L}

    close,1 & openr,1,infile
    readu,1,hdr

    if (hdr.npix    gt   5000     or $
        hdr.reclen  gt 1000000    or $
        hdr.npix    lt 1          or $
        hdr.reclen  lt 1        ) then begin
        print,'Header values seem wacky'
        print,'Record Length:   ',hdr.reclen
        print,'Pixels per Scan: ',hdr.npix
        return,-1
    endif

    f = fstat(1)
    if (n_elements(nrec) eq 0) then 	$
        nrecs = f.size/hdr.reclen - 1 	$
    else 				$
        nrecs = nrec

    case hdr.format of
      1    : r = generic_l2sg_str(1,hdr.npix)
      else : r = generic_l2_str(1,hdr.npix)
    endcase

    status = execute('data = r(0).'+field)
    sz = size(data)
    case sz(0) of
      1: data = make_array(sz(1),nrecs,type=sz(2))         
      2: data = make_array(sz(1),sz(2),nrecs,type=sz(3))         
      3: data = make_array(sz(1),sz(2),sz(3),nrecs,type=sz(4))         
    endcase

    a = assoc(1,r,hdr.reclen)
    for i=0,nrecs-1 do begin
        r = a(i)
        case sz(0) of
          1: status = execute('data(*,i) = r(0).'+field)
          2: status = execute('data(*,*,i) = r(0).'+field)
          3: status = execute('data(*,*,*,i) = r(0).'+field)
        endcase
    endfor

    close,1
    return,data
end
