;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    STR_INFO compares information between two structured arrays.
;
pro str_info, rec
 
    ntag   = n_tags(rec)
    name   = strlowcase(tag_names(rec))
    bnum   = 0
    ans    = ''

    for i=0,ntag-1 do begin

	sz  = size(rec(0).(i))
	typ = sz(n_elements(sz)-2)

        case typ of
    	    1 : begin
                t = 'byte'
                n = n_elements(rec(0).(i))*1
                end
    	    2 : begin
                t = 'int'
                n = n_elements(rec(0).(i))*2
                end
    	    3 : begin
                t = 'long'
                n = n_elements(rec(0).(i))*4
                end
    	    4 : begin
                t = 'float'
                n = n_elements(rec(0).(i))*4
                end
    	    5 : begin
                t = 'double'
                n = n_elements(rec(0).(i))*8
                end
    	    6 : begin
                t = 'complex'
                n = n_elements(rec(0).(i))*8
                end
    	    7 : begin
                t = 'string'
                n = strlen(rec.(i))
                end
    	    8 : begin
                t = 'struct'
                n = n_elements(rec(0).(i))*str_len(rec.(i))
                end
        endcase

        print,format='(i4,a10,a32,i4,i4)',i,' '+t,' '+name(i),bnum,n

        bnum = bnum+n

        if (i mod 20 eq 0 and i ne 0) then begin
            read,'Press <RETURN> for more or <E> to exit:',ans
            if (ans eq 'E' or ans eq 'e' or $
                ans eq 'Q' or ans eq 'q') then return
        endif

    endfor

    print,bnum

    return
end
