;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    S2ZULU converts from secomds since 1 Jan 1968 to zulu string.
;
;----------------------------------------------------------
; Function S2ZULU
;
;
; Written By:  BA Franz
;
; Inputs:
;     zulu     - array of zulu times
;     zstart  - optional start time in zulu format
;
; Outputs:
;     seconds - array of times in seconds since zstart
;
; Example:
;     seconds = z2sec(zulu,'900010000')
;
;----------------------------------------------------------
;
function s2zulu,sec,zstart

if (n_params(0) gt 1) then tstart = z2sec(zstart) else tstart = 0.0
zulu = timeconv(sec+tstart,infmt='s',outfmt='z')

return,zulu
end
