;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    SEC2YDMSEC converts secs since 1 Jan 1968 to year, day-of-year, 
;    millisecs-of-day.
pro sec2ydmsec, sec, year, day, msec

    ; note: zulu time can be in two or four digit year format, so
    ; all decommutation is based on length of each zulu string.

    n    = n_elements(sec)
    zulu = s2zulu( sec )
    len  = strlen( zulu )
    year = lonarr(n)
    day  = lonarr(n)
    msec = lonarr(n)

    for i=0L,n-1 do begin
        year(i) = long(strmid(zulu(i),          0, len(i)-12))
        day(i)  = long(strmid(zulu(i),len(i) - 12,         3))
        hr      = long(strmid(zulu(i),len(i) -  9,         2))
        mn      = long(strmid(zulu(i),len(i) -  7,         2))
        sc      = long(strmid(zulu(i),len(i) -  5,         2))
        ms      = long(strmid(zulu(i),len(i) -  3,         3))
        msec(i) = (hr*3600 + mn*60 + sc) * 1000 + ms

        if (year(i) lt 100) then          $
            if (year(i) lt 50) then       $
                year(i) = year(i) + 2000 $
            else                         $
                year(i) = year(i) + 1900
    endfor

    return
end
