;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    TTAG2JUL converts seawifs telemetry time tag to julian day.
;
function ttag2jul, ttag

    s = size(ttag)
    n = s(1)
    if (s(0) eq 2) then $
        nrec = s(2)     $
    else                $
        nrec = 1

    if (n ne 4) then begin
        print,'Invalid Time-Tag field',/info
        return,-1
    endif

    julday = fltarr(nrec)
 
    for i=0L, nrec-1 do begin

        daycnt = long(ttag(0,i))
        daycnt = ( ishft(daycnt,3) or ishft(ttag(1,i),-7) )
        
        julday(i) = daycnt + 2449000.5

    endfor

    if (nrec eq 0) then julday = julday(0)

    return, julday

end        
