;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    YD2MD converts year, day-of-year, into month and day-of-month
;
; Written by: BA Franz, GSC, May 2001.
;----------------------------------------------------------------
pro yd2md,year,doy,mon,dom

    month = ['JAN','FEB','MAR','APR','MAY','JUN', $
             'JUL','AUG','SEP','OCT','NOV','DEC']

    z = string(year*1000L+doy)+'000000'
    v = timeconv(z,infmt='z',outfmt='v')

    n = n_elements(z)

    mon = intarr(n)
    dom = intarr(n)

    for i=0,n-1 do begin
        dom(i) = fix(strmid(v(i),0,2))
        mname  = strmid(v(i),3,3)
        imon   = 0
        while (mname ne month(imon)) do imon = imon+1
        mon(i) = imon+1
    endfor

    return
end
