;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    ANYWHERE returns the indices of the elements of a vector that are also
;    elements of another vector.
;
;------------------------------------------------------------------
; Function ANYWHERE
;
; IDL function which returns the indices of the elements of vector a
; which are also elements of vector b.
;
; i.e., if     indx = anywhere(a,b)
;              c = a(indx)  
;       then   c is the intersection of sets a and b
; 
; Written By: BA Franz, ARC, 6/93
;
;------------------------------------------------------------------
function anywhere,a,b

aa = a(*)
n = n_elements(aa)
index = lonarr(n)*0-1

bb = b(sort(b))
unique_list,bb,bb

j = 0L
for i=0L,n-1 do begin
    ipos = binsrch(bb,aa(i))
    if (ipos ne -1) then begin
        index(j) = i
        j = j+1
    endif
endfor

if (j gt 0) then return,index(0:j-1) else return,-1
end
