;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    BINLOC is a binary location routine.
;
;----------------------------------------------------------------------------
; IDL Binary Locate Routine
;
; Written By: BA Franz, Applied Research Corp., 12/92
;
;----------------------------------------------------------------------------
function binloc,array,x

n = n_elements(array)
if (n eq 1)          then return,0
if (array(0)   gt x) then return,-1
if (array(n-1) lt x) then return,n-1

found = 0
lo = long(0)
hi = long(n-1)

while (lo le hi) and (not found) do begin
    mid = long((lo+hi)/2)
    if (array(mid) eq x) then $
        found = 1             $
    else begin
        if (x lt array(mid)) then  $
             hi = mid-1            $
        else                       $
             lo = mid+1
    endelse 
endwhile

if (array(mid) gt x) then return,mid-1 else return,mid

end
