;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    BINSRCH is a binary search routine.
;
;----------------------------------------------------------------------------
; IDL Binary Search Routine
;
; Written By: BA Franz, Applied Research Corp., 12/92
;
;----------------------------------------------------------------------------
function binsrch,array,x

n = n_elements(array)
if (n eq 1) then return,0

found = 0
lo = long(0)
hi = long(n-1)

while (lo le hi) and (not found) do begin
    mid = long((lo+hi)/2)
    if (array(mid) eq x) then $
        found = 1             $
    else begin
        if (x lt array(mid)) then  $
             hi = mid-1            $
        else                       $
             lo = mid+1
    endelse 
endwhile

if (found) then   $
    return,mid    $
else              $
    return,-1

end
