;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    GET_FILE returns the filename which contains an input search string.
;
;-------------------------------------------------------------------
; Function GET_FILE
;
; IDL function to return the file name which contains a user-specified
; search string.  If the search string is ambiguous, the user is 
; prompted for the desired file.
;
; Written By: BA Franz
;
;-------------------------------------------------------------------
;
function get_file,pattern

if ( strpos(pattern,':') eq -1) and $
   ( strpos(pattern,'[') eq -1) and $
   ( strpos(pattern,'\') eq -1) and $
   ( strpos(pattern,'/') eq -1) then pattern = '*' + pattern
;ipos = strpos(pattern,']')
;if ( strpos(pattern,'.',ipos) eq -1) then pattern = pattern+'*.'
pattern = pattern + '*'

message,'Searching for: '+pattern,/info

f = findfile(pattern)
n = n_elements(f)

if ( n eq 0 ) then begin
    print,' '
    print,' ** No files found ** '
    print,' '
    return,-1

end else begin
    print,''
    for i=0,n-1 do print,i,' -  ',f(i)
    print,''
    read,'Enter number of file desired: ',fnum

end

if (fnum lt 0) or (fnum ge n) then  $
    return,-1                       $
else                                $
    return,f(fnum)


end
