;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    NOWHERE returns the indices of the elements of a vector that are not
;    elements of a second vector.
;
;------------------------------------------------------------------
; Function NOWHERE
;
; IDL function which returns the indices of the elements of vector a
; which are not elements of vector b.
;
; i.e., if     indx = nowhere(a,b)
;              c = a(indx)  
;       then   c is the difference of sets a and b
; 
; Written By: BA Franz, ARC, 6/93
;
;------------------------------------------------------------------
function nowhere,a,b

n = n_elements(a)
index = lonarr(n)*0-1

bb = b(sort(b))

j = 0L
for i=0L,n-1 do begin
    ipos = binsrch(bb,a(i))
    if (ipos eq -1) then begin
        index(j) = i
        j = j+1
    endif
endfor

if (j gt 0) then return,index(0:j-1) else return,-1
end
