;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    READ_BRB unknown.
;
function read_brb,file,indx

    msglen = 298
    
    openr,/get_lun,lun,file
    f = fstat(lun)

    ;
    ; Create association
    ;
    a = assoc(lun, bytarr(f.size))
    r = a(0)
    
    ;
    ; Create fixed-length storage
    ;
    nmax = f.size/48 + 1
    msg  = bytarr(msglen, nmax)
    indx = intarr(nmax)

    ;
    ; Step through logger messages, save any SOH subsystem msgs
    ;
    p = 0L
    i = 0L
    while (p lt f.size) do begin

        flen = fix(r(p:p+1),0)
        addr = fix(r(p+14:p+15),0)
        indx(i) = addr
        msg(0:flen-1,i) = r(p:p+flen-1)
        i = i+1
        p = p+flen

    endwhile

    msg  = msg(*,0:i-1)
    indx = indx(0:i-1)

    return, msg

end


function msg2sohsub, msg, subname

    recs      = -1
    nrec      = n_elements(msg(0,*))
    addr_list = fix(msg(14:15,*),0,nrec)
    addr_want = getsohinfo( name=subname,/getaddr )

    if (addr_want ne -1) then begin
        s = where(addr_list eq addr_want, n)
        if (n gt 0) then begin
            recs = str_remap(msg(*,s), subname+'_str')
        endif
    endif

    return, recs
end

f = findfile('/u6/tmp/daily/t.brb')
msg = read_brb(f(0),indx)
sga = msg2sohsub(msg,'sga')
saa = msg2sohsub(msg,'saa')
sac = msg2sohsub(msg,'sac')


end
