;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    seaflag - for the specified longitude and latitude, returns 1 if ocean
;
; BAF, 12/2010
function seaflag, lon, lat, mask=mask

   common seaflag_cmn, seamask, resolution 

   if (n_elements(mask) eq 0) then mask = 0

   if ( n_elements(seamask) eq 0 ) then begin

       resolution = 0.1 ; degrees
       nx = 360/resolution
       ny = 180/resolution

       thisDevice = !D.Name
       Set_Plot, 'Z', /Copy
       Device, Set_Resolution=[nx, ny]
       Erase, Color=0
       MAP_SET, 0, 0, 0, LIMIT=[-90,-180,90,180], /NOBORDER, $
          /CYLINDRICAL, /NOERASE, POSITION=[0,0,1,1], $
          XMARGIN=0, YMARGIN=0
       MAP_CONTINENTS, /Fill_Continents, Color=255

       snap = TVRD()
       seamask = (snap EQ 0)

       Set_Plot, thisDevice

   endif

   if (mask) then $
       return, seamask $
   else begin
       ix = fix((lon+180)/resolution)  
       iy = fix((lat+ 90)/resolution)   
       return, seamask[ix,iy]
    endelse
end
