/* HDF Interface Header File */

#define FIELDLISTMAXSIZE 32768

#define READ_ACCESS "r"

#define UNINITIALIZED -1

#define FAILURE 0
#define SUCCESS 1

#ifndef PGSd_PC_FILE_PATH_MAX
#define PGSd_PC_FILE_PATH_MAX     1025
#endif

typedef int BOOLEAN;

typedef struct Vdata_Definition
{
  char Name[VSNAMELENMAX];
  int32 ID;
  int32 Reference;
  BOOLEAN Attached;
  char Field_Names[FIELDLISTMAXSIZE];
  int32 Total_Fields;
  int32 Total_Records;
  int32 Current_Record;
  int32 Record_Size;
  uint8 *Vdata_Buffer;
} Vdata;

typedef struct SDS_Definition
{
  char Name[MAX_NC_NAME];
  int32 ID;
  int32 Index;
  BOOLEAN Selected;
  int32 Rows;
  int32 Columns;
  int32 Data_Type;
  size_t Data_Size;
} SDS;

typedef struct HDF_Interface
{
/*  char Name[MAX_NC_NAME]; */
  char Name[PGSd_PC_FILE_PATH_MAX];
  int32 ID;
  BOOLEAN File_Opened;
  BOOLEAN V_Access_Enabled;
} HDF;

typedef struct SD_Interface
{
/*  char Name[MAX_NC_NAME]; */
  char Name[PGSd_PC_FILE_PATH_MAX];
  int32 ID;
  BOOLEAN Access_Enabled;
} SD;



