function write_viirs_lut, file, type=lut_type

; Write a VIIRS SDR binary lookup table
; Gwyn Fireman, November 2012

; parse filename to find LUT type
if n_elements(lut_type) eq 0 then begin
  nameparts=stregex(file,'(VIIRS-S.*)_npp_',/subexpr,/extract)
  if n_elements(nameparts) lt 2 then begin
    print, 'Cannot identify LUT type; specify TYPE keyword.'
    return, -1
  endif
  lut_type=nameparts[1]
endif

; define data structure according to LUT type
lut=define_viirs_lut(lut_type)

; write lookup table to binary file
openw, lun, /get_lun, file, /swap_if_little_endian
writeu, lun, lut
free_lun, lun

return, lut
end
