;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    HLINE over plots a horizontal line.
;
;---------------------------------------------------------------------------
; Procedure HLINE
;
; IDL procedure to over plot a horizontal line.  The primary linestyle 
; and psym settings will not be altered by this procedure.
;
; Written By: BA Franz
;
; Inputs: 
;    y     - the vertical position of the line in data coordinates (Def=0.0)
;    ltype - the desired linestyle (Def=1)
;
;---------------------------------------------------------------------------
;
pro hline,y,ltype

if (n_elements(y)     eq 0) then y = 0
if (n_elements(ltype) eq 0) then ltype = 1

save_sym  = !p.psym
save_line = !p.linestyle

!p.psym = 0
!p.linestyle = ltype
oplot,[!cxmin,!cxmax],[y,y]

!p.linestyle = save_line
!p.psym      = save_sym

return
end
