pro legend,label,psym=psym,linestyle=linestyle,chsize=chsize, $
                 symsize=symsize,yloc=yloc,xloc=xloc,dely=dely, $
                 length=length,color=color

save_p    = !p
save_x    = !x
save_y    = !y

!p.font = -1   ; Need vector-drawn fonts
!x.type = 0    ; Linear plot scale
!y.type = 0    ; Linear plot scale

n  = n_elements(label)
if (n_elements(chsize) eq 0) then chsize=!p.charsize
if (n_elements(symsize) eq 0) then symsize=1.0


if (n_elements(xloc) eq 0) then xloc=0.05
if (n_elements(yloc) eq 0) then yloc=0.05
if (n_elements(dely) eq 0) then dely=0.04
if (n_elements(linestyle) eq 0) then linestyle=intarr(n) - 1
if (n_elements(psym)      eq 0) then psym     =intarr(n) - 1
if (n_elements(length)    eq 0) then length=0.06
if (n_elements(color)     eq 0) then color=intarr(n)

dx = (!cxmax-!cxmin)
dy = (!cymax-!cymin)
x  = !cxmin + xloc*dx
y  = !cymin + yloc*dy

x1 = x
x2 = x1 + length/3.*dx
x3 = x2 + length/3.*dx
x4 = x3 + length/3.*dx

for i = 0,n-1 do begin

    y = y + dely*dy
    xyouts,x4,y-dely/4.*dy,label(i),size=chsize,color=color(i)

    if (linestyle(i) ge 0) then   $
       oplot,[x1,x2,x3],[y,y,y],psym=0,line=linestyle(i),symsize=symsize,color=color(i)

    if (psym(i) ge 0) then        $
        oplot,[x2,x2],[y,y],psym=psym(i),line=0,symsize=symsize,color=color(i)

endfor

!p = save_p
!x = save_x
!y = save_y


return
end
