;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    MAPCOAST maps a coastline.
;
pro mapcoast,xsize,ysize,xoff=xoff,yoff=yoff, $
    lonrange=lonrange,latrange=latrange,file=file

    common mapcoast_cmn, firstCall, coast, nc, iseg, nseg

    if (n_elements(xoff)     eq 0) then xoff=0
    if (n_elements(yoff)     eq 0) then yoff=0
    if (n_elements(lonrange) eq 0) then lonrange=[-180.,180.]
    if (n_elements(latrange) eq 0) then latrange=[-90.,90.]
    if (n_elements(file)     eq 0) then file='/u6/data/navctl/coast.dat'

    xmin = lonrange(0)
    xmax = lonrange(1)
    ymin = latrange(0)
    ymax = latrange(1)
    xfac = float(xsize)/(xmax-xmin)
    yfac = float(ysize)/(ymax-ymin)

    if (n_elements(firstCall) eq 0) then begin
        firstCall = 1
        nc = 42098
        coast = fltarr(2,nc)
        close,1 & openr,1,file,/f77
        readu,1,coast
        close,1
        coast = coast(*,2:*)
        iseg = where(coast(1,*) gt 999.,nseg)
    endif

    for i=0,nseg-1 do begin
        p = iseg(i)+1
        n = coast(0,p-1)
        x = fix((coast(1,p:p+n-1) - xmin)*xfac)
        y = fix((coast(0,p:p+n-1) - ymin)*yfac)
        s = where(x ge 0 and x lt xsize and y ge 0 and y lt ysize, ns)
        if (ns gt 0) then $
            plots,x(s)+xoff,y(s)+yoff,/dev
    endfor

    return
end
