;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    OSEGPLOT plots line segments between pairs of x,y points.
;
;----------------------------------------------------------------
; Procedure OSEGPLOT
;
; Plots line segments between points specified by x and y, breaking
; the line when the distance between consecutive x values is greater
; than dx.
;
; Written By: BA Franz, ARC, 5/94
;
; Note:See also SEGPLOT 
;
;----------------------------------------------------------------
pro osegplot,xin,yin,dx,line=line,psym=psym

if (n_elements(line) eq 0) then line=0
if (n_elements(psym) eq 0) then psym=0

isort = sort(xin)
x = xin(isort)
y = yin(isort)

n = n_elements(x)

for i=1,n-1 do if (x(i)-x(i-1) le dx) then $
    oplot,x(i-1:i),y(i-1:i),psym=psym,line=line
 
end
