;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    REGRID_BETTER rebins to new, evenly space grid.
;
function regrid,imap,onx,ony

    s    = size(imap)
    inx  = s(1)
    iny  = s(2)
    npts = s(s(0)+2)

    ix   = findgen(inx)/inx + 0.5/inx
    iy   = findgen(iny)/iny + 0.5/iny
    
    data = reform( imap, npts )
    lon  = reform( ix # (1 + fltarr(iny)), npts )
    lat  = reform( (1 + fltarr(inx)) # iy, npts )

    omap = imap(0) * bytarr( onx, ony )
    sum  = intarr( onx, ony )
    xres = 1.0/onx
    yres = 1.0/ony

    for ival=0L,npts-1 do begin

        i = fix(lon(ival)/xres) < onx > 0
        j = fix(lat(ival)/yres) < ony > 0
        omap(i,j) = omap(i,j) + data(ival)
        sum (i,j) = sum(i,j) + 1

    endfor 

    s = where(sum gt 0)		; Average Bins
    omap(s) = omap(s)/sum(s)	;

    return, omap

end

        
