;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    SEGPLOT plots line segments between x,y points.
;
;----------------------------------------------------------------
; Procedure SEGPLOT
;
; Plots line segments between points specified by x and y, breaking
; the line when the distance between consecutive x values is greater
; than dx.
;
; Written By: BA Franz, ARC, 5/94
;
; Note:See also OSEGPLOT 
;
;----------------------------------------------------------------
pro segplot,xin,yin,dx,                       $
    title=title,xtitle=xtitle,ytitle=ytitle,  $
    line=line,psym=psym,                      $
    xstyle=xstyle,ystyle=ystyle,              $
    xrange=xrange,yrange=yrange

if (n_elements(title)  eq 0) then title=!p.title
if (n_elements(xtitle) eq 0) then xtitle=!x.title
if (n_elements(ytitle) eq 0) then ytitle=!y.title
if (n_elements(xstyle) eq 0) then xstyle=0
if (n_elements(ystyle) eq 0) then ystyle=0
if (n_elements(xrange) eq 0) then xrange=[0,0]
if (n_elements(yrange) eq 0) then yrange=[0,0]
if (n_elements(line)   eq 0) then line=0
if (n_elements(psym)   eq 0) then psym=0

plot,xin,yin,psym=3, $
    title=title,xtitle=xtitle,ytitle=ytitle,  $
    xstyle=xstyle,ystyle=ystyle,              $
    xrange=xrange,yrange=yrange

osegplot,xin,yin,dx,line=line,psym=psym

end
