;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    SHOW_SLICE displays and input slice.
;
pro show_slice,map,x1,x2,y1,y2,slices


    x1 = float(x1) & x2 = float(x2)
    y1 = float(y1) & y2 = float(y2)
    sinpa = (x2-x1)/sqrt((x2-x1)^2 + (y2-y1)^2)
    cospa = (y2-y1)/sqrt((x2-x1)^2 + (y2-y1)^2)
    x = fix(findgen(1200)*sinpa) + x1
    y = fix(findgen(1200)*cospa) + y1
    if (y2 ge y1) then x = x(where(y le y2)) $
                  else x = x(where(y ge y2))
    if (x2 ge x1) then y = y(where(x le x2)) $
               else y = y(where(x ge x2))
    x = x(where(y ge 0))

    slices = fltarr(n_elements(x),8)

    for i=0,7 do begin
        arr = map(*,*,i)
        slices(*,i) = reform(arr(x,y))
    endfor

    xr = [ -1,n_elements(x) ]
    yr = [ min(slices)-1, max(slices)+1 ]

    plot,slices(*,0),xst=19,yst=19,xr=xr,yr=yr, $
         title = 'SeaWiFS Level-0 Image Slice', $
         xtitle = 'Pixels',ytitle='Raw Counts'

    for i=1,7 do oplot,slices(*,i),line=i
    orig_date,'BA franz'

    return
    end
