;+NAME/ONE LINE DESCRIPTION OF ROUTINE:
;    VLINE over plots a vertical line.
;
;---------------------------------------------------------------------------
; Procedure VLINE
;
; IDL procedure to over plot a vertical line.  The primary linestyle 
; and psym settings will not be altered by this procedure.
;
; Written By: BA Franz
;
; Inputs: 
;    x     - the horizontal position of the line in data coordinates (Def=0.0)
;    ltype - the desired linestyle (Def=1)
;
;---------------------------------------------------------------------------
;
pro vline,x,ltype,color=color

if (n_elements(x)     eq 0) then x = 0
if (n_elements(ltype) eq 0) then ltype = 1
if (n_elements(color) eq 0) then color=!p.color

save_sym  = !p.psym
save_line = !p.linestyle

!p.psym = 0
!p.linestyle = ltype
oplot,[x,x],[!cymin,!cymax],color=color

!p.linestyle = save_line
!p.psym      = save_sym

return
end

