;===========================================================================
;    IDL PROGRAM TO VIEW A HDF FILE
;    98.11.04 Kam-Pui Lee (757) 827-4864 k.lee@larc.nasa.gov
;===========================================================================
 
;------------------------------------------------------------------
;	add_digital	
;------------------------------------------------------------------
function add_digital, Event

pro_name = 'add_digital'
@getinfo1
 
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=digital_name_list, event.id

	info.digital.name_sel=digital_name_list(event.value) 
	print, 'digital_data_sel = ', info.digital.name_sel
	info.digital.indices_sel= [ long(event.value) ]
	print, 'digital_indices_sel = ', info.digital.indices_sel

widget_control, set_uvalue=info, event.top

END

;------------------------------------------------------------------
;	add_quality	
;------------------------------------------------------------------
function add_quality, Event

pro_name = 'add_quality'
@getinfo1
 
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=quality_name_list, event.id

	info.quality.name_sel=quality_name_list(event.value) 
	print, 'quality_data_sel = ', info.quality.name_sel
	info.quality.indices_sel= [ long(event.value) ]
	print, 'quality_indices_sel = ', info.quality.indices_sel

widget_control, set_uvalue=info, event.top

END

;------------------------------------------------------------------
;	add_vfield_quality	
;------------------------------------------------------------------
function add_vfield_quality, Event

pro_name = 'add_vfield_quality'
@getinfo1
 
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=quality_name_list, event.id

	info.quality.name_sel=quality_name_list(event.value) 
	print, 'quality_data_sel = ', info.quality.name_sel
	info.quality.indices_sel= [ long(event.value) ]
	print, 'quality_indices_sel = ', info.quality.indices_sel

widget_control, set_uvalue=info, info.base

END

;------------------------------------------------------------------
;	add_vfieldCB	
;------------------------------------------------------------------
function add_vfieldCB, event

pro_name = 'add_vfieldCB'
@getinfo1

widget_control, get_uvalue=info, event.top

info.vfield.name_sel = info.name_list_vfield(event.value) 

info.vfield.indices_sel= [ long(event.value) ]

widget_control, set_uvalue=info, event.top

END

;--------------------------------------------------------------------------------
function array_type, type, sizeof

pro_name = 'array_type'
@getinfo1

dims=[1L,1L,1L,1L,1L,1L,1L,1L]

dims(where(sizeof ne 0)) = reverse(sizeof(where(sizeof ne 0)))

CASE type of
	4: array = strarr(dims(0), dims(1), dims(2), dims(3), dims(4))
	5: array = fltarr(dims(0), dims(1), dims(2), dims(3), dims(4))
        6: array = dblarr(dims(0), dims(1), dims(2), dims(3), dims(4))
        20: array = bytarr(dims(0), dims(1), dims(2), dims(3), dims(4))
        21: array = intarr(dims(0), dims(1), dims(2), dims(3), dims(4))
        22: array = intarr(dims(0), dims(1), dims(2), dims(3), dims(4))
        23: array = lonarr(dims(0), dims(1), dims(2), dims(3), dims(4))
        24: array = lonarr(dims(0), dims(1), dims(2), dims(3), dims(4))
        25: array = dblarr(dims(0), dims(1), dims(2), dims(3), dims(4))
	else: array = -1
ENDCASE

return, array

end

;--------------------------------------------------------------------------------
function get_optionCB, event

pro_name = 'get_optionCB'
@getinfo1

widget_control, get_uvalue=cid, event.top

widget_control,set_uvalue=event.value,cid
widget_control,event.top,/destroy

end

;--------------------------------------------------------------------------------
function get_option, default_option, list, title, message, info

pro_name = 'get_option'
@getinfo1

id=default_option
base_b = widget_base (uvalue = id, map=0)
widget_control, base_b, /realize

num_line = n_elements(message)

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
yoffset = base_loc.yoffset + 100

base=widget_base(group_leader=info.base, /modal, column=1, xoffset=xoffset, $
	yoffset=yoffset, TITLE=title, uvalue=base_b)

if num_line gt 0 then begin
	temp_text = ''
	junk = widget_label(base,value=temp_text,/ALIGN_LEFT, $
		font=info.font)
	for i = 0,num_line-1 do begin
		temp_text = message(i)
		junk = widget_label(base,value=temp_text,/ALIGN_LEFT, $
			font=info.font)
	endfor
	temp_text = ''
	junk = widget_label(base,value=temp_text,/ALIGN_LEFT, $
		font=info.font)
endif

the_pick=CW_BGROUP(base, list, FONT=info.font, EVENT_FUNCT='get_optionCB', $
	/EXCLUSIVE)

widget_control, base, /realize
widget_control, set_uvalue=base_b, base
xmanager, 'main_widget', base
    
widget_control, get_uvalue=picked_val, base_b
widget_control, base_b, /destroy

return,picked_val
 
end

;--------------------------------------------------------------------------------
pro getfieldvalueCB, event

pro_name = 'getfieldvalueCB'
@getinfo

widget_control, get_uvalue=base_b, event.top
widget_control, get_uvalue=field_id, event.id

widget_control, field_id, get_value=fields_value

widget_control,set_uvalue=fields_value,base_b

widget_control,event.top,/destroy

end

;--------------------------------------------------------------------------------
pro cancelvalueCB, event

pro_name = 'cancelvalueCB'
@getinfo

widget_control, get_uvalue=base_b, event.top
widget_control, get_uvalue=field_id, event.id

fields_value = 'cancel'

widget_control,set_uvalue=fields_value,base_b

widget_control,event.top,/destroy

end

;--------------------------------------------------------------------------------
function get_field_value, i_value, xsize, title, f_title, message, info

pro_name = 'get_field_value'
@getinfo1

id=string(i_value)
base_b = widget_base (uvalue = id, map=0)
widget_control, base_b, /realize

num_line = n_elements(message)

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
yoffset = base_loc.yoffset + 100

base=widget_base(group_leader=info.base, /modal, column=1, xoffset=xoffset, $
	yoffset=yoffset, TITLE=title, uvalue=base_b)

if num_line gt 0 then begin
	temp_text = ''
	junk = widget_label(base,value=temp_text,/ALIGN_LEFT, $
		font=info.font)
	for i = 0,num_line-1 do begin
		temp_text = message(i)
		junk = widget_label(base,value=temp_text,/ALIGN_LEFT, $
			font=info.font)
	endfor
	temp_text = ''
	junk = widget_label(base,value=temp_text,/ALIGN_LEFT, $
		font=info.font)
endif

c_group=widget_base(base, row=1,map=1)

if xsize lt 1 then xszie = 20
field_id = CW_FIELD(c_group, VALUE=i_value, ROW=1, /STRING, $
	FIELDFONT=info.font, FONT=info.font, TITLE=f_title, XSIZE=xsize)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='getfieldvalueCB', VALUE="Done",$
/ALIGN_CENTER, uvalue=field_id)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='cancelvalueCB', VALUE="Cancel",$
/ALIGN_CENTER, uvalue=field_id)

widget_control, /realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, set_uvalue=base_b, base
widget_control, set_uvalue=field_id, button1
xmanager, 'main_widget', base
    
widget_control, get_uvalue=picked_val, base_b
widget_control, base_b, /destroy

return,picked_val
 
end

;--------------------------------------------------------------------------------
function convert_idltypename_hdftype, type

pro_name = 'convert_idltypename_hdftype'
@getinfo1

case type of
	'FLOAT': data_type = 5
	'DOUBLE': data_type = 6
	'BYTE': data_type = 21
	'INT': data_type = 22
	'LONG': data_type = 24
	'STRING': data_type = 4
	'UINT': data_type = 23
	'ULONG': data_type = 25
	'LONG64': data_type = 26
	'ULONG64': data_type = 27
	else: data_type = 5
endcase

return, long(data_type)

end

;--------------------------------------------------------------------------------
function convert_idltypename_hdftypename, type

pro_name = 'convert_idltypename_hdftypename'
@getinfoa

data_type = ''
case type of
	'FLOAT': data_type = 'DFNT_FLOAT32'
	'DOUBLE': data_type = 'DFNT_FLOAT64'
	'BYTE': data_type = 'DFNT_UINT8'
	'INT': data_type = 'DFNT_INT16'
	'LONG': data_type = 'DFNT_INT32'
	'STRING': data_type = 'DFNT_CHAR'
	'UINT': data_type = 'DFNT_UINT16'
	'ULONG': data_type = 'DFNT_UINT32'
	'LONG64': data_type = 'DFNT_INT64'
	'ULONG64': data_type = 'DFNT_UINT64'
	else: data_type = 'UNKNOWN'
endcase

return, data_type

end

;--------------------------------------------------------------------------------
function convert_idltypename_idltype, type

pro_name = 'convert_idltypename_idltype'
@getinfo1

case type of
	'FLOAT': data_type = 4
	'DOUBLE': data_type = 5
	'BYTE': data_type = 1
	'INT': data_type = 2
	'LONG': data_type = 3
	'STRING': data_type = 7
	'UINT': data_type = 12
	'ULONG': data_type = 13
	'LONG64': data_type = 14
	'ULONG64': data_type = 15
	else: data_type = 4
endcase

return, data_type

end

;--------------------------------------------------------------------------------
function convert_idltype_hdftype, type

pro_name = 'convert_idltype_hdftype'
@getinfo1

case type of
	4: data_type = 5
	5: data_type = 6
	1: data_type = 21
	2: data_type = 22
	3: data_type = 24
	7: data_type = 4
	12: data_type = 23
	13: data_type = 25
	14: data_type = 26
	15: data_type = 27
	else: data_type = 5
endcase

return, long(data_type)

end

;--------------------------------------------------------------------------------
function convert_hdftypename_hdftype, type

pro_name = 'convert_hdftypename_hdftype'
@getinfo1

case type of
	'DFNT_CHAR': data_type = 4
	'DFNT_FLOAT32': data_type = 5
	'DFNT_FLOAT64': data_type = 6
	'DFNT_DOUBLE': data_type = 6
	'DFNT_INT8': data_type = 20
	'DFNT_UINT8': data_type = 21
	'DFNT_INT16': data_type = 22
	'DFNT_UINT16': data_type = 23
	'DFNT_INT32': data_type = 24
	'DFNT_UINT32': data_type = 25
	'DFNT_INT64': data_type = 26
	'DFNT_UINT64': data_type = 27
	else: data_type = 5
endcase

return, long(data_type)

end

;--------------------------------------------------------------------------------
function convert_hdftype_idltype, type

pro_name = 'convert_hdftype_idltype'
@getinfo1

case type of
	4: data_type = 1
	5: data_type = 4
	6: data_type = 5
	20: data_type = 1
	21: data_type = 1
	22: data_type = 2
	23: data_type = 12
	24: data_type = 3
	25: data_type = 13
	26: data_type = 14
	27: data_type = 15
	else: data_type = 4
endcase

return, data_type

end

;--------------------------------------------------------------------------------
function get_sds_dims, filename, data_name, num_sds, sds_ref, sds_rank, sds_dims, sds_type

pro_name = 'get_sds_dims'
@getinfoa

sd_id = HDF_SD_START(filename, /READ)
if sd_id eq -1 then begin
	result=dialog_message('Problem to open '+filename+'!', $
		title='View HDF Warning!')
	return, 'BAD'
endif

sds_id = HDF_SD_SELECT(sd_id, sds_ref)
if sds_id eq -1 then begin
	result=dialog_message('Problem to select '+data_name+'!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, 'BAD'
endif

HDF_SD_GETINFO, sds_id, NAME=sds_name, NDIMS=sds_rank, DIMS=sds_dims, $
	HDF_TYPE=type, NATTS=nattrs, /NOREVERSE
HDF_SD_ENDACCESS, sds_id

if data_name ne sds_name then begin
    print,data_name,' is not equal to ',sds_name
    old_quiet = !QUIET
    !QUIET=1
    index = HDF_SD_NAMETOINDEX(sd_id, data_name)
    !QUIET=old_quiet
    if index eq -1 then begin
	result=dialog_message('Problem to find the index of '+data_name+'!', $
		title='View HDF Warning!')
	HDF_SD_END, sd_id
	return, 'BAD'
    endif

    if num_sds gt 1 then begin
	first_index = index
	num_match = 1
	HDF_SD_FILEINFO,sd_id,ndatasets,nglobal_attr
	i = first_index + 1
	while num_match lt num_sds and i lt ndatasets do begin
	    sds_id = HDF_SD_SELECT(sd_id, i)
	    if sds_id eq -1 then begin
		result=dialog_message('Problem to select SDS data!',$
		   title='View HDF Warning!')
		HDF_SD_END,sd_id
		return, 'BAD'
	    endif
	    HDF_SD_GETINFO, sds_id, NAME=sds_name, NDIMS=sds_rank, DIMS=sds_dims, $
		HDF_TYPE=type, NATTS=nattrs, /NOREVERSE
	    if data_name eq sds_name then num_match = num_match + 1
	    if num_match eq num_sds then index = i
	    HDF_SD_ENDACCESS, sds_id
	    i = i + 1
	endwhile
	if i eq ndatasets then index = first_index
    endif
    sds_ref = index
    print,'in get_sds_dims, index = ',index
    sds_id = HDF_SD_SELECT(sd_id, index)
    HDF_SD_GETINFO, sds_id, NAME=sds_name, NDIMS=sds_rank, DIMS=sds_dims, $
	HDF_TYPE=type, NATTS=nattrs, /NOREVERSE
    HDF_SD_ENDACCESS, sds_id
endif

HDF_SD_END, sd_id

sds_type = convert_hdftypename_hdftype(type)
print,'sds_ref = ',sds_ref
print,'sds_name = ',sds_name
print,'sds_rank = ',sds_rank
print,'sds_dims = ',sds_dims
print,'sds_type = ',sds_type

return, 'GOOD'

end

;--------------------------------------------------------------------------------
function get_sds_attr_value, filename, data_name, sds_ref, attr_match

pro_name = 'get_sds_attr_value'
@getinfoa

sd_id = HDF_SD_START(filename, /READ)
if sd_id eq -1 then begin
	result=dialog_message('Problem to open '+filename+'!', $
		title='View HDF Warning!')
	return, 'BAD'
endif

sds_id = HDF_SD_SELECT(sd_id, sds_ref)
if sds_id eq -1 then begin
	result=dialog_message('Problem to select '+data_name+'!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, 'BAD'
endif

HDF_SD_GETINFO, sds_id, NAME=sds_name, NATTS=nattrs
if nattrs eq 0 then begin
	HDF_SD_ENDACCESS, sds_id
	HDF_SD_END,sd_id
	return, 'BAD'
endif

result = ''
j = 0
for i = 0, nattrs-1 do begin
    HDF_SD_ATTRINFO,sds_id,i,NAME=attr_name,DATA=attr_value,TYPE=attr_type, $
	COUNT=count
    loc = strpos(attr_name,attr_match)
    if loc ne -1 then begin
	if attr_type ne 'STRING' then begin
	    if attr_type eq 'BYTE' then attr_value = fix(attr_value)
	    temp_value = strcompress(strtrim(string(attr_value(0)),2))
	    for k = 1, count-1 do begin
		temp_name = strcompress(strtrim(string(attr_value(k)),2))
		temp_value = temp_value + ';'+temp_name
	    endfor
	endif else begin
	    temp_value = strcompress(strtrim(attr_value,2))
	endelse
	if j eq 0 then result = temp_value $
	    else result = result + '|' + temp_value
	j = j + 1
    endif
endfor

HDF_SD_ENDACCESS, sds_id
HDF_SD_END, sd_id

return,result

end

;--------------------------------------------------------------------------------
function get_sds_attr_name, filename, data_name, sds_ref

pro_name = 'get_sds_attr_name'
@getinfoa

sd_id = HDF_SD_START(filename, /READ)
if sd_id eq -1 then begin
	result=dialog_message('Problem to open '+filename+'!', $
		title='View HDF Warning!')
	return, 'BAD'
endif

sds_id = HDF_SD_SELECT(sd_id, sds_ref)
if sds_id eq -1 then begin
	result=dialog_message('Problem to select '+data_name+'!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, 'BAD'
endif

HDF_SD_GETINFO, sds_id, NAME=sds_name, NDIMS=rank, DIMS=dimsize, $
	NATTS=nattrs, /NOREVERSE
if nattrs eq 0 then begin
	HDF_SD_ENDACCESS, sds_id
	HDF_SD_END,sd_id
	return, 'BAD'
endif

result = ''
if nattrs gt dimsize(rank-1) then begin
    j = 0
    for i = 0, nattrs-1 do begin
	HDF_SD_ATTRINFO,sds_id,i,NAME=attr_name,DATA=attr_value
	loc = strpos(attr_name,'long_name')
	if loc ne -1 then begin
	    temp_value = strcompress(strtrim(attr_value,2))
	    if j eq 0 then result = temp_value $
		else result = result + '|' + temp_value
	    j = j + 1
	endif
    endfor
endif else begin
    for i = 0, nattrs-1 do begin
	HDF_SD_ATTRINFO,sds_id,i,NAME=attr_name
	loc = strpos(attr_name,'-')
	if( loc ne -1) then begin
	    temp_value=strmid(attr_name,0,loc)
	endif else begin
	    temp_value=attr_name
	endelse
	if i eq 0 then result = temp_value $
	    else result = result + '|' + temp_value
    endfor
endelse

if strlen(result) eq 0 then result = 'BAD'

HDF_SD_ENDACCESS, sds_id
HDF_SD_END, sd_id

return,result

end

;--------------------------------------------------------------------------------
function get_sds_attr, filename, data_name, sds_ref

pro_name = 'get_sds_attr'
@getinfoa

sd_id = HDF_SD_START(filename, /READ)
if sd_id eq -1 then begin
	result=dialog_message('Problem to open '+filename+'!', $
		title='View HDF Warning!')
	return, 'BAD'
endif

sds_id = HDF_SD_SELECT(sd_id, sds_ref)
if sds_id eq -1 then begin
	result=dialog_message('Problem to select '+data_name+'!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, 'BAD'
endif

HDF_SD_GETINFO, sds_id, NAME=sds_name, NATTS=nattrs

if nattrs eq 0 then begin
	HDF_SD_ENDACCESS, sds_id
	HDF_SD_END,sd_id
	return, 'No Data'
endif

result = ''
j = 0
for i = 0, nattrs-1 do begin
    HDF_SD_ATTRINFO,sds_id,i,NAME=attr_name,DATA=attr_value, $
	TYPE=attr_type,COUNT=count
    if attr_type ne 'STRING' then begin
	if attr_type eq 'BYTE' then attr_value = fix(attr_value)
	temp_value = strcompress(strtrim(string(attr_value(0)),2))
	for k = 1, count-1 do begin
	    temp_name = strcompress(strtrim(string(attr_value(k)),2))
	    temp_value = temp_value + ';'+temp_name
	endfor
    endif else begin
	temp_value = strcompress(strtrim(attr_value,2))
    endelse
    if j eq 0 then result = attr_name + ': ' + temp_value $
	else result = result + '|' + attr_name + ': ' + temp_value
    j = j + 1
endfor

HDF_SD_ENDACCESS, sds_id
HDF_SD_END, sd_id

return,result

end

;--------------------------------------------------------------------------------
function read_sds, filename, sds_ref, start_list, count_list, $
	increment_list, sds_data

pro_name = 'read_sds'
@getinfo1

sd_id = HDF_SD_START(filename, /READ)
if sd_id eq -1 then begin
	result=dialog_message('Problem to open '+filename+'!', $
		title='View HDF Warning!')
	return, -1
endif

sds_id = HDF_SD_SELECT(sd_id, sds_ref)
if sds_id eq -1 then begin
	result=dialog_message('Problem to select '+data_name+'!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, -1
endif

start = reverse(start_list)
edge = reverse(count_list)
stride = reverse(increment_list)

HDF_SD_GETDATA,sds_id,sds_data,START=start,COUNT=edge,STRIDE=stride

HDF_SD_ENDACCESS,sds_id
HDF_SD_END, sd_id

end

;--------------------------------------------------------------------------------
function get_vdata_fields, filename, data_name, num_field, num_vdata, vdata_ref, $
	n_records

pro_name = 'get_vdata_fields'
@getinfoa

filename = filename(0)
file_id = HDF_OPEN(filename, /READ)
if file_id eq -1 then begin
	result=dialog_message('Unable to open '+filename+'!',$
		title='View HDF Warning!')
	return, 'BAD'
endif
current_vref = HDF_VD_FIND(file_id, data_name)
if current_vref eq 0 then begin
	result=dialog_message('Unable to find '+data_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return, 'BAD'
endif

first_vref = current_vref
num_match = 1
continue_flag = 1
while num_match lt num_vdata and continue_flag eq 1 do begin
	previous_vref = current_vref
	current_vref = HDF_VD_GETID(file_id, previous_vref)
	if current_vref ne -1 then begin
		vdata_id = HDF_VD_ATTACH(file_id, current_vref, /READ)
		if vdata_id ne 0 then begin
			HDF_VD_GET,vdata_id,NAME=vdata_name
			if vdata_name eq data_name then $
				num_match = num_match + 1
			HDF_VD_DETACH,vdata_id
		endif else begin
			current_vref = first_vref
			continue_flag = 0
		endelse
	endif else begin
		current_vref = first_vref
		continue_flag = 0
	endelse
endwhile

vdata_ref = current_vref
vdata_id = HDF_VD_ATTACH(file_id, current_vref, /READ)
if vdata_id ne 0 then begin
	HDF_VD_GET,vdata_id,NFIELDS=num_field,COUNT=n_records,FIELDS=fieldname
	HDF_VD_DETACH,vdata_id
endif else fieldname = 'BAD'

HDF_CLOSE, file_id

return, fieldname

end

;--------------------------------------------------------------------------------
function get_vfield_type, filename, data_name, vdata_ref, vfield_index, $
	output_type, output_order,library

pro_name = 'get_vfield_type'
@getinfoa

filename = filename(0)
file_id = HDF_OPEN(filename, /READ)
if file_id eq -1 then begin
	result=dialog_message('Unable to open '+filename+'!',$
		title='View HDF Warning!')
	return, 'BAD'
endif

vdata_id = HDF_VD_ATTACH(file_id, vdata_ref, /READ)
if vdata_id eq 0 then begin
	result=dialog_message('Unable to attach '+data_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return, 'BAD'
endif

findex = vfield_index(0)
HDF_VD_GETINFO, vdata_id, findex, ORDER=output_order, TYPE=type, $
	NAME=fieldname

output_type = convert_idltypename_hdftype(type)
print,'fieldname = ',fieldname
print,'order = ',output_order
print,'type = ',output_type,'; ',type

HDF_VD_DETACH, vdata_id
HDF_CLOSE, file_id

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + library,   $
	'get_vfield_unit', $
	filename,	$
	data_name,	$
	vdata_ref,	$
	findex,		$
	/s_value)

return, the_result

end

;--------------------------------------------------------------------------------
function get_error_data, hdf_data_x

pro_name = 'get_error_data'
@getinfo1


size_x = size(hdf_data_x)
case size_x(0) of 
	0: temp_data = -9999999.9
	1: temp_data = hdf_data_x(0)
	2: temp_data = hdf_data_x(0,0)
	3: temp_data = hdf_data_x(0,0,0)
	else: temp_data = hdf_data_x
endcase

return, temp_data

end

;--------------------------------------------------------------------------------
function check_command, command_name

pro_name = 'check_command'
@getinfo1

command_line = 'which '+command_name
spawn,command_line,result
num_line = n_elements(result)
valid_command = -1
i = 0
while(valid_command eq -1 and i lt num_line) do begin
	loc=strpos(result(i),"Command not found")
	if loc ne -1 then valid_command = loc
	i = i + 1
endwhile

return,valid_command

end

;--------------------------------------------------------------------------------
function check_directory, directory_name, home_directory

pro_name = 'check_directory'
@getinfo1

temp_directory = ''
temp_directory = home_directory + '/temp_file'
test_file = findfile(temp_directory, count=count)
if count ne 0 then begin
	command_line="\rm -f " + temp_directory
	spawn,command_line,results
endif

test_directory = ''
test_directory = directory_name + '/temp_file.pro'
test_file = findfile(test_directory, count=count)
if count ne 0 then begin
	command_line="\rm -f " + test_directory
	spawn,command_line,results
endif

CD, '.', CURRENT = pwd
command_line = 'cp '+pwd+'/getinfo.pro ' + test_directory + ' >& ' + temp_directory
spawn, command_line, result

test_file = findfile(temp_directory, count=count)
if count ne 0 then begin
	command_line="\rm -f " + temp_directory
	spawn,command_line,results
endif

test_file = findfile(test_directory, count=count)
if count ne 0 then begin
	command_line="\rm -f " + test_directory
	spawn,command_line,results
endif

return, count

end

;--------------------------------------------------------------------------------
function check_exist_dir, directory_name, home_directory

pro_name = 'check_exist_dir'
;@getinfo1

BAD = 0
CATCH, BAD

if BAD ne 0 then begin
        CATCH,/CANCEL
        count = 0
        return,count
endif

CD, directory_name, CURRENT=pwd
count = 1
CD,pwd

return,count

end

;--------------------------------------------------------------------------------
function check_exist_dir_old1, directory_name, home_directory

pro_name = 'check_exist_dir'
@getinfo1

temp_directory = ''
temp_directory = home_directory + '/temp_file'
test_file = findfile(temp_directory, count=count)
if count ne 0 then begin
	command_line="\rm -f " + temp_directory
	spawn,command_line,results
endif

CD, '.', CURRENT=pwd
command_line = 'cd ' + directory_name + ' >& ' + temp_directory
spawn, command_line, result

get_lun, unit
openr, unit, temp_directory, ERROR=err
if err eq 0 then begin
	status = fstat(unit)
	if status.size eq 0 then count = 1 else count = 0
	close, unit
	free_lun, unit
	command_line="\rm -f " + temp_directory
	spawn,command_line,results
endif else count = 0

CD, pwd
return, count

end

;--------------------------------------------------------------------------------
function check_path, directory_name

pro_name = 'check_path'
@getinfo1

length=strlen(directory_name)
char=strmid(directory_name,length-1,1)
if char eq '/' then count = 1 $
	else count = 0

return, count

end

;--------------------------------------------------------------------------------
function check_sds_index, filename, data_name

pro_name = 'check_sds_index'
@getinfo1

sd_id = HDF_SD_START(filename)
if sd_id ne -1 then begin
	old_quiet = !QUIET
	!QUIET=1
	sds_index = HDF_SD_NAMETOINDEX(sd_id, data_name)
	!QUIET=old_quiet
	HDF_SD_END, sd_id
endif else sds_index = -1

return, sds_index

end

;--------------------------------------------------------------------------------
function check_color_table, top_color

pro_name = 'check_color_table'
@getinfo1

bw_color_table = 0
TVLCT, R, G, B, /GET
mid_value = (top_color -  20)/2
if mid_value gt 0 then begin
  if(R(10) eq G(10)) and (G(10) eq B(10)) then begin
    if(R(mid_value) eq G(mid_value)) and (G(mid_value) eq B(mid_value)) then begin
	if(R(top_color-10) eq G(top_color-10)) and (G(top_color-10) eq B(top_color-10)) then begin
		bw_color_table = 1
	endif
    endif
  endif
endif

return, bw_color_table

end

;--------------------------------------------------------------------------------
function get_max_value, this_type, filldata

pro_name = 'get_max_value'
@getinfo1

case this_type of
	 5: max_value = filldata
	 6: max_value = filldata
	20: max_value = 126
	21: max_value = 254
	22: max_value = 32766
	23: max_value = 65534
	24: max_value = 2147483646
	25: max_value = 2147483646
	26: max_value = long64(2) ^ 63 - 2
	27: max_value = ulong64(2) ^ 64 - 2
	else: max_value = filldata
endcase

return, max_value

end

;--------------------------------------------------------------------------------
function get_filldata_value, this_type, filldata

pro_name = 'get_filldata_value'
@getinfo1

case this_type of
	 5: filldata_value = filldata
	 6: filldata_value = filldata
	20: filldata_value = 127
	21: filldata_value = 255
	22: filldata_value = 32767
	23: filldata_value = 65535
	24: filldata_value = 2147483647
	25: filldata_value = 2147483647
	26: filldata_value = long64(2) ^ 63 - 1
        27: filldata_value = ulong64(2) ^ 64 - 1
	else: filldata_value = filldata
endcase

return, filldata_value

end

;--------------------------------------------------------------------------------
function get_filldata, this_type, maxdata

pro_name = 'get_filldata'
@getinfo1

case this_type of
	20: filldata = 127
	21: filldata = 255
	22: filldata = 32767
	23: filldata = 65535
	24: filldata = 2147483647
	25: filldata = 2147483647
	26: filldata = long64(2) ^ 63 - 1
	27: filldata = ulong64(2) ^ 64 - 1
	else: begin
		if maxdata le 32767 then begin
			filldata = maxdata
		endif else if maxdata LT 3.0E+37 then begin
			filldata = maxdata * 10 
		endif else filldata = 3.0E+38
	     end
endcase

return, filldata

end

;--------------------------------------------------------------------------------
function get_bit_values, num_data, start_bit, num_bit, hdf_data

pro_name = 'get_bit_values'
@getinfo1

hdf_data = long(hdf_data)
hdf_data_z = make_array(num_data, /LONG, VALUE=0)
top_bit = 32
end_bit = start_bit + num_bit - 1
num_shift = (top_bit-1)-end_bit
hdf_data_z = ishft(hdf_data,num_shift)
num_shift = (top_bit-1)-(end_bit-start_bit)
hdf_data_z = ishft(hdf_data_z,-num_shift)
max_z = max(hdf_data_z, min=min_z)

return, hdf_data_z

end

;--------------------------------------------------------------------------------
function get_crit_string, this_subset, info

pro_name = 'get_crit_string'
@getinfoa

crit_string = ''

temp_string = info.subset.data(this_subset).src_crit_name
temp_name = str_sep(temp_string,'|')
temp_string = info.subset.data(this_subset).src_crit_min
temp_min = str_sep(temp_string,'|')
temp_string = info.subset.data(this_subset).src_crit_max
temp_max = str_sep(temp_string,'|')
temp_string = info.subset.data(this_subset).src_crit_type
temp_type = str_sep(temp_string,'|')
num_crit = n_elements(temp_name)
crit_string = 'Criterion: '
for i = 0, num_crit-1 do begin
	dot=strpos(temp_name(i), '[')
	if( dot ne -1) then begin
		criterion_name=strmid(temp_name(i),0,dot)
	endif else begin
		criterion_name=temp_name(i)
	endelse

	if i gt 0 then begin
		temp_mod = i mod 2
		if temp_mod eq 1 then $
			crit_string = crit_string + '   ;   ' $
		else begin
			if !D.Name eq 'PS' then crit_string = crit_string + '!C                ' $
			else crit_string = crit_string + '!C          '
		endelse
	endif
	if fix(temp_type(i)) eq 0 then begin
		left_crit_sign = ' <= '
		right_crit_sign = ' <= '
	endif else begin
		left_crit_sign = ' > '
		right_crit_sign = ' OR > '
	endelse
	;crit_string = crit_string + temp_min(i) + ' <= ' + criterion_name
	;crit_string = crit_string + ' <= ' + temp_max(i)
	crit_string = crit_string + temp_min(i) + left_crit_sign + criterion_name
	crit_string = crit_string + right_crit_sign + temp_max(i)
endfor

return, crit_string
	
end

;--------------------------------------------------------------------------------
function get_data_name, data_name

pro_name = 'get_data_name'
@getinfoa

if strpos(data_name,"Data-Set") ne -1 or $
   strpos(data_name,"fakeDim") ne -1 then begin
	check_name=str_sep(data_name, ":")
	true_name = check_name(0)
endif else true_name = data_name

return, true_name

end
 
;--------------------------------------------------------------------------------
function get_vgroup_name, data_name, info

pro_name = 'get_vgroup_name'
@getinfoa

nlayer = info.vgroup.nlayer
temp_title = strtrim(info.vgroup.name_string(1), 2)
for ij = 2 , nlayer do begin
	temp_title = temp_title + ' ' + strtrim(info.vgroup.name_string(ij), 2)
endfor
if strlen(temp_title) gt 0 then begin
	temp_title = '('+temp_title + ')'
	dot = strpos(data_name,'[')
	if dot ne -1 then begin
		num_char = strlen(data_name)
		rest_char = num_char - dot
		temp1 = strmid(data_name,0,dot)
		temp2 = strmid(data_name,dot,rest_char)
		data_name = temp1 + ' ' + temp_title + temp2
	endif else data_name = data_name + ' ' + temp_title
endif

return, data_name

end

;--------------------------------------------------------------------------------
function get_default_file, fullpath

pro_name = 'get_default_file'
@getinfoa

filename = ''

file_length = strlen(fullpath)
if file_length gt 0 then begin
	file_start = rstrpos(fullpath, '/')
	if file_start ne -1 then begin
		file_start = file_start + 1
		length = file_length - file_start
		if length gt 0 then $
			filename = strmid(fullpath, file_start, length) $
		else filename = 'None'
	endif else filename = fullpath
endif else filename = 'None'

return, filename

end

;------------------------------------------------------------------
;		initial_info
;------------------------------------------------------------------
function initial_info, info

pro_name = 'initial_info'
@getinfo1

	info.widgets.x_start=0L
	info.widgets.x_end=0L
	info.widgets.y_start=0L
	info.widgets.y_end=0L
	info.widgets.z_start=0L
	info.widgets.z_end=0L
	info.slide.select = 0

return, info

end

;------------------------------------------------------------------
;		initial_subset_data
;------------------------------------------------------------------
function initial_subset_data, info, this_subset

pro_name = 'initial_subset_data'
@getinfo1

info.subset.data(this_subset).subset_name='subset00'
info.subset.data(this_subset).src_filename=' '
info.subset.data(this_subset).src_unitname=' '
info.subset.data(this_subset).src_type_flag=0
info.subset.data(this_subset).src_transpose=0
info.subset.data(this_subset).src_crit_flag=0
info.subset.data(this_subset).src_crit_name=' '
info.subset.data(this_subset).src_crit_min=' '
info.subset.data(this_subset).src_crit_max=' '
info.subset.data(this_subset).src_crit_type=' '
info.subset.data(this_subset).src_ref=0L
info.subset.data(this_subset).src_rank=0
info.subset.data(this_subset).src_start(*)=0L
info.subset.data(this_subset).src_end(*)=0L
info.subset.data(this_subset).src_increment(*)=0L
info.subset.data(this_subset).src_org_rank=0
info.subset.data(this_subset).src_org_start(*)=0L
info.subset.data(this_subset).src_org_end(*)=0L
info.subset.data(this_subset).src_org_increment(*)=0L
info.subset.data(this_subset).src_fnames(*)=''
info.subset.data(this_subset).src_types(*)=0L
info.subset.data(this_subset).src_order(*)=0L

return, info

end

;------------------------------------------------------------------
;		initial_addtext
;------------------------------------------------------------------
function initial_addtext, info

pro_name = 'initial_addtext'
@getinfo1

	info.addtext.flag=0
	info.addtext.key=0
	info.addtext.text=''
	info.addtext.charsize=''
	info.addtext.xloc=0.0
	info.addtext.yloc=0.0
	info.addtext.x_loc=''
	info.addtext.y_loc=''
	info.addtext.temp_text = ''
	info.addtext.temp_charsize=''
	info.addtext.temp_x_loc=''
	info.addtext.temp_y_loc=''

return, info

end

;------------------------------------------------------------------
;		initial_vgroup
;------------------------------------------------------------------
function initial_vgroup, info

pro_name = 'initial_vgroup'
@getinfo1

	for j = 0, 7 do begin
		if(widget_info(info.vgroup.base(j), /VALID_ID)) then $
			widget_control, info.vgroup.base(j), /destroy
	endfor
	info.vgroup.flag=0
	info.vgroup.nlayer=0
	info.vgroup.base(*)=0L
	info.vgroup.ref(*)=0L
	info.vgroup.id(*) = 0L
	info.vgroup.vref = ''
	info.vgroup.sref = ''
	info.vgroup.name_string(*) = ''
	info.vgroup.vg_id(*)=''
	info.vgroup.vg_name(*)=''

return, info

end

;--------------------------------------------------------------------------------
function diff_graph, event

pro_name = 'diff_graph'
@getinfo1

widget_control, get_uvalue=info, event.top

info.multiple.xy_diff=event.value

widget_control, set_uvalue=info, info.base
widget_control, set_uvalue=info, event.top

end

;------------------------------------------------------------------
;		name_to_index
;------------------------------------------------------------------
function name_to_index, name_of_data, name_list

pro_name = 'name_to_index'
@getinfo1

; Map the field name to the actual index

result = where(name_list eq name_of_data)

return, result

end

;--------------------------------------------------------------------------------
function open_vdata, filename,vdata_name,file_id

pro_name = 'open_vdata'
@getinfo1

file_id = HDF_OPEN(filename, /READ)
if file_id eq -1 then begin
	result=dialog_message('Unable to open '+filename+'!',$
		title='View HDF Warning!')
	return, 0
endif
vdata_ref = HDF_VD_FIND(file_id, vdata_name)
if vdata_ref eq 0 then begin
	result=dialog_message('Unable to find '+vdata_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return, 0
endif
vdata_id = HDF_VD_ATTACH(file_id, vdata_ref, /READ)
if vdata_id eq 0 then begin
	result=dialog_message('Unable to attach '+vdata_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return, 0
endif

return,vdata_id

end

;--------------------------------------------------------------------------------
function set_log_range, log_range, default_min, default_max

pro_name = 'set_log_range'
@getinfo1

log_min = log_range(0)
log_max = log_range(1)

if log_min eq 0 and log_max eq 0 then begin
	log_min = default_min
	log_max = default_max
endif

if log_min le 0 then log_min = 1
if log_max le 0 then log_max = 1
if log_min eq log_max then log_max = log_max + 1

factor = floor(alog10(log_min))
if factor lt 0 then log_min = 10D^factor $
	else log_min = 10L^factor
factor = ceil(alog10(log_max))
if factor lt 0 then log_max = 10D^factor $
	else log_max = 10L^factor

log_range = [log_min, log_max]

return, log_range

end

;--------------------------------------------------------------------------------
function set_criterion_type, event

pro_name = 'set_criterion_type'
@getinfo1

widget_control, get_uvalue=info, event.top

info.criterion.type=event.value

widget_control, set_uvalue=info, event.top

end

;--------------------------------------------------------------------------------
function set_geolocated_data, info, this_subset

pro_name = 'set_geolocated_data'
@getinfo1

widget_control, get_uvalue=info, info.base

if handle_info(info.geolocated.temp_long) then $
	handle_value, info.geolocated.temp_long, hdf_data_x $
else begin
	result=dialog_message('Cannot find geolocated data!.', $
	title='View HDF Warning!')
	return, -1
endelse

if handle_info(info.geolocated.temp_colat) then $
	handle_value, info.geolocated.temp_colat, hdf_data_y
if handle_info(info.geolocated.temp_sate_long) then $
	handle_value, info.geolocated.temp_sate_long, satellite_x $
else info.greenwich.satellite = 0
if handle_info(info.geolocated.temp_sate_colat) then $
	handle_value, info.geolocated.temp_sate_colat, satellite_y $
else info.greenwich.satellite = 0
if handle_info(info.geolocated.temp_sun_long) then $
	handle_value, info.geolocated.temp_sun_long, sun_x $
else info.greenwich.sun = 0
if handle_info(info.geolocated.temp_sun_colat) then $
	handle_value, info.geolocated.temp_sun_colat, sun_y $
else info.greenwich.sun = 0

if info.geolocated.selected eq 1 then begin
    x_starting=info.subset.data(this_subset).src_start(0)
    x_ending=info.subset.data(this_subset).src_end(0)
    if info.subset.data(this_subset).src_type_flag eq 1 then x_ending = x_ending + 1
    x_increment=info.subset.data(this_subset).src_increment(0)

    long_index = info.geolocated.long_index
    long_starting=info.subset.data(long_index).src_start(0)
    long_ending=info.subset.data(long_index).src_end(0)
    long_increment=info.subset.data(long_index).src_increment(0)
    if info.subset.data(long_index).src_type_flag eq 1 then long_ending = long_ending + 1
    if(long_starting gt x_starting or long_ending lt x_ending) then begin
	the_message = ['The range of geolocated data is less than selected data!',$
	'Increase the range of geolocated data and do it again!!!']
	result=dialog_message(the_message, title='View HDF Warning!')
	return, -1
    endif

    if(long_increment ne 1 and long_increment ne x_increment) then begin
	the_message = ['The increment of geolocated data is not equal selected data,',$
	'or the increment of geolocated data is not equal to ONE!', $
	'Change the increment of geolocated data and do it again!!!']
	result=dialog_message(the_message, title='View HDF Warning!')
	return, -1
    endif
endif

if info.subset.data(this_subset).src_type_flag eq 0 then begin
	handle_value, info.subset.data(this_subset).src_data, hdf_data_z
	this_rank = info.subset.data(this_subset).src_rank
	start_list = info.subset.data(this_subset).src_start(0:this_rank-1)
	end_list = info.subset.data(this_subset).src_end(0:this_rank-1)
	increment_list = info.subset.data(this_subset).src_increment(0:this_rank-1)

  	hdf_size_z = size(hdf_data_z)
	hdf_size_x = size(hdf_data_x)

	if this_rank eq 1 then begin
		true_start = info.subset.data(this_subset).src_start(this_rank)
		true_end = info.subset.data(this_subset).src_end(this_rank)
    		if true_start ne start_list(0) or true_end ne end_list(0) then begin
			starting = true_start - info.geolocated.starting
			ending = true_end - info.geolocated.starting - 1
			increment = 1
			;hdf_data_z = reform(hdf_data_z, n_elements(hdf_data_z), 1)
			if hdf_size_x(0) eq 1 then begin
				hdf_data_x = reform(hdf_data_x, n_elements(hdf_data_x), 1)
				hdf_data_y = reform(hdf_data_y, n_elements(hdf_data_y), 1)
			endif
		endif else begin
			starting = start_list(0) - info.geolocated.starting
			ending = end_list(0) - info.geolocated.starting - 1
			increment = increment_list(0)
		endelse
	endif else begin
		if hdf_size_x(0) eq 1 and hdf_size_z(0) eq 1 then begin
			hdf_data_x = reform(hdf_data_x, n_elements(hdf_data_x), 1)
			hdf_data_y = reform(hdf_data_y, n_elements(hdf_data_y), 1)
		endif 
		starting = start_list(0) - info.geolocated.starting
		ending = end_list(0) - info.geolocated.starting - 1
		increment = increment_list(0)
	endelse
	hdf_size_z = size(hdf_data_z)
	hdf_size_x = size(hdf_data_x)

	if info.geolocated.selected eq 1 then begin
	    if (long_increment ne 1) and (long_increment eq increment) then begin
		    starting = starting/increment
		    ending = long((ending+1.0)/increment + 0.9) - 1
		    increment = 1
	    endif
	endif
				
	temp_error_data = get_error_data(satellite_x)
	if temp_error_data ge -180.0 then begin
		satellite_x = satellite_x(starting:ending)
		satellite_y = satellite_y(starting:ending)
	endif else info.greenwich.satellite = 0
	temp_error_data = get_error_data(sun_x)
	if temp_error_data ge -180.0 then begin
		sun_x = sun_x(starting:ending)
		sun_y = sun_y(starting:ending)
	endif else info.greenwich.sun = 0

	case hdf_size_x(0) of
	   1: begin
			hdf_data_x = hdf_data_x(starting:ending)
			hdf_data_y = hdf_data_y(starting:ending)
	      end
	   2: begin
			hdf_data_x = hdf_data_x(*, starting:ending)
                	hdf_data_y = hdf_data_y(*, starting:ending)
	      end
	   else: begin
		result=dialog_message('Do not support the data with rank of '+ $
			strcompress(string(hdf_size_x(0)), /REMOVE_ALL) + $
			' for Geolocated Data!',$
			title='View HDF Warning!')
		return, -1
	      end
	endcase
	hdf_size_x=size(hdf_data_x)

	case hdf_size_z(0) of
	   1: begin
		if increment eq 1 then begin
		   case hdf_size_x(0) of
			1: begin
				;hdf_data_x = hdf_data_x(x_starting:x_ending)
				;hdf_data_y = hdf_data_y(x_starting:x_ending)
			   end
		   	2: begin
				temp = 168
				if hdf_size_x(1) lt 168 then temp = fix(hdf_size_x(1) / 2)
				hdf_data_x = hdf_data_x(temp,*)
				hdf_data_y = hdf_data_y(temp,*)
			   end
			else: begin
				result=dialog_message('Do not support the data with rank of '+ $
					strcompress(string(hdf_size_x(0)), /REMOVE_ALL) + $
					' for Geolocated Data!',$
					title='View HDF Warning!')
				return, -1
			   end
		   endcase
		endif else begin
		    if this_rank eq 1 then begin
			x_starting = start_list(0)
			x_ending = end_list(0)-1
			x_increment = increment_list(0)
		    endif else begin
			if end_list(0) - start_list(0) gt 1 then begin
			    x_starting = start_list(0)
			    x_ending = end_list(0)-1
			    x_increment = increment_list(0)
			endif else if end_list(1) - start_list(1) gt 1 then begin
			    x_starting = start_list(1)
			    x_ending = end_list(1)-1
			    x_increment = increment_list(1)
			endif else if end_list(2) - start_list(2) gt 1 then begin
			    x_starting = start_list(2)
			    x_ending = end_list(2)-1
			    x_increment = increment_list(2)
			endif else begin
			    x_starting = start_list(0)
			    x_ending = end_list(0)-1
			    x_increment = increment_list(0)
			endelse
		    endelse

			array_size = long((x_ending-x_starting+1)/float(x_increment) + 0.9)
			x_temp_data = array_type(5, array_size)
			if (x_temp_data(0) eq -1) then begin
				result=dialog_message('Unable to allocate memory for temporary x data!',$
					title='View HDF Warning!')
        			return, -1
			endif
			y_temp_data = array_type(5, array_size)
			if (y_temp_data(0) eq -1) then begin
				result=dialog_message('Unable to allocate memory for temporary y data!',$
					title='View HDF Warning!')
        			return, -1
			endif
			jj = 0L
			kk = 0L
			for j = x_starting, x_ending, x_increment do begin
			    case hdf_size_x(0) of
				 1: begin
					x_temp_data(jj) = hdf_data_x(kk)
					y_temp_data(jj) = hdf_data_y(kk)
				    end
				 2: begin
					temp = 168
					if hdf_size_x(1) lt 168 then temp = fix(hdf_size_x(1) / 2)
					x_temp_data(jj) = hdf_data_x(temp,kk)
					y_temp_data(jj) = hdf_data_y(temp,kk)
				    end
				 else: begin
					result=dialog_message('Do not support the data with rank of '+ $
						strcompress(string(hdf_size_z(0)), /REMOVE_ALL) + $
						' for Geolocated Data!',$
						title='View HDF Warning!')
					return, -1
			   	    end
		   	    endcase
				jj = jj + 1
				kk = kk + x_increment
			endfor
			hdf_data_x = x_temp_data
			hdf_data_y = y_temp_data
		endelse
	      end 
	   2: begin
		x_starting = starting
		x_ending = ending
		x_increment = increment
		y_starting = start_list(1)
		y_ending = end_list(1)-1
		y_increment = increment_list(1)
		if hdf_size_x(0) eq 2 then begin
		    if info.geolocated.selected eq 1 then begin
			long_starting=info.subset.data(long_index).src_start(1)
			long_ending=info.subset.data(long_index).src_end(1)
			long_increment=info.subset.data(long_index).src_increment(1)
			if(long_starting gt y_starting or long_ending lt y_ending) then begin
			    the_message = ['The range of geolocated data is less than selected data!',$
				'Increase the range of geolocated data and do it again!!!']
			    result=dialog_message(the_message, title='View HDF Warning!')
			    return, -1
			endif

			if(long_increment ne 1 and long_increment ne y_increment) then begin
			    the_message = ['The increment of geolocated data is not equal selected data,',$
				'or the increment of geolocated data is not equal to ONE!', $
				'Change the increment of geolocated data and do it again!!!']
			    result=dialog_message(the_message, title='View HDF Warning!')
			    return, -1
			endif

			y_starting = y_starting - long_starting
			y_ending = y_ending - long_starting
			if (long_increment ne 1) and (long_increment eq y_increment) then begin
			    y_starting = y_starting/y_increment
			    y_ending = long((y_ending+1.0)/y_increment + 0.9) - 1
			    y_increment = 1
			endif

		    endif
		    hdf_data_x = hdf_data_x(y_starting:y_ending, *)
		    hdf_data_y = hdf_data_y(y_starting:y_ending, *)
		endif
	
		if x_increment eq 1 and y_increment eq 1 then begin
		    case hdf_size_x(0) of
			  1: begin
				temp = 168
				if hdf_size_z(1) lt 168 then temp = fix(hdf_size_z(1)/2)
				hdf_data_z = hdf_data_z(temp, *)
			     end
		   	  2: begin
				;hdf_data_x = hdf_data_x(y_starting:y_ending, *)
				;hdf_data_y = hdf_data_y(y_starting:y_ending, *)
			     end
			  else: begin
				result=dialog_message('Do not support the data with rank of '+ $
					strcompress(string(hdf_size_z(0)), /REMOVE_ALL) + $
					' for Geolocated Data!',$
					title='View HDF Warning!')
				return, -1
			     end
		    endcase
		endif else begin
			if hdf_size_x(0) eq 1 then $
				array_size = long((end_list(0) - start_list(0)) $
					/float(increment_list(0)) + 0.9)  $
			else array_size = long((end_list-start_list)/float(increment_list) + 0.9)
			x_temp_data = array_type(5, array_size)
			if (x_temp_data(0) eq -1) then begin
				result=dialog_message('Unable to allocate memory for temporary x data!',$
					title='View HDF Warning!')
        			return, -1
			endif
			y_temp_data = array_type(5, array_size)
			if (y_temp_data(0) eq -1) then begin
				result=dialog_message('Unable to allocate memory for temporary y data!',$
					title='View HDF Warning!')
        			return, -1
			endif
			if hdf_size_x(0) eq 1 then begin
				this_type = info.subset.data(this_subset).src_types
				this_type = this_type(0)
				z_temp_data = array_type(this_type, array_size)
				if (z_temp_data(0) eq -1) then begin
					result=dialog_message('Unable to allocate memory for temporary z data!',$
						title='View HDF Warning!')
        				return, -1
				endif
			endif
			jj = 0L
			ii = 0L
			for j = x_starting, x_ending, x_increment do begin
			    case hdf_size_x(0) of
				 1: begin
					temp = 168
					if hdf_size_z(1) lt 168 then temp = fix(hdf_size_z(1)/2)
					z_temp_data(jj) = hdf_data_z(temp, jj)
					x_temp_data(jj) = hdf_data_x(ii)
					y_temp_data(jj) = hdf_data_y(ii)
				    end
				 2: begin
					kk = 0L
					mm = 0L
					for k = y_starting, y_ending, y_increment do begin
						x_temp_data(kk,jj) = hdf_data_x(mm,ii)
						y_temp_data(kk,jj) = hdf_data_y(mm,ii)
						kk = kk + 1
						mm = mm + y_increment
					endfor
				    end
				 else: begin
					result=dialog_message('Do not support the data with rank of '+ $
						strcompress(string(hdf_size_z(0)), /REMOVE_ALL) + $
						' for Geolocated Data!',$
						title='View HDF Warning!')
					return, -1
			   	    end
			    endcase
				ii = ii + x_increment
				jj = jj + 1
			endfor
			if hdf_size_x(0) eq 1 then hdf_data_z = z_temp_data
			hdf_data_x = x_temp_data
			hdf_data_y = y_temp_data
		endelse
	      end 
	    else: begin
			result=dialog_message('Do not support the data with rank of '+ $
				strcompress(string(hdf_size_z(0)), /REMOVE_ALL) + $
				' for Geolocated Data!',$
				title='View HDF Warning!')
		return, -1
	      end
	endcase

endif else begin
	handle_value, info.subset.data(this_subset).src_data, hdf_z_temp
	hdf_data_z = reform(hdf_z_temp.components0, n_elements(hdf_z_temp.components0))
  	this_order = info.subset.data(this_subset).src_order(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_start = info.subset.data(this_subset).src_start(0)
	this_increment = info.subset.data(this_subset).src_increment(0)

	starting = this_start - info.geolocated.starting
	ending = this_end - info.geolocated.starting

	hdf_size_z = size(hdf_data_z)
	hdf_size_x = size(hdf_data_x)

	if info.geolocated.selected eq 1 then begin
	    if (long_increment ne 1) and (long_increment eq this_increment) then begin
		starting = starting/this_increment
		ending = long((ending+1.0)/this_increment + 0.9) - 1
		this_increment = 1
	    endif
	endif

	temp_error_data = get_error_data(satellite_x)
	if temp_error_data ge -180.0 then begin
		satellite_x = satellite_x(starting:ending)
		satellite_y = satellite_y(starting:ending)
	endif else info.greenwich.satellite = 0
	temp_error_data = get_error_data(sun_x)
	if temp_error_data ge -180.0 then begin
		sun_x = sun_x(starting:ending)
		sun_y = sun_y(starting:ending)
	endif else info.greenwich.sun = 0

	hdf_size_x = size(hdf_data_x)
	case hdf_size_x(0) of
	   1: begin
		hdf_data_x = hdf_data_x(starting:ending)
		hdf_data_y = hdf_data_y(starting:ending)
	      end
	   2: begin
		hdf_data_x = hdf_data_x(*, starting:ending)
                hdf_data_y = hdf_data_y(*, starting:ending)
	      end
	   else: begin
		result=dialog_message('Do not support the data with rank of '+ $
			strcompress(string(hdf_size_x(0)), /REMOVE_ALL) + $
			' for Geolocated Data!',$
			title='View HDF Warning!')
		return, -1
	      end
	endcase
	hdf_size_x=size(hdf_data_x)

	if this_order eq 1 and this_increment eq 1 then begin
	   case hdf_size_x(0) of
		1: 
	   	2: begin
			temp = 168
			if hdf_size_x(1) lt 168 then temp = fix(hdf_size_x(1) / 2)
			hdf_data_x = hdf_data_x(temp,*)
			hdf_data_y = hdf_data_y(temp,*)
		   end
		else: begin
			result=dialog_message('Do not support the longitude data with rank of '+ $
				strcompress(string(hdf_size_z(0)), /REMOVE_ALL) + $
				' for Geolocated Data!',$
				title='View HDF Warning!')
			return, -1
		   end
	   endcase
	endif else begin
		this_range = (this_end - this_start)/this_increment
		this_range = this_range + 1
		this_interval = 492/this_order
		array_size = this_range * this_order
		x_temp_data = array_type(5, array_size)
		if (x_temp_data(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for temporary x data!',$
				title='View HDF Warning!')
       			return, -1
		endif
		y_temp_data = array_type(5, array_size)
		if (y_temp_data(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for temporary y data!',$
				title='View HDF Warning!')
       			return, -1
		endif
		if hdf_size_x(0) eq 1 and this_order gt 1 then begin
			this_type = info.subset.data(this_subset).src_types
			this_type = this_type(0)
			z_temp_data = array_type(this_type, array_size)
			if (z_temp_data(0) eq -1) then begin
				result=dialog_message('Unable to allocate memory for temporary z data!',$
					title='View HDF Warning!')
        			return, -1
			endif
		endif
		k = 0L
		jj = 0L
		for i = this_start, this_end, this_increment do begin
			case hdf_size_x(0) of
			     1: begin
				  if this_order gt 1 then begin
					ijk = k * this_order
					z_temp_data(k) = hdf_data_z(ijk)
				  endif
				  x_temp_data(k) = hdf_data_x(jj)
				  y_temp_data(k) = hdf_data_y(jj)
          			  k = k + 1
				  jj = jj + this_increment
				end
			     2: begin
				  for j = 0, this_order-1 do begin
					ijk = 168 + j * this_interval
					x_temp_data(k) = hdf_data_x(ijk, jj)
					y_temp_data(k) = hdf_data_y(ijk, jj)
					k = k + 1
				  endfor
				  jj = jj + this_increment
				end
			     else: begin
					result=dialog_message('Do not support the data with rank of '+ $
						strcompress(string(hdf_size_z(0)), /REMOVE_ALL) + $
						' for Geolocated Data!',$
						title='View HDF Warning!')
					return, -1
	      			    end
			endcase
    		endfor

		hdf_data_x = x_temp_data
		hdf_data_y = y_temp_data
		if hdf_data_x(0) eq 1 and this_order gt 1 then hdf_data_z = z_temp_data
	endelse
endelse

	if handle_info(info.geolocated.hdf_z) then handle_free, $
		info.geolocated.hdf_z
	info.geolocated.hdf_z=handle_create(/NO_COPY)
	handle_value,info.geolocated.hdf_z,hdf_data_z,/set, /NO_COPY

	if handle_info(info.geolocated.long) then handle_free, $
		info.geolocated.long
	info.geolocated.long=handle_create(/NO_COPY)
	handle_value,info.geolocated.long,hdf_data_x,/set, /NO_COPY

	if handle_info(info.geolocated.colat) then handle_free, $
		info.geolocated.colat
	info.geolocated.colat=handle_create(/NO_COPY)
	handle_value,info.geolocated.colat,hdf_data_y,/set, /NO_COPY
 
	temp_error_data = get_error_data(satellite_x)
	if handle_info(info.geolocated.sate_long) then handle_free, $
		info.geolocated.sate_long
	if handle_info(info.geolocated.sate_colat) then handle_free, $
		info.geolocated.sate_colat
	if temp_error_data ge -180.0 then begin
		info.geolocated.sate_long=handle_create(/NO_COPY)
		handle_value,info.geolocated.sate_long,satellite_x,/set, /NO_COPY
		info.geolocated.sate_colat=handle_create(/NO_COPY)
		handle_value,info.geolocated.sate_colat,satellite_y,/set, /NO_COPY
	endif else info.greenwich.satellite = 0

 
	temp_error_data = get_error_data(sun_x)
	if handle_info(info.geolocated.sun_long) then handle_free, $
		info.geolocated.sun_long
	if handle_info(info.geolocated.sun_colat) then handle_free, $
		info.geolocated.sun_colat
	if temp_error_data ge -180.0 then begin
		info.geolocated.sun_long=handle_create(/NO_COPY)
		handle_value,info.geolocated.sun_long,sun_x,/set, /NO_COPY
		info.geolocated.sun_colat=handle_create(/NO_COPY)
		handle_value,info.geolocated.sun_colat,sun_y,/set, /NO_COPY
	endif

widget_control, set_uvalue=info, info.base

return, 0

end

;------------------------------------------------------------------
function set_previous_file, event

pro_name = 'set_previous_file'
@getinfo1

widget_control, get_uvalue=info, event.top

info.previous_file.current = info.previous_file.store(event.value) 

widget_control, set_uvalue=info, event.top

END

;--------------------------------------------------------------------------------
function store_open_file, info

pro_name = 'store_open_file'
@getinfo1

filename = info.current_file
filename = filename(0)
max_file = info.open_file.max

subscript = where(info.open_file.file eq filename, count)
if count eq 0 then begin
	info.open_file.file(1:max_file-1) = info.open_file.file(0:max_file-2)
	info.open_file.sds_list(1:max_file-1) = info.open_file.sds_list(0:max_file-2)
	info.open_file.vdata_list(1:max_file-1) = info.open_file.vdata_list(0:max_file-2)
	info.open_file.flag(1:max_file-1) = info.open_file.flag(0:max_file-2)
	info.open_file.ssf_file(1:max_file-1) = info.open_file.ssf_file(0:max_file-2)
	info.open_file.bds_file(1:max_file-1) = info.open_file.bds_file(0:max_file-2)
	info.open_file.fill_data(1:max_file-1) = info.open_file.fill_data(0:max_file-2)
	info.open_file.vref(1:max_file-1) = info.open_file.vref(0:max_file-2)
	info.open_file.vg_id(1:max_file-1) = info.open_file.vg_id(0:max_file-2)
	info.open_file.vg_name(1:max_file-1) = info.open_file.vg_name(0:max_file-2)
	if info.open_file.count lt info.open_file.max then $
		info.open_file.count = info.open_file.count + 1
endif else begin
	if subscript(0) ne 0 then begin
	    info.open_file.file(1:subscript(0)) = info.open_file.file(0:subscript(0)-1)
	    info.open_file.sds_list(1:subscript(0)) = info.open_file.sds_list(0:subscript(0)-1)
	    info.open_file.vdata_list(1:subscript(0)) = info.open_file.vdata_list(0:subscript(0)-1)
	    info.open_file.flag(1:subscript(0)) = info.open_file.flag(0:subscript(0)-1)
	    info.open_file.ssf_file(1:subscript(0)) = info.open_file.ssf_file(0:subscript(0)-1)
	    info.open_file.bds_file(1:subscript(0)) = info.open_file.bds_file(0:subscript(0)-1)
	    info.open_file.fill_data(1:subscript(0)) = info.open_file.fill_data(0:subscript(0)-1)
	    info.open_file.vref(1:subscript(0)) = info.open_file.vref(0:subscript(0)-1)
	    info.open_file.vg_id(1:subscript(0)) = info.open_file.vg_id(0:subscript(0)-1)
	    info.open_file.vg_name(1:subscript(0)) = info.open_file.vg_name(0:subscript(0)-1)
	endif else return, info
endelse

info.open_file.file(0) = filename
info.open_file.sds_list(0) = ''
info.open_file.vdata_list(0) = ''
info.open_file.flag(0) = 0
info.open_file.ssf_file(0) = info.ssf.file
info.open_file.bds_file(0) = info.bds_file
info.open_file.fill_data(0) = info.filldata
info.open_file.vref(0) = ''
info.open_file.vg_id(0) = ''
info.open_file.vg_name(0) = ''

if info.vgroup.flag eq 1 then begin
	info.open_file.flag(0) = 1
	info.open_file.vg_id(0) = info.vgroup.vg_id(0)
	info.open_file.vg_name(0) = info.vgroup.vg_name(0)
	length = strlen(info.vgroup.vref)
	if length gt 0 then begin
		info.open_file.vref(0) = info.vgroup.vref
		num_list = n_elements(info.name_list_vdata)
		if num_list gt 0 then begin
			vdata_list = info.name_list_vdata(0)
			for i = 1, num_list-1 do begin
				vdata_list = vdata_list + '|'
				vdata_list = vdata_list + info.name_list_vdata(i)
			endfor
			info.open_file.vdata_list(0) = vdata_list
		endif
	endif
endif else begin
	num_list = n_elements(info.name_list_sds)
	if num_list gt 0 then begin
		sds_list = info.name_list_sds(0)
		for i = 1, num_list-1 do begin
			sds_list = sds_list + '|'
			sds_list = sds_list + info.name_list_sds(i)
		endfor
		info.open_file.sds_list(0) = sds_list
	endif
	num_list = n_elements(info.name_list_vdata)
	if num_list gt 0 then begin
		vdata_list = info.name_list_vdata(0)
		for i = 1, num_list-1 do begin
			vdata_list = vdata_list + '|'
			vdata_list = vdata_list + info.name_list_vdata(i)
		endfor
		info.open_file.vdata_list(0) = vdata_list
	endif
endelse

return, info

end

;--------------------------------------------------------------------------------
function store_previous_file, info

pro_name = 'store_previous_file'
@getinfo1

current_file = info.current_file
current_file = current_file(0)
max_file = info.previous_file.max

subscript = where(info.previous_file.store eq current_file, count)
if count eq 0 then begin
	info.previous_file.store(1:max_file-1) = info.previous_file.store(0:max_file-2)
	info.previous_file.store(0) = current_file
endif else begin
	if subscript(0) ne 0 then begin
	    info.previous_file.store(1:subscript(0)) = info.previous_file.store(0:subscript(0)-1)
	    info.previous_file.store(0) = current_file
	endif
endelse

return, info

end

;--------------------------------------------------------------------------------
pro about_view_hdf, info, flag

pro_name = 'about_view_hdf'
@getinfo

if flag eq 0 then begin
	text2="http://asd-www.larc.nasa.gov/ceres/view_hdf"
	text5="Contact: Kam-Pui Lee"
	text6="(757) 827-4864"
	text7="k.lee@larc.nasa.gov"
endif else begin
	text2="http://eosweb.larc.nasa.gov/HPDOCS/view_hdf.html"
	text5="Contact: Langley DAAC User and Data Services Office"
	text6="(757) 864-8656"
	text7="larc@eos.nasa.gov"
endelse

base = widget_base(COLUMN=1, MAP=1, TITLE='About View_HDF', XSIZE=400, YSIZE=270)

textspid=widget_label(base, value = " ", /ALIGN_CENTER, FONT=info.font)

textid=widget_label(base, value = "View_HDF", /ALIGN_CENTER, FONT=info.font)

text2id=widget_label(base, value = text2, /ALIGN_CENTER, FONT=info.font)

textsp1id=widget_label(base, value = " ", /ALIGN_CENTER, FONT=info.font)

text3="Version Number: 2.3.0"
text3id=widget_label(base, value = text3, /ALIGN_CENTER, FONT=info.font)

text4="Last Updated: July 17, 2000"
text4id=widget_label(base, value = text4, /ALIGN_CENTER, FONT=info.font)

text5id=widget_label(base, value = text5, /ALIGN_CENTER, FONT=info.font)

text6id=widget_label(base, value = text6, /ALIGN_CENTER, FONT=info.font)

text7id=widget_label(base, value = text7, /ALIGN_CENTER, FONT=info.font)

textsp2id=widget_label(base, value = " ", /ALIGN_CENTER, FONT=info.font)

button2=widget_button(base, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
	 /ALIGN_CENTER)

widget_control, /realize, base

end

;------------------------------------------------------------------
pro addtext_message, info

pro_name = 'addtext_message'
@getinfo

if(widget_info(info.widgets.base, /VALID_ID)) then begin
	info.addtext.flag = 1
	widget_control, set_uvalue=info, info.widgets.base
endif else begin
	the_message = [ 'Problem to add text in this draw window.',$
		'You may need to close this window and do it again.']
	result= dialog_message(the_message, title='View HDF Warning')
	return
endelse

the_message = [ 'Move the CURSOR to the location where ',$
	'text will be added and PRESS LEFT MOUSE BUTTON.']
result= dialog_message(the_message, /information, $
	title='Select Position to add text')


end

;--------------------------------------------------------------------------------
pro add_text_doneCB, event

pro_name = 'add_text_doneCB'
@getinfo

widget_control, get_uvalue=uval, event.id
widget_control, get_uvalue=info, event.top

case uval of 

   'add': begin
	widget_control, get_value=temp, info.text_widgets.text
	temp=temp(0)
	length = strlen(temp)
	if length eq 0 then return
	widget_control, get_value=charsize, info.text_widgets.size
	x = info.addtext.xloc
	y = info.addtext.yloc
	;xyouts, x, y, temp, /NORMAL, font=info.char.font, charsize=charsize
	xyouts, x, y, temp, /DATA, font=info.char.font, charsize=charsize, /noclip
	widget_control, info.text_widgets.add, sensitive=0
	widget_control, info.text_widgets.clear, sensitive=0
	widget_control, info.text_widgets.next, sensitive=1
	widget_control, info.text_widgets.remove, sensitive=1
   end

   'clear': begin
	temp=''
	widget_control, set_value=temp, info.text_widgets.text
   end

   'next': begin
	widget_control, get_value=temp, info.text_widgets.text
	temp=temp(0)
	length = strlen(temp)
	if length gt 0 then begin
		widget_control, get_value=charsize, info.text_widgets.size
		x = info.addtext.xloc
		y = info.addtext.yloc
		length=strlen(info.addtext.text)
		if length eq 0 or info.addtext.key eq 0 then begin
			info.addtext.text = strtrim(temp, 2) + '|'
			info.addtext.charsize = strtrim(string(charsize),2) + '|'
			info.addtext.x_loc = strtrim(string(x),2) + '|'
			info.addtext.y_loc = strtrim(string(y),2) + '|'
			info.addtext.key = 1
		endif else begin
			info.addtext.text = info.addtext.text + strtrim(temp,2) + '|'
			info.addtext.charsize = info.addtext.charsize + strtrim(string(charsize),2) + '|'
			info.addtext.x_loc = info.addtext.x_loc + strtrim(string(x),2) + '|'
			info.addtext.y_loc = info.addtext.y_loc + strtrim(string(y),2) + '|'
		endelse
		norm_coord = convert_coord(x,y,/DATA, /TO_NORMAL)
		x_norm = norm_coord(0,0)
		y_norm = norm_coord(1,0)
		y_norm = y_norm - 0.03 * charsize
		data_coord = convert_coord(x_norm, y_norm, /NORMAL, /TO_DATA)
		info.addtext.yloc = data_coord(1,0)
		;info.addtext.yloc = info.addtext.yloc - 0.03 * charsize
		widget_control, set_uvalue=info, event.top
	endif
	temp = ''
	widget_control, info.text_widgets.text, set_value=temp
	widget_control, info.text_widgets.add, sensitive=1
        widget_control, info.text_widgets.clear, sensitive=1
        widget_control, info.text_widgets.next, sensitive=0
        widget_control, info.text_widgets.remove, sensitive=0
   end

   'done': begin
	widget_control, get_value=temp, info.text_widgets.text
	temp=temp(0)
	length = strlen(temp)
	if length gt 0 then begin
		widget_control, get_value=charsize, info.text_widgets.size
		x = info.addtext.xloc
		y = info.addtext.yloc
		;xyouts, x, y, temp, /NORMAL, font=info.char.font, charsize=charsize
		xyouts, x, y, temp, /DATA, font=info.char.font, charsize=charsize, /noclip
		length=strlen(info.addtext.text)
		if length eq 0 or info.addtext.key eq 0 then begin
			info.addtext.text = strtrim(temp, 2)
			info.addtext.charsize = strtrim(string(charsize),2)
			info.addtext.x_loc = strtrim(string(x),2)
			info.addtext.y_loc = strtrim(string(y),2)
			info.addtext.key = 1
		endif else begin
			info.addtext.text = info.addtext.text + strtrim(temp,2)
			info.addtext.charsize = info.addtext.charsize + strtrim(string(charsize),2)
			info.addtext.x_loc = info.addtext.x_loc + strtrim(string(x),2)
			info.addtext.y_loc = info.addtext.y_loc + strtrim(string(y),2)
		endelse 
	endif
	length = strlen(info.addtext.temp_text)
	if length gt 0 then begin
		len_text = strlen(info.addtext.text)
		if len_text gt 0 then begin
			info.addtext.text = info.addtext.temp_text + '|' + info.addtext.text
			info.addtext.charsize = info.addtext.temp_charsize + '|' + $
				info.addtext.charsize
			info.addtext.x_loc = info.addtext.temp_x_loc + '|' + info.addtext.x_loc
			info.addtext.y_loc = info.addtext.temp_y_loc + '|' + info.addtext.y_loc
		endif else begin
			info.addtext.text = info.addtext.temp_text
			info.addtext.charsize = info.addtext.temp_charsize
			info.addtext.x_loc = info.addtext.temp_x_loc
			info.addtext.y_loc = info.addtext.temp_y_loc
		endelse
	endif
	info.addtext.flag = 0
	if(widget_info(info.widgets.base, /VALID_ID)) then $
		widget_control, set_uvalue=info, info.widgets.base
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
   end

   'cancel': begin
	widget_control, get_value=temp, info.text_widgets.text
	temp=temp(0)
	length = strlen(temp)
	if length gt 0 then begin
		widget_control, get_value=charsize, info.text_widgets.size
		x = info.addtext.xloc
		y = info.addtext.yloc
		color = !P.BACKGROUND
		;xyouts, x , y, temp, /NORMAL, font=info.char.font, charsize=charsize, $
		xyouts, x , y, temp, /DATA, font=info.char.font, charsize=charsize, $
			color=color, /noclip
	endif
	length = strlen(info.addtext.text)
	if length gt 0 then begin
		color = !P.BACKGROUND
		text_array = str_sep(info.addtext.text, '|')
		size_array = str_sep(info.addtext.charsize, '|')
		xloc_array = str_sep(info.addtext.x_loc, '|')
		yloc_array = str_sep(info.addtext.y_loc, '|')
		num_text = n_elements(text_array)
		for i=0, num_text-1 do begin
			xyouts, float(xloc_array(i)), float(yloc_array(i)), $
				;text_array(i), /NORMAL, font=info.char.font, $
				text_array(i), /DATA, font=info.char.font, $
				charsize=float(size_array(i)), color=color, /noclip
		endfor
	endif
	length = strlen(info.addtext.temp_text)
	if length gt 0 then begin
		info.addtext.text = info.addtext.temp_text
		info.addtext.charsize = info.addtext.temp_charsize
		info.addtext.x_loc = info.addtext.temp_x_loc
		info.addtext.y_loc = info.addtext.temp_y_loc
	endif else info = initial_addtext(info)

	if(widget_info(info.widgets.base, /VALID_ID)) then $
		widget_control, set_uvalue=info, info.widgets.base
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
   end

   'remove': begin
	widget_control, get_value=temp, info.text_widgets.text
	temp=temp(0)
	length = strlen(temp)
	if length gt 0 then begin
		widget_control, get_value=charsize, info.text_widgets.size
		x = info.addtext.xloc
		y = info.addtext.yloc
		color = !P.BACKGROUND
		;xyouts, x, y, temp, /NORMAL, font=info.char.font, charsize=charsize, $
		xyouts, x, y, temp, /DATA, font=info.char.font, charsize=charsize, $
			color=color, /noclip
	endif
	temp=''
	widget_control, info.text_widgets.text, set_value=temp
	widget_control, info.text_widgets.add, sensitive=1
	widget_control, info.text_widgets.clear, sensitive=1
	widget_control, info.text_widgets.next, sensitive=0
	widget_control, info.text_widgets.remove, sensitive=0
   end

   else:

endcase

end

;------------------------------------------------------------------
pro add_text, x, y, info

pro_name = 'add_text'
@getinfo

info.addtext.xloc = x
info.addtext.yloc = y

info.addtext.temp_text = info.addtext.text
info.addtext.temp_charsize = info.addtext.charsize
info.addtext.temp_x_loc = info.addtext.x_loc
info.addtext.temp_y_loc = info.addtext.y_loc
info.addtext.text = ''
info.addtext.charsize = ''
info.addtext.x_loc = ''
info.addtext.y_loc = ''

base = widget_base(COLUMN=1, MAP=1, UVALUE=info, $
	EVENT_PRO='add_text_doneCB', TITLE='Add Text')

info.text_widgets.text = CW_FIELD(base, ROW=1, STRING=1, $
	FIELDFONT=info.font, FONT=info.font, TITLE='Text:', $
	XSIZE=50)

info.text_widgets.size = CW_FIELD(base, ROW=1, FLOATING=1, $
	FIELDFONT=info.font, FONT=info.font, TITLE='Character Size:', $
	XSIZE=10, value=1.0)

group1=widget_base(base, row=1,map=1, space=100, /align_center)

info.text_widgets.add=widget_button(group1, FONT=info.font, $
	VALUE="Add", /ALIGN_CENTER, uvalue='add')

info.text_widgets.clear=widget_button(group1, FONT=info.font, $
	VALUE="Clear", /ALIGN_CENTER, uvalue='clear')

group2=widget_base(base, row=1,map=1, space=30, /align_center)

info.text_widgets.next=widget_button(group2, FONT=info.font, $
	VALUE="Next Line", /ALIGN_CENTER, uvalue='next')

button4=widget_button(group2, FONT=info.font, VALUE="Done",$
	 /ALIGN_CENTER, uvalue='done')

button5=widget_button(group2, FONT=info.font, VALUE="Cancel",$
	 /ALIGN_CENTER, uvalue='cancel')

info.text_widgets.remove=widget_button(group2, FONT=info.font, $
	VALUE="Remove", /ALIGN_CENTER, uvalue='remove')

widget_control, /realize, base

widget_control, info.text_widgets.next, sensitive=0
widget_control, info.text_widgets.remove, sensitive=0

widget_control, set_uvalue=info, base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro write_add_text, info

pro_name = 'write_add_text'
@getinfo

length = strlen(info.addtext.text)
if length gt 0 then begin
	text_array = str_sep(info.addtext.text, '|')
	size_array = str_sep(info.addtext.charsize, '|')
	xloc_array = str_sep(info.addtext.x_loc, '|')
	yloc_array = str_sep(info.addtext.y_loc, '|')
	num_text = n_elements(text_array)
	for i=0, num_text-1 do begin
		xyouts, float(xloc_array(i)), float(yloc_array(i)), $
			;text_array(i), /NORMAL, font=info.char.font, $
			text_array(i), /DATA, font=info.char.font, $
			charsize=float(size_array(i)), /noclip
	endfor
endif

end

;--------------------------------------------------------------------------------
pro assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
	satellite_y, sun_x, sun_y

pro_name = 'assign_geolocated_data'
@getinfo

;widget_control,info.widgets.current_file, get_value=current_filename
current_filename=info.subset.data(this_subset).src_filename
current_filename=current_filename(0)

temp_error_data = get_error_data(hdf_data_x)
if temp_error_data lt -9999999.0 then begin
	if handle_info(info.geolocated.temp_long) then begin
		handle_free, info.geolocated.temp_long
		widget_control, set_uvalue=info, info.base
	endif
	return
endif

info.geolocated.flag = 1
if info.geolocated.selected eq 1 then the_subset = info.geolocated.long_index $
	else the_subset = this_subset
info.geolocated.filename = current_filename
this_start = info.subset.data(the_subset).src_start(0)
this_end = info.subset.data(the_subset).src_end(0)
this_increment = info.subset.data(the_subset).src_increment(0)
if info.subset.data(the_subset).src_type_flag eq 0 then begin
	the_rank = info.subset.data(the_subset).src_rank
	if the_rank eq 1 then begin
		true_start = info.subset.data(the_subset).src_start(the_rank)
		true_end = info.subset.data(the_subset).src_end(the_rank)
		if true_start ne this_start or true_end ne this_end then begin
			this_start = true_start
			this_end = true_end
			this_increment = 1
		endif
	endif
endif else this_end = this_end + 1

info.geolocated.starting = this_start
info.geolocated.ending = this_end
info.geolocated.increment = this_increment

if handle_info(info.geolocated.temp_long) then handle_free, $
	info.geolocated.temp_long
info.geolocated.temp_long=handle_create()
handle_value,info.geolocated.temp_long,hdf_data_x,/set, /NO_COPY

if handle_info(info.geolocated.temp_colat) then handle_free, $
	info.geolocated.temp_colat
info.geolocated.temp_colat=handle_create()
handle_value,info.geolocated.temp_colat,hdf_data_y,/set, /NO_COPY

temp_error_data = get_error_data(satellite_x)
if handle_info(info.geolocated.temp_sate_long) then handle_free, $
	info.geolocated.temp_sate_long
if handle_info(info.geolocated.temp_sate_colat) then handle_free, $
	info.geolocated.temp_sate_colat
if temp_error_data ge -180.0 then begin
	info.geolocated.temp_sate_long=handle_create()
	handle_value,info.geolocated.temp_sate_long,satellite_x,/set, /NO_COPY
	info.geolocated.temp_sate_colat=handle_create()
	handle_value,info.geolocated.temp_sate_colat,satellite_y,/set, /NO_COPY
endif else info.greenwich.satellite = 0

temp_error_data = get_error_data(sun_x)
if handle_info(info.geolocated.temp_sun_long) then handle_free, $
	info.geolocated.temp_sun_long
if handle_info(info.geolocated.temp_sun_colat) then handle_free, $
	info.geolocated.temp_sun_colat
if temp_error_data ge -180.0 then begin
	info.geolocated.temp_sun_long=handle_create()
	handle_value,info.geolocated.temp_sun_long,sun_x,/set, /NO_COPY
	info.geolocated.temp_sun_colat=handle_create()
	handle_value,info.geolocated.temp_sun_colat,sun_y,/set, /NO_COPY
endif else info.greenwich.sun = 0

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
PRO axis_dialogueCB, Event

pro_name = 'axis_dialogueCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.x_start, get_value=x_start
widget_control, info.widgets.x_end, get_value=x_end

info.range.x_start = x_start
info.range.x_end = x_end

if (info.widgets.y_start ne 0) then begin
	widget_control, info.widgets.y_start, get_value=y_start
	widget_control, info.widgets.y_end, get_value=y_end

	info.range.y_start = y_start
	info.range.y_end = y_end
endif

if (info.widgets.z_start ne 0) then begin
	widget_control, info.widgets.z_start, get_value=z_start
	widget_control, info.widgets.z_end, get_value=z_end

	info.range.z_start = z_start
	info.range.z_end = z_end
endif


widget_control, set_uvalue=info, info.base
widget_control, event.top, /destroy

END

;-----------------------------------------------------------------
PRO cancel_axis_selected, Event

pro_name = 'cancel_axis_selected'
@getinfo
 
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=old_axis_state, event.id

widget_control, event.top, /destroy

info.axis_state = old_axis_state

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;-----------------------------------------------------------------
PRO axis_selected, Event

pro_name = 'axis_selected'
@getinfo
 
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=base_id, event.id

if (info.widgets.x_start ne 0) then begin
	widget_control, info.widgets.x_start, get_value=x_start
	widget_control, info.widgets.x_end, get_value=x_end
	info.range.x_start = x_start
	info.range.x_end = x_end
	print, "X Axis values are: ", x_start, x_end
endif

if (info.widgets.y_start ne 0) then begin
	widget_control, info.widgets.y_start, get_value=y_start
	widget_control, info.widgets.y_end, get_value=y_end
	info.range.y_start = y_start
	info.range.y_end = y_end
	print, "Y Axis values are: ", y_start, y_end
endif

if (info.widgets.z_start ne 0) then begin
	widget_control, info.widgets.z_start, get_value=z_start
	widget_control, info.widgets.z_end, get_value=z_end
	info.range.z_start = z_start
	info.range.z_end = z_end
	print, "z values are: ", z_start, z_end
endif

if (info.widgets.y2_start ne 0) then begin
	widget_control, info.widgets.y2_start, get_value=y2_start
	widget_control, info.widgets.y2_end, get_value=y2_end
	info.range.y2_start = y2_start
	info.range.y2_end = y2_end
	print, "y2 values are: ", y2_start, y2_end
endif

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base
widget_control, event.top, /destroy

if base_id eq info.widgets.base then begin
	redraw_graph, info
endif

END

;------------------------------------------------------------------
pro axis_setup, info , base_id, old_axis_state

pro_name = 'axis_setup'
@getinfo
 
font1='-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

axis_state = info.axis_state

CASE axis_state of

	1: title = 'Define X Axis'
	2: title = 'Define Y Axis'
	3: title = 'Define Z Axis'
	4: title = 'Define X & Y Axis'
	5: title = 'Define X, Y & Z Axis'
	6: title = 'Define Y2 Axis'
	7: title = 'Define Y & Y2 Axis'
	8: title = 'Define X & Y2 Axis'
	9: title = 'Define X, Y & Y2 Axis'
ENDCASE

base=widget_base( COLUMN=1, MAP=1, TITLE=title)
widget_control, set_uvalue=info, base

info.widgets.x_start=0L
info.widgets.x_end=0L
info.widgets.y_start=0L
info.widgets.y_end=0L
info.widgets.z_start=0L
info.widgets.z_end=0L
info.widgets.y2_start=0L
info.widgets.y2_end=0L

x_group=widget_base(base, row=1,map=1)
y_group=widget_base(base, row=1,map=1)
z_group=widget_base(base, row=1,map=1)
y2_group=widget_base(base, row=1,map=1)


if (axis_state eq 1 or axis_state eq 4 or axis_state eq 5 or axis_state eq 8 or $
	axis_state eq 9) then begin

	x_start_widget= CW_FIELD(x_group,VALUE=info.range.x_start, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='X Start:',$
	 XSIZE=20 )

	x_end_widget= CW_FIELD(x_group,VALUE=info.range.x_end, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='X End:',$
	 XSIZE=20 )

	info.widgets.x_start=x_start_widget
	info.widgets.x_end=x_end_widget
endif


if (axis_state eq 2 or axis_state eq 4 or axis_state eq 5 or axis_state eq 7 or $
	axis_state eq 9) then begin

	y_start_widget= CW_FIELD(y_group,VALUE=info.range.y_start, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='Y Start:',$
	 XSIZE=20 )

	y_end_widget= CW_FIELD(y_group,VALUE=info.range.y_end, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='Y End:',$
	 XSIZE=20 )

	info.widgets.y_start=y_start_widget
	info.widgets.y_end=y_end_widget
endif

if (axis_state eq 3 or axis_state eq 5 ) then begin

	z_start_widget= CW_FIELD(z_group,VALUE=info.range.z_start, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='Z Start:',$
	 XSIZE=20 )

	z_end_widget= CW_FIELD(z_group,VALUE=info.range.z_end, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='Z End:',$
	 XSIZE=20 )

	info.widgets.z_start=z_start_widget
	info.widgets.z_end=z_end_widget
endif

if (axis_state eq 6 or axis_state eq 7 or axis_state eq 8 or axis_state eq 9) then begin

	y2_start_widget= CW_FIELD(y2_group,VALUE=info.range.y2_start, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='Y2 Start:',$
	 XSIZE=20 )

	y2_end_widget= CW_FIELD(y2_group,VALUE=info.range.y2_end, ROW=1,$
	 FLOATING=1, FIELDFONT=font1, FONT=font1, TITLE='Y2 End:',$
	 XSIZE=20 )

	info.widgets.y2_start=y2_start_widget
	info.widgets.y2_end=y2_end_widget
endif

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='axis_selected', VALUE="Done",$
	/ALIGN_CENTER, uvalue=base_id)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='cancel_axis_selected', $
	VALUE="Cancel", /ALIGN_CENTER, uvalue=old_axis_state)

widget_control, set_uvalue=info, base

widget_control, /realize, base

end

;--------------------------------------------------------------------------------
pro output_dir, event

pro_name = 'output_dir'
@getinfo

widget_control, get_uvalue=info, event.id
widget_control, get_uvalue=info, info.base

widget_control, /hourglass

output_path = ''
widget_control, info.widgets.outputdir, get_value=output_path

old_output_path = info.output_path
output_path = output_path(0)
info.output_path=output_path
print,'Output Path = ',info.output_path

;count = check_directory(info.output_path, info.home_path)
count = check_exist_dir(info.output_path, info.home_path)
if count eq 0 then begin
	message = [ "Your New output path is invali!d", info.output_path , $
		"It is set to previous output path.", $
		"Use Change Output Path to change the output path."] 
	result=dialog_message( message, title='View HDF Warning!')
	CD, '.', CURRENT=pwd
	info.output_path = old_output_path
	widget_control, info.widgets.outputdir, set_value=info.output_path
endif
CD, info.output_path, CURRENT=old_dir
output_name_list=findfile(info.filter, count=count)
if count eq 0 then output_name_list = [ 'None' ]

widget_control, info.widgets.output, set_value=output_name_list
 
CD, old_dir
 
widget_control, set_uvalue=info, info.base


end

;--------------------------------------------------------------------------------
pro output_filter, event

pro_name = 'output_filter'
@getinfo

widget_control, get_uvalue=info, event.id
widget_control, get_uvalue=info, info.base

widget_control, /hourglass

file_filter = ''
widget_control, info.widgets.filter, get_value=file_filter

file_filter = file_filter(0)
info.filter=file_filter

;count = check_directory(info.output_path, info.home_path)
count = check_exist_dir(info.output_path, info.home_path)
if count eq 0 then begin
	message = [ "Your output path is invali!d", info.output_path , $
		"It is set to current directory.", $
		"Use Change Output Path to change the output path."] 
	result=dialog_message( message, title='View HDF Warning!')
	CD, '.', CURRENT=pwd
	info.output_path = pwd
endif
CD, info.output_path, CURRENT=old_dir
output_name_list=findfile(info.filter, count=count)
if count eq 0 then output_name_list = [ 'None' ]

widget_control, info.widgets.output, set_value=output_name_list
 
CD, old_dir
 
widget_control, set_uvalue=info, info.base


end

;--------------------------------------------------------------------------------
pro barlocationCB, event

pro_name = 'barlocationCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.barlocation, get_value=barlocation

info.barlocation=barlocation
print,'Color Bar Location=',info.barlocation

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro bar_location, info

pro_name = 'bar_location'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Color Bar Location')

b_group=widget_base(base, row=1,map=1)

info.widgets.barlocation = CW_FIELD(b_group, VALUE=info.barlocation, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Color Bar Location:', XSIZE=40)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='barlocationCB', VALUE="Done",$
	/ALIGN_CENTER, uvalue=info)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro create_gui, info

pro_name = 'create_gui'
@getinfo


IF N_ELEMENTS(Group) EQ 0 THEN GROUP=0

junk   = { CW_PDMENU_S, flags:0, name:'' }

info.base = WIDGET_BASE(GROUP_LEADER=Group, $
                COLUMN=1, $
                MAP=1, $
                TITLE='View_HDF  Version 2.3.0', $
                MBAR=bar)

MenuDesc = [ $
                { CW_PDMENU_S,       1, 'File' }, $
                { CW_PDMENU_S,       0, 'Open...Without Attribute' }, $
                { CW_PDMENU_S,       0, 'Open...With Attribute' }, $
                { CW_PDMENU_S,       0, 'Open...With Vgroup' }, $
                { CW_PDMENU_S,       0, 'Open Previous Files' }, $
                { CW_PDMENU_S,       0, 'Open File Filter' }, $
                { CW_PDMENU_S,       0, 'Add User Defined Module' }, $
                { CW_PDMENU_S,       0, 'Remove User Defined Module' }, $
                { CW_PDMENU_S,       1, 'Export List...' }, $
                { CW_PDMENU_S,       1, 'Without Filldata' }, $
                { CW_PDMENU_S,       0, 'Without Reference' }, $
                { CW_PDMENU_S,       2, 'With Reference' }, $
                { CW_PDMENU_S,       2, 'With Filldata' }, $
                { CW_PDMENU_S,       1, 'Export Tecplot...' }, $
                { CW_PDMENU_S,       1, 'Without Filldata' }, $
                { CW_PDMENU_S,       0, 'Without Reference' }, $
                { CW_PDMENU_S,       2, 'With Reference' }, $
                { CW_PDMENU_S,       2, 'With Filldata' }, $
                { CW_PDMENU_S,       0, 'Create an HDF File' }, $
                { CW_PDMENU_S,       0, 'Add Data to an HDF File' }, $
                { CW_PDMENU_S,       0, 'Change Open File Path' }, $
                { CW_PDMENU_S,       0, 'Change Output Path' }, $
                { CW_PDMENU_S,       0, 'Change Temporary Directory' }, $
                { CW_PDMENU_S,       0, 'Restart' }, $
                { CW_PDMENU_S,       2, 'Exit' }, $
                { CW_PDMENU_S,       1, 'Graphic' }, $
                { CW_PDMENU_S,       0, 'Multi Variables' }, $
                { CW_PDMENU_S,       0, 'X-Y Plot' }, $
                { CW_PDMENU_S,       0, 'X-Y-Z Plot' }, $
                { CW_PDMENU_S,       2, 'Y1-Y2 Plot' }, $
                { CW_PDMENU_S,       1, 'Compute' }, $
                { CW_PDMENU_S,       0, 'Y1 Plus Y2, [Y1 + Y2]' }, $
                { CW_PDMENU_S,       0, 'Y1 Minus Y2, [Y1 - Y2]' }, $
                { CW_PDMENU_S,       0, 'Y1 Times Y2, [Y1 * Y2]' }, $
                { CW_PDMENU_S,       0, 'Y1 Divided By Y2, [Y1 / Y2]' }, $
                { CW_PDMENU_S,       0, 'Y1 Raised To The Y2 Power, [Y1 ** Y2]' }, $
                { CW_PDMENU_S,       0, 'log(Y1)' }, $
                { CW_PDMENU_S,       0, 'log10(Y1)' }, $
                { CW_PDMENU_S,       0, 'exp(Y1)' }, $
                { CW_PDMENU_S,       0, 'abs(Y1)' }, $
                { CW_PDMENU_S,       0, 'cos(Y1)' }, $
                { CW_PDMENU_S,       0, 'sin(Y1)' }, $
                { CW_PDMENU_S,       0, 'tan(Y1)' }, $
                { CW_PDMENU_S,       0, 'acos(Y1)' }, $
                { CW_PDMENU_S,       0, 'asin(Y1)' }, $
                { CW_PDMENU_S,       0, 'atan(Y1)' }, $
                { CW_PDMENU_S,       0, 'Extract Bits' }, $
                { CW_PDMENU_S,       2, 'Run User Defined Module' }, $
                { CW_PDMENU_S,       1, 'Curve Fit' }, $
                { CW_PDMENU_S,       0, 'Polynomial Fit' }, $
                { CW_PDMENU_S,       0, 'Exponential' }, $
                { CW_PDMENU_S,       0, 'Geometric' }, $
                { CW_PDMENU_S,       2, 'Logsquare' } $
		]
MenuDesc = [ MenuDesc, $
                { CW_PDMENU_S,       1, 'Colors' }, $
                { CW_PDMENU_S,       0, 'Select Colors...' }, $
                { CW_PDMENU_S,       0, 'Edit Colors...' }, $
                { CW_PDMENU_S,       0, 'Background' }, $
                { CW_PDMENU_S,       2, 'Foreground' }, $
      		{ CW_PDMENU_S,       1, 'Axis' }, $
        	{ CW_PDMENU_S,       1, 'Manual' }, $
          	{ CW_PDMENU_S,       0, 'X Only' }, $
          	{ CW_PDMENU_S,       0, 'Y Only' }, $
          	{ CW_PDMENU_S,       0, 'Z Only' }, $
          	{ CW_PDMENU_S,       0, 'XY Only' }, $
          	{ CW_PDMENU_S,       0, 'XYZ' }, $
          	{ CW_PDMENU_S,       0, 'Y2 Only' }, $
          	{ CW_PDMENU_S,       0, 'YY2 Only' }, $
          	{ CW_PDMENU_S,       2, 'XYY2 Only' }, $
        	{ CW_PDMENU_S,       0, 'Auto' }, $
        	{ CW_PDMENU_S,       1, 'Grid' }, $
        	{ CW_PDMENU_S,       0, 'With XY Grid' }, $
        	{ CW_PDMENU_S,       0, 'With X Grid Only' }, $
        	{ CW_PDMENU_S,       0, 'With Y Grid Only' }, $
        	{ CW_PDMENU_S,       2, 'Without Grid' }, $
        	{ CW_PDMENU_S,       1, 'Logarithmic Axis' }, $
        	{ CW_PDMENU_S,       0, 'With Linear Axes' }, $
        	{ CW_PDMENU_S,       0, 'With Logarithmic X Axis' }, $
        	{ CW_PDMENU_S,       0, 'With Logarithmic Y Axis' }, $
        	{ CW_PDMENU_S,       0, 'With Logarithmic XY Axes' }, $
        	{ CW_PDMENU_S,       0, 'With Logarithmic Y2 Axis' }, $
        	{ CW_PDMENU_S,       0, 'With Logarithmic XY2 Axes' }, $
        	{ CW_PDMENU_S,       0, 'With Logarithmic YY2 Axes' }, $
        	{ CW_PDMENU_S,       2, 'With Logarithmic XYY2 Axes' }, $
        	{ CW_PDMENU_S,       2, '' } $
		]
MenuDesc = [ MenuDesc, $
      		{ CW_PDMENU_S,       1, 'Map' }, $ 	
      		{ CW_PDMENU_S,       1, 'Greenwich Location' }, $ 	
        	{ CW_PDMENU_S,       0, 'Left' }, $ 
        	{ CW_PDMENU_S,       0, 'Center' }, $ 
        	{ CW_PDMENU_S,       2, 'Other' }, $ 
      		{ CW_PDMENU_S,       1, 'Projection' }, $ 	
        	{ CW_PDMENU_S,       0, 'Cylindrical' }, $ 
        	{ CW_PDMENU_S,       0, 'Orthographic' }, $ 
        	{ CW_PDMENU_S,       0, 'Stereographic' }, $ 
        	{ CW_PDMENU_S,       2, 'Hammer-Aitoff' }, $ 
      		{ CW_PDMENU_S,       1, 'Lat-Longitude' }, $ 	
        	{ CW_PDMENU_S,       0, 'Default' }, $ 
        	{ CW_PDMENU_S,       2, 'Select' }, $ 
      		{ CW_PDMENU_S,       1, 'Label' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Label' }, $ 
        	{ CW_PDMENU_S,       2, 'Without Label' }, $ 
      		{ CW_PDMENU_S,       1, 'Expand' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Expand' }, $ 
        	{ CW_PDMENU_S,       2, 'Without Expand' }, $ 
      		{ CW_PDMENU_S,       1, 'Satellite' }, $ 	
        	{ CW_PDMENU_S,       0, 'Show Satellite' }, $ 
        	{ CW_PDMENU_S,       2, 'Show No Satellite' }, $ 
      		{ CW_PDMENU_S,       1, 'Sun' }, $ 	
        	{ CW_PDMENU_S,       0, 'Show Sun' }, $ 
        	{ CW_PDMENU_S,       2, 'Show No Sun' }, $ 
      		{ CW_PDMENU_S,       1, 'Continents' }, $ 	
        	{ CW_PDMENU_S,       0, 'Redraw Continents' }, $ 
        	{ CW_PDMENU_S,       2, 'No Redraw Continents' }, $ 
      		{ CW_PDMENU_S,       1, 'Contour Geolocated' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Without Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Filter With Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Filter Without Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Average With Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Average Without Smoothing' }, $ 
        	{ CW_PDMENU_S,       2, 'Set Number of Grids' }, $ 
        	{ CW_PDMENU_S,       2, 'Reread Geolocated Data' }, $ 
      		{ CW_PDMENU_S,       1, 'Grid Start' }, $ 	
      		{ CW_PDMENU_S,       0, 'Auto' }, $ 	
        	{ CW_PDMENU_S,       0, '   0' }, $ 
        	{ CW_PDMENU_S,       0, '-180' }, $ 
        	{ CW_PDMENU_S,       2, 'Other' } $ 
		]
MenuDesc = [ MenuDesc, $
      		{ CW_PDMENU_S,       1, 'Color Bar' }, $ 	
        	{ CW_PDMENU_S,       1, 'With Color Bar' }, $ 
        	{ CW_PDMENU_S,       0, 'Discrete' }, $ 
        	{ CW_PDMENU_S,       2, 'Continuous' }, $ 
        	{ CW_PDMENU_S,       0, 'Without Color Bar' }, $
        	{ CW_PDMENU_S,       2, 'Location' }, $
      		{ CW_PDMENU_S,       1, 'Style' }, $ 	
      		{ CW_PDMENU_S,       1, 'Line Type' }, $ 	
        	{ CW_PDMENU_S,       0, 'Solid' }, $ 
        	{ CW_PDMENU_S,       0, 'Dotted' }, $ 
        	{ CW_PDMENU_S,       0, 'Dashed' }, $ 
        	{ CW_PDMENU_S,       0, 'Dashed Dot' }, $ 
        	{ CW_PDMENU_S,       0, 'Dashed Dot Dot Dot' }, $ 
        	{ CW_PDMENU_S,       2, 'Long Dashes' }, $ 
      		{ CW_PDMENU_S,       1, 'Symbol' }, $ 	
        	{ CW_PDMENU_S,       0, 'No Symbol' }, $ 
        	{ CW_PDMENU_S,       0, 'Plus sign' }, $ 
        	{ CW_PDMENU_S,       0, 'Asterisk' }, $ 
        	{ CW_PDMENU_S,       0, 'Period' }, $ 
        	{ CW_PDMENU_S,       0, 'Diamond' }, $ 
      		{ CW_PDMENU_S,       0, 'Triangle' }, $ 	
        	{ CW_PDMENU_S,       0, 'Square' }, $ 
        	{ CW_PDMENU_S,       0, 'X' }, $ 
		{ CW_PDMENU_S,       0, 'Circle' }, $ 	
		{ CW_PDMENU_S,       0, 'FOV' }, $ 	
      		{ CW_PDMENU_S,       0, 'Filled Triangle' }, $ 	
        	{ CW_PDMENU_S,       0, 'Filled Square' }, $ 
        	{ CW_PDMENU_S,       0, 'Filled Circle' }, $ 
        	{ CW_PDMENU_S,       2, 'Filled FOV' }, $ 
      		{ CW_PDMENU_S,       1, 'Symbol With Line' }, $ 	
        	{ CW_PDMENU_S,       0, 'Without Line' }, $ 
        	{ CW_PDMENU_S,       2, 'With Line' }, $ 
        	{ CW_PDMENU_S,       2, 'Symbol Size' } $ 
		]
MenuDesc = [ MenuDesc, $
      		{ CW_PDMENU_S,       1, 'Editor' }, $ 	
        	{ CW_PDMENU_S,       0, 'VI' }, $ 
        	{ CW_PDMENU_S,       0, 'Emacs' }, $ 
        	{ CW_PDMENU_S,       0, 'Ieditor' }, $ 
        	{ CW_PDMENU_S,       2, 'Other' }, $ 
      		{ CW_PDMENU_S,       1, 'Add Criterion' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Criterion' }, $ 
        	{ CW_PDMENU_S,       2, 'Without Criterion' } $ 
                ]

PDMENU3 = CW_PDMENU(bar, MenuDesc, /RETURN_FULL_NAME, $
                FONT=info.font, UVALUE='PDMENU3',/MBAR)

helpmenu = widget_button(bar, value='Help', FONT=info.font, /MENU, /HELP)

user_guide = widget_button(helpmenu, value='User Guide', FONT=info.font, $
	uvalue='userguide')

user_guide = widget_button(helpmenu, value='Release Note', FONT=info.font, $
	uvalue='releasenote')

idlhelpbut = widget_button(helpmenu, value='IDL Online Help', FONT=info.font, $
	uvalue='IDLhelp')

;about_viewhdf_i = widget_button(helpmenu, value='About View_HDF(for CERES)...', FONT=info.font, $
;	uvalue='aboutviewhdfi')

;about_viewhdf_o = widget_button(helpmenu, value='About View_HDF(for others)...', FONT=info.font, $
;	uvalue='aboutviewhdfo')

about_viewhdf = widget_button(helpmenu, value='About View_HDF...', FONT=info.font, $
	uvalue='aboutviewhdf')

open_file_base=widget_base(info.base, row=1,map=1, event_pro='open_file')

info.widgets.current_file = CW_FIELD( open_file_base, $
                VALUE='None', ROW=1, STRING=1, FIELDFONT=info.font, $
                FONT= info.font, TITLE='Current Filename:', /RETURN_EVENTS, $
                UVALUE=info,  XSIZE=90)

switch_file = widget_button(open_file_base, EVENT_PRO='switch_open_file', $
	VALUE='Switch File', FONT=info.font, /ALIGN_CENTER, UVALUE=info)

;------------------------
; Toolbar
;------------------------
the_toolbar = widget_base(info.base, row=1, map=1, uvalue=info, space=10)

;toolbar_label = widget_label(the_toolbar, FONT=info.font, $
;       /align_left, value="Tools:");

;read_x11_bitmap, 'graph_button.xbm', graph_button, expand_to_bytes

;info.widgets.graph_button = widget_button(the_toolbar, EVENT_PRO='tool_graph',$
;	 VALUE=graph_button, /ALIGN_CENTER)

precision_tool = widget_button(the_toolbar, $
                EVENT_PRO='precision_dialogueCB', VALUE='Format', $
		FONT=info.font, $
                /ALIGN_CENTER)

filldata_tool = widget_button(the_toolbar, $
                EVENT_PRO='filldata_dialogueCB', VALUE='Fill Data', $
		FONT=info.font, $
                /ALIGN_CENTER)

input_list = [ 'Record Number', 'Time' ]
range_input_tool = widget_droplist(the_toolbar, $
		TITLE='Range Type:', VALUE=input_list, UVALUE = info, $
                EVENT_PRO='range_input', FONT=info.font, $
                /ALIGN_CENTER)

screen_size_list = [ '1036x540', '1152x614', 'Other' ]
info.widgets.screen = widget_droplist(the_toolbar, $
		TITLE='Screen Size:', VALUE=screen_size_list, UVALUE = info, $
                EVENT_PRO='screen_size', FONT=info.font, $
                /ALIGN_CENTER)

show_list = [ 'Hours', 'Minutes', 'Seconds' ]
info.widgets.time_type = widget_droplist(the_toolbar, $
		TITLE='Time Type:', VALUE=show_list, UVALUE = info, $
                EVENT_PRO='show_time', FONT=info.font, $
                /ALIGN_CENTER)

info.widgets.criterion = widget_button(the_toolbar, FONT=info.font, $
       /align_center, value="With Criterion", event_pro='unset_criterion')

WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = 0

;------------------------
; Layout
;------------------------
layout_widget=widget_base(info.base,row=1,map=1)

toc_widget=widget_base(layout_widget,column=1,map=1,frame=5)

attr_group=widget_base(toc_widget,row=1,map=1,space=80)
;sds_group_title=widget_label(toc_widget, $
sds_group_title=widget_label(attr_group, $
                FONT=info.font, /align_left, value="INPUT")

attr_list = [ 'Do Not Display Attributes', 'Display Attributes', $
		'Display Attributes Only' ]
attr_widget = widget_droplist(attr_group, VALUE=attr_list, $
                EVENT_PRO='set_attr', FONT=info.font, /ALIGN_CENTER)

;------------------------
;SDS List
;------------------------
sds_group=widget_base(toc_widget,column=1,map=1)

stitle_widget=widget_label(sds_group, $
FONT=info.font, /align_left, value="Scientific Data Sets")

info.widgets.sds=widget_list(sds_group,value="None", $
             FONT=info.font,  event_pro="select_sdsCB", xsize=24,ysize=10 )

;------------------------
; Vdata List
;------------------------
vdata_group=widget_base(toc_widget,column=1,map=1)

vtitle_widget=widget_label(vdata_group, $
             FONT=info.font, /align_left, value="VData Sets")

info.widgets.vdata=widget_list(vdata_group,value="None", $
             FONT=info.font, event_pro="select_vdataCB", xsize=24,ysize=10)

;------------------------
; Subset List
;------------------------
subset_group=widget_base(layout_widget, column=1, map=1, frame=5, uvalue=info)

sub_group=widget_base(subset_group,row=1,map=1,space=40)
;sds_group_title=widget_label(subset_group, $
sds_group_title=widget_label(sub_group, $
             FONT=info.font, $
             /align_left, value="PROCESSING")

rem_button=widget_button(sub_group, FONT=info.font, EVENT_PRO='remove_dataset', $
	VALUE="Remove Subset(s)", uvalue=info, /ALIGN_CENTER)

btitle_widget=widget_label(subset_group, $
             FONT=info.font, $
             /align_left, value="Current Subsets")

info.widgets.subset_list=widget_list(subset_group,value='None', $
             FONT=info.font, $
             event_pro="select_subsetCB", $
             xsize=20,ysize=18 )

plot_text = ['Click on any subset data to plot or display single variable.', $
	     'If you want to plot more than one variable, use the "Graphic" menu.']

plot_text=widget_text(subset_group, value = plot_text, FONT=info.font, $
		/wrap, xsize=20, ysize=4 )

;------------------------
; Output List
;------------------------
output_group=widget_base(layout_widget,column=1,map=1,frame=5)

output_group1=widget_base(output_group, row=1,map=1, $
			event_pro='output_dir')

info.widgets.outputdir = CW_FIELD(output_group1, $
    /STRING, /ROW, XSIZE = 23, YSIZE=1, TITLE = 'OUTPUT: ', $
        VALUE = info.output_path, UVALUE = info, FONT = info.font, $
	FIELDFONT = info.font, /RETURN_EVENTS)

;output_group_title=widget_label(output_group, $
;             FONT=info.font, $
;             /align_left, value="OUTPUT")

output_group2=widget_base(output_group, row=1,map=1, $
			event_pro='output_filter')

info.widgets.filter = CW_FIELD(output_group2, $
    /STRING, /ROW, XSIZE = 10, YSIZE=1, TITLE = 'Exported Data: ', $
        VALUE = info.filter, UVALUE = info, FONT = info.font, $
	FIELDFONT = info.font, /RETURN_EVENTS)

;count = check_directory(info.output_path, info.home_path)
count = check_exist_dir(info.output_path, info.home_path)
if count eq 0 then begin
	message = [ "Your output path is invali!d", info.output_path , $
		"It is set to current directory.", $
		"Use Change Output Path to change the output path."] 
	result=dialog_message( message, title='View HDF Warning!')
	CD, '.', CURRENT=pwd
	info.output_path = pwd
endif
CD, info.output_path, CURRENT=old_dir
output_name_list=findfile(info.filter, count=count)
if count eq 0 then output_name_list = [ 'None' ]

info.widgets.output=widget_list(output_group,value=output_name_list, uvalue=info, $
            FONT=info.font, event_pro="select_output",  xsize=21,ysize=19 )

CD, old_dir

output_text = 'Click on any data file to display or remove.'

output_text=widget_text(output_group, value = output_text, FONT=info.font, $
		/wrap, xsize=21, ysize=1 )

WIDGET_CONTROL, info.base, /REALIZE
widget_control, info.widgets.screen, set_droplist_select=info.screen.pick
widget_control, info.widgets.time_type, set_droplist_select=info.time_type.new
widget_control, info.base, set_uvalue=info

count = check_directory(info.temp_dir, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	;count = check_directory(info.open_path, info.home_path)
	count = check_directory(pwd, info.home_path)
	if count eq 0 then begin
		message = [ "You don't have permmision to write in", info.temp_dir , $
		    "You need to choose the other valid directory" ] 
		result=dialog_message( message, title='View HDF Warning!')
		get_temp_directory, info
	endif else begin
		;info.temp_dir = info.open_path
		info.temp_dir = pwd
		command_line="\rm -f "+ info.temp_dir+"/temp_file.pro"
		spawn,command_line,results
	endelse
endif else begin
	command_line="\rm -f "+ info.temp_dir+"/temp_file.pro"
	spawn,command_line,results
endelse

command_line="\rm -f "+info.temp_dir+"/."+info.tempname+"_*"
spawn,command_line,results

XMANAGER, 'PDMENU3', info.base 

end

;--------------------------------------------------------------------------------
function create_info

pro_name = 'create_info'
@getinfo1

username = ' '
username = getenv('USER')
username = strlowcase(username)

userhome = ' '
userhome = getenv('HOME')

command_line = "echo `hostname`"
spawn,command_line,hostname,/sh
;print,'hostname = ',hostname
hostname=hostname(0)
len_hostname = strlen(hostname)
if len_hostname eq 0 or len_hostname gt 12 then begin
        hostname = getenv('HOST')
        ;print,'HOST = ',hostname
        len_hostname = strlen(hostname)
        if len_hostname eq 0 or len_hostname gt 12 then hostname=username
endif
hostname = strlowcase(hostname)
;if strlen(hostname) eq 0 then hostname=username
;hostname = strlowcase(hostname)
print,'hostname = ',hostname

CD, '.', CURRENT = pwd

library_name = "ies_bds_rel2.so"
case hostname of
  'thunder': pdfreader = "/usr/slocal/acrobat64-3.0/bin/acroread"
  'lightning': pdfreader = "/usr/slocal/acrobat64-3.0/bin/acroread"
  'asdsun':  pdfreader = "/usr/slocal/adobe/acrobat-3/bin/acroread"
  else:      pdfreader = "acroread"
endcase

textedit = "ieditor"
spawn, "uname", result, /sh
result = result(0)
result = strlowcase(result)
dot=strpos(result,'sunos')
if( dot ne -1) then begin
	library_name = "ies_bds_solaris.so"
	textedit = "textedit"
	library_list=findfile('./'+library_name, count=count)
	if count eq 0 then library_name = "ies_bds_rel2.so"
endif
dot=strpos(result,'solaris')
if( dot ne -1) then begin
	library_name = "ies_bds_solaris.so"
	textedit = "textedit"
	library_list=findfile('./'+library_name, count=count)
	if count eq 0 then library_name = "ies_bds_rel2.so"
endif
;print,'library_name = ', library_name

version_number = !VERSION.RELEASE
ver_num = float(version_number)

vdata_max = 5L
sds_rank = 8L

;-----------------------------------------------
; Setup the Subsetting Structure Definition
;-----------------------------------------------

first_record={the_subset_record, $
                        subset_name:    'subset00',             $
                        src_filename:   ' ',                    $
                        src_unitname:   ' ',                    $
                        src_type_flag:  0,                      $
			src_transpose:  0,			$
			src_crit_flag:  0,			$
			src_crit_name:  ' ',			$
			src_crit_min:	' ',			$
			src_crit_max:	' ',			$
			src_crit_type:	' ',			$
			src_ref:	0L,			$
                        src_rank:       0,                      $
                        src_start:      lonarr(sds_rank),       $
                        src_end:        lonarr(sds_rank),       $
                        src_increment:  lonarr(sds_rank),       $
                        src_org_rank:       0,                      $
                        src_org_start:      lonarr(sds_rank),       $
                        src_org_end:        lonarr(sds_rank),       $
                        src_org_increment:  lonarr(sds_rank),       $
                        src_fnames:     strarr(vdata_max),      $
                        src_types:      lonarr(vdata_max),      $
                        src_order:      lonarr(vdata_max),      $
                        src_data:       handle_create(),        $
                        src_time:       handle_create()         $
                     }

maximum_subsets=20
max_userdefine=5

info = { $

	base: 0L,$	
	font: '-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1', $
        current_tool: 'graph',$
	current_printer: 'saihp5m5',$
	current_file: 'None', $
        graph_style: '2D Graph',$
        axis_state: 0,$
	color_bar: 1, $
        precision: 'f18.9',$   
	filldata: 1.0E+35, $
	barlocation: 0.13, $
	tempname: username, $
	home_path: userhome, $
	printname: hostname, $
	open_path: pwd, $
	ps_path: pwd, $
	ps_file: 'plot.ps', $
	eps_path: pwd, $
	eps_file: 'plot.eps', $
	export_path: pwd, $
	export_file: 'export.dat', $
	hdf_path: pwd, $
	hdf_filename: 'export.hdf', $
	list_path: pwd, $
	output_path: pwd, $
	gif_path: pwd, $
	gif_file: 'plot.gif', $
	stats_path: pwd, $
	stats_file: 'stats.dat', $
	temp_dir: '/CERES/scratch/idltemp', $
	library: library_name, $
	pdfread: pdfreader, $
	ieditor: textedit, $
	editor: 'vi', $
	top_color: 200, $
	eps_type: 0, $
	editor_type: 0, $
	printcommand: '', $
	canceloption: 'No', $
	variablename: '', $
	unitname: '', $
	open_filter: '*', $
	filter: '*.dat', $
	color_table: 13, $
	pick_color_table: 0, $
	bds_file: 0, $
	grid_start: 500, $
	show_attr: 0, $
	subset_locate: 0, $
	curvefit_type: 0, $
	plot_error: 1, $
	version: ver_num, $

        flags: { data_read: 0,$
		 print: 0 },$

	previous_file: { max: 5,$
		current: '',$
		store: strarr(5) },$

	open_file: { max: 5,$
		count: 0, $
		file: strarr(5), $
		sds_list: strarr(5), $
		vdata_list: strarr(5), $
		flag: intarr(5), $
		ssf_file: intarr(5), $
		bds_file: intarr(5), $
		fill_data: fltarr(5), $
		vref: strarr(5), $
		vg_id: strarr(5), $
		vg_name: strarr(5) },$

	userdefine: { count: 0,$
		index: 0,$
		max: max_userdefine, $
		old_path: pwd, $
		num_para: intarr(max_userdefine),$
		path: strarr(max_userdefine), $
		name: strarr(max_userdefine) },$

        sds: { rank: sds_rank,$
	       	     dims: lonarr(8),$
	       	     type: 1L,$
		     ref:  0L,$
	       	     index: 0 },$

	vdata: { max: vdata_max,$
		 nrec: 0L,$
		 ref:  0L,$
		 field_names: '',$
		 name_sel: ''},$

	vfield: { name_sel: '',$
		  indices_sel: [0L]},$

	vgroup: { flag: 0, $
		  nlayer: 0, $
		  base: lonarr(8),$
		  ref:  lonarr(8),$
		  id:   lonarr(8), $
		  vref: '', $
		  sref: '', $
		  name_string: strarr(8), $
		  vg_id: strarr(8), $
		  vg_name: strarr(8)},$

	digital: { name_sel: '',$
		  indices_sel: [0L]},$

	quality: { name_sel: '',$
		  indices_sel: [0L]},$

	subset: { maximum: maximum_subsets,$
		count: 0,$
		selected: 0,$
		data: replicate({the_subset_record},maximum_subsets)},$

	rangetype: { type: 0, $
		     flag: 0, $
		     start_rec: 0L, $
		     end_rec: 0L, $
		     get_time: 0, $
		     old_start: lonarr(sds_rank), $
		     old_end:   lonarr(sds_rank), $
		     old_increment: lonarr(sds_rank), $
		     old_dim: lonarr(sds_rank), $
		     dim_name: strarr(sds_rank), $
		     time: handle_create()}, $

	style: { linetype: 0, $
		 symbol:  0, $
		 usersym: 0, $
		 symbolsize: 1.0, $
		 symbolline: 0, $
		 xlog: 0, $
		 ylog: 0, $
		 y2log: 0, $
		 grid: 0 }, $

	char: { size: 1.0, $
		sgi: 0, $
		font: -1 }, $

	xyvalue: { x_index: handle_create(), $
		   y_index: handle_create() }, $

	geolocated: {	flag: 0, $
			filename:   ' ',                    $
			starting: 0L, $
			ending: 0L, $
			increment: 0L, $
			selected: 0, $
			long_index: 0, $
			hdf_z: handle_create(), $
			colat: handle_create(), $
			long: handle_create(), $
			sate_colat: handle_create(), $
			sate_long: handle_create(), $
			sun_colat: handle_create(), $
			sun_long: handle_create(), $
			temp_colat: handle_create(), $
			temp_long: handle_create(), $
			temp_sate_colat: handle_create(), $
			temp_sate_long: handle_create(), $
			temp_sun_colat: handle_create(), $
			temp_sun_long: handle_create() }, $

	geo_name: {	long: 'None' , $
			colat: 'None', $
			lat: 'None', $
			satelong: 'None', $
			satecol: 'None', $
			satelat: 'None', $
			sunlong: 'None', $
			suncol: 'None', $
			sunlat: 'None' }, $

	geo_widgets: {	long_field: 0L , $
			col_field: 0L, $
			lat_field: 0L,  $
			satelong_field: 0L, $
			satecol_field: 0L, $
			satelat_field: 0L, $
			sunlong_field: 0L, $
			suncol_field: 0L, $
			sunlat_field: 0L }, $

	greenwich: {	greenloca: 0, $
			projection: 0, $
			default: 1, $
			label: 1, $
			with_level: 0, $
			n_level: 10, $
			expand: 1, $
			satellite: 1, $
			sun: 1, $
			smooth: 1, $
			n_x_grid: 360, $
			n_y_grid: 180, $
			continents: 0 }, $

	sview: {	long: [0.0 , 360.0], $
			lat: [-90.0, 90.0], $
			xsize: 768, $
			ysize: 384, $
			ratio: 3, $
			window_id: 0, $
			map_old: !MAP, $
			p_old: !P, $
			x_old: !X, $
			y_old: !Y }, $

	view: {		p_old: !P, $
			d_old: !D, $
			x_old: !X, $
			y_old: !Y }, $

	time_type: {	old: 2, $
			new: 2 }, $

	widgets: { current_file: 0L,$
			axis_tool: 0L,$
			graph_button: 0L,$
			sds: 0L,$
                        vdata: 0L,$
			subset_name: 0L,$
			subset_list: 0L,$
			output: 0L, $
			changeopath: 0L, $
			changeopen: 0L, $
			printcommand: 0L, $
			variablename: 0L, $
			gettempdir: 0L, $
			colortable: 0L, $
        		starting_field: lonarr(sds_rank),$
        		ending_field: lonarr(sds_rank),$
        		increment_field: lonarr(sds_rank),$
			start_time: 0L, $
			end_time: 0L, $
			c_min: 0L, $
			c_max: 0L, $
			start_bit: 0L, $
			num_bit: 0L, $
			x_start: 0L,$
                        x_end: 0L,$
                        y_start: 0L,$
                        y_end: 0L,$
                        z_start: 0L,$
                        z_end: 0L,$
			y2_start: 0L, $
			y2_end: 0L, $
			precision: 0L, $
			filldata: 0L, $
			openfilter: 0L, $
			filter: 0L, $
			outputdir: 0L, $
			rotateax: 0L, $
			rotateaz: 0L, $
			background: 0L, $
			foreground: 0L, $
			screen: 0L, $
			screen_size_tool: 0L, $
			time_type: 0L, $
			show_time_list: 0L, $
			criterion: 0L, $
			sxsize: 0L, $
			sysize: 0L, $
			charsize: 0L, $
			sview_xsize: 0L, $
			sview_ysize: 0L, $
			sview_ratio: 0L, $
			barlocation: 0L, $
			numlevel: 0L, $
			symbolsize: 0L, $
			greenlocation: 0L, $
			gridstart: 0L, $
			base: 0L, $
			rangefield: 0L, $
			startslide: 0L, $
			startfield: 0L, $
			show_subset: 0L, $
			subset_base: 0L, $
			cons_value: 0L, $
			xfield: 0L, $
			yfield: 0L, $
			zfield: 0L },$

          field_name:{ x:'None',$
                       y:'None',$
                       z:'None'},$

	screen:{ pick:0, $
		 new:0, $
		 xsize:1036, $
		 ysize:540 }, $
 
	rotate:{ ax:30, $
		 az:20 }, $
 
	range:{ x_start:0.0,$
 		x_end: 500.0,$
		y_start: 0.0,$
		y_end: 500.0,$
		z_start: 0.0,$
		z_end: 500.0,$
		y2_start: 0.0,$
		y2_end: 500.0,$
		increment: 1.0},$

	slide:{ select:0, $
		x_start:0.0, $
		x_end:500.0, $
		y_start:0.0, $
		y_end: 500.0}, $

	save:{	axis_state: 0, $
		x_start: 0.0, $
		x_end: 500.0, $
		y_start: 0.0, $
		y_end: 500.0}, $

	criterion:{	flag: 0, $
			type: 0, $
			index: 0, $
			name: 'None', $
			max: 0.0, $
			min: 0.0}, $

	addtext:{	flag: 0, $
			key: 0, $
			xloc: 0.0, $
			yloc: 0.0, $
			charsize: '', $
			text: '', $
			x_loc: '', $
			y_loc: '', $
			temp_charsize: '', $
			temp_text: '', $
			temp_x_loc: '', $
			temp_y_loc: ''}, $

	text_widgets:{	text: 0L, $
			size: 0L, $
			add: 0L, $
			clear: 0L, $
			next: 0L, $
			remove: 0L}, $

	bit:{	index: 0, $
		name: 'None', $
		start_bit: 0, $
		num_bit: 0}, $

	histogram:{  binsize: 10.0, $
		     max: 0.0, $
		     min: 0.0, $
		     binwidget: 0L, $
		     maxwidget: 0L, $
		     minwidget: 0L}, $

	region:{  index: 0, $
		  size: 0.0, $
		  sizewidget: 0L}, $

	out: { pick:replicate(0,maximum_subsets),$
	       x_index:0, $
               increment:0},$

	ssf: {	file: 0, $
		key: 0, $
		select: 0L, $
		layer: 0L},  $

	y1y2: {	cons_value1: 0.0, $
		cons_value2: 0.0,  $
		tri_flag: 0, $
		operator: ' - ' }, $

	multiple: { flag: 0, $
		    key: 0,  $
		    y1y2: 0, $
		    xy_diff: 'Sample', $
		    number: 0, $
		    linetype: 0, $
		    symbol:  0, $
		    symbolsize: 1.0, $
		    symbolline: 0 }, $

	name_list_vdata: ['None'],$
	name_list_vfield: ['None'],$
	name_list_sds: ['None'],$
	name_list_vg: ['None'], $
	name_list_vg1: ['None'], $
	name_list_ssf: ['None'],$
	name_list_units: ['None'], $
	name_list_indep: ['None'], $
	name_list_userdefine: ['None'], $
	name_list_subset: ['None']}

return, info

end

;--------------------------------------------------------------------------------
function redefine_info, info, new_name, flag

pro_name = 'redefine_info'
@getinfo1

name_list_vdata = info.name_list_vdata
name_list_vfield = info.name_list_vfield
name_list_sds = info.name_list_sds
name_list_vg = info.name_list_vg
name_list_vg1 = info.name_list_vg1
name_list_ssf = info.name_list_ssf
name_list_units = info.name_list_units
name_list_indep = info.name_list_indep
name_list_userdefine = info.name_list_userdefine
name_list_subset = info.name_list_subset

CASE flag of

	0: begin
		;if (name_list_vdata(0) eq 'None') then name_list_vdata=$
		;new_name else name_list_vdata = [name_list_vdata, new_name]
		name_list_vdata = new_name
	end
	1: begin
		;new_name else name_list_vfield = [name_list_vfield, new_name]
		name_list_vfield=new_name
	end
	2: begin
		;if (name_list_sds(0) eq 'None') then name_list_sds=$
		;new_name else name_list_sds = [name_list_sds, new_name]
		name_list_sds = new_name
	end
	3: begin
		if (name_list_subset(0) eq 'None') then name_list_subset=$
		new_name else name_list_subset = [name_list_subset, new_name]
	end
	4: begin
		name_list_subset = new_name
	end
	5: begin
		name_list_sds = new_name
		name_list_vdata = new_name
		name_list_vfield = new_name
		name_list_vg = new_name
		name_list_vg1 = new_name
		name_list_ssf = new_name
		name_list_units = new_name
	end
	6: begin
		name_list_ssf = new_name
	end
	7: begin
		name_list_units = new_name
	end
	8: begin
		name_list_indep = new_name
	end
	9: begin
		name_list_vg = new_name
	end
	10: begin
		name_list_vg1 = new_name
	end
	11: begin
		if (name_list_userdefine(0) eq 'None') then name_list_userdefine=$
		new_name else name_list_userdefine = [name_list_userdefine, new_name]
	end
	12: begin
		name_list_userdefine = new_name
	end
	else:
ENDCASE

info = { $

	base: info.base,$	
	font: info.font, $
        current_tool: info.current_tool,$
	current_printer: info.current_printer,$
	current_file: info.current_file,$
        graph_style: info.graph_style,$
        axis_state: info.axis_state,$
	color_bar: info.color_bar, $
        precision: info.precision,$   
        filldata: info.filldata,$   
        barlocation: info.barlocation,$   
	tempname: info.tempname, $
	home_path: info.home_path, $
	printname: info.printname, $
	open_path: info.open_path, $
	ps_path: info.ps_path, $
	ps_file: info.ps_file, $
	eps_path: info.eps_path, $
	eps_file: info.eps_file, $
	export_path: info.export_path, $
	export_file: info.export_file, $
	hdf_path: info.hdf_path, $
	hdf_filename: info.hdf_filename, $
	list_path: info.list_path, $
	output_path: info.output_path, $
	gif_path: info.gif_path, $
	gif_file: info.gif_file, $
	stats_path: info.stats_path, $
	stats_file: info.stats_file, $
	temp_dir: info.temp_dir, $
	library: info.library, $
	pdfread: info.pdfread, $
	ieditor: info.ieditor, $
	editor: info.editor, $
	top_color: info.top_color, $
	eps_type: info.eps_type, $
	editor_type: info.editor_type, $
	printcommand: info.printcommand, $
	canceloption: info.canceloption, $
	variablename: info.variablename, $
	unitname: info.unitname, $
	open_filter: info.open_filter, $
	filter: info.filter, $
	color_table: info.color_table, $
	pick_color_table: info.pick_color_table, $
	bds_file: info.bds_file, $
	grid_start: info.grid_start, $
	show_attr:  info.show_attr, $
	subset_locate:  info.subset_locate, $
	curvefit_type:  info.curvefit_type, $
	plot_error:  info.plot_error, $
	version:  info.version, $

        flags: info.flags,$

	previous_file: info.previous_file, $

	open_file: info.open_file, $

	userdefine: info.userdefine, $

        sds: info.sds,$

	vdata: info.vdata,$

	vfield: info.vfield,$

	vgroup: info.vgroup,$

	digital: info.digital,$

	quality: info.quality,$

	subset: info.subset,$ 

	rangetype: info.rangetype, $

	style: info.style, $

	char: info.char, $

	xyvalue: info.xyvalue,$ 

	geolocated: info.geolocated,$ 

	geo_name: info.geo_name, $
	
	geo_widgets: info.geo_widgets, $

	greenwich: info.greenwich,$ 

	sview: info.sview,$ 

	view: info.view,$ 

	time_type: info.time_type, $

	widgets: info.widgets,$ 

	field_name: info.field_name,$ 

	screen: info.screen, $

	rotate: info.rotate, $

	range: info.range,$

	slide: info.slide, $

	save: info.save, $

	criterion: info.criterion, $

	addtext: info.addtext, $

	text_widgets: info.text_widgets, $

	bit: info.bit, $

	histogram: info.histogram, $

	region: info.region, $

	out: info.out,$

	ssf: info.ssf,$

	y1y2: info.y1y2, $

	multiple: info.multiple, $

	name_list_vdata: name_list_vdata,$
	name_list_vfield: name_list_vfield,$
	name_list_sds: name_list_sds,$
	name_list_vg: name_list_vg, $
	name_list_vg1: name_list_vg1, $
	name_list_ssf: name_list_ssf,$
	name_list_units: name_list_units,$
	name_list_indep: name_list_indep,$
	name_list_userdefine: name_list_userdefine,$
	name_list_subset: name_list_subset }


return, info

end

;------------------------------------------------------------------
pro create_curve_fields, x_field, y_field, z_field, x_group, y_group, $
z_group, xflag, yflag, zflag, info

pro_name = 'create_curve_fields'
@getinfo
 
font1 = '-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

if (xflag gt 0) then begin

	x_field= CW_FIELD( x_group, VALUE=info.field_name.x, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='X Field:', XSIZE=40, /noedit)
	
	info.widgets.xfield= x_field
endif


if (yflag gt 0) then begin

	y_field= CW_FIELD( y_group, VALUE=info.field_name.y, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Y Field:', XSIZE=40, /noedit)

	info.widgets.yfield = y_field
endif

if (zflag gt 0) then begin

	z_field= CW_FIELD( z_group, VALUE='1', $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Degree of Polynomial:', XSIZE=10, /return_event) 

	info.widgets.zfield =z_field
endif

  widget_control, set_uvalue=info, info.base
end

;------------------------------------------------------------------
pro create_xyz_fields, x_field, y_field, z_field, x_group, y_group, z_group,$
xflag, yflag, zflag, info

pro_name = 'create_xyz_fields'
@getinfo
 
font1 = '-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

if (xflag gt 0) then begin

	x_field= CW_FIELD( x_group, VALUE=info.field_name.x, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='X Field:', XSIZE=40, /noedit)
	
	info.widgets.xfield= x_field
endif


if (yflag gt 0) then begin

	y_field= CW_FIELD( y_group, VALUE=info.field_name.y, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Y Field:', XSIZE=40, /noedit)

	info.widgets.yfield = y_field
endif

if (zflag gt 0) then begin

	z_field= CW_FIELD( z_group, VALUE=info.field_name.z, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Z Field:', XSIZE=40, /noedit) 

	info.widgets.zfield =z_field
endif

  widget_control, set_uvalue=info, info.base
end

;------------------------------------------------------------------
pro create_y1y2_fields, x_field, y_field, x_group, y_group, xflag, yflag, info

pro_name = 'create_y1y2_fields'
@getinfo
 
font1 = '-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

if (xflag gt 0) then begin

	cons_id = 1
	x_value = ''
	if info.field_name.x eq "Constant" then $
	   x_value = string(info.y1y2.cons_value1) $
	else x_value = info.field_name.x
	x_field= CW_FIELD( x_group, VALUE=x_value, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Y1 Field:', XSIZE=40, uvalue=cons_id, /return_event)
	
	info.widgets.xfield= x_field
endif


if (yflag gt 0) then begin

	cons_id = 2
	y_value = ''
	if info.field_name.y eq "Constant" then $
	  y_value = string(info.y1y2.cons_value2) $
	else y_value = info.field_name.y
	y_field= CW_FIELD( y_group, VALUE=y_value, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Y2 Field:', XSIZE=40, uvalue=cons_id, /return_event)

	info.widgets.yfield = y_field
endif

  widget_control, set_uvalue=info, info.base
end

;------------------------------------------------------------------
pro create_y1tri_fields, x_field, y_field, x_group, y_group, xflag, yflag, $
	info, t1_group, t2_group

pro_name = 'create_y1tri_fields'
@getinfo
 
font1 = '-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

if (xflag gt 0) then begin

	cons_id = 1
	x_value = ''
	if info.field_name.x eq "Constant" then $
	   x_value = string(info.y1y2.cons_value1) $
	else x_value = info.field_name.x
	x_field= CW_FIELD( x_group, VALUE=x_value, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Y1 Field:', XSIZE=40, uvalue=cons_id, /return_event)
	
	info.widgets.xfield= x_field
endif

text1 = ' '
text1id=widget_label(t1_group, value = text1, /ALIGN_CENTER, FONT=font1)
text2 = 'Select Constant option to set Y2 = 0 for degree or Y2 = 1 for radian'
text2id=widget_label(t2_group, value = text2, /ALIGN_CENTER, FONT=font1)

if (yflag gt 0) then begin

	cons_id = 2
	y_value = ''
	info.field_name.y = "Constant" 
	if info.y1y2.cons_value2 lt 0 or info.y1y2.cons_value2 gt 1 then $
		info.y1y2.cons_value2 = 0
	y_value = string(info.y1y2.cons_value2) 
	y_field= CW_FIELD( y_group, VALUE=y_value, $
        ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
        TITLE='Y2 Field:', XSIZE=40, uvalue=cons_id, /return_event)

	info.widgets.yfield = y_field
endif

  widget_control, set_uvalue=info, info.base
end

;------------------------------------------------------------------
pro create_grid_data, hdf_data_x, hdf_data_y, hdf_data_z, gridspace, gridlimit, $
    filldata_value, gridlon, gridlat, griddata

pro_name = 'create_grid_data'
@getinfo
 
long_min = gridlimit(0)
lat_min = gridlimit(1)
long_max = gridlimit(2)
lat_max = gridlimit(3)

long_space = gridspace(0)
lat_space = gridspace(1)
;print,'long_space = ',long_space,' lat_space = ',lat_space

num_long = long((long_max - long_min)/long_space + 1.0009)
num_lat = long((lat_max - lat_min)/lat_space + 1.0009)
;print,'num_long = ',num_long,' num_lat = ',num_lat

long_array = long((hdf_data_x - long_min)/long_space + 0.00009) - 1
lat_array = long((hdf_data_y - lat_min)/lat_space + 0.00009) - 1
subscripts = where(long_array lt 0, count)
if count ne 0 then long_array(subscripts) = 0
subscripts = where(lat_array lt 0, count)
if count ne 0 then lat_array(subscripts) = 0

gridlon = findgen(num_long-1) * long_space + long_min + 0.5*long_space
gridlat = findgen(num_lat-1) * lat_space + lat_min + 0.5*lat_space

griddata = make_array(num_long-1, num_lat-1, /double, value=0)
num_point = make_array(num_long-1, num_lat-1, /long, value=0)

num_elem = n_elements(hdf_data_z)

for i = 0L, num_elem-1 do begin
	griddata(long_array(i), lat_array(i)) = griddata(long_array(i), lat_array(i)) + $
		hdf_data_z(i)
	num_point(long_array(i), lat_array(i)) = num_point(long_array(i), lat_array(i)) + 1
endfor

subscripts = where(num_point gt 0, count)
if count ne 0 then begin
	griddata(subscripts) = griddata(subscripts)/num_point(subscripts)
endif else begin
	griddata(*,*) = filldata_value
	return
endelse

subscripts = where(num_point eq 0, count)
if count ne 0 then griddata(subscripts) = filldata_value

end

;--------------------------------------------------------------------------------
function make_second_time, time

pro_name = 'make_second_time'
@getinfo1

time = time(0)
timearray = str_sep(time, ':')
n_timearray = n_elements(timearray)
case n_timearray of
   1: begin
	hours = 0
	minutes = 0
	seconds = long(timearray(0))
      end
   2: begin
	hours = 0
	minutes = long(timearray(0))
	seconds = long(timearray(1))
      end
   3: begin
	hours = long(timearray(0))
	minutes = long(timearray(1))
	seconds = long(timearray(2))
      end
   else: begin
	message=['Cannot interpret time format!', $
		 'The right format is hh:mm:ss or,', $
		 '                       mm:ss or,', $
		 '                          ss']
	result=dialog_message(message, title='View HDF Warning!')
		return, -1
      end

endcase
   
result = long(1)
result = hours * 3600 + minutes * 60 + seconds
return, result

end

;------------------------------------------------------------------
function get_instrument_id, info

pro_name = 'get_instrument_id'
@getinfo1
 
widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)

result = where(info.name_list_vdata eq 'Converted Digital Data' or $
	info.name_list_vdata eq 'Converted Instrument Status Data', count)
if count ne 0 then begin

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    ;the_result = CALL_EXTERNAL(PWD+'/ies_bds_rel2.so',   $
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	;the_result = CALL_EXTERNAL(PWD+'/ies_bds_rel2.so',   $
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	return, -1
    endelse 

    result = where(the_vfield_list eq 'Instrument ID Number', count)
    if count ne 0 then begin

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)
	the_types=long(1)
	the_order=long(1)

	this_start = 0
	this_end = 1
	this_increment = 1L

	CD, '.', CURRENT = PWD

	;the_result = CALL_EXTERNAL(PWD+'/ies_bds_rel2.so',   $
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	blank = array_type(the_types(0), the_order)

	single_record=create_struct( 'components' + '0', blank) 

	output_data=replicate(single_record, (the_nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	;the_result = CALL_EXTERNAL(PWD+'/ies_bds_rel2.so',   $
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	output_data = reform(output_data.components0, n_elements(output_data.components0))

	return, output_data(0)

    endif else begin
        result=dialog_message('Problem reading Instrument ID Number Fields!',$
                        title='View HDF Warning!')
        return, -1
    endelse

endif else begin
	result=dialog_message('Converted Digital Data vdata not found!',$
			title='View HDF Warning!')
	return, -1
endelse 

end

;------------------------------------------------------------------
;	digital_done	
;------------------------------------------------------------------
PRO digital_done, Event

pro_name = 'digital_done'
@getinfo
 
	widget_control, get_uvalue=info, event.top
	widget_control,event.top,/destroy

        font1='-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

if (info.subset.count lt info.subset.maximum) then begin

	;-----------------------------------
	; Ask the user to Subset the data
	;-----------------------------------

	subset_name=info.digital.name_sel + '[' + strcompress(string(info.subset.count)) +']'

	if info.rangetype.type eq 1 then begin
	   info.rangetype.flag=0
	   get_time_range, subset_name, 0, info
	   widget_control, get_uvalue=info, info.base
	   if info.canceloption eq 'Yes' then begin
		info.canceloption = 'No'
		widget_control, set_uvalue=info, info.base
		return
	   endif 
	endif
	if info.rangetype.type eq 0 or info.rangetype.flag eq 1 then $
	  record_range_buttons, subset_name, 0, 'digital_subset_done', info $
	else return
	;if info.rangetype.type eq 1 then begin
	;  time_range_buttons, subset_name, 'digital_subset_done', info
	;endif else begin
	;  record_range_buttons, subset_name, 0, 'digital_subset_done', info
	;endelse

	widget_control, set_uvalue=info, info.base

endif else begin

	the_message = ["You have maximum sets of data", "Please remove at least one set of data."]
        result=dialog_message(the_message, title='View HDF Warning!')
        return

endelse

END

;------------------------------------------------------------------
;	digital_subset_done
;------------------------------------------------------------------
pro digital_subset_done, Event

pro_name = 'digital_subset_done'
@getinfo
 
	widget_control, /hourglass
	widget_control,get_uvalue=info,event.id

	widget_control, info.widgets.subset_name, get_value=temp_name
	temp_name=temp_name(0)
	if info.vgroup.flag eq 1 then $
		temp_name = get_vgroup_name(temp_name,info)

if info.rangetype.type eq 1 and info.rangetype.flag eq 0 then begin
   handle_value, info.rangetype.time, time_record
   start_time = ' '
   end_time = ' '
   widget_control, info.widgets.start_time, get_value=start_time
   widget_control, info.widgets.end_time, get_value=end_time
   starttime = make_second_time(start_time) - 1
   endtime = make_second_time(end_time) + 1
   if (starttime gt endtime) then begin
	the_message=['The start time is greater than end time', $
		'Please, check the time and input it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
   endif

   subscript=where((time_record ge starttime) and (time_record le endtime), count)
   if(count lt 2) then begin
	result=dialog_message('There are no records in the time range!', $
		title='View HDF Warning!')
	return
   endif

   this_start = long(subscript(0))
   this_end = long(subscript(count-1))
   this_increment = 1L
   
endif else begin

	widget_control,info.widgets.starting_field(0),get_value=this_start
	this_start=long(this_start) - 1
	if this_start lt 0 then this_start = 0L

	widget_control,info.widgets.ending_field(0),get_value=this_end
	this_end=long(this_end)-1

	widget_control,info.widgets.increment_field(0),get_value=this_increment
	this_increment=long(this_increment)

endelse

	info.rangetype.old_start(0) = this_start + 1
	info.rangetype.old_end(0) = this_end + 1
	info.rangetype.old_increment(0) = this_increment
	info.rangetype.old_dim(0) = info.sds.dims(0)

	widget_control,event.top,/destroy

	widget_control,info.widgets.current_file,get_value=filename
	filename=filename(0)

	digital_nrec = info.sds.dims(0)
	output_data = lonarr(digital_nrec)

	;-------------------------------------------
	; Now read in the digital data from the HDF file
	;-------------------------------------------
       	CD, '.', CURRENT = PWD

	instr_id = long(get_instrument_id(info))
	if instr_id lt 0 then begin
		result=dialog_message('Problem reading Instrument ID Number!',$
			title='View HDF Warning!')
		return
	endif 

       	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_digital_data', 			$
               	filename, 				$
		info.digital.indices_sel,	$
		digital_nrec,				$
		instr_id, $
		output_data)

	if (the_result eq -1) then begin
		result=dialog_message('Problem to read digital data!',$
			title='View HDF Warning!')
		return
	endif

		 output_data = output_data(this_start:this_end)
		 this_increment = this_increment(0)

		if (this_increment gt 1) then begin
			indices = lindgen(this_end-this_start+1)
			indices = indices mod this_increment
			indices = [where(indices eq 0) ]
			output_data = output_data(indices)
		endif
	
		;-------------------------------------------
		; Stuff the data into subset_data 
		;-------------------------------------------
		info.subset.count=info.subset.count+1
		info.subset.data(info.subset.count-1).subset_name=string(temp_name)
		info.subset.data(info.subset.count-1).src_filename=filename
		info.subset.data(info.subset.count-1).src_unitname=''
		info.subset.data(info.subset.count-1).src_type_flag=0			
		info.subset.data(info.subset.count-1).src_crit_flag = 0
		info.subset.data(info.subset.count-1).src_crit_name = ''
		info.subset.data(info.subset.count-1).src_crit_min = ''
		info.subset.data(info.subset.count-1).src_crit_max = ''
		info.subset.data(info.subset.count-1).src_crit_type = ''
		info.subset.data(info.subset.count-1).src_ref = info.sds.ref
		info.subset.data(info.subset.count-1).src_rank=1
		info.subset.data(info.subset.count-1).src_start(0)=this_start
		info.subset.data(info.subset.count-1).src_end(0)=this_end+1
		info.subset.data(info.subset.count-1).src_increment(0)=this_increment
		info.subset.data(info.subset.count-1).src_org_rank=1
		info.subset.data(info.subset.count-1).src_org_start(0)=this_start
		info.subset.data(info.subset.count-1).src_org_end(0)=this_end+1
		info.subset.data(info.subset.count-1).src_org_increment(0)=this_increment
		info.subset.data(info.subset.count-1).src_fnames=info.digital.name_sel
		info.subset.data(info.subset.count-1).src_types=24
		info.subset.data(info.subset.count-1).src_order=0
		info.subset.data(info.subset.count-1).src_data=handle_create()
		info.subset.data(info.subset.count-1).src_start(1)=this_start
		info.subset.data(info.subset.count-1).src_end(1)=this_end+1

		;-------------------------------------------------
		; Assign the src_data to point to the structure
		;-------------------------------------------------
		handle_value,info.subset.data(info.subset.count-1).src_data,output_data,/set

		if handle_info(info.rangetype.time) then begin
		     handle_value, info.rangetype.time, time_record
		     info.subset.data(info.subset.count-1).src_time=handle_create()
		     handle_value,info.subset.data(info.subset.count-1).src_time,time_record,/set
		endif

		;-------------------------------------------
		; Add to the subset list
		;-------------------------------------------

        info = redefine_info(info, temp_name, 3 )
 
        widget_control, info.widgets.subset_list, set_value=info.name_list_subset
 
	widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
function make_string_time, seconds

pro_name = 'make_string_time'
@getinfoa

result=''

seconds = long(seconds)
minutes = long(seconds/60)
seconds = seconds - minutes * 60
hours = long(minutes/60)
minutes = minutes - hours * 60

result=string(format='(I2.2,":",I2.2,":",I2.2)', hours, minutes, seconds)
return, result

end

;--------------------------------------------------------------------------------
function get_data_range, this_subset, info

pro_name = 'get_data_range'
@getinfoa

range_string = ''

;if info.subset.data(this_subset).src_transpose eq 0 then begin
;   startrecord = info.subset.data(this_subset).src_start(0)
;   endrecord = info.subset.data(this_subset).src_end(0)
;   if info.subset.data(this_subset).src_type_flag eq 0 then begin
;	the_rank = info.subset.data(this_subset).src_rank
;	if the_rank eq 1 then begin
;		true_start = info.subset.data(this_subset).src_start(the_rank)
;		true_end = info.subset.data(this_subset).src_end(the_rank)
;		if true_start ne startrecord or true_end ne endrecord then begin
;			startrecord = true_start
;			endrecord = true_end
;		endif
;	endif
;	endrecord = endrecord - 1
;   endif
;endif else begin
;   if info.subset.data(this_subset).src_rank eq 1 then begin
;	startrecord = info.subset.data(this_subset).src_start(0)
;	endrecord = info.subset.data(this_subset).src_end(0)
;   endif else begin
;	startrecord = info.subset.data(this_subset).src_start(1)
;	endrecord = info.subset.data(this_subset).src_end(1)
;   endelse
;   endrecord = endrecord - 1
;endelse

startrecord = info.subset.data(this_subset).src_org_start(0)
endrecord = info.subset.data(this_subset).src_org_end(0)
if info.subset.data(this_subset).src_type_flag eq 0 then $
	endrecord = endrecord - 1

if handle_info(info.subset.data(this_subset).src_time) then begin
	handle_value, info.subset.data(this_subset).src_time, time_record
	time_dimen = size(time_record, /N_DIMENSIONS)
	starttime = ' '
	endtime = ' '
	if time_dimen eq 2 then begin
		startsample = info.subset.data(this_subset).src_org_start(1)
		endsample = info.subset.data(this_subset).src_org_end(1) - 1
		starttime = make_string_time(time_record(startsample,startrecord))
		endtime = make_string_time(time_record(endsample,endrecord))
	endif else begin
		starttime = make_string_time(time_record(startrecord))
		endtime = make_string_time(time_record(endrecord))
	endelse
	range_string=starttime + ' - ' + endtime + ' ('
endif 

if info.subset.data(this_subset).src_type_flag eq 0 then begin

	org_rank = info.subset.data(this_subset).src_org_rank
	for i = 0, org_rank-1 do begin
		range_string=range_string+ $
			strcompress(string(info.subset.data(this_subset).src_org_start(i)+1))
		range_string=range_string+':'
		range_string=range_string+ $
			strcompress(string(info.subset.data(this_subset).src_org_end(i)))
		range_string=range_string+':'
		range_string=range_string + $
			strcompress(string(info.subset.data(this_subset).src_org_increment(i)))
		if i lt org_rank-1 then $
			range_string=range_string+';' $
		else begin
			if handle_info(info.subset.data(this_subset).src_time) then $
				range_string = range_string+')'
		endelse
	endfor
endif else begin
	increcord = info.subset.data(this_subset).src_increment(0)
	start_order = info.subset.data(this_subset).src_start(1)
	end_order = info.subset.data(this_subset).src_end(1)
	increment_order = info.subset.data(this_subset).src_increment(1)
		range_string=range_string+strtrim(string(startrecord+1), 2)+':'
		range_string=range_string+ strtrim(string(endrecord+1),2)+':'
		range_string=range_string+ strtrim(string(increcord),2)+';'
		range_string=range_string+' Order: '+strtrim(string(start_order),2)+':'
		range_string=range_string+ strtrim(string(end_order),2)+':'
		range_string=range_string+ strtrim(string(increment_order),2)
	if handle_info(info.subset.data(this_subset).src_time) then begin
		range_string=range_string + ')'
	endif
endelse

return, range_string

end

;--------------------------------------------------------------------------------
pro display_value, info, this_subset

pro_name = 'display_value'
@getinfo

widget_control, /hourglass

check=check_path(info.temp_dir)
if check eq 1 then begin
   table_filename=info.temp_dir+"."+info.tempname+"_table" + $
	strcompress(string(info.subset.count),/REMOVE_ALL)
endif else begin
   table_filename=info.temp_dir+"/."+info.tempname+"_table" + $
	strcompress(string(info.subset.count),/REMOVE_ALL)
endelse

get_lun, unit
openw, unit, table_filename 

;--------------------------
; Write file header
;--------------------------
filename=info.subset.data(this_subset).src_filename
filename=filename(0)

printf, unit, format='("Source Data Filename: ",A)', filename
printf, unit, format='("Subset Name: ",A)', info.name_list_subset(this_subset)
unit_name = info.subset.data(info.subset.selected).src_unitname
unit_name = unit_name(0)
temp_length = strlen(unit_name)
unitlabel = ''
if (temp_length gt 0) then $
	unitlabel = strmid(unit_name,2,temp_length-2)
printf,unit, format='("Unit:  ",A)', unitlabel
data_range = ''
data_range = get_data_range(this_subset,info)
printf,unit, format='("Data Range:  ",A)',data_range

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	for i = 0, num_temp-1 do begin
		temp_length = strlen(temp_name(i))
		dot=strpos(temp_name(i),';')
		if( dot ne -1) then begin
			crit1 = strtrim(strmid(temp_name(i),0,dot),2)
			crit2 = strtrim(strmid(temp_name(i),dot+1,temp_length-1),2)
			if i eq 0 then printf,unit,crit1 $
				else printf,unit,'           '+crit1
				printf,unit,'           '+crit2
		endif else begin
			crit1 = strtrim(temp_name(i),2)
			if i eq 0 then printf,unit,crit1 $
				else printf,unit,'           '+crit1
		endelse
	endfor
	printf,unit
endif

;-------------------------------
; Get values from the widgets
;-------------------------------

handle_value, info.subset.data(this_subset).src_data, hdf_data

temp='('+info.precision+')'
temp=temp(0)
;if info.subset.data(this_subset).src_type_flag eq 0 then printf, unit, hdf_data $
if info.subset.data(this_subset).src_type_flag eq 0 then printf, unit, format=temp, hdf_data $
else begin
	if info.subset.data(this_subset).src_types(0) eq 4 then begin
		printf, unit, hdf_data(*).components0
	endif else begin
		temp='('+info.precision+')'
		temp=temp(0)
		printf, unit, format=temp, hdf_data(*).components0
		;printf, unit, hdf_data(*).components0
	endelse
endelse

close,unit
free_lun, unit

case info.editor_type of
	1: command_line = "emacs " + table_filename + " &"
	2: begin 
		command_line = info.ieditor + " -geometry 757x531+75+104"
		command_line = command_line + " -title 'Display Data' "
		command_line = command_line + table_filename + " &"
	   end
	3: command_line = info.editor + " " + table_filename + " &"
	else: begin
		command_line="xterm -bg \#73a1ff -fn "
		command_line=command_line+ $
			"-adobe-courier-bold-r-normal--14-100-100-100-m-90-iso8859-1"
		command_line=command_line + " -e vi -R " + table_filename + " &"
	   end
endcase
spawn, command_line,results

end

;--------------------------------------------------------------------------------
pro do_2d_graph, info, name_of_data, this_subset, print_flag

pro_name = 'do_2d_graph'
@getinfo

dot=strpos(name_of_data,'[')
if( dot ne -1) then begin
  ytitle=strmid(name_of_data,0,dot)
endif else begin
  ytitle = name_of_data
endelse

if info.multiple.key eq 1 then begin
  legend_title = ytitle
  if info.multiple.y1y2 eq 0 then ytitle = ''
  the_title=''
endif else the_title = ytitle

data_range = ''
data_range = get_data_range(this_subset,info)
the_title = the_title + ' Data Range: ' + data_range

this_type = info.subset.data(this_subset).src_types
this_type = this_type(0)
filldata_value = get_filldata_value(this_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata
max_value = get_max_value(this_type, info.filldata)
if max_value gt info.filldata then max_value = info.filldata

;--------------------------
; If this is an SDS then
;--------------------------

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

change_scale = 0

if info.subset.data(this_subset).src_type_flag eq 0 then begin

	handle_value, info.subset.data(this_subset).src_data, hdf_data

        hdf_temp_data = reform(hdf_data, n_elements(hdf_data))
        subscript = where(hdf_temp_data lt filldata_value, count)

        if count eq 0 then begin

        	result=dialog_message('All Data is FILL data!',$
                           title='View HDF Warning!')
                           return
        endif

	hdf_temp_data = hdf_temp_data(subscript)
	hdf_max = max(hdf_temp_data, min=hdf_min)
	hdf_size = size(hdf_data)
	n_hdf_size = n_elements(hdf_size)
	info.slide.x_start = 0.0
	info.slide.x_end = hdf_size(n_hdf_size - 1)

	if ((print_flag eq 0) or (print_flag eq 3)) then plot_dialogue , name_of_data, info

	if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
		else plot_symbol = info.style.symbol

	if info.multiple.flag ne 1 then begin

		xtitle='!CSample!C'
		if !D.Name eq 'PS' then begin
			old_charsize = !X.CHARSIZE
			!X.CHARSIZE = 0.9
			!Y.CHARSIZE = 0.9	
		endif else !P.Position = [0.060, 0.100, 0.98, 0.96]
			
		if info.multiple.key ne 1 then begin
			temp_name = info.subset.data(this_subset).src_unitname
			temp_name = temp_name(0)
			dot=strpos(temp_name,'N/A')
			if( dot eq -1) then ytitle = ytitle + temp_name
		endif

        	if info.subset.data(this_subset).src_crit_flag eq 1 then begin
			crit_string = ''
			crit_string = get_crit_string(this_subset, info)
			if !D.Name eq 'PS' and  info.eps_type eq 1 then  $
				!P.Position = [0.235, 0.15, 0.99, 0.95] $
				else !P.Position = [0.060, 0.120, 0.98, 0.96]
			temp_name = str_sep(crit_string, '!C')
			num_temp = n_elements(temp_name)
			!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
		endif

		if info.style.xlog gt 0 then begin
		    default_max = n_elements(hdf_data)
		    XRange = set_log_range(XRange, 1, default_max)
		endif
					
		if info.style.ylog gt 0 then begin
		    YRange = set_log_range(YRange, hdf_min, hdf_max)
		endif
					
		if (info.multiple.key eq 1 and info.multiple.y1y2 eq 1) then begin
			temp_name = info.subset.data(this_subset).src_unitname
			temp_name = temp_name(0)
			dot=strpos(temp_name,'N/A')
			if( dot eq -1) then ytitle = ytitle + temp_name
			if !P.Position(2) gt 0.0 then !P.Position(2) = !P.Position(2) - 0.03
			old_x_margin = !X.MARGIN
			!X.MARGIN = [10, 10]
			ystyle = ystyle + 8
		endif

		get_ticklen, info.style.grid, xticklen, yticklen 

                plot, hdf_data, MAX_VALUE = max_value, /YNOZERO, /NODATA, $
                	FONT=info.char.font, charsize=info.char.size, title=the_title, $
			xtitle=xtitle, ytitle=ytitle, xticklen=xticklen, yticklen=yticklen, $
                        subtitle=info.subset.data(this_subset).src_filename  + "  Date:" + systime(0), $
                        XRange = XRange, YRange = YRange, Xstyle=Xstyle, Ystyle = Ystyle, $
			xlog = info.style.xlog, ylog=info.style.ylog

		if info.subset.data(this_subset).src_crit_flag eq 1 then begin
			if !D.Name eq 'PS' then begin
				charsize = 0.9*info.char.size
				y_location = 0.125
			endif else begin
				charsize = info.char.size
				y_location = 0.11
			endelse
			;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
			xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
				font=info.char.font, charsize=charsize
		endif

		if info.addtext.key eq 1 then write_add_text, info

		if !D.Name eq 'PS' then begin
			!X.CHARSIZE = old_charsize
			!Y.CHARSIZE = old_charsize
		endif
	endif

	if ((info.multiple.key eq 1 and info.multiple.y1y2 eq 1) and $
	     info.multiple.number eq 1) then begin
		temp_name = info.subset.data(this_subset).src_unitname
		temp_name = temp_name(0)
		dot=strpos(temp_name,'N/A')
		if( dot eq -1) then ytitle = ytitle + temp_name
		subscripts = where(hdf_data lt filldata_value, count)
		if count ne 0 then begin
		    if info.axis_state lt 6 then begin
			hdf_temp_data = hdf_data(subscripts)
			hdf_max = max(hdf_temp_data, min=hdf_min)
			if hdf_max le !y.crange(1) and hdf_min ge !y.crange(0) then begin
				toler=(info.range.y_end - info.range.y_start)/5
				max_diff = info.range.y_end - hdf_max
				min_diff = hdf_min - info.range.y_start
				if abs(max_diff) le toler and abs(min_diff) le toler then begin
					ymax=info.range.y_end
					ymin=info.range.y_start
				endif else begin
					get_range, hdf_max, hdf_min, ymax, ymin
					ymax = ymax + (ymax - ymin)*0.15
				endelse
			endif else begin
				get_range, hdf_max, hdf_min, ymax, ymin
				ymax = ymax + (ymax - ymin)*0.15
			endelse
		    endif else begin
			ymin = info.range.y2_start
			ymax = info.range.y2_end
			ymax = ymax + (ymax - ymin)*0.15
		    endelse
			old_x = !X
			old_y = !Y
			change_scale = 1
			if info.style.y2log gt 0 then begin
			     y2range = [ymin, ymax]
			     y2range = set_log_range(y2range, ymin, ymax)
			     ymin = y2range(0)
			     ymax = y2range(1)
			endif else if !Y.TYPE eq 1 then !Y.TYPE = 0
			Axis, YAXIS=1, ytitle = ytitle, /YNOZERO, YRANGE=[ymin, ymax], $
				FONT=info.char.font, charsize=info.char.size, ystyle=3, $
				ticklen=0.01, ylog=info.style.y2log, /SAVE
		endif else begin
			Axis, YAXIS=1, ytitle = ytitle, FONT=info.char.font, $
				charsize=info.char.size, ystyle=2, ticklen=0.01, $
				ylog=info.style.ylog, /SAVE
		endelse
	endif

		oplot, hdf_data, MAX_VALUE = max_value, $
			psym = plot_symbol, linestyle=info.style.linetype, $
			symsize = info.style.symbolsize

		if info.multiple.key eq 1 then begin
			temp_name = info.subset.data(this_subset).src_unitname
			temp_name = temp_name(0)
			dot=strpos(temp_name,'N/A')
			if( dot eq -1) then legend_title = legend_title + temp_name

			y_leg = !Y.WINDOW(1) - 0.03 - 0.025 * info.multiple.number
			y_leg_t = y_leg - 0.005
			x_leg_s = !X.WINDOW(0) + 0.03 
			x_leg_e = x_leg_s + 0.05
			leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
			leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
			oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
				psym = plot_symbol, linestyle=info.style.linetype, $
                        	symsize = info.style.symbolsize

			xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
				charsize=info.char.size
		endif

		if change_scale eq 1 then begin
			!X = old_x
			!Y = old_y
		endif

;--------------------------
; For a Vdata do this
;--------------------------
endif else begin

	handle_value, info.subset.data(this_subset).src_data, hdf_data
        hdf_temp_data = reform(hdf_data.components0, n_elements(hdf_data.components0))
        subscript = where(hdf_temp_data lt filldata_value, count)

        if count eq 0 then begin
	        result=dialog_message('All Data is FILL data!',$
                           title='View HDF Warning!')
                           return
        endif

	hdf_temp_data = hdf_temp_data(subscript)
	hdf_max = max(hdf_temp_data, min=hdf_min)
	hdf_size = size(hdf_temp_data)
	n_hdf_size = n_elements(hdf_size)
	info.slide.x_start = 0.0
	info.slide.x_end = hdf_size(n_hdf_size - 1)

	if ((print_flag eq 0) or (print_flag eq 3)) then plot_dialogue , name_of_data, info

	if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
		else plot_symbol = info.style.symbol

	if info.multiple.flag ne 1 then begin

	  xtitle='!CSample!C'
	  if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	  endif else !P.Position = [0.060, 0.100, 0.98, 0.96]
			
	  if info.multiple.key ne 1 then begin
		temp_name = info.subset.data(this_subset).src_unitname
		temp_name = temp_name(0)
		dot=strpos(temp_name,'N/A')
		if( dot eq -1) then ytitle = ytitle + temp_name
	  endif

          if info.subset.data(this_subset).src_crit_flag eq 1 then begin
		crit_string = ''
		crit_string = get_crit_string(this_subset, info)
		if !D.Name eq 'PS' and info.eps_type eq 1 then $
			!P.Position = [0.235, 0.15, 0.99, 0.95] $
			else !P.Position = [0.060, 0.120, 0.98, 0.96]
                temp_name = str_sep(crit_string, '!C')
                num_temp = n_elements(temp_name)
                !P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
          endif

	  if info.style.xlog gt 0 then begin
		default_max = n_elements(hdf_data)
		XRange = set_log_range(XRange, 1, default_max)
	  endif

	  if info.style.ylog gt 0 then begin
		YRange = set_log_range(YRange, hdf_min, hdf_max)
	  endif

	  if (info.multiple.key eq 1 and info.multiple.y1y2 eq 1) then begin
		temp_name = info.subset.data(this_subset).src_unitname
		temp_name = temp_name(0)
		dot=strpos(temp_name,'N/A')
		if( dot eq -1) then ytitle = ytitle + temp_name
		if !P.Position(2) gt 0.0 then !P.Position(2) = !P.Position(2) - 0.03
		old_x_margin = !X.MARGIN
		!X.MARGIN = [10, 10]
		ystyle = ystyle + 8
          endif
 
	  get_ticklen, info.style.grid, xticklen, yticklen 

	  plot, hdf_data(*).components0, MAX_VALUE = max_value, /YNOZERO, /NODATA, $
		FONT=info.char.font, charsize=info.char.size, title=the_title, $
		xtitle=xtitle, ytitle=ytitle,xticklen=xticklen, yticklen=yticklen, $
		subtitle=info.subset.data(this_subset).src_filename + "  Date:" + systime(0), $
		XRange = XRange, YRange = YRange, Xstyle=Xstyle, Ystyle = Ystyle, $
		xlog=info.style.xlog, ylog=info.style.ylog

	  if info.subset.data(this_subset).src_crit_flag eq 1 then begin
		if !D.Name eq 'PS' then begin
			charsize = 0.9*info.char.size
			y_location = 0.125
		endif else begin
			charsize = info.char.size
			y_location = 0.11
		endelse
		;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
		xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
			font=info.char.font, charsize=charsize
	  endif

	  if info.addtext.key eq 1 then write_add_text, info

	  if !D.Name eq 'PS' then begin
		!X.CHARSIZE = old_charsize
		!Y.CHARSIZE = old_charsize
	  endif

	endif

        if ((info.multiple.key eq 1 and info.multiple.y1y2 eq 1) and $
             info.multiple.number eq 1) then begin
                temp_name = info.subset.data(this_subset).src_unitname
                temp_name = temp_name(0)
                dot=strpos(temp_name,'N/A')
                if( dot eq -1) then ytitle = ytitle + temp_name
        	hdf_temp_data = reform(hdf_data.components0, n_elements(hdf_data.components0))
                subscripts = where(hdf_temp_data lt filldata_value, count)
                if count ne 0 then begin
		    if info.axis_state lt 6 then begin
                        hdf_temp_data = hdf_temp_data(subscripts)
                        hdf_max = max(hdf_temp_data, min=hdf_min)
			if hdf_max le !y.crange(1) and hdf_min ge !y.crange(0) then begin
				toler=(info.range.y_end - info.range.y_start)/5
				max_diff = info.range.y_end - hdf_max
				min_diff = hdf_min - info.range.y_start
				if abs(max_diff) le toler and abs(min_diff) le toler then begin
					ymax=info.range.y_end
					ymin=info.range.y_start
				endif else begin
					get_range, hdf_max, hdf_min, ymax, ymin
					ymax = ymax + (ymax - ymin)*0.15
				endelse
			endif else begin
				get_range, hdf_max, hdf_min, ymax, ymin
				ymax = ymax + (ymax - ymin)*0.15
			endelse
		    endif else begin
			ymin = info.range.y2_start
			ymax = info.range.y2_end
			ymax = ymax + (ymax - ymin)*0.15
		    endelse
			old_x = !X
			old_y = !Y
			change_scale = 1
			if info.style.y2log gt 0 then begin
			    y2range = [ymin, ymax]
			    y2range = set_log_range(y2range, ymin, ymax)
			    ymin = y2range(0)
			    ymax = y2range(1)
			endif else if !Y.TYPE eq 1 then !Y.TYPE = 0
			Axis, YAXIS=1, ytitle = ytitle, /YNOZERO, YRANGE=[ymin, ymax], $
				FONT=info.char.font, charsize=info.char.size, ystyle=3, $
				ticklen=0.01, ylog=info.style.y2log, /SAVE
                endif else begin
                        Axis, YAXIS=1, ytitle = ytitle, FONT=info.char.font, $
                                charsize=info.char.size, ystyle=2, ticklen=0.01, $
				ylog=info.style.ylog, /SAVE
                endelse
        endif
 
	oplot, hdf_data(*).components0, MAX_VALUE = max_value, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

	if info.multiple.key eq 1 then begin
		temp_name = info.subset.data(this_subset).src_unitname
		temp_name = temp_name(0)
		dot=strpos(temp_name,'N/A')
		if( dot eq -1) then legend_title = legend_title + temp_name

		y_leg = !Y.WINDOW(1) - 0.03 - 0.025 * info.multiple.number
		y_leg_t = y_leg - 0.005
		x_leg_s = !X.WINDOW(0) + 0.03
		x_leg_e = x_leg_s + 0.05
		leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
		leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
		oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
			psym = plot_symbol, linestyle=info.style.linetype, $
                       	symsize = info.style.symbolsize

		xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
			charsize=info.char.size
	endif

	if change_scale eq 1 then begin
		!X = old_x
		!Y = old_y
	endif

endelse

	check_x_margin = size(old_x_margin)
	if check_x_margin(0) ne 0 then !X.MARGIN=old_x_margin

	!P.Position=[0.0, 0.0, 0.0, 0.0]

	widget_control, set_uvalue=info, info.widgets.base
	widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_2d_image, info, name_of_data, this_subset, print_flag, scale_flag

pro_name = 'do_2d_image'
@getinfo

;--------------------------
;  If this is an SDS then
;--------------------------

handle_value,info.subset.data(this_subset).src_data,hdf_data
size_hdf = size(hdf_data)

if(size_hdf(0) eq 2) then begin

	this_type = info.subset.data(this_subset).src_types
	this_type = this_type(0)
	filldata_value = get_filldata_value(this_type, info.filldata)
	if filldata_value gt info.filldata then filldata_value = info.filldata
        hdf_temp_data = reform(hdf_data, n_elements(hdf_data))
        subscript = where(hdf_temp_data lt filldata_value, count)
        if count eq 0 then begin
        	result=dialog_message('All Data is FILL data!',$
                           title='View HDF Warning!')
                           return
        endif

	top_color = !d.n_colors - 2
	hdf_temp_data = hdf_temp_data(subscript)
	z_max = max(hdf_temp_data, min=z_min)

	subscript = where(hdf_data ge filldata_value, count)
	if count ne 0 then hdf_data(subscript) = z_min - (z_max - z_min)/top_color

	if ((print_flag eq 0) or (print_flag eq 3)) then plot_dialogue , name_of_data, info

	if scale_flag eq 1 then begin
		xscreen = info.screen.xsize
		yscreen = info.screen.ysize
		xdata_size = size_hdf(1)
		ydata_size = size_hdf(2)
		xscale = float(xscreen)/float(xdata_size)
		yscale = float(yscreen)/float(ydata_size)

		if xscale gt yscale then scale = yscale else scale = xscale
		xsize = fix(scale * xdata_size)
		ysize = fix(scale * ydata_size)

		expand, hdf_data, xsize, ysize, hdf_data_z, MAXVAL=info.filldata
		;tv,hdf_data
        	;tvscl,hdf_data
		tvscl,hdf_data_z, top=top_color
	endif else tvscl,hdf_data, top=top_color

	if info.addtext.key eq 1 then write_add_text, info

endif else begin

	the_message = [ 'Data record is not a 2 dimensional array', $
                '2D Image is not valid']
 
	result= dialog_message(the_message, $
		title='View HDF Message!')
 
endelse

end

;--------------------------------------------------------------------------------
pro do_3d_graph, info, name_of_data, this_subset, print_flag

pro_name = 'do_3d_graph'
@getinfo

;--------------------------
;  If this is an SDS then
;--------------------------

	this_type = info.subset.data(this_subset).src_types
	this_type = this_type(0)
	filldata_value = get_filldata_value(this_type, info.filldata)
	if filldata_value gt info.filldata then filldata_value = info.filldata
	max_value = get_max_value(this_type, info.filldata)
	if max_value gt info.filldata then max_value = info.filldata

	handle_value,info.subset.data(this_subset).src_data,hdf_data
	size_hdf = size(hdf_data)

if(size_hdf(0) eq 2) then begin

        hdf_temp_data = reform(hdf_data, n_elements(hdf_data))
        subscript = where(hdf_temp_data lt filldata_value, count)
        if count eq 0 then begin
        	result=dialog_message('All Data is FILL data!',$
                           title='View HDF Warning!')
                           return
        endif

        starting=info.subset.data(this_subset).src_start(0)
        ending=info.subset.data(this_subset).src_end(0)

	info.slide.x_start = info.subset.data(this_subset).src_start(1)
	info.slide.x_end = info.subset.data(this_subset).src_end(1)
	info.slide.y_start = info.subset.data(this_subset).src_start(0)
	info.slide.y_end = info.subset.data(this_subset).src_end(0)

	set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

	rstart = starting
	rend = ending - 1

	hdf_size = size(hdf_data)
	if (info.axis_state eq 1) or (info.axis_state eq 4) or $
	      (info.axis_state eq 5) then begin
		xstart = long(Xrange(0)) - info.subset.data(this_subset).src_start(1)
		if(xstart lt 0) then xstart = 0
		xend = long(Xrange(1)) - info.subset.data(this_subset).src_start(1)
		if(xend gt hdf_size(1)-1) then xend = hdf_size(1)-1
		hdf_data = hdf_data(xstart:xend, *)
		XRange = [0,0]
		Xstyle = 0
	endif

	if (info.axis_state eq 2) or (info.axis_state eq 4) or $
	      (info.axis_state eq 5) then begin
		ystart = long(Yrange(0)) - info.subset.data(this_subset).src_start(0)
		if(ystart lt 0) then ystart = 0
		yend = long(Yrange(1)) - info.subset.data(this_subset).src_start(0)
		if(yend gt hdf_size(2)-1) then yend = hdf_size(2)-1
		hdf_data = hdf_data(* , ystart:yend)
		rstart = Yrange(0)
		rend = Yrange(1)
		YRange = [0,0]
		Ystyle = 0
	end

	if (print_flag eq 0) then plot_dialogue , name_of_data, info

	dot=strpos(name_of_data,'[')
	if( dot ne -1) then begin
	  ztitle=strmid(name_of_data,0,dot)
	endif else begin
	  ztitle = name_of_data
	endelse

	data_range = ''
	data_range = get_data_range(this_subset,info)
	the_title = ztitle + ' Data Range: ' + data_range

	temp_name = info.subset.data(this_subset).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then ztitle = ztitle + temp_name

	if info.subset.data(this_subset).src_crit_flag eq 1 then begin
		crit_string = ''
		crit_string = get_crit_string(this_subset, info)
		if info.graph_style ne 'Contour' then the_title = the_title + '!C' + crit_string
	endif

	if(info.graph_style eq '3D Graph') then begin
           surface, hdf_data, MAX_VALUE = max_value, $
	        charsize=info.char.size, $
		linestyle=info.style.linetype, $
                ax=info.rotate.ax, $
                az=info.rotate.az, $
		title=the_title, $
                xtitle='Sample Number', $
                ytitle='Record Number', $
		ztitle=ztitle,ticklen=-0.01, $
                subtitle=info.subset.data(this_subset).src_filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle
	endif else if(info.graph_style eq 'Contour') then begin
		if !D.Name eq 'PS' then begin
			old_charsize = !X.CHARSIZE
			!X.CHARSIZE = 0.9
			!Y.CHARSIZE = 0.9	
		endif else !P.Position = [0.060, 0.100, 0.98, 0.96]
			
		if info.subset.data(this_subset).src_crit_flag eq 1 then begin
			if !D.Name eq 'PS' and info.eps_type eq 1 then $
				!P.Position = [0.235, 0.15, 0.99, 0.95] $
				else !P.Position = [0.060, 0.120, 0.98, 0.96]
			temp_name = str_sep(crit_string, '!C')
			num_temp = n_elements(temp_name)
			!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
		endif

 		get_ticklen, info.style.grid, xticklen, yticklen 

           contour, hdf_data, MAX_VALUE = max_value, $
		FONT=info.char.font, $
	        charsize=info.char.size, $
		nlevels = info.greenwich.n_level, $
		c_linestyle=info.style.linetype, $
		title=the_title, $
                xtitle='!CSample Number!C', $
                ytitle='Record Number', $
		ztitle=ztitle,xticklen=xticklen, yticklen=yticklen, $
                subtitle=info.subset.data(this_subset).src_filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle

                if info.subset.data(this_subset).src_crit_flag eq 1 then begin
			if !D.Name eq 'PS' then begin
				charsize = 0.9*info.char.size
				y_location = 0.125
			endif else begin
				charsize = info.char.size
				y_location = 0.11
			endelse
                        ;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
                        xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
			font=info.char.font, charsize=charsize
                endif
		!P.Position=[0.0, 0.0, 0.0, 0.0]
		if !D.Name eq 'PS' then begin
			!X.CHARSIZE = old_charsize
			!Y.CHARSIZE = old_charsize
		endif
 
	endif else begin
           shade_surf, hdf_data, MAX_VALUE = max_value, $
	        charsize=info.char.size, $
                ax=info.rotate.ax, $
                az=info.rotate.az, $
		title=the_title, $
                xtitle='Sample Number', $
                ytitle='Record Number', $
		ztitle=ztitle,ticklen=-0.01, $
                subtitle=info.subset.data(this_subset).src_filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
                /lego
	endelse

	if info.addtext.key eq 1 then write_add_text, info

endif else begin

;--------------------------
; Vdata
;--------------------------

if(info.graph_style eq '3D Graph') then begin
	the_message = [ 'Data record is not a 2 dimensional array', $
                '3D Graph plot is not valid']
endif else if(info.graph_style eq 'Contour') then begin
	the_message = [ 'Data record is not a 2 dimensional array', $
                'Contour plot is not valid']
endif else begin
	the_message = [ 'Data record is not a 2 dimensional array', $
                '3D Surface plot is not valid']
endelse
 
result= dialog_message(the_message, $
          title='View HDF Message!')
return
 
endelse

widget_control, set_uvalue = info, info.widgets.base
widget_control, set_uvalue = info, info.base

end

;--------------------------------------------------------------------------------
pro do_grid_contour, info, name_of_data, this_subset, print_flag, plot_type

pro_name = 'do_grid_contour'
@getinfo

;--------------------------
; If this is an SDS then
;--------------------------

if print_flag eq 0 then begin
	handle_value,info.subset.data(this_subset).src_data,hdf_data_array
	if plot_type eq 2 then begin
		get_region_number, this_subset, info
		widget_control, get_uvalue=info, info.base
		if info.canceloption eq 'Yes' then begin
			info.canceloption = 'No'
			widget_control, set_uvalue=info, info.base
			return
		endif
		handle_value, info.xyvalue.x_index, hdf_data_array
	endif else begin
		if handle_info(info.xyvalue.x_index) then $
			handle_free, info.xyvalue.x_index
		info.xyvalue.x_index=handle_create()
		handle_value,info.xyvalue.x_index,hdf_data_array,/set
	endelse
endif else begin
	handle_value, info.xyvalue.x_index, hdf_data_array
endelse
hdf_array_size = size(hdf_data_array)

if hdf_array_size(0) eq 3 then begin
	end_plot = hdf_array_size(3)
endif else if hdf_array_size(0) eq 2 then begin
	end_plot = 1
	check_zone=strpos(name_of_data,'Z)')
	if info.vgroup.flag eq 1 and check_zone eq -1 then begin
		check_string = strlowcase(info.vgroup.name_string)
		check_vg=strpos(check_string, 'zon')
		check_sub = where(check_vg ne -1, count)
		if count gt 0 then check_zone = 1
	endif
	if( check_zone ne -1) then begin
		hdf_data_temp = replicate(hdf_data_array(0,0), 2*hdf_array_size(1), $
			hdf_array_size(1), hdf_array_size(2))
		for j = 0, hdf_array_size(2)-1 do begin
			for i = 0, hdf_array_size(1) - 1 do begin
				hdf_data_temp(*, i, j) = hdf_data_array(i, j)
			endfor
		endfor
		hdf_data_array = hdf_data_temp
		hdf_array_size = size(hdf_data_array)
		end_plot = hdf_array_size(3)
	endif

	if (hdf_array_size(1) eq 180) and (hdf_array_size(2) ne 360) then begin
		hdf_data_temp = replicate(hdf_data_array(0,0), 2*hdf_array_size(1), $
			hdf_array_size(1), hdf_array_size(2))
		for j = 0, hdf_array_size(2)-1 do begin
			for i = 0, hdf_array_size(1) - 1 do begin
				hdf_data_temp(*, i, j) = hdf_data_array(i, j)
			endfor
		endfor
		hdf_data_array = hdf_data_temp
		hdf_array_size = size(hdf_data_array)
		end_plot = hdf_array_size(3)
	endif

endif else if hdf_array_size(0) eq 1 then begin
	check_zone=strpos(name_of_data,'Z)')
	if info.vgroup.flag eq 1 and check_zone eq -1 then begin
		check_string = strlowcase(info.vgroup.name_string)
		check_vg=strpos(check_string, 'zon')
		;check_vg=strpos(info.vgroup.name_string, 'Zon')
		check_sub = where(check_vg ne -1, count)
		if count gt 0 then check_zone = 1
	endif
	if( check_zone ne -1) then begin
		hdf_data_temp = replicate(hdf_data_array(0), 2*hdf_array_size(1), $
			hdf_array_size(1))
		for i = 0, hdf_array_size(1) - 1 do begin
			hdf_data_temp(*, i) = hdf_data_array(i)
		endfor
		hdf_data_array = hdf_data_temp
		hdf_array_size = size(hdf_data_array)
		end_plot = 1
	endif else if (hdf_array_size(1) eq 180) and (hdf_array_size(2) ne 360) then begin
		hdf_data_temp = replicate(hdf_data_array(0), 2*hdf_array_size(1), $
			hdf_array_size(1))
		for i = 0, hdf_array_size(1) - 1 do begin
			hdf_data_temp(*, i) = hdf_data_array(i)
		endfor
		hdf_data_array = hdf_data_temp
		hdf_array_size = size(hdf_data_array)
		end_plot = 1
	endif else begin
		the_message=[ 'The data set is not two or three dimensional arrays', $
			'It is not valid for Grid Cell or Grid Contour']
		result=dialog_message(the_message, title='View HDF Warning!')
		return
	endelse

endif else begin
	the_message=[ 'The data set is not two or three dimensional arrays', $
		'It is not valid for Grid Cell or Grid Contour']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endelse

ijk = 0
while ijk lt end_plot do begin

  if hdf_array_size(0) eq 3 then hdf_data = hdf_data_array(*,*,ijk) $
	else hdf_data = hdf_data_array

  hdf_size = size(hdf_data)

  if(hdf_size(0) eq 2) then begin

	xinterval = 360.0 / hdf_size(1)
	yinterval = 180.0 / hdf_size(2)
	if hdf_array_size(0) eq 3 then begin
		info.slide.x_start = info.subset.data(this_subset).src_start(2) * xinterval
		info.slide.x_end = info.subset.data(this_subset).src_end(2) * xinterval
		info.slide.y_start = info.subset.data(this_subset).src_start(1) * yinterval
		info.slide.y_end = info.subset.data(this_subset).src_end(1) * yinterval
	endif else begin
		info.slide.x_start = info.subset.data(this_subset).src_start(1) * xinterval
		info.slide.x_end = info.subset.data(this_subset).src_end(1) * xinterval
		info.slide.y_start = info.subset.data(this_subset).src_start(0) * yinterval
		info.slide.y_end = info.subset.data(this_subset).src_end(0) * yinterval
	endelse

	set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle
	y_axis_state = 0
	if info.axis_state eq 2 or info.axis_state eq 4 or info.axis_state eq 5 then begin
	    if YRange[0] ge YRange[1] then begin
		the_message = ['The range of latitude is not right!', $
			'Check the range and do it again!']
		result=dialog_message(the_message, title='View HDF Warning!')
		return
	    endif
	    y_axis_state = 1
	endif

	cross_green = 0
	x_axis_state = 0
	if info.axis_state eq 1 or info.axis_state eq 4 or info.axis_state eq 5 then begin
	    If XRange[0] lt 0.0 and XRange[1] ge 0.0 then begin
		If XRange[0] ge -180.0 and XRange[1] le 180.0 then cross_green = 1 $
		else begin
		    the_message = ['The ranges of longitude is not right!', $
			'Check the ranges and do it again!']
		    result=dialog_message(the_message, title='View HDF Warning!')
		    return
		endelse
	    endif

	    if XRange[0] gt XRange[1] then begin
		if XRange[0] lt 360.0 and XRange[1] ge 0.0 then begin
		    XRange[0] = XRange[0] - 360.0
		    cross_green = 1
		endif else begin
		    the_message = ['The ranges of longitude is not right!', $
			'Check the ranges and do it again!']
		    result=dialog_message(the_message, title='View HDF Warning!')
		    return
		endelse
	    endif
	    x_axis_state = 1
	endif

	if (print_flag eq 0) then plot_dialogue , name_of_data, info

	print_flag = 1

	dot=strpos(name_of_data,'[')
	if( dot ne -1) then begin
		ytitle=strmid(name_of_data,0,dot)
	endif else begin
		ytitle = name_of_data
	endelse

	the_title=ytitle
	if hdf_array_size(0) eq 3 then begin
		the_start = info.subset.data(this_subset).src_start(0)
		the_incre = info.subset.data(this_subset).src_increment(0)
		the_end = info.subset.data(this_subset).src_end(0)
		the_current = the_start + ijk * the_incre
		the_title = the_title + ' (' + strcompress(string(the_current+1)) + ' of ' $
			+ strcompress(string(the_end)) + ')'
	endif

	data_range = ''
	data_range = get_data_range(this_subset, info)
	the_title = the_title + ' Data Range: ' + data_range

	if !D.Name eq 'PS' then begin
		the_title=the_title+'!C'+info.subset.data(this_subset).src_filename+ ' '+systime(0)
	endif else begin
		the_title=the_title+'!C!C'+info.subset.data(this_subset).src_filename+ ' '+systime(0)
	endelse

	top_color = !d.n_colors - 2

	if info.color_table ne 0 and info.pick_color_table eq 0 then $
		check_bw = check_color_table(top_color) $
		else check_bw = 0
	if check_bw eq 1 then loadct, info.color_table, file='view_hdf_color.tbl'

	if info.subset.data(this_subset).src_crit_flag eq 1 then begin
		crit_string = ''
		crit_string = get_crit_string(this_subset, info)
		if !D.Name eq 'PS' then begin
			if info.eps_type eq 1 then $
				!P.Position = [0.25, 0.16, 0.99, 0.825] $
			else !P.Position = [0.01, 0.16, 0.99, 0.825]
		endif else begin
			!P.Position = [0.01, 0.150, 0.99, 0.93]
			if(top_color gt info.top_color) then top_color = info.top_color
		endelse
		temp_name = str_sep(crit_string, '!C')
		num_temp = n_elements(temp_name)
		!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
		if info.color_bar eq 1 then barlocation = !P.Position(1) - 0.03 $
			else barlocation = !P.Position(1) + 0.04
	endif else begin
		if !D.Name eq 'PS' then begin
			if info.eps_type eq 1 then $
	                        !P.Position = [0.25, 0.16, 0.99, 0.825] $
			else !P.Position = [0.01, 0.16, 0.99, 0.825]
		endif else begin
			!P.Position = [0.01, 0.13, 0.99, 0.93]
			if(top_color gt info.top_color) then top_color = info.top_color
		endelse
        	barlocation = !P.Position(1) - 0.03
	endelse

	map_charsize = 0.75 * info.char.size
	map_color = !d.n_colors/3
	;map_color = top_color
	case info.greenwich.projection of
	  1: begin
	     if info.axis_state eq 0 or info.axis_state eq 3 then begin
		map_set,0,info.greenwich.greenloca, /orthographic, /isotropic, $
		  londel=15, /horizon, charsize=map_charsize, title=the_title
	     endif else begin
		londiff = XRange(1) - XRange(0)
		londel = fix(londiff/6)
		latdiff = YRange(1) - YRange(0)
		latdel = fix(latdiff/6)
		map_set,0,info.greenwich.greenloca, /orthographic, /isotropic, $
	 	  londel=londel, latdel = latdel, charsize=map_charsize, title=the_title, $
		  /horizon, limit=[YRange(0), XRange(0), YRange(1), XRange(1)]
	     endelse
	   end
	  2  : begin
	     if info.axis_state eq 0 or info.axis_state eq 3 then begin
		map_set,0,info.greenwich.greenloca, /stereographic, /isotropic, $
		  /horizon, londel=15, charsize=map_charsize, title=the_title
	     endif else begin
		londiff = XRange(1) - XRange(0)
		londel = fix(londiff/6)
		latdiff = YRange(1) - YRange(0)
		latdel = fix(latdiff/6)
		map_set,0,info.greenwich.greenloca, /stereographic, /isotropic, $
		  londel=londel, latdel = latdel, charsize=map_charsize, title=the_title, $
		  /horizon, limit=[YRange(0), XRange(0), YRange(1), XRange(1)]
	     endelse
	   end
	  3: begin
	     if info.axis_state eq 0 or info.axis_state eq 3 then begin
		;map_set,0,info.greenwich.greenloca, /AITOFF, $
		map_set,0,info.greenwich.greenloca, /hammer, /isotropic, $
		  /horizon, londel=30, charsize=map_charsize, title=the_title
	     endif else begin
		londiff = XRange(1) - XRange(0)
		londel = fix(londiff/6)
		latdiff = YRange(1) - YRange(0)
		latdel = fix(latdiff/6)
		;map_set,0,info.greenwich.greenloca, /AITOFF, $
		map_set,0,info.greenwich.greenloca, /hammer, /isotropic, $
		  londel=londel, latdel = latdel, charsize=map_charsize, title=the_title, $
		  /horizon, limit=[YRange(0), XRange(0), YRange(1), XRange(1)]
	     endelse
	   end
	  else: begin
		if info.axis_state eq 0 or info.axis_state eq 3 then begin
		  map_set,0,info.greenwich.greenloca, /cylindrical, $
		  /isotropic, charsize=map_charsize, title=the_title
		endif else begin
		  map_set,0,info.greenwich.greenloca, /cylindrical, $
		  /isotropic, charsize=map_charsize, title=the_title, $
		  limit=[YRange(0), XRange(0), YRange(1), XRange(1)]
		endelse
	      end
	endcase

	this_type = info.subset.data(this_subset).src_types
	this_type = this_type(0)
	filldata_value = get_filldata_value(this_type, info.filldata)
	if filldata_value gt info.filldata then filldata_value = info.filldata
	max_value = get_max_value(this_type, info.filldata)
	if max_value gt info.filldata then max_value = info.filldata

	sizehdf = size(hdf_data)
	if sizehdf(0) ne 2 then begin
		if(info.graph_style eq 'Grid Contour') then begin
			the_message = [ 'Data record is not a 2 dimensional array', $
				'Grid Contour plot is not valid']
		endif else begin
			the_message = [ 'Data record is not a 2 dimensional array', $
				'Grid Cell plot is not valid']
		endelse
                result=dialog_message(the_message, title='View HDF Warning!')
		return
        endif
	xinterval = 360.0 / sizehdf(1)
	yinterval = 180.0 / sizehdf(2)
	hdf_data_x = findgen(sizehdf(1)) * xinterval + xinterval/2.0
	hdf_data_y = findgen(sizehdf(2)) * yinterval + yinterval/2.0
	hdf_data_y(*) = 90.0 - hdf_data_y(*)

	if info.grid_start gt 180 and info.grid_start le 360 then $
		grid_start = info.grid_start - 360 $
	else grid_start = info.grid_start
	if grid_start gt 360 or grid_start lt -180 then begin
		if sizehdf(1) eq 360 then grid_start = -180 $
			else grid_start = 0
	endif
	num_data_shift = fix(grid_start / xinterval)
	if ABS(num_data_shift) gt sizehdf(1) then num_data_shift = 0
	if num_data_shift ne 0 then $
		hdf_data = shift(hdf_data, num_data_shift, 0)

	n_level = info.greenwich.n_level

	z_temp_max = max(hdf_data, min=z_temp_min)
	hdf_data_temp = hdf_data
	bad_data = hdf_data_temp(0,0) + 1.0
	if bad_data gt 0 then bad_data = -32760
	subscripts = where(hdf_data_temp gt bad_data and hdf_data_temp lt filldata_value, count)
	if(count ne 0) then begin
		hdf_data_temp = hdf_data_temp(subscripts)

	if (info.axis_state eq 3) or (info.axis_state eq 5) then begin
		z_min = ZRange(0)
		z_max = ZRange(1)
		Zstyle = 0
	endif else begin
		z_max = max(hdf_data_temp, min = z_min)
		get_max_min, z_max, z_min
	endelse

	data_interval = (z_max - z_min)/float(n_level)
	color_interval = top_color/float(n_level)
	subscripts = where(hdf_data gt z_max, count)
	if count ne 0 then begin
		hdf_data(subscripts) = filldata_value
		hdf_data = reform(hdf_data, sizehdf(1), sizehdf(2))
	endif
	tempa = findgen(n_level)
	;nlevel = z_min + (tempa(*) + 1) * data_interval
	nlevel = z_min + tempa(*) * data_interval
	clevel = fix(color_interval * (tempa(*) + 1))

	;if(z_temp_min lt z_min) then $
	;	levels = [z_temp_min, z_min, nlevel] $
	;else levels = [bad_data, z_min, nlevel]
	levels = [nlevel, z_max]
	if(z_temp_min lt z_min) then $
		levels = [z_temp_min, levels] $
	else levels = [bad_data, levels]
	;c_colors = [clevel, 0, 0]
	c_colors = [clevel, !P.background, !P.background]
	cl_colors = [0, clevel, 0]
	c_labels = make_array(n_level+2, /integer, value=info.greenwich.label)
	;c_labels = make_array(n_level+1, /integer, value=1)
	;c_labels(0) = 0

	if info.greenwich.greenloca gt 180.0 then $
		greenloca = info.greenwich.greenloca - 360.0 $
	else greenloca = info.greenwich.greenloca

	geofrac = (180.0 - greenloca)/360.0
	separate_point = fix(sizehdf(1)*geofrac)
	if(separate_point gt 0 and separate_point lt sizehdf(1)) then begin
	  rest_point = sizehdf(1) - separate_point
	  hdf_data_temp = hdf_data
	  hdf_data(0:separate_point-1, *) = hdf_data_temp(rest_point:*, *)
	  hdf_data(separate_point:*, *) = hdf_data_temp(0:rest_point-1, *)
	  hdf_data_x_temp = hdf_data_x
	  hdf_data_x(0:separate_point-1) = hdf_data_x_temp(rest_point:*)
	  hdf_data_x(separate_point:*) = hdf_data_x_temp(0:rest_point-1)
	endif

	if plot_type ge 1 then begin
	 if cross_green eq 0 then begin
	    if XRange(1) eq 0.0 and XRange(0) lt 0.0 then XRange(1) = 360.0
	    if XRange(0) lt 0.0 and XRange(0) gt -180.0 then XRange(0) = 360.0 + XRange(0)
	    if XRange(1) lt 0.0 and XRange(1) gt -180.0 then XRange(1) = 360.0 + XRange(1)
	 endif else begin
	    neg_long = where(hdf_data_x gt 180.0, count)
	    if count ne 0 then hdf_data_x(neg_long) = hdf_data_x(neg_long) - 360.0
	 endelse
	  for j =0, sizehdf(2)-1 do begin
	   if(y_axis_state eq 0) or (hdf_data_y(j) ge YRange(0) and hdf_data_y(j) le YRange(1)) then begin
	    for i = 0 , sizehdf(1)-1 do begin
	     if(x_axis_state eq 0) or (hdf_data_x(i) ge XRange(0) and hdf_data_x(i) le XRange(1)) then begin
	      if i eq 0 then begin
		vert1 = convert_coord(hdf_data_x(0)-xinterval/2.0+0.001, hdf_data_y(j)-yinterval/2.0, /to_device)
		vert2 = convert_coord(hdf_data_x(0)+xinterval/2.0, hdf_data_y(j)-yinterval/2.0, /to_device)
		vert3 = convert_coord(hdf_data_x(0)+xinterval/2.0, hdf_data_y(j)+yinterval/2.0, /to_device)
		vert4 = convert_coord(hdf_data_x(0)-xinterval/2.0+0.001, hdf_data_y(j)+yinterval/2.0, /to_device)
		vert5 = convert_coord(hdf_data_x(0), hdf_data_y(j)-yinterval/2.0, /to_device)
		vert6 = convert_coord(hdf_data_x(0)+xinterval/2.0, hdf_data_y(j), /to_device)
		vert7 = convert_coord(hdf_data_x(0), hdf_data_y(j)+yinterval/2.0, /to_device)
		vert8 = convert_coord(hdf_data_x(0)-xinterval/2.0+0.001, hdf_data_y(j), /to_device)
	      endif else begin
		vert1 = convert_coord(hdf_data_x(i)-xinterval/2.0, hdf_data_y(j)-yinterval/2.0, /to_device)
		vert2 = convert_coord(hdf_data_x(i)+xinterval/2.0, hdf_data_y(j)-yinterval/2.0, /to_device)
		vert3 = convert_coord(hdf_data_x(i)+xinterval/2.0, hdf_data_y(j)+yinterval/2.0, /to_device)
		vert4 = convert_coord(hdf_data_x(i)-xinterval/2.0, hdf_data_y(j)+yinterval/2.0, /to_device)
		vert5 = convert_coord(hdf_data_x(i), hdf_data_y(j)-yinterval/2.0, /to_device)
		vert6 = convert_coord(hdf_data_x(i)+xinterval/2.0, hdf_data_y(j), /to_device)
		vert7 = convert_coord(hdf_data_x(i), hdf_data_y(j)+yinterval/2.0, /to_device)
		vert8 = convert_coord(hdf_data_x(i)-xinterval/2.0, hdf_data_y(j), /to_device)
	      endelse
		x = [vert4(0), vert7(0), vert3(0), vert6(0), vert2(0), vert5(0), vert1(0), vert8(0)]
		y = [vert4(1), vert7(1), vert3(1), vert6(1), vert2(1), vert5(1), vert1(1), vert8(1)]
		if abs(data_interval) ge 1.0 then begin
			the_color = fix(fix((hdf_data(i, j) - z_min)/data_interval + 1.0) * color_interval)
		endif else begin
			the_color = fix(fix((hdf_data(i, j) - z_min)/data_interval + 0.99999) * color_interval)
		endelse
		if the_color lt 0 or the_color gt top_color then the_color = !P.BACKGROUND
		if info.greenwich.projection eq 1 or info.greenwich.projection eq 2 then begin
			if hdf_data_x(i) gt 180 then junk = hdf_data_x(i) - 360.0 $
			else junk = hdf_data_x(i)
			lowlimit = info.greenwich.greenloca - 90.0
			if lowlimit lt -180.0 then lowlimit = lowlimit + 360.0
			uplimit = info.greenwich.greenloca + 90	
			if uplimit gt 180 then uplimit = uplimit - 360.0
			if fix(abs(info.greenwich.greenloca)+0.9999) eq 180 then begin
				if junk gt lowlimit or junk lt uplimit then $
					polyfill, x, y, color = the_color , /DEVICE
			endif else begin
				if junk gt lowlimit and junk lt uplimit then $
					polyfill, x, y, color = the_color , /DEVICE
			endelse
		endif else polyfill, x, y, color = the_color , /DEVICE
	     endif
	    endfor
	   endif
	  endfor
	endif else begin
	  if !D.Name eq 'PS' then begin
		old_background = !P.BACKGROUND
		!P.BACKGROUND = 0
	  endif

	  check_fill = where(hdf_data(0,*) lt filldata_value, count)
	  if count ne 0 then begin
		hdf_data = hdf_data(*,check_fill(0):check_fill(count-1))
		hdf_data_y = hdf_data_y(check_fill(0):check_fill(count-1))
	  endif

	  contour, hdf_data, hdf_data_x, hdf_data_y, /overplot, levels = levels, $
		c_colors = c_colors, /follow, /fill, /closed, max_value=max_value, $
		zrange=[z_min,z_max]

	  if !D.Name eq 'PS' then !P.BACKGROUND = old_background
	endelse

	map_continents,/coasts, mlinethick=1
	map_grid, LABEL=info.greenwich.label, charsize = map_charsize
	;map_continents,/coasts, mlinethick=1, color=map_color
	;map_grid, LABEL=info.greenwich.label, charsize = map_charsize, color=top_color

	if info.color_bar eq 1 then begin
	  x_location = !P.Position(0) + (!P.Position(2) - !P.Position(0))/2. - 0.22
	  temp_name = info.subset.data(this_subset).src_unitname
	  temp_name = temp_name(0)
	  temp_length = strlen(temp_name)
	  unitlabel = ''
	  if (temp_length gt 0) then begin
	    dot=strpos(temp_name,'N/A')
	    if( dot eq -1) then unitlabel = strmid(temp_name,2,temp_length-2)
	  endif
	  draw_contour_bar, clevel, z_min, z_max, barlocation, x_location, n_level, $
		info.char.size, info.char.font, unitlabel
	endif

	if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	  if !D.Name eq 'PS' then charsize = 0.9*info.char.size $
	    else charsize = info.char.size
	  ;xyouts, !X.Window(0), barlocation-0.10, crit_string, /NORMAL, font=info.char.font, $
	  xyouts, 0.08, barlocation-0.10, crit_string, /NORMAL, font=info.char.font, $
		charsize=charsize
	endif

	if info.addtext.key eq 1 then write_add_text, info

    endif else begin
                result=dialog_message('All Data is FILL data!',$
                           title='View HDF Warning!')
                           ;return
    endelse

  ; store the system variables
  !P.Position = [ 0.0 , 0.0 , 0.0 , 0.0]
  endif else begin

;--------------------------
; Vdata
;--------------------------

    the_message = [ 'Data record is not a 2 dimensional array', $
                'contour plot is not valid']
 
    result= dialog_message(the_message, $
          title='View HDF Message!')
    return
 
  endelse

  ijk = ijk + 1
  result = 'No'
  while result eq 'No' and ijk lt end_plot do begin
	the_current = the_start + ijk * the_incre
	the_message = ['Do you want to continue to plot the next one: ' $
		+ strcompress(string(the_current+1)) + ' ?', $
		'Press Cancel to stop.']
	result=dialog_message(the_message, /Question, /Cancel, title='View HDF Question!')

	if result eq 'No' then ijk = ijk + 1 $
		else if result eq 'Cancel' then ijk = end_plot
   endwhile

endwhile

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_geolocated, info, name_of_data, this_subset, print_flag, plot_type

pro_name = 'do_geolocated'
@getinfo

;widget_control,info.widgets.current_file, get_value=current_filename
current_filename = info.geolocated.filename
current_filename=current_filename(0)
filename = info.subset.data(this_subset).src_filename
filename=filename(0)
;if current_filename ne filename then begin
;	the_message=['The subset file is not equal current file,', $
;		     'Unable to make geolocated plot.', $
;		     'Please open the subset file:', filename]
;	result=dialog_message(the_message, title='View HDF Warning!')
;	return
;endif
if current_filename ne filename then begin
	info.geolocated.flag = 0
	info.geolocated.selected = 0
endif

if (print_flag ne 1) and (print_flag ne 3) then begin

  info.field_name.z = info.subset.data(this_subset).subset_name

  if plot_type eq 0 then info.graph_style = 'Geolocated' $
	else info.graph_style = 'Contour Geolocated'

  widget_control, /hourglass

  widget_control, get_uvalue=info, info.base

  ;if info.geolocated.selected eq 1 then begin
;	info.geolocated.flag = 0
;	info.geolocated.selected = 0
;  endif

  if info.geolocated.flag eq 0 then $
	get_geolocated_data, info, this_subset $
  else begin
	this_start = info.subset.data(this_subset).src_start(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_increment = info.subset.data(this_subset).src_increment(0)
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
		the_rank = info.subset.data(this_subset).src_rank
		if the_rank eq 1 then begin
			true_start = info.subset.data(this_subset).src_start(the_rank)
			true_end = info.subset.data(this_subset).src_end(the_rank)
			if true_start ne this_start or true_end ne this_end then begin
				this_start = true_start
				this_end = true_end
				this_increment = 1
			endif
		endif
	endif
	if (this_increment eq info.geolocated.increment) or $
		(info.geolocated.increment eq 1) then incre_ok = 1 $
		else incre_ok = 0
	if (this_start lt info.geolocated.starting) or $
	   (this_end gt info.geolocated.ending) or $
	   (incre_ok eq 0) then $
		get_geolocated_data, info, this_subset
  endelse

  test_status = set_geolocated_data(info,this_subset)
  if test_status eq -1 then begin
	info.geolocated.flag = 0
	info.geolocated.selected = 0
	return
  endif
 
endif

  widget_control, get_uvalue=info, info.base

  if handle_info(info.geolocated.hdf_z) then $
	handle_value, info.geolocated.hdf_z, hdf_data_z $
  else begin
	result=dialog_message('Cannot find geolocated data!', $
		title='View HDF Warning!')
	return
  endelse

  if handle_info(info.geolocated.long) then $
	handle_value, info.geolocated.long, hdf_data_x $
  else begin
	result=dialog_message('Cannot find geolocated data!', $
		title='View HDF Warning!')
	return
  endelse

  if handle_info(info.geolocated.colat) then $
	handle_value, info.geolocated.colat, hdf_data_y $
  else begin
        result=dialog_message('Cannot find geolocated data!', $
                title='View HDF Warning!')
        return
  endelse
  if handle_info(info.geolocated.sate_long) then $
	handle_value, info.geolocated.sate_long, satellite_x $
  else info.greenwich.satellite = 0
  if handle_info(info.geolocated.sate_colat) then $
	handle_value, info.geolocated.sate_colat, satellite_y $
  else info.greenwich.satellite = 0
  if handle_info(info.geolocated.sun_long) then $
	handle_value, info.geolocated.sun_long, sun_x $
  else info.greenwich.sun = 0
  if handle_info(info.geolocated.sun_colat) then $
	handle_value, info.geolocated.sun_colat, sun_y $
  else info.greenwich.sun = 0
	
starting=info.subset.data(this_subset).src_start(0)
ending=info.subset.data(this_subset).src_end(0)

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle
;if YRange[0] ge YRange[1] or XRange[0] ge XRange[1] then begin
if YRange[0] ge YRange[1] then begin
	;the_message = ['The ranges of longitude and/or latitude is not right!', $
	the_message = ['The ranges of latitude is not right!', $
			'Check the ranges and do it again!']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

cross_green = 0
If XRange[0] lt 0.0 and XRange[1] ge 0.0 then begin
	If XRange[0] ge -180.0 and XRange[1] le 180.0 then cross_green = 1 $
	else begin
		the_message = ['The ranges of longitude is not right!', $
			'Check the ranges and do it again!']
		result=dialog_message(the_message, title='View HDF Warning!')
		return
	endelse
endif

if XRange[0] gt XRange[1] then begin
	if XRange[0] lt 360.0 and XRange[1] ge 0.0 then begin
		XRange[0] = XRange[0] - 360.0
		cross_green = 1
	endif else begin
		the_message = ['The ranges of longitude is not right!', $
			'Check the ranges and do it again!']
		result=dialog_message(the_message, title='View HDF Warning!')
		return
	endelse
endif

size_hdf_x = size(hdf_data_x)
size_hdf_y = size(hdf_data_y)
size_hdf_z = size(hdf_data_z)

n_size_hdf_x = n_elements(size_hdf_x)
n_size_hdf_y = n_elements(size_hdf_y)
n_size_hdf_z = n_elements(size_hdf_z)
 
if((size_hdf_x(n_size_hdf_x-1) eq size_hdf_y(n_size_hdf_y-1)) and $
   (size_hdf_x(n_size_hdf_x-1) eq size_hdf_z(n_size_hdf_z-1))) then begin
 
if plot_type eq 1 then begin
    info.greenwich.with_level = 1
    if info.greenwich.n_level lt 2 then info.greenwich.n_level = 10
endif

subscript = where(hdf_data_x lt info.filldata, count)
if(count ne 0) then begin
     hdf_data_x = hdf_data_x(subscript)
     hdf_data_y = hdf_data_y(subscript)
     hdf_data_z = hdf_data_z(subscript)
endif else begin
        result=dialog_message('All the FOV longitude data are fill data!',$
                    title='View HDF Warning!')
         return
endelse
 
subscript = where(hdf_data_y lt info.filldata, count)
if(count ne 0) then begin
     hdf_data_x = hdf_data_x(subscript)
     hdf_data_y = hdf_data_y(subscript)
     hdf_data_z = hdf_data_z(subscript)
endif else begin
        result=dialog_message('All the FOV latitude data are fill data!',$
                    title='View HDF Warning!')
         return
endelse
 
this_type = info.subset.data(this_subset).src_types
this_type = this_type(0)
filldata_value = get_filldata_value(this_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata

subscript = where(hdf_data_z lt filldata_value, count)
if(count ne 0) then begin
   if info.greenwich.with_level eq 0 then begin
     hdf_data_x = hdf_data_x(subscript)
     hdf_data_y = hdf_data_y(subscript)
     hdf_data_z = hdf_data_z(subscript)
   endif
endif else begin
        result=dialog_message('All Data is FILL data!',$
                    title='View HDF Warning!')
         return
endelse
 
if (info.axis_state eq 3) or (info.axis_state eq 5) then begin
        z_max = info.range.z_end
        z_min = info.range.z_start
endif else begin
	if(info.greenwich.with_level eq 1) then begin
		hdf_data_z_temp = hdf_data_z
		subscript = where(hdf_data_z_temp lt filldata_value, count)
		if(count ne 0) then hdf_data_z_temp = hdf_data_z_temp(subscript) $
		else begin
        	  result=dialog_message('All Data is FILL data!',$
                    title='View HDF Warning!')
         	  return
		endelse
        	z_max = max(hdf_data_z_temp, min = z_min)
	endif else z_max = max(hdf_data_z, min = z_min)
	get_max_min, z_max, z_min
endelse
 
top_color = !d.n_colors - 2

if(!D.Name ne 'PS' and top_color gt info.top_color) then top_color = info.top_color

dot=strpos(name_of_data, 'ERBE scene identification')
if dot ne -1 then begin
    loadct,41, file='view_hdf_color.tbl', /silent
    z_max = 13
    z_min = 0
    info.greenwich.with_level = 1
    info.greenwich.n_level = 13
endif else begin
    if info.color_table ne 0 and info.pick_color_table eq 0 then $
	check_bw = check_color_table(top_color) $
	else check_bw = 0
    if check_bw eq 1 then loadct, info.color_table, file='view_hdf_color.tbl'
endelse

my_color=bytscl(hdf_data_z, max=z_max, min=z_min, top=top_color)

x_max = max(hdf_data_x, min=x_min)
if x_max eq x_min then return

y_max = max(hdf_data_y, min=y_min)
info.slide.x_end = x_max
info.slide.x_start = x_min
info.slide.y_end = y_max
info.slide.y_start = y_min

filename = info.subset.data(this_subset).src_filename

temp_name = info.subset.data(this_subset).subset_name
temp_name = temp_name(0)

dot=strpos(temp_name,'[')
if( dot ne -1) then begin
  xtitle=strmid(temp_name,0,dot)
endif else begin
  xtitle = temp_name
endelse

if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , name_of_data, info

data_range = ''
data_range = get_data_range(this_subset, info)
the_title = xtitle + ' Data Range: ' + data_range

if !D.Name eq 'PS' then begin
	the_title=the_title+'!C'+filename+ ' '+systime(0)
endif else begin
	the_title=the_title+'!C!C'+filename+ ' '+systime(0)
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
        crit_string = ''
        crit_string = get_crit_string(this_subset, info)
        if !D.Name eq 'PS' then begin
                if info.eps_type eq 1 then $
                        !P.Position = [0.25, 0.16, 0.99, 0.825] $
                else !P.Position = [0.01, 0.16, 0.99, 0.825]
        endif else begin
                !P.Position = [0.01, 0.150, 0.99, 0.93]
                if(top_color gt info.top_color) then top_color = info.top_color
        endelse
        temp_name = str_sep(crit_string, '!C')
        num_temp = n_elements(temp_name)
        !P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
        if info.color_bar eq 1 then barlocation = !P.Position(1) - 0.03 $
        else barlocation = !P.Position(1) + 0.04
endif else begin
        if !D.Name eq 'PS' then begin
                if info.eps_type eq 1 then $
                        !P.Position = [0.25, 0.16, 0.99, 0.825] $
                else !P.Position = [0.01, 0.16, 0.99, 0.825]
        endif else begin
                !P.Position = [0.01, 0.13, 0.99, 0.93]
                if(top_color gt info.top_color) then top_color = info.top_color
        endelse
        barlocation = !P.Position(1) - 0.03
endelse

map_charsize = info.char.size
;map_charsize = 0.75 * info.char.size
map_color = !d.n_colors/3
if !D.Name ne 'PS' then !P.CHARSIZE = info.char.size
case info.greenwich.projection of
	1: begin
	     if info.axis_state eq 0 or info.axis_state eq 3 then begin
		map_set,0,info.greenwich.greenloca,/grid, /orthographic, LABEL=info.greenwich.label, $
		  londel=15, /horizon, charsize=map_charsize, title=the_title, /isotropic
	     endif else begin
		londiff = XRange(1) - XRange(0)
		londel = fix(londiff/6)
		latdiff = YRange(1) - YRange(0)
		latdel = fix(latdiff/6)
		map_set,0,info.greenwich.greenloca,/grid, /orthographic, LABEL=info.greenwich.label, $
	 	  londel=londel, latdel = latdel, charsize=map_charsize, title=the_title, $
		  /horizon, limit=[YRange(0), XRange(0), YRange(1), XRange(1)], /isotropic
	     endelse
	   end
	2: begin
	     if info.axis_state eq 0 or info.axis_state eq 3 then begin
		map_set,0,info.greenwich.greenloca,/grid, /stereographic, LABEL=info.greenwich.label, $
		  /horizon, londel=15, charsize=map_charsize, title=the_title, /isotropic
	     endif else begin
		londiff = XRange(1) - XRange(0)
		londel = fix(londiff/6)
		latdiff = YRange(1) - YRange(0)
		latdel = fix(latdiff/6)
		map_set,0,info.greenwich.greenloca,/grid, /stereographic, LABEL=info.greenwich.label, $
		  londel=londel, latdel = latdel, charsize=map_charsize, title=the_title, $
		  /horizon, limit=[YRange(0), XRange(0), YRange(1), XRange(1)], /isotropic
	     endelse
	   end
	3: begin
	     if info.axis_state eq 0 or info.axis_state eq 3 then begin
		;map_set,0,info.greenwich.greenloca,/grid, /AITOFF, LABEL=info.greenwich.label, $
		map_set,0,info.greenwich.greenloca,/grid, /hammer, LABEL=info.greenwich.label, $
		  /horizon, londel=30, charsize=map_charsize, title=the_title, /isotropic
	     endif else begin
		londiff = XRange(1) - XRange(0)
		londel = fix(londiff/6)
		latdiff = YRange(1) - YRange(0)
		latdel = fix(latdiff/6)
		;map_set,0,info.greenwich.greenloca,/grid, /AITOFF, LABEL=info.greenwich.label, $
		map_set,0,info.greenwich.greenloca,/grid, /hammer, LABEL=info.greenwich.label, $
		  londel=londel, latdel = latdel, charsize=map_charsize, title=the_title, $
		  /horizon, limit=[YRange(0), XRange(0), YRange(1), XRange(1)], /isotropic
	     endelse
	   end
	else: begin
		if info.axis_state eq 0 or info.axis_state eq 3 then begin
		  map_set,0,info.greenwich.greenloca,/grid, /cylindrical, LABEL=info.greenwich.label, $
		  /isotropic, charsize=map_charsize, title=the_title
		endif else begin
		  map_set,0,info.greenwich.greenloca,/grid, /cylindrical, LABEL=info.greenwich.label, $
		  /isotropic, charsize=map_charsize, title=the_title, $
		  limit=[YRange(0), XRange(0), YRange(1), XRange(1)]
		endelse
	      end
endcase
;map_continents,/coasts,color=map_color
map_continents,/coasts
if info.greenwich.with_level eq 1 then begin
	n_level = info.greenwich.n_level
	data_interval = (z_max - z_min)/float(n_level)
	color_interval = top_color/float(n_level)
	tempa=findgen(n_level)
	clevel = fix(color_interval * (tempa(*) + 1))
	subscripts = where(hdf_data_z gt z_max, count)
	if count ne 0 then hdf_data_z(subscripts) = z_max + 10 * data_interval
	my_color = make_array(n_elements(hdf_data_z), /INT)
	if abs(data_interval) ge 1.0 then begin
		my_color(*) = fix(fix((hdf_data_z(*) - z_min)/data_interval + 1.0) * $
			color_interval)
	endif else begin
		my_color(*) = fix(fix((hdf_data_z(*) - z_min)/data_interval + 0.99999) * $
			color_interval)
	endelse
	;subscripts = where(my_color gt top_color, count)
	;if count ne 0 then my_color(subscripts) = !P.BACKGROUND
	subscripts = where(my_color le top_color, count)
	if count ne 0 then begin
		hdf_data_x = hdf_data_x(subscripts)
		hdf_data_y = hdf_data_y(subscripts)
		hdf_data_z = hdf_data_z(subscripts)
		my_color = my_color(subscripts)
	endif
endif 

if info.style.symbol eq 0 then plot_symbol = 3 $
   else plot_symbol = info.style.symbol

if plot_type eq 0 then begin
    for i=0L,(n_elements(hdf_data_z)-1) do begin
        oplot,[hdf_data_x(i),hdf_data_x(i)],[hdf_data_y(i),hdf_data_y(i)], $
		MAX_VALUE = 360.0, MIN_VALUE = -360.0, color=my_color(i), $
		psym=plot_symbol, symsize = info.style.symbolsize
    endfor
endif else begin
    if info.axis_state eq 1 or info.axis_state eq 4 or info.axis_state eq 5 then begin
      if cross_green eq 0 then begin
	lon_max = max(hdf_data_x, min=lon_min)
	if(lon_min lt 0.0 and lon_min gt -180.0) then begin
	    neg_long = where(hdf_data_x lt 0.0, count)
	    if count ne 0 then hdf_data_x(neg_long) = 360.0 + hdf_data_x(neg_long)
	endif
	if XRange(1) eq 0.0 and XRange(0) lt 0.0 then XRange(1) = 360.0
	if XRange(0) lt 0.0 and XRange(0) gt -180.0 then $
		XRange(0) = 360.0 + XRange(0)
	if XRange(1) lt 0.0 and XRange(1) gt -180.0 then $
		XRange(1) = 360.0 + XRange(1)
	r_sub = where(hdf_data_x ge XRange(0) and hdf_data_x le XRange(1), count)
	if count ne 0 then begin
	    hdf_data_x = hdf_data_x(r_sub)
	    hdf_data_y = hdf_data_y(r_sub)
	    hdf_data_z = hdf_data_z(r_sub)
	endif else begin
	    result=dialog_message('All Longitude data are out of Range!',$
		title='View HDF Warning!')
	    return
	endelse
      endif else begin
	lon_max = max(hdf_data_x, min=lon_min)
	if(lon_max lt 360.0 and lon_max gt 180.0) then begin
	    neg_long = where(hdf_data_x gt 180.0, count)
	    if count ne 0 then hdf_data_x(neg_long) = hdf_data_x(neg_long) - 360.0
	endif
	r_sub = where(hdf_data_x ge XRange(0) and hdf_data_x le XRange(1), count)
	if count ne 0 then begin
	    hdf_data_x = hdf_data_x(r_sub)
	    hdf_data_y = hdf_data_y(r_sub)
	    hdf_data_z = hdf_data_z(r_sub)
	endif else begin
	    result=dialog_message('All Longitude data are out of Range!',$
		title='View HDF Warning!')
	    return
	endelse
      endelse
    endif

    if info.axis_state eq 2 or info.axis_state eq 4 or info.axis_state eq 5 then begin
	r_sub = where(hdf_data_y ge YRange(0) and hdf_data_y le YRange(1), count)	
	if count ne 0 then begin
	    hdf_data_x = hdf_data_x(r_sub)
	    hdf_data_y = hdf_data_y(r_sub)
	    hdf_data_z = hdf_data_z(r_sub)
	endif else begin
	    result=dialog_message('All Latitude data are out of Range!',$
		title='View HDF Warning!')
	    return
	endelse
    endif
    long_max = max(hdf_data_x, min=long_min)
    lat_max = max(hdf_data_y, min=lat_min)
    data_max = max(hdf_data_z, min=data_min)
    data_interval = (z_max-z_min)/float(n_level)
    tempa = findgen(n_level)
    nlevel = z_min + tempa(*) * data_interval
    long_range = long_max - long_min + 1.0
    lat_range = lat_max - lat_min + 1.0
;    if long_range ge 360.0 then begin
;	lon_sub = where(hdf_data_x gt 180.0, count)
;	if count ne 0 then begin hdf_data_x(lon_sub) = hdf_data_x(lon_sub) - 360.0
;	lon_space = 1.0 
;	long_max = 359.0
;	long_min = 0.0
;    endif else lon_space = (long_max - long_min)/360.0
    ;lon_space = (long_max - long_min)/360.0
    ;lon_space = (long_max - long_min)/(4*360.0)
    lon_space = (long_max - long_min)/info.greenwich.n_x_grid
;   if lat_range ge 180.0 then begin
;	lat_space = 1.0
;	lat_max = 89.5
;	lat_min = -89.5
;    endif else lat_space = (lat_max - lat_min)/180.0
    ;lat_space = (lat_max - lat_min)/180.0
    ;lat_space = (lat_max - lat_min)/(4*180.0)
    lat_space = (lat_max - lat_min)/info.greenwich.n_y_grid
    gridspace=[lon_space, lat_space]
    gridlimit = [long_min, lat_min, long_max, lat_max]
    ;print,'gridspace = ',gridspace
    ;print,'gridlimit = ',gridlimit
    if info.greenwich.smooth gt 3 then begin
	;lon_space = (long_max - long_min)/(1*360.0)
	;lat_space = (lat_max - lat_min)/(1*180.0)
	;gridspace=[lon_space, lat_space]
	subscript = where(hdf_data_z lt filldata_value, count)
	if count ne 0 then begin
		hdf_data_z = hdf_data_z(subscript)
		hdf_data_x = hdf_data_x(subscript)
		hdf_data_y = hdf_data_y(subscript)
	endif else begin
		result=dialog_message('All Data is FILL data!',$
			title='View HDF Warning!')
		return
	endelse
	create_grid_data, hdf_data_x, hdf_data_y, hdf_data_z, gridspace, gridlimit, $
		filldata_value, gridlon, gridlat, griddata
	subscript = where(griddata lt filldata_value, count)
	if count eq 0 then begin
		result=dialog_message('All Data is out of range!',$
			title='View HDF Warning!')
                return
        endif
     endif else begin
	;lon_space = (long_max - long_min)/(4*360.0)
	;lat_space = (lat_max - lat_min)/(4*180.0)
	;gridspace=[lon_space, lat_space]
;    if long_range ge 360.0 then begin
; 	triangulate,hdf_data_x,hdf_data_y,tri,sphere=angles,FVALUE=hdf_data_z, $
; 	   /DEGREES, repeats=repeats
;     endif else begin
	triangulate,hdf_data_x,hdf_data_y,tri,FVALUE=hdf_data_z, repeats=repeats
;     endelse
     if info.greenwich.smooth gt 1 then begin
	filter_tri, hdf_data_x, hdf_data_y, tri, gridspace
	if tri(0,0) lt 0 then begin
		result=dialog_message('All tri is out of range!',$
			title='View HDF Warning!')
		return
	endif
     endif
;    if long_range ge 360.0 then begin
;	griddata = trigrid(hdf_data_x, hdf_data_y, hdf_data_z, tri, gridspace, gridlimit, $
;	    xgrid=gridlon, ygrid=gridlat, max_value=data_max, min_value=data_min)
	   ; xgrid=gridlon, ygrid=gridlat, max_value=data_max, min_value=data_min, $
	   ; missing=data_min)
;	griddata = trigrid(hdf_data_z, gridspace, gridlimit, sphere=angles, $
;	    /DEGREES, xgrid=gridlon, ygrid=gridlat)
;    /DEGREES, max_value=data_max, min_value=data_min, xgrid=gridlon, $
;	ygrid=gridlat, missing=data_min, /QUINTIC)
;    endif else begin
	griddata = trigrid(hdf_data_x, hdf_data_y, hdf_data_z, tri, gridspace, gridlimit, $
	    xgrid=gridlon, ygrid=gridlat, max_value=data_max, min_value=data_min)
	    ;xgrid=gridlon, ygrid=gridlat, max_value=data_max, min_value=data_min,missing=0)
	    ;xgrid=gridlon, ygrid=gridlat, max_value=data_max, min_value=data_min,missing=filldata_value)
	    ;xgrid=gridlon, ygrid=gridlat, max_value=data_max, min_value=data_min,missing=data_max)
	    ;xgrid=gridlon, ygrid=gridlat, max_value=data_max, min_value=data_min)
	;xgrid=gridlon, ygrid=gridlat, /QUINTIC)
	;max_value=data_max, min_value=data_min, xgrid=gridlon, ygrid=gridlat, missing=data_min, /QUINTIC)
;     endelse
    endelse
    ;if info.greenwich.smooth eq 1 or info.greenwich.smooth eq 3 then begin
	;subscripts = where(griddata lt filldata_value, count)
	;subscripts = where(griddata ge 0, count)
	;if count ne 0 then begin
	;    griddata_temp = griddata(subscripts)
	;    griddata_temp = smooth(griddata_temp, 3)
	;   griddata=smooth(griddata, 3)
	;    griddata(subscripts) = griddata_temp
	    ;griddata = smooth(griddata, 3)
	;endif
    ;endif
    case info.greenwich.smooth of
	1: begin
		griddata=smooth(griddata, 3)
	   end
	3: begin
		subscripts = where(griddata lt filldata_value, count)
		if count ne 0 then begin
			griddata_temp = griddata(subscripts)
			griddata_temp = smooth(griddata_temp, 3)
			griddata(subscripts) = griddata_temp
		endif
	   end
	5: begin
		subscripts = where(griddata lt filldata_value, count)
		if count ne 0 then begin
			griddata_temp = griddata(subscripts)
			griddata_temp = smooth(griddata_temp, 3)
			griddata(subscripts) = griddata_temp
		endif
	   end
	else:
    endcase
    ;contour, griddata, gridlon, gridlat, /FOLLOW, NLevels=n_level, c_colors=clevel, $
    ;print,'nlevel = ',nlevel
    ;print,'clevel = ',clevel
    ;contour, griddata, gridlon, gridlat, /FOLLOW, levels = nlevel, c_colors=clevel, $
;	Xstyle=1, YStyle=1, /overplot, /fill, max_value=data_max,min_value=data_min, $
;	zrange=[z_min, z_max]
    contour, griddata, gridlon, gridlat, /FOLLOW, levels = nlevel, c_colors=clevel, $
	Xstyle=1, YStyle=1, /overplot, /cell_fill, max_value=data_max
endelse

if info.greenwich.continents eq 1 then begin
	map_continents,/coasts
	map_grid, LABEL=info.greenwich.label, charsize = map_charsize
endif

if info.greenwich.satellite eq 1 then begin
; Plot the Satellite Position
   temp_error_data = get_error_data(satellite_x)
   if temp_error_data ge 0.0 then begin
	if !D.Name eq 'PS' then satellite_color = !d.n_colors/10 $
		else satellite_color = !d.n_colors - map_color
	oplot, satellite_x, satellite_y, MAX_VALUE = 360.0, $
		MIN_VALUE = -360.0, color=satellite_color, psym=3
   endif
endif
if info.greenwich.sun eq 1 then begin
; Plot the Sun Position
   temp_error_data = get_error_data(sun_x)
   if temp_error_data ge 0.0 then begin
	if !D.Name eq 'PS' then sun_color = 0 $
		else sun_color = !d.n_colors - 20
	oplot, sun_x, sun_y, MAX_VALUE = 360.0, MIN_VALUE = -360.0, $
		color=sun_color, psym=3
   endif
endif

endif else begin
	result=dialog_message('The number of data points are not matched!',$
		title='View HDF Warning!')
	return
endelse

crit_location = barlocation-0.10
if info.color_bar eq 1 then begin
	  temp_name = info.subset.data(this_subset).src_unitname
	  temp_name = temp_name(0)
	  temp_length = strlen(temp_name)
	  unitlabel = ''
	  if (temp_length gt 0) then begin
	    dot=strpos(temp_name,'N/A')
	    if( dot eq -1) then unitlabel = strmid(temp_name,2,temp_length-2)
	  endif
	x_location = !P.Position(0) + (!P.Position(2) - !P.Position(0))/2. - 0.22
	if info.greenwich.with_level eq 1 then $
	draw_contour_bar, clevel, z_min, z_max, barlocation, x_location, n_level, info.char.size, $
		info.char.font, unitlabel $
	else draw_color_bar, top_color, z_min, z_max, barlocation, x_location, info.char.size, $
		info.char.font, unitlabel
	if strlen(unitlabel) gt 140 then crit_location = crit_location - 0.015
endif

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
        if !D.Name eq 'PS' then charsize = 0.9*info.char.size $
        else charsize = info.char.size
	;xyouts, !X.Window(0), barlocation-0.10, crit_string, /NORMAL, font=info.char.font, $
	;xlocation = !X.Window(0) + 0.5*(!X.Window(1) - !X.Window(0))
	xlocation = 0.08
	xyouts, xlocation, crit_location, crit_string, /NORMAL, font=info.char.font, $
                charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info
 
if !D.Name ne 'PS' then !P.CHARSIZE = 0.0
; store the system variables
!P.Position = [ 0.0 , 0.0 , 0.0 , 0.0]
info.sview.map_old = !Map
info.sview.p_old = !P
info.sview.x_old = !X
info.sview.y_old = !Y

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base
end

;--------------------------------------------------------------------------------
pro do_histogram, this_subset, print_flag, info

pro_name = 'do_histogram'
@getinfo

data_name = info.subset.data(this_subset).subset_name
data_name = data_name(0)
dot=strpos(data_name, '[')
if( dot ne -1) then begin
	xtitle=strmid(data_name,0,dot)
endif else xtitle = data_name
if info.subset.data(this_subset).src_type_flag eq 0 then begin
        handle_value, info.subset.data(this_subset).src_data, hdf_data_x
	hdf_data_x = reform(hdf_data_x,n_elements(hdf_data_x))
endif else begin
        handle_value, info.subset.data(this_subset).src_data, hdf_data_temp
        hdf_data_x = reform(hdf_data_temp.components0, n_elements(hdf_data_temp.components0))
endelse
data_type = info.subset.data(this_subset).src_types(0)
filldata_value = get_filldata_value(data_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata
max_value = get_max_value(data_type, info.filldata)
if max_value gt info.filldata then max_value = info.filldata
subscript = where(hdf_data_x lt filldata_value, count)
if (count eq 0) then begin
	result=dialog_message('All data are fill data!',$
                    title='View HDF Warning!')
         return
endif
hdf_data_x = hdf_data_x(subscript)
x_max = max(hdf_data_x, min=x_min)

if print_flag eq 0 then begin
  info.graph_style = 'Histogram'
  widget_control, set_uvalue=info, info.base
  get_hist_par, data_name, x_max, x_min, info
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 

endif

widget_control, /hourglass
widget_control, get_uvalue=info, info.base

binsize = info.histogram.binsize
max_value = info.histogram.max
min_value = info.histogram.min

hist_result = histogram(hdf_data_x, binsize=binsize, max=max_value, min=min_value)

num_range = n_elements(hist_result)
num_bin = (max_value - min_value)/binsize

filename = info.subset.data(this_subset).src_filename

if (print_flag eq 0) then begin
	the_message = [ 'Do you want to write the result to a file?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'Yes' then begin

	   count = check_directory(info.export_path, info.home_path)
	   if count eq 0 then begin
		CD, '.', CURRENT=pwd
		info.export_path = pwd
	   endif
	   export_name=dialog_pickfile(filter='*.dat', path=info.export_path, $
	   file=info.export_file, get_path=export_path,/write)
	   if export_name ne "" then begin
		export_result=STRPOS(export_name, export_path)
		if export_result eq -1 then export_name=export_path+export_name
		print,"Filename=", export_name
		info.export_path = export_path
		default_file = ''
		default_file = get_default_file(export_name)
		if default_file ne 'None' then info.export_file = default_file
		widget_control, /hourglass
		widget_control, info.widgets.current_file, get_value=this_name
		get_lun, unit
		openw, unit, export_name
		printf, unit, format='("Source Data Filename: ",A)',this_name
		data_name = info.subset.data(info.subset.selected).subset_name
		data_name = data_name(0)
		unit_name = info.subset.data(info.subset.selected).src_unitname
		unit_name = unit_name(0)
		temp_length = strlen(unit_name)
		unitlabel = ''
		if (temp_length gt 0) then $
			unitlabel = strmid(unit_name,2,temp_length-2)
		printf,unit, format='("Data Name:  ",A)', data_name
		printf,unit, format='("Unit:  ",A)', unitlabel
		data_range = ''
		data_range = get_data_range(info.subset.selected,info)
		printf,unit, format='("Data Range:  ",A)',data_range
		if info.subset.data(info.subset.selected).src_crit_flag eq 1 then begin
			this_subset = info.subset.selected
			crit_string = ''
			crit_string = get_crit_string(this_subset, info)
			temp_name = str_sep(crit_string, '!C')
			num_temp = n_elements(temp_name)
			for i = 0, num_temp-1 do begin
				temp_length = strlen(temp_name(i))
				dot=strpos(temp_name(i),';')
				if( dot ne -1) then begin
					crit1 = strtrim(strmid(temp_name(i),0,dot),2)
					crit2 = strtrim(strmid(temp_name(i),dot+1,temp_length-1),2)
					if i eq 0 then printf,unit,crit1 $
					else printf,unit,'           '+crit1
					printf,unit,'           '+crit2
				endif else begin
					crit1 = strtrim(temp_name(i),2)
					if i eq 0 then printf,unit,crit1 $
					else printf,unit,'           '+crit1
				endelse
			endfor
			printf,unit
		endif
		temp_string = 'The size of bin is '+strtrim(string(binsize),2)
		printf,unit,temp_string
		temp_string = 'The maximum value is '+strtrim(string(max_value),2)
		printf,unit,temp_string
		temp_string = 'The minimum value is '+strtrim(string(min_value),2)
		printf,unit,temp_string
		printf,unit
		temp_string = 'The result of Histogram function is:'
		printf,unit,temp_string
		printf,unit
		temp_string = '          Range                   Number  '
		printf,unit,temp_string
		for i = 0, num_range-1 do begin
			start_value = min_value + float(i)*binsize
			end_value = min_value + float(i+1)*binsize
			temp_string = strtrim(string(start_value),2) + '-'+ $
				strtrim(string(end_value),2)
			printf,unit,format='(5x,A,10x,i10)',temp_string,hist_result(i)
		endfor
		close,unit
		free_lun, unit
		info.output_path = info.export_path
		CD, info.output_path, CURRENT=old_dir
		output_name_list=findfile(info.filter, count=count)
		if count eq 0 then output_name_list = [ 'None' ]
		widget_control, info.widgets.output, set_value=output_name_list
		widget_control, info.widgets.outputdir, set_value=info.output_path
		CD, old_dir
	   endif
	endif
endif

widget_control, /hourglass

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title='Histogram of ' + xtitle + '!C Data Range: ' + data_range
endif else begin
	the_title='Histogram of ' + xtitle + '!C!C Data Range: ' + data_range
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
endelse 

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

temp_name = info.subset.data(this_subset).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then xtitle = xtitle + temp_name

get_ticklen, info.style.grid, xticklen, yticklen 

y_max = max(hist_result, min=y_min)
info.slide.x_end = max_value
info.slide.x_start = min_value
info.slide.y_end = y_max
info.slide.y_start = y_min

if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , data_name, info

xtitle='!C'+xtitle+'!C'
ytitle='Number of samples'
if !D.Name eq 'PS' then begin
	old_charsize = !X.CHARSIZE
	!X.CHARSIZE = 0.9
	!Y.CHARSIZE = 0.9	
endif

if info.axis_state ne 2 and info.axis_state ne 4 then begin
	get_range, y_max, y_min, ymax, ymin
	YRange=[0, ymax]
	Ystyle = 3
endif
if info.axis_state ne 1 and info.axis_state ne 4 then begin
	get_range, max_value, min_value, xmax, xmin
	XRange = [xmin, xmax]
	Xstyle = 3
endif

if info.style.xlog gt 0 then begin
	XRange = set_log_range(XRange, XRange(0), XRange(1))
endif

if info.style.ylog gt 0 then begin
	YRange = set_log_range(YRange, YRange(0), YRange(1))
endif

plot,hdf_data_x, hist_result, /NODATA, $
	FONT=info.char.font, charsize=info.char.size, $
	xtitle=xtitle, ytitle=ytitle, title=the_title, $
	xticklen=xticklen, yticklen=yticklen, $
	subtitle="File: " + filename + "  Date:" + systime(0), $
	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
	xlog=info.style.xlog, ylog=info.style.ylog

start_value = min_value
for i = 0, num_range-1 do begin
	end_value = min_value + float(i+1)*binsize
	oplot, [start_value, start_value],[YRange(0), hist_result(i)], $
		linestyle=info.style.linetype
		;psym = plot_symbol, linestyle=info.style.linetype, $
		;symsize = info.style.symbolsize
	oplot, [start_value, end_value],[hist_result(i), hist_result(i)], $
		linestyle=info.style.linetype
		;psym = plot_symbol, linestyle=info.style.linetype, $
		;symsize = info.style.symbolsize
	oplot, [end_value, end_value],[hist_result(i), YRange(0)], $
		linestyle=info.style.linetype
		;psym = plot_symbol, linestyle=info.style.linetype, $
		;symsize = info.style.symbolsize
	start_value = end_value
endfor

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif

!P.Position = [0.0, 0.0, 0.0, 0.0]

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_regression, print_flag, this_subset, info 

pro_name = 'do_regression'
@getinfo

if info.subset.count lt 1 then begin
	 the_message = ['You need at least one subset of data', $
			'to do Regression!']
         result=dialog_message(the_message, title='View HDF Warning!')
         return
endif

if print_flag eq 0 then begin
  info.graph_style = 'Regression'
  pick_indep_variables, this_subset, info
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 

endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base

subscripts = where(info.out.pick eq 1, numout)
print, 'number of variables picked = ', numout
if (numout eq 0) then begin
     result=dialog_message('No independent data selected for "Regression"!',$
                    title='View HDF Warning!')
     return
endif
	
info.subset.selected = this_subset
data_name = info.subset.data(this_subset).subset_name
data_name = data_name(0)
indep_list = info.name_list_indep
num_list = n_elements(indep_list)

if info.subset.data(this_subset).src_type_flag eq 0 then begin
	handle_value, info.subset.data(this_subset).src_data, hdf_data_y
	size_hdf_data = size(hdf_data_y)
	hdf_data_y = reform(hdf_data_y, n_elements(hdf_data_y))
endif else begin
	handle_value, info.subset.data(this_subset).src_data, hdf_y_temp
	size_hdf_data = size(hdf_y_temp)
	hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
endelse
num_y = n_elements(hdf_data_y)
this_type = info.subset.data(this_subset).src_types
this_type = this_type(0)
filldata_value_y = get_filldata_value(this_type, info.filldata)
if filldata_value_y gt info.filldata then filldata_value_y = info.filldata
max_value_y = get_max_value(this_type, info.filldata)
if max_value_y gt info.filldata then max_value_y = info.filldata
max_value = max_value_y
subs_data_y = where(hdf_data_y lt filldata_value_y, count)
if (count eq 0) then begin
	result=dialog_message('All dependent variable, ' + data_name + ' are fill data!',$
                    title='View HDF Warning!')
         return
endif

for i = 0 , numout-1 do begin
  x_name = indep_list(subscripts(i))
  if subscripts(i) lt (num_list - 2) then begin
     if info.subset.data(subscripts(i)).src_type_flag eq 0 then begin
	handle_value, info.subset.data(subscripts(i)).src_data, hdf_x_temp
	hdf_x_temp = reform(hdf_x_temp, n_elements(hdf_x_temp))
     endif else begin
	handle_value, info.subset.data(subscripts(i)).src_data, hdf_x_temp
	hdf_x_temp = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
     endelse
     num_x = n_elements(hdf_x_temp)
     this_type = info.subset.data(subscripts(i)).src_types
     this_type = this_type(0)
     filldata_value_x = get_filldata_value(this_type, info.filldata)
     if filldata_value_x gt info.filldata then filldata_value_x = info.filldata
  endif else begin
     if indep_list(subscripts(i)) eq 'Time' then begin
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  		this_rank = info.subset.data(this_subset).src_rank
  		start_list = info.subset.data(this_subset).src_start(0:this_rank-1)
  		end_list = info.subset.data(this_subset).src_end(0:this_rank-1)
  		increment_list = info.subset.data(this_subset).src_increment(0:this_rank-1)
  		array_size = long((end_list-start_list)/float(increment_list) + 0.9)
  		hdf_x_temp = array_type(6, array_size)
  		if (hdf_x_temp(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for Time!',$
				title='View HDF Warning!')
			return
		endif
	endif else begin
		hdf_x_temp = make_array(num_y, /DOUBLE)
	endelse
	get_seconds, info, this_subset, hdf_x_temp
	num_x = n_elements(hdf_x_temp)
	hdf_x_temp = reform(hdf_x_temp, num_x)
	filldata_value_x = 86401.0
	case info.time_type.new of
		0:begin
			 hdf_x_temp(subs_data_y) = hdf_x_temp(subs_data_y)/3600.0
			 filldata_value_x = 24.01
		  end
		1: begin
			hdf_x_temp(subs_data_y) = hdf_x_temp(subs_data_y)/60.0
			filldata_value_x = 1440.01
		  end
		else: 
	endcase
     endif else begin
	num_x = num_y
	hdf_x_temp = dindgen(num_x) + 1.0
	filldata_value_x = info.filldata
     endelse
  endelse

  if(num_x ne num_y) then begin
	the_message = ['Number of data points for ' + x_name, $
			'are not equal to dependend variables, '+ data_name + '.', $
			'This subset is not included.']
	result=dialog_message(the_message, title='View HDF Warning!')
	subscripts(i) = - 9999
  endif

  if subscripts(i) ge 0 then begin
	subscript = where(hdf_x_temp lt filldata_value_x, count)
	if (count eq 0) then begin
		the_message = [ x_name + ' are fill data.', $
				'This is subset is not included.']
		result=dialog_message(the_message, title='View HDF Warning!')
		subscripts(i) = -9999
	endif
	subscript = where(hdf_x_temp ge filldata_value_x, count)
	hdf_x_temp = double(hdf_x_temp)
	if(count ne 0 ) then hdf_x_temp(subscript) = info.filldata
  endif

  if subscripts(i) ge 0 then begin
	size_hdf_x = size(hdf_data_x)
	if size_hdf_x(0) eq 0 then hdf_data_x = hdf_x_temp $
		else hdf_data_x = [ hdf_data_x , hdf_x_temp]
  endif
endfor

num_indep = where(subscripts ge 0, indep_count)
if indep_count eq 0 then begin
	result=dialog_message('All X fields are fill data or not same number of data!', $
		title='View HDF Warning!')
	return
endif

if indep_count gt 1 then begin
	hdf_data_x = reform(hdf_data_x, num_y, indep_count)
	hdf_data_x = transpose(hdf_data_x)
endif else hdf_data_x = reform(hdf_data_x, 1, num_y)

if info.filldata lt 3.0E+37 then $
	filldata = info.filldata * 10 $
else filldata = 3.0E+38

y_temp = hdf_data_y
x_temp = hdf_data_x
subscript = where(y_temp ge filldata_value_y, count)
if (count eq num_y) then begin
	result=dialog_message('All Dependent data are fill data!',$
                    title='View HDF Warning!')
         return
endif
;y_temp = y_temp(subscript)
if count ne 0 then x_temp(*,subscript) = info.filldata
for i = 0 , indep_count-1 do begin
	subscript = where(x_temp(i,*) ge info.filldata, count)
	if count eq num_x then begin
		result=dialog_message('All of one independent data are fill data!',$
			title='View HDF Warning!')
		return
	endif
	if count ne 0 then begin
		y_temp(subscript) = filldata_value_y
		x_temp(*,subscript) = info.filldata
	endif
endfor

subscript = where(y_temp lt filldata_value_y, count)
if count lt 1 then begin
	result=dialog_message('Either Dependent or independent data are fill data!',$
		title='View HDF Warning!')
	return
endif
y_temp = y_temp(subscript)
x_temp = x_temp(*,subscript)
hdf_data_z = make_array(num_x, /DOUBLE, VALUE=filldata)
hdf_error = make_array(num_x, /DOUBLE, VALUE=filldata)

weights = replicate(1.0, count)
coeff = regress(x_temp, y_temp, weights, yfit, const, sigma, ftest, r, rmul,$
		chisq, status, /relative_weight)

if coeff(0) lt 0.0 then begin
	equat_string = 'Y = ' + strtrim(string(const),2) + ' - ' + $
		strtrim(string(abs(coeff(0))),2) + ' X1'
endif else begin
	equat_string = 'Y = ' + strtrim(string(const),2) + ' + ' + $
		strtrim(string(coeff(0)),2) + ' X1'
endelse
out_equat_string = equat_string
for i = 1 , indep_count-1 do begin
	if coeff(i) lt 0.0 then begin
		equat_string = equat_string + ' - ' + strtrim(string(abs(coeff(i))),2) + $
			' X'+strtrim(string(i+1), 2)
		out_equat_string = out_equat_string + ' - ' + strtrim(string(abs(coeff(i))),2) + $
			' X'+strtrim(string(i+1), 2)
	endif else begin
		equat_string = equat_string + ' + ' + strtrim(string(coeff(i)),2) + $
			' X'+strtrim(string(i+1), 2)
		out_equat_string = out_equat_string + ' + ' + strtrim(string(coeff(i)),2) + $
			' X'+strtrim(string(i+1), 2)
	endelse
endfor

hdf_data_z(subscript) = yfit
hdf_error(subscript) = y_temp - yfit
subscript = where(hdf_data_z ge filldata, count)
if (count eq num_x) then begin
	result=dialog_message('All the computed result are fill data!',$
                    title='View HDF Warning!')
         return
endif
if count ne 0 then hdf_data_z(subscript) = filldata

subscript = where(hdf_data_z lt filldata, count)
if count ne 0 then begin
	hdf_data_z_temp = hdf_data_z(subscript)
	z_max = max(hdf_data_z_temp, min=z_min)
endif else begin
	result=dialog_message('All the result are fill data!',$
                    title='View HDF Warning!')
         return
endelse

subscript = where(hdf_error lt filldata, err_count)
if err_count ne 0 then begin
	hdf_error_temp = hdf_error(subscript)
	e_max = max(hdf_error_temp, min=e_min)
endif else begin
	result=dialog_message('All the error are fill data!',$
                    title='View HDF Warning!')
endelse

subscript = where(hdf_data_y lt filldata_value_y, count)
if count ne 0 then begin
	hdf_data_y_temp = hdf_data_y(subscript)
	y_max = max(hdf_data_y_temp, min=y_min)
endif else begin
	result=dialog_message('All the Y variables are fill data!',$
                    title='View HDF Warning!')
         return
endelse

info.slide.x_end = num_y
info.slide.x_start = 0
max_range_value = [y_max, z_max]
min_range_value = [y_min, z_min]
info.slide.y_end = max(max_range_value)
info.slide.y_start = min(min_range_value)

filename = info.subset.data(this_subset).src_filename
xtitle = 'Sample'

dot=strpos(data_name,'[')
if dot ne -1 then ytitle=strmid(data_name,0,dot) $
	else ytitle = data_name

xyname = 'Regression for '+ ytitle

if (print_flag eq 0) then begin
	get_variable_name, xyname, info
	widget_control, get_uvalue=info, info.base
	if info.variablename eq 'None' then return
	the_rank = info.subset.data(this_subset).src_rank
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
	   case size_hdf_data(0) of
		2: begin
			hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2))
			hdf_data_error = reform(hdf_error, size_hdf_data(1), size_hdf_data(2))
		   end
		3: begin
			hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2), $
						 size_hdf_data(3))
			hdf_data_error = reform(hdf_error, size_hdf_data(1), size_hdf_data(2), $
						 size_hdf_data(3))
		   end
		else: begin
			hdf_data = hdf_data_z
			hdf_data_error = hdf_error
		   end
	   endcase
	endif else begin
  		the_order = info.subset.data(this_subset).src_order(0)
		blank = array_type(6, the_order)
		single_record=create_struct( 'components' + '0', blank) 
		hdf_data=replicate(single_record, size_hdf_data(1))
		hdf_data_error = replicate(single_record, size_hdf_data(1))
		jj=0L
		for i=0L, size_hdf_data(1)-1 do begin
			for j=0L, the_order-1 do begin
				hdf_data(i).components0(j) = hdf_data_z(jj)
				hdf_data_error(i).components0(j) = hdf_error(jj)
				jj = jj + 1
			endfor
		endfor
	endelse
	set_statistics_subset, info.variablename, this_subset, the_rank, info, hdf_data
	temp_name = 'Error of Regression for ' + data_name
	set_statistics_subset, temp_name, this_subset, the_rank, info, hdf_data_error

	the_message = [ 'Do you want to write the coefficient to a file?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'Yes' then begin
		count = check_directory(info.export_path, info.home_path)
		if count eq 0 then begin
			CD, '.', CURRENT=pwd
			info.export_path = pwd
		endif
		export_name=dialog_pickfile(filter='*.dat', path=info.export_path, $
			file=info.export_file, get_path=export_path,/write)
		if export_name ne "" then begin
			export_result=STRPOS(export_name, export_path)
			if export_result eq -1 then export_name=export_path+export_name
			print,"Filename=", export_name
			info.export_path = export_path
			default_file = ''
			default_file = get_default_file(export_name)
			if default_file ne 'None' then info.export_file = default_file
			widget_control, /hourglass
			widget_control, info.widgets.current_file, get_value=this_name
			get_lun, unit
			openw, unit, export_name
			printf, unit, format='("Source Data Filename: ",A)',this_name
			data_name = info.subset.data(info.subset.selected).subset_name
			data_name = data_name(0)
			unit_name = info.subset.data(info.subset.selected).src_unitname
			unit_name = unit_name(0)
			temp_length = strlen(unit_name)
			unitlabel = ''
			if (temp_length gt 0) then $
				unitlabel = strmid(unit_name,2,temp_length-2)
			printf,unit, format='("Data Name:  ",A)', data_name
			printf,unit, format='("Unit:  ",A)', unitlabel
			data_range = ''
			data_range = get_data_range(info.subset.selected,info)
			printf,unit, format='("Data Range:  ",A)',data_range
			if info.subset.data(info.subset.selected).src_crit_flag eq 1 then begin
				this_subset = info.subset.selected
				crit_string = ''
				crit_string = get_crit_string(this_subset, info)
				temp_name = str_sep(crit_string, '!C')
				num_temp = n_elements(temp_name)
				for i = 0, num_temp-1 do begin
				   temp_length = strlen(temp_name(i))
				   dot=strpos(temp_name(i),';')
				   if( dot ne -1) then begin
					crit1 = strtrim(strmid(temp_name(i),0,dot),2)
					crit2 = strtrim(strmid(temp_name(i),dot+1,temp_length-1),2)
					if i eq 0 then printf,unit,crit1 $
						else printf,unit,'           '+crit1
					printf,unit,'           '+crit2
				   endif else begin
					crit1 = strtrim(temp_name(i),2)
					if i eq 0 then printf,unit,crit1 $
						else printf,unit,'           '+crit1
				   endelse
				endfor
				printf,unit
			endif
			temp_string = 'The regression equation is:'
			printf,unit,temp_string
			printf,unit
			printf,unit,'    '+out_equat_string
			printf,unit
			temp_name = info.subset.data(this_subset).src_unitname
			temp_name = temp_name(0)
			dot=strpos(temp_name,'N/A')
			if( dot eq -1) then yvalue = ytitle + temp_name
			printf,unit,'    '+'Y = '+yvalue

			for i = 0 , numout-1 do begin
			    if subscripts(i) ge 0 then begin
				x_name = indep_list(subscripts(i))
				x_name = x_name(0)
				dot=strpos(x_name,'[')
				if dot ne -1 then xvalue=strmid(x_name,0,dot) $
					else xvalue = x_name
  				if xvalue eq 'Time' then begin
					case info.time_type.new of
						0: xvalue = xvalue + ', hour'
						1: xvalue = xvalue + ', minute'
						else: xvalue = xvalue + ', second'
					endcase
				endif else if xvalue ne 'Sample' then begin
					temp_name = info.subset.data(subscripts(i)).src_unitname
					temp_name = temp_name(0)
					dot=strpos(temp_name,'N/A')
					if( dot eq -1) then xvalue = xvalue + temp_name
				endif
				printf,unit,'    '+'X'+strtrim(string(i+1), 2)+' = '+xvalue
			    endif
			endfor
			printf,unit
			cor_string = 'Multiple correlation coefficient = '
			cor_string = cor_string + strtrim(string(rmul),2)
			printf,unit,cor_string
			printf,unit
			for i = 0 , numout-1 do begin
			    if subscripts(i) ge 0 then begin
				cor_string = 'Linear correlation coefficient for ' + $
					'X'+strtrim(string(i+1), 2)+ ' = ' + $
					strtrim(string(r(i)),2)
				printf,unit,cor_string
			    endif
			endfor
			close,unit
			free_lun, unit
			info.output_path = info.export_path
			CD, info.output_path, CURRENT=old_dir
			output_name_list=findfile(info.filter, count=count)
			if count eq 0 then output_name_list = [ 'None' ]
			widget_control, info.widgets.output, set_value=output_name_list
			widget_control, info.widgets.outputdir, set_value=info.output_path
			CD, old_dir
		endif
	endif

	the_message = [ 'Do you want to plot the curve fit result?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'No' then return

	info.plot_error = 1
	the_message = [ 'Do you want to plot the error?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'No' then info.plot_error = 0
	widget_control, set_uvalue=info, info.base
endif

widget_control, /hourglass
widget_control, get_uvalue=info, info.base
if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
endif 

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title='Regression for ' + ytitle + '!C Data Range: ' + data_range
endif else begin
	the_title='Regression for ' + ytitle + '!C!C Data Range: ' + data_range
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
endelse 

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

xtitle = 'Sample'

temp_name = info.subset.data(this_subset).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then ytitle = ytitle + temp_name

get_ticklen, info.style.grid, xticklen, yticklen 

if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyname, info

xtitle= '!C' + xtitle + '!C'
if !D.Name eq 'PS' then begin
	old_charsize = !X.CHARSIZE
	!X.CHARSIZE = 0.9
	!Y.CHARSIZE = 0.9	
endif

if info.axis_state ne 2 and info.axis_state ne 4 then begin
	if y_max gt z_max then temp_max = y_max $
		else temp_max = z_max
	if y_min lt z_min then temp_min = y_min $
		else temp_min = z_min
	temp_max = temp_max + (temp_max - temp_min)*(0.20 + indep_count*0.025)
endif else begin
        temp_max = YRange(1)
        temp_min = YRange(0)
        temp_max = temp_max + (temp_max - temp_min)*(0.20 + indep_count*0.025)
endelse
if info.plot_error eq 1 then begin
	get_range, e_max, e_min, err_max, err_min
	if !P.Position(2) gt 0.0 then !P.Position(2) = !P.Position(2) - 0.03
	!X.MARGIN = [10, 10]
	ystyle = ystyle + 8
	err_max = err_max + (err_max - err_min)*(0.20 + indep_count*0.025)
endif
YRange = [temp_min, temp_max]

if info.style.xlog gt 0 then begin
	default_max = n_elements(hdf_data_y)
	XRange = set_log_range(XRange, 1, default_max)
endif

if info.style.ylog gt 0 then begin
	YRange = set_log_range(YRange, YRange(0), YRange(1))
endif

plot, hdf_data_y, $
       	MAX_VALUE = max_value, /YNOZERO, /NODATA, FONT=info.char.font, $
	charsize=info.char.size, xtitle=xtitle, ytitle=ytitle, $
	title=the_title, xticklen=xticklen, yticklen=yticklen, $
	subtitle="File: " + filename + "  Date:" + systime(0), $
       	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
	xlog=info.style.xlog, ylog=info.style.ylog

oplot, hdf_data_y,MAX_VALUE = max_value, psym = plot_symbol, $
	linestyle=info.style.linetype, symsize = info.style.symbolsize

legend_title = ytitle
y_leg = !Y.WINDOW(1) - 0.03
y_leg_t = y_leg - 0.005
x_leg_s = !X.WINDOW(0) + 0.03
x_leg_e = x_leg_s + 0.05
leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
	psym = plot_symbol, linestyle=info.style.linetype, $
	symsize = info.style.symbolsize
xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
	charsize=info.char.size

linetype = info.style.linetype + 1
if linetype gt 5 then linetype = 0
if info.style.symbol gt 0 then plot_symbol = info.style.symbol + 1
if plot_symbol gt 7 then plot_symbol = 1
if info.style.symbolline eq 1 then plot_symbol = - plot_symbol
oplot, hdf_data_z,MAX_VALUE = info.filldata, psym = plot_symbol, $
	linestyle=linetype, symsize = info.style.symbolsize

legend_title = 'Regression of ' + ytitle
y_leg = !Y.WINDOW(1) - 0.055
y_leg_t = y_leg - 0.005
x_leg_s = !X.WINDOW(0) + 0.03
x_leg_e = x_leg_s + 0.05
leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
	psym = plot_symbol, linestyle=linetype, symsize = info.style.symbolsize
xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
	charsize=info.char.size

if info.plot_error eq 1 then begin
	linetype = linetype + 1
	if linetype gt 5 then linetype = 0
	if info.style.symbol gt 0 then plot_symbol = plot_symbol + 1
	if plot_symbol gt 7 then plot_symbol = 1
	if info.style.symbolline eq 1 then plot_symbol = - plot_symbol

	legend_title = 'Error'
	y_leg = !Y.WINDOW(1) - 0.080
	y_leg_t = y_leg - 0.005
	x_leg_s = !X.WINDOW(0) + 0.03
	x_leg_e = x_leg_s + 0.05
	leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
	leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
	oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
		psym = plot_symbol, linestyle=linetype, symsize = info.style.symbolsize
	xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
		charsize=info.char.size

	if !Y.TYPE eq 1 then !Y.TYPE = 0
	Axis, YAXIS=1, ytitle = 'Error', YRANGE=[err_min, err_max], $
		FONT=info.char.font, charsize=info.char.size, ystyle=2, $
		ticklen=0.01, /SAVE

	oplot, hdf_error,MAX_VALUE = info.filldata, psym = plot_symbol, $
		linestyle=linetype, symsize = info.style.symbolsize
endif

legend_title = '(Multiple correlation coefficient = ' + $
	strtrim(string(rmul),2)+')'
y_leg = !Y.WINDOW(1) - 0.085
x_leg = !X.WINDOW(0) + 0.15
xyouts, x_leg, y_leg, legend_title, /NORMAL, font=info.char.font, $
	charsize=info.char.size

y_leg = !Y.WINDOW(1) - 0.125
x_leg = !X.WINDOW(0) + 0.05
charsize = 1.5 * info.char.size
xyouts, x_leg, y_leg, equat_string, /NORMAL, font=info.char.font, $
charsize=charsize

for i = 0 , numout-1 do begin
	if subscripts(i) ge 0 then begin
		x_name = indep_list(subscripts(i))
		x_name = x_name(0)
		dot=strpos(x_name,'[')
		if dot ne -1 then xvalue=strmid(x_name,0,dot) $
			else xvalue = x_name
		if xvalue eq 'Time' then begin
			case info.time_type.new of
				0: xvalue = xvalue + ', hour'
				1: xvalue = xvalue + ', minute'
				else: xvalue = xvalue + ', second'
			endcase
		endif else if xvalue ne 'Sample' then begin
			temp_name = info.subset.data(subscripts(i)).src_unitname
			temp_name = temp_name(0)
			dot=strpos(temp_name,'N/A')
			if( dot eq -1) then xvalue = xvalue + temp_name
		endif
		legend_title = 'X'+strtrim(string(i+1), 2)+' = '+xvalue
		legend_title = legend_title + '   (linear cor. coef. = ' + $
			strtrim(string(r(i)), 2) + ')'
		y_leg = y_leg - 0.025
		xyouts, x_leg, y_leg, legend_title, /NORMAL, font=info.char.font, $
			charsize=info.char.size
	endif
endfor

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif

!P.Position = [0.0, 0.0, 0.0, 0.0]

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_statistics, info, name_of_data, this_subset, print_flag

pro_name = 'do_statistics'
@getinfo

;--------------------------
; If this is an SDS then
;--------------------------

handle_value,info.subset.data(this_subset).src_data,hdf_data
if info.subset.data(this_subset).src_type_flag eq 1 then $
	hdf_data = hdf_data.components0

size_hdf = size(hdf_data)
if ((size_hdf(0) lt 1) or (size_hdf(0) gt 2)) then begin
	result=dialog_message('Do not support the data with rank of '+ $
		strcompress(string(size_hdf(0)), /REMOVE_ALL) + $
		' for Statistics function!',$
	title='View HDF Warning!')
	return
endif

if print_flag eq 0 then begin

	count = check_directory(info.stats_path, info.home_path)
	if count eq 0 then begin
		CD, '.', CURRENT=pwd
		info.stats_path = pwd
	endif
	stats_filename=dialog_pickfile(filter='*.dat', path=info.stats_path, $
		file=info.stats_file, get_path=stats_path,$
		title="Statistics Output File", /write)

	print,'filename = ', stats_filename
       	if stats_filename eq "" then return

	stats_result=STRPOS(stats_filename, stats_path)

	if stats_result eq -1 then $
		stats_filename=stats_path+stats_filename

	info.stats_path = stats_path

	default_file = ''
	default_file = get_default_file(stats_filename)
	if default_file ne 'None' then info.stats_file = default_file

	get_lun, unit
        openw,unit,stats_filename

	this_name = info.subset.data(this_subset).src_filename
	this_name = this_name(0)

        printf,unit,format='("Source Data Filename: ",A)',this_name
        printf,unit,format='("Subset Name: ",A)', info.name_list_subset(info.subset.selected)
	unit_name = info.subset.data(this_subset).src_unitname
	unit_name = unit_name(0)
	temp_length = strlen(unit_name)
	unitlabel = ''
	if (temp_length gt 0) then $
	unitlabel = strmid(unit_name,2,temp_length-2)

	printf,unit, format='("Unit:  ",A)', unitlabel
	data_range = ''
	data_range = get_data_range(this_subset,info)
	printf,unit, format='("Data Range:  ",A)',data_range

endif

if info.subset.data(this_subset).src_crit_flag eq 1 then $
	crit_string = get_crit_string(this_subset, info) $
else crit_string = 'Criterion: '

if info.criterion.flag eq 1 then begin
	temp_string = info.subset.data(this_subset).src_crit_name
	temp_length = strlen(temp_string)
	if temp_length gt 5 then begin
		temp_name = str_sep(temp_string, '|')
		num_name = n_elements(temp_name)
		temp_mod = num_name mod 2
		if temp_mod eq 1 then $
			crit_string = crit_string + '   ;   ' $
		else begin
			if !D.Name eq 'PS' then crit_string = crit_string + '!C                ' $
			else crit_string = crit_string + '!C          '
		endelse
	endif
	
	dot=strpos(info.criterion.name,'[')
	if( dot ne -1) then begin
		criterion_name=strmid(info.criterion.name,0,dot)
	endif else begin
		criterion_name=info.criterion.name
	endelse
	if info.criterion.type eq 0 then begin
		left_crit_sign = ' <= '
		right_crit_sign = ' <= '
	endif else begin
		left_crit_sign = ' > '
		right_crit_sign = ' OR > '
	endelse
	crit_string = crit_string + strcompress(info.criterion.min, /REMOVE_ALL) 
	crit_string = crit_string + left_crit_sign + criterion_name 
	crit_string = crit_string + right_crit_sign + strcompress(info.criterion.max, /REMOVE_ALL)
	;crit_string = crit_string + ' <= ' + criterion_name 
	;crit_string = crit_string + ' <= ' + strcompress(info.criterion.max, /REMOVE_ALL)
endif

if print_flag eq 0 and (info.criterion.flag eq 1 or $
	info.subset.data(this_subset).src_crit_flag eq 1) then begin
		temp_name = str_sep(crit_string, '!C')
		num_temp = n_elements(temp_name)
		for i = 0, num_temp-1 do begin
			temp_length = strlen(temp_name(i))
			dot=strpos(temp_name(i),';')
			if( dot ne -1) then begin
                		crit1 = strtrim(strmid(temp_name(i),0,dot),2)
				crit2 = strtrim(strmid(temp_name(i),dot+1,temp_length-1),2)
				if i eq 0 then printf,unit,crit1 $
					else printf,unit,'           '+crit1
				printf,unit,'           '+crit2
        		endif else begin
				crit1 = strtrim(temp_name(i),2)
				if i eq 0 then printf,unit,crit1 $
					else printf,unit,'           '+crit1
			endelse
		endfor
endif

if size_hdf(0) eq 2 then begin
;----------------------------
; Open & Write file header
;----------------------------
	if print_flag eq 0 then begin
		printf,unit
		if info.subset.data(this_subset).src_transpose eq 1 then begin
        	  printf,unit,format='("  Record       N         StdDev           Mean        Maximum        Minimum")'
		endif else begin
        	  printf,unit,format='("  Sample       N         StdDev           Mean        Maximum        Minimum")'
		endelse
	endif

	this_type = info.subset.data(this_subset).src_types
	this_type = this_type(0)
	filldata_value = get_filldata_value(this_type, info.filldata)
	if filldata_value gt info.filldata then filldata_value = info.filldata
	max_value = get_max_value(this_type, info.filldata)
	if max_value gt info.filldata then max_value = info.filldata
	filldata = get_filldata(this_type,info.filldata)
	;case this_type of
	;	21: filldata = 255
	;	22: filldata = 32767
	;	23: filldata = 65535
	;	24: filldata = 2147483647
	;	25: filldata = 2147483647
	;	else: begin
	;		if info.filldata LT 3.0E+37 then $
	;			filldata = info.filldata * 10 $
	;		else filldata = 3.0E+38
	;	     end
	;endcase

	y_starting=info.subset.data(this_subset).src_start(1)
       	y_ending=info.subset.data(this_subset).src_end(1)
	if info.subset.data(this_subset).src_type_flag eq 1 then y_ending = y_ending + 1
	y_increment=info.subset.data(this_subset).src_increment(1)
	
       	widget_control, /hourglass
	num_element = (float(y_ending) - float(y_starting))/float(y_increment) + 0.9
	num_element = fix(num_element)
       	temp_mean=fltarr(num_element)
       	temp_stddev=fltarr(num_element)
       	temp_max=fltarr(num_element)
       	temp_min=fltarr(num_element)
	temp_num=lonarr(num_element)

	if info.criterion.flag eq 1 then begin
		x_starting=info.subset.data(this_subset).src_start(0)
		x_ending=info.subset.data(this_subset).src_end(0)
		if info.subset.data(this_subset).src_type_flag eq 1 then x_ending = x_ending + 1
		x_increment=info.subset.data(this_subset).src_increment(0)
		c_starting=info.subset.data(info.criterion.index).src_start(0)
		c_ending=info.subset.data(info.criterion.index).src_end(0)
		if info.subset.data(info.criterion.index).src_type_flag eq 1 then c_ending = c_ending + 1
		c_increment=info.subset.data(info.criterion.index).src_increment(0)
		if(c_starting gt x_starting or c_ending lt x_ending) then begin
			the_message = ['The range of criterion data is less than selected data!',$
					'Increase the range of criterion data and do it again!!!']
			result=dialog_message(the_message, title='View HDF Warning!')
			return
		endif
		if(c_increment ne 1 and c_increment ne x_increment) then begin
			the_message = ['The increment of criterion data is not equal selected data,',$
				'or the increment of criterion data is not equal to ONE!', $
				'Change the increment of criterion data and do it again!!!']
			result=dialog_message(the_message, title='View HDF Warning!')
			return
		endif
		handle_value, info.subset.data(info.criterion.index).src_data, criterion_data
		size_c_data = size(criterion_data)
		c_begin = x_starting - c_starting
		c_end = x_ending - c_starting - 1
		case size_c_data(0) of
			1: begin
				if x_increment eq 1 and c_increment eq 1 then begin
					criterion_data = criterion_data(c_begin:c_end)
				endif else if x_increment eq c_increment then begin
					check_mod = c_begin mod x_increment
					if check_mod ne 0 then begin
					  the_message = ['The location of criterion data is not matched selected data,',$
						'Change the location of criterion data and do it again!!!']
					  result=dialog_message(the_message, title='View HDF Warning!')
					  return
					endif
					real_start = c_begin/x_increment
					real_end = long((c_end+1.0)/x_increment + 0.9) - 1
					criterion_data = criterion_data(real_start:real_end)
				endif else begin
					array_size = long((x_ending-x_starting)/float(x_increment) + 0.9)
					the_type = info.subset.data(info.criterion.index).src_types
					the_type = the_type(0)
					if info.subset.data(info.criterion.index).src_type_flag eq 0 then begin
					   criterion_temp_data = array_type(the_type, array_size)
					   if (criterion_temp_data(0) eq -1) then begin
						result=dialog_message('Unable to allocate memory for temporary criterion data!',$
						title='View HDF Warning!')
						return
					   endif
					   jj = 0L
					   for j = c_begin, c_end, x_increment do begin
						criterion_temp_data(jj) = criterion_data(j)
						jj = jj + 1
					   endfor
					endif else begin
					   the_order = info.subset.data(info.criterion.index).src_order(0)
					   blank = array_type(the_type, the_order)
					   if (blank(0) eq -1) then begin
					      result=dialog_message('Unable to allocate memory for temporary criterion data!',$
						title='View HDF Warning!')
					      return
					   endif
					   single_record=create_struct( 'components' + '0', blank)
					   criterion_temp_data=replicate(single_record, array_size)
					   jj = 0L
					   for j = c_begin, c_end, x_increment do begin
						criterion_temp_data(jj).components0 = criterion_data(j).components0
						jj = jj + 1
					   endfor
					endelse
					criterion_data = criterion_temp_data
				endelse
				crite_temp_data = criterion_data 
				if info.subset.data(info.criterion.index).src_type_flag eq 1 then $
                                	crite_temp_data = criterion_data(*).components0(0)
				if info.criterion.type eq 1 then begin
				    subscripts = where(crite_temp_data ge info.criterion.min and $
					crite_temp_data le info.criterion.max, count)
				endif else begin
				    subscripts = where(crite_temp_data lt info.criterion.min or $
					crite_temp_data gt info.criterion.max, count)
				endelse
				if count gt 0 then hdf_data(*,subscripts) = filldata
			   end
			2: begin
				if x_increment eq 1 and c_increment eq 1 then begin
					criterion_data = criterion_data(*,c_begin:c_end)
				endif else if x_increment eq c_increment then begin
					check_mod = c_begin mod x_increment
					if check_mod ne 0 then begin
					  the_message = ['The location of criterion data is not matched selected data,',$
						'Change the location of criterion data and do it again!!!']
					  result=dialog_message(the_message, title='View HDF Warning!')
					  return
					endif
					real_start = c_begin/x_increment
					real_end = long((c_end+1.0)/x_increment + 0.9) - 1
					criterion_data = criterion_data(*,real_start:real_end)
				endif else begin
					start_list = info.subset.data(info.criterion.index).src_start(0:1)
					end_list = info.subset.data(info.criterion.index).src_end(0:1)
					increment_list = info.subset.data(info.criterion.index).src_increment(0:1)
					start_list(0) = x_starting
					end_list(0) = x_ending
					increment_list(0) = x_increment
					array_size = long((end_list-start_list)/float(increment_list) + 0.9)
					the_type = info.subset.data(info.criterion.index).src_types
					the_type = the_type(0)
					criterion_temp_data = array_type(the_type, array_size)
					if (criterion_temp_data(0) eq -1) then begin
						result=dialog_message('Unable to allocate memory for temporary criterion data!',$
							title='View HDF Warning!')
						return
					endif
					jj = 0L
					for j = c_begin, c_end, x_increment do begin
						criterion_temp_data(*, jj) = criterion_data(*, j)
						jj = jj + 1
					endfor
					criterion_data = criterion_temp_data
				endelse

				cy_starting=info.subset.data(info.criterion.index).src_start(1)
				cy_ending=info.subset.data(info.criterion.index).src_end(1)
				cy_increment = info.subset.data(info.criterion.index).src_increment(1)
				if(cy_starting gt y_starting or cy_ending lt y_ending) then begin
					the_message = ['The range of criterion data is less than selected data!',$
						'Increase the range of criterion data and do it again!!!']
					result=dialog_message(the_message, title='View HDF Warning!')
					return
				endif
				if(cy_increment ne 1 and cy_increment ne y_increment) then begin
					the_message = ['The increment of criterion data is not equal selected data,',$
						'or the increment of criterion data is not equal to ONE!', $
						'Change the increment of criterion data and do it again!!!']
					result=dialog_message(the_message, title='View HDF Warning!')
					return
				endif
				cy_begin = y_starting - cy_starting
				cy_end = y_ending - cy_starting - 1
				if y_increment eq 1 and cy_increment eq 1 then begin
					jj = 0
					for j=cy_begin, cy_end do begin
						crite_temp_data = criterion_data(j,*)
						if info.criterion.type eq 1 then begin
						    subscripts = where(crite_temp_data ge info.criterion.min and $
							crite_temp_data le info.criterion.max, count)
						endif else begin
						    subscripts = where(crite_temp_data lt info.criterion.min or $
							crite_temp_data gt info.criterion.max, count)
						endelse
						if count gt 0 then hdf_data(jj,subscripts) = filldata
						jj = jj + 1
					endfor
				endif else if cy_increment eq y_increment then begin
					check_mod = cy_begin mod y_increment
					if check_mod ne 0 then begin
					  the_message = ['The location of criterion data is not matched selected data,',$
						'Change the location of criterion data and do it again!!!']
					  result=dialog_message(the_message, title='View HDF Warning!')
					  return
					endif
					real_start = cy_begin/y_increment
					real_end = long((cy_end+1.0)/y_increment + 0.9) - 1
					jj = 0
					for j=real_start, real_end do begin
						crite_temp_data = criterion_data(j,*)
						if info.criterion.type eq 1 then begin
						    subscripts = where(crite_temp_data ge info.criterion.min and $
							crite_temp_data le info.criterion.max, count)
						endif else begin
						    subscripts = where(crite_temp_data lt info.criterion.min or $
							crite_temp_data gt info.criterion.max, count)
						endelse
						if count gt 0 then hdf_data(jj,subscripts) = filldata
						jj = jj + 1
					endfor
				endif else begin
					jj = 0
					for j = cy_begin, cy_end, y_increment do begin
						crite_temp_data = criterion_data(j,*)
						if info.criterion.type eq 1 then begin
						    subscripts = where(crite_temp_data ge info.criterion.min and $
							crite_temp_data le info.criterion.max, count)
						endif else begin
                               	        	    subscripts = where(crite_temp_data lt info.criterion.min or $
							crite_temp_data gt info.criterion.max, count)
						endelse
						if count gt 0 then hdf_data(jj,subscripts) = filldata
						jj = jj + 1
					endfor
				endelse
			   end
			else: begin
				the_message = ['The rank of criterion data is not supported!',$
				'Check the criterion data and do it again!!!']
				result=dialog_message(the_message, title='View HDF Warning!')
				return
			end
		endcase

	endif

       	; j is the number of columns
	
       	for j=0,num_element-1 do begin
		hdf_data_temp = hdf_data(j,*)
		subscripts = where(hdf_data_temp lt filldata_value, count)
		if count gt 1 then begin
			hdf_data_temp = double(hdf_data_temp(subscripts))
        		statistics=moment(hdf_data_temp,sdev=deviation)
               		temp_mean(j)=float(statistics(0))
			temp_stddev(j) = float(deviation)
			tempmax = max(hdf_data_temp, min = tempmin)
			temp_max(j) = float(tempmax)
			temp_min(j) = float(tempmin)
		endif else if count eq 1 then begin
			temp_max(j) = float(hdf_data_temp(subscripts(0)))
			temp_min(j) = float(hdf_data_temp(subscripts(0)))
			temp_mean(j) = float(hdf_data_temp(subscripts(0)))
			temp_stddev(j) = 0.0
		endif else begin
			deviation = filldata
			temp_mean(j) = filldata
			temp_stddev(j) = filldata
			temp_max(j) = filldata
			temp_min(j) = filldata
		endelse
		temp_num(j) = count
		if print_flag eq 0 then begin
			printf,unit,format='($,i8)',j
			if temp_stddev(j) lt filldata_value then temp = temp_stddev(j) $
				else temp = -99999.0
			printf,unit,format='($,i8,f15.5)',count,temp
			if temp_mean(j) lt filldata_value then temp = temp_mean(j) $
				else temp = -99999.0
			printf,unit,format='($,f15.5)',temp
			if temp_max(j) lt filldata_value then temp = temp_max(j) $
				else temp = -99999.0
			printf,unit,format='($,f15.5)',temp
			if temp_min(j) lt filldata_value then temp = temp_min(j) $
				else temp = -99999.0
			printf,unit,format='(f15.5)',temp
		endif
       	endfor

	if print_flag eq 0 then begin
		temp_name = 'Number sample of ' + name_of_data
		set_statistics_subset, temp_name, this_subset, 1, info, temp_num

		temp_name = 'Mean of ' + name_of_data
		set_statistics_subset, temp_name, this_subset, 1, info, temp_mean

		temp_name = 'Standard Deviation of ' + name_of_data
		set_statistics_subset, temp_name, this_subset, 1, info, temp_stddev

		temp_name = 'Maximum of ' + name_of_data
		set_statistics_subset, temp_name, this_subset, 1, info, temp_max

		temp_name = 'Minimum of ' + name_of_data
		set_statistics_subset, temp_name, this_subset, 1, info, temp_min

		close,unit
		free_lun, unit

		case info.editor_type of
			1: command_line = "emacs " + stats_filename + " &"
			2: begin 
				command_line = info.ieditor + " -geometry 757x531+75+104"
				command_line = command_line + " -title 'Display Statistics Result' "
				command_line = command_line + stats_filename + " &"
	   		   end
			3: command_line = info.editor + " " + stats_filename + " &"
			else: begin
        			command_line="xterm -bg \#73a1ff -fn "
        			command_line=command_line+ $
        			"-adobe-courier-bold-r-normal--14-100-100-100-m-90-iso8859-1"
        			command_line=command_line + " -e vi -R " + stats_filename + " &"
			      end
		endcase

		spawn,command_line,results
		info.output_path = info.stats_path
		CD, info.output_path, CURRENT=old_dir
		output_name_list=findfile(info.filter, count=count)
		if count eq 0 then output_name_list = [ 'None' ]
 
		widget_control, info.widgets.output, set_value=output_name_list
		widget_control, info.widgets.outputdir, set_value=info.output_path
 
		CD, old_dir
 
	endif

	;-----------------
	; Plot the Mean
	;-----------------

    temp_temp_mean = reform(temp_mean, n_elements(temp_mean))
    subscript = where(temp_temp_mean lt filldata_value, count)
    if count eq 0 then begin
	result=dialog_message('All Mean values are FILL data!',$
		title='View HDF Warning!')
    endif else begin

	if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , name_of_data, info
	dot=strpos(name_of_data,'[')
	if( dot ne -1) then begin
		ytitle=strmid(name_of_data,0,dot)
	endif else begin
		ytitle = name_of_data
	endelse

	data_range = ''
	data_range = get_data_range(this_subset,info)
	the_title = "Mean of " + ytitle + ' Data Range: ' + data_range

	if info.subset.data(this_subset).src_transpose eq 1 then begin
	   xtitle='!CRecord Number!C'
	endif else begin
	   xtitle='!CScan Sample Number!C'
	endelse
	if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	endif else !P.Position = [0.060, 0.100, 0.98, 0.96]

        if info.criterion.flag eq 1 or info.subset.data(this_subset).src_crit_flag eq 1 then begin
		if !D.Name eq 'PS' and info.eps_type eq 1 then $
			!P.Position = [0.235, 0.15, 0.99, 0.95] $
			else !P.Position = [0.060, 0.120, 0.98, 0.96]
                temp_name = str_sep(crit_string, '!C')
                num_temp = n_elements(temp_name)
                !P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
        endif

	if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
		else plot_symbol = info.style.symbol

	temp_name = info.subset.data(this_subset).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then ytitle = ytitle + temp_name

	set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

	old_x_margin = !X.MARGIN
	sub_stddev = where(temp_stddev lt filldata_value, std_count)
	if std_count ne 0 then begin
	    if info.axis_state lt 6 then begin
		temp_std = temp_stddev(sub_stddev)
		std_max = max(temp_std, min=std_min)
		get_range, std_max, std_min, ymax, ymin
		y2style=2
	    endif else begin
		ymin = info.range.y2_start
		ymax = info.range.y2_end
		y2style=3
	    endelse
		if !P.Position(2) gt 0.0 then !P.Position(2) = !P.Position(2) - 0.03
		!X.MARGIN = [10, 10]
		ystyle = ystyle + 8
	endif

	get_ticklen, info.style.grid, xticklen, yticklen 

        plot, temp_mean, $
		MAX_VALUE = max_value, /YNOZERO, $
		FONT=info.char.font, $
		charsize=info.char.size, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize, $
		title=the_title, $
		xtitle=xtitle, $
		ytitle= ytitle, xticklen=xticklen, yticklen=yticklen, $
		subtitle=info.subset.data(this_subset).src_filename + "  Date:" + systime(0), $
		XRange = XRange, YRange = YRange, Xstyle=Xstyle, Ystyle = Ystyle

	if std_count ne 0 then begin
		Axis, YAXIS=1, ytitle = 'Standard Deviation', YRANGE=[ymin, ymax], $
			FONT=info.char.font, charsize=info.char.size, ystyle=y2style, $
			ticklen=0.01, /SAVE

		linestyle = info.style.linetype+1
		if linestyle gt 5 then linestyle = 0
		if plot_symbol ne 0 then splot_symbol = plot_symbol + 1 $
			else splot_symbol = plot_symbol
		if splot_symbol gt 7 then splot_symbol = 1

		oplot, temp_stddev, MAX_VALUE = max_value, psym = splot_symbol, $
			linestyle=linestyle, symsize = info.style.symbolsize
			;linestyle=info.style.linetype+1, symsize = info.style.symbolsize
	endif

	if info.criterion.flag eq 1 or info.subset.data(this_subset).src_crit_flag eq 1 then begin
		if !D.Name eq 'PS' then begin
			charsize = 0.9*info.char.size
			y_location = 0.125
		endif else begin
			charsize = info.char.size
			y_location = 0.11
		endelse
		;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
		xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
			font=info.char.font, charsize=charsize
	endif

	if info.addtext.key eq 1 then write_add_text, info

	if !D.Name eq 'PS' then begin
		!X.CHARSIZE = old_charsize
		!Y.CHARSIZE = old_charsize
	endif
		
	!X.MARGIN = old_x_margin
	!P.Position = [ 0.0 , 0.0 , 0.0 , 0.0]

    endelse

endif else begin

       	widget_control, /hourglass
	this_type = info.subset.data(this_subset).src_types
	this_type = this_type(0)
	filldata_value = get_filldata_value(this_type, info.filldata)
	if filldata_value gt info.filldata then filldata_value = info.filldata

	if info.subset.data(this_subset).src_type_flag eq 0 then $
		hdf_data_temp = hdf_data $
	else hdf_data_temp = hdf_data(*).components0
	subscripts = where(hdf_data_temp lt filldata_value, count)
	if count gt 0 then begin
		hdf_data_temp = double(hdf_data_temp(subscripts))
       		statistics=moment(hdf_data_temp,sdev=deviation)
		temp_max = max(hdf_data_temp, min = temp_min)
	endif else begin
		deviation = -99999.0
		statistics = [-99999.0 , -99999.0 , -99999.0 , -99999.0]
		temp_max = -99999.0
		temp_min = -99999.0
	endelse
	if print_flag eq 0 then begin
		printf,unit,format='(A,i12)',  "Number of samples  = ", count
		printf,unit,format='(A,f12.5)',"Standard deviation = ",deviation
		printf,unit,format='(A,f12.5)',"Mean               = ",statistics(0)
		printf,unit,format='(A,f12.5)',"Maximum            = ",temp_max
		printf,unit,format='(A,f12.5)',"Minimum            = ",temp_min
	
		close,unit
		free_lun, unit

		case info.editor_type of
			1: command_line = "emacs " + stats_filename + " &"
			2: begin 
				command_line = info.ieditor + " -geometry 757x531+75+104"
				command_line = command_line + " -title 'Display Statistics Result' "
				command_line = command_line + stats_filename + " &"
	   		   end
			3: command_line = info.editor + " " + stats_filename + " &"
			else: begin
				command_line="xterm -bg \#73a1ff -fn "
				command_line=command_line+ $
					"-adobe-courier-bold-r-normal--14-100-100-100-m-90-iso8859-1"
				command_line=command_line + " -e vi -R " + stats_filename + " &"
			   end
		endcase

		spawn,command_line,results
		info.output_path = info.stats_path
		CD, info.output_path, CURRENT=old_dir
		output_name_list=findfile(info.filter, count=count)
		if count eq 0 then output_name_list = [ 'None' ]

		widget_control, info.widgets.output, set_value=output_name_list
		widget_control, info.widgets.outputdir, set_value=info.output_path
 
		CD, old_dir

	endif

endelse

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_transpose, info, name_of_data, this_subset

pro_name = 'do_transpose'
@getinfo

;--------------------------
;  If this is an SDS then
;--------------------------

handle_value,info.subset.data(this_subset).src_data,hdf_data
size_hdf = size(hdf_data)

if(size_hdf(0) eq 2) then begin
	info.graph_style = 'Transpose'
	dot=strpos(name_of_data,'[')
	if dot ne -1 then dataname=strmid(name_of_data,0,dot) $
	else dataname = name_of_data
	temp_name = 'Transpose of ' + dataname
	get_variable_name, temp_name, info
	widget_control, get_uvalue=info, info.base
	if info.variablename eq 'None' then return
	hdf_data_temp = transpose(hdf_data)
	size_temp = size(hdf_data_temp)
	set_statistics_subset, info.variablename, this_subset, size_temp(0), $
		info, hdf_data_temp
endif else begin

	the_message = [ 'Data record is not a 2 dimensional array', $
                'Transpose is not valid']
 
	result= dialog_message(the_message, $
		title='View HDF Message!')
 
endelse

end

;--------------------------------------------------------------------------------
pro do_xy_graph, info, name_of_data, this_subset, print_flag

pro_name = 'do_xy_graph'
@getinfo

if ((print_flag lt 1) or (print_flag gt 3)) then begin
  info.field_name.y = info.subset.data(this_subset).subset_name
  info.graph_style = 'XY Graph'
  plot_setup, info, 'XY Graph', 1, 0, 0
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	if info.multiple.key ne 1 then begin
		info.canceloption = 'No'
		widget_control, set_uvalue=info, info.base
	endif
	return
  endif 
endif

widget_control, /hourglass

if (print_flag ne 1) or (info.multiple.key eq 1) then begin 
widget_control, get_uvalue=info, info.base
if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value, info.subset.data(this_subset).src_data, hdf_data_y
  this_rank = info.subset.data(this_subset).src_rank
  start_list = lonarr(this_rank)
  end_list = lonarr(this_rank)
  increment_list = lonarr(this_rank)
  array_size = lonarr(this_rank)

  start_list = info.subset.data(this_subset).src_start(0:this_rank-1)
  end_list = info.subset.data(this_subset).src_end(0:this_rank-1)
  increment_list = info.subset.data(this_subset).src_increment(0:this_rank-1)
  hdf_size_y = size(hdf_data_y)

  array_size = long((end_list-start_list)/float(increment_list) + 0.9)

  hdf_data_x = array_type(6, array_size)
  if (hdf_data_x(0) eq -1) then begin
	result=dialog_message('Unable to allocate memory for X field data!',$
			title='View HDF Warning!')
	return
  endif
endif else begin
  handle_value, info.subset.data(this_subset).src_data, hdf_y_temp
  hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
  hdf_data_x = make_array(n_elements(hdf_data_y), /DOUBLE)
endelse

get_x_data, info, this_subset, print_flag, hdf_data_x

if info.canceloption eq 'Yes' then begin
	if info.multiple.key eq 1 then return
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
endif

temp_error_data = get_error_data(hdf_data_x)
if temp_error_data lt -9999999.0 then return

info.xyvalue.x_index=handle_create()
 
handle_value,info.xyvalue.x_index,hdf_data_x,/set

endif else begin

widget_control, get_uvalue=info, info.base

if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value, info.subset.data(this_subset).src_data, hdf_data_y
endif else begin
  handle_value, info.subset.data(this_subset).src_data, hdf_y_temp
  hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
endelse
handle_value, info.xyvalue.x_index, hdf_data_x

endelse

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

change_scale = 0

this_type = info.subset.data(this_subset).src_types
this_type = this_type(0)
filldata_value = get_filldata_value(this_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata
max_value = get_max_value(this_type, info.filldata)
if max_value gt info.filldata then max_value = info.filldata

subscript = where(hdf_data_y lt filldata_value, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
endif else begin
	result=dialog_message('All the Y field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse

if info.field_name.x eq 'Time' then $
	subscript = where(hdf_data_x lt 86400.0, count) $
else subscript = where(hdf_data_x lt info.filldata, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
endif else begin
	result=dialog_message('All the X field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse

x_max = max(hdf_data_x, min=x_min)
if x_max eq x_min then return
y_max = max(hdf_data_y, min=y_min)
info.slide.x_end = x_max
info.slide.x_start = x_min
info.slide.y_end = y_max
info.slide.y_start = y_min

filename = info.subset.data(this_subset).src_filename

dot=strpos(info.field_name.x,'[')
if( dot ne -1) then begin
  xtitle=strmid(info.field_name.x,0,dot)
endif else begin
  xtitle = info.field_name.x
endelse

if xtitle eq 'Select Variable' then begin
	x_index = info.out.x_index
	temp_name = info.subset.data(x_index).subset_name
	dot=strpos(temp_name,'[')
	if dot ne -1 then xtitle=strmid(temp_name,0,dot) $
		else xtitle = temp_name
	temp_name = info.subset.data(x_index).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then xtitle = xtitle + temp_name
endif

if xtitle eq 'Time' then begin
   case info.time_type.new of
     0: begin
	hdf_data_x(*) = hdf_data_x(*)/3600.0
	info.slide.x_end = x_max/3600.0
	info.slide.x_start = x_min/3600.0
	xtitle = 'Time of day, hours'
	end
     1: begin
	hdf_data_x(*) = hdf_data_x(*)/60.0
	info.slide.x_end = x_max/60.0
	info.slide.x_start = x_min/60.0
	xtitle = 'Time of day, minutes'
	end
     else: xtitle = 'Time of day, seconds'
  endcase
endif

if(widget_info(info.widgets.startfield, /VALID_ID)) then begin
  if info.time_type.old ne info.time_type.new then begin
    widget_control, info.widgets.startfield, get_value=x_start
    widget_control, info.widgets.rangefield, get_value=x_range
    case info.time_type.old of
       0: begin
	   x_start = x_start * 3600.0
	   x_range = x_range * 3600.0
	end
       1: begin
	   x_start = x_start * 60.0
	   x_range = x_range * 60.0
	end
       else:
    endcase

    case info.time_type.new of
       0: begin
  	   x_start = x_start / 3600.0
	   x_range = x_range / 3600.0
	   if x_range le 1 then x_range = 1
	end
       1: begin
	   x_start = x_start / 60.0
	   x_range = x_range / 60.0
	   if x_range le 1 then x_range = 1
	end
       else:
    endcase
    x_max = max(hdf_data_x, min=x_min)
    x_int_max = long(x_max)
    x_int_min = long(x_min)
    if x_int_max eq x_int_min then x_max = x_min + x_range
    info.range.x_start = x_start
    info.range.x_end = x_start + x_range
    info.save.x_start = x_min
    info.save.x_end = x_max
    widget_control, info.widgets.rangefield, set_value=x_range
    widget_control, info.widgets.startslide, set_slider_min=x_min
    widget_control, info.widgets.startslide, set_slider_max=x_max
    widget_control, info.widgets.startslide, set_slider_min=x_min
    widget_control, info.widgets.startslide, set_value=x_start
    widget_control, info.widgets.startfield, set_value=x_start
    info.time_type.old = info.time_type.new
    set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle
  endif
endif else info.time_type.old = info.time_type.new

field_name = info.subset.data(this_subset).subset_name
dot=strpos(field_name,'[')
if( dot ne -1) then begin
  ytitle=strmid(field_name,0,dot)
endif else begin
  ytitle=field_name
endelse

if info.multiple.key eq 1 then begin
	the_title = '' 
	if info.multiple.y1y2 ne 1 then ytitle = ''
	field_name = info.subset.data(this_subset).subset_name
	dot=strpos(field_name,'[')
	if( dot ne -1) then begin
  		legend_title=strmid(field_name,0,dot)
	endif else begin
  		legend_title=field_name
	endelse
endif else the_title = ytitle + ' vs. '+ xtitle

if ((print_flag eq 0) or (print_flag eq 3) or (print_flag eq 4)) then $
	plot_dialogue , name_of_data, info

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title=the_title + '!C Data Range: ' + data_range
endif else begin
	the_title=the_title + '!C!C Data Range: ' + data_range
endelse


if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

if info.multiple.flag ne 1 then begin

   if info.multiple.key ne 1 then begin
	temp_name = info.subset.data(this_subset).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then ytitle = ytitle + temp_name
   endif

   if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
   endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
   endelse

   if info.style.xlog gt 0 then begin
	check_max = max(hdf_data_x, min=check_min)
	XRange = set_log_range(XRange, check_min, check_max)
   endif

   if info.style.ylog gt 0 then begin
	YRange = set_log_range(YRange, y_min, y_max)
   endif

   if (info.multiple.key eq 1 and info.multiple.y1y2 eq 1) then begin
	temp_name = info.subset.data(this_subset).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then ytitle = ytitle + temp_name
	old_x_margin = !X.MARGIN
        if !P.Position(2) gt 0.0 then !P.Position(2) = !P.Position(2) - 0.03
        !X.MARGIN = [10, 10]
	ystyle = ystyle + 8
   endif
 
   get_ticklen, info.style.grid, xticklen, yticklen 

   xtitle='!C' + xtitle + '!C'
   if !D.Name eq 'PS' then begin
	old_charsize = !X.CHARSIZE
	!X.CHARSIZE = 0.9
	!Y.CHARSIZE = 0.9	
   endif 

   plot,hdf_data_x,hdf_data_y, $
        MAX_VALUE = max_value, /YNOZERO, /NODATA, $
	FONT=info.char.font, $
	charsize=info.char.size, $
        xtitle=xtitle, $
        ytitle=ytitle, $
	title=the_title, $
        xticklen=xticklen, yticklen=yticklen, $
	subtitle="File: " + filename + "  Date:" + systime(0), $
        xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
	xlog=info.style.xlog, ylog=info.style.ylog

   if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
   endif

   if info.addtext.key eq 1 then write_add_text, info

   if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
   endif
 
endif

if ((info.multiple.key eq 1 and info.multiple.y1y2 eq 1) and $
     info.multiple.number eq 1) then begin
	temp_name = info.subset.data(this_subset).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then ytitle = ytitle + temp_name
	subscripts = where(hdf_data_y lt filldata_value, count)
	if count ne 0 then begin
	    if info.axis_state lt 6 then begin
		hdf_temp_data = hdf_data_y(subscripts)
		hdf_max = max(hdf_temp_data, min=hdf_min)
		if hdf_max le !y.crange(1) and hdf_min ge !y.crange(0) then begin
			toler=(info.range.y_end - info.range.y_start)/5
			max_diff = info.range.y_end - hdf_max
			min_diff = hdf_min - info.range.y_start
			if abs(max_diff) le toler and abs(min_diff) le toler then begin
				ymax=info.range.y_end
				ymin=info.range.y_start
			endif else begin
				get_range, hdf_max, hdf_min, ymax, ymin
				ymax = ymax + (ymax - ymin)*0.15
			endelse
		endif else begin
			get_range, hdf_max, hdf_min, ymax, ymin
			ymax = ymax + (ymax - ymin)*0.15
		endelse
	    endif else begin
		ymin = info.range.y2_start
		ymax = info.range.y2_end
		ymax = ymax + (ymax - ymin)*0.15
	    endelse
		old_x = !X
		old_y = !Y
		change_scale = 1
		if info.style.y2log gt 0 then begin
		    y2range = [ymin, ymax]
		    y2range = set_log_range(y2range, ymin, ymax)
		    ymin = y2range(0)
		    ymax = y2range(1)
		endif else if !Y.TYPE eq 1 then !Y.TYPE = 0
		Axis, YAXIS=1, ytitle = ytitle, YRANGE=[ymin, ymax], $
			FONT=info.char.font, charsize=info.char.size, ystyle=3, $
			ticklen=0.01, ylog=info.style.y2log, /SAVE
	endif else begin
		Axis, YAXIS=1, ytitle = ytitle, FONT=info.char.font, $
			charsize=info.char.size, ystyle=2, ticklen=0.01, $
			ylog=info.style.ylog, /SAVE
	endelse
endif
 
oplot, hdf_data_x,hdf_data_y, MAX_VALUE = max_value, $
	psym = plot_symbol, linestyle=info.style.linetype, $
	symsize = info.style.symbolsize

if info.multiple.key eq 1 then begin
	temp_name = info.subset.data(this_subset).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then legend_title = legend_title + temp_name
 
	y_leg = !Y.WINDOW(1) - 0.03 - 0.025 * info.multiple.number
	y_leg_t = y_leg - 0.005
	x_leg_s = !X.WINDOW(0) + 0.03
	x_leg_e = x_leg_s + 0.05
	leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
	leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
	oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

	xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
		charsize=info.char.size
endif

if change_scale eq 1 then begin
	!X = old_x
	!Y = old_y
endif
 
if info.subset.data(this_subset).src_crit_flag eq 1 then $
	!P.Position = [0.0, 0.0, 0.0, 0.0]

check_x_margin = size(old_x_margin)
if check_x_margin(0) ne 0 then !X.MARGIN=old_x_margin

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base
end

;--------------------------------------------------------------------------------
pro do_xyz_graph, info, name_of_data, this_subset, print_flag

pro_name = 'do_xyz_graph'
@getinfo

if info.subset.count lt 3 then begin
         result=dialog_message('You need at least three subsets of data to do XYZ Graph!',$
                    title='View HDF Warning!')
         return
endif

if print_flag ne 1 and print_flag ne 3 then begin
  info.field_name.z = info.subset.data(this_subset).subset_name
  info.graph_style = 'XYZ Graph'
  plot_setup, info, 'XYZ Graph', 1, 1, 0
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 
endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
get_data, y_index, x_index, z_index, info

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

if info.subset.data(y_index).src_type_flag eq 0 then begin
  handle_value, info.subset.data(x_index).src_data, hdf_data_x
  handle_value, info.subset.data(y_index).src_data, hdf_data_y
  handle_value, info.subset.data(z_index).src_data, hdf_data_z
endif else begin
  handle_value, info.subset.data(x_index).src_data, hdf_x_temp
  handle_value, info.subset.data(y_index).src_data, hdf_y_temp
  handle_value, info.subset.data(z_index).src_data, hdf_z_temp
  hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
  hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
  hdf_data_z = reform(hdf_z_temp.components0, n_elements(hdf_z_temp.components0))
endelse
 
size_hdf_x = size(hdf_data_x)
size_hdf_y = size(hdf_data_y)
size_hdf_z = size(hdf_data_z)
 
n_size_hdf_x = n_elements(size_hdf_x)
n_size_hdf_y = n_elements(size_hdf_y)
n_size_hdf_z = n_elements(size_hdf_z)
 
if((size_hdf_x(n_size_hdf_x-1) eq size_hdf_y(n_size_hdf_y-1)) and $
   (size_hdf_x(n_size_hdf_x-1) eq size_hdf_z(n_size_hdf_z-1))) then begin
 
this_type = info.subset.data(x_index).src_types
this_type = this_type(0)
filldata_value = get_filldata_value(this_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata

subscript = where(hdf_data_x lt filldata_value, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
   hdf_data_z = hdf_data_z(subscript)
endif else begin
        result=dialog_message('All the X field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse
 
this_type = info.subset.data(y_index).src_types
this_type = this_type(0)
filldata_value = get_filldata_value(this_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata

subscript = where(hdf_data_y lt filldata_value, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
   hdf_data_z = hdf_data_z(subscript)
endif else begin
        result=dialog_message('All the Y field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse
 
this_type = info.subset.data(this_subset).src_types
this_type = this_type(0)
filldata_value = get_filldata_value(this_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata

subscript = where(hdf_data_z lt filldata_value, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
   hdf_data_z = hdf_data_z(subscript)
endif else begin
        result=dialog_message('All the Z field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse
 
x_max = max(hdf_data_x, min=x_min)
y_max = max(hdf_data_y, min=y_min)
info.slide.x_end = x_max
info.slide.x_start = x_min
info.slide.y_end = y_max
info.slide.y_start = y_min

xyzname = ''
xyzname = info.field_name.x + ' : ' + info.field_name.y + ' : ' + $
          info.field_name.z
if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyzname, info
 
filename = info.subset.data(y_index).src_filename
 
dot=strpos(info.field_name.x,'[')
if dot ne -1 then xtitle=strmid(info.field_name.x,0,dot)  $
	else xtitle = info.field_name.x
dot=strpos(info.field_name.y,'[')
if dot ne -1 then ytitle=strmid(info.field_name.y,0,dot) $
	else ytitle = info.field_name.y
dot=strpos(info.field_name.z,'[')
if dot ne -1 then ztitle=strmid(info.field_name.z,0,dot) $
	else ztitle = info.field_name.z
 
if (info.axis_state eq 3) or (info.axis_state eq 5) then begin
        z_max = info.range.z_end
        z_min = info.range.z_start
endif else begin
        z_max = max(hdf_data_z, min = z_min)
endelse
        z_max_temp = long(z_max + 0.99999)
        z_min_temp = long(z_min - 0.99999)
        z_max = float(z_max_temp)
        z_min = float(z_min_temp)
 
data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title=ytitle + ' vs. ' + xtitle + '!Ccolored by ' + ztitle $
		 + ' with Data Range: ' + data_range
endif else begin
	the_title=ytitle + ' vs. ' + xtitle + '!C!Ccolored by ' + ztitle $
		 + ' with Data Range: ' + data_range
endelse

	top_color = !d.n_colors - 2
	if(!D.Name ne 'PS' and top_color gt info.top_color) then top_color = info.top_color

        my_color=bytscl(hdf_data_z, max=z_max, min=z_min, top=top_color)
 
	if info.subset.data(this_subset).src_crit_flag eq 1 then begin
		crit_string = ''
		crit_string = get_crit_string(this_subset, info)
		if !D.Name eq 'PS' and info.eps_type eq 1 then $
			!P.Position = [0.235, 0.15, 0.99, 0.92] $
			else !P.Position = [0.060, 0.120, 0.98, 0.92]
		temp_name = str_sep(crit_string, '!C')
		num_temp = n_elements(temp_name)
		!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
	endif else begin
		if !D.Name eq 'PS' and info.eps_type eq 1 then $
			!P.Position = [0.235, 0.15, 0.99, 0.92] $
			else !P.Position = [0.060, 0.100, 0.98, 0.92]
	endelse

temp_name = info.subset.data(x_index).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then xtitle = xtitle + temp_name

temp_name = info.subset.data(y_index).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then ytitle = ytitle + temp_name

if info.color_bar eq 1 then begin
	if (info.axis_state eq 2) or (info.axis_state eq 4) or $
	   (info.axis_state eq 5) then begin
		yrange1=yrange
		yrange1(0) = yrange1(0) - (yrange1(1) - yrange(0)) * 0.15
	endif else begin
		get_range, y_max, y_min, ymax, ymin
		ymin = ymin - (ymax - ymin)*0.15
		yrange1 = [ymin, ymax]
		ystyle = 3
	endelse
endif else yrange1 = yrange

if info.style.xlog gt 0 then begin
     XRange = set_log_range(XRange, x_min, x_max)
endif

if info.style.ylog gt 0 then begin
    YRange1 = set_log_range(YRange1, y_min, y_max)
endif

get_ticklen, info.style.grid, xticklen, yticklen 

xtitle= '!C' + xtitle + '!C'
if !D.Name eq 'PS' then begin
	old_charsize = !X.CHARSIZE
	!X.CHARSIZE = 0.9
	!Y.CHARSIZE = 0.9	
endif

plot,hdf_data_x, hdf_data_y, /NODATA, /YNOZERO, $
	FONT=info.char.font, $
	charsize=info.char.size, $
        xtitle=xtitle, $
        ytitle=ytitle, $
	title=the_title, $
        color= !P.COLOR, $
        xticklen=xticklen, yticklen=yticklen, $
	subtitle="File: " + filename + "  Date:" + systime(0), $
        xrange=XRange, yrange=YRange1, xstyle=Xstyle, ystyle=Ystyle, $
	xlog=info.style.xlog, ylog=info.style.ylog
 
if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

for i=0L,(n_elements(hdf_data_x)-1) do begin
        oplot,[hdf_data_x(i), hdf_data_x(i)],[hdf_data_y(i), hdf_data_y(i)], $
	  MAX_VALUE = info.filldata, psym = plot_symbol, linestyle=info.style.linetype, $
	  symsize=info.style.symbolsize, color=my_color(i)
endfor
 
if info.color_bar eq 1 then begin
   temp_name = info.subset.data(this_subset).src_unitname
   temp_name = temp_name(0)
   temp_length = strlen(temp_name)
   unitlabel = ''
   if (temp_length gt 0) then begin
      dot=strpos(temp_name,'N/A')
      if( dot eq -1) then unitlabel = strmid(temp_name,2,temp_length-2)
   endif
   x_location = !P.Position(0) + (!P.Position(2) - !P.Position(0))/2. - 0.22
   y_location = !y.window(0) + 0.08
   draw_color_bar, top_color, z_min, z_max, y_location, x_location, $
	info.char.size, info.char.font, unitlabel
endif
 
if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif

!P.Position = [ 0.0 , 0.0 , 0.0 , 0.0]

endif else begin
         result=dialog_message('Number of data points for three subsets are not equal!',$
                    title='View HDF Warning!')
         return
endelse

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_y1y2_compute, print_flag, info

pro_name = 'do_y1y2_compute'
@getinfo

if info.subset.count lt 1 then begin
	 the_message = ['You need at least one subset of data', $
			'to do Y1 Y2 Compute!']
         result=dialog_message(the_message, title='View HDF Warning!')
         return
endif

if print_flag eq 0 then begin
  info.graph_style = 'Y1Y2 Compute'
  plot_setup, info, 'Y1Y2 Compute', 1, 1, 0
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 

endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
get_data, y_index, x_index, z_index, info
x_index = x_index(0)
y_index = y_index(0)

if x_index eq -1 and y_index eq -1 then begin
	result=dialog_message('Both operands are constant!', title='View HDF Warning!')
	return
endif
	
if x_index ne -1 then this_subset = x_index else this_subset = y_index
info.subset.selected = this_subset

if x_index ne -1 then begin
  if info.subset.data(x_index).src_type_flag eq 0 then begin
	handle_value, info.subset.data(x_index).src_data, hdf_data_x
	size_hdf_data = size(hdf_data_x)
	hdf_data_x = reform(hdf_data_x, n_elements(hdf_data_x))
  endif else begin
	handle_value, info.subset.data(x_index).src_data, hdf_x_temp
	size_hdf_data =  size(hdf_x_temp)
	hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
  endelse
  num_x = n_elements(hdf_data_x)
endif

if y_index ne -1 then begin
  if info.subset.data(y_index).src_type_flag eq 0 then begin
	handle_value, info.subset.data(y_index).src_data, hdf_data_y
	if x_index eq -1 then size_hdf_data = size(hdf_data_y)
	hdf_data_y = reform(hdf_data_y, n_elements(hdf_data_y))
  endif else begin
	handle_value, info.subset.data(y_index).src_data, hdf_y_temp
	if x_index eq -1 then size_hdf_data = size(hdf_y_temp)
	hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
  endelse
  num_y = n_elements(hdf_data_y)
endif

if x_index eq -1 then begin
	num_x = num_y
	;hdf_data_x = make_array(num_x, /FLOAT, VALUE=info.y1y2.cons_value1)
	hdf_data_x = info.y1y2.cons_value1
endif
if y_index eq -1 then begin
	num_y = num_x
	;hdf_data_y = make_array(num_y, /FLOAT, VALUE=info.y1y2.cons_value2)
	hdf_data_y = info.y1y2.cons_value2
endif

if(num_x ne num_y) then begin
         result=dialog_message('Number of data points for two subsets are not equal!',$
                    title='View HDF Warning!')
         return
endif

if y_index ne -1 then begin
	this_type = info.subset.data(y_index).src_types
	this_type = this_type(0)
	filldata_value_y = get_filldata_value(this_type, info.filldata)
	if filldata_value_y gt info.filldata then filldata_value_y = info.filldata
	max_value_y = get_max_value(this_type, info.filldata)
	if max_value_y gt info.filldata then max_value_y = info.filldata
endif else begin
	filldata_value_y = info.filldata
	max_value_y = info.filldata
endelse

if x_index ne -1 then begin
	this_type = info.subset.data(x_index).src_types
	this_type = this_type(0)
	filldata_value_x = get_filldata_value(this_type, info.filldata)
	if filldata_value_x gt info.filldata then filldata_value_x = info.filldata
	max_value_x = get_max_value(this_type, info.filldata)
	if max_value_x gt info.filldata then max_value_x = info.filldata
endif else begin
	filldata_value_x = info.filldata
	max_value_x = info.filldata
endelse

if max_value_y gt max_value_x then max_value = max_value_y $
	else max_value = max_value_x

;filldata = get_filldata(this_type,info.filldata)
if info.filldata lt 3.0E+37 then $
	filldata = info.filldata * 10 $
else filldata = 3.0E+38
;case this_type of
;        21: filldata = 255
;        22: filldata = 32767
;        23: filldata = 65535
;        24: filldata = 2147483647
;        25: filldata = 2147483647
;        else: begin
;		if info.filldata lt 3.0E+37 then $
;			filldata = info.filldata * 10 $
;		else filldata = 3.0E+38
;	      end
;endcase

if info.y1y2.operator eq ' ** ' then begin
    int_const = 0
    ;if y_index eq -1 and info.y1y2.cons_value2 gt 0.0 then begin
    if y_index eq -1 then begin
	y_frac = info.y1y2.cons_value2 - floor(info.y1y2.cons_value2)
	if abs(y_frac) lt 0.0000001 then begin 
	    ;hdf_data_y = fix(hdf_data_y)
	    hdf_data_y = fix(info.y1y2.cons_value2)
	    int_const = 1
	endif
    endif

    if int_const eq 0 then begin
	neg_subs = where(hdf_data_x lt 0.0, count)
	if count gt 0 then begin
	    hdf_data_x(neg_subs) = filldata_value_x
	endif
    endif
endif

if info.y1y2.tri_flag gt 0 then hdf_data_y = fix(info.y1y2.cons_value2)

if x_index ne -1 and y_index ne -1 then begin
    subscript = where(hdf_data_x lt filldata_value_x and hdf_data_y lt filldata_value_y, count)
    if (count eq 0) then begin
	result=dialog_message('Either X field or Y field data are fill data for whole array!',$
                    title='View HDF Warning!')
         return
    endif
    hdf_data_x = hdf_data_x(subscript)
    hdf_data_y = hdf_data_y(subscript)
endif else if x_index ne -1 and y_index eq -1 then begin
    subscript = where(hdf_data_x lt filldata_value_x, count)
    if (count eq 0) then begin
	result=dialog_message('The whole Y1 data array are fill data!',$
                    title='View HDF Warning!')
         return
    endif
    hdf_data_x = hdf_data_x(subscript)
endif else if x_index eq -1 and y_index ne -1 then begin
    subscript = where(hdf_data_y lt filldata_value_y, count)
    if (count eq 0) then begin
	result=dialog_message('The whole Y2 data array are fill data!',$
                    title='View HDF Warning!')
         return
    endif
    hdf_data_y = hdf_data_y(subscript)
endif

if info.y1y2.tri_flag eq 1 and hdf_data_y(0) eq 0 then $
	hdf_data_x = hdf_data_x/!RADEG

hdf_data_z = make_array(num_x, /DOUBLE, VALUE=filldata)
;print,'info.y1y2.operator = ', info.y1y2.operator
case info.y1y2.operator of
	;' + ': hdf_data_z(subscript) = hdf_data_x(subscript) + hdf_data_y(subscript)
	;' - ': hdf_data_z(subscript) = hdf_data_x(subscript) - hdf_data_y(subscript)
	;' * ': hdf_data_z(subscript) = hdf_data_x(subscript) * hdf_data_y(subscript)
	;' / ': hdf_data_z(subscript) = hdf_data_x(subscript) / hdf_data_y(subscript)
	;' ** ': hdf_data_z(subscript) = hdf_data_x(subscript) ^ hdf_data_y(subscript)
	' + ': hdf_data_z(subscript) = hdf_data_x + hdf_data_y
	' - ': hdf_data_z(subscript) = hdf_data_x - hdf_data_y
	' * ': hdf_data_z(subscript) = hdf_data_x * hdf_data_y
	' / ': hdf_data_z(subscript) = hdf_data_x / hdf_data_y
	' ** ': hdf_data_z(subscript) = hdf_data_x ^ hdf_data_y
	' cos ': hdf_data_z(subscript) = cos(hdf_data_x)
	' sin ': hdf_data_z(subscript) = sin(hdf_data_x)
	' tan ': hdf_data_z(subscript) = tan(hdf_data_x)
	' acos ': hdf_data_z(subscript) = acos(hdf_data_x)
	' asin ': hdf_data_z(subscript) = asin(hdf_data_x)
	' atan ': hdf_data_z(subscript) = atan(hdf_data_x)
endcase

if info.y1y2.tri_flag eq 2 and hdf_data_y(0) eq 0 then $
	hdf_data_z(subscript) = hdf_data_z(subscript) * !RADEG

subscript = where(hdf_data_z ge filldata, count)
if (count eq num_x) then begin
	result=dialog_message('All the computed result are fill data!',$
                    title='View HDF Warning!')
         return
endif
if count ne 0 then hdf_data_z(subscript) = filldata

hdf_data_z_temp = hdf_data_z
subscript = where(hdf_data_z lt filldata, count)
if count ne 0 then begin
	hdf_data_z_temp = hdf_data_z_temp(subscript)
	z_max = max(hdf_data_z_temp, min=z_min)
endif else begin
	result=dialog_message('All the result are fill data!',$
                    title='View HDF Warning!')
         return
endelse

info.slide.x_end = num_x - 1
info.slide.x_start = 0
info.slide.y_end = z_max
info.slide.y_start = z_min

xyname = ' '
;if x_index eq -1 then begin
;	xname = strcompress(string(info.y1y2.cons_value1),/REMOVE_ALL)
;endif else xname = info.field_name.x
;
;if y_index eq -1 then begin
;	yname = strcompress(string(info.y1y2.cons_value2),/REMOVE_ALL)
;endif else yname = info.field_name.y
;
;if info.y1y2.tri_flag eq 0 then begin
;    xyname = xname + info.y1y2.operator + yname
;endif else begin
;    case info.y1y2.operator of
;	' cos ': xyname = 'cos('+xname+')'
;	' sin ': xyname = 'sin('+xname+')'
;	' tan ': xyname = 'tan('+xname+')'
;	' acos ': xyname = 'arccos('+xname+')'
;	' asin ': xyname = 'arcsin('+xname+')'
;	' atan ': xyname = 'arctan('+xname+')'
;	else: xyname = xname
;    endcase
;endelse
;if (print_flag eq 0) then plot_dialogue , xyname, info

filename = info.subset.data(this_subset).src_filename

if x_index ne -1 then begin
	dot=strpos(info.field_name.x,'[')
	if dot ne -1 then xtitle=strmid(info.field_name.x,0,dot) $
		else xtitle = info.field_name.x
endif else xtitle = strcompress(string(info.y1y2.cons_value1),/REMOVE_ALL)

if y_index ne -1 then begin
	dot=strpos(info.field_name.y,'[')
	if dot ne -1 then ytitle=strmid(info.field_name.y,0,dot) $
		else ytitle = info.field_name.y
endif else ytitle = strcompress(string(info.y1y2.cons_value2),/REMOVE_ALL)

xyname = ' '
if info.y1y2.tri_flag eq 0 then begin
    xyname = xtitle + info.y1y2.operator + ytitle
endif else begin
    case info.y1y2.operator of
	' cos ': xyname = 'cos('+xtitle+')'
	' sin ': xyname = 'sin('+xtitle+')'
	' tan ': xyname = 'tan('+xtitle+')'
	' acos ': xyname = 'arccos('+xtitle+')'
	' asin ': xyname = 'arcsin('+xtitle+')'
	' atan ': xyname = 'arctan('+xtitle+')'
	else: xyname = xtitle
    endcase
endelse

if (print_flag eq 0) then begin
	;temp_name = xtitle + info.y1y2.operator + ytitle
	temp_name = xyname
	get_variable_name, temp_name, info
	widget_control, get_uvalue=info, info.base
	if info.variablename eq 'None' then return
	the_rank = info.subset.data(this_subset).src_rank
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
	   case size_hdf_data(0) of
		2: hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2))
		3: hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2), $
						 size_hdf_data(3))
		else: hdf_data = hdf_data_z
	   endcase
	endif else begin
  		the_order = info.subset.data(this_subset).src_order(0)
		blank = array_type(6, the_order)
		single_record=create_struct( 'components' + '0', blank) 
		hdf_data=replicate(single_record, size_hdf_data(1))
		jj=0L
		for i=0L, size_hdf_data(1)-1 do begin
			for j=0L, the_order-1 do begin
				hdf_data(i).components0(j) = hdf_data_z(jj)
				jj = jj + 1
			endfor
		endfor
	endelse
	set_statistics_subset, info.variablename, this_subset, the_rank, info, hdf_data

	the_message = [ 'Do you want to plot the result?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'No' then return

	base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
		TITLE='Select a Graph Style', XSIZE=240, uvalue=info)

	group1=widget_base(base, column=1, map=1, xoffset=80)

	desc= [ 'Sample' ,	$
		'Time'	]

	info.multiple.xy_diff = 'Sample'
	info = initial_info(info)
	widget_control, set_uvalue=info, base
	widget_control, set_uvalue=info, info.base

	the_style = CW_BGROUP(group1, desc, /return_name, $
		set_value=0, FONT=info.font, $
		event_func='diff_graph', /exclusive)

	group2=widget_base(base, row=1,map=1, space=40, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
		/ALIGN_CENTER)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
		VALUE="Cancel", /ALIGN_CENTER)

	;button1=widget_button(base, FONT=info.font, $
	;	EVENT_PRO='doneCB', VALUE="Done", $
	;	/ALIGN_CENTER)

	widget_control, /realize, base 
	widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
	xmanager, 'main_widget', base

endif

widget_control, /hourglass
widget_control, get_uvalue=info, info.base
if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
endif 

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	;the_title=xtitle + info.y1y2.operator + ytitle + '!C Data Range: ' + data_range
	the_title=xyname + '!C Data Range: ' + data_range
endif else begin
	;the_title=xtitle + info.y1y2.operator + ytitle + '!C!C Data Range: ' + data_range
	the_title=xyname + '!C!C Data Range: ' + data_range
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
endelse 

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

if x_index ne -1 then begin
	temp_name = info.subset.data(x_index).src_unitname
	temp_name = temp_name(0)
	temp_length = strlen(temp_name)
	temp_name_x = ''
	if (temp_length gt 0) then begin
		dot=strpos(temp_name,'N/A')
		if( dot eq -1) then $
			temp_name_x = strmid(temp_name,2,temp_length-2)
	endif
endif else temp_name_x = ''

if y_index ne -1 then begin
	temp_name = info.subset.data(y_index).src_unitname
	temp_name = temp_name(0)
	temp_length = strlen(temp_name)
	temp_name_y = ''
	if (temp_length gt 0) then begin
		dot=strpos(temp_name,'N/A')
		if( dot eq -1) then $
			temp_name_y = strmid(temp_name,2,temp_length-2)
	endif
endif else temp_name_y = ''

temp_length = strlen(temp_name_x)
if temp_length gt 0 then begin
	temp_length = strlen(temp_name_y)
	if temp_length gt 0 then begin
		if temp_name_x eq temp_name_y then $
			ytitle = temp_name_x $
		else ytitle = temp_name_x + ' - ' + temp_name_y
	endif else ytitle = temp_name_x
endif else begin
	temp_length = strlen(temp_name_y)
        if temp_length gt 0 then $
		ytitle = temp_name_y $
	else ytitle = ''
endelse

get_ticklen, info.style.grid, xticklen, yticklen 

if info.multiple.xy_diff eq 'Time' then begin
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  		this_rank = info.subset.data(this_subset).src_rank
  		start_list = info.subset.data(this_subset).src_start(0:this_rank-1)
  		end_list = info.subset.data(this_subset).src_end(0:this_rank-1)
  		increment_list = info.subset.data(this_subset).src_increment(0:this_rank-1)

  		array_size = long((end_list-start_list)/float(increment_list) + 0.9)

  		hdf_data_time = array_type(6, array_size)
  		if (hdf_data_time(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for Time!',$
				title='View HDF Warning!')
			return
		endif
	endif else begin
		hdf_data_time = make_array(num_x, /DOUBLE)
	endelse

	get_seconds, info, this_subset, hdf_data_time
	subscript = where(hdf_data_time lt 86400.0, count)
	if(count ne 0) then begin
   		hdf_data_time = hdf_data_time(subscript)
		hdf_data_z = hdf_data_z(subscript)
	endif else begin
		result=dialog_message('All the Time field data are fill data!',$
			title='View HDF Warning!')
		return
	endelse
	time_max = max(hdf_data_time, min=time_min)
	info.slide.x_end = time_max
	info.slide.x_start = time_min
	case info.time_type.new of
		0: begin
			hdf_data_time(*) = hdf_data_time(*)/3600.0
			info.slide.x_end = time_max/3600.0
			info.slide.x_start = time_min/3600.0
			xtitle = 'Time of day, hours'
		   end
		1: begin
			hdf_data_time(*) = hdf_data_time(*)/60.0
			info.slide.x_end = time_max/60.0
			info.slide.x_start = time_min/60.0
			xtitle = 'Time of day, minutes'
		   end
		else: xtitle = 'Time of day, seconds'
	endcase

	if(widget_info(info.widgets.startfield, /VALID_ID)) then begin
	  if info.time_type.old ne info.time_type.new then begin
	    widget_control, info.widgets.startfield, get_value=x_start
	    widget_control, info.widgets.rangefield, get_value=x_range
	    case info.time_type.old of
	       0: begin
		   x_start = x_start * 3600.0
		   x_range = x_range * 3600.0
		end
	       1: begin
		   x_start = x_start * 60.0
		   x_range = x_range * 60.0
		end
	       else:
	    endcase

	    case info.time_type.new of
	       0: begin
	  	   x_start = x_start / 3600.0
		   x_range = x_range / 3600.0
		   if x_range le 1 then x_range = 1
		end
	       1: begin
		   x_start = x_start / 60.0
		   x_range = x_range / 60.0
		   if x_range le 1 then x_range = 1
		end
	       else:
	    endcase
	    x_max = max(hdf_data_time, min=x_min)
	    x_int_max = long(x_max)
	    x_int_min = long(x_min)
	    if x_int_max eq x_int_min then x_max = x_min + x_range
	    info.range.x_start = x_start
	    info.range.x_end = x_start + x_range
	    info.save.x_start = x_min
	    info.save.x_end = x_max
	    widget_control, info.widgets.rangefield, set_value=x_range
	    widget_control, info.widgets.startslide, set_slider_min=x_min
	    widget_control, info.widgets.startslide, set_slider_max=x_max
	    widget_control, info.widgets.startslide, set_slider_min=x_min
	    widget_control, info.widgets.startslide, set_value=x_start
	    widget_control, info.widgets.startfield, set_value=x_start
	    info.time_type.old = info.time_type.new
	    set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle
	  endif
	endif else info.time_type.old = info.time_type.new

	if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyname, info

	xtitle= '!C' + xtitle + '!C'
	if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	endif

	if info.style.xlog gt 0 then begin
		check_max = max(hdf_data_time, min=check_min)
		XRange = set_log_range(XRange, check_min, dcheck_max)
	endif

	if info.style.ylog gt 0 then begin
		YRange = set_log_range(YRange, z_min, z_max)
	endif

	plot,hdf_data_time, hdf_data_z, $
        	MAX_VALUE = max_value, /YNOZERO, /NODATA, $
		FONT=info.char.font, $
		charsize=info.char.size, $
        	xtitle=xtitle, $
        	ytitle=ytitle, $
		title=the_title, $
        	xticklen=xticklen, yticklen=yticklen, $
		subtitle="File: " + filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
		xlog=info.style.xlog, ylog=info.style.ylog

	oplot, hdf_data_time, hdf_data_z,MAX_VALUE = max_value, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

endif else begin

	if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyname, info

	xtitle='!CSample!C'
	if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	endif

	if info.style.xlog gt 0 then begin
		default_max = n_elements(hdf_data_Z)
		XRange = set_log_range(XRange, 1, default_max)
	endif

	if info.style.ylog gt 0 then begin
		YRange = set_log_range(YRange, z_min, z_max)
	endif

	plot,hdf_data_z, $
        	MAX_VALUE = max_value, /YNOZERO, /NODATA, $
		FONT=info.char.font, $
		charsize=info.char.size, $
        	xtitle=xtitle, $
        	ytitle=ytitle, $
		title=the_title, $
        	xticklen=xticklen, yticklen=yticklen, $
		subtitle="File: " + filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
		xlog=info.style.xlog, ylog=info.style.ylog

	oplot, hdf_data_z,MAX_VALUE = max_value, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif

!P.Position = [0.0, 0.0, 0.0, 0.0]

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_y1_compute, print_flag, info

pro_name = 'do_y1_compute'
@getinfo

if info.subset.count lt 1 then begin
	 the_message = ['You need at least one subset of data', $
			'to do Y1 Compute!']
         result=dialog_message(the_message, title='View HDF Warning!')
         return
endif

if print_flag eq 0 then begin
  info.graph_style = 'Y1 Compute'
  plot_setup, info, 'Y1 Compute', 1, 0, 0
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 

endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
if info.field_name.x ne 'Constant' then begin
        x_index=name_to_index(info.field_name.x, info.name_list_subset)
endif else x_index = -1
x_index = x_index(0)

if x_index eq -1 then begin
	the_message='Constant operand is not allowed for this operation!'
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif
	
this_subset = x_index
info.subset.selected = this_subset

if info.subset.data(x_index).src_type_flag eq 0 then begin
	handle_value, info.subset.data(x_index).src_data, hdf_data_x
	size_hdf_data = size(hdf_data_x)
	hdf_data_x = reform(hdf_data_x, n_elements(hdf_data_x))
endif else begin
	handle_value, info.subset.data(x_index).src_data, hdf_x_temp
	size_hdf_data =  size(hdf_x_temp)
	hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
endelse
num_x = n_elements(hdf_data_x)

this_type = info.subset.data(x_index).src_types
this_type = this_type(0)
filldata_value_x = get_filldata_value(this_type, info.filldata)
if filldata_value_x gt info.filldata then filldata_value_x = info.filldata
max_value = get_max_value(this_type, info.filldata)
if max_value gt info.filldata then max_value = info.filldata

if info.filldata lt 3.0E+37 then $
	filldata = info.filldata * 10 $
else filldata = 3.0E+38

if info.y1y2.operator eq ' alog ' or info.y1y2.operator eq ' alog10 ' then begin
	neg_subs = where(hdf_data_x le 0.0, count)
	if count gt 0 then begin
		hdf_data_x(neg_subs) = filldata_value_x
	endif
endif

subscript = where(hdf_data_x lt filldata_value_x, count)
if (count eq 0) then begin
	result=dialog_message('The whole data array are fill data!',$
		title='View HDF Warning!')
	return
endif
hdf_data_x = hdf_data_x(subscript)

hdf_data_z = make_array(num_x, /DOUBLE, VALUE=filldata)
;print,'info.y1y2.operator = ', info.y1y2.operator
case info.y1y2.operator of
	' alog ': hdf_data_z(subscript) = alog(hdf_data_x)
	' alog10 ': hdf_data_z(subscript) = alog10(hdf_data_x)
	' exp ': hdf_data_z(subscript) = exp(hdf_data_x)
	' abs ': hdf_data_z(subscript) = abs(hdf_data_x)
endcase

subscript = where(hdf_data_z ge filldata, count)
if (count eq num_x) then begin
	result=dialog_message('All the computed result are fill data!',$
                    title='View HDF Warning!')
         return
endif
if count ne 0 then hdf_data_z(subscript) = filldata

hdf_data_z_temp = hdf_data_z
subscript = where(hdf_data_z lt filldata, count)
if count ne 0 then begin
	hdf_data_z_temp = hdf_data_z_temp(subscript)
	z_max = max(hdf_data_z_temp, min=z_min)
endif else begin
	result=dialog_message('All the result are fill data!',$
                    title='View HDF Warning!')
         return
endelse

info.slide.x_end = num_x - 1
info.slide.x_start = 0
info.slide.y_end = z_max
info.slide.y_start = z_min

filename = info.subset.data(this_subset).src_filename

dot=strpos(info.field_name.x,'[')
if dot ne -1 then xtitle=strmid(info.field_name.x,0,dot) $
	else xtitle = info.field_name.x

xyname = ' '
case info.y1y2.operator of
' alog ': xyname = 'log('+xtitle+')'
' alog10 ': xyname = 'log10('+xtitle+')'
' exp ': xyname = 'exp('+xtitle+')'
' abs ': xyname = 'abs('+xtitle+')'
else: xyname = xtitle
endcase

if (print_flag eq 0) then begin
	temp_name = xyname
	get_variable_name, temp_name, info
	widget_control, get_uvalue=info, info.base
	if info.variablename eq 'None' then return
	the_rank = info.subset.data(this_subset).src_rank
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
	   case size_hdf_data(0) of
		2: hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2))
		3: hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2), $
						 size_hdf_data(3))
		else: hdf_data = hdf_data_z
	   endcase
	endif else begin
  		the_order = info.subset.data(this_subset).src_order(0)
		blank = array_type(6, the_order)
		single_record=create_struct( 'components' + '0', blank) 
		hdf_data=replicate(single_record, size_hdf_data(1))
		jj=0L
		for i=0L, size_hdf_data(1)-1 do begin
			for j=0L, the_order-1 do begin
				hdf_data(i).components0(j) = hdf_data_z(jj)
				jj = jj + 1
			endfor
		endfor
	endelse
	set_statistics_subset, info.variablename, this_subset, the_rank, info, hdf_data

	the_message = [ 'Do you want to plot the result?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'No' then return

	base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
		TITLE='Select a Graph Style', XSIZE=240, uvalue=info)

	group1=widget_base(base, column=1, map=1, xoffset=80)

	desc= [ 'Sample' ,	$
		'Time'	]

	info.multiple.xy_diff = 'Sample'
	info = initial_info(info)
	widget_control, set_uvalue=info, base
	widget_control, set_uvalue=info, info.base

	the_style = CW_BGROUP(group1, desc, /return_name, $
		set_value=0, FONT=info.font, $
		event_func='diff_graph', /exclusive)

	group2=widget_base(base, row=1,map=1, space=40, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
		/ALIGN_CENTER)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
		VALUE="Cancel", /ALIGN_CENTER)

	widget_control, /realize, base 
	widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
	xmanager, 'main_widget', base

endif

widget_control, /hourglass
widget_control, get_uvalue=info, info.base
if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
endif 

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title=xyname + '!C Data Range: ' + data_range
endif else begin
	the_title=xyname + '!C!C Data Range: ' + data_range
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
endelse 

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

temp_name = info.subset.data(x_index).src_unitname
temp_name = temp_name(0)
temp_length = strlen(temp_name)
if (temp_length gt 0) then begin
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then ytitle = strmid(temp_name,2,temp_length-2) $
		else ytitle = ''
endif else ytitle = ''

get_ticklen, info.style.grid, xticklen, yticklen 

if info.multiple.xy_diff eq 'Time' then begin
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  		this_rank = info.subset.data(this_subset).src_rank
  		start_list = info.subset.data(this_subset).src_start(0:this_rank-1)
  		end_list = info.subset.data(this_subset).src_end(0:this_rank-1)
  		increment_list = info.subset.data(this_subset).src_increment(0:this_rank-1)

  		array_size = long((end_list-start_list)/float(increment_list) + 0.9)

  		hdf_data_time = array_type(6, array_size)
  		if (hdf_data_time(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for Time!',$
				title='View HDF Warning!')
			return
		endif
	endif else begin
		hdf_data_time = make_array(num_x, /DOUBLE)
	endelse

	get_seconds, info, this_subset, hdf_data_time
	subscript = where(hdf_data_time lt 86400.0, count)
	if(count ne 0) then begin
   		hdf_data_time = hdf_data_time(subscript)
		hdf_data_z = hdf_data_z(subscript)
	endif else begin
		result=dialog_message('All the Time field data are fill data!',$
			title='View HDF Warning!')
		return
	endelse
	time_max = max(hdf_data_time, min=time_min)
	info.slide.x_end = time_max
	info.slide.x_start = time_min
	case info.time_type.new of
		0: begin
			hdf_data_time(*) = hdf_data_time(*)/3600.0
			info.slide.x_end = time_max/3600.0
			info.slide.x_start = time_min/3600.0
			xtitle = 'Time of day, hours'
		   end
		1: begin
			hdf_data_time(*) = hdf_data_time(*)/60.0
			info.slide.x_end = time_max/60.0
			info.slide.x_start = time_min/60.0
			xtitle = 'Time of day, minutes'
		   end
		else: xtitle = 'Time of day, seconds'
	endcase

	if(widget_info(info.widgets.startfield, /VALID_ID)) then begin
	  if info.time_type.old ne info.time_type.new then begin
	    widget_control, info.widgets.startfield, get_value=x_start
	    widget_control, info.widgets.rangefield, get_value=x_range
	    case info.time_type.old of
	       0: begin
		   x_start = x_start * 3600.0
		   x_range = x_range * 3600.0
		end
	       1: begin
		   x_start = x_start * 60.0
		   x_range = x_range * 60.0
		end
	       else:
	    endcase

	    case info.time_type.new of
	       0: begin
	  	   x_start = x_start / 3600.0
		   x_range = x_range / 3600.0
		   if x_range le 1 then x_range = 1
		end
	       1: begin
		   x_start = x_start / 60.0
		   x_range = x_range / 60.0
		   if x_range le 1 then x_range = 1
		end
	       else:
	    endcase
	    x_max = max(hdf_data_time, min=x_min)
	    x_int_max = long(x_max)
	    x_int_min = long(x_min)
	    if x_int_max eq x_int_min then x_max = x_min + x_range
	    info.range.x_start = x_start
	    info.range.x_end = x_start + x_range
	    info.save.x_start = x_min
	    info.save.x_end = x_max
	    widget_control, info.widgets.rangefield, set_value=x_range
	    widget_control, info.widgets.startslide, set_slider_min=x_min
	    widget_control, info.widgets.startslide, set_slider_max=x_max
	    widget_control, info.widgets.startslide, set_slider_min=x_min
	    widget_control, info.widgets.startslide, set_value=x_start
	    widget_control, info.widgets.startfield, set_value=x_start
	    info.time_type.old = info.time_type.new
	    set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle
	  endif
	endif else info.time_type.old = info.time_type.new

	if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyname, info

	xtitle= '!C' + xtitle + '!C'
	if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	endif

	if info.style.xlog gt 0 then begin
		check_max = max(hdf_data_time, min=check_min)
		XRange = set_log_range(XRange, check_min, check_max)
	endif

	if info.style.ylog gt 0 then begin
		YRange = set_log_range(YRange, z_min, z_max)
	endif

	plot,hdf_data_time, hdf_data_z, $
        	MAX_VALUE = max_value, /YNOZERO, /NODATA, $
		FONT=info.char.font, $
		charsize=info.char.size, $
        	xtitle=xtitle, $
        	ytitle=ytitle, $
		title=the_title, $
        	xticklen=xticklen, yticklen=yticklen, $
		subtitle="File: " + filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
		xlog=info.style.xlog, ylog=info.style.ylog

	oplot, hdf_data_time, hdf_data_z,MAX_VALUE = max_value, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

endif else begin

	if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyname, info

	xtitle='!CSample!C'
	if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	endif

	if info.style.xlog gt 0 then begin
		default_max = n_elements(hdf_data_z)
		XRange = set_log_range(XRange, 1, default_max)
	endif

	if info.style.ylog gt 0 then begin
		YRange = set_log_range(YRange, z_min, z_max)
	endif

	plot,hdf_data_z, $
        	MAX_VALUE = max_value, /YNOZERO, /NODATA, $
		FONT=info.char.font, $
		charsize=info.char.size, $
        	xtitle=xtitle, $
        	ytitle=ytitle, $
		title=the_title, $
        	xticklen=xticklen, yticklen=yticklen, $
		subtitle="File: " + filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
		xlog=info.style.xlog, ylog=info.style.ylog

	oplot, hdf_data_z,MAX_VALUE = max_value, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif

!P.Position = [0.0, 0.0, 0.0, 0.0]

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_xy_plot, print_flag, info

pro_name = 'do_xy_plot'
@getinfo

if info.subset.count lt 2 then begin
         result=dialog_message('You need at least two subsets of data!',$
                    title='View HDF Warning!')
         return
endif

if print_flag eq 0 then begin
  info.graph_style = 'XY Plot'
  plot_setup, info, 'XY Plot', 1, 1, 0
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 
endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
get_data, y_index, x_index, z_index, info

this_subset = y_index(0)
info.subset.selected = this_subset

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

if info.subset.data(x_index).src_type_flag eq 0 then begin
  handle_value, info.subset.data(x_index).src_data, hdf_data_x
endif else begin
  handle_value, info.subset.data(x_index).src_data, hdf_x_temp
  hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
endelse

if info.subset.data(y_index).src_type_flag eq 0 then begin
  handle_value, info.subset.data(y_index).src_data, hdf_data_y
endif else begin
  handle_value, info.subset.data(y_index).src_data, hdf_y_temp
  hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
endelse

size_hdf_x = size(hdf_data_x)
size_hdf_y = size(hdf_data_y)

n_size_hdf_x = n_elements(size_hdf_x)
n_size_hdf_y = n_elements(size_hdf_y)

if(size_hdf_x(n_size_hdf_x-1) ne size_hdf_y(n_size_hdf_y-1)) then begin
         result=dialog_message('Number of data points for two subsets are not equal!',$
                    title='View HDF Warning!')
         return
endif

this_type = info.subset.data(x_index).src_types
this_type = this_type(0)
filldata_value_x = get_filldata_value(this_type, info.filldata)
if filldata_value_x gt info.filldata then filldata_value_x = info.filldata
max_value_x = get_max_value(this_type, info.filldata)
if max_value_x gt info.filldata then max_value_x = info.filldata

subscript = where(hdf_data_x lt filldata_value_x, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
endif else begin
	result=dialog_message('All the X field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse

this_type = info.subset.data(y_index).src_types
this_type = this_type(0)
filldata_value_y = get_filldata_value(this_type, info.filldata)
if filldata_value_y gt info.filldata then filldata_value_y = info.filldata
max_value_y = get_max_value(this_type, info.filldata)
if max_value_y gt info.filldata then max_value_y = info.filldata

subscript = where(hdf_data_y lt filldata_value_y, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
endif else begin
	result=dialog_message('All the Y field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse

if max_value_y gt max_value_x then max_value = max_value_y $
	else max_value = max_value_x

x_max = max(hdf_data_x, min=x_min)
y_max = max(hdf_data_y, min=y_min)
info.slide.x_end = x_max
info.slide.x_start = x_min
info.slide.y_end = y_max
info.slide.y_start = y_min

xyname = ' '
xyname = info.field_name.x + ' : ' + info.field_name.y
if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyname, info

filename = info.subset.data(y_index).src_filename

dot=strpos(info.field_name.x,'[')
if dot ne -1 then xtitle=strmid(info.field_name.x,0,dot) $
	else xtitle = info.field_name.x
dot=strpos(info.field_name.y,'[')
if dot ne -1 then ytitle=strmid(info.field_name.y,0,dot) $
	else ytitle = info.field_name.y

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title=ytitle + ' vs. ' + xtitle + '!C Data Range: ' + data_range
endif else begin
	the_title=ytitle + ' vs. ' + xtitle + '!C!C Data Range: ' + data_range
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
endelse 

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

temp_name = info.subset.data(x_index).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then xtitle = xtitle + temp_name

temp_name = info.subset.data(y_index).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then ytitle = ytitle + temp_name

get_ticklen, info.style.grid, xticklen, yticklen 

xtitle= '!C' + xtitle + '!C'
if !D.Name eq 'PS' then begin
	old_charsize = !X.CHARSIZE
	!X.CHARSIZE = 0.9
	!Y.CHARSIZE = 0.9	
endif

if info.style.xlog gt 0 then begin
	XRange = set_log_range(XRange, x_min, x_max)
endif

if info.style.ylog gt 0 then begin
	YRange = set_log_range(YRange, y_min, y_max)
endif

plot,hdf_data_x,hdf_data_y, $
        MAX_VALUE = max_value, /YNOZERO, /NODATA, $
	FONT=info.char.font, $
	charsize=info.char.size, $
        xtitle=xtitle, $
        ytitle=ytitle, $
	title=the_title, $
        xticklen=xticklen, yticklen=yticklen, $
	subtitle="File: " + filename + "  Date:" + systime(0), $
        xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
	xlog=info.style.xlog, ylog=info.style.ylog

oplot, hdf_data_x,hdf_data_y, MAX_VALUE = max_value, $
	psym = plot_symbol, linestyle=info.style.linetype, $
	symsize = info.style.symbolsize

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif
 
!P.Position = [0.0, 0.0, 0.0, 0.0]

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro draw_color_bar, top_color, y_min, y_max, y_position, x_location, charsize, $
	charfont, unitlabel

pro_name = 'draw_color_bar'
@getinfo

bar_size = CONVERT_COORD(0.011, 0.5, /NORMAL, /TO_DEVICE)

color_size = fix(bar_size(0) + 0.9999)

color_interval = top_color/40.0

; set up a color bar
for j = 0 , 39 do begin
  color = fix(color_interval * (j + 1))
  ;TV, Replicate(color, color_size, color_size), 0.011*j+x_location, y_position, $
;	xsize=0.011, ysize=0.011, /normal
  x1 = 0.011*j + x_location
  x2 = x1 + 0.011
  y1 = y_position
  y2 = y1 + 0.011
  x = [x1, x1, x2, x2]
  y = [y1, y2, y2, y1]
  polyfill, x, y, color = color , /NOCLIP, /NORMAL
endfor

y_delta = (y_max - y_min)/10.0
if abs(y_delta) lt 1.0 then begin
	y_del_temp = abs(y_delta)
	if y_del_temp mod 0.1 lt 0.00001 then begin
		if y_delta gt 0.0 then num_decimal = 3 $
			else num_decimal = 4
	endif else if y_del_temp mod 0.01 lt 0.00001 then begin
		if y_delta gt 0.0 then num_decimal = 4 $
			else num_decimal = 5
	endif else begin
		if y_delta gt 0.0 then num_decimal = 5 $
			else num_decimal = 6
	endelse
endif

for j = 0 , 10 do begin
  if abs(y_delta) lt 1.0 then begin
	y_value = y_min + y_delta * j 
	y_string = strmid(strtrim(string(y_value), 2), 0, num_decimal)
  endif else begin
	if j eq 0 then y_value = long(y_min + y_delta * j) $
		else y_value = long(y_min + y_delta * j + 0.5)
	y_string = strtrim(string(y_value), 2)
  endelse
  xyouts, 0.044*j+x_location, y_position-0.03, string(y_string), /NORMAL, $
    FONT=charfont, SIZE = charsize, ALIGNMENT=0.5
endfor

text_string = unitlabel
length = strlen(text_string)
if length gt 140 then begin
	loc_comma = strpos(text_string,',',125)
	loc_space = strpos(text_string,' ',125)
	if loc_comma lt 140 then begin
	loc_sep = loc_comma
	endif else if loc_space lt 140 then begin
		loc_sep = loc_space
	endif else if loc_comma eq -1 and loc_space ne -1 then begin
		loc_sep = loc_space
	endif else if loc_comma ne -1 and loc_space eq -1 then begin
		loc_sep = loc_comma
	endif else loc_sep = 140
	string1 = strmid(text_string,0,loc_sep)
	length2 = length - loc_sep -1
	if length2 lt 0 then string2 = '' $
	    else string2 = strmid(text_string,loc_sep+1,length2)
	if !D.Name eq 'PS' then begin
		text_string = string1+'!C'+string2
	endif else begin
		text_string = string1+'!C!C'+string2
	endelse
endif

;xyouts, x_location+0.22, y_position-0.06, string(unitlabel), /NORMAL, $
xyouts, x_location+0.22, y_position-0.06, string(text_string), /NORMAL, $
  FONT=charfont, SIZE = charsize, ALIGNMENT=0.5

end

;------------------------------------------------------------------
pro draw_contour_bar, clevel, y_min, y_max, y_position, x_location, n_level, $
	charsize, charfont, unitlabel

pro_name = 'draw_contour_bar'
@getinfo

;bar_size = CONVERT_COORD(0.044, 0.5, /NORMAL, /TO_DEVICE)
if n_level le 15 then begin
	bar_size = CONVERT_COORD(0.044, 0.5, /NORMAL, /TO_DEVICE)
	x_size = 0.044
	bar_incr = 1
endif else if n_level gt 15 and n_level lt 31 then begin
	bar_size = CONVERT_COORD(0.022, 0.5, /NORMAL, /TO_DEVICE)
	x_size = 0.022
	bar_incr = 2
endif else begin
	bar_size = CONVERT_COORD(0.011, 0.5, /NORMAL, /TO_DEVICE)
	x_size = 0.011
	bar_incr = 4
endelse

color_size = fix(bar_size(0) + 0.9999)
case bar_incr of
	1: y_color_size = color_size/4.0
	2: y_color_size = color_size/2.0
	else: y_color_size = color_size
endcase

c_location = !P.Position(0) + (!P.Position(2) - !P.Position(0))/2.
x_location = c_location - (x_size * float(n_level))/2.0
if x_location lt 0.07 then x_location = 0.07

; set up a color bar
color = !P.BACKGROUND
x1 = x_location-0.066
x2 = x_location-0.066+0.044
y1 = y_position
y2 = y_position + 0.011
x = [x1, x1, x2 , x2]
y = [y1, y2, y2, y1]
polyfill, x, y, color = color , /NOCLIP, /NORMAL

;TV, Replicate(color, color_size, y_color_size), x_location-0.066, y_position, $
;	xsize=0.044, ysize=0.011, /normal

for j = 0 , n_level-1 do begin
  color=clevel(j)
  ;bararray = make_array(color_size, y_color_size, /BYTE, value=color)
  ;TV, bararray, x_size*j+x_location, y_position, xsize=x_size, ysize=0.011, /normal
  x1 = x_size*j + x_location
  x2 = x1 + x_size
  y1 = y_position
  y2 = y1 + 0.011
  x = [x1, x1, x2, x2]
  y = [y1, y2, y2, y1]
  polyfill, x, y, color = color , /NOCLIP, /NORMAL
endfor

xyouts, x_location-0.044, y_position-0.03, "No!CData", /NORMAL, $
    FONT=charfont, SIZE = charsize, ALIGNMENT=0.5

y_delta = (y_max - y_min)/float(n_level)
if abs(y_delta) lt 1.0 then begin
	y_del_temp = abs(y_delta)
	if y_del_temp mod 0.1 lt 0.00001 then begin
		if y_delta gt 0.0 then num_decimal = 3 $
			else num_decimal = 4
	endif else if y_del_temp mod 0.01 lt 0.00001 then begin
		if y_delta gt 0.0 then num_decimal = 4 $
			else num_decimal = 5
	endif else begin
		if y_delta gt 0.0 then num_decimal = 5 $
			else num_decimal = 6
	endelse
endif

for j = 0 , n_level, bar_incr do begin
  if abs(y_delta) lt 1.0 then begin
	y_value = y_min + y_delta * j 
	y_string = strmid(strtrim(string(y_value), 2), 0, num_decimal)
  endif else begin
	if j eq 0 then y_value = long(y_min + y_delta * j) $
		else y_value = long(y_min + y_delta * j + 0.5)
	y_string = strtrim(string(y_value), 2)
  endelse
  xyouts, x_size*j+x_location, y_position-0.03, string(y_string), /NORMAL, $
    FONT=charfont, SIZE = charsize, ALIGNMENT=0.5
endfor

text_string = unitlabel
length = strlen(text_string)
if length gt 140 then begin
	loc_comma = strpos(text_string,',',125)
	loc_space = strpos(text_string,' ',125)
	if loc_comma lt 140 then begin
	loc_sep = loc_comma
	endif else if loc_space lt 140 then begin
		loc_sep = loc_space
	endif else if loc_comma eq -1 and loc_space ne -1 then begin
		loc_sep = loc_space
	endif else if loc_comma ne -1 and loc_space eq -1 then begin
		loc_sep = loc_comma
	endif else loc_sep = 140
	string1 = strmid(text_string,0,loc_sep)
	length2 = length - loc_sep -1
	if length2 lt 0 then string2 = '' $
	    else string2 = strmid(text_string,loc_sep+1,length2)
	if !D.Name eq 'PS' then begin
		text_string = string1+'!C'+string2
	endif else begin
		text_string = string1+'!C!C'+string2
	endelse
endif
xyouts, c_location, y_position-0.06, string(text_string), /NORMAL, $
;xyouts, c_location, y_position-0.06, string(unitlabel), /NORMAL, $
  FONT=charfont, SIZE = charsize, ALIGNMENT=0.5

end

;------------------------------------------------------------------
pro draw_contour_bar_old1, clevel, y_min, y_max, y_position, x_location, n_level, $
	charsize, charfont, unitlabel

pro_name = 'draw_contour_bar'
@getinfo

bar_size = CONVERT_COORD(0.044, 0.5, /NORMAL, /TO_DEVICE)

color_size = fix(bar_size(0) + 0.9999)
y_color_size = color_size/4.0

c_location = !P.Position(0) + (!P.Position(2) - !P.Position(0))/2.
x_location = c_location - (0.044 * float(n_level))/2.0
if x_location lt 0.07 then x_location = 0.07

; set up a color bar
color = !P.BACKGROUND
TV, Replicate(color, color_size, y_color_size), x_location-0.066, y_position, $
	xsize=0.044, ysize=0.011, /normal
for j = 0 , n_level-1 do begin
  color=clevel(j)
  bararray = make_array(color_size, y_color_size, /BYTE, value=color)
  TV, bararray, 0.044*j+x_location, y_position, xsize=0.044, ysize=0.011, /normal
endfor

xyouts, x_location-0.044, y_position-0.03, "No!CData", /NORMAL, $
    FONT=charfont, SIZE = charsize, ALIGNMENT=0.5

y_delta = (y_max - y_min)/float(n_level)
if abs(y_delta) lt 1.0 then begin
	y_del_temp = abs(y_delta)
	if y_del_temp mod 0.1 lt 0.00001 then begin
		if y_delta gt 0.0 then num_decimal = 3 $
			else num_decimal = 4
	endif else if y_del_temp mod 0.01 lt 0.00001 then begin
		if y_delta gt 0.0 then num_decimal = 4 $
			else num_decimal = 5
	endif else begin
		if y_delta gt 0.0 then num_decimal = 5 $
			else num_decimal = 6
	endelse
endif

for j = 0 , n_level do begin
  if abs(y_delta) lt 1.0 then begin
	y_value = y_min + y_delta * j 
	y_string = strmid(strtrim(string(y_value), 2), 0, num_decimal)
  endif else begin
	if j eq 0 then y_value = long(y_min + y_delta * j) $
		else y_value = long(y_min + y_delta * j + 0.5)
	y_string = strtrim(string(y_value), 2)
  endelse
  xyouts, 0.044*j+x_location, y_position-0.03, string(y_string), /NORMAL, $
    FONT=charfont, SIZE = charsize, ALIGNMENT=0.5
endfor

text_string = unitlabel
length = strlen(text_string)
if length gt 140 then begin
	loc_comma = strpos(text_string,',',125)
	loc_space = strpos(text_string,' ',125)
	if loc_comma lt 140 then begin
	loc_sep = loc_comma
	endif else if loc_space lt 140 then begin
		loc_sep = loc_space
	endif else if loc_comma eq -1 and loc_space ne -1 then begin
		loc_sep = loc_space
	endif else if loc_comma ne -1 and loc_space eq -1 then begin
		loc_sep = loc_comma
	endif else loc_sep = 140
	string1 = strmid(text_string,0,loc_sep)
	length2 = length - loc_sep -1
	if length2 lt 0 then string2 = '' $
	    else string2 = strmid(text_string,loc_sep+1,length2)
	if !D.Name eq 'PS' then begin
		text_string = string1+'!C'+string2
	endif else begin
		text_string = string1+'!C!C'+string2
	endelse
endif
xyouts, c_location, y_position-0.06, string(text_string), /NORMAL, $
;xyouts, c_location, y_position-0.06, string(unitlabel), /NORMAL, $
  FONT=charfont, SIZE = charsize, ALIGNMENT=0.5

end

;--------------------------------------------------------------------------------
pro do_xyz_plot, print_flag, info

pro_name = 'do_xyz_plot'
@getinfo

if info.subset.count lt 3 then begin
         result=dialog_message('You need at least three subsets of data!',$
                    title='View HDF Warning!')
         return
endif

if print_flag eq 0 then begin
  info.graph_style = 'XYZ Plot'
  plot_setup, info, 'XYZ Plot', 1, 1, 1
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 
endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
get_data, y_index, x_index, z_index, info

this_subset = z_index(0)
info.subset.selected = this_subset

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

if info.subset.data(x_index).src_type_flag eq 0 then begin
  handle_value, info.subset.data(x_index).src_data, hdf_data_x
endif else begin
  handle_value, info.subset.data(x_index).src_data, hdf_x_temp
  hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
endelse

if info.subset.data(y_index).src_type_flag eq 0 then begin
  handle_value, info.subset.data(y_index).src_data, hdf_data_y
endif else begin
  handle_value, info.subset.data(y_index).src_data, hdf_y_temp
  hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
endelse

if info.subset.data(z_index).src_type_flag eq 0 then begin
  handle_value, info.subset.data(z_index).src_data, hdf_data_z
endif else begin
  handle_value, info.subset.data(z_index).src_data, hdf_z_temp
  hdf_data_z = reform(hdf_z_temp.components0, n_elements(hdf_z_temp.components0))
endelse

size_hdf_x = size(hdf_data_x)
size_hdf_y = size(hdf_data_y)
size_hdf_z = size(hdf_data_z)

n_size_hdf_x = n_elements(size_hdf_x)
n_size_hdf_y = n_elements(size_hdf_y)
n_size_hdf_z = n_elements(size_hdf_z)

if((size_hdf_x(n_size_hdf_x-1) eq size_hdf_y(n_size_hdf_y-1)) and $
   (size_hdf_x(n_size_hdf_x-1) eq size_hdf_z(n_size_hdf_z-1))) then begin

this_type = info.subset.data(x_index).src_types
this_type = this_type(0)
filldata_value_x = get_filldata_value(this_type, info.filldata)
if filldata_value_x gt info.filldata then filldata_value_x = info.filldata
max_value_x = get_max_value(this_type, info.filldata)
if max_value_x gt info.filldata then max_value_x = info.filldata

subscript = where(hdf_data_x lt filldata_value_x, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
   hdf_data_z = hdf_data_z(subscript)
endif else begin
	result=dialog_message('All the X field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse

this_type = info.subset.data(y_index).src_types
this_type = this_type(0)
filldata_value_y = get_filldata_value(this_type, info.filldata)
if filldata_value_y gt info.filldata then filldata_value_y = info.filldata
max_value_y = get_max_value(this_type, info.filldata)
if max_value_y gt info.filldata then max_value_y = info.filldata

subscript = where(hdf_data_y lt filldata_value_y, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
   hdf_data_z = hdf_data_z(subscript)
endif else begin
	result=dialog_message('All the Y field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse

this_type = info.subset.data(this_subset).src_types
this_type = this_type(0)
filldata_value_z = get_filldata_value(this_type, info.filldata)
if filldata_value_z gt info.filldata then filldata_value_z = info.filldata

subscript = where(hdf_data_z lt filldata_value_z, count)
if(count ne 0) then begin
   hdf_data_x = hdf_data_x(subscript)
   hdf_data_y = hdf_data_y(subscript)
   hdf_data_z = hdf_data_z(subscript)
endif else begin
	result=dialog_message('All the Z field data are fill data!',$
                    title='View HDF Warning!')
         return
endelse

if max_value_y gt max_value_x then max_value = max_value_y $
	else max_value = max_value_x

x_max = max(hdf_data_x, min=x_min)
y_max = max(hdf_data_y, min=y_min)
info.slide.x_end = x_max
info.slide.x_start = x_min
info.slide.y_end = y_max
info.slide.y_start = y_min

xyzname = ''
xyzname = info.field_name.x + ' : ' + info.field_name.y + ' : ' + $
          info.field_name.z
if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyzname, info

filename = info.subset.data(y_index).src_filename

dot=strpos(info.field_name.x,'[')
if dot ne -1 then xtitle=strmid(info.field_name.x,0,dot) $
	else xtitle = info.field_name.x
dot=strpos(info.field_name.y,'[')
if dot ne -1 then ytitle=strmid(info.field_name.y,0,dot) $
	else ytitle = info.field_name.y
dot=strpos(info.field_name.z,'[')
if dot ne -1 then ztitle=strmid(info.field_name.z,0,dot) $
	else ztitle = info.field_name.z

if (info.axis_state eq 3) or (info.axis_state eq 5) then begin
	z_max = info.range.z_end
	z_min = info.range.z_start
endif else begin
        z_max = max(hdf_data_z, min = z_min)
endelse
	z_max_temp = long(z_max + 0.99999)
	z_min_temp = long(z_min - 0.99999)
        z_max = float(z_max_temp)
	z_min = float(z_min_temp)

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title=ytitle + ' vs. ' + xtitle + '!Ccolored by '+ ztitle
	the_title=the_title + ' with Data Range: ' + data_range
endif else begin
	the_title=ytitle + ' vs. ' + xtitle + '!C!Ccolored by '+ ztitle
	the_title=the_title + ' with Data Range: ' + data_range
endelse

top_color = !d.n_colors - 2
if(!D.Name ne 'PS' and top_color gt info.top_color) then top_color = info.top_color

my_color=bytscl(hdf_data_z, max=z_max, min=z_min, top=top_color)

temp_name = info.subset.data(x_index).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then xtitle = xtitle + temp_name

temp_name = info.subset.data(y_index).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then ytitle = ytitle + temp_name

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.92]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.10, 0.98, 0.92]
endelse
 
if info.color_bar eq 1 then begin
	if (info.axis_state eq 2) or (info.axis_state eq 4) or $
	   (info.axis_state eq 5) then begin
		yrange1=yrange
		yrange1(0) = yrange1(0) - (yrange1(1) - yrange(0)) * 0.15
	endif else begin
		get_range, y_max, y_min, ymax, ymin
		ymin = ymin - (ymax - ymin)*0.15
		yrange1 = [ymin, ymax]
		ystyle = 3
	endelse
endif else yrange1 = yrange

get_ticklen, info.style.grid, xticklen, yticklen 

xtitle= '!C' + xtitle + '!C'
if !D.Name eq 'PS' then begin
	old_charsize = !X.CHARSIZE
	!X.CHARSIZE = 0.9
	!Y.CHARSIZE = 0.9	
endif

if info.style.xlog gt 0 then begin
    XRange = set_log_range(XRange, x_min, x_max)
endif

if info.style.ylog gt 0 then begin
    YRange1 = set_log_range(YRange1, y_min, y_max)
endif

plot,hdf_data_x, hdf_data_y, /NODATA, /YNOZERO, $
	FONT=info.char.font, $
	charsize=info.char.size, $
        xtitle=xtitle, $
        ytitle=ytitle, $
	title=the_title, $
        xticklen=xticklen, yticklen=yticklen, $
	subtitle="File: " + filename + "  Date:" + systime(0), $
        xrange=XRange, yrange=YRange1, xstyle=Xstyle, ystyle=Ystyle, $
	xlog=info.style.xlog, ylog=info.style.ylog

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

for i=0L,(n_elements(hdf_data_x)-1) do begin
        oplot,[hdf_data_x(i), hdf_data_x(i)],[hdf_data_y(i), hdf_data_y(i)], $
	MAX_VALUE = info.filldata, psym = plot_symbol, linestyle=info.style.linetype, $
	symsize = info.style.symbolsize, color=my_color(i)
endfor

if info.color_bar eq 1 then begin
   temp_name = info.subset.data(this_subset).src_unitname
   temp_name = temp_name(0)
   temp_length = strlen(temp_name)
   unitlabel = ''
   if (temp_length gt 0) then begin
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then unitlabel = strmid(temp_name,2,temp_length-2)
   endif
   x_location = !P.Position(0) + (!P.Position(2) - !P.Position(0))/2. - 0.22
   y_location = !y.window(0) + 0.08
   draw_color_bar, top_color, z_min, z_max, y_location, x_location, $
	info.char.size, info.char.font, unitlabel
endif

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif
 
!P.Position = [ 0.0 , 0.0 , 0.0 , 0.0]

endif else begin
         result=dialog_message('Number of date points for three subsets are not equal!',$
                    title='View HDF Warning!')
         return
endelse

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro do_curve_fit, print_flag, type_flag, info 

pro_name = 'do_curve_fit'
@getinfo

if info.subset.count lt 1 then begin
	 the_message = ['You need at least one subset of data', $
			'to do Curve Fit!']
         result=dialog_message(the_message, title='View HDF Warning!')
         return
endif

if print_flag eq 0 then begin
  info.graph_style = 'Curve Fit'
  if type_flag eq 0 then begin
	curve_fit_setup, info, 'Curve Fit', 1, 1, 1
  endif else begin
	curve_fit_setup, info, 'Curve Fit', 1, 1, 0
  endelse
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 

endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
get_data, y_index, x_index, z_index, info
x_index = x_index(0)
y_index = y_index(0)

if y_index eq -1 then begin
	result=dialog_message(info.field_name.y + ' not Found!', $
		title='View HDF Warning!')
	return
endif
	
this_subset = y_index
info.subset.selected = this_subset

if info.subset.data(y_index).src_type_flag eq 0 then begin
	handle_value, info.subset.data(y_index).src_data, hdf_data_y
	size_hdf_data = size(hdf_data_y)
	hdf_data_y = reform(hdf_data_y, n_elements(hdf_data_y))
endif else begin
	handle_value, info.subset.data(y_index).src_data, hdf_y_temp
	size_hdf_data = size(hdf_y_temp)
	hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
endelse
num_y = n_elements(hdf_data_y)

if x_index ne -1 then begin
  if info.subset.data(x_index).src_type_flag eq 0 then begin
	handle_value, info.subset.data(x_index).src_data, hdf_data_x
	hdf_data_x = reform(hdf_data_x, n_elements(hdf_data_x))
  endif else begin
	handle_value, info.subset.data(x_index).src_data, hdf_x_temp
	hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
  endelse
  num_x = n_elements(hdf_data_x)
endif else begin
  if info.field_name.x eq 'Time' then begin
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  		this_rank = info.subset.data(this_subset).src_rank
  		start_list = info.subset.data(this_subset).src_start(0:this_rank-1)
  		end_list = info.subset.data(this_subset).src_end(0:this_rank-1)
  		increment_list = info.subset.data(this_subset).src_increment(0:this_rank-1)
  		array_size = long((end_list-start_list)/float(increment_list) + 0.9)
  		hdf_data_x = array_type(6, array_size)
  		if (hdf_data_x(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for Time!',$
				title='View HDF Warning!')
			return
		endif
	endif else begin
		hdf_data_x = make_array(num_y, /DOUBLE)
	endelse
	get_seconds, info, this_subset, hdf_data_x
	num_x = n_elements(hdf_data_x)
	hdf_data_x = reform(hdf_data_x, num_x)
	subscript = where(hdf_data_x lt 86400.0, count)
	if(count eq 0) then begin
		result=dialog_message('All the Time field data are fill data!',$
			title='View HDF Warning!')
		return
	endif
	case info.time_type.new of
		0: hdf_data_x(subscript) = hdf_data_x(subscript)/3600.0
		1: hdf_data_x(subscript) = hdf_data_x(subscript)/60.0
		else: 
	endcase
  endif else begin
	num_x = num_y
	hdf_data_x = dindgen(num_x) + 1.0
  endelse
endelse

if(num_x ne num_y) then begin
         result=dialog_message('Number of data points for two subsets are not equal!',$
                    title='View HDF Warning!')
         return
endif

if x_index ne -1 then begin
	this_type = info.subset.data(x_index).src_types
	this_type = this_type(0)
	filldata_value_x = get_filldata_value(this_type, info.filldata)
	if filldata_value_x gt info.filldata then filldata_value_x = info.filldata
	max_value_x = get_max_value(this_type, info.filldata)
	if max_value_x gt info.filldata then max_value_x = info.filldata
endif else begin
	filldata_value_x = info.filldata
	max_value_x = info.filldata
endelse

this_type = info.subset.data(y_index).src_types
this_type = this_type(0)
filldata_value_y = get_filldata_value(this_type, info.filldata)
if filldata_value_y gt info.filldata then filldata_value_y = info.filldata
max_value_y = get_max_value(this_type, info.filldata)
if max_value_y gt info.filldata then max_value_y = info.filldata

max_value = max_value_y

if info.filldata lt 3.0E+37 then $
	filldata = info.filldata * 10 $
else filldata = 3.0E+38

subscript = where(hdf_data_x lt filldata_value_x and hdf_data_y lt filldata_value_y, count)
if (count eq 0) then begin
	result=dialog_message('Either X field or Y field data are fill data for whole array!',$
                    title='View HDF Warning!')
         return
endif

hdf_data_z = make_array(num_x, /DOUBLE, VALUE=filldata)
hdf_error = make_array(num_x, /DOUBLE, VALUE=filldata)
y_temp = double(hdf_data_y(subscript))
x_temp = double(hdf_data_x(subscript))

correl = correlate(x_temp, y_temp)

A = [1.5, 1.5, 1.5] ; initial guess for comfit
case type_flag of
	0: begin    ; least-square polynomial fit: y = a0 + a1*x + a2*x^2 + ...
		ndegree = fix(info.field_name.z)
		if ndegree eq 0 then ndegree = 1
		coeff = poly_fit(x_temp, y_temp, ndegree, yfit, /double)
		if coeff(1) lt 0.0 then begin
			equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + ' - ' + $
				strtrim(string(abs(coeff(1))),2) + ' X'
		endif else begin
			equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + ' + ' + $
				strtrim(string(coeff(1)),2) + ' X'
		endelse
		out_equat_string = equat_string
		for i = 2 , ndegree do begin
		   if coeff(i) lt 0.0 then begin
			equat_string = equat_string + ' - ' + strtrim(string(abs(coeff(i))),2) + $
				' X!E'+strtrim(string(i), 2)+'!N'
			out_equat_string = out_equat_string + ' - ' + strtrim(string(abs(coeff(i))),2) + $
				' X^'+strtrim(string(i), 2)
		   endif else begin
			equat_string = equat_string + ' + ' + strtrim(string(coeff(i)),2) + $
				' X!E'+strtrim(string(i), 2)+'!N'
			out_equat_string = out_equat_string + ' + ' + strtrim(string(coeff(i)),2) + $
				' X^'+strtrim(string(i), 2)
		   endelse
		endfor
	end
	1: begin    ; Exponential : y = a0*a1^x + a2
		coeff = comfit(x_temp, y_temp, a, /EXPONENTIAL, yfit=yfit)
		if coeff(2) lt 0.0 then begin
		    equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*' + $
			strtrim(string(coeff(1)),2) + '!EX!N - ' + strtrim(string(abs(coeff(2))),2)
		    out_equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*' + $
			strtrim(string(coeff(1)),2) + '^X - ' + strtrim(string(abs(coeff(2))),2)
		endif else begin
		    equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*' + $
			strtrim(string(coeff(1)),2) + '!EX!N + ' + strtrim(string(coeff(2)),2)
		    out_equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*' + $
			strtrim(string(coeff(1)),2) + '^X + ' + strtrim(string(coeff(2)),2)
		endelse
	end
	2: begin    ; Geometric : y = a0*x^a1 + a2
		coeff = comfit(x_temp, y_temp, a, /GEOMETRIC, yfit=yfit)
		if coeff(2) lt 0.0 then begin
		    equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*X!E' + $
			strtrim(string(coeff(1)),2) + '!N - ' + strtrim(string(abs(coeff(2))),2)
		    out_equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*X^' + $
			strtrim(string(coeff(1)),2) + ' - ' + strtrim(string(abs(coeff(2))),2)
		endif else begin
		    equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*X!E' + $
			strtrim(string(coeff(1)),2) + '!N + ' + strtrim(string(coeff(2)),2)
		    out_equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + '*X^' + $
			strtrim(string(coeff(1)),2) + ' + ' + strtrim(string(coeff(2)),2)
		endelse
	end
	else: begin    ; Logsquare : y = a0 + a1*log(x) + a2*log(x)^2
		coeff = comfit(x_temp, y_temp, a, /LOGSQUARE, yfit=yfit)
		if coeff(1) lt 0.0 then begin
		    equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + ' - ' + $
			strtrim(string(abs(coeff(1))),2) + '*alog(X)'
		    out_equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + ' - ' + $
			strtrim(string(abs(coeff(1))),2) + '*alog(X)'
		endif else begin
		    equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + ' + ' + $
			strtrim(string(coeff(1)),2) + '*alog(X)'
		    out_equat_string = 'Y = ' + strtrim(string(coeff(0)),2) + ' + ' + $
			strtrim(string(coeff(1)),2) + '*alog(X)'
		endelse
		if coeff(2) lt 0.0 then begin
		    equat_string = equat_string + ' - ' + $
			strtrim(string(abs(coeff(2))),2) + '*log(X)!E2!N'
		    out_equat_string = out_equat_string + ' - ' + $
			strtrim(string(abs(coeff(2))),2) + '*alog(X)^2'
		endif else begin
		    equat_string = equat_string + ' + ' + $
			strtrim(string(coeff(2)),2) + '*log(X)!E2!N'
		    out_equat_string = out_equat_string + ' + ' + $
			strtrim(string(coeff(2)),2) + '*alog(X)^2'
		endelse
	end
endcase

hdf_data_z(subscript) = yfit
hdf_error(subscript) = y_temp - yfit
subscript = where(hdf_data_z ge filldata, count)
if (count eq num_x) then begin
	result=dialog_message('All the computed result are fill data!',$
                    title='View HDF Warning!')
         return
endif
if count ne 0 then hdf_data_z(subscript) = filldata

subscript = where(hdf_data_z lt filldata, count)
if count ne 0 then begin
	hdf_data_z_temp = hdf_data_z(subscript)
	z_max = max(hdf_data_z_temp, min=z_min)
endif else begin
	result=dialog_message('All the result are fill data!',$
                    title='View HDF Warning!')
         return
endelse

subscript = where(hdf_error lt filldata, err_count)
if err_count ne 0 then begin
	hdf_error_temp = hdf_error(subscript)
	e_max = max(hdf_error_temp, min=e_min)
endif else begin
	result=dialog_message('All the error are fill data!',$
                    title='View HDF Warning!')
endelse

subscript = where(hdf_data_y lt filldata_value_y, count)
if count ne 0 then begin
	hdf_data_y_temp = hdf_data_y(subscript)
	y_max = max(hdf_data_y_temp, min=y_min)
endif else begin
	result=dialog_message('All the Y variables are fill data!',$
                    title='View HDF Warning!')
         return
endelse

subscript = where(hdf_data_x lt filldata_value_x, count)
if count ne 0 then begin
	hdf_data_x_temp = hdf_data_x(subscript)
	x_max = max(hdf_data_x_temp, min=x_min)
endif else begin
	result=dialog_message('All the X variables are fill data!',$
                    title='View HDF Warning!')
         return
endelse

info.slide.x_end = x_max
info.slide.x_start = x_min
max_range_value = [y_max, z_max]
min_range_value = [y_min, z_min]
info.slide.y_end = max(max_range_value)
info.slide.y_start = min(min_range_value)

filename = info.subset.data(this_subset).src_filename

dot=strpos(info.field_name.x,'[')
if dot ne -1 then xtitle=strmid(info.field_name.x,0,dot) $
	else xtitle = info.field_name.x

if xtitle eq 'Time' then begin
	case info.time_type.new of
		0: xtitle = xtitle + ', hour'
		1: xtitle = xtitle + ', minute'
		else: xtitle = xtitle + ', second'
	endcase
endif

dot=strpos(info.field_name.y,'[')
if dot ne -1 then ytitle=strmid(info.field_name.y,0,dot) $
	else ytitle = info.field_name.y

xyname = 'Curve fit for '+ ytitle+ ' wrt ' + xtitle

if (print_flag eq 0) then begin
	temp_name = 'Curve fit for ' + ytitle + ' wrt ' + xtitle
	get_variable_name, temp_name, info
	widget_control, get_uvalue=info, info.base
	if info.variablename eq 'None' then return
	the_rank = info.subset.data(this_subset).src_rank
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
	   case size_hdf_data(0) of
		2: begin
			hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2))
			hdf_data_error = reform(hdf_error, size_hdf_data(1), size_hdf_data(2))
		   end
		3: begin
			hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2), $
						 size_hdf_data(3))
			hdf_data_error = reform(hdf_error, size_hdf_data(1), size_hdf_data(2), $
						 size_hdf_data(3))
		   end
		else: begin
			hdf_data = hdf_data_z
			hdf_data_error = hdf_error
		   end
	   endcase
	endif else begin
  		the_order = info.subset.data(this_subset).src_order(0)
		blank = array_type(6, the_order)
		single_record=create_struct( 'components' + '0', blank) 
		hdf_data=replicate(single_record, size_hdf_data(1))
		hdf_data_error = replicate(single_record, size_hdf_data(1))
		jj=0L
		for i=0L, size_hdf_data(1)-1 do begin
			for j=0L, the_order-1 do begin
				hdf_data(i).components0(j) = hdf_data_z(jj)
				hdf_data_error(i).components0(j) = hdf_error(jj)
				jj = jj + 1
			endfor
		endfor
	endelse
	set_statistics_subset, info.variablename, this_subset, the_rank, info, hdf_data
	temp_name = 'Error of Curve fit for ' + ytitle + ' wrt ' + xtitle
	set_statistics_subset, temp_name, this_subset, the_rank, info, hdf_data_error

	the_message = [ 'Do you want to write the coefficient to a file?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'Yes' then begin
		count = check_directory(info.export_path, info.home_path)
		if count eq 0 then begin
			CD, '.', CURRENT=pwd
			info.export_path = pwd
		endif
		export_name=dialog_pickfile(filter='*.dat', path=info.export_path, $
			file=info.export_file, get_path=export_path,/write)
		if export_name ne "" then begin
			export_result=STRPOS(export_name, export_path)
			if export_result eq -1 then export_name=export_path+export_name
			print,"Filename=", export_name
			info.export_path = export_path
			default_file = ''
			default_file = get_default_file(export_name)
			if default_file ne 'None' then info.export_file = default_file
			widget_control, /hourglass
			widget_control, info.widgets.current_file, get_value=this_name
			get_lun, unit
			openw, unit, export_name
			printf, unit, format='("Source Data Filename: ",A)',this_name
			data_name = info.subset.data(info.subset.selected).subset_name
			data_name = data_name(0)
			unit_name = info.subset.data(info.subset.selected).src_unitname
			unit_name = unit_name(0)
			temp_length = strlen(unit_name)
			unitlabel = ''
			if (temp_length gt 0) then $
				unitlabel = strmid(unit_name,2,temp_length-2)
			printf,unit, format='("Data Name:  ",A)', data_name
			printf,unit, format='("Unit:  ",A)', unitlabel
			data_range = ''
			data_range = get_data_range(info.subset.selected,info)
			printf,unit, format='("Data Range:  ",A)',data_range
			if info.subset.data(info.subset.selected).src_crit_flag eq 1 then begin
				this_subset = info.subset.selected
				crit_string = ''
				crit_string = get_crit_string(this_subset, info)
				temp_name = str_sep(crit_string, '!C')
				num_temp = n_elements(temp_name)
				for i = 0, num_temp-1 do begin
				   temp_length = strlen(temp_name(i))
				   dot=strpos(temp_name(i),';')
				   if( dot ne -1) then begin
					crit1 = strtrim(strmid(temp_name(i),0,dot),2)
					crit2 = strtrim(strmid(temp_name(i),dot+1,temp_length-1),2)
					if i eq 0 then printf,unit,crit1 $
						else printf,unit,'           '+crit1
					printf,unit,'           '+crit2
				   endif else begin
					crit1 = strtrim(temp_name(i),2)
					if i eq 0 then printf,unit,crit1 $
						else printf,unit,'           '+crit1
				   endelse
				endfor
				printf,unit
			endif
			case info.curvefit_type of
				0: temp_string = 'The curve fit equation with polynomial is:'
				1: temp_string = 'The curve fit equation with Exponential is:' 
				2: temp_string = 'The curve fit equation with Geometric is:'
				else: temp_string = 'The curve fit equation with Logsquare is:'
			endcase
			printf,unit,temp_string
			printf,unit
			printf,unit,'    '+out_equat_string
			printf,unit
			if x_index ne -1 then begin
				temp_name = info.subset.data(x_index).src_unitname
				temp_name = temp_name(0)
				dot=strpos(temp_name,'N/A')
					if( dot eq -1) then xvalue = xtitle + temp_name
			endif else xvalue = xtitle

			temp_name = info.subset.data(y_index).src_unitname
			temp_name = temp_name(0)
			dot=strpos(temp_name,'N/A')
			if( dot eq -1) then yvalue = ytitle + temp_name

			printf,unit,'    '+'Y = '+yvalue
			printf,unit,'    '+'X = '+xvalue
			printf,unit
			cor_string = 'Linear Pearson correlation coefficient = '
			cor_string = cor_string + strtrim(string(correl),2)
			printf,unit,cor_string
			close,unit
			free_lun, unit
			info.output_path = info.export_path
			CD, info.output_path, CURRENT=old_dir
			output_name_list=findfile(info.filter, count=count)
			if count eq 0 then output_name_list = [ 'None' ]
			widget_control, info.widgets.output, set_value=output_name_list
			widget_control, info.widgets.outputdir, set_value=info.output_path
			CD, old_dir
		endif
	endif

	the_message = [ 'Do you want to plot the curve fit result?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'No' then return

	info.plot_error = 1
	the_message = [ 'Do you want to plot the error?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'No' then info.plot_error = 0
	widget_control, set_uvalue=info, info.base
endif

widget_control, /hourglass
widget_control, get_uvalue=info, info.base
if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
endif 

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title='Curve Fit for ' + ytitle + ' wrt ' + xtitle + '!C Data Range: ' + data_range
endif else begin
	the_title='Curve Fit for ' + ytitle + ' wrt ' + xtitle + '!C!C Data Range: ' + data_range
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
endelse 

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

if x_index ne -1 then begin
	temp_name = info.subset.data(x_index).src_unitname
	temp_name = temp_name(0)
	dot=strpos(temp_name,'N/A')
	if( dot eq -1) then xtitle = xtitle + temp_name
endif

temp_name = info.subset.data(y_index).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then ytitle = ytitle + temp_name

get_ticklen, info.style.grid, xticklen, yticklen 

if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , xyname, info

xtitle= '!C' + xtitle + '!C'
if !D.Name eq 'PS' then begin
	old_charsize = !X.CHARSIZE
	!X.CHARSIZE = 0.9
	!Y.CHARSIZE = 0.9	
endif

if info.axis_state ne 2 and info.axis_state ne 4 then begin
	if y_max gt z_max then temp_max = y_max $
		else temp_max = z_max
	if y_min lt z_min then temp_min = y_min $
		else temp_min = z_min
	temp_max = temp_max + (temp_max - temp_min)*0.25
endif else begin
        temp_max = YRange(1)
        temp_min = YRange(0)
        temp_max = temp_max + (temp_max - temp_min)*0.25
endelse

subscript = where(hdf_data_x lt filldata_value_x, count)
if count ne 0 then begin
        hdf_data_x = hdf_data_x(subscript)
	hdf_data_y = hdf_data_y(subscript)
	hdf_data_z = hdf_data_z(subscript)
	hdf_error = hdf_error(subscript)
endif

if info.plot_error eq 1 then begin
	get_range, e_max, e_min, err_max, err_min
	if !P.Position(2) gt 0.0 then !P.Position(2) = !P.Position(2) - 0.03
	!X.MARGIN = [10, 10]
	ystyle = ystyle + 8
	err_max = err_max + (err_max - err_min)*0.25
endif
YRange = [temp_min, temp_max]

if info.style.xlog gt 0 then begin
	check_max = max(hdf_data_x, min=check_min)
	XRange = set_log_range(XRange, check_min, check_max)
endif

if info.style.ylog gt 0 then begin
	YRange = set_log_range(YRange, YRange(0), YRange(1))
endif

plot,hdf_data_x, hdf_data_y, $
       	MAX_VALUE = max_value, /YNOZERO, /NODATA, FONT=info.char.font, $
	charsize=info.char.size, xtitle=xtitle, ytitle=ytitle, $
	title=the_title, xticklen=xticklen, yticklen=yticklen, $
	subtitle="File: " + filename + "  Date:" + systime(0), $
       	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle, $
	xlog=info.style.xlog, ylog=info.style.ylog

oplot, hdf_data_x, hdf_data_y,MAX_VALUE = max_value, $
	psym = plot_symbol, linestyle=info.style.linetype, $
	symsize = info.style.symbolsize

legend_title = ytitle
y_leg = !Y.WINDOW(1) - 0.03
y_leg_t = y_leg - 0.005
x_leg_s = !X.WINDOW(0) + 0.03
x_leg_e = x_leg_s + 0.05
leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
	psym = plot_symbol, linestyle=info.style.linetype, $
	symsize = info.style.symbolsize
xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
	charsize=info.char.size

linetype = info.style.linetype + 1
if linetype gt 5 then linetype = 0
if info.style.symbol gt 0 then plot_symbol = info.style.symbol + 1
if plot_symbol gt 7 then plot_symbol = 1
if info.style.symbolline eq 1 then plot_symbol = - plot_symbol
oplot, hdf_data_x, hdf_data_z,MAX_VALUE = info.filldata, $
	psym = plot_symbol, linestyle=linetype, $
	symsize = info.style.symbolsize

legend_title = 'Curve Fit of ' + ytitle
y_leg = !Y.WINDOW(1) - 0.055
y_leg_t = y_leg - 0.005
x_leg_s = !X.WINDOW(0) + 0.03
x_leg_e = x_leg_s + 0.05
leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
	psym = plot_symbol, linestyle=linetype, symsize = info.style.symbolsize
xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
	charsize=info.char.size

if info.plot_error eq 1 then begin
	linetype = linetype + 1
	if linetype gt 5 then linetype = 0
	if info.style.symbol gt 0 then plot_symbol = plot_symbol + 1
	if plot_symbol gt 7 then plot_symbol = 1
	if info.style.symbolline eq 1 then plot_symbol = - plot_symbol

	legend_title = 'Error'
	y_leg = !Y.WINDOW(1) - 0.080
	y_leg_t = y_leg - 0.005
	x_leg_s = !X.WINDOW(0) + 0.03
	x_leg_e = x_leg_s + 0.05
	leg_start = convert_coord(x_leg_s, y_leg, /NORMAL, /TO_DATA)
	leg_end   = convert_coord(x_leg_e, y_leg, /NORMAL, /TO_DATA)
	oplot, [leg_start(0), leg_end(0)], [leg_start(1), leg_end(1)], $
		psym = plot_symbol, linestyle=linetype, symsize = info.style.symbolsize
	xyouts, x_leg_e+0.01, y_leg_t, legend_title, /NORMAL, font=info.char.font, $
		charsize=info.char.size

	if !Y.TYPE eq 1 then !Y.TYPE = 0
	Axis, YAXIS=1, ytitle = 'Error', YRANGE=[err_min, err_max], $
		FONT=info.char.font, charsize=info.char.size, ystyle=2, $
		ticklen=0.01, /SAVE

	oplot, hdf_data_x, hdf_error,MAX_VALUE = info.filldata, $
		psym = plot_symbol, linestyle=linetype, $
		symsize = info.style.symbolsize
endif

legend_title = '(Linear Pearson correlation coefficient = ' + $
	strtrim(string(correl),2)+')'
y_leg = !Y.WINDOW(1) - 0.085
x_leg = !X.WINDOW(0) + 0.15
xyouts, x_leg, y_leg, legend_title, /NORMAL, font=info.char.font, $
	charsize=info.char.size

y_leg = !Y.WINDOW(1) - 0.125
x_leg = !X.WINDOW(0) + 0.05
charsize = 1.5 * info.char.size
xyouts, x_leg, y_leg, equat_string, /NORMAL, font=info.char.font, $
	charsize=charsize

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif

!P.Position = [0.0, 0.0, 0.0, 0.0]

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro curve_fit_setup, info, value, xflag, yflag, zflag

pro_name = 'curve_fit_setup'
@getinfo

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
case info.curvefit_type of
        0: base_title = "Select Polynomial Curve Fit Fields"
        1: base_title = "Select Exponential Curve Fit Fields"
        2: base_title = "Select Geometric Curve Fit Fields"
        else: base_title = "Select Logsquare Curve Fit Fields"
endcase

base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE=base_title, uvalue=info, XOFFSET=xoffset)

case info.curvefit_type of
	0: title = "Y = a0 + a1*X + a2*X^2 + ..."
	1: title = "Y = a0*a1^X + a2"
	2: title = "Y = a0*X^a1 + a2"
	else: title = "Y = a0 + a1*log(X) + a2*log(X)^2"
endcase

curve_text=widget_label(base, $ FONT=info.font, /align_center, $
	value=title)

x_group=widget_base(base, row=1,map=1)
y_group=widget_base(base, row=1, map=1)
z_group=widget_base(base, row=1, map=1)

create_curve_fields, x_field, y_field, z_field, x_group, $
	y_group, z_group, xflag, yflag, zflag, info

x_list = [info.name_list_subset, 'Time', 'Sample']
get_curve_parameter_names, x_field, y_field, xflag, yflag, x_list, $
	info.name_list_subset

make_curve_buttons, x_field, y_field, z_field, x_group, y_group, z_group,$
        base, xflag, yflag, zflag

widget_control, set_uvalue=info, base  
widget_control,/realize, base

XMANAGER, 'set_curvefields', base

END

;--------------------------------------------------------------------------------
pro curve_doneCB, event

pro_name = 'curve_doneCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

if(widget_info(info.widgets.zfield, /VALID_ID)) then begin
	widget_control, info.widgets.zfield, get_value=zvalue
	zvalue = zvalue(0)
	info.field_name.z = zvalue
endif

widget_control, event.top, /destroy

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro cancel_criterion, event

pro_name = 'cancel_criterion'
@getinfo

widget_control, get_uvalue=info, event.id
widget_control, get_uvalue=info, info.base

widget_control, event.top, /destroy

info.criterion.flag = 0
WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro doneCB, event

pro_name = 'doneCB'
@getinfo

widget_control, event.top, /destroy

end

;------------------------------------------------------------------
;       donepick
;------------------------------------------------------------------
pro donepick,event
 
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=top_base, event.id
top_base = long(top_base)
widget_control, event.top, /destroy
if(widget_info(top_base, /VALID_ID)) then $
	widget_control, top_base, /destroy
widget_control, set_uvalue=info, info.base
 
end
 
;--------------------------------------------------------------------------------
function error_check_pickfile, file

pro_name = 'error_check_pickfile'
@getinfoa

result=''

if file eq "" then result=dialog_message('You must choose a filename!',$
                        title='View HDF Warning!')

return, result

end

;--------------------------------------------------------------------------------
pro edit_color_doneCB, event

pro_name = 'edit_color_doneCB'
@getinfo

widget_control, event.top, get_uvalue=current_id
widget_control, event.top, /destroy

if current_id ne -1 then wset, current_id

end

;--------------------------------------------------------------------------------
pro export_list, info, export_type, print_flag

pro_name = 'export_list'
@getinfo

if info.name_list_subset(0) eq "None" then begin
         result=dialog_message('No data read in Subset list yet!',$
                    title='View HDF Warning!')
         return
end

count = check_directory(info.list_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.list_path = pwd
endif
export_name = dialog_pickfile(filter='*.dat', path=info.list_path, $
			file=info.export_file, get_path=export_path, /write)

if export_name eq "" then return

export_result=STRPOS(export_name, export_path)

if export_result eq -1 then export_name=export_path+export_name
print,"Filename=", export_name

widget_control, /hourglass

pick_export_variables, info

widget_control, get_uvalue=info, info.base

info.list_path = export_path
default_file = ''
default_file = get_default_file(export_name)
if default_file ne 'None' then info.export_file = default_file

widget_control, /hourglass


subscripts = where(info.out.pick eq 1, numout)

print, 'number of variables picked = ', numout

if (numout eq 0) then begin
  result=dialog_message('No data selected to export!',$
                    title='View HDF Warning!')
  return
end

get_lun, unit
openw, unit, export_name

check_sds=where(info.subset.data(subscripts).src_type_flag eq 0, count)

case count of
   numout: export_sds_list, info, export_type, unit, print_flag
   0: export_vdata_list, info, export_type, unit, print_flag
   else : begin
          result=dialog_message('Not all the exported data are SDS or Vdata!', $
                 title='View HDF Warning!')
          close, unit
	  free_lun, unit
          return
   end
 endcase

close,unit
free_lun, unit

info.output_path = info.list_path
CD, info.output_path, CURRENT=old_dir
output_name_list=findfile(info.filter, count=count)
if count eq 0 then output_name_list = [ 'None' ]
 
widget_control, info.widgets.output, set_value=output_name_list
widget_control, info.widgets.outputdir, set_value=info.output_path
 
CD, old_dir
 
result=dialog_message('Exporting List Completed!',$
                title='Notice!')

end

;--------------------------------------------------------------------------------
pro export_sds, info , unit, print_flag

pro_name = 'export_sds'
@getinfo

data_name = info.subset.data(info.subset.selected).subset_name
data_name = data_name(0)
unit_name = info.subset.data(info.subset.selected).src_unitname
unit_name = unit_name(0)
temp_length = strlen(unit_name)
unitlabel = ''
if (temp_length gt 0) then $
	unitlabel = strmid(unit_name,2,temp_length-2)

printf,unit, format='("SDS Name:  ",A)', data_name
printf,unit, format='("Unit:  ",A)', unitlabel
data_range = ''
data_range = get_data_range(info.subset.selected,info)
printf,unit, format='("Data Range:  ",A)',data_range

if info.subset.data(info.subset.selected).src_crit_flag eq 1 then begin
	this_subset = info.subset.selected
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	for i = 0, num_temp-1 do begin
		temp_length = strlen(temp_name(i))
		dot=strpos(temp_name(i),';')
		if( dot ne -1) then begin
			crit1 = strtrim(strmid(temp_name(i),0,dot),2)
			crit2 = strtrim(strmid(temp_name(i),dot+1,temp_length-1),2)
			if i eq 0 then printf,unit,crit1 $
				else printf,unit,'           '+crit1
				printf,unit,'           '+crit2
		endif else begin
			crit1 = strtrim(temp_name(i),2)
			if i eq 0 then printf,unit,crit1 $
				else printf,unit,'           '+crit1
		endelse
	endfor
	printf,unit
endif

handle_value, info.subset.data(info.subset.selected).src_data, hdf_data

; NOTE: This currently assumes a 2D SDS.
;       Could check the rank.
;       This also assumes float not integer data
;
; The data array returned from the C code does not
; have the same indices as what the user put in.

if print_flag eq 1 then begin
    this_type = info.subset.data(info.subset.selected).src_types
    this_type = this_type(0)
    filldata_value = get_filldata_value(this_type, info.filldata)
    subscript = where(hdf_data lt filldata_value, count)
    if count ne 0 then hdf_data = hdf_data(subscript) $
	else hdf_data = 0
endif
temp='('+info.precision+')'
temp=temp(0)
printf, unit, format=temp, hdf_data

;size_hdf = size(hdf_data)

;case size_hdf(0) of
;1: begin
;	col_start=0L
;	col_end = size_hdf(1)
;
;	temp='('+info.precision+')'
;	temp=temp(0)
;
;	for j=col_start,(col_end-1) do begin
;	    printf, unit, format=temp, hdf_data(j)
;        endfor
;   end
;2: begin
;	col_start=0L
;	col_end = size_hdf(2)
;	row_start=0L
;	row_end = size_hdf(1)
;
;	temp='('+info.precision+')'
;	temp=temp(0)
;
;	for j=col_start,(col_end-1) do begin
;		for i=row_start,(row_end-1) do begin
;	            printf, unit, format=temp, hdf_data(i,j)
;		endfor
;	endfor
;    end
;3: begin
;	k_start=0L
;	k_end = size_hdf(3)
;	col_start=0L
;	col_end = size_hdf(2)
;	row_start=0L
;	row_end = size_hdf(1)
;
;	temp='('+info.precision+')'
;	temp=temp(0)
;
;	for k=k_start, (k_end-1) do begin
;		for j=col_start,(col_end-1) do begin
;			for i=row_start,(row_end-1) do begin
;			    printf, unit, format=temp, hdf_data(i,j)
;			endfor
;		endfor
;	endfor
;    end
;else: begin
;	result=dialog_message('Only support SDS rank 1 to 3!',$
;		title='View HDF Warning!')
;	return
;    end
;endcase

end

;--------------------------------------------------------------------------------
pro export_sds_list, info, export_type, unit, print_flag

pro_name = 'export_sds_list'
@getinfo

subscripts = where(info.out.pick eq 1, numout)

for i = 1 , numout-1 do begin

	if(info.subset.data(subscripts(i)).src_rank ne info.subset.data(subscripts(i-1)).src_rank) $
        then begin
                result=dialog_message('Not all SDS data have same rank!',$
                        title='View HDF Warning!')
                return
        endif

        rank = info.subset.data(subscripts(i)).src_rank

        for j = 0 , rank do begin
        	if(info.subset.data(subscripts(i)).src_start(j) ne $
		info.subset.data(subscripts(i-1)).src_start(j)) then begin

                	result=dialog_message('Not all SDS data have same start!',$
                        title='View HDF Warning!')
                	return
          	endif

          	if(info.subset.data(subscripts(i)).src_end(j) ne $
		info.subset.data(subscripts(i-1)).src_end(j)) then begin
                	result=dialog_message('Not all SDS data have same end!',$
                        title='View HDF Warning!')
                	return
          	endif

          	if(info.subset.data(subscripts(i)).src_increment(j) ne $
		info.subset.data(subscripts(i-1)).src_increment(j)) then begin
                	result=dialog_message('Not all SDS data have same increment!',$
                        title='View HDF Warning!')
                	return
          	endif
        endfor

endfor

  handle_value,info.subset.data(subscripts(0)).src_data,hdf_data
        check_size = size(hdf_data)

  if export_type eq 0 then begin
        case check_size(0) of
           1: out_name = [ "Record Number" ]
           2: out_name = [ "Record Number" , "Sample Number" ]
           3: out_name = [ "Record Number" , "i" , "j" ]
           else : begin
                  result=dialog_message('Only support SDS rank 1 to 3 for Export List!',$
                        title='View HDF Warning!')
                  return
                  end
        endcase
	unit_name = out_name
  endif else begin
	get_time_flag = 1
	if info.rangetype.get_time eq 1 then begin
	  this_rank = info.subset.data(subscripts(0)).src_rank
	  start_list = lonarr(this_rank)
	  end_list = lonarr(this_rank)
	  increment_list = lonarr(this_rank)
	  array_size = lonarr(this_rank)
	  start_list = info.subset.data(subscripts(0)).src_start(0:this_rank-1)
	  end_list = info.subset.data(subscripts(0)).src_end(0:this_rank-1)
	  increment_list = info.subset.data(subscripts(0)).src_increment(0:this_rank-1)
	  array_size = long((end_list-start_list)/float(increment_list) + 0.9)

	  hdf_data_x = array_type(6, array_size)
	  if (hdf_data_x(0) eq -1) then begin
		result=dialog_message('Unable to allocate memory for Time array!',$
		title='View HDF Warning!')
		get_time_flag = 0
		out_name = ["N"]
	  endif else begin
		get_seconds, info, subscripts(0), hdf_data_x
		temp_error_data = get_error_data(hdf_data_x)
		if temp_error_data lt -9999999.0 then begin
			get_time_flag = 0
			out_name = [ "N" ]
		endif else begin
			out_name = [ "Time" ]
		endelse
	  endelse
	endif else begin
	  get_time_flag = 0
	  out_name = [ "N" ]
	endelse
  endelse

        for i = 0 , numout-1 do begin
          temp_name = info.subset.data(subscripts(i)).subset_name
          end_loc = strpos(temp_name, '[')
          ;if end_loc eq -1 then begin
                ;result=dialog_message('The name format of export SDS data:' + temp_name + ' is wrong!',$
                ;        title='View HDF Warning!')
                ;return
          ;endif
	  if export_type eq 0 then begin
	    temp_unit_name = info.subset.data(subscripts(i)).src_unitname
	    temp_unit_name = temp_unit_name(0)
	    temp_length = strlen(temp_unit_name)
            unitlabel = ''
            if (temp_length gt 0) then $
            	unitlabel = strmid(temp_unit_name,2,temp_length-2)

	    if end_loc ne -1 then temp_name = strmid(temp_name, 0, end_loc)
	    ;out_name = [ out_name , strmid(temp_name, 0, end_loc) ] 
	    out_name = [ out_name , temp_name ] 
	    unit_name = [ unit_name, strcompress(unitlabel) ]
	  endif else begin
	    if end_loc ne -1 then $
		temp_name = strcompress(strmid(temp_name, 0, end_loc), /REMOVE_ALL)
	    ;out_name = [ out_name, strcompress(strmid(temp_name, 0, end_loc), /REMOVE_ALL) ]
            out_name = [ out_name , temp_name ]
	  endelse
        endfor


        widget_control,info.widgets.current_file,get_value=this_name
	data_range = ''
	data_range = get_data_range(subscripts(0),info)

	;--------------------------
        ; Write file header
        ;--------------------------
	if export_type eq 0 then begin
          printf,unit,format='("Source Data Filename: ",A)',this_name
	  printf,unit,format='("Data Range: ",A)',data_range

          numvar = numout + check_size(0)
          out_format = '(' + strcompress(string(numvar), /REMOVE_ALL) + '(A, :, "	"))'
          printf,unit, format=out_format, out_name
          printf,unit, format=out_format, unit_name
	endif else begin
	  printf,unit,format='("#Source Data Filename: ",A)',this_name
	  printf,unit,format='("#Data Range: ",A)',data_range
	  numvar = numout + 1
          out_format = '( "Variables = ", ' + strcompress(string(numvar), /REMOVE_ALL) + '(A, :, " , "))'
          printf,unit, format=out_format, out_name
	endelse

        case check_size(0) of
          1: total_number = check_size(3) * numout
          2: total_number = check_size(4) * numout
          3: total_number = check_size(5) * numout
          else : begin
                  result=dialog_message('Only support SDS rank 1 to 3 for Export List!',$
                        title='View HDF Warning!')
                  return
                  end
        endcase

        hdf_data = dblarr(total_number)

        case check_size(0) of
           1: hdf_data = reform(hdf_data, check_size(1), numout)
           2: hdf_data = reform(hdf_data, check_size(1), check_size(2), numout)
           3: hdf_data = reform(hdf_data, check_size(1), check_size(2), check_size(3), numout)
        else: begin
                result=dialog_message('Do not support SDS rank greater than 3 for EXport List Yet!',$
                        title='View HDF Warning!')
                return
                end
        endcase


  for i = 0, numout-1 do begin
           handle_value,info.subset.data(subscripts(i)).src_data,temp_data
          case check_size(0) of
             1: hdf_data(*,i) = double(temp_data)
             2: hdf_data(*,*,i) = double(temp_data)
             3: hdf_data(*,*,*,i) = double(temp_data)
          else: begin
                  result=dialog_message('Do not support SDS rank greater than 3 for Export data Yet!',$
                        title='View HDF Warning!')
                  return
                  end
          endcase
        endfor

        precision = info.precision(0)
	if export_type eq 0 then begin
          case check_size(0) of
             1: temp1 = '(I6, "	", '
             2: temp1 = '(I6, "	", I4, "	", '
             3: temp1 = '(I6, "	", I4, "	", I4, "	", '
          else: begin
                result=dialog_message('Do not support SDS rank greater than 3 for Export data Yet!',$
                        title='View HDF Warning!')
                return
                end
          endcase
	endif else begin
	  if get_time_flag eq 1 then temp1 = '(' + precision + ',"	", ' $
		else temp1 = '(I10,"	",'
	endelse

        temp='('+precision+', :, "	"))'
        out_format = temp1 + strcompress(string(numout), /REMOVE_ALL) + temp

	if print_flag eq 2 then begin
	    the_list = info.name_list_subset(subscripts)
	    the_list = [the_list, 'Cancel']
	    num_list = n_elements(the_list)
	    title = 'Select Reference File'
	    the_message = ['Select one of the following files for', $
		'reference to remove fill values:']
	    default_option = 0
	    sel_option = get_option(default_option,the_list,title,the_message,info)
	    if sel_option eq num_list-1 then return
	    handle_value,info.subset.data(subscripts(sel_option)).src_data,ref_data
	    this_type = info.subset.data(sel_option).src_types
	    this_type = this_type(0)
	    filldata_value = get_filldata_value(this_type, info.filldata)
	    widget_control, /hourglass
	endif

        case check_size(0) of
           1: begin
                start_rec = info.subset.data(subscripts(0)).src_start(0)+1
		end_rec = info.subset.data(subscripts(0)).src_end(0)
                incr_rec = info.subset.data(subscripts(0)).src_increment(0)
		if start_rec eq end_rec then begin
			start_rec = 1
			incr_rec = 1
		endif
		ijk = 1L
		for i=0L, check_size(1)-1 do begin
		    check_fill = where(hdf_data(i,*) gt info.filldata, count)
		    out_flag = 1
		    if print_flag eq 1 then begin
			if count eq numout then out_flag = 0
		    endif
		    if print_flag eq 2 then begin
			;if ref_data(i) ge info.filldata then out_flag = 0
			if ref_data(i) ge filldata_value then out_flag = 0
		    endif
		    if out_flag eq 1 then begin
			if export_type eq 0 then begin
			    if count ne 0 then hdf_data(i, check_fill) = -9999.0
			    printf,unit,format=out_format, start_rec, hdf_data(i,*)
			endif else begin
			    if count ne 0 then hdf_data(i, check_fill) = 0.0
			    if get_time_flag eq 1 then begin
				printf,unit,format=out_format, hdf_data_x(i), hdf_data(i,*)
			    endif else begin
				printf,unit,format=out_format, ijk, hdf_data(i,*)
				ijk = ijk + 1
			    endelse
			endelse
		    endif
		    start_rec = start_rec + incr_rec
		endfor
              end
           2: begin
		start_rec = info.subset.data(subscripts(0)).src_start(0)+1
		incr_rec = info.subset.data(subscripts(0)).src_increment(0)
		ijk = 1L
		for i=0L, check_size(2)-1 do begin
		    start_sample = info.subset.data(subscripts(0)).src_start(1)+1
		    incr_sample = info.subset.data(subscripts(0)).src_increment(1)
		    for j=0L, check_size(1)-1 do begin
			check_fill = where(hdf_data(j,i,*) gt info.filldata, count)
			out_flag = 1
			if print_flag eq 1 then begin
			    if count eq numout then out_flag = 0
			endif
			if print_flag eq 2 then begin
			    ;if ref_data(j,i) ge info.filldata then out_flag = 0
			    if ref_data(j,i) ge filldata_value then out_flag = 0
			endif
			if out_flag eq 1 then begin
			    if export_type eq 0 then begin
				if count ne 0 then hdf_data(j, i, check_fill) = -9999.0
				printf,unit,format=out_format, start_rec, start_sample, hdf_data(j,i,*)
			    endif else begin
				if count ne 0 then hdf_data(j, i, check_fill) = 0.0
				if get_time_flag eq 1 then begin
				    printf,unit,format=out_format, hdf_data_x(j,i), hdf_data(j,i,*)
				endif else begin
				    printf,unit,format=out_format, ijk, hdf_data(j,i,*)
				    ijk = ijk + 1
				endelse
			    endelse
			endif
			start_sample = start_sample + incr_sample
		    endfor
		    start_rec = start_rec + incr_rec
		endfor
              end
	   3: begin
		start_rec = info.subset.data(subscripts(0)).src_start(0)+1
		incr_rec = info.subset.data(subscripts(0)).src_increment(0)
		ijk = 1L
		for i=0L, check_size(3)-1 do begin
		    start_sample = info.subset.data(subscripts(0)).src_start(1)+1
		    incr_sample = info.subset.data(subscripts(0)).src_increment(1)
		    for j=0L, check_size(2)-1 do begin
			start_k = info.subset.data(subscripts(0)).src_start(2)+1
			incr_k = info.subset.data(subscripts(0)).src_increment(2)
			for k=0L, check_size(1)-1 do begin
			    check_fill = where(hdf_data(k,j,i,*) gt info.filldata, count)
			    out_flag = 1
			    if print_flag eq 1 then begin
				if count eq numout then out_flag = 0
			    endif
			    if print_flag eq 2 then begin
				;if ref_data(k,j,i) ge info.filldata then out_flag = 0
				if ref_data(k,j,i) ge filldata_value then out_flag = 0
			    endif
			    if out_flag eq 1 then begin
				if export_type eq 0 then begin
				    if count ne 0 then hdf_data(k,j,i, check_fill) = -9999.0
				    printf,unit,format=out_format, start_rec, start_sample, start_k, hdf_data(k,j,i,*)
				endif else begin
				    if count ne 0 then hdf_data(k,j,i, check_fill) = 0.0
				    if get_time_flag eq 1 then begin
					printf,unit,format=out_format, hdf_data_x(k,j,i), hdf_data(k,j,i,*)
				    endif else begin
					printf,unit,format=out_format, ijk, hdf_data(k,j,i,*)
					ijk = ijk + 1
				    endelse
				endelse
			    endif
			    start_k = start_k + incr_k
			endfor
			start_sample = start_sample + incr_sample
		    endfor
		    start_rec = start_rec + incr_rec
		endfor
	    end
           else: begin
                  result=dialog_message('Do not support SDS rank greater than 3 for Export data Yet!',$
                        title='View HDF Warning!')
                  return
                  end
          ENDCASE

end

;--------------------------------------------------------------------------------
pro export_vdata, info , unit, print_flag

pro_name = 'export_vdata'
@getinfo

;--------------------------
; Print Column Labels
;--------------------------

printf,unit, format='("Vdata Name:  ", A)', info.vdata.name_sel
printf,unit, format='("Field Name:  ", A)', info.vfield.name_sel
unit_name = info.subset.data(info.subset.selected).src_unitname
unit_name = unit_name(0)
temp_length = strlen(unit_name)
unitlabel = ''
if (temp_length gt 0) then $
	unitlabel = strmid(unit_name,2,temp_length-2)

printf,unit, format='("Unit:  ", A)', unitlabel
data_range = ''
data_range = get_data_range(info.subset.selected,info)
printf,unit, format='("Data Range:  ",A)',data_range

if info.subset.data(info.subset.selected).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(info.subset.selected, info)
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	for i = 0, num_temp-1 do begin
		temp_length = strlen(temp_name(i))
		dot=strpos(temp_name(i),';')
		if( dot ne -1) then begin
			crit1 = strtrim(strmid(temp_name(i),0,dot),2)
			crit2 = strtrim(strmid(temp_name(i),dot+1,temp_length-1),2)
			if i eq 0 then printf,unit,crit1 $
				else printf,unit,'           '+crit1
				printf,unit,'           '+crit2
		endif else begin
			crit1 = strtrim(temp_name(i),2)
			if i eq 0 then printf,unit,crit1 $
				else printf,unit,'           '+crit1
		endelse
	endfor
endif

;--------------------------
; Print Data Values
;--------------------------
handle_value, info.subset.data(info.subset.selected).src_data, hdf_data_temp
hdf_data = reform(hdf_data_temp.components0, n_elements(hdf_data_temp.components0))
if print_flag eq 1 then begin
    this_type = info.subset.data(info.subset.selected).src_types
    this_type = this_type(0)
    filldata_value = get_filldata_value(this_type, info.filldata)
    subscript = where(hdf_data lt filldata_value, count)
    if count ne 0 then hdf_data = hdf_data(subscript) $
        else hdf_data = 0
endif
printf, unit, format='('+info.precision+')', hdf_data

;-----------------------------------------------------------
; At this point the data is one column by N rows in size.
; This is so since we only allow the selection of a
; single field from the Vdata. Do for all components.
; Components are the columns while j is the row
; The number of components if the src_order.
;-----------------------------------------------------------
;
; Fixed for subsets that do NOT start at zero
; Also need to fix it for the maximum value
;

;col_start = 0L
;col_end = info.subset.data(info.subset.selected).src_end(0) - $
;                             info.subset.data(info.subset.selected).src_start(0)

;for j = col_start,col_end do begin
;
;	for i = 0,info.subset.data(info.subset.selected).src_order(0)-1 do begin
;                         printf, unit, format='('+info.precision+')', hdf_data(j).components0(i)
;        end
;end
 
end

;--------------------------------------------------------------------------------
pro export_vdata_list, info, export_type, unit, print_flag

pro_name = 'export_vdata_list'
@getinfo

subscripts = where(info.out.pick eq 1, numout)

if info.subset.data(subscripts(0)).src_types(0) eq 4 then begin
   for i = 0, numout-1 do begin
	if info.subset.data(subscripts(i)).src_types(0) ne 4 then begin
		return
	endif
	filename = info.subset.data(subscripts(i)).src_filename
	printf,unit,format='("Source Data Filename: ",A)', filename

	handle_value, info.subset.data(subscripts(i)).src_data, hdf_data
	printf, unit, hdf_data(*).components0
   endfor
   return
endif

for i = 1, numout-1 do begin

	if (info.subset.data(subscripts(i)).src_start(0) ne $
	info.subset.data(subscripts(i-1)).src_start(0)) then begin

		result=dialog_message('Not all Vdata have same start!',$
		title='View HDF Warning!')
        	return
	endif

	if (info.subset.data(subscripts(i)).src_end(0) ne $
	info.subset.data(subscripts(i-1)).src_end(0)) then begin
		result=dialog_message('Not all Vdata have same end!',$
        	title='View HDF Warning!')
        	return
	endif

	if (info.subset.data(subscripts(i)).src_increment(0) ne $
	info.subset.data(subscripts(i-1)).src_increment(0)) $
	then begin
        	result=dialog_message('Not all Vdata have same increment!',$
        	title='View HDF Warning!')
        	return
	endif

	if (info.subset.data(subscripts(i)).src_order(0) ne $
	info.subset.data(subscripts(i-1)).src_order(0)) $
	then begin
		result=dialog_message('Not all Vdata have same order!',$
        	title='View HDF Warning!')
	        	return
	endif
endfor

if export_type eq 0 then begin
	out_name = ["Record Number", "Order Number" ]
	unit_name = out_name
endif else begin
	get_time_flag = 1
	if info.rangetype.get_time eq 1 then begin
	  handle_value, info.subset.data(subscripts(0)).src_data, hdf_y_temp
	  hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
	  hdf_data_x = make_array(n_elements(hdf_data_y), /DOUBLE)
	  get_seconds, info, subscripts(0), hdf_data_x
	  size_x = size(hdf_data_x)
	  case size_x(0) of 
		1: temp_data = hdf_data_x(0)
		2: temp_data = hdf_data_x(0,0)
		3: temp_data = hdf_data_x(0,0,0)
		else: temp_data = hdf_data_x
	  endcase
	  if temp_data lt -9999999.0 then begin
		get_time_flag = 0
		out_name = [ "N" ]
	  endif else out_name = [ "Time" ]
	endif else begin
	  get_time_flag = 0
	  out_name = [ "N" ]
	endelse
endelse

for i = 0 , numout-1 do begin

	temp_name = info.subset.data(subscripts(i)).subset_name
        end_loc = strpos(temp_name, '[')

        ;if end_loc eq -1 then begin
        ;	result=dialog_message('The name format of export Vdata: ' + $
	;		temp_name + ' is wrong!', title='View HDF Warning!')
        ;        return
        ;endif

	if export_type eq 0 then begin
	  unit_temp_name = info.subset.data(subscripts(i)).src_unitname
	  unit_temp_name = unit_temp_name(0)
	  temp_length = strlen(unit_temp_name)
	  unitlabel = ''
	  if (temp_length gt 0) then $
	  	unitlabel = strmid(unit_temp_name,2,temp_length-2)

	  if end_loc ne -1 then $
		temp_name = strmid(temp_name, 0, end_loc)
          ;out_name = [ out_name , strmid(temp_name, 0, end_loc) ]
          out_name = [ out_name , temp_name ]
	  unit_name = [unit_name, strcompress(unitlabel) ]
	endif else begin
	  if end_loc ne -1 then $
		temp_name = strcompress(strmid(temp_name, 0, end_loc), /REMOVE_ALL)
          ;out_name = [ out_name , strcompress(strmid(temp_name, 0, end_loc), /REMOVE_ALL) ]
          out_name = [ out_name , temp_name ]
	endelse
endfor


;--------------------------
; Write file header
;--------------------------
widget_control,info.widgets.current_file, get_value=filename
data_range = ''
data_range = get_data_range(subscripts(0),info)
if export_type eq 0 then begin
  printf,unit,format='("Source Data Filename: ",A)', filename
  printf,unit,format='("Data Range:  ",A)',data_range

  numvar = numout + 2
  out_format = '(' + string(numvar) + '(A, :, "	"))'

endif else begin

  printf,unit,format='("#Source Data Filename: ",A)', filename
  printf,unit,format='("#Data Range:  ",A)',data_range
  numvar = numout + 1
  out_format = '( "Variables = "' + string(numvar) + '(A, :, " , "))'

endelse

printf,unit, format=out_format, out_name
if export_type eq 0 then printf, unit, format=out_format, unit_name

handle_value, info.subset.data(subscripts(0)).src_data, hdf_data

check_size = size(hdf_data)

total_number = check_size(3) * info.subset.data(subscripts(0)).src_order(0)

hdf_data = dblarr(total_number * numout)

hdf_data = reform(hdf_data, total_number , numout)

for i = 0, numout-1 do begin

           handle_value,info.subset.data(subscripts(i)).src_data,temp_data
           hdf_data(*,i) = double(temp_data.components0)
endfor

precision = info.precision(0)
if export_type eq 0 then begin
  temp1 = '(I6, "	", I4, "	", '
  temp='('+precision+', :, "	"))'
endif else begin
  if get_time_flag eq 1 then temp1 = '('+precision+',"	",' $
	else temp1 = '(I10,"	",'
  temp='('+precision+', :, "	"))'
endelse

out_format = temp1 + string(numout) + temp

incr_order = info.subset.data(subscripts(0)).src_order(0)
hdf_data = reform(hdf_data, incr_order, check_size(3), numout)

start_rec = info.subset.data(subscripts(0)).src_start(0)+1
incr_rec = info.subset.data(subscripts(0)).src_increment(0)

if print_flag eq 2 then begin
    the_list = info.name_list_subset(subscripts)
    the_list = [the_list, 'Cancel']
    num_list = n_elements(the_list)
    title = 'Select Reference File'
    the_message = ['Select one of the following files for', $
	'reference to remove fill values:']
    default_option = 0
    sel_option = get_option(default_option,the_list,title,the_message,info)
    if sel_option eq num_list-1 then return
    handle_value,info.subset.data(subscripts(sel_option)).src_data,ref_data
    ref_data = reform(ref_data.components0, n_elements(ref_data.components0))
    ref_data = reform(ref_data, incr_order, check_size(3))
    this_type = info.subset.data(sel_option).src_types
    this_type = this_type(0)
    filldata_value = get_filldata_value(this_type, info.filldata)
    widget_control, /hourglass
endif

k = 0L
ijk = 1L
for i=0L, check_size(3)-1 do begin
    for j=0L, incr_order-1 do begin
	check_fill = where(hdf_data(j,i,*) gt info.filldata, count)
	out_flag = 1
	if print_flag eq 1 then begin
	    if count eq numout then out_flag = 0
	endif
	if print_flag eq 2 then begin
	   ;if ref_data(j,i) ge info.filldata then out_flag = 0
	   if ref_data(j,i) ge filldata_value then out_flag = 0
	endif
	if out_flag eq 1 then begin
	    if export_type eq 0 then begin
		if count ne 0 then hdf_data(j,i, check_fill) = -9999.0
		printf,unit,format=out_format, start_rec, j+1, hdf_data(j,i,*)
	    endif else begin
		if count ne 0 then hdf_data(j,i, check_fill) = 0.0
		if get_time_flag eq 1 then begin
		    printf,unit,format=out_format, hdf_data_x(k), hdf_data(j,i,*)
		endif else begin
		    printf,unit,format=out_format, ijk, hdf_data(j,i,*)
		    ijk = ijk + 1
		endelse
	    endelse
	endif
	k = k + 1
    endfor
    start_rec = start_rec + incr_rec
endfor

end

;--------------------------------------------------------------------------------
function extract_printcap, info

pro_name = 'extract_printcap'
@getinfoa

;-----------------------------------------------------------
;setup to print from thunder to saic printers
;-----------------------------------------------------------

;-----------------------------------------------------------
; Extract the printer names from .printcap
; Note: You must setup this file initially from
;       /etc/printcap.
;-----------------------------------------------------------

CD, '.', CURRENT = PWD

;print_file=info.home_path+"/"+info.printname+"_printer_name"
;print_file = pwd+'/'+info.printname + '_printer_name'
;check_file=findfile(print_file, count=count)
;if count eq 0 then begin
	;command_line="lpstat -a | grep accepting | sort -u | awk '{print $1}' >! "
	;command_line=command_line+pwd+"/printer_name"
	;command_line="lpstat -a | grep accepting | sort -u | awk '{print $1}' > "
	;command_line='lpstat -a | grep -v "not accepting" | '
	;command_line = command_line+"grep accepting | sort -u | awk '{print $1}' > "
	;command_line=command_line+print_file
	command_line='lpstat -a | grep -v "not accepting" | '
	command_line = command_line+"grep accepting | sort -u | awk '{print $1}'"
	print,command_line
	spawn, command_line, results
	;print,'results = ',results
;endif

;print,'print_file = ',print_file
;check_file=findfile(print_file, count=count)
;if count eq 0 then begin
;	print_file = pwd+'/printer_name'
;endif
;
;the_result = CALL_EXTERNAL(PWD+'/' + info.library,  $
;                                'get_printer_name',        $
;				print_file,	$
;                                /s_value)

;if the_result eq "BAD" then begin
;        result = dialog_message('Problem reading printer name!',  $
;            title = 'VIEW_HDF_WARNING!')
;endif
if n_elements(results) eq 0 then the_result = ["BAD"] $
	else the_result = results

return, the_result

end

;------------------------------------------------------------------
function field_struct,  text, name_list

pro_name = 'field_struct'
@getinfoa

fields = { CW_PDMENU_S,       1, text } 
fields = replicate(fields, n_elements(name_list)+1)

if n_elements(name_list) gt 1 then begin
   for i = 0,n_elements(name_list)-2 do begin
	 fields(i+1).flags = 0
	 fields(i+1).name = name_list(i) 
   endfor
endif else i = 0

fields(i+1).flags = 2
fields(i+1).name = name_list(i)

return, fields

end

;--------------------------------------------------------------------------------
pro file_export, info, print_flag

pro_name = 'file_export'
@getinfo

count = check_directory(info.export_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.export_path = pwd
endif
export_name=dialog_pickfile(filter='*.dat', path=info.export_path, $
		file=info.export_file, get_path=export_path,/write)

if export_name eq "" then return

export_result=STRPOS(export_name, export_path)

if export_result eq -1 then export_name=export_path+export_name

print,"Filename=", export_name

info.export_path = export_path
default_file = ''
default_file = get_default_file(export_name)
if default_file ne 'None' then info.export_file = default_file

widget_control, /hourglass

widget_control, info.widgets.current_file, get_value=this_name

get_lun, unit
openw, unit, export_name

;--------------------------
; Write file header
;--------------------------

printf, unit, format='("Source Data Filename: ",A)',this_name

if info.subset.data(info.subset.selected).src_type_flag eq 0 then  $
	export_sds, info, unit, print_flag $
	else export_vdata, info , unit, print_flag

close,unit
free_lun, unit

;-----------------------------------------------------
; This piece of code removes all the spaces
; from the exported data files so that
; spreadsheets can read them easily.
;-----------------------------------------------------

info.output_path = info.export_path
CD, info.output_path, CURRENT=old_dir
output_name_list=findfile(info.filter, count=count)
if count eq 0 then output_name_list = [ 'None' ]
 
widget_control, info.widgets.output, set_value=output_name_list
widget_control, info.widgets.outputdir, set_value=info.output_path
widget_control, set_uvalue=info, info.base
 
CD, old_dir
 
result=dialog_message('Exporting Completed!', title='Notice!')
return

end

;--------------------------------------------------------------------------------
pro file_open, info, attr_flag

pro_name = 'file_open'
@getinfo

;count = check_directory(info.open_path, info.home_path)
count = check_exist_dir(info.open_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.open_path = pwd
endif
filename=dialog_pickfile(/read, get_path=open_path, path= info.open_path, $
	filter = info.open_filter)

if filename eq "" then return

widget_control, /hourglass

info.open_path = open_path
info.rangetype.get_time = 0
info.rangetype.old_start(*) = 0
info.rangetype.old_end(*) = 0
info.rangetype.old_increment(*) = 0
info.rangetype.old_dim(*) = 0
info.geolocated.flag = 0
info.geolocated.selected = 0

info = initial_vgroup(info)

widget_control, info.widgets.current_file, set_value=filename
widget_control, info.widgets.sds, set_value="None"
widget_control, info.widgets.vdata, set_value="None"

temp_name_list = ['None']
info = redefine_info(info, temp_name_list, 5)

flag = 0
if attr_flag gt 1 then begin
   get_vgroup_list,flag, filename, info
   if flag eq 0 then attr_flag = 0
endif 
if flag eq 0 then begin
   get_parameters, 'list_sds', info.widgets.sds, flag, filename, info
   if attr_flag eq 0 then $
      get_parameters, 'list_vdata', info.widgets.vdata, flag, filename, info $
   else get_parameters, 'list_vdata_attr', info.widgets.vdata, flag, filename, info
endif

get_time, info, 0

info.ssf.file = 0
info.ssf.key = 0
info.ssf.select = 0
info.ssf.layer = 0
info.bds_file = 0

check_file, info

info.flags.data_read = flag

if flag eq 1 then begin
	info.current_file = filename
	info = store_previous_file(info)
	info = store_open_file(info)
	widget_control, set_uvalue=info, info.base
endif

end

;--------------------------------------------------------------------------------
pro open_file, event

pro_name = 'open_file'
@getinfo

widget_control, /hourglass

widget_control, get_uvalue=info, event.id
widget_control,get_uvalue=info,info.base
widget_control, info.widgets.current_file, get_value=filename
filename = filename(0)
filename = strcompress(filename,/REMOVE_ALL)
file_len = strlen(filename)

if filename eq info.current_file then return

if file_len eq 0 or filename eq "None" then begin
	widget_control, set_value=info.current_file, info.widgets.current_file
	return
endif

check_file = findfile(filename,count=count)
if count eq 0 then begin
	the_message = [filename+" is not found!", $
		"Or no file exists in the directory!", $
		"If you are not sure the filename,", $
		"use widecard character '*' or", $
		"use 'File'--'Open' option to select the file."]
	result=dialog_message(the_message, title='View HDF Warning!')
	widget_control, set_value=info.current_file, info.widgets.current_file
	return
endif

path_divide = '/'
if count eq 1 and filename ne check_file(0) then begin
	check_loc = rstrpos(check_file(0),path_divide)
	if check_loc ne -1 then filename = check_file(0) $
	else begin
		check_dir = check_exist_dir(filename, info.home_path)
		if check_dir eq 1 then begin
			if check_path(filename) eq 1 then begin
				filename = filename + check_file(0)
			endif else begin
				filename = filename + path_divide + check_file(0)
			endelse
		endif else begin
			loc = rstrpos(filename,path_divide)
			if loc eq -1 then begin
				filename = check_file(0)
			endif else begin
				temp_file = strmid(filename,0,loc+1)
				filename = temp_file + check_file(0)
			endelse
		endelse
	endelse
file_len = strlen(filename)
endif

check_dir = check_exist_dir(filename, info.home_path)
if check_dir eq 1 then begin
	filename = filename + path_divide
	file_len = strlen(filename)
endif

loc = rstrpos(filename,path_divide)
direct = 0
if loc eq file_len-1 then begin
	current_filename = '*'
	open_path = filename
	direct = 1
endif else if loc eq -1 then begin
	current_filename = filename
	open_path = ''
endif else begin
	current_filename = strmid(filename,loc+1,file_len-loc-1)
	open_path = strmid(filename,0,loc+1)
endelse

if count gt 1 or direct eq 1 then begin
	filename=dialog_pickfile(/read, get_path=open_path, path= open_path, $
		filter = current_filename)

	if filename eq "" then begin
		widget_control, set_value=info.current_file, info.widgets.current_file
		return
	endif
endif

widget_control, /hourglass

info.open_path = open_path
info.rangetype.get_time = 0
info.rangetype.old_start(*) = 0
info.rangetype.old_end(*) = 0
info.rangetype.old_increment(*) = 0
info.rangetype.old_dim(*) = 0
info.geolocated.flag = 0
info.geolocated.selected = 0

info = initial_vgroup(info)

widget_control, info.widgets.current_file, set_value=filename
widget_control, info.widgets.sds, set_value="None"
widget_control, info.widgets.vdata, set_value="None"

temp_name_list = ['None']
info = redefine_info(info, temp_name_list, 5)

flag = 0

get_vgroup_list,flag, filename, info

if flag eq 0 then begin
   get_parameters, 'list_sds', info.widgets.sds, flag, filename, info
   get_parameters, 'list_vdata', info.widgets.vdata, flag, filename, info
endif

get_time, info, 0

info.ssf.file = 0
info.ssf.key = 0
info.ssf.select = 0
info.ssf.layer = 0
info.bds_file = 0

check_file, info

info.flags.data_read = flag

if flag eq 1 then begin
	info.current_file = filename
	info = store_previous_file(info)
	info = store_open_file(info)
	widget_control, set_uvalue=info, info.base
endif

end

;--------------------------------------------------------------------------------
pro open_previous_fileCB, event

pro_name = 'open_previous_fileCB'
@getinfo

widget_control, /hourglass

widget_control, get_uvalue=info, event.top

widget_control, event.top, /destroy

filename = info.previous_file.current
filename = filename(0)
filename = strcompress(filename,/REMOVE_ALL)

;if filename eq info.current_file then return

check_file = findfile(filename,count=count)
if count eq 0 then begin
	the_message = [filename+" is not found!", $
		"use 'File'--'Open' option to select the file."]
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

path_divide = '/'
loc = rstrpos(filename,path_divide)
if loc eq -1 then begin
        open_path = ''
endif else begin
        open_path = strmid(filename,0,loc+1)
endelse

info.open_path = open_path
info.rangetype.get_time = 0
info.rangetype.old_start(*) = 0
info.rangetype.old_end(*) = 0
info.rangetype.old_increment(*) = 0
info.rangetype.old_dim(*) = 0
info.geolocated.flag = 0
info.geolocated.selected = 0

info = initial_vgroup(info)

widget_control, info.widgets.current_file, set_value=filename
widget_control, info.widgets.sds, set_value="None"
widget_control, info.widgets.vdata, set_value="None"

temp_name_list = ['None']
info = redefine_info(info, temp_name_list, 5)

flag = 0

get_vgroup_list,flag, filename, info

if flag eq 0 then begin
   get_parameters, 'list_sds', info.widgets.sds, flag, filename, info
   get_parameters, 'list_vdata', info.widgets.vdata, flag, filename, info
endif

get_time, info, 0

info.ssf.file = 0
info.ssf.key = 0
info.ssf.select = 0
info.ssf.layer = 0
info.bds_file = 0

check_file, info

info.flags.data_read = flag

if flag eq 1 then begin
	info.current_file = filename
	info = store_previous_file(info)
	info = store_open_file(info)
	widget_control, set_uvalue=info, info.base
endif

end

;--------------------------------------------------------------------------------
pro open_previous_file, info

pro_name = 'open_previous_file'
@getinfo

base = widget_base( COLUMN=1, MAP=1, TITLE='Select a File', uvalue=info)

button_group=cw_bgroup(base, info.previous_file.store, column=1, $
                        set_value=0,  event_funct="set_previous_file", /exclusive)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='open_previous_fileCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

info.previous_file.current = info.previous_file.store(0)
widget_control, set_uvalue=info, base
widget_control, /realize, base 

widget_control, base, set_list_select=-1

end

;--------------------------------------------------------------------------------
pro switch_open_file, event

pro_name = 'switch_file'
@getinfo

widget_control, /hourglass

widget_control, get_uvalue=info, event.id
widget_control,get_uvalue=info,info.base

if info.open_file.count eq 0 then begin
	result=dialog_message('No file has been opened yet!', $
		title='View HDF Warning!')
	return
endif

widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)

count = info.open_file.count
the_list = info.open_file.file(0:count-1)
the_list = [the_list, 'Cancel']
num_list = n_elements(the_list)
title = 'Switch Open File'
the_message = ['Select the current file:']
default_option = num_list-1
sel_option = get_option(default_option,the_list,title,the_message,info)
if sel_option eq num_list-1 then return

current_filename = the_list(sel_option)
vgroup_flag = info.open_file.flag(sel_option)
if vgroup_flag eq 0 and current_filename eq filename then return

path_divide = '/'
loc = rstrpos(current_filename,path_divide)
if loc eq -1 then begin
        open_path = ''
endif else begin
        open_path = strmid(current_filename,0,loc+1)
endelse

info.open_path = open_path
info.rangetype.get_time = 0
info.rangetype.old_start(*) = 0
info.rangetype.old_end(*) = 0
info.rangetype.old_increment(*) = 0
info.rangetype.old_dim(*) = 0
info.geolocated.flag = 0
info.geolocated.selected = 0

info = initial_vgroup(info)

widget_control, info.widgets.current_file, set_value=current_filename
widget_control, info.widgets.sds, set_value="None"
widget_control, info.widgets.vdata, set_value="None"

temp_name_list = ['None']
info = redefine_info(info, temp_name_list, 5)

widget_control, /hourglass
if vgroup_flag eq 0 then begin
	sds_list = str_sep(info.open_file.sds_list(sel_option), '|')
	vdata_list = str_sep(info.open_file.vdata_list(sel_option), '|')
	info = redefine_info(info, sds_list,2 )
	info = redefine_info(info, vdata_list,0 )
	widget_control, info.widgets.sds, set_value=sds_list
	widget_control, info.widgets.vdata, set_value=vdata_list
endif else begin
        info.vgroup.flag = 1
        info.vgroup.nlayer = 1
        info.vgroup.ref(0) = 1
        info.vgroup.id(0) = 1
	vg_name_list = info.open_file.vg_name(sel_option)
	vg_id_list = info.open_file.vg_id(sel_option)
	vref = info.open_file.vref(sel_option)
	info.vgroup.vref = vref
        info.vgroup.vg_name(0) = vg_name_list
        info.vgroup.vg_id(0) = vg_id_list
	vg_list = str_sep(vg_name_list, '|')
	vg_id = str_sep(vg_id_list, '|')
	info = redefine_info(info, vg_list, 9)
	length = strlen(info.vgroup.vref)
        if length gt 0 then begin
		vdata_list = str_sep(info.open_file.vdata_list(sel_option), '|')
                info = redefine_info(info, vdata_list, 0 )
		widget_control, info.widgets.vdata, set_value  = vdata_list
	endif
endelse

get_time, info, 0

info.ssf.file = info.open_file.ssf_file(sel_option)
info.ssf.key = 0
info.ssf.select = 0
info.ssf.layer = 0
info.bds_file = info.open_file.bds_file(sel_option)
info.filldata = info.open_file.fill_data(sel_option)

info.flags.data_read = 1

info.current_file = current_filename
widget_control, set_uvalue=info, info.base

if info.vgroup.flag eq 1 then select_vgroup,'VGROUP', info, vg_list, vg_id, 0

end

;--------------------------------------------------------------------------------
pro file_print, info, print_type

pro_name = 'file_print'
@getinfo

file_save_ps, 1, info

if print_type eq 0 then begin
	;the_list = extract_printcap(info)
	;printer_list = extract_printcap(info)

	command_line='lpstat -a | grep -v "not accepting" | '
	command_line = command_line+"grep accepting | sort -u | awk '{print $1}'"
	;print,command_line
	spawn, command_line, printer_list, /sh
	;print,'printer_list = ',printer_list
	;help,printer_list

	if n_elements(printer_list) eq 0 then begin
		result=dialog_message('Unable to get printer list', $
			title='View HDF Warning!')
		return
	endif

	;if printer_list(0) eq "BAD" then return
	;if the_list eq "BAD" then return

	;printer_list = str_sep(the_list, ',')
	;printer_list = str_sep(the_list, ' ')
	;print,'printer_list = ',printer_list

endif else printer_list = [ 'phaser550', 'sai550', 'Other' ]

select_printer, printer_list, info, print_type

end

;--------------------------------------------------------------------------------
PRO plot_graph, print_flag, this_subset, info

pro_name = 'plot_graph'
@getinfo

font1=0

if info.graph_style eq 'Remove' then begin
 remove_some_subset, info, this_subset
 return
endif

if info.graph_style eq 'Change Name' then begin
 change_subset_name, info, this_subset
 return
endif

if info.graph_style eq 'Change Data Type' then begin
 change_data_type, this_subset, info
 return
endif

if info.graph_style eq 'Create Subset' then begin
 create_subset, info, this_subset
 return
endif

if info.graph_style eq 'Display Data' then begin
 display_value, info, this_subset
 return
endif

if info.graph_style eq 'Display Attribute' then begin
 filename=info.subset.data(this_subset).src_filename
 this_name=info.subset.data(this_subset).subset_name
 dot=strpos(this_name,'[')
 if( dot ne -1) then begin
   data_name=strmid(this_name,0,dot)
 endif else begin
   data_name = this_name
 endelse
 data_ref=info.subset.data(this_subset).src_ref
 if info.subset.data(this_subset).src_type_flag eq 0 then begin
	get_data_attr, filename,data_name,data_ref,0,info 
 endif else begin
	get_data_attr, filename,data_name,data_ref,1,info
 endelse
 return
endif

if info.graph_style eq 'Export Data' then begin
 file_export, info, 0
 return
endif

if info.graph_style eq 'Export Data Without Filldata' then begin
 file_export, info, 1
 return
endif

if info.graph_style eq 'Transpose' then begin
  name_of_data = info.subset.data(this_subset).subset_name
  do_transpose, info, name_of_data, this_subset
  return
endif

name_of_data = info.subset.data(this_subset).subset_name
	
widget_control, /hourglass

CASE info.graph_style of

	'2D Graph': do_2d_graph, info, name_of_data, this_subset, print_flag
	
	'2D Image': do_2d_image, info , name_of_data, this_subset, print_flag, 0
	
	'2D Image With Scale': do_2d_image, info , name_of_data, this_subset, print_flag, 1
	
	'3D Graph': do_3d_graph, info , name_of_data, this_subset, print_flag

	'3D Surface': do_3d_graph, info, name_of_data, this_subset, print_flag

	'Contour': do_3d_graph, info , name_of_data, this_subset, print_flag

	'Grid Contour': do_grid_contour, info, name_of_data, this_subset, print_flag, 0

	'Grid Cell': do_grid_contour, info, name_of_data, this_subset, print_flag, 1

	'Grid Cell - Region': do_grid_contour, info, name_of_data, this_subset, print_flag, 2

	'XY Graph': do_xy_graph, info, name_of_data, this_subset, print_flag
 
	'XYZ Graph': do_xyz_graph, info, name_of_data, this_subset, print_flag
 
	'XY Plot': do_xy_plot, 1, info
 
	'XYZ Plot': do_xyz_plot, 1, info
 
	'Y1Y2 Compute': do_y1y2_compute, 1, info
 
	'Y1 Compute': do_y1_compute, 1, info
 
	'Curve Fit': do_curve_fit, 1, info.curvefit_type, info
 
	'Regression': do_regression, print_flag, this_subset, info
 
	'Extract Bits': do_extract_bits, this_subset, print_flag, info
 
	'Geolocated': do_geolocated, info, name_of_data, this_subset, print_flag, 0
 
	'Contour Geolocated': do_geolocated, info, name_of_data, this_subset, print_flag, 1
 
	'Statistics': do_statistics, info, name_of_data, this_subset, print_flag

	'Histogram': do_histogram, this_subset, print_flag, info

	else: begin
		result=dialog_message('The graph type, '+info.graph_style+', is not valid!',$
			title='View HDF Warning!')
		return
	end

ENDCASE

	info.view.p_old = !P
	info.view.d_old = !D
	info.view.x_old = !X
	info.view.y_old = !Y
	if(widget_info(info.widgets.base, /VALID_ID)) then $
	    widget_control, set_uvalue=info, info.widgets.base

if info.subset.data(this_subset).src_crit_flag eq 1 then $
	!P.Position = [ 0.0 , 0.0 , 0.0 , 0.0]

END

;--------------------------------------------------------------------------------
pro replot_screen, this_subset, info

pro_name = 'replot_screen'
@getinfo

font1=0

name_of_data = info.subset.data(this_subset).subset_name
	
widget_control, /hourglass

CASE info.graph_style of

	'2D Graph': do_2d_graph, info, name_of_data, this_subset, 0
	
	'2D Image': do_2d_image, info , name_of_data, this_subset, 0, 0
	
	'2D Image With Scale': do_2d_image, info , name_of_data, this_subset, 0, 1
	
	'3D Graph': do_3d_graph, info , name_of_data, this_subset, 0

	'3D Surface': do_3d_graph, info, name_of_data, this_subset, 0

	'Contour': do_3d_graph, info , name_of_data, this_subset, 0

	'Grid Contour': do_grid_contour, info, name_of_data, this_subset, 0, 0

	'Grid Cell': do_grid_contour, info, name_of_data, this_subset, 0, 1

	'Grid Cell - Region': do_grid_contour, info, name_of_data, this_subset, 0, 2

	'XY Graph': do_xy_graph, info, name_of_data, this_subset, 3
 
	'XYZ Graph': do_xyz_graph, info, name_of_data, this_subset, 3
 
	'XY Plot': do_xy_plot, 3, info
 
	'XYZ Plot': do_xyz_plot, 3, info
 
	'Y1Y2 Compute': do_y1y2_compute, 3, info
 
	'Y1 Compute': do_y1_compute, 3, info
 
	'Curve Fit': do_curve_fit, 3, info.curvefit_type, info
 
	'Regression': do_regression, 3, this_subset, info
 
	'Extract Bits': do_extract_bits, this_subset, 3, info
 
	'Geolocated': do_geolocated, info, name_of_data, this_subset, 3, 0
 
	'Contour Geolocated': do_geolocated, info, name_of_data, this_subset, 3, 1
 
	'Statistics': do_statistics, info, name_of_data, this_subset, 3

	'Histogram': do_histogram, this_subset, 3, info

	else: begin
		result=dialog_message('The graph type, '+info.graph_style+', is not valid!',$
			title='View HDF Warning!')
		return
	end

ENDCASE

	info.view.p_old = !P
	info.view.d_old = !D
	info.view.x_old = !X
	info.view.y_old = !Y
	if(widget_info(info.widgets.base, /VALID_ID)) then $
	    widget_control, set_uvalue=info, info.widgets.base

if info.subset.data(this_subset).src_crit_flag eq 1 then $
	!P.Position = [ 0.0 , 0.0 , 0.0 , 0.0]

END

;--------------------------------------------------------------------------------
pro do_more_variables, more_flag, info

pro_name = 'do_more_variables'
@getinfo

if more_flag eq 0 then begin
   if info.name_list_subset(0) eq "None" then begin
         result=dialog_message('No data read in Subset list yet!',$
                    title='View HDF Warning!')
         return
   end

   pick_export_variables, info

   widget_control, get_uvalue=info, info.base

   subscripts = where(info.out.pick eq 1, numout)

   print, 'number of variables picked = ', numout

   if (numout eq 0) then begin
     result=dialog_message('No data selected for "Multi Variables"!',$
                    title='View HDF Warning!')
     return
   endif

   if info.multiple.y1y2 eq 1 then begin
	if numout ne 2 then begin
		result=dialog_message('You can only pick TWO variables for "Y1-Y2 Plot"!',$
                    title='View HDF Warning!')
		info.multiple.y1y2 = 0
     		return
	endif
   endif

   base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Select a Graph Style', XSIZE=240, uvalue=info)

   group1=widget_base(base, column=1, map=1, xoffset=80)

   desc= [ '2D Graph' ,	$
   	   'XY Graph'	]

   info.graph_style = '2D Graph'
   info = initial_info(info)
   widget_control, set_uvalue=info, base
   widget_control, set_uvalue=info, info.base

   the_style = CW_BGROUP(group1, desc, /return_name, $
		set_value=0, FONT=info.font, $
		event_func='graph_item', /exclusive)

  group2=widget_base(base, row=1,map=1, space=40, /align_center)

  button1=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
	/ALIGN_CENTER)

  button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER)

  ; button1=widget_button(base, FONT=info.font, $
;		EVENT_PRO='doneCB', VALUE="Done", $
;		/ALIGN_CENTER)

   widget_control, /realize, base 
   widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
   xmanager, 'main_widget', base

endif else begin

   subscripts = where(info.out.pick eq 1, numout)

endelse

if more_flag eq 0 then begin
	widget_control, get_uvalue=info, info.base
	if info.canceloption eq 'Yes' then begin
		info.canceloption = 'No'
		widget_control, set_uvalue=info, info.base
		return
	endif 
endif
info.multiple.flag = more_flag
info.multiple.key = 1
info.multiple.number = 0
save_linetype = info.style.linetype
save_symbol = info.style.symbol
save_usersym = info.style.usersym
if info.style.symbol ne 8 then info.style.usersym = 0
;info.style.linetype = 0
;if info.style.symbol ne 0 then info.style.symbol = 1

save_axis_state = info.axis_state
if info.axis_state ne 2 and info.axis_state ne 4 and info.axis_state ne 5 and $
	info.axis_state ne 7 and info.axis_state ne 9 then begin
	temp_max = -999999.0
	temp_min = 999999.0
	if info.multiple.y1y2 eq 0 then begin
	    for i=0, numout-1 do begin
		this_subset = subscripts(i)
		if info.subset.data(this_subset).src_type_flag eq 0 then begin
			handle_value, info.subset.data(this_subset).src_data, hdf_data
		endif else begin
			handle_value, info.subset.data(this_subset).src_data, hdf_data_temp
			hdf_data = reform(hdf_data_temp.components0, n_elements(hdf_data_temp.components0))
		endelse
		this_type = info.subset.data(this_subset).src_types
		this_type = this_type(0)
		filldata_value = get_filldata_value(this_type, info.filldata)
		if filldata_value gt info.filldata then filldata_value = info.filldata
		test_subs = where(hdf_data lt filldata_value, count)
		if count ne 0 then begin
			hdf_data = hdf_data(test_subs)
			max_hdf = max(hdf_data, min=min_hdf)
			if (max_hdf gt temp_max) then temp_max = max_hdf
			if (min_hdf lt temp_min) then temp_min = min_hdf
		endif
	    endfor
	endif else begin
		this_subset = subscripts(0)
                if info.subset.data(this_subset).src_type_flag eq 0 then begin
                        handle_value, info.subset.data(this_subset).src_data, hdf_data
                endif else begin
                        handle_value, info.subset.data(this_subset).src_data, hdf_data_temp
                        hdf_data = reform(hdf_data_temp.components0, n_elements(hdf_data_temp.components0))
                endelse
                this_type = info.subset.data(this_subset).src_types
                this_type = this_type(0)
		filldata_value = get_filldata_value(this_type, info.filldata)
		if filldata_value gt info.filldata then filldata_value = info.filldata
                test_subs = where(hdf_data lt filldata_value, count)
                if count ne 0 then begin
                        hdf_data = hdf_data(test_subs)
                        max_hdf = max(hdf_data, min=min_hdf)
                        if (max_hdf gt temp_max) then temp_max = max_hdf
                        if (min_hdf lt temp_min) then temp_min = min_hdf
                endif
	endelse

	case save_axis_state of
		1: info.axis_state = 4 
		6: info.axis_state = 7
		8: info.axis_state = 9
		else: info.axis_state = 2
	endcase

	temp_max = temp_max + (temp_max - temp_min)*(numout+1)*.05
	info.range.y_start = temp_min
	info.range.y_end = temp_max
endif else begin
	save_y_end = info.range.y_end
	temp_max = info.range.y_end
	temp_min = info.range.y_start
        temp_max = temp_max + (temp_max - temp_min)*(numout+1)*.05
        info.range.y_end = temp_max
endelse

if (info.graph_style eq '2D Graph') and (info.axis_state ne 1 and $
	info.axis_state ne 4 and info.axis_state ne 5 and info.axis_state ne 8 $
	and info.axis_state ne 9) then begin
	temp_max = -999999.0
	for i=0, numout-1 do begin
		this_subset = subscripts(i)
		if info.subset.data(this_subset).src_type_flag eq 0 then begin
			handle_value, info.subset.data(this_subset).src_data, hdf_data
		endif else begin
			handle_value, info.subset.data(this_subset).src_data, hdf_data_temp
			hdf_data = reform(hdf_data_temp.components0, n_elements(hdf_data_temp.components0))
		endelse
		max_num_hdf = n_elements(hdf_data)
		if (max_num_hdf gt temp_max) then temp_max = max_num_hdf
	endfor
	if save_axis_state eq 2 or info.axis_state eq 2 then begin
		info.axis_state = 4 
	endif else if save_axis_state eq 7 or info.axis_state eq 7 then begin
		info.axis_state = 9
	endif else info.axis_state = 1
	info.range.x_start = 0
	info.range.x_end = temp_max
endif

for i=0, numout-1 do begin
	widget_control, set_uvalue=info, info.base
	print_flag = info.multiple.flag
	this_selected = subscripts(i)
	plot_graph, print_flag, this_selected, info
	if info.canceloption eq 'Yes' then begin
		info.canceloption = 'NO'
		widget_control, set_uvalue=info, info.base
		return
	endif
	info.multiple.flag = 1
	info.multiple.number=info.multiple.number + 1
	info.style.linetype = info.style.linetype + 1
	if info.style.linetype gt 5 then info.style.linetype = 0
	if info.style.symbol ne 0 then begin
		if info.style.symbol lt 8 then $
			info.style.symbol = info.style.symbol + 1
		;if info.style.symbol gt 7 then info.style.symbol = 1
		if info.style.symbol eq 8 then begin
			info.style.usersym = info.style.usersym + 1
			if info.style.usersym gt 6 then begin
				info.style.symbol = 1
				info.style.usersym = 0
			endif else set_user_symbol, info.style.usersym
		endif
	endif
endfor

if save_axis_state eq 2 or save_axis_state eq 4 or save_axis_state eq 5 or $
	save_axis_state eq 7 or save_axis_state eq 9 then begin
	info.range.y_end = save_y_end
endif
info.axis_state = save_axis_state
info.style.linetype = save_linetype
info.style.symbol = save_symbol
info.style.usersym = save_usersym
if info.style.symbol eq 8 then begin
	if info.style.usersym eq 0 then info.style.usersym = 4
	set_user_symbol, info.style.usersym
endif
info.subset.selected = subscripts(0)

widget_control, set_uvalue=info, info.base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base

end

;--------------------------------------------------------------------------------
pro do_extract_bits, this_subset, print_flag, info

pro_name = 'do_extract_bits'
@getinfo

if info.subset.count lt 1 then begin
	 the_message = ['You need at least one subset of data', $
			'to do Extract Bits!']
         result=dialog_message(the_message, title='View HDF Warning!')
         return
endif

if print_flag eq 0 then begin
  info.graph_style = 'Extract Bits'
  widget_control, set_uvalue=info, info.base
  get_bits, this_subset, info
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 

endif

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
this_subset = info.bit.index
info.subset.selected = this_subset
data_name = info.subset.data(this_subset).subset_name
data_name = data_name(0)
if info.subset.data(this_subset).src_type_flag eq 0 then begin
        handle_value, info.subset.data(this_subset).src_data, hdf_data_x
	size_hdf_data = size(hdf_data_x)
	hdf_data_x = reform(hdf_data_x,n_elements(hdf_data_x))
endif else begin
        handle_value, info.subset.data(this_subset).src_data, hdf_data_temp
	size_hdf_data = size(hdf_data_temp)
        hdf_data_x = reform(hdf_data_temp.components0, n_elements(hdf_data_temp.components0))
endelse

num_data = n_elements(hdf_data_x)
num_size_data = n_elements(size_hdf_data)

data_type = info.subset.data(this_subset).src_types(0)
if(data_type eq 25 and size_hdf_data(num_size_data-2) eq 5) then $
	hdf_data_x = long(hdf_data_x)
if data_type lt 19 then begin
	the_message = ['The data type of '+data_name+' is not integer.', $
		 'Do you want to change it to integer?', $
                'Press Cancel to cancel this action.']
        result=dialog_message(the_message, /Question, /Cancel, title='View HDF Question!')

        if result eq 'Yes' then begin
		hdf_data_temp = long(hdf_data_x)
		hdf_data_x = hdf_data_temp
	endif else if result eq 'Cancel' then return $
	else begin
		result = dialog_message('The data type must be integer type!', $
		  title='View HDF Warning!')
		return
	endelse
endif

filldata_value = get_filldata_value(data_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata
max_value = get_max_value(data_type, info.filldata)
if max_value gt info.filldata then max_value = info.filldata

filldata = get_filldata_value(24, info.filldata)

subscript = where(hdf_data_x lt filldata_value, count)
if (count eq 0) then begin
	result=dialog_message('All data are fill data!',$
                    title='View HDF Warning!')
         return
endif

start_bit = info.bit.start_bit
num_bit = info.bit.num_bit
end_bit = start_bit + num_bit - 1

hdf_data_z = get_bit_values(num_data,start_bit,num_bit,hdf_data_x)

hdf_data_temp = hdf_data_z(subscript)
z_max = max(hdf_data_temp,min=z_min)

subscript = where(hdf_data_x ge filldata_value, count)
if count ne 0 then hdf_data_z(subscript) = filldata

filename = info.subset.data(this_subset).src_filename

if (print_flag eq 0) then begin
	dot=strpos(data_name,'[')
	if dot ne -1 then dataname=strmid(data_name,0,dot) $
		else dataname = data_name
	temp_name = 'Bits '+strcompress(string(start_bit),/REMOVE_ALL)+':'+ $
		strcompress(string(end_bit),/REMOVE_ALL)+' of '+dataname
	get_variable_name, temp_name, info
	widget_control, get_uvalue=info, info.base
	if info.variablename eq 'None' then return
	the_rank = info.subset.data(this_subset).src_rank
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
	   case size_hdf_data(0) of
		2: hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2))
		3: hdf_data = reform(hdf_data_z, size_hdf_data(1), size_hdf_data(2), $
						 size_hdf_data(3))
		else: hdf_data = hdf_data_z
	   endcase
	endif else begin
  		the_order = info.subset.data(this_subset).src_order(0)
		blank = array_type(24, the_order)
		single_record=create_struct( 'components' + '0', blank) 
		hdf_data=replicate(single_record, size_hdf_data(1))
		jj=0L
		for i=0L, size_hdf_data(1)-1 do begin
			for j=0L, the_order-1 do begin
				hdf_data(i).components0(j) = hdf_data_z(jj)
				jj = jj + 1
			endfor
		endfor
	endelse
	set_statistics_subset, info.variablename, this_subset, the_rank, info, hdf_data

	the_message = [ 'Do you want to plot the result?']
	result=dialog_message(the_message, /Question, title='View HDF Question!')

	if result eq 'No' then return

	base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
		TITLE='Select a Graph Style', XSIZE=240, uvalue=info)

	group1=widget_base(base, column=1, map=1, xoffset=80)

	desc= [ 'Sample' ,	$
		'Time'	]

	info.multiple.xy_diff = 'Sample'
	info = initial_info(info)
	widget_control, set_uvalue=info, base
	widget_control, set_uvalue=info, info.base

	the_style = CW_BGROUP(group1, desc, /return_name, $
		set_value=0, FONT=info.font, $
		event_func='diff_graph', /exclusive)

	group2=widget_base(base, row=1,map=1, space=40, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
		/ALIGN_CENTER)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
		VALUE="Cancel", /ALIGN_CENTER)

	;button1=widget_button(base, FONT=info.font, $
	;	EVENT_PRO='doneCB', VALUE="Done", $
	;	/ALIGN_CENTER)

	widget_control, /realize, base 
	widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
	xmanager, 'main_widget', base

endif

widget_control, /hourglass
widget_control, get_uvalue=info, info.base
if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
endif 

set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle

data_range = ''
data_range = get_data_range(this_subset,info)
if !D.Name eq 'PS' then begin
	the_title=info.variablename + '!C Data Range: ' + data_range
endif else begin
	the_title=info.variablename + '!C!C Data Range: ' + data_range
endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	crit_string = ''
	crit_string = get_crit_string(this_subset, info)
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.120, 0.98, 0.93]
	temp_name = str_sep(crit_string, '!C')
	num_temp = n_elements(temp_name)
	!P.Position(1) = !P.Position(1) + (num_temp-1)*0.025
endif else begin
	if !D.Name eq 'PS' and info.eps_type eq 1 then $
		!P.Position = [0.235, 0.15, 0.99, 0.92] $
		else !P.Position = [0.060, 0.100, 0.98, 0.93]
endelse 

if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
	else plot_symbol = info.style.symbol

ytitle = info.variablename
temp_name = info.subset.data(this_subset).src_unitname
temp_name = temp_name(0)
dot=strpos(temp_name,'N/A')
if( dot eq -1) then ytitle = ytitle + temp_name

get_ticklen, info.style.grid, xticklen, yticklen 

info.slide.x_end = num_data-1
info.slide.x_start = 0
info.slide.y_end = z_max
info.slide.y_start = z_min

if info.multiple.xy_diff eq 'Time' then begin
	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  		this_rank = info.subset.data(this_subset).src_rank
  		start_list = info.subset.data(this_subset).src_start(0:this_rank-1)
  		end_list = info.subset.data(this_subset).src_end(0:this_rank-1)
  		increment_list = info.subset.data(this_subset).src_increment(0:this_rank-1)

  		array_size = long((end_list-start_list)/float(increment_list) + 0.9)

  		hdf_data_time = array_type(6, array_size)
  		if (hdf_data_x(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for Time!',$
				title='View HDF Warning!')
			return
		endif
	endif else begin
		hdf_data_time = make_array(num_data, /DOUBLE)
	endelse

	get_seconds, info, this_subset, hdf_data_time
	subscript = where(hdf_data_time lt 86400.0, count)
	if(count ne 0) then begin
   		hdf_data_time = hdf_data_time(subscript)
		hdf_data_z = hdf_data_z(subscript)
	endif else begin
		result=dialog_message('All the Time field data are fill data!',$
			title='View HDF Warning!')
		return
	endelse
	time_max = max(hdf_data_time, min=time_min)
	info.slide.x_end = time_max
	info.slide.x_start = time_min
	case info.time_type.new of
		0: begin
			hdf_data_time(*) = hdf_data_time(*)/3600.0
			info.slide.x_end = time_max/3600.0
			info.slide.x_start = time_min/3600.0
			xtitle = 'Time of day, hours'
		   end
		1: begin
			hdf_data_time(*) = hdf_data_time(*)/60.0
			info.slide.x_end = time_max/60.0
			info.slide.x_start = time_min/60.0
			xtitle = 'Time of day, minutes'
		   end
		else: xtitle = 'Time of day, seconds'
	endcase

	if(widget_info(info.widgets.startfield, /VALID_ID)) then begin
	  if info.time_type.old ne info.time_type.new then begin
	    widget_control, info.widgets.startfield, get_value=x_start
	    widget_control, info.widgets.rangefield, get_value=x_range
	    case info.time_type.old of
	       0: begin
		   x_start = x_start * 3600.0
		   x_range = x_range * 3600.0
		end
	       1: begin
		   x_start = x_start * 60.0
		   x_range = x_range * 60.0
		end
	       else:
	    endcase

	    case info.time_type.new of
	       0: begin
	  	   x_start = x_start / 3600.0
		   x_range = x_range / 3600.0
		   if x_range le 1 then x_range = 1
		end
	       1: begin
		   x_start = x_start / 60.0
		   x_range = x_range / 60.0
		   if x_range le 1 then x_range = 1
		end
	       else:
	    endcase
	    x_max = max(hdf_data_time, min=x_min)
	    x_int_max = long(x_max)
	    x_int_min = long(x_min)
	    if x_int_max eq x_int_min then x_max = x_min + x_range
	    info.range.x_start = x_start
	    info.range.x_end = x_start + x_range
	    info.save.x_start = x_min
	    info.save.x_end = x_max
	    widget_control, info.widgets.rangefield, set_value=x_range
	    widget_control, info.widgets.startslide, set_slider_min=x_min
	    widget_control, info.widgets.startslide, set_slider_max=x_max
	    widget_control, info.widgets.startslide, set_slider_min=x_min
	    widget_control, info.widgets.startslide, set_value=x_start
	    widget_control, info.widgets.startfield, set_value=x_start
	    info.time_type.old = info.time_type.new
	    set_axis_ranges, info, YRange, Ystyle, XRange, Xstyle, ZRange, Zstyle
	  endif
	endif else info.time_type.old = info.time_type.new

	if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , info.variablename, info

	xtitle= '!C' + xtitle + '!C'
	if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	endif

	plot,hdf_data_time, hdf_data_z, $
        	MAX_VALUE = max_value, /YNOZERO, /NODATA, $
		FONT=info.char.font, $
		charsize=info.char.size, $
        	xtitle=xtitle, $
        	ytitle=ytitle, $
		title=the_title, $
        	xticklen=xticklen, yticklen=yticklen, $
		subtitle="File: " + filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle

	oplot, hdf_data_time, hdf_data_z,MAX_VALUE = max_value, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

endif else begin

	if (print_flag eq 0) or (print_flag eq 3) then plot_dialogue , info.variablename, info

	xtitle='!CSample!C'
	if !D.Name eq 'PS' then begin
		old_charsize = !X.CHARSIZE
		!X.CHARSIZE = 0.9
		!Y.CHARSIZE = 0.9	
	endif

	plot,hdf_data_z, $
        	MAX_VALUE = max_value, /YNOZERO, /NODATA, $
		FONT=info.char.font, $
		charsize=info.char.size, $
        	xtitle=xtitle, $
        	ytitle=ytitle, $
		title=the_title, $
        	xticklen=xticklen, yticklen=yticklen, $
		subtitle="File: " + filename + "  Date:" + systime(0), $
        	xrange=XRange, yrange=YRange, xstyle=Xstyle, ystyle=Ystyle

	oplot, hdf_data_z,MAX_VALUE = max_value, $
		psym = plot_symbol, linestyle=info.style.linetype, $
		symsize = info.style.symbolsize

endelse

if info.subset.data(this_subset).src_crit_flag eq 1 then begin
	if !D.Name eq 'PS' then begin
		charsize = 0.9*info.char.size
		y_location = 0.125
	endif else begin
		charsize = info.char.size
		y_location = 0.11
	endelse
	;xyouts, !P.Position(0), !P.Position(1)-y_location, crit_string, /NORMAL, $
	xyouts, 0.08, !P.Position(1)-y_location, crit_string, /NORMAL, $
		font=info.char.font, charsize=charsize
endif

if info.addtext.key eq 1 then write_add_text, info

if !D.Name eq 'PS' then begin
	!X.CHARSIZE = old_charsize
	!Y.CHARSIZE = old_charsize
endif

!P.Position = [0.0, 0.0, 0.0, 0.0]

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro file_save_eps_new, info, eps_type

pro_name = 'file_save_eps'
@getinfo

count = check_directory(info.eps_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.eps_path = pwd
endif
filename = dialog_pickfile(title='Encapsulated Postscript Output File',/write, $
		path=info.eps_path, file=info.eps_file, $
		get_path=this_path, filter='*.eps')

if filename eq "" then return

print_result=STRPOS(filename, this_path)

if print_result eq -1 then filename=this_path+filename
print, 'Encapsulated Postscript save to = ', filename

info.eps_path = this_path
default_file = ''
default_file = get_default_file(filename)
if default_file ne 'None' then info.eps_file = default_file

TVLCT, R, G, B, /GET
set_plot,"PS", /INTERPOLATE

i_p_old = 0
;if eps_type eq 0 then begin
;   device, filename=filename, /color, /PORTRAIT, /encapsulated, $
;        /inches, xsize=7.0, ysize=5.40, bits_per_pixel=8
;endif else begin
;  if info.graph_style eq 'Geolocated' then begin
;     device, filename=filename, /color, /LANDSCAPE, /encapsulated, $
;        /inches, xsize=9.0, ysize=6.95, bits_per_pixel=8
;  endif else begin
;     p_old = !P.Position
;     !P.Position = [0.235, 0.15, 0.99, 0.95] 
;     device, filename=filename, /color, /LANDSCAPE, /encapsulated, $
;        /inches, xsize=9.0, ysize=6.95, bits_per_pixel=8
;     i_p_old = 1
;  endelse
;endelse
if eps_type eq 0 then begin
   device, filename=filename, /color, /PORTRAIT, /encapsulated, $
        bits_per_pixel=8
endif else begin
  if info.graph_style eq 'Geolocated' then begin
     device, filename=filename, /color, /LANDSCAPE, /encapsulated, $
        bits_per_pixel=8
  endif else begin
     device, filename=filename, /color, /LANDSCAPE, /encapsulated, $
        bits_per_pixel=8
  endelse
endelse

info.eps_type = 0
;info.eps_type = eps_type
charsize_old = info.char.size
info.char.size = 0.80
info.char.font = 5
widget_control, set_uvalue=info, info.base

if info.multiple.key eq 1 then begin
	do_more_variables, 2, info
endif else begin
   case info.graph_style of
	'XY Plot': do_xy_plot, 1, info 
	'XYZ Plot': do_xyz_plot, 1, info
	'Y1Y2 Compute': do_y1y2_compute, 1, info 
	'Y1 Compute': do_y1_compute, 1, info 
	'Curve Fit': do_curve_fit, 1, info.curvefit_type, info 
	'Extract Bits': do_extract_bits, info.subset.selected, 1, info 
	else: plot_graph, 1, info.subset.selected, info
   endcase
endelse

device,/close

command = 'grep -i showpage '+ filename
spawn, command, result
result = result(0)
if result ne 'showpage' then begin
  tempname=info.temp_dir+'/.'+info.tempname+'_tmp'
  command = "awk '{print ; if($1 == " + '"%%PageTrailer") { print"showpage" } }'+"'"
  command = command + ' ' + filename + ' > ' + tempname
  spawn, command, result
  command = 'mv -f ' + tempname + ' ' + filename
  spawn, command, result
endif

info.char.size = charsize_old
info.char.font = -1
info.eps_type = 0
set_plot,"X"
TVLCT, R, G, B
if !P.BACKGROUND ne 0 then set_plot, "X"

end

;--------------------------------------------------------------------------------
pro file_save_eps, info, eps_type

pro_name = 'file_save_eps'
@getinfo

count = check_directory(info.eps_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.eps_path = pwd
endif
filename = dialog_pickfile(title='Encapsulated Postscript Output File',/write, $
		path=info.eps_path, file=info.eps_file, $
		get_path=this_path, filter='*.eps')

if filename eq "" then return

print_result=STRPOS(filename, this_path)

if print_result eq -1 then filename=this_path+filename
print, 'Encapsulated Postscript save to = ', filename

info.eps_path = this_path
default_file = ''
default_file = get_default_file(filename)
if default_file ne 'None' then info.eps_file = default_file

TVLCT, R, G, B, /GET
set_plot,"PS", /INTERPOLATE

i_p_old = 0
if eps_type eq 0 then begin
   device, filename=filename, /color, /PORTRAIT, /encapsulated, $
        /inches, xsize=7.0, ysize=5.40, bits_per_pixel=8
endif else begin
  if info.graph_style eq 'Geolocated' then begin
     device, filename=filename, /color, /LANDSCAPE, /encapsulated, $
        /inches, xsize=9.0, ysize=6.95, bits_per_pixel=8
  endif else begin
     p_old = !P.Position
     !P.Position = [0.235, 0.15, 0.99, 0.95] 
     device, filename=filename, /color, /LANDSCAPE, /encapsulated, $
        /inches, xsize=9.0, ysize=6.95, bits_per_pixel=8
     i_p_old = 1
  endelse
endelse

info.eps_type = eps_type
charsize_old = info.char.size
info.char.size = 0.70
info.char.font = 5
widget_control, set_uvalue=info, info.base

if info.multiple.key eq 1 then begin
	do_more_variables, 2, info
endif else begin
   case info.graph_style of
	'XY Plot': do_xy_plot, 1, info 
	'XYZ Plot': do_xyz_plot, 1, info
	'Y1Y2 Compute': do_y1y2_compute, 1, info 
	'Y1 Compute': do_y1_compute, 1, info 
	'Curve Fit': do_curve_fit, 1, info.curvefit_type, info 
	'Extract Bits': do_extract_bits, info.subset.selected, 1, info 
	else: plot_graph, 1, info.subset.selected, info
   endcase
endelse

device,/close

if i_p_old eq 1 then begin
   !P.Position = p_old
   i_p_old = 0
endif

command = 'grep -i showpage '+ filename
spawn, command, result
result = result(0)
if result ne 'showpage' then begin
  tempname=info.temp_dir+'/.'+info.tempname+'_tmp'
  command = "awk '{print ; if($1 == " + '"%%PageTrailer") { print"showpage" } }'+"'"
  command = command + ' ' + filename + ' > ' + tempname
  spawn, command, result
  command = 'mv -f ' + tempname + ' ' + filename
  spawn, command, result
endif

info.char.size = charsize_old
info.char.font = -1
info.eps_type = 0
set_plot,"X"
TVLCT, R, G, B
if !P.BACKGROUND ne 0 then set_plot, "X"

end

;--------------------------------------------------------------------------------
pro file_save_ps, flag, info

pro_name = 'file_save_ps'
@getinfo

; Note: Need to Change the Printer fonts

if (flag eq 0) then begin

	count = check_directory(info.ps_path, info.home_path)
	if count eq 0 then begin
		CD, '.', CURRENT=pwd
		info.ps_path = pwd
	endif
	filename = dialog_pickfile(title='Postscript Output File',/write, $
			path=info.ps_path, file=info.ps_file, $
                        get_path=this_path, filter='*.ps')

	if filename eq "" then return

	print_result=STRPOS(filename, this_path)
	if print_result eq -1 then filename=this_path+filename
	print, 'Postscript save to = ', filename

	info.ps_path = this_path
	default_file = ''
	default_file = get_default_file(filename)
	if default_file ne 'None' then info.ps_file = default_file

endif else filename=info.temp_dir+'/.'+info.tempname+'_ps'

TVLCT, R, G, B, /GET
set_plot,"PS", /INTERPOLATE

   device, filename=filename, /color, /landscape, encapsulated=0, $
	bits_per_pixel=8

info.eps_type = 0
charsize_old = info.char.size
info.char.size = 0.8
info.char.font = 5
widget_control, set_uvalue=info, info.base
if info.multiple.key eq 1 then begin
	do_more_variables, 2, info
endif else begin
	case info.graph_style of
	  'XY Plot': do_xy_plot, 1, info 
	  'XYZ Plot': do_xyz_plot, 1, info
	  'Y1Y2 Compute': do_y1y2_compute, 1, info 
	  'Y1 Compute': do_y1_compute, 1, info 
	  'Curve Fit': do_curve_fit, 1, info.curvefit_type, info 
	  'Extract Bits': do_extract_bits, info.subset.selected, 1, info 
	  else: plot_graph, 1, info.subset.selected, info
	endcase
endelse

device,/close

;command = 'grep -i showpage '+ filename
;spawn, command, result
;result = result(0)
;if result ne 'showpage' then begin
;  tempname='/CERES/scratch/idltemp/.'+info.tempname+'_tmp'
  ;command = 'echo "showpage" >> ' + filename
  ;command = 'showpage.csh ' + filename
;  command = "awk '{print ; if($1 == " + '"%%PageTrailer") { print"showpage" } }'+"'"
;  command = command + ' ' + filename + ' > ' + tempname
  ;print, 'in file_save_ps, command = ', command
;  spawn, command, result
;  command = 'mv -f ' + tempname + ' ' + filename
;  spawn, command, result
;endif

info.char.size = charsize_old
info.char.font = -1
set_plot,"X"
TVLCT, R, G, B
if !P.BACKGROUND ne 0 then set_plot, "X"

end

;--------------------------------------------------------------------------------
pro file_save_gif, info

pro_name = 'file_save_gif'
@getinfo

count = check_directory(info.gif_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.gif_path = pwd
endif
filename = dialog_pickfile(title='GIF Output File',/write, $
	path=info.gif_path, file=info.gif_file, $
	get_path=this_path, filter='*.gif')

if filename eq "" then return

print_result=STRPOS(filename, this_path)
if print_result eq -1 then filename=this_path+filename
print, 'GIF file save to = ', filename

info.gif_path = this_path
default_file = ''
default_file = get_default_file(filename)
if default_file ne 'None' then info.gif_file = default_file

tvlct,r1,g1,b1,/get
write_gif, filename, TVRD(), r1,g1,b1

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro filter_tri, hdf_data_x, hdf_data_y, tri, gridspace

pro_name = 'filter_tri'
@getinfo

toler = sqrt(gridspace(0)*gridspace(0) + gridspace(1)*gridspace(1)) * 5
;print,'gridspace = ',gridspace
;print,'toler = ',toler

xdiff = hdf_data_x(tri(1,*)) - hdf_data_x(tri(0,*))
ydiff = hdf_data_y(tri(1,*)) - hdf_data_y(tri(0,*))
distance = sqrt(xdiff*xdiff + ydiff*ydiff)
subscripts = where(distance lt toler, count)
if count ne 0 then tri = tri(*,subscripts) $
else begin
	tri(0,0) = -999
	return
endelse

xdiff = hdf_data_x(tri(2,*)) - hdf_data_x(tri(1,*))
ydiff = hdf_data_y(tri(2,*)) - hdf_data_y(tri(1,*))
distance = sqrt(xdiff*xdiff + ydiff*ydiff)
subscripts = where(distance lt toler, count)
if count ne 0 then tri = tri(*,subscripts) $
else begin
	tri(0,0) = -999
	return
endelse

xdiff = hdf_data_x(tri(0,*)) - hdf_data_x(tri(2,*))
ydiff = hdf_data_y(tri(0,*)) - hdf_data_y(tri(2,*))
distance = sqrt(xdiff*xdiff + ydiff*ydiff)
subscripts = where(distance lt toler, count)
if count ne 0 then tri = tri(*,subscripts) $
else begin
	tri(0,0) = -999
	return
endelse

end 

;--------------------------------------------------------------------------------
pro backgroundCB, event

pro_name = 'backgroundCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.background, get_value=background

if background lt 0 then background = 0
if background gt !D.N_COLORS - 1 then background = !D.N_COLORS - 1
!P.BACKGROUND = background
if(widget_info(info.widgets.base, /VALID_ID)) then begin
	info.view.p_old.BACKGROUND = background
        widget_control, set_uvalue=info, info.widgets.base
endif
print,'Background color =',background
if !P.BACKGROUND eq !P.COLOR then begin
	message=['The background color is set to same as foreground color', $
		 'you need to change the foreground color to distinguish the data!']
        result=dialog_message(message, title='View HDF Warning!')
endif

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro change_background, info

pro_name = 'change_background'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Define Background Color')

b_group=widget_base(base, row=1,map=1)

info.widgets.background = CW_FIELD(b_group, VALUE=!P.BACKGROUND, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Background Color:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='backgroundCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base

end


;--------------------------------------------------------------------------------
pro foregroundCB, event

pro_name = 'foregroundCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.foreground, get_value=foreground

if foreground lt 0 then foreground = 0
if foreground gt !D.N_COLORS - 1 then foreground = !D.N_COLORS - 1
!P.COLOR = foreground
if(widget_info(info.widgets.base, /VALID_ID)) then begin
        info.view.p_old.COLOR = foreground
        widget_control, set_uvalue=info, info.widgets.base
endif
print,'Foreground color =',foreground
if !P.COLOR eq !P.BACKGROUND then begin
	message=['The foreground color is set to same as background color', $
		 'you need to change the background color to distinguish the data!']
        result=dialog_message(message, title='View HDF Warning!')
endif

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro change_foreground, info

pro_name = 'change_foreground'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Define Forekground Color')

f_group=widget_base(base, row=1,map=1)

info.widgets.foreground = CW_FIELD(f_group, VALUE=!P.COLOR, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Foreground Color:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='foregroundCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base

end

;--------------------------------------------------------------------------------
pro change_data_type, this_subset, info

pro_name = 'change_data_type'
@getinfo

data_name = info.subset.data(this_subset).subset_name
data_name = data_name(0)
dot=strpos(data_name, '[')
if( dot ne -1) then begin
	xtitle=strmid(data_name,0,dot)
endif else xtitle = data_name
if info.subset.data(this_subset).src_type_flag eq 0 then begin
	handle_value, info.subset.data(this_subset).src_data, hdf_data_x
	size_hdf_data = size(hdf_data_x)
	hdf_data_x = reform(hdf_data_x,n_elements(hdf_data_x))
endif else begin
	handle_value, info.subset.data(this_subset).src_data, hdf_data_temp
	hdf_data_x = hdf_data_temp.components0
	size_hdf_data = size(hdf_data_x)
	hdf_data_x = reform(hdf_data_x,n_elements(hdf_data_x))
endelse
data_type = info.subset.data(this_subset).src_types(0)
filldata_value = get_filldata_value(data_type, info.filldata)
if filldata_value gt info.filldata then filldata_value = info.filldata

idltypename = size(hdf_data_x, /TNAME)
hdftypename = convert_idltypename_hdftypename(idltypename)

the_list = ['DFNT_FLOAT32', 'DFNT_FLOAT64', 'DFNT_UINT8', 'DFNT_INT16', $
		'DFNT_INT32', 'DFNT_CHAR']
if info.version gt 5.2 then the_list = [the_list, 'DFNT_UINT16', 'DFNT_UINT32', $
	'DFNT_INT64', 'DFNT_UINT64']
the_list = [the_list, 'Cancel']
num_list = n_elements(the_list)
title = 'Change Data Type'
the_message = ['The original data type of', xtitle, 'is '+hdftypename, ' ', $
	'Please select one of the follwing type to convert:']
default_option = num_list-1
sel_option = get_option(default_option,the_list,title,the_message,info)
if sel_option eq num_list-1 then return

changetypename = the_list(sel_option)
if changetypename eq hdftypename then return

changehdftype = convert_hdftypename_hdftype(changetypename)
changeidltype = convert_hdftype_idltype(changehdftype)

change_filldata = get_filldata(changehdftype, info.filldata)

subscript = where(hdf_data_x ge filldata_value, count)
case changeidltype of
	1: hdf_data_x = byte(hdf_data_x)
	2: hdf_data_x = fix(hdf_data_x)
	3: hdf_data_x = long(hdf_data_x)
	4: hdf_data_x = float(hdf_data_x)
	5: hdf_data_x = double(hdf_data_x)
	7: hdf_data_x = byte(hdf_data_x)
	12: hdf_data_x = uint(hdf_data_x)
	13: hdf_data_x = ulong(hdf_data_x)
	14: hdf_data_x = long64(hdf_data_x)
	15: hdf_data_x = ulong64(hdf_data_x)
	else:
endcase

if count ne 0 then hdf_data_x(subscript) = change_filldata

if info.subset.data(this_subset).src_type_flag eq 0 then begin
	case size_hdf_data(0) of
		2: hdf_data = reform(hdf_data_x, size_hdf_data(1), size_hdf_data(2))
		3: hdf_data = reform(hdf_data_x, size_hdf_data(1), size_hdf_data(2), $
			size_hdf_data(3))
		else: hdf_data = hdf_data_x
	endcase
endif else begin
	if size_hdf_data(0) eq 1 then begin
		the_order = 1
		num_rec = size_hdf_data(1)
	endif else begin
		the_order = size_hdf_data(1)
		num_rec = size_hdf_data(2)
	endelse
	blank = array_type(changehdftype, the_order)
	single_record=create_struct( 'components' + '0', blank)
	hdf_data=replicate(single_record, num_rec)
	jj=0L
	for i=0L, num_rec-1 do begin
		for j=0L, the_order-1 do begin
			hdf_data(i).components0(j) = hdf_data_x(jj)
			jj = jj + 1
		endfor
	endfor
endelse

info.subset.data(this_subset).src_types(0) = long(changehdftype)
handle_free, info.subset.data(this_subset).src_data
info.subset.data(this_subset).src_data = handle_create()
handle_value, info.subset.data(this_subset).src_data, hdf_data, /set

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro check_file, info

pro_name = 'check_file'
@getinfo

    widget_control,info.widgets.current_file,get_value=filename
    filename = filename(0)

    result = where(info.name_list_vdata eq 'CERES_metadata', count)
    if count eq 0 then return

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result eq "BAD" then return
    
    	the_vfield_list = str_sep(the_result, ',')

	the_nrec=1L

    result = where(the_vfield_list eq 'LOCALGRANULEID', count)
    if count eq 0 then return

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)
	the_types=long(1)
	the_order=long(1)

	this_start = 0L
	this_end = the_nrec
	this_increment = 1L

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	if the_types(0) ne 4 then return
	blank = array_type(20L, the_order+1)
	single_record=create_struct( 'components' + '0', blank)
	output_data=replicate(single_record, (the_nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	if the_result eq -1 then return 

	  num_rec = 1
	  single_record=create_struct( 'components' + '0', '')
	  output_data_1=replicate(single_record, num_rec)
 
	  output_data_1(0).components0 = ''
	  j=0L
	  while((output_data.components0(j) ne 0) and (j lt the_order)) do begin
	    output_data_1(0).components0 = output_data_1(0).components0 + string(output_data.components0(j))
	    j=j+1
	    if j eq the_order then output_data.components0(j) = 0
	  endwhile
	  output_data = output_data_1 

	test_filename=STRPOS(output_data.components0, 'CER_ES8')
	if test_filename eq -1 then info.filldata = 1.0E+35 $
		else info.filldata = 32700 

	test_filename=STRPOS(output_data.components0, 'CER_SSF')
	if test_filename ne -1 then info.ssf.file = 1

	test_filename=STRPOS(output_data.components0, 'CER_CRS')
	if test_filename ne -1 then info.ssf.file = 1

	test_filename=STRPOS(output_data.components0, 'CER_BDS')
	if test_filename ne -1 then info.bds_file = 1

end

;--------------------------------------------------------------------------------
pro create_subset, info, this_subset

pro_name = 'create_subset'
@getinfo

get_criterion, info, 1

widget_control, /hourglass

widget_control, get_uvalue=info, info.base
if info.criterion.flag eq 0 then return

x_starting=info.subset.data(this_subset).src_start(0)
x_ending=info.subset.data(this_subset).src_end(0)
if info.subset.data(this_subset).src_type_flag eq 1 then x_ending = x_ending + 1
x_increment=info.subset.data(this_subset).src_increment(0)

c_starting=info.subset.data(info.criterion.index).src_start(0)
c_ending=info.subset.data(info.criterion.index).src_end(0)
c_increment=info.subset.data(info.criterion.index).src_increment(0)
if info.subset.data(info.criterion.index).src_type_flag eq 1 then c_ending = c_ending + 1
if(c_starting gt x_starting or c_ending lt x_ending) then begin
	the_message = ['The range of criterion data is less than selected data!',$
			'Increase the range of criterion data and do it again!!!']
	result=dialog_message(the_message, title='View HDF Warning!')
	info.criterion.flag = 0
	WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
	return
endif

if(c_increment ne 1 and c_increment ne x_increment) then begin
	the_message = ['The increment of criterion data is not equal selected data,',$
			'or the increment of criterion data is not equal to ONE!', $
			'Change the increment of criterion data and do it again!!!']
	result=dialog_message(the_message, title='View HDF Warning!')
	info.criterion.flag = 0
	WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
	return
endif

handle_value, info.subset.data(info.criterion.index).src_data, criterion_data
size_c_data = size(criterion_data)
c_begin = x_starting - c_starting
c_end = x_ending - c_starting - 1

case size_c_data(0) of
	1: begin
		if x_increment eq 1 and c_increment eq 1 then begin
			criterion_data = criterion_data(c_begin:c_end)
		endif else if x_increment eq c_increment then begin
			check_mod = c_begin mod x_increment
			if check_mod ne 0 then begin
				the_message = ['The location of criterion data is not matched selected data,',$
					'Change the location of criterion data and do it again!!!']
				result=dialog_message(the_message, title='View HDF Warning!')
				info.criterion.flag = 0
				WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
				return
			endif
			real_start = c_begin/x_increment
			real_end = long((c_end+1.0)/x_increment + 0.9) - 1
			criterion_data = criterion_data(real_start:real_end)
		endif else begin
			array_size = long((x_ending-x_starting)/float(x_increment) + 0.9)
			the_type = info.subset.data(info.criterion.index).src_types
			the_type = the_type(0)
			if info.subset.data(info.criterion.index).src_type_flag eq 0 then begin
				criterion_temp_data = array_type(the_type, array_size)
				if (criterion_temp_data(0) eq -1) then begin
				   result=dialog_message('Unable to allocate memory for temporary criterion data!',$
				   title='View HDF Warning!')
				   info.criterion.flag = 0
				   WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
        			   return
				endif
				jj = 0L
				for j = c_begin, c_end, x_increment do begin
					criterion_temp_data(jj)= criterion_data(j)
					jj = jj + 1
				endfor
			endif else begin
				the_order = info.subset.data(info.criterion.index).src_order(0)
				the_order = the_order(0)
				blank = array_type(the_type, the_order)
				if (blank(0) eq -1) then begin
				   result=dialog_message('Unable to allocate memory for temporary criterion data!',$
				   title='View HDF Warning!')
				   info.criterion.flag = 0
				   WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
        			   return
				endif
				single_record=create_struct( 'components' + '0', blank) 
				criterion_temp_data=replicate(single_record, array_size)
				jj = 0L
				for j = c_begin, c_end, x_increment do begin
					criterion_temp_data(jj).components0 = criterion_data(j).components0
					jj = jj + 1
				endfor
			endelse
			criterion_data = criterion_temp_data
		endelse
	   end 
	2: begin
		if x_increment eq 1 and c_increment eq 1 then begin
			criterion_data = criterion_data(*,c_begin:c_end)
		endif else if x_increment eq c_increment then begin
			check_mod = c_begin mod x_increment
			if check_mod ne 0 then begin
				the_message = ['The location of criterion data is not matched selected data,',$
					'Change the location of criterion data and do it again!!!']
				result=dialog_message(the_message, title='View HDF Warning!')
				info.criterion.flag = 0
				WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
				return
			endif
			real_start = c_begin/x_increment
			real_end = long((c_end+1.0)/x_increment + 0.9) - 1
			criterion_data = criterion_data(*,real_start:real_end)
		endif else begin
			start_list = info.subset.data(info.criterion.index).src_start(0:1)
			end_list = info.subset.data(info.criterion.index).src_end(0:1)
			increment_list = info.subset.data(info.criterion.index).src_increment(0:1)
			start_list(0) = x_starting
			end_list(0) = x_ending
			increment_list(0) = x_increment
			array_size = long((end_list-start_list)/float(increment_list) + 0.9)
			the_type = info.subset.data(info.criterion.index).src_types
			the_type = the_type(0)
			criterion_temp_data = array_type(the_type, array_size)
			if (criterion_temp_data(0) eq -1) then begin
				result=dialog_message('Unable to allocate memory for temporary criterion data!',$
					title='View HDF Warning!')
				info.criterion.flag = 0
				WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
				return
			endif
			jj = 0L
			for j = c_begin, c_end, x_increment do begin
				criterion_temp_data(*, jj) = criterion_data(*, j)
				jj = jj + 1
			endfor
			criterion_data = criterion_temp_data
		endelse
	   end 
	else: begin
		the_message = ['The rank of criterion data is not supported!',$
				'Check the criterion data and do it again!!!']
		result=dialog_message(the_message, title='View HDF Warning!')
		info.criterion.flag = 0
		WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
		return
	      end
endcase

this_type = info.subset.data(this_subset).src_types
this_type = this_type(0)
filldata = get_filldata(this_type, info.filldata)
;case this_type of
;	21: filldata = 255
;	22: filldata = 32767
;	23: filldata = 65535
;	24: filldata = 2147483647
;	25: filldata = 2147483647
;	else: begin
;		if info.filldata lt 3.0E+37 then filldata = info.filldata * 10  $
;			else filldata = 3.0E+38
;	     end
;endcase

crite_name = strlowcase(info.criterion.name)
check_longitude = strpos(crite_name, 'longitude')
if check_longitude ne -1 then crite_long = 1 $
        else crite_long = 0
if crite_long eq 1 then begin
    cross_green = 0
    if info.criterion.min lt 0.0 and info.criterion.max ge 0.0 then begin
	if info.criterion.min ge -180.0 and info.criterion.max le 180.0 then $
	    cross_green = 1
    endif
    if info.criterion.min gt info.criterion.max then begin
	if info.criterion.min lt 360.0 and info.criterion.max ge 0.0 then begin
	    info.criterion.min = info.criterion.min - 360.0
	    cross_green = 1
	endif
    endif
    crite_type = info.subset.data(info.criterion.index).src_types
    crite_type = crite_type(0)
    crite_filldata = get_filldata(crite_type, info.filldata)
    crite_temp_data = criterion_data
    neg_long = where(crite_temp_data lt crite_filldata, count)
    if count ne 0 then crite_temp_data = crite_temp_data(neg_long) $
    else begin
	the_message = ['All the criterion data are filled data!']
	result=dialog_message(the_message, title='View HDF Warning!')
	info.criterion.flag = 0
	WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
	return
    endelse
    crite_max = max(crite_temp_data, min=crite_min)
    if cross_green eq 0 then begin
	if (crite_min lt 0.0 and crite_min gt -180.0) then begin
	    neg_long = where(criterion_data lt 0.0 and criterion_data lt crite_filldata, count)
	    if count ne 0 then criterion_data(neg_long) = 360.0 + criterion_data(neg_long)
	endif
	if info.criterion.max eq 0.0 and info.criterion.min lt 0.0 then $
	    info.criterion.max = 360.0
	if info.criterion.min lt 0.0 and info.criterion.min gt -180.0 then $
	    info.criterion.min = 360.0 + info.criterion.min
	if info.criterion.max lt 0.0 and info.criterion.max gt -180.0 then $
	    info.criterion.max = 360.0 + info.criterion.max
    endif else begin
	if (crite_max lt 360.0 and crite_max gt 180.0) then begin
	    neg_long = where(criterion_data gt 180.0 and criterion_data lt crite_filldata, count)
	    if count ne 0 then criterion_data(neg_long) = criterion_data(neg_long) - 360.0
	endif
    endelse
endif

handle_value, info.subset.data(this_subset).src_data, hdf_data
size_hdf_data = size(hdf_data)
case size_hdf_data(0) of
	1: begin
		if info.subset.data(this_subset).src_type_flag eq 0 then begin
			crite_temp_data = criterion_data 
			size_c_data = size(crite_temp_data)
			if(size_c_data(0) gt 1) then begin
				temp = 168
				if size_c_data(1) lt 168 then temp = fix(size_c_data(1)/2)
				crite_temp_data = crite_temp_data(temp,*)
			endif else if info.subset.data(info.criterion.index).src_type_flag eq 1 then begin
				crite_temp = crite_temp_data(*).components0(0)
				crite_temp_data = crite_temp
			endif
			if info.criterion.type eq 1 then begin
			    subscripts = where(crite_temp_data ge info.criterion.min and $
				crite_temp_data le info.criterion.max, count)
			endif else begin
			    subscripts = where(crite_temp_data lt info.criterion.min or $
				crite_temp_data gt info.criterion.max, count)
			endelse
			if count gt 0 then hdf_data(subscripts) = filldata
		endif else begin
			if info.subset.data(info.criterion.index).src_type_flag eq 0 then begin
				crite_temp_data = criterion_data
				size_c_data = size(crite_temp_data)
				if(size_c_data(0) gt 1) then begin
					temp = 168
					if size_c_data(1) lt 168 then temp = fix(size_c_data(1)/2)
					crite_temp_data = crite_temp_data(temp,*)
				endif 
				if info.criterion.type eq 1 then begin
				    subscripts = where(crite_temp_data ge info.criterion.min and $
					crite_temp_data le info.criterion.max, count)
				endif else begin
				    subscripts = where(crite_temp_data lt info.criterion.min or $
					crite_temp_data gt info.criterion.max, count)
				endelse
				if count gt 0 then hdf_data(subscripts).components0(*) = filldata
			endif else begin
				the_order = info.subset.data(this_subset).src_order(0)
				crite_order = info.subset.data(info.criterion.index).src_order(0)
				if crite_order eq the_order then begin
					for j=0,size_hdf_data(1)-1 do begin
						crite_temp_data = criterion_data(j).components0
						if info.criterion.type eq 1 then begin
						    subscripts = where(crite_temp_data ge info.criterion.min and $
							crite_temp_data le info.criterion.max, count)
						endif else begin
						    subscripts = where(crite_temp_data lt info.criterion.min or $
                                        		crite_temp_data gt info.criterion.max, count)
						endelse
                                		if count gt 0 then $
							hdf_data(j).components0(subscripts) = filldata
					endfor
				endif else begin
					crite_temp_data = criterion_data(*).components0(0)
					if info.criterion.type eq 1 then begin
					    subscripts = where(crite_temp_data ge info.criterion.min and $
						crite_temp_data le info.criterion.max, count)
					endif else begin
                        		    subscripts = where(crite_temp_data lt info.criterion.min or $
                                		crite_temp_data gt info.criterion.max, count)
					endelse
                        		if count gt 0 then hdf_data(subscripts).components0(*) = filldata	
				endelse
			endelse
		endelse
	  end
	2: begin
		crite_temp_data = criterion_data 
		size_c_data = size(crite_temp_data)
		if(size_c_data(0) eq 1) then begin
			if info.subset.data(info.criterion.index).src_type_flag eq 1 then begin
				crite_temp = crite_temp_data(*).components0(0)
				crite_temp_data = crite_temp
			endif
			if info.criterion.type eq 1 then begin
			    subscripts = where(crite_temp_data ge info.criterion.min and $
				crite_temp_data le info.criterion.max, count)
			endif else begin
			    subscripts = where(crite_temp_data lt info.criterion.min or $
				crite_temp_data gt info.criterion.max, count)
			endelse
			if count gt 0 then hdf_data(*,subscripts) = filldata
		endif else begin
			y_starting=info.subset.data(this_subset).src_start(1)
			y_ending=info.subset.data(this_subset).src_end(1)
			y_increment=info.subset.data(this_subset).src_increment(1)
			cy_starting=info.subset.data(info.criterion.index).src_start(1)
			cy_ending=info.subset.data(info.criterion.index).src_end(1)
			cy_increment=info.subset.data(info.criterion.index).src_increment(1)
			if(cy_starting gt y_starting or cy_ending lt y_ending) then begin
				the_message = ['The range of criterion data is less than selected data!',$
					'Increase the range of criterion data and do it again!!!']
				result=dialog_message(the_message, title='View HDF Warning!')
				info.criterion.flag = 0
				WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
				return
			endif
			if(cy_increment ne 1 and cy_increment ne y_increment) then begin
				the_message = ['The increment of criterion data is not equal selected data,',$
					'or the increment of criterion data is not equal to ONE!', $
				'Change the increment of criterion data and do it again!!!']
				result=dialog_message(the_message, title='View HDF Warning!')
				info.criterion.flag = 0
				WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
				return
			endif
			cy_begin = y_starting - cy_starting
			cy_end = y_ending - cy_starting - 1
			if y_increment eq 1 and cy_increment eq 1 then begin
				;if (size_c_data(1) lt size_hdf_data(1)) or (cy_begin lt 0) or $
				 ;  (cy_end gt size_c_data(1)) then begin
					;the_message = ['The range of criterion data is less than subset data!',$
                                        	;'Increase the range of criterion data and do it again!!!']
                			;result=dialog_message(the_message, title='View HDF Warning!')
					;info.criterion.flag = 0
					;WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
                			;return
              			;endif
				jj = 0
				for j=cy_begin, cy_end do begin
					crite_temp_data = criterion_data(j,*)
					if info.criterion.type eq 1 then begin
					    subscripts = where(crite_temp_data ge info.criterion.min and $
						crite_temp_data le info.criterion.max, count)
					endif else begin
					    subscripts = where(crite_temp_data lt info.criterion.min or $
						crite_temp_data gt info.criterion.max, count)
					endelse
					if count gt 0 then hdf_data(jj,subscripts) = filldata
					jj = jj + 1
				endfor
			endif else if cy_increment eq y_increment then begin
				check_mod = cy_begin mod y_increment
				if check_mod ne 0 then begin
				  the_message = ['The location of criterion data is not matched selected data,',$
					'Change the location of criterion data and do it again!!!']
				  result=dialog_message(the_message, title='View HDF Warning!')
				  info.criterion.flag = 0
				  WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
				  return
				endif
				real_start = cy_begin/y_increment
				real_end = long((cy_end+1.0)/y_increment + 0.9) - 1
				jj = 0
				for j=real_start, real_end do begin
					crite_temp_data = criterion_data(j,*)
					if info.criterion.type eq 1 then begin
					    subscripts = where(crite_temp_data ge info.criterion.min and $
						crite_temp_data le info.criterion.max, count)
					endif else begin
					    subscripts = where(crite_temp_data lt info.criterion.min or $
						crite_temp_data gt info.criterion.max, count)
					endelse
					if count gt 0 then hdf_data(jj,subscripts) = filldata
					jj = jj + 1
				endfor
			endif else begin
				jj = 0
				for j = cy_begin, cy_end, y_increment do begin
					crite_temp_data = criterion_data(j,*)
					if info.criterion.type eq 1 then begin
					    subscripts = where(crite_temp_data ge info.criterion.min and $
						crite_temp_data le info.criterion.max, count)
					endif else begin
                                            subscripts = where(crite_temp_data lt info.criterion.min or $
                                                crite_temp_data gt info.criterion.max, count)
					endelse
                                        if count gt 0 then hdf_data(jj,subscripts) = filldata
					jj = jj + 1
                                endfor
			endelse
		endelse
	   end
	else: begin
		the_message = ['The rank of criterion data is not supported!',$
					'Check the criterion data and do it again!!!']
		result=dialog_message(the_message, title='View HDF Warning!')
		info.criterion.flag = 0
		WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
		return
	   end
endcase

name_of_data = info.subset.data(this_subset).subset_name
name_of_data = name_of_data(0)
search_result = strpos(name_of_data, 'Subset of')
if search_result eq -1 then temp_name = 'Subset of ' + name_of_data $
	else temp_name = name_of_data
get_variable_name, temp_name, info
widget_control, get_uvalue=info, info.base
if info.variablename eq 'None' then return
the_rank = info.subset.data(this_subset).src_rank
set_statistics_subset, info.variablename, this_subset, the_rank, info, hdf_data
info.criterion.flag = 0
WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag

end

;--------------------------------------------------------------------------------
pro filldataCB, event

pro_name = 'filldataCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.filldata, get_value=filldata

info.filldata=filldata
print,'Fill data=',info.filldata

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro filldata_dialogueCB, event

pro_name = 'filldata_dialogueCB'
@getinfo

widget_control, get_uvalue=info, event.top

base = widget_base(COLUMN=1, MAP=1, TITLE='Define Fill Data')

f_group=widget_base(base, row=1,map=1)

info.widgets.filldata = CW_FIELD(f_group, VALUE=info.filldata, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Fill Data:', XSIZE=40)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='filldataCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

end


;--------------------------------------------------------------------------------
pro rotationCB, event

pro_name = 'rotationCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.rotateax, get_value=rotateax

widget_control, info.widgets.rotateaz, get_value=rotateaz

info.rotate.ax = rotateax
info.rotate.az = rotateaz

print,'Rotation angles = ', info.rotate.ax, ' and ', info.rotate.az

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy
plot_graph, 1, info.subset.selected, info

end

;--------------------------------------------------------------------------------
pro rotation_dialogueCB, event

pro_name = 'rotation_dialogueCB'
@getinfo

widget_control, get_uvalue=info, event.top

base = widget_base(COLUMN=1, MAP=1, TITLE='Define Rotation Angles')

r_group=widget_base(base, row=1,map=1)

info.widgets.rotateax = CW_FIELD(r_group, VALUE=info.rotate.ax, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Rotation AX:', XSIZE=10)

info.widgets.rotateaz = CW_FIELD(r_group, VALUE=info.rotate.az, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Rotation AZ:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='rotationCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro changeopathCB, event

pro_name = 'changeopathCB'
@getinfo

widget_control, get_uvalue=info, event.top

changeopath = ''
widget_control, info.widgets.changeopath, get_value=changeopath

changeopath=changeopath(0)
info.output_path=changeopath
print,'Output Path=',info.output_path

;count = check_directory(info.output_path, info.home_path)
count = check_exist_dir(info.output_path, info.home_path)
if count eq 0 then begin
	message = [ "Your output path is invali!d", info.output_path , $
		"It is set to current directory.", $
		"Use Change Output Path to change the output path."] 
	result=dialog_message( message, title='View HDF Warning!')
	CD, '.', CURRENT=pwd
	info.output_path = pwd
endif
CD, info.output_path, CURRENT=old_dir
output_name_list=findfile(info.filter, count=count)
if count eq 0 then output_name_list = [ 'None' ]
 
widget_control, info.widgets.output, set_value=output_name_list
widget_control, info.widgets.outputdir, set_value=info.output_path
 
CD, old_dir
 
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro change_opath, info

pro_name = 'change_opath'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Set Outpath Path')

o_group=widget_base(base, row=1,map=1)

info.widgets.changeopath = CW_FIELD(o_group, VALUE=info.output_path, $
		ROW=1, string=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Output Path:', XSIZE=40)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='changeopathCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro changeopenCB, event

pro_name = 'changeopenCB'
@getinfo

widget_control, get_uvalue=info, event.top

changeopen = ''
widget_control, info.widgets.changeopen, get_value=changeopen

changeopen=changeopen(0)
info.open_path=changeopen
print,'Open File Path=',info.open_path

widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro change_open_path, info

pro_name = 'change_open_path'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Set Open File Path')

o_group=widget_base(base, row=1,map=1)

info.widgets.changeopen = CW_FIELD(o_group, VALUE=info.open_path, $
	ROW=1, string=1, FIELDFONT=info.font, $
	FONT=info.font, TITLE='Open File Path:', XSIZE=60)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='changeopenCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	/ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
function get_color_table, current_table

pro_name = 'get_color_table'
@getinfo1

get_lun, unit
openr, unit, 'view_hdf_color.tbl'
result = fstat(unit)
close, unit
free_lun, unit

num_table = result.size/800
if num_table le 1 then return, current_table

TVLCT, R_CUR, G_CUR, B_CUR, /GET
num_r_cur = n_elements(r_cur)
for i = 0, num_table-1 do begin
	LOADCT, i, FILE='view_hdf_color.tbl', /SILENT 
	TVLCT, R, G, B, /GET
	diff = r_cur - r
	subscripts = where(diff ne 0, count)
	if count eq 0 then begin
		diff = g_cur - g
		subscripts = where(diff ne 0, count)	
		if count eq 0 then begin
			diff = b_cur - b
			subscripts = where(diff ne 0, count)
			if count eq 0 then return, i
		endif
	endif
endfor

return, current_table

end 

;--------------------------------------------------------------------------------
pro get_quality_bits, index, start_bit, num_bit

pro_name = 'get_quality_bits'
@getinfo

;get the bits for any flag in Radiance and mode quality flags

case index of
	0: begin
	 	start_bit = 0
		num_bit = 2
	   end
	1: begin
	 	start_bit = 2
		num_bit = 2
	   end
	2: begin
		start_bit = 4
		num_bit = 2
	   end
	3: begin
		start_bit = 6
		num_bit = 2
	   end
	4: begin
		start_bit = 8
		num_bit = 2
	   end
	5: begin
		start_bit = 10
		num_bit = 4
	   end
	6: begin
		start_bit = 14
		num_bit = 1
	   end
	7: begin
		start_bit = 15
		num_bit = 2
	   end
	8: begin
		start_bit = 17
		num_bit = 1
	   end
	9: begin
		start_bit = 18
		num_bit = 1
	   end
	else: begin
		start_bit = 0
		num_bit = 32
	   end
endcase

end

;--------------------------------------------------------------------------------
pro get_range, max_value, min_value, ymax, ymin

pro_name = 'get_range'
@getinfo

;***  calculate the range of values 
if abs(max_value - min_value) lt 0.1 then begin
	if abs(max_value) gt 1 then begin
		ymax = max_value + 0.5
		ymin = min_value - 0.5
	endif else begin
		ymax = max_value + 0.05
		ymin = min_value - 0.05
	endelse
	return
endif

if max_value - min_value lt 5.0 then begin
        ymax = max_value
        ymin = min_value
        return
endif
 
if min_value lt 0 then ymin = long(min_value - 1) $
	else ymin = long(min_value) 
if max_value lt 0 then ymax = long(max_value) $
	else ymax = long(max_value + 1)

ytic = ymax - ymin
if ytic gt 10 then begin
	if(ymin ne 0) then begin
		junk1 = abs(ymin)
		temp = string(junk1)
		if(strlen(strtrim(temp,2)) gt 1) then begin
			temp = strmid(temp, 0, strlen(temp)-1)
			junk = long(temp)
			if(ymin eq junk1) then  ymin =  junk * 10  $
				else  ymin = -10* ( junk + 1 ) 
		endif else begin
			if(ymin eq junk1) then ymin = 0  $
				else  ymin = -10
		endelse
	endif

	if(ymax ne 0) then begin
		junk1 = abs(ymax)
		temp = string(junk1)
		if(strlen(strtrim(temp,2)) gt 1) then begin
			temp = strmid(temp, 0, strlen(temp)-1)
			junk = long(temp)
			if(ymax eq junk1) then ymax = ( junk + 1 ) * 10  $
				else  ymax = -10*  junk 
		endif else begin
			if(ymax eq junk1) then ymax = -10  $
				else  ymax = 0
		endelse
	endif

	junk1 = 0L
	ytic = (ymax - ymin)/5
	while ( ytic gt 10 ) do begin
		junk1 = junk1 + 1
		ytic = (ymax - ymin)/(junk1 * 10)
	endwhile

	temp1 = (float(ymax) - float(ymin))/float(ytic)
	if(temp1 ge 0) then junk = long(temp1 + 0.999) $
		else junk = long(temp1 - 0.999)
	yinc = junk
	temp = strtrim(string(junk) , 2)
	junk1 = strlen(temp)
	temp4 = strmid(temp, junk1-1, 1)
	junk2 = long(temp4)
	if(junk2 gt 0) and (junk2 le 5) then begin
		temp = strmid(temp, 0 , junk1-1) + '5'
		temp = strtrim(temp , 2)
		yinc = long(temp)
	endif
	if(junk2 gt 5) and (junk2 le 9) then begin
		temp = strmid(temp , 0 , junk1-1) + '0'
		temp = strtrim(temp , 2)
		if(temp1 ge 0) then yinc = long(temp) + 10 $
			else yinc = long(temp) - 10
	endif
	junk = long(ymin/yinc)
	if(ymin lt 0) then ymin = (junk - 1) *yinc $
		else ymin = junk * yinc
	ymax = ymin + (yinc * ytic)
	while(ymax lt max_value) do begin
		ytic = ytic + 1
		ymax = ymin + yinc * ytic 
	endwhile
endif 

end

;--------------------------------------------------------------------------------
pro get_max_min, z_max, z_min

pro_name = 'get_max_min'
@getinfo

diff_z = abs(z_max - z_min)
if diff_z ge 10.0 then begin
	if z_max lt 0.0 then z_max_temp = long(z_max) $
		else z_max_temp = long(z_max + 0.99999)
	if z_min lt 0.0 then z_min_temp = long(z_min - 0.99999) $
		else z_min_temp = long(z_min)
	if z_min gt 0.0 and z_min_temp lt 0.0 then z_min_temp = 0.0
	z_max = float(z_max_temp)
	z_min = float(z_min_temp)
endif else if diff_z lt 10.0 and diff_z ge 1.0 then begin
	if z_max lt 0.0 then z_max_temp = long(z_max * 10) $
		else z_max_temp = long(z_max * 10 + 0.99999)
	if z_min lt 0.0 then z_min_temp = long(z_min * 10 - 0.99999) $
		else z_min_temp = long(z_min * 10)
	if z_min gt 0.0 and z_min_temp lt 0.0 then z_min_temp = 0.0
	z_max = float(z_max_temp/10.0)
	z_min = float(z_min_temp/10.0)
endif else if diff_z lt 1.0 and diff_z ge 0.1 then begin
	if z_max lt 0.0 then z_max_temp = long(z_max * 100) $
		else z_max_temp = long(z_max * 100 + 0.99999)
	if z_min lt 0.0 then z_min_temp = long(z_min * 100 - 0.99999) $
		else z_min_temp = long(z_min * 100)
	if z_min gt 0.0 and z_min_temp lt 0.0 then z_min_temp = 0.0
	z_max = float(z_max_temp)/100.0
	z_min = float(z_min_temp)/100.0
endif else if diff_z lt 0.1 and diff_z ge 0.01 then begin
	if z_max lt 0.0 then z_max_temp = long(z_max * 1000) $
		else z_max_temp = long(z_max * 1000 + 0.99999)
	if z_min lt 0.0 then z_min_temp = long(z_min * 1000 - 0.99999) $
		else z_min_temp = long(z_min * 1000)
	if z_min gt 0.0 and z_min_temp lt 0.0 then z_min_temp = 0.0
	z_max = float(z_max_temp)/1000.0
	z_min = float(z_min_temp)/1000.0
endif

end

;--------------------------------------------------------------------------------
pro gettempdirCB, event

pro_name = 'gettempdirCB'
@getinfo

widget_control, get_uvalue=info, event.top

tempdir = ''
widget_control, info.widgets.gettempdir, get_value=tempdir

tempdir=tempdir(0)
info.temp_dir=tempdir
print,'Temporary directory=',info.temp_dir

count = check_directory(info.temp_dir, info.home_path)
if count eq 0 then begin
	message = [ "You don't have permmision to write in", info.temp_dir , $
		    "You need to choose the other valid directory" ]
	result=dialog_message( message, title='View HDF Warning!')
endif else begin
command_line="\rm -f "+ info.temp_dir+"/temp_file.pro"
spawn,command_line,results
endelse
 
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_temp_directory, info

pro_name = 'get_temp_directory'
@getinfo

test_file = findfile(info.temp_dir+"/."+info.tempname+"_*", count=count)
if count ne 0 then begin
	command_line="\rm -f "+info.temp_dir+"/."+info.tempname+"_*"
	spawn,command_line,results
endif

base = widget_base(COLUMN=1, MAP=1, TITLE='Get Temporary Directory')

g_group=widget_base(base, row=1,map=1)

info.widgets.gettempdir = CW_FIELD(g_group, VALUE=info.temp_dir, $
		ROW=1, string=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Temporary Directory:', XSIZE=40)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='gettempdirCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro getcolortableCB, event

pro_name = 'getcolortableCB'
@getinfo

widget_control, get_uvalue=colortable, event.top
widget_control, get_uvalue=info, event.id

color_table = ''
widget_control, info.widgets.colortable, get_value=color_table

color_table=color_table(0)
color_table = strtrim(color_table, 2)
color_table = strcompress(color_table)
length = strlen(color_table)
if length gt 32 then color_table = strmid(color_table, 0 , 32)

TVLCT, R, G, B, /GET

R = congrid(R, 256)
G = congrid(G, 256)
B = congrid(B, 256)

Modifyct, 255, color_table, R, G, B, File='view_hdf_color.tbl'
widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro save_edit_color, event

pro_name = 'save_edit_color'
@getinfo

widget_control, event.id, get_uvalue=info
widget_control, event.top, get_uvalue=current_id
widget_control, event.top, /destroy

if current_id ne -1 then wset, current_id

base = widget_base(COLUMN=1, MAP=1, TITLE='Get New Color Table Name')

c_group=widget_base(base, row=1,map=1)

info.widgets.colortable = CW_FIELD(c_group, VALUE='None', $
		ROW=1, string=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Color Table Name:', XSIZE=32)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='getcolortableCB', VALUE="Done",$
	/ALIGN_CENTER, uvalue=info)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

end

;--------------------------------------------------------------------------------
pro set_user_symbol, symbol_flag

pro_name = 'set_user_symbol'
@getinfo

case symbol_flag of
    1: begin
	A = FINDGEN(16) * (!PI*2/16.)
	USERSYM, COS(A), SIN(A)
    end
    2: begin
	x = [0.0, -1.0, -1.0, 0.0, 1.0, 1.0, 0.0]
	y = [-2.0, -1.0, 1.0, 2.0, 1.0, -1.0, -2.0]
	USERSYM, x, y
    end
    3: begin
	x = [-1.0, 0.0, 1.0, -1.0]
	y = [-1.0, 1.0, -1.0, -1.0]
	USERSYM, x, y, /FILL
    end
    4: begin
	x = [-1.0, -1.0, 1.0, 1.0, -1.0]
	y = [-1.0, 1.0, 1.0, -1.0, -1.0]
	USERSYM, x, y, /FILL
    end
    5: begin
	A = FINDGEN(16) * (!PI*2/16.)
	USERSYM, COS(A), SIN(A), /FILL
    end
    6: begin
	x = [0.0, -1.0, -1.0, 0.0, 1.0, 1.0, 0.0]
	y = [-2.0, -1.0, 1.0, 2.0, 1.0, -1.0, -2.0]
	USERSYM, x, y, /FILL
    end
    else:
endcase

end

;--------------------------------------------------------------------------------
pro set_attr, event

pro_name = 'set_attr'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

info.show_attr = event.index

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro set_error_data, hdf_data_x
 
pro_name = 'set_error_data'
@getinfo
 
	size_x = size(hdf_data_x)
	case size_x(0) of
		1: hdf_data_x(0) = -9999999.9
		2: hdf_data_x(0,0) = -9999999.9
		3: hdf_data_x(0,0,0) = -9999999.9
		else: hdf_data_x = -9999999.9
	endcase
end

;--------------------------------------------------------------------------------
pro set_criterion, event
 
pro_name = 'set_criterion'
@getinfo
 
widget_control, get_uvalue=info, event.top
 
widget_control, info.widgets.c_min, get_value=c_min
widget_control, info.widgets.c_max, get_value=c_max
criterion_index = info.criterion.index
criterion_type = info.criterion.type

widget_control, get_uvalue=info, info.base
widget_control, event.top, /destroy

info.criterion.min = c_min
info.criterion.max = c_max
info.criterion.index = criterion_index
info.criterion.type = criterion_type
info.criterion.name = info.name_list_subset(info.criterion.index)
print,'info.criterion.index = ', info.criterion.index
print,'info.criterion.name = ', info.criterion.name
print,'info.criterion.min = ', info.criterion.min
print,'info.criterion.max = ', info.criterion.max
print,'info.criterion.type = ', info.criterion.type
 
widget_control, set_uvalue=info, info.base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
 
end
 
;--------------------------------------------------------------------------------
pro set_criterion_name, event
 
pro_name = 'set_criterion_name'
@getinfo
 
widget_control, get_uvalue=info, event.top
 
info.criterion.index = event.index
 
widget_control, set_uvalue=info, event.top
 
end
 
;------------------------------------------------------------------
pro get_criterion, info, type_flag

pro_name = 'get_criterion'
@getinfo

if info.criterion.index ge info.subset.count then info.criterion.index = 0

if type_flag eq 1 then begin
	base_loc = widget_info(info.base, /geometry)
	xoffset = base_loc.xoffset + 100
	base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
		TITLE='Pick Additional Criterion', uvalue=info, xoffset=xoffset)
endif else begin
	base=widget_base( COLUMN=1, MAP=1, TITLE='Pick Additional Criterion', uvalue=info)
endelse

c_field = widget_droplist(base, $
		TITLE='Parameter:', VALUE=info.name_list_subset, UVALUE = info, $
                EVENT_PRO='set_criterion_name', FONT=info.font, $
                /ALIGN_CENTER)

group1=widget_base(base, row=1,map=1)
info.widgets.c_min = CW_FIELD(group1,VALUE=info.criterion.min, $
	ROW=1, /floating, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Minimum Value: ', XSIZE=10)

info.widgets.c_max = CW_FIELD(group1,VALUE=info.criterion.max, $
	ROW=1, /floating, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Maximum Value: ', XSIZE=10)
 
group3=widget_base(base, row=1, map=1, /align_center)
desc= [ 'Inside the range' , 'Outside the range'  ]
the_range = CW_BGROUP(group3, desc, set_value=info.criterion.type, FONT=info.font, $
	event_func='set_criterion_type', column=2, xoffset=280, /exclusive)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='set_criterion', VALUE="Done",$
	/ALIGN_CENTER, uvalue=info)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='cancel_criterion', VALUE="Cancel",$
	 /ALIGN_CENTER, uvalue=info)

widget_control,/realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, c_field, set_droplist_select=info.criterion.index
info.criterion.name = info.name_list_subset(info.criterion.index)
widget_control, set_uvalue=info, base

xmanager, 'main_widget', base

END

;--------------------------------------------------------------------------------
pro unset_criterion, event

pro_name = 'unset_criterion'
@getinfo

widget_control, get_uvalue=info, event.top

info.criterion.flag = 0
WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro canceloptionCB, event

pro_name = 'canceloptionCB'
@getinfo

widget_control, get_uvalue=info, event.top

info.canceloption='Yes'

widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro set_bits, event
 
pro_name = 'set_bits'
@getinfo
 
widget_control, get_uvalue=info, event.top
 
widget_control, info.widgets.start_bit, get_value=start_bit
widget_control, info.widgets.num_bit, get_value=num_bit
bit_index = info.bit.index

widget_control, get_uvalue=info, info.base
widget_control, event.top, /destroy

info.bit.start_bit = start_bit
info.bit.num_bit = num_bit
info.bit.index = bit_index
info.bit.name = info.name_list_subset(info.bit.index)
print,'info.bit.index = ', info.bit.index
print,'info.bit.name = ', info.bit.name
print,'info.bit.start_bit = ', info.bit.start_bit
print,'info.bit.num_bit = ', info.bit.num_bit
 
widget_control, set_uvalue=info, info.base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
 
end
 
;--------------------------------------------------------------------------------
pro set_bit_name, event
 
pro_name = 'set_bit_name'
@getinfo
 
widget_control, get_uvalue=info, event.top
 
info.bit.index = event.index
 
widget_control, set_uvalue=info, event.top
 
end
 
;------------------------------------------------------------------
pro get_bits, this_subset, info

pro_name = 'get_bits'
@getinfo

if this_subset gt 0 then info.bit.index = this_subset
if info.bit.index ge info.subset.count then info.bit.index = 0

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 300
;xoffset = base_loc.xoffset + 100
base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Extract Bits', uvalue=info, xoffset=xoffset)

b_field = widget_droplist(base, $
	TITLE='Variable:', VALUE=info.name_list_subset, UVALUE = info, $
	EVENT_PRO='set_bit_name', FONT=info.font, /ALIGN_CENTER)

info.widgets.start_bit = CW_FIELD(base,VALUE=info.bit.start_bit, $
	ROW=1, /integer, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Start Bit: ', XSIZE=10)

info.widgets.num_bit = CW_FIELD(base,VALUE=info.bit.num_bit, $
	ROW=1, /integer, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Number of Bits: ', XSIZE=10)
 
group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='set_bits', $
	VALUE="Done", /ALIGN_CENTER, uvalue=info)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER, uvalue=info)

widget_control,/realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, b_field, set_droplist_select=info.bit.index
info.bit.name = info.name_list_subset(info.bit.index)
widget_control, set_uvalue=info, base

xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro set_region, event
 
pro_name = 'set_region'
@getinfo
 
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=this_subset, event.id
 
widget_control, info.region.sizewidget, get_value=region_size
region_index = info.region.index

widget_control, get_uvalue=info, info.base
widget_control, event.top, /destroy

info.region.size = region_size
info.region.index = region_index
 
handle_value,info.subset.data(this_subset).src_data,hdf_data
if info.subset.data(this_subset).src_type_flag eq 1 then $
	hdf_data = reform(hdf_data.components0, n_elements(hdf_data.components0))
handle_value,info.subset.data(region_index).src_data,hdf_region
if info.subset.data(region_index).src_type_flag eq 1 then $
	hdf_region = reform(hdf_region.components0, n_elements(hdf_region.components0))
hdf_data_size = size(hdf_data)
hdf_region_size = size(hdf_region)

if hdf_region_size(0) ne 1 then begin
	the_message = "The region number must be one dimensional array!"
	result=dialog_message(the_message, title='View HDF Warning!')
	info.canceloption = 'Yes'
	widget_control, set_uvalue=info, info.base
	retun
endif
region_index = 0
for i = 1, hdf_data_size(0) do begin 
	if hdf_data_size(i) eq hdf_region_size(1) then $
		region_index = i
endfor
if region_index eq 0 then begin
	the_message = 'Number of data is not equal to number of region!'
	result = dialog_message(the_message, title='View HDF Warning!')
	info.canceloption = 'Yes'
	widget_control, set_uvalue=info, info.base
	return
endif
hdf_region = hdf_region - 1
lat_num = long(180.0/region_size + 0.999)
lon_num = long(360.0/region_size + 0.999)
tot_num = long(lat_num*lon_num)
if info.filldata lt 3.0E+37 then $
	filldata = info.filldata * 10 $
else filldata = 3.0E+38
case hdf_data_size(0) of
    1: begin
	hdf_data_array = make_array(tot_num, /DOUBLE, VALUE=filldata)
	hdf_data_array(hdf_region) = hdf_data
	hdf_data_array = reform(hdf_data_array, lon_num, lat_num)
       end
    2: begin
	if region_index eq 1 then begin
	    hdf_data_array = make_array(tot_num, hdf_data_size(2), /DOUBLE, VALUE=filldata)
	    hdf_data_array(hdf_region,*) = hdf_data(*,*)
	    hdf_data_array = reform(hdf_data_array, lon_num,lat_num, hdf_data_size(2))
	endif else begin
	    hdf_data_array = make_array(hdf_data_size(1), tot_num, /DOUBLE, VALUE=filldata)
	    hdf_data_array(*, hdf_region) = hdf_data(*,*)
	    hdf_data_array = reform(hdf_data_array, hdf_data_size(1), lon_num,lat_num)
	endelse
       end
    else: begin
	the_message = 'Not support the dimension greater than 2!'
        result = dialog_message(the_message, title='View HDF Warning!')
        info.canceloption = 'Yes'
        widget_control, set_uvalue=info, info.base
        return
       end
endcase

if handle_info(info.xyvalue.x_index) then $
	handle_free, info.xyvalue.x_index
info.xyvalue.x_index=handle_create()
handle_value,info.xyvalue.x_index,hdf_data_array,/set

widget_control, set_uvalue=info, info.base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
 
end
 
;--------------------------------------------------------------------------------
pro set_region_name, event
 
pro_name = 'set_region_name'
@getinfo
 
widget_control, get_uvalue=info, event.top
 
info.region.index = event.index
 
widget_control, set_uvalue=info, event.top
 
end
 
;------------------------------------------------------------------
pro get_region_number, this_subset, info

pro_name = 'get_region_number'
@getinfo

data_name = info.subset.data(this_subset).subset_name
data_name = data_name(0)
base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 300
;xoffset = base_loc.xoffset + 100
base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Get Region Number Variable', uvalue=info, xoffset=xoffset)

grid_variable = "Variable: " + data_name
text1 = widget_label(base, /ALIGN_LEFT, value=grid_variable, $
	FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1')

text3 = widget_label(base, /ALIGN_RIGHT, value="   ", $
	FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1')

b_field = widget_droplist(base, $
	TITLE='Variable:', VALUE=info.name_list_subset, UVALUE = info, $
	EVENT_PRO='set_region_name', FONT=info.font, /ALIGN_CENTER)

info.region.sizewidget = CW_FIELD(base,VALUE=info.region.size, $
	ROW=1, /float, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Region size: ', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='set_region', $
	VALUE="Done", /ALIGN_CENTER, uvalue=this_subset)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER, uvalue=info)

widget_control,/realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, set_uvalue=info, base

xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro set_constant, info, cons_id

pro_name = 'set_constant'
@getinfo

if cons_id eq 1 then begin
	widget_control, info.widgets.xfield, get_value=cons_value
	info.y1y2.cons_value1 = float(cons_value)
	;print,'info.y1y2.cons_value1 = ',info.y1y2.cons_value1
endif else begin
	widget_control, info.widgets.yfield, get_value=cons_value
	info.y1y2.cons_value2 = float(cons_value)
	;print,'info.y1y2.cons_value2 = ',info.y1y2.cons_value2
endelse

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro getconstantCB, event

pro_name = 'getconstantCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=cons_id, event.id

widget_control, info.widgets.cons_value, get_value=cons_value

if cons_id eq 1 then info.y1y2.cons_value1=cons_value $
	else info.y1y2.cons_value2 = cons_value

widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_constant_value, info, cons_id

pro_name = 'get_constant_value'
@getinfo

if cons_id eq 1 then begin
	title='Get Y1 Constant Value'
	cons_value = info.y1y2.cons_value1
endif else begin
	title = 'Get Y2 Constant Value'
	cons_value = info.y1y2.cons_value2
endelse
base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
base = widget_base(GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Get Constant Value', xoffset=xoffset)

c_group=widget_base(base, row=1,map=1)

info.widgets.cons_value = CW_FIELD(c_group, VALUE=cons_value, $
		ROW=1, /float, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Constant:', XSIZE=20)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='getconstantCB', VALUE="Done",$
	/ALIGN_CENTER, uvalue=cons_id)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro editornameCB, event

pro_name = 'editornameCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=editorid, event.id

editorname = ''
widget_control, editorid, get_value=editorname

editorname=editorname(0)
loc = check_command(editorname)
if loc ne -1 then begin
	the_message = ["The editor "+editorname+" is not available in this system.", $
			"Please enter another editor!"]
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif
	
info.editor=editorname
info.editor_type = 3

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_editor_name, info, group_base

pro_name = 'get_editor_name'
@getinfo

id = 0
base_loc = widget_info(group_base, /geometry)
xoffset = base_loc.xoffset + 200
yoffset = base_loc.yoffset + 300
base = widget_base(GROUP_LEADER=group_base, COLUMN=1, MAP=1, $
	TITLE='Get Editor Name', xoffset=xoffset, yoffset=yoffset)

p_group=widget_base(base, row=1,map=1)

editorid = CW_FIELD(p_group, VALUE=info.editor, ROW=1, string=1, $
	FIELDFONT=info.font, FONT=info.font, TITLE='Editor:', XSIZE=60)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='editornameCB', VALUE="Done",$
	/ALIGN_CENTER, uvalue=id)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=editorid, button1
widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro printcommandCB, event

pro_name = 'printcommandCB'
@getinfo

widget_control, get_uvalue=info, event.top

printcommand = ''
widget_control, info.widgets.printcommand, get_value=printcommand

printcommand=printcommand(0)
info.printcommand=printcommand

widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_print_command, info

pro_name = 'get_print_command'
@getinfo

base_loc = widget_info(info.widgets.base, /geometry)
xoffset = base_loc.xoffset + 100
base = widget_base(GROUP_LEADER=info.widgets.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Get Print Viewgraph Command', xoffset=xoffset)

p_group=widget_base(base, row=1,map=1)

info.widgets.printcommand = CW_FIELD(p_group, VALUE=info.printcommand, $
		ROW=1, string=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Command:', XSIZE=60)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='printcommandCB', VALUE="Done",$
	/ALIGN_CENTER, uvalue=info)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
PRO cancel_variablename, Event

pro_name = 'cancel_variablename'
@getinfo

widget_control, get_uvalue=info, event.top
info.variablename = 'None'

widget_control, set_uvalue=info, info.base
 
widget_control, event.top, /destroy

END

;--------------------------------------------------------------------------------
pro clear_variablename, event

pro_name = 'clear_variablename'
@getinfo

widget_control, get_uvalue=info, event.top

variablename = ''
widget_control, info.widgets.variablename, set_value=variablename

end

;--------------------------------------------------------------------------------
pro variablenameCB, event

pro_name = 'variablenameCB'
@getinfo

widget_control, get_uvalue=info, event.top

variablename = ''
widget_control, info.widgets.variablename, get_value=variablename

variablename=variablename(0)
info.variablename=variablename

widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_variable_name, temp_name, info

pro_name = 'get_variable_name'
@getinfo

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
base = widget_base(GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Get Variable Name', xoffset=xoffset)

v_group=widget_base(base, row=1,map=1)

info.widgets.variablename = CW_FIELD(v_group, VALUE=temp_name, $
		ROW=1, string=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Command:', XSIZE=70)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='variablenameCB', VALUE="Done",$
	/ALIGN_CENTER, uvalue=info)

button3=widget_button(group2, FONT=info.font, EVENT_PRO='clear_variablename', VALUE="Clear",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='cancel_variablename', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base
widget_control, button1, /input_focus

xmanager, 'main_widget', base

end

;------------------------------------------------------------------
pro get_ticklen, grid_flag, xticklen, yticklen

pro_name = 'get_ticklen'
@getinfo
 
case grid_flag of
	1: begin
		xticklen = 1.0
		yticklen = 1.0
	end
	2: begin
		xticklen = 1.0
		yticklen = -0.01
	end
	3:  begin
		xticklen = -0.01
		yticklen = 1.0
	end 
	else: begin
		xticklen = -0.01
		yticklen = -0.01
	end
endcase

end

;------------------------------------------------------------------
pro get_data, y_index, x_index, z_index, info

pro_name = 'get_data'
@getinfo
 
if info.field_name.x ne 'Constant' then begin
	x_index=name_to_index(info.field_name.x, info.name_list_subset)
endif else x_index = -1
if info.field_name.y ne 'Constant' then begin
	y_index=name_to_index(info.field_name.y, info.name_list_subset)
endif else y_index = -1
z_index=name_to_index(info.field_name.z, info.name_list_subset)

end

;------------------------------------------------------------------
pro get_data_attr, filename, data_name, data_ref, flag, info

pro_name = 'get_data_attr'
@getinfo
 
CD, '.', CURRENT = PWD
check_name = get_data_name(data_name)
if flag eq 0 then begin
   the_result = get_sds_attr(filename, check_name, data_ref)
;  the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;	'get_sds_attr',  	$
;	filename, $
;	check_name, $
;	data_ref, $
;	/s_value)
  title="SDS Attributes"
endif else begin
  the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'get_vfield_attr',  	$
	filename, $
	check_name, $
	data_ref, $
	/s_value)
  title="Vfield Attributes"
endelse

if the_result eq "BAD" then begin
	the_message = "Problem getting attribute for "+data_name
	result=dialog_message(the_message, title='View HDF Warning!')
endif else if the_result eq "No Data" then begin
	the_message = "No attribute for "+data_name
	result=dialog_message(the_message, title=title)
endif else begin
	check=check_path(info.temp_dir)
	if check eq 1 then begin
		attr_filename=info.temp_dir+"."+info.tempname+"_attr_value"
	endif else begin
		attr_filename=info.temp_dir+"/."+info.tempname+"_attr_value"
	endelse
	get_lun, unit
	openw, unit, attr_filename
	widget_control,info.widgets.current_file, get_value=filename
	filename=filename(0)
	printf, unit, format='("Source Data Filename: ",A)', filename
	printf, unit, format='("Data Name: ",A)', data_name
	printf, unit
	attri_value=str_sep(the_result,"|")
	temp = "The attributes for "+data_name
	printf, unit, temp
;	max_column = 80
 	num = n_elements(attri_value)
 	for i = 0 , num-1 do begin
;	   length = strlen(attri_value(i))
;	   if length gt max_column then begin
;		j=0L
;		while j lt length do begin
;		   temp = strmid(attri_value(i),j,max_column)
;		   printf, unit, temp
;		   j = j + max_column
;		endwhile
;	   endif else begin
		printf, unit, attri_value(i)
;	   endelse
	endfor
	close,unit
	free_lun, unit
	case info.editor_type of
           1: command_line = "emacs " + attr_filename + " &"
           2: begin
                command_line = info.ieditor + " -geometry 757x531+75+104"
                command_line = command_line + " -title 'Display Data' "
                command_line = command_line + attr_filename + " &"
	      end
	   3: command_line = info.editor + " " + attr_filename + " &"
           else: begin
                command_line="xterm -bg \#73a1ff -fn "
                command_line=command_line+ $
                        "-adobe-courier-bold-r-normal--14-100-100-100-m-90-iso8859-1"
                command_line=command_line + " -e vi -R " + attr_filename + " &"
              end
	endcase
	spawn, command_line,results
endelse

end

;------------------------------------------------------------------
function read_sds_data, this_subset, sds_name, info, sds_data

pro_name = 'read_sds_data'
@getinfo1

;widget_control,info.widgets.current_file,get_value=filename
filename = info.subset.data(this_subset).src_filename
filename = filename(0)

sd_id = HDF_SD_START(filename, /READ)
if sd_id eq -1 then begin
	result=dialog_message('Unable to open '+filename+'!',$
		title='View HDF Warning!')
	return, -1
endif

sds_index = check_sds_index(filename,sds_name)
if sds_index eq -1 then begin
	result=dialog_message('Unable to get index for '+sds_name+'!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, -1
endif

sds_id = HDF_SD_SELECT(sd_id, sds_index)
if sds_id eq -1 then begin
	result=dialog_message('Unable to select '+temp_name+' SDS data!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, -1
endif

HDF_SD_GETINFO,sds_id, DIMS=sds_dims, NDIMS=sds_rank, HDF_TYPE=type, /NOREVERSE
 
start_list=lonarr(sds_rank)
end_list=lonarr(sds_rank)
increment_list=lonarr(sds_rank)
array_size=lonarr(sds_rank)

for i = 0, sds_rank-1 do begin
	start_list(i) = 0
	end_list(i) = sds_dims(i)
	increment_list(i) = 1
endfor

start_list(0) = info.subset.data(this_subset).src_start(0)
end_list(0) = info.subset.data(this_subset).src_end(0)
if info.subset.data(this_subset).src_type_flag eq 0 then begin
	the_rank = info.subset.data(this_subset).src_rank
	if the_rank eq 1 then begin
		true_start = info.subset.data(this_subset).src_start(the_rank)
		true_end = info.subset.data(this_subset).src_end(the_rank)
		if true_start ne start_list(0) or true_end ne end_list(0) then begin
			start_list(0) = true_start
			end_list(0) = true_end
		endif
	endif
endif else end_list(0) = end_list(0) + 1

array_size = end_list
array_size(0) = end_list(0) - start_list(0)

sds_type = convert_hdftypename_hdftype(type)
unsign_type = 0
if info.version lt 5.19 then begin
	if sds_type gt 20 then unsign_type = sds_type mod 2
endif
if unsign_type eq 0 then begin
	start_list = reverse(start_list)
	array_size = reverse(array_size)
	HDF_SD_GETDATA, sds_id, sds_data, START=start_list, COUNT=array_size
	HDF_SD_ENDACCESS,sds_id
	HDF_SD_END, sd_id
endif else begin
	HDF_SD_ENDACCESS,sds_id
	HDF_SD_END, sd_id
	CD, '.', CURRENT = PWD
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
		'read_sds_eos',$
		filename,$
		sds_name,$
		sds_index,$
		sds_rank,$
		sds_type,$
		sds_dims,$
		start_list,$
		end_list,$
		increment_list,$
		array_size,$
		sds_data)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read '+sds_name+' SDS data!',$
			title='View HDF Warning!')
		return, -1
	endif
endelse

return, 0

end 

;------------------------------------------------------------------
function read_sds_data_old1, this_subset, sds_name, info, sds_data

pro_name = 'read_sds_data'
@getinfo1

widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)

; Initial the variable type
 
sds_dims = info.sds.dims
sds_rank = info.sds.rank
sds_type = info.sds.type

CD, '.', CURRENT = PWD
 
the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'get_sds_dims',         $
	filename, $
	sds_name, $
	sds_rank, $
	sds_dims, $
	sds_type)
 
start_list=lonarr(sds_rank)
end_list=lonarr(sds_rank)
increment_list=lonarr(sds_rank)
array_size=lonarr(sds_rank)

for i = 0, sds_rank-1 do begin
	start_list(i) = 0
	end_list(i) = sds_dims(i)
	increment_list(i) = 1
endfor

start_list(0) = info.subset.data(this_subset).src_start(0)
end_list(0) = info.subset.data(this_subset).src_end(0)
if info.subset.data(this_subset).src_type_flag eq 0 then begin
	the_rank = info.subset.data(this_subset).src_rank
	if the_rank eq 1 then begin
		true_start = info.subset.data(this_subset).src_start(the_rank)
		true_end = info.subset.data(this_subset).src_end(the_rank)
		if true_start ne start_list(0) or true_end ne end_list(0) then begin
			start_list(0) = true_start
			end_list(0) = true_end
		endif
	endif
endif else end_list(0) = end_list(0) + 1

array_size = end_list
array_size(0) = end_list(0) - start_list(0)
 
sds_data = array_type(sds_type, array_size)

if (sds_data(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for '+sds_name+' SDS data!',$
                 title='View HDF Warning!')
        return, -1
endif
 
CD, '.', CURRENT = PWD
 
the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'read_sds',      $
	filename,        $
	sds_name,       $
	sds_rank,        $
	sds_type,        $
	sds_dims,        $
	start_list,      $
	end_list,        $
	increment_list,  $
	array_size,      $
	sds_data)
 
return, the_result

end 

;------------------------------------------------------------------
function read_vdata_data, this_subset, the_nrec, vdata_name, vfield_name,  $
	info, vdata_data

pro_name = 'read_vdata_data'
@getinfo1

;widget_control,info.widgets.current_file,get_value=filename
filename = info.subset.data(this_subset).src_filename
filename = filename(0)

file_id = HDF_OPEN(filename, /READ)
if file_id eq -1 then begin
	result=dialog_message('Unable to open '+filename+'!',$
		title='View HDF Warning!')
	return, -1
endif

vdata_ref = HDF_VD_FIND(file_id, vdata_name)
if vdata_ref eq 0 then begin
	result=dialog_message('Unable to find '+vdata_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return, -1
endif

vdata_id = HDF_VD_ATTACH(file_id, vdata_ref, /READ)
if vdata_id eq 0 then begin
	result=dialog_message('Unable to attach '+vdata_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return, -1
endif

vfield_name = vfield_name(0)
HDF_VD_GETINFO,vdata_id,vfield_name,TYPE=the_types,ORDER=the_order, $
	NAME=the_name
if the_name ne vfield_name then begin
	the_message = ['Input fieldname, '+vfield_name,'is not equal to',$
			'fieldname, '+the_name]
	result=dialog_message(the_message, title='View HDF Warning!')
	return, -1
endif

CASE the_types of
	'BYTE': data_type = 20
	'INT': data_type = 22
	'LONG': data_type = 24
	'FLOAT': data_type = 5
	'DOUBLE': data_type = 6
	else: data_type = 5
ENDCASE

blank = array_type(data_type, the_order)
single_record=create_struct( 'components' + '0', blank) 
vdata_data=replicate(single_record, (the_nrec))

nread = HDF_VD_READ(vdata_id,output_data,FIELDS=vfield_name)

HDF_VD_DETACH, vdata_id
HDF_CLOSE,file_id

k = 0L
for i = 0L, the_nrec-1 do begin
	for j = 0L, the_order-1 do begin
		vdata_data(i).components0(j) = output_data(k)
		k = k + 1L
	endfor
endfor

this_start = info.subset.data(this_subset).src_start(0)
this_end = info.subset.data(this_subset).src_end(0)
if info.subset.data(this_subset).src_type_flag eq 0 then begin
	the_rank = info.subset.data(this_subset).src_rank
	if the_rank eq 1 then begin
		true_start = info.subset.data(this_subset).src_start(the_rank)
		true_end = info.subset.data(this_subset).src_end(the_rank)
		if true_start ne this_start or true_end ne this_end then begin
			this_start = true_start
			this_end = true_end
		endif
	endif
	this_end = this_end - 1
endif
vdata_data = vdata_data(this_start:this_end)
return, 0

end

;------------------------------------------------------------------
function read_vdata_data_old1, this_subset, the_nrec, the_index, vdata_name, vfield_name,  $
	info, vdata_data

pro_name = 'read_vdata_data'
@getinfo1

widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)

the_types=long(1)
the_order=long(1)
this_start = 0L
this_end = the_nrec - 1
this_increment = 1L

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'get_vfield_types',  	$
	filename, 		$
	vdata_name,		$ 
	the_index,		$
	long(1),		$
	the_types,		$
	the_order,		$
	/s_value)

blank = array_type(the_types(0), the_order)
single_record=create_struct( 'components' + '0', blank) 
vdata_data=replicate(single_record, (the_nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

CD, '.', CURRENT = PWD
the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'read_vdata',  			$
	filename, 			$
	vdata_name,			$
	long(1), 			$
	this_start,            	 	$
	the_nrec-1,			$
	this_increment,			$
	vfield_name, 			$
	the_types,			$
	the_order,			$
	vdata_data)

this_start = info.subset.data(this_subset).src_start(0)
this_end = info.subset.data(this_subset).src_end(0)
if info.subset.data(this_subset).src_type_flag eq 0 then begin
	the_rank = info.subset.data(this_subset).src_rank
	if the_rank eq 1 then begin
		true_start = info.subset.data(this_subset).src_start(the_rank)
		true_end = info.subset.data(this_subset).src_end(the_rank)
		if true_start ne this_start or true_end ne this_end then begin
			this_start = true_start
			this_end = true_end
		endif
	endif
	this_end = this_end - 1
endif
vdata_data = vdata_data(this_start:this_end)
return, the_result

end

;--------------------------------------------------------------------------------
pro cancelCB, event

pro_name = 'cancelCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base 

widget_control, event.top, /destroy

set_error_data, hdf_data_x
assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
	satellite_y, sun_x, sun_y

end

;--------------------------------------------------------------------------------
pro get_geo_doneCB, event

pro_name = 'get_geo_doneCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base 

widget_control, event.top, /destroy

this_subset = info.subset.selected

if info.geo_name.long ne 'None' then begin
	long_index=name_to_index(info.geo_name.long, info.name_list_subset)
	long_index = long_index(0)
	if long_index lt 0 or long_index ge info.subset.count then begin
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		return
	endif
endif else begin
	set_error_data, hdf_data_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endelse

if info.geo_name.colat eq 'None' and info.geo_name.lat eq 'None' then begin
        set_error_data, hdf_data_x
        assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
                satellite_y, sun_x, sun_y
        return
endif 

if info.geo_name.colat ne 'None' then begin
	colat_index=name_to_index(info.geo_name.colat, info.name_list_subset)
	colat_index = colat_index(0)
	if colat_index lt 0 or colat_index ge info.subset.count then begin
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		return
	endif
endif

if info.geo_name.lat ne 'None' then begin
	lat_index=name_to_index(info.geo_name.lat, info.name_list_subset)
	lat_index = lat_index(0)
	if lat_index lt 0 or lat_index ge info.subset.count then begin
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		return
	endif
endif

if info.geo_name.satelong ne 'None' then begin
	satelong_index=name_to_index(info.geo_name.satelong, info.name_list_subset)
	satelong_index = satelong_index(0)
	if satelong_index lt 0 or satelong_index ge info.subset.count then begin
		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.satellite = 0
	endif
endif else info.greenwich.satellite = 0

if info.geo_name.satecol eq 'None' and info.geo_name.satelat eq 'None' then $
	info.greenwich.satellite = 0

if info.geo_name.satecol ne 'None' then begin
	satecol_index=name_to_index(info.geo_name.satecol, info.name_list_subset)
	satecol_index = satecol_index(0)
	if satecol_index lt 0 or satecol_index ge info.subset.count then begin
		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.satellite = 0
	endif
endif

if info.geo_name.satelat ne 'None' then begin
	satelat_index=name_to_index(info.geo_name.satelat, info.name_list_subset)
	satelat_index = satelat_index(0)
	if satelat_index lt 0 or satelat_index ge info.subset.count then begin
		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.satellite = 0
	endif
endif

if info.geo_name.sunlong ne 'None' then begin
	sunlong_index=name_to_index(info.geo_name.sunlong, info.name_list_subset)
	sunlong_index = sunlong_index(0)
	if sunlong_index lt 0 or sunlong_index ge info.subset.count then begin
		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.sun = 0
	endif
endif else info.greenwich.sun = 0

if info.geo_name.suncol eq 'None' and info.geo_name.sunlat eq 'None' then $
	info.greenwich.sun = 0

if info.geo_name.suncol ne 'None' then begin
	suncol_index=name_to_index(info.geo_name.suncol, info.name_list_subset)
	suncol_index = suncol_index(0)
	if suncol_index lt 0 or suncol_index ge info.subset.count then begin
		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.sun = 0
	endif
endif 

if info.geo_name.sunlat ne 'None' then begin
	sunlat_index=name_to_index(info.geo_name.sunlat, info.name_list_subset)
	sunlat_index = sunlat_index(0)
	if sunlat_index lt 0 or sunlat_index ge info.subset.count then begin
		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.sun = 0
	endif
endif 

starting=info.subset.data(this_subset).src_start(0)
ending=info.subset.data(this_subset).src_end(0)
increment=info.subset.data(this_subset).src_increment(0)
if info.subset.data(this_subset).src_type_flag eq 1 then ending = ending + 1

long_start = info.subset.data(long_index).src_start(0)
long_end = info.subset.data(long_index).src_end(0)
long_increment = info.subset.data(long_index).src_increment(0)
if info.subset.data(long_index).src_type_flag eq 1 then long_end = long_end + 1

check_expand = 0
if info.greenwich.expand eq 1 then begin
   handle_value, info.subset.data(this_subset).src_data, hdf_data_z
   size_z = size(hdf_data_z)
   x_rank = info.subset.data(long_index).src_rank
   long_diff = long_end - long_start
   ;if info.subset.data(long_index).src_type_flag eq 1 then long_diff = long_diff + 1
   if size_z(0) eq 2 and x_rank eq 1 then begin
	if info.geo_name.colat ne 'None' then begin
		colat_start = info.subset.data(colat_index).src_start(0)
		colat_end = info.subset.data(colat_index).src_end(0)
		if info.subset.data(colat_index).src_type_flag eq 1 then colat_end = colat_end + 1
		y_rank = info.subset.data(long_index).src_rank
		y_index = colat_index
	endif else begin
		colat_start = info.subset.data(lat_index).src_start(0)
		colat_end = info.subset.data(lat_index).src_end(0)
		if info.subset.data(lat_index).src_type_flag eq 1 then colat_end = colat_end + 1
		y_rank = info.subset.data(long_index).src_rank
		y_index = lat_index
	endelse
	if y_rank eq 1 then begin
		check_expand = 1
		colat_diff = colat_end - colat_start
		;if info.subset.data(y_index).src_type_flag eq 1 then colat_diff = colatlong_diff + 1
		long_start = colat_start
		long_end = colat_end
	endif
   endif
endif

if (increment eq long_increment) or (long_increment eq 1) then incre_ok = 1 $
	else incre_ok = 0
if (starting ge long_start and ending le long_end) and (incre_ok eq 1) then begin
	if info.subset.data(long_index).src_type_flag eq 0 then begin
  		handle_value, info.subset.data(long_index).src_data, hdf_data_x
		if check_expand eq 1 then begin
			size_x = size(hdf_data_x)
			if size_x(0) eq 1 then begin
				array_size = [long(colat_diff), long(long_diff)]
				the_type = info.subset.data(long_index).src_types
				the_type = the_type(0)
				hdf_data_x_temp = array_type(the_type, array_size)
				if (hdf_data_x_temp(0) eq -1) then begin
					result=dialog_message('Unable to allocate memory for temporary longitudex data!',$
						title='View HDF Warning!')
					set_error_data, hdf_data_x
					assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
						satellite_y, sun_x, sun_y
					return
				endif
				for j = 0, long_diff-1 do begin
					hdf_data_x_temp(j,*) = hdf_data_x(j)
				endfor
				hdf_data_x = hdf_data_x_temp
			endif
		endif
	endif else begin
  		handle_value, info.subset.data(long_index).src_data, hdf_x_temp
  		hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
	endelse
endif else begin
	the_message = ['The range of longitude data is less than selected data!',$
			'Increase the range of longitude data and do it again!!!']
	result=dialog_message(the_message, title='View HDF Warning!')
	set_error_data, hdf_data_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endelse

if info.geo_name.colat ne 'None' then begin
	colat_start = info.subset.data(colat_index).src_start(0)
	colat_end = info.subset.data(colat_index).src_end(0)
	colat_increment = info.subset.data(colat_index).src_increment(0)
	if info.subset.data(colat_index).src_type_flag eq 1 then colat_end = colat_end + 1
	y_index = colat_index
endif else begin
        colat_start = info.subset.data(lat_index).src_start(0)
        colat_end = info.subset.data(lat_index).src_end(0)
	colat_increment = info.subset.data(lat_index).src_increment(0)
	if info.subset.data(lat_index).src_type_flag eq 1 then colat_end = colat_end + 1
	y_index = lat_index
endelse

if (increment eq colat_increment) or (colat_increment eq 1) then incre_ok = 1 $
	else incre_ok = 0
if (starting ge colat_start and ending le colat_end) and (incre_ok eq 1) then begin
        if info.subset.data(y_index).src_type_flag eq 0 then begin
                handle_value, info.subset.data(y_index).src_data, hdf_data_y
		if check_expand eq 1 then begin
			size_y = size(hdf_data_y)
			if size_y(0) eq 1 then begin
				array_size = [long(colat_diff), long(long_diff)]
				the_type = info.subset.data(y_index).src_types
				the_type = the_type(0)
				hdf_data_y_temp = array_type(the_type, array_size)
				if (hdf_data_y_temp(0) eq -1) then begin
					result=dialog_message('Unable to allocate memory for temporary colatitude data!',$
						title='View HDF Warning!')
					set_error_data, hdf_data_x
					assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
						satellite_y, sun_x, sun_y
					return
				endif
				for j = 0, colat_diff-1 do begin
					hdf_data_y_temp(*,j) = hdf_data_y(j)
				endfor
				hdf_data_y = hdf_data_y_temp
			endif
		endif
		if info.geo_name.colat ne 'None' then begin
			size_hdf_y = size(hdf_data_y)
			case size_hdf_y(0) of
				1: hdf_data_y = 90.0 - hdf_data_y(*)
				2: hdf_data_y = 90.0 - hdf_data_y(*,*)
				3: hdf_data_y = 90.0 - hdf_data_y(*,*,*)
				else:
			endcase
		endif
        endif else begin
                handle_value, info.subset.data(y_index).src_data, hdf_y_temp
                hdf_data_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
		if info.geo_name.colat ne 'None' then $
			hdf_data_y = 90.0 - hdf_data_y(*)
        endelse
endif else begin
        the_message = ['The range of Colatitude or Latitude data is ', 'less than selected data!',$
                        'Increase the range of Colatitude or Latitude', 'data and do it again!!!']
        result=dialog_message(the_message, title='View HDF Warning!')
        set_error_data, hdf_data_x
        assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
                satellite_y, sun_x, sun_y
        return
endelse

info.geolocated.selected = 1
info.geolocated.long_index = long_index

if info.greenwich.satellite ne 0 then begin
	long_start = info.subset.data(satelong_index).src_start(0)
	long_end = info.subset.data(satelong_index).src_end(0)
	if info.subset.data(satelong_index).src_type_flag eq 1 then long_end = long_end + 1

	if starting ge long_start and ending le long_end then begin
		if info.subset.data(satelong_index).src_type_flag eq 0 then begin
  			handle_value, info.subset.data(satelong_index).src_data, satellite_x
		endif else begin
  			handle_value, info.subset.data(satelong_index).src_data, hdf_x_temp
  			satellite_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
		endelse
	endif else begin
		the_message = ['The range of satellite longitude data is','less than selected data!',$
			'Increase the range of satellite longitude data ', 'and do it again!!!']
		result=dialog_message(the_message, title='View HDF Warning!')
		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.satellite = 0
		return
	endelse

	if info.geo_name.satecol ne 'None' then begin
		colat_start = info.subset.data(satecol_index).src_start(0)
		colat_end = info.subset.data(satecol_index).src_end(0)
		if info.subset.data(satecol_index).src_type_flag eq 1 then colat_end = colat_end + 1
		y_index = satecol_index
	endif else begin
		colat_start = info.subset.data(satelat_index).src_start(0)
        	colat_end = info.subset.data(satelat_index).src_end(0)
		if info.subset.data(satelat_index).src_type_flag eq 1 then colat_end = colat_end + 1
		y_index = satelat_index
	endelse

	if starting ge colat_start and ending le colat_end then begin
		if info.subset.data(y_index).src_type_flag eq 0 then begin
			handle_value, info.subset.data(y_index).src_data, satellite_y
			if info.geo_name.satecol ne 'None' then begin
				size_hdf_y = size(satellite_y)
				case size_hdf_y(0) of
					1: satellite_y = 90.0 - satellite_y(*)
					2: satellite_y = 90.0 - satellite_y(*,*)
					3: satellite_y = 90.0 - satellite_y(*,*,*)
					else:
				endcase
			endif
        	endif else begin
                	handle_value, info.subset.data(y_index).src_data, hdf_y_temp
                	satellite_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
			if info.geo_name.satecol ne 'None' then $
				satellite_y = 90.0 - satellite_y(*)
        	endelse
	endif else begin
       		the_message = ['The range of Satellite Colatitude or Latitude data','is less than selected data!',$
                        'Increase the range of Satellite Colatitude or Latitude','data and do it again!!!']
        	result=dialog_message(the_message, title='View HDF Warning!')
        	set_error_data, satellite_x
        	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.satellite = 0
        	return
	endelse
endif

if info.greenwich.sun ne 0 then begin
	long_start = info.subset.data(sunlong_index).src_start(0)
	long_end = info.subset.data(sunlong_index).src_end(0)
	if info.subset.data(sunlong_index).src_type_flag eq 1 then long_end = long_end + 1

	if starting ge long_start and ending le long_end then begin
		if info.subset.data(sunlong_index).src_type_flag eq 0 then begin
  			handle_value, info.subset.data(sunlong_index).src_data, sun_x
		endif else begin
  			handle_value, info.subset.data(sunlong_index).src_data, hdf_x_temp
  			sun_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
		endelse
	endif else begin
		the_message = ['The range of Sun longitude data is','less than selected data!',$
			'Increase the range of Sun longitude data ', 'and do it again!!!']
		result=dialog_message(the_message, title='View HDF Warning!')
		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.sun = 0
		return
	endelse

	if info.geo_name.suncol ne 'None' then begin
		colat_start = info.subset.data(suncol_index).src_start(0)
		colat_end = info.subset.data(suncol_index).src_end(0)
		if info.subset.data(suncol_index).src_type_flag eq 1 then colat_end = colat_end + 1
		y_index = suncol_index
	endif else begin
		colat_start = info.subset.data(sunlat_index).src_start(0)
        	colat_end = info.subset.data(sunlat_index).src_end(0)
		if info.subset.data(sunlat_index).src_type_flag eq 1 then colat_end = colat_end + 1
		y_index = sunlat_index
	endelse

	if starting ge colat_start and ending le colat_end then begin
		if info.subset.data(y_index).src_type_flag eq 0 then begin
			handle_value, info.subset.data(y_index).src_data, sun_y
			if info.geo_name.satecol ne 'None' then begin
				size_hdf_y = size(sun_y)
				case size_hdf_y(0) of
					1: sun_y = 90.0 - sun_y(*)
					2: sun_y = 90.0 - sun_y(*,*)
					3: sun_y = 90.0 - sun_y(*,*,*)
					else:
				endcase
			endif
        	endif else begin
                	handle_value, info.subset.data(y_index).src_data, hdf_y_temp
                	sun_y = reform(hdf_y_temp.components0, n_elements(hdf_y_temp.components0))
			if info.geo_name.satecol ne 'None' then $
				sun_y = 90.0 - sun_y(*)
        	endelse
	endif else begin
       		the_message = ['The range of Sun Colatitude or Latitude data','is less than selected data!',$
                        'Increase the range of Sun Colatitude or Latitude','data and do it again!!!']
        	result=dialog_message(the_message, title='View HDF Warning!')
        	set_error_data, sun_x
        	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		info.greenwich.sun = 0
        	return
	endelse
endif

assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
	satellite_y, sun_x, sun_y

end

;------------------------------------------------------------------
pro set_geofields_event, event

pro_name = 'set_geofields_event'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base 

heading = str_sep(event.value, '.')
if n_elements(heading) gt 2 then begin
	length = strlen(event.value)
	dot=strpos(event.value,'.')
	if( dot ne -1) then begin
		field_name = strmid(event.value,dot+1,length-dot-1)
	endif else begin
		field_name = event.value
	endelse
endif else field_name = heading(1)

CASE heading(0) of

	'Longitude Field Selection' : begin
		info.geo_name.long = field_name
       		widget_control, info.geo_widgets.long_field, set_value=field_name
	end

	'Colatitude Field Selection' : begin
		info.geo_name.colat = field_name
       		widget_control, info.geo_widgets.col_field, set_value=field_name
		lat_name = ' '
		widget_control, info.geo_widgets.lat_field, get_value=lat_name
		lat_name = lat_name(0)
		if lat_name ne 'None' then begin
			lat_name = 'None'
			info.geo_name.lat = lat_name
			widget_control, info.geo_widgets.lat_field, set_value=lat_name
		endif
	end

	'Latitude Field Selection' : begin
		info.geo_name.lat = field_name
       		widget_control, info.geo_widgets.lat_field, set_value=field_name
		colat_name = ' '
                widget_control, info.geo_widgets.col_field, get_value=colat_name
		colat_name = colat_name(0)
                if colat_name ne 'None' then begin
			colat_name = 'None'
			info.geo_name.colat = colat_name
                        widget_control, info.geo_widgets.col_field, set_value=colat_name
		endif
	end

	'Satellite Longitude Field Selection' : begin
		info.geo_name.satelong = field_name
       		widget_control, info.geo_widgets.satelong_field, set_value=field_name
	end

	'Satellite Colatitude Field Selection' : begin
		info.geo_name.satecol = field_name
       		widget_control, info.geo_widgets.satecol_field, set_value=field_name
		lat_name = ' '
		widget_control, info.geo_widgets.satelat_field, get_value=lat_name
		lat_name = lat_name(0)
		if lat_name ne 'None' then begin
			lat_name = 'None'
			widget_control, info.geo_widgets.satelat_field, set_value=lat_name
		endif
	end

	'Satellite Latitude Field Selection' : begin
		info.geo_name.satelat = field_name
       		widget_control, info.geo_widgets.satelat_field, set_value=field_name
		colat_name = ' '
                widget_control, info.geo_widgets.satecol_field, get_value=colat_name
		colat_name = colat_name(0)
                if colat_name ne 'None' then begin
			colat_name = 'None'
                        widget_control, info.geo_widgets.satecol_field, set_value=colat_name
		endif
	end

	'Sun Longitude Field Selection' : begin
		info.geo_name.sunlong = field_name
       		widget_control, info.geo_widgets.sunlong_field, set_value=field_name
	end

	'Sun Colatitude Field Selection' : begin
		info.geo_name.suncol = field_name
       		widget_control, info.geo_widgets.suncol_field, set_value=field_name
		lat_name = ' '
		widget_control, info.geo_widgets.sunlat_field, get_value=lat_name
		lat_name = lat_name(0)
		if lat_name ne 'None' then begin
			lat_name = 'None'
			widget_control, info.geo_widgets.sunlat_field, set_value=lat_name
		endif
	end

	'Sun Latitude Field Selection' : begin
		info.geo_name.sunlat = field_name
       		widget_control, info.geo_widgets.sunlat_field, set_value=field_name
		colat_name = ' '
                widget_control, info.geo_widgets.suncol_field, get_value=colat_name
		colat_name = colat_name(0)
                if colat_name ne 'None' then begin
			colat_name = 'None'
                        widget_control, info.geo_widgets.suncol_field, set_value=colat_name
		endif
	end

	else:

ENDCASE

widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro create_geo_fields, long_field, col_field, lat_field, satelong_field, $
	satecol_field, satelat_field, sunlong_field, suncol_field, sunlat_field, $
	long_group, colat_group, lat_group, satelong_group, satecol_group, $
	satelat_group, sunlong_group, suncol_group, sunlat_group, info

pro_name = 'create_geo_fields'
@getinfo
 
font1 = '-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

long_field= CW_FIELD( long_group, VALUE=info.geo_name.long, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='Longitude Field:           ', XSIZE=40)
	
info.geo_widgets.long_field= long_field

col_field= CW_FIELD( colat_group, VALUE=info.geo_name.colat, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='*Colatitude Field:          ', XSIZE=40)

info.geo_widgets.col_field = col_field

lat_field= CW_FIELD( lat_group, VALUE=info.geo_name.lat, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='*Latitude Field:            ', XSIZE=40) 

info.geo_widgets.lat_field =lat_field

satelong_field= CW_FIELD( satelong_group, VALUE=info.geo_name.satelong, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='Satellite Longitude Field: ', XSIZE=40)
	
info.geo_widgets.satelong_field= satelong_field

satecol_field= CW_FIELD( satecol_group, VALUE=info.geo_name.satecol, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='*Satellite Colatitude Field:', XSIZE=40)

info.geo_widgets.satecol_field = satecol_field

satelat_field= CW_FIELD( satelat_group, VALUE=info.geo_name.satelat, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='*Satellite Latitude Field:  ', XSIZE=40) 

info.geo_widgets.satelat_field =satelat_field

sunlong_field= CW_FIELD( sunlong_group, VALUE=info.geo_name.sunlong, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='Sun Longitude Field:       ', XSIZE=40)
	
info.geo_widgets.sunlong_field= sunlong_field

suncol_field= CW_FIELD( suncol_group, VALUE=info.geo_name.suncol, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='*Sun Colatitude Field:      ', XSIZE=40)

info.geo_widgets.suncol_field = suncol_field

sunlat_field= CW_FIELD( sunlat_group, VALUE=info.geo_name.sunlat, $
ROW=1, STRING=1, FIELDFONT= font1, FONT= font1, $
TITLE='*Sun Latitude Field:        ', XSIZE=40) 

info.geo_widgets.sunlat_field =sunlat_field

widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro get_geo_parameter_names, long_field, col_field, lat_field, satelong_field, $
	satecol_field, satelat_field, sunlong_field, suncol_field, sunlat_field, $
	name_list

pro_name = 'get_geo_parameter_names'
@getinfo
 
long_field = field_struct('Longitude Field Selection', name_list)
col_field = field_struct('Colatitude Field Selection', name_list)
lat_field = field_struct('Latitude Field Selection', name_list)
satelong_field = field_struct('Satellite Longitude Field Selection', name_list)
satecol_field = field_struct('Satellite Colatitude Field Selection', name_list)
satelat_field = field_struct('Satellite Latitude Field Selection', name_list)
sunlong_field = field_struct('Sun Longitude Field Selection', name_list)
suncol_field = field_struct('Sun Colatitude Field Selection', name_list)
sunlat_field = field_struct('Sun Latitude Field Selection', name_list)

end

;------------------------------------------------------------------
pro make_geo_buttons, long_field, col_field, lat_field, satelong_field, satecol_field, $
        satelat_field, sunlong_field, suncol_field, sunlat_field, long_group, $
        colat_group, lat_group, satelong_group, satecol_group, satelat_group, $
        sunlong_group, suncol_group, sunlat_group, base

pro_name = 'make_geo_buttons'
@getinfo
 
font1 ='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1'

button1=cw_pdmenu(long_group, long_field, /RETURN_FULL_NAME, FONT= font1)

button2=cw_pdmenu(colat_group, col_field, /RETURN_FULL_NAME, FONT= font1 )

button3=cw_pdmenu(lat_group, lat_field, /RETURN_FULL_NAME, FONT= font1)

button4=cw_pdmenu(satelong_group, satelong_field, /RETURN_FULL_NAME, FONT= font1)

button5=cw_pdmenu(satecol_group, satecol_field, /RETURN_FULL_NAME, FONT= font1 )

button6=cw_pdmenu(satelat_group, satelat_field, /RETURN_FULL_NAME, FONT= font1)

button7=cw_pdmenu(sunlong_group, sunlong_field, /RETURN_FULL_NAME, FONT= font1)

button8=cw_pdmenu(suncol_group, suncol_field, /RETURN_FULL_NAME, FONT= font1 )

button9=cw_pdmenu(sunlat_group, sunlat_field, /RETURN_FULL_NAME, FONT= font1)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

done_button=widget_button(group2, $
        FONT= font1, VALUE="Done", EVENT_PRO='get_geo_doneCB', /ALIGN_CENTER)

cancel_button=widget_button(group2, $
        FONT= font1, VALUE="Cancel", EVENT_PRO='cancelCB', /ALIGN_CENTER)

text2id = widget_label(base, value = " ", /ALIGN_CENTER, FONT=font1)
text2 = '* Select either Colatitude or Latitude.'
text2id=widget_label(base, value = text2, /ALIGN_LEFT, FONT=font1)

widget_control, DEFAULT_BUTTON=done_button, CANCEL_BUTTON=cancel_button, base

end

;------------------------------------------------------------------
pro get_geolocated_name, info

pro_name = 'get_geolocated_name'
@getinfo

font2 ='-adobe-helvetica-bold-r-normal--16-140-75-0-p-82-iso8859-1'

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
yoffset = base_loc.yoffset + 100
base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Select Geolocated Fields', uvalue=info, $
	xoffset=xoffset, yoffset=yoffset)

text2 = 'REQUIRED FIELDS'
text2id=widget_label(base, value = text2, /ALIGN_CENTER, FONT=font2)

long_group=widget_base(base, row=1,map=1)
colat_group=widget_base(base, row=1, map=1)
lat_group=widget_base(base, row=1, map=1)

text2 = 'OPTIONAL FIELDS'
text2id=widget_label(base, value = text2, /ALIGN_CENTER, FONT=font2)

satelong_group=widget_base(base, row=1, map=1)
satecol_group=widget_base(base, row=1, map=1)
satelat_group=widget_base(base, row=1, map=1)

text2id=widget_label(base, value = " ", /ALIGN_CENTER, FONT=font2)

sunlong_group=widget_base(base, row=1, map=1)
suncol_group=widget_base(base, row=1, map=1)
sunlat_group=widget_base(base, row=1, map=1)

create_geo_fields, long_field, col_field, lat_field, satelong_field, satecol_field, $
	satelat_field, sunlong_field, suncol_field, sunlat_field, long_group, $
	colat_group, lat_group, satelong_group, satecol_group, satelat_group, $
	sunlong_group, suncol_group, sunlat_group, info

name_list_geo = [info.name_list_subset, 'None']
get_geo_parameter_names, long_field, col_field, lat_field, satelong_field, $
	satecol_field, satelat_field, sunlong_field, suncol_field, sunlat_field, $
	name_list_geo
	;info.name_list_subset

make_geo_buttons, long_field, col_field, lat_field, satelong_field, satecol_field, $
        satelat_field, sunlong_field, suncol_field, sunlat_field, long_group, $
        colat_group, lat_group, satelong_group, satecol_group, satelat_group, $
        sunlong_group, suncol_group, sunlat_group, base

widget_control, set_uvalue=info, base  
widget_control,/realize, base

XMANAGER, 'set_geofields', base

END

;------------------------------------------------------------------
pro get_geolocated_data, info, this_subset

pro_name = 'get_geolocated_data'
@getinfo
 
    if info.greenwich.default eq 0 then begin
	info.geolocated.selected = 0
	get_geolocated_name, info
	return
    endif

    ;widget_control,info.widgets.current_file,get_value=filename
    filename = info.subset.data(this_subset).src_filename
    filename = filename(0)

;   ***For longitude of FOV***
    sds_name = ['Longitude of CERES FOV at surface', $
	'Longitude of CERES FOV at Surface', 'Longitude of CERES FOV at TOA', $
	'Colat_Long', 'Colat_Longitude', 'Longitude']
    num_name = n_elements(sds_name)
    sds_index = -1
    i = 0
    while (sds_index eq -1 and i lt num_name) do begin
	temp_name = sds_name(i)
	sds_index = check_sds_index(filename, temp_name)
	i = i + 1
    endwhile
    if sds_index ne -1 then begin

	the_result = read_sds_data( this_subset, temp_name, info, hdf_data_x)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
			title='View HDF Warning!')
		set_error_data,hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	endif

	if temp_name eq 'Colat_Long' or temp_name eq 'Colat_Longitude' then begin
		temp_x = hdf_data_x(7,*)
		hdf_data_y = 90.0 - hdf_data_x(6,*)
		satellite_x = hdf_data_x(1,*)
		satellite_y = 90.0 - hdf_data_x(0,*)
		sun_x = hdf_data_x(3,*)
		sun_y = 90.0 - hdf_data_x(2,*)
		hdf_data_x = temp_x
		
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y

		return
	endif

    endif else begin
	vdata_name = ['IES Hour']
	num_name = n_elements(vdata_name)
	count = 0
	i = 0
	while(count eq 0 and i lt num_name) do begin
		temp_name = vdata_name(i)
		search_result = strpos(info.name_list_vdata, temp_name)
		result = where(search_result ne -1, count)
		i = i + 1
	endwhile
	if count ne 0 then begin

	   the_vdata_name = ''
	   the_vdata_name = info.name_list_vdata(result)
	   vdata_id = open_vdata(filename,the_vdata_name,file_id)
	   if vdata_id eq 0 then begin
		result=dialog_message('Unable to attach '+the_vdata_name+'!',$
			title='View HDF Warning!')
		set_error_data,hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   field_name = ['Longitude of CERES FOV at Surface']
	   num_field = n_elements(field_name)
	   field_check = -1
	   i = 0
	   while (field_check eq -1 and i lt num_field) do begin
		fieldname = field_name(i)
		field_check = HDF_VD_FEXIST(vdata_id,fieldname)
		i = i + 1
	   endwhile
	   if field_check eq -1 then begin
		result=dialog_message('Unable to find Longitude of FOV field!', $
			title='View HDF Warning!')
		HDF_VD_DETACH, vdata_id
		HDF_CLOSE,file_id
		set_error_data,hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   HDF_VD_GET,vdata_id,COUNT=the_nrec

	   HDF_VD_DETACH, vdata_id
	   HDF_CLOSE,file_id

	   the_result = read_vdata_data(this_subset, the_nrec, the_vdata_name, $
		fieldname, info, hdf_data_x)
	   if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + fieldname + ' Vdata data!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif

	   hdf_data_x = reform(hdf_data_x.components0, n_elements(hdf_data_x.components0))

	endif else begin

	   if info.subset.count lt 3 then begin
		result=dialog_message('The Geolocated fields are not found!',$
                    title='View HDF Warning!')
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
                	satellite_y, sun_x, sun_y
		return
	   endif

	   the_message = ['The Geolocated fields are not found!', $
		'Do you want to get them from Current Subset list?']
	   result=dialog_message(the_message, /Question, title='View HDF Question!')

	   if result eq 'Yes' then begin
		info.geolocated.selected = 0
		get_geolocated_name, info
		return
	   endif else begin
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endelse

	endelse
    endelse

;   ***For colatitude of FOV***
    sds_name = ['Colatitude of CERES FOV at surface', $
	'Colatitude of CERES FOV at Surface', 'Colatitude of CERES FOV at TOA', $
	'Latitude']
    num_name = n_elements(sds_name)
    sds_index = -1
    i = 0
    while (sds_index eq -1 and i lt num_name) do begin
	temp_name = sds_name(i)
	sds_index = check_sds_index(filename, temp_name)
	i = i + 1
    endwhile
    if sds_index ne -1 then begin

	the_result = read_sds_data( this_subset, temp_name, info, hdf_data_y)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
			title='View HDF Warning!')
		set_error_data,hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	endif

	if temp_name ne 'Latitude' then hdf_data_y = 90.0 - hdf_data_y

    endif else begin

	vdata_name = ['IES Hour']
	num_name = n_elements(vdata_name)
	count = 0
	i = 0
	while(count eq 0 and i lt num_name) do begin
		temp_name = vdata_name(i)
		search_result = strpos(info.name_list_vdata, temp_name)
		result = where(search_result ne -1, count)
		i = i + 1
	endwhile
	if count ne 0 then begin

	   the_vdata_name = ''
	   the_vdata_name = info.name_list_vdata(result)
	   vdata_id = open_vdata(filename,the_vdata_name,file_id)
	   if vdata_id eq 0 then begin
		result=dialog_message('Unable to attach '+the_vdata_name+'!',$
			title='View HDF Warning!')
		set_error_data,hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   field_name = ['Colatitude of CERES FOV at Surface']
	   num_field = n_elements(field_name)
	   field_check = -1
	   i = 0
	   while (field_check eq -1 and i lt num_field) do begin
		fieldname = field_name(i)
		field_check = HDF_VD_FEXIST(vdata_id,fieldname)
		i = i + 1
	   endwhile
	   if field_check eq -1 then begin
		result=dialog_message('Unable to find Colatitude of FOV field!', $
			title='View HDF Warning!')
		HDF_VD_DETACH, vdata_id
		HDF_CLOSE,file_id
		set_error_data,hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   HDF_VD_GET,vdata_id,COUNT=the_nrec

	   HDF_VD_DETACH, vdata_id
	   HDF_CLOSE,file_id

	   the_result = read_vdata_data(this_subset, the_nrec, the_vdata_name, $
		fieldname, info, hdf_data_y)
	   if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + fieldname + ' Vdata data!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif

		hdf_data_y = reform(hdf_data_y.components0, n_elements(hdf_data_y.components0))
		hdf_data_y = 90.0 - hdf_data_y

	endif else begin

	   if info.subset.count lt 3 then begin
		result=dialog_message('The Geolocated fields are not found!',$
                    title='View HDF Warning!')
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
                	satellite_y, sun_x, sun_y
		return
	   endif

	   the_message = ['The Geolocated fields are not found!', $
		'Do you want to get them from Current Subset list?']
	   result=dialog_message(the_message, /Question, title='View HDF Question!')

	   if result eq 'Yes' then begin
		info.geolocated.selected = 0
		get_geolocated_name, info
		return
	   endif else begin
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endelse

	endelse
    endelse

;   ***For longitude of satellite***
    sds_name = ['Longitude of subsatellite point at surface at observation']
    num_name = n_elements(sds_name)
    sds_index = -1
    i = 0
    while (sds_index eq -1 and i lt num_name) do begin
	temp_name = sds_name(i)
	sds_index = check_sds_index(filename, temp_name)
	i = i + 1
    endwhile
    if sds_index ne -1 then begin

	the_result = read_sds_data( this_subset, temp_name, info, satellite_x)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
			title='View HDF Warning!')
		set_error_data,satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	endif

    endif else begin

	vdata_name = ['IES Hour','Satellite-Celestial Data', $
		'Longitude of satellite nadir at record start']
	num_name = n_elements(vdata_name)
	count = 0
	i = 0
	while(count eq 0 and i lt num_name) do begin
		temp_name = vdata_name(i)
		search_result = strpos(info.name_list_vdata, temp_name)
		result = where(search_result ne -1, count)
		i = i + 1
	endwhile
	if count ne 0 then begin

	   the_vdata_name = ''
	   the_vdata_name = info.name_list_vdata(result)
	   vdata_id = open_vdata(filename,the_vdata_name,file_id)
	   if vdata_id eq 0 then begin
		result=dialog_message('Unable to attach '+the_vdata_name+'!',$
			title='View HDF Warning!')
		set_error_data,satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   field_name = ['Longitude of Satellite at Observation', $
		'Longitude of Subsatellite Point at Surface at Observation', $
		'Longitude of Satellite at record start', $
		'Longitude of satellite nadir at record start']
	   num_field = n_elements(field_name)
	   field_check = -1
	   i = 0
	   while (field_check eq -1 and i lt num_field) do begin
		fieldname = field_name(i)
		field_check = HDF_VD_FEXIST(vdata_id,fieldname)
		i = i + 1
	   endwhile
	   if field_check eq -1 then begin
		result=dialog_message('Unable to find Longitude of satellite field!', $
			title='View HDF Warning!')
		HDF_VD_DETACH, vdata_id
		HDF_CLOSE,file_id
		set_error_data,satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   HDF_VD_GET,vdata_id,COUNT=the_nrec

	   HDF_VD_DETACH, vdata_id
	   HDF_CLOSE,file_id

	   the_result = read_vdata_data(this_subset, the_nrec, the_vdata_name, $
		fieldname, info, satellite_x)
	   if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + fieldname + ' Vdata data!',$
			title='View HDF Warning!')
		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif

	   if n_elements(satellite_x) eq 1 then $
		satellite_x = [satellite_x.components0] else $
		satellite_x = reform(satellite_x.components0, n_elements(satellite_x.components0))

	endif else begin

		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return

	endelse
    endelse

;   ***For colatitude of satellite***
    sds_name = ['Colatitude of subsatellite point at surface at observation']
    num_name = n_elements(sds_name)
    sds_index = -1
    i = 0
    while (sds_index eq -1 and i lt num_name) do begin
	temp_name = sds_name(i)
	sds_index = check_sds_index(filename, temp_name)
	i = i + 1
    endwhile
    if sds_index ne -1 then begin

	the_result = read_sds_data( this_subset, temp_name, info, satellite_y)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
			title='View HDF Warning!')
		set_error_data,satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	endif

	satellite_y = 90.0 - satellite_y

    endif else begin

	vdata_name = ['IES Hour','Satellite-Celestial Data', $
		'Colatitude of satellite nadir at record start']
	num_name = n_elements(vdata_name)
	count = 0
	i = 0
	while(count eq 0 and i lt num_name) do begin
		temp_name = vdata_name(i)
		search_result = strpos(info.name_list_vdata, temp_name)
		result = where(search_result ne -1, count)
		i = i + 1
	endwhile
	if count ne 0 then begin

	   the_vdata_name = ''
	   the_vdata_name = info.name_list_vdata(result)
	   vdata_id = open_vdata(filename,the_vdata_name,file_id)
	   if vdata_id eq 0 then begin
		result=dialog_message('Unable to attach '+the_vdata_name+'!',$
			title='View HDF Warning!')
		set_error_data,satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   field_name = ['Colatitude of Satellite at Observation', $
		'Colatitude of Subsatellite Point at Surface at Observation', $
		'Colatitude of Satellite at record start', $
		'Colatitude of satellite nadir at record start']
	   num_field = n_elements(field_name)
	   field_check = -1
	   i = 0
	   while (field_check eq -1 and i lt num_field) do begin
		fieldname = field_name(i)
		field_check = HDF_VD_FEXIST(vdata_id,fieldname)
		i = i + 1
	   endwhile
	   if field_check eq -1 then begin
		result=dialog_message('Unable to find Colatitude of satellite field!', $
			title='View HDF Warning!')
		HDF_VD_DETACH, vdata_id
		HDF_CLOSE,file_id
		set_error_data,satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   HDF_VD_GET,vdata_id,COUNT=the_nrec

	   HDF_VD_DETACH, vdata_id
	   HDF_CLOSE,file_id

	   the_result = read_vdata_data(this_subset, the_nrec, the_vdata_name, $
		fieldname, info, satellite_y)
	   if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + fieldname + ' Vdata data!',$
			title='View HDF Warning!')
		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif

	   if n_elements(satellite_y) eq 1 then $
		satellite_y = [satellite_y.components0] else $
		satellite_y = reform(satellite_y.components0, n_elements(satellite_y.components0))
	   satellite_y(*) = 90.0 - satellite_y(*)

	endif else begin

		set_error_data, satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return

	endelse
    endelse

;   ***For longitude of sun***
    sds_name = ['Longitude of subsolar point at surface at observation']
    num_name = n_elements(sds_name)
    sds_index = -1
    i = 0
    while (sds_index eq -1 and i lt num_name) do begin
	temp_name = sds_name(i)
	sds_index = check_sds_index(filename, temp_name)
	i = i + 1
    endwhile
    if sds_index ne -1 then begin

	the_result = read_sds_data( this_subset, temp_name, info, sun_x)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
			title='View HDF Warning!')
		set_error_data,satellite_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	endif

    endif else begin

	vdata_name = ['IES Hour','Satellite-Celestial Data', $
		'Longitude of Sun at observation']
	num_name = n_elements(vdata_name)
	count = 0
	i = 0
	while(count eq 0 and i lt num_name) do begin
		temp_name = vdata_name(i)
		search_result = strpos(info.name_list_vdata, temp_name)
		result = where(search_result ne -1, count)
		i = i + 1
	endwhile
	if count ne 0 then begin

	   the_vdata_name = ''
	   the_vdata_name = info.name_list_vdata(result)
	   vdata_id = open_vdata(filename,the_vdata_name,file_id)
	   if vdata_id eq 0 then begin
		result=dialog_message('Unable to attach '+the_vdata_name+'!',$
			title='View HDF Warning!')
		set_error_data,sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   field_name = ['Longitude of Sun at Observation', $
		'Longitude of Subsolar Point at Surface at Observation' , $
		'Longitude of Sun at Observation', $
		'Longitude of Sun at observation']
	   num_field = n_elements(field_name)
	   field_check = -1
	   i = 0
	   while (field_check eq -1 and i lt num_field) do begin
		fieldname = field_name(i)
		field_check = HDF_VD_FEXIST(vdata_id,fieldname)
		i = i + 1
	   endwhile
	   if field_check eq -1 then begin
		result=dialog_message('Unable to find Longitude of sun field!', $
			title='View HDF Warning!')
		HDF_VD_DETACH, vdata_id
		HDF_CLOSE,file_id
		set_error_data,sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   HDF_VD_GET,vdata_id,COUNT=the_nrec

	   HDF_VD_DETACH, vdata_id
	   HDF_CLOSE,file_id

	   the_result = read_vdata_data(this_subset, the_nrec, the_vdata_name, $
		fieldname, info, sun_x)
	   if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + fieldname + ' Vdata data!',$
			title='View HDF Warning!')
		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif

	   if n_elements(sun_x) eq 1 then $
		sun_x = [sun_x.components0] else $
		sun_x= reform(sun_x.components0, n_elements(sun_x.components0))

	endif else begin

		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return

	endelse
    endelse

;   ***For colatitude of sun***
    sds_name = ['Colatitude of subsolar point at surface at observation']
    num_name = n_elements(sds_name)
    sds_index = -1
    i = 0
    while (sds_index eq -1 and i lt num_name) do begin
	temp_name = sds_name(i)
	sds_index = check_sds_index(filename, temp_name)
	i = i + 1
    endwhile
    if sds_index ne -1 then begin

	the_result = read_sds_data( this_subset, temp_name, info, sun_y)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
			title='View HDF Warning!')
		set_error_data,sun_y
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	endif

	sun_y = 90.0 - sun_y

    endif else begin

	vdata_name = ['IES Hour','Satellite-Celestial Data', $
		'Colatitude of Sun at observation']
	num_name = n_elements(vdata_name)
	count = 0
	i = 0
	while(count eq 0 and i lt num_name) do begin
		temp_name = vdata_name(i)
		search_result = strpos(info.name_list_vdata, temp_name)
		result = where(search_result ne -1, count)
		i = i + 1
	endwhile
	if count ne 0 then begin

	   the_vdata_name = ''
	   the_vdata_name = info.name_list_vdata(result)
	   vdata_id = open_vdata(filename,the_vdata_name,file_id)
	   if vdata_id eq 0 then begin
		result=dialog_message('Unable to attach '+the_vdata_name+'!',$
			title='View HDF Warning!')
		set_error_data,sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   field_name = ['Colatitude of Sun at Observation', $
		'Colatitude of Subsolar Point at Surface at Observation', $
		'Colatitude of Sun at Observation', $
		'Colatitude of Sun at observation']
	   num_field = n_elements(field_name)
	   field_check = -1
	   i = 0
	   while (field_check eq -1 and i lt num_field) do begin
		fieldname = field_name(i)
		field_check = HDF_VD_FEXIST(vdata_id,fieldname)
		i = i + 1
	   endwhile
	   if field_check eq -1 then begin
		result=dialog_message('Unable to find Colatitude of sun field!', $
			title='View HDF Warning!')
		HDF_VD_DETACH, vdata_id
		HDF_CLOSE,file_id
		set_error_data,sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif
	   HDF_VD_GET,vdata_id,COUNT=the_nrec

	   HDF_VD_DETACH, vdata_id
	   HDF_CLOSE,file_id

	   the_result = read_vdata_data(this_subset, the_nrec, the_vdata_name, $
		fieldname, info, sun_y)
	   if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + fieldname + ' Vdata data!',$
			title='View HDF Warning!')
		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return
	   endif

	   if n_elements(sun_y) eq 1 then $
		sun_y = [sun_y.components0] else $
		sun_y = reform(sun_y.components0, n_elements(sun_y.components0))
		sun_y = 90.0 - sun_y

	endif else begin

		set_error_data, sun_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, $
			satellite_x, satellite_y, sun_x, sun_y
		return

	endelse
    endelse

    assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
	satellite_y, sun_x, sun_y


end 

;------------------------------------------------------------------
pro get_geolocated_data_old1, info, this_subset

pro_name = 'get_geolocated_data'
@getinfo
 
    if info.greenwich.default eq 0 then begin
	info.geolocated.selected = 0
	get_geolocated_name, info
	return
    endif

    ;widget_control,info.widgets.current_file,get_value=filename
    filename = info.subset.data(this_subset).src_filename
    filename = filename(0)

    result = where(info.name_list_sds eq 'Longitude of CERES FOV at surface',count)
    if count ne 0 then begin

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

; Get the dimensions for Longitude and Colatitude

    the_result = read_sds_data( this_subset, temp_name, info, hdf_data_x)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    result = where(info.name_list_sds eq 'Colatitude of CERES FOV at surface', count)
    if count eq 0 then begin
          result=dialog_message('Unable to find Colatitude of CERES FOV at surface SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

    the_result = read_sds_data( this_subset, temp_name, info, hdf_data_y)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    hdf_data_y(*) = 90.0 - hdf_data_y(*)

    result = where(info.name_list_sds eq 'Longitude of subsatellite point at surface at observation', count)
    if count eq 0 then begin
	  the_message=['Unable to find Longitude of subsatellite point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

    the_result = read_sds_data( this_subset, temp_name, info, satellite_x)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    result = where(info.name_list_sds eq 'Colatitude of subsatellite point at surface at observation', count)
    if count eq 0 then begin
	  the_message=['Unable to find Colatitude of subsatellite point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

    the_result = read_sds_data( this_subset, temp_name, info, satellite_y)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    satellite_y(*) = 90.0 - satellite_y(*)

    result = where(info.name_list_sds eq 'Longitude of subsolar point at surface at observation', count)
    if count eq 0 then begin
	  the_message=['Unable to find Longitude of subsolar point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

    the_result = read_sds_data( this_subset, temp_name, info, sun_x)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    result = where(info.name_list_sds eq 'Colatitude of subsolar point at surface at observation', count)
    if count eq 0 then begin
	  the_message=['Unable to find Colatitude of subsolar point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

    the_result = read_sds_data( this_subset, temp_name, info, sun_y)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,sun_y
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif


    sun_y(*) = 90.0 - sun_y(*)

    assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
	satellite_y, sun_x, sun_y

return

endif

    result = where(info.name_list_sds eq 'Longitude of CERES FOV at Surface' or $
	info.name_list_sds eq 'Longitude of CERES FOV at TOA', count)
    if count ne 0 then begin

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

; Get the dimensions for Longitude and Colatitude

    the_result = read_sds_data( this_subset, temp_name, info, hdf_data_x)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    result = where(info.name_list_sds eq 'Colatitude of CERES FOV at Surface' or $
	info.name_list_sds eq 'Colatitude of CERES FOV at TOA', count)
    if count eq 0 then begin
          result=dialog_message('Unable to find Colatitude of CERES FOV at Surface or TOA SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = info.name_list_sds(result(0))
    temp_name = temp_name(0)

    the_result = read_sds_data( this_subset, temp_name, info, hdf_data_y)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    size_hdf_y = size(hdf_data_y)
    for i = 0L, size_hdf_y(1)-1 do begin
	hdf_data_y(i,*) = 90.0 - hdf_data_y(i,*)
    endfor

    result = where(info.name_list_vdata eq 'Satellite-Celestial Data' or  $
	info.name_list_vdata eq 'Longitude of satellite nadir at record start', count)
    if count eq 0 then begin
	  the_message=['Unable to find Satellite-Celestial Data Vdata or',$
			'Longitude of satellite nadir at record start']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
		title='View HDF Warning!')
	set_error_data,satellite_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
    endelse 

    result = where(the_vfield_list eq 'Longitude of Satellite at record start' or $
	the_vfield_list eq 'Longitude of satellite nadir at record start', count)
    if count eq 0 then begin
	  the_message=['Unable to find Longitude of Satellite at record start or ', $
		'Longitude of satellite nadir at record start!']
          result=dialog_message( the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)

	the_result = read_vdata_data(this_subset, the_nrec, the_index, the_vdata_name, $
		the_name, info, satellite_x)
	if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
                      title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
	endif

	if n_elements(satellite_x) eq 1 then $
		satellite_x = [satellite_x.components0] else $
	satellite_x = reform(satellite_x.components0, n_elements(satellite_x.components0))

    if the_vdata_name eq 'Longitude of satellite nadir at record start' then begin
      result = where(info.name_list_vdata eq 'Colatitude of satellite nadir at record start', count)
      if count eq 0 then begin
          result=dialog_message( $
		'Unable to find Colatitude of satellite nadir at record start', $
		title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
      endif

      the_vdata_name = ''
      the_vdata_name = info.name_list_vdata(result)

      number_of_fields=0L

      CD, '.', CURRENT = PWD

      the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

      if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')


      endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	set_error_data, satellite_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
    endelse 

    endif

    result = where(the_vfield_list eq 'Colatitude of Satellite at record start' or $
	the_vfield_list eq 'Colatitude of satellite nadir at record start', count)
    if count eq 0 then begin
          result=dialog_message( $
			'Unable to find colatitude of Satellite at record start!',$
                      title='View HDF Warning!')
	  set_error_data, satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)

	the_result = read_vdata_data(this_subset, the_nrec, the_index, the_vdata_name, $
		the_name, info, satellite_y)
	if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
                      title='View HDF Warning!')
	  set_error_data, satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
	endif

	if n_elements(satellite_y) eq 1 then $
		satellite_y = [satellite_y.components0] else $
	satellite_y = reform(satellite_y.components0, n_elements(satellite_y.components0))
	satellite_y(*) = 90.0 - satellite_y(*)

    if the_vdata_name eq 'Colatitude of satellite nadir at record start' then begin
      result = where(info.name_list_vdata eq 'Longitude of Sun at observation', count)
      if count eq 0 then begin
          result=dialog_message( $
		'Unable to find Longitude of Sun at observation', $
		title='View HDF Warning!')
	  set_error_data, sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
      endif

      the_vdata_name = ''
      the_vdata_name = info.name_list_vdata(result)

      number_of_fields=0L

      CD, '.', CURRENT = PWD

      the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

      if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

      endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
    endelse 

    endif

    result = where(the_vfield_list eq 'Longitude of Sun at Observation' or $
	the_vfield_list eq 'Longitude of Sun at observation', count)
    if count eq 0 then begin
          result=dialog_message( $
			'Unable to find Longitude of Sun at Observation!',$
                      title='View HDF Warning!')
	  set_error_data, sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)

	the_result = read_vdata_data(this_subset, the_nrec, the_index, the_vdata_name, $
		the_name, info, sun_x)
	if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
                      title='View HDF Warning!')
	  set_error_data, sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
	endif

	if n_elements(sun_x) eq 1 then $
		sun_x = [sun_x.components0] else $
	sun_x= reform(sun_x.components0, n_elements(sun_x.components0))

    if the_vdata_name eq 'Longitude of Sun at observation' then begin
      result = where(info.name_list_vdata eq 'Colatitude of Sun at observation', count)
      if count eq 0 then begin
          result=dialog_message( $
		'Unable to find Colatitude of Sun at observation', $
		title='View HDF Warning!')
	  set_error_data,sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
      endif

      the_vdata_name = ''
      the_vdata_name = info.name_list_vdata(result)

      number_of_fields=0L

      CD, '.', CURRENT = PWD

      the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

      if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

      endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	set_error_data,sun_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
    endelse 

    endif

    result = where(the_vfield_list eq 'Colatitude of Sun at Observation' or $
	the_vfield_list eq 'Colatitude of Sun at observation', count)
    if count eq 0 then begin
          result=dialog_message( $
			'Unable to find Colatitude of Sun at Observation!',$
                      title='View HDF Warning!')
	  set_error_data, sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)

	the_result = read_vdata_data(this_subset, the_nrec, the_index, the_vdata_name, $
		the_name, info, sun_y)
	if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
                      title='View HDF Warning!')
	  set_error_data, sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
	endif

	if n_elements(sun_y) eq 1 then $
		sun_y = [sun_y.components0] else $
	sun_y = reform(sun_y.components0, n_elements(sun_y.components0))
	sun_y(*) = 90.0 - sun_y(*)

	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y

return

endif

result = where(info.name_list_vfield eq 'Longitude of CERES FOV at Surface', count)
if count ne 0 then begin

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)

the_result = read_vdata_data(this_subset, info.vdata.nrec, the_index, $
	info.vdata.name_sel, the_name, info, hdf_data_x)
if (the_result eq -1) then begin
	result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
		title='View HDF Warning!')
	set_error_data, hdf_data_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

hdf_data_x = reform(hdf_data_x.components0, n_elements(hdf_data_x.components0))

result = where(info.name_list_vfield eq 'Colatitude of CERES FOV at Surface', count)
if count eq 0 then begin
	result=dialog_message('Unable to find Colatitude of CERES FOV at Surface!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)

the_result = read_vdata_data(this_subset, info.vdata.nrec, the_index, $
	info.vdata.name_sel, the_name, info, hdf_data_y)
if (the_result eq -1) then begin
	result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
		title='View HDF Warning!')
	set_error_data, hdf_data_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

hdf_data_y = reform(hdf_data_y.components0, n_elements(hdf_data_y.components0))
hdf_data_y(*) = 90.0 - hdf_data_y(*)

result = where(info.name_list_vfield eq 'Longitude of Satellite at Observation' or $
	info.name_list_vfield eq 'Longitude of Subsatellite Point at Surface at Observation', count)
if count eq 0 then begin
	result=dialog_message('Unable to find Longitude of Satellite at Observation!',$
			title='View HDF Warning!')
	set_error_data, satellite_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)

the_result = read_vdata_data(this_subset, info.vdata.nrec, the_index, $
	info.vdata.name_sel, the_name, info, satellite_x)
if (the_result eq -1) then begin
	result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
		title='View HDF Warning!')
	set_error_data, satellite_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

satellite_x = reform(satellite_x.components0, n_elements(satellite_x.components0))

result = where(info.name_list_vfield eq 'Colatitude of Satellite at Observation' or $
	info.name_list_vfield eq 'Colatitude of Subsatellite Point at Surface at Observation', count)
if count eq 0 then begin
	result=dialog_message('Unable to find Colatitude of Satellite at Observation!',$
			title='View HDF Warning!')
	set_error_data, satellite_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)

the_result = read_vdata_data(this_subset, info.vdata.nrec, the_index, $
	info.vdata.name_sel, the_name, info, satellite_y)
if (the_result eq -1) then begin
	result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
		title='View HDF Warning!')
	set_error_data, satellite_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

satellite_y = reform(satellite_y.components0, n_elements(satellite_y.components0))
satellite_y(*) = 90.0 - satellite_y(*)

result = where(info.name_list_vfield eq 'Longitude of Sun at Observation' or $
	info.name_list_vfield eq 'Longitude of Subsolar Point at Surface at Observation', count)
if count eq 0 then begin
	result=dialog_message('Unable to find Longitude of Sun at Observation!',$
			title='View HDF Warning!')
	set_error_data, sun_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)

the_result = read_vdata_data(this_subset, info.vdata.nrec, the_index, $
	info.vdata.name_sel, the_name, info, sun_x)
if (the_result eq -1) then begin
	result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
		title='View HDF Warning!')
	set_error_data, sun_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

sun_x = reform(sun_x.components0, n_elements(sun_x.components0))

result = where(info.name_list_vfield eq 'Colatitude of Sun at Observation' or $
	info.name_list_vfield eq 'Colatitude of Subsolar Point at Surface at Observation', count)
if count eq 0 then begin
	result=dialog_message('Unable to find Colatitude of Sun at Observation!',$
			title='View HDF Warning!')
	set_error_data, sun_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)

the_result = read_vdata_data(this_subset, info.vdata.nrec, the_index, $
	info.vdata.name_sel, the_name, info, sun_y)
if (the_result eq -1) then begin
	result=dialog_message('Unable to read ' + the_name + ' Vdata data!',$
		title='View HDF Warning!')
	set_error_data, sun_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endif

sun_y = reform(sun_y.components0, n_elements(sun_y.components0))
sun_y(*) = 90.0 - sun_y(*)

assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
	satellite_y, sun_x, sun_y

return

endif

result = where((info.name_list_sds eq 'Colat_Long') or $
	(info.name_list_sds eq 'Colat_Longitude'), count)
if count ne 0 then begin

	temp_name = info.name_list_sds(result)
	temp_name = temp_name(0)

	the_result = read_sds_data( this_subset, temp_name, info, output_x)
	if (the_result eq -1) then begin
		result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
			satellite_y, sun_x, sun_y
		return
	endif

	hdf_data_x = output_x(7,*)
	hdf_data_y = 90.0 - output_x(6,*)
	satellite_x = output_x(1,*)
	satellite_y = 90.0 - output_x(0,*)
	sun_x = output_x(3,*)
	sun_y = 90.0 - output_x(2,*)

	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y

	return
endif

    sds_index = check_sds_index(filename, 'Longitude of CERES FOV at surface')
    if sds_index ne -1 then begin

    temp_name = 'Longitude of CERES FOV at surface'

    the_result = read_sds_data( this_subset, temp_name, info, hdf_data_x)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    sds_index = check_sds_index(filename, 'Colatitude of CERES FOV at surface')
    if sds_index eq -1 then begin
          result=dialog_message('Unable to find Colatitude of CERES FOV at surface SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = 'Colatitude of CERES FOV at surface'

    the_result = read_sds_data( this_subset, temp_name, info, hdf_data_y)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    hdf_data_y(*) = 90.0 - hdf_data_y(*)

    sds_index = check_sds_index(filename, 'Longitude of subsatellite point at surface at observation')
    if sds_index eq -1 then begin
	  the_message=['Unable to find Longitude of subsatellite point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = 'Longitude of subsatellite point at surface at observation'

    the_result = read_sds_data( this_subset, temp_name, info, satellite_x)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    sds_index = check_sds_index(filename, 'Colatitude of subsatellite point at surface at observation')
    if sds_index eq -1 then begin
	  the_message=['Unable to find Colatitude of subsatellite point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = 'Colatitude of subsatellite point at surface at observation'

    the_result = read_sds_data( this_subset, temp_name, info, satellite_y)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    satellite_y(*) = 90.0 - satellite_y(*)

    sds_index = check_sds_index(filename, 'Longitude of subsolar point at surface at observation')
    if sds_index eq -1 then begin
	  the_message=['Unable to find Longitude of subsolar point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,satellite_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = 'Longitude of subsolar point at surface at observation'

    the_result = read_sds_data( this_subset, temp_name, info, sun_x)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    sds_index = check_sds_index(filename, 'Colatitude of subsolar point at surface at observation')
    if sds_index eq -1 then begin
	  the_message=['Unable to find Colatitude of subsolar point at surface at observation']
          result=dialog_message(the_message, title='View HDF Warning!')
	  set_error_data,sun_x
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif

    temp_name = 'Colatitude of subsolar point at surface at observation'

    the_result = read_sds_data( this_subset, temp_name, info, sun_y)
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read ' + temp_name + ' SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,sun_y
	  assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
          return
    endif


    sun_y(*) = 90.0 - sun_y(*)

    assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
	satellite_y, sun_x, sun_y

return

endif

if info.subset.count lt 3 then begin
         result=dialog_message('The Geolocated fields are not found!',$
                    title='View HDF Warning!')
	set_error_data, hdf_data_x
        assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
                satellite_y, sun_x, sun_y
         return
endif

the_message = ['The Geolocated fields are not found!', $
		'Do you want to get them from Current Subset list?']
result=dialog_message(the_message, /Question, title='View HDF Question!')

if result eq 'Yes' then begin
	info.geolocated.selected = 0
	get_geolocated_name, info
	return
endif else begin
	set_error_data, hdf_data_x
	assign_geolocated_data, this_subset, info, hdf_data_x, hdf_data_y, satellite_x, $
		satellite_y, sun_x, sun_y
	return
endelse

end 

;--------------------------------------------------------------------------------
pro set_histogram, event
 
pro_name = 'set_histogram'
@getinfo
 
widget_control, get_uvalue=info, event.top
 
widget_control, info.histogram.binwidget, get_value=binsize
widget_control, info.histogram.maxwidget, get_value=max_value
widget_control, info.histogram.minwidget, get_value=min_value

widget_control, get_uvalue=info, info.base
widget_control, event.top, /destroy

info.histogram.binsize = binsize
info.histogram.max = max_value
info.histogram.min = min_value
print,'info.histogram.binsize = ', info.histogram.binsize
print,'info.histogram.max = ', info.histogram.max
print,'info.histogram.min = ', info.histogram.min
 
widget_control, set_uvalue=info, info.base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
 
end
 
;------------------------------------------------------------------
pro get_hist_par, data_name, max, min, info

pro_name = 'get_hist_par'
@getinfo

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 300
yoffset = base_loc.yoffset + 300

base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Histogram Parameters', uvalue=info, xoffset=xoffset, $
	yoffset=yoffset)

dep_variable = "Variable: " + data_name
text1 = widget_label(base, /ALIGN_LEFT, value=dep_variable, $
        FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1')

text3 = widget_label(base, /ALIGN_RIGHT, value="   ", $
        FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1')

info.histogram.binwidget = CW_FIELD(base,VALUE=info.histogram.binsize, $
	ROW=1, /float, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Bin Size: ', XSIZE=10)

info.histogram.maxwidget = CW_FIELD(base,VALUE=max, $
	ROW=1, /float, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Max Value: ', XSIZE=10)
 
info.histogram.minwidget = CW_FIELD(base,VALUE=min, $
	ROW=1, /float, FIELDFONT=info.font, FONT=info.font, $
	TITLE='Min Value: ', XSIZE=10)
 
group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='set_histogram', $
	VALUE="Done", /ALIGN_CENTER, uvalue=info)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER, uvalue=info)

widget_control,/realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

widget_control, set_uvalue=info, base

xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro setnumbergridCB, event

pro_name = 'setnumbergridCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=widget_id, event.id

widget_control, widget_id(0), get_value=n_x_grid
info.greenwich.n_x_grid=n_x_grid
print,'Number of X Grids =',info.greenwich.n_x_grid

widget_control, widget_id(1), get_value=n_y_grid
info.greenwich.n_y_grid=n_y_grid
print,'Number of Y Grids =',info.greenwich.n_y_grid

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro set_number_grid, info

pro_name = 'set_number_grid'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Set Number of Grids')

s_group=widget_base(base, column=1,map=1)

n_x_grid = CW_FIELD(s_group, VALUE=info.greenwich.n_x_grid, $
		ROW=1, INTEGER=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Number of X Grids:', XSIZE=10)

n_y_grid = CW_FIELD(s_group, VALUE=info.greenwich.n_y_grid, $
		ROW=1, INTEGER=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Number of Y Grids:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='setnumbergridCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_id = [n_x_grid, n_y_grid]
widget_control, set_uvalue=info, base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base
widget_control, set_uvalue=widget_id, button1

end

;--------------------------------------------------------------------------------
pro openfilterCB, event

pro_name = 'openfilterCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.openfilter, get_value=open_filter
open_filter = open_filter(0)

info.open_filter=open_filter

widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_open_filter, info

pro_name = 'get_open_filter'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Open File Filter')

o_group=widget_base(base, row=1,map=1)

info.widgets.openfilter = CW_FIELD(o_group, VALUE=info.open_filter, $
		ROW=1, STRING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Filter:', XSIZE=20)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='openfilterCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro numlevelCB, event

pro_name = 'numlevelCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.numlevel, get_value=n_level

info.greenwich.n_level=n_level

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_n_level, info

pro_name = 'get_n_level'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Set Number of Discrete Intervals')

c_group=widget_base(base, row=1,map=1)

info.widgets.numlevel = CW_FIELD(c_group, VALUE=info.greenwich.n_level, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Number of Discrete Intervals:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='numlevelCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
function list_sds, filename, num_field

pro_name = 'list_sds'
@getinfoa

result=''
num_field = 0

sd_id = HDF_SD_START(filename, /READ)
if sd_id eq -1 then return, 'BAD'

HDF_SD_FILEINFO, sd_id, num_dataset, nglobal_attr
if num_dataset eq 0 then begin
	HDF_SD_END,sd_id
	return, result
endif

for i = 0, num_dataset-1 do begin
    default_name = 0
    sds_id = HDF_SD_SELECT(sd_id, i)
    if sds_id eq -1 then begin
	the_result=dialog_message('Problem to select SDS data!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return, result
    endif

    HDF_SD_GETINFO, sds_id, NAME=sds_name, NATTS=nattrs

    dot=strpos(sds_name,'fakeDim')
    if( dot ne -1) then default_name = 1 $
	else begin
	    dot=strpos(sds_name, 'Data-Set')
	    if (dot ne -1) then default_name = 1
	endelse

    if default_name eq 1 then begin
	j = 0
	j_continue = 1
	while j_continue eq 1 and j lt nattrs do begin
	    HDF_SD_ATTRINFO, sds_id, j, NAME=attr_name, DATA=attr_value
	    if attr_name eq 'long_name' then begin
		attr_value = strcompress(strtrim(attr_value,2))
		length = strlen(attr_value)
		if length gt 80 then temp_name = strmid(attr_value,0,80) $
			else temp_name = attr_value
		sds_name = sds_name + ":" + temp_name
		j_continue = 0
	   endif
	   j = j + 1
	endwhile
    endif

    if i eq 0 then result = sds_name $
    else result = result + '|' + sds_name
    num_field = num_field + 1

    HDF_SD_ENDACCESS,sds_id

endfor

HDF_SD_END,sd_id

return, result

end

;--------------------------------------------------------------------------------
function list_vdata, filename, num_field

pro_name = 'list_vdata'
@getinfoa

result=''
num_field = 0

file_id = HDF_OPEN(filename, /READ)
if file_id eq -1 then return, 'BAD'

continue_flag = 1
previous_vref = -1
while continue_flag eq 1 do begin
    current_vref = HDF_VD_GETID(file_id, previous_vref)
    if current_vref ne -1 then begin
	vdata_id = HDF_VD_ATTACH(file_id, current_vref, /READ)
	if vdata_id eq 0 then begin
	    the_result=dialog_message('Unable to attach '+the_vdata_name+'!',$
		title='View HDF Warning!')
	    HDF_CLOSE,file_id
	    return, result
	endif

	previous_vref = current_vref
	HDF_VD_GET,vdata_id,NAME=vdata_name, CLASS=class_name
	dot=strpos(vdata_name,'fake')
	if dot eq -1 then begin
	    check_meta = 0
	    temp_name = strlowcase(vdata_name)
	    loc = strpos(temp_name, 'coremetadata')
	    loc1 = strpos(temp_name, 'archivemetadata')
	    if loc ne -1 or loc1 ne -1 then check_meta = 1
	    check_class = 0
	    temp_name = strlowcase(class_name)
	    loc = strpos(temp_name, 'attr')
	    loc1 = strpos(temp_name, 'dimval')
	    if loc ne -1 or loc1 ne -1 then check_class = 1

	    if check_meta eq 1 or check_class ne 1 then begin
		if num_field eq 0 then result = vdata_name $
			else result = result + '|' + vdata_name

		num_field = num_field + 1
	    endif
	endif
	
	HDF_VD_DETACH, vdata_id
    endif else continue_flag = 0
endwhile

HDF_CLOSE, file_id

return, result

end

;--------------------------------------------------------------------------------
function list_vdata_attr, filename, num_field

pro_name = 'list_vdata'
@getinfoa

result=''
num_field = 0

file_id = HDF_OPEN(filename, /READ)
if file_id eq -1 then return, 'BAD'

continue_flag = 1
previous_vref = -1
while continue_flag eq 1 do begin
    current_vref = HDF_VD_GETID(file_id, previous_vref)
    if current_vref ne -1 then begin
	vdata_id = HDF_VD_ATTACH(file_id, current_vref, /READ)
	if vdata_id eq 0 then begin
	    the_result=dialog_message('Unable to attach '+the_vdata_name+'!',$
		title='View HDF Warning!')
	    HDF_CLOSE,file_id
	    return, result
	endif

	previous_vref = current_vref
	HDF_VD_GET,vdata_id,NAME=vdata_name, CLASS=class_name
	dot=strpos(vdata_name,'fake')
	if dot eq -1 then begin
	    check_meta = 0
	    temp_name = strlowcase(vdata_name)
	    loc = strpos(temp_name, 'coremetadata')
	    loc1 = strpos(temp_name, 'archivemetadata')
	    if loc ne -1 or loc1 ne -1 then check_meta = 1
	    check_class = 0
	    temp_name = strlowcase(class_name)
	    loc = strpos(temp_name, 'dimval')
	    if loc ne -1 then check_class = 1

	    if check_meta eq 1 or check_class ne 1 then begin
		if num_field eq 0 then result = vdata_name $
			else result = result + '|' + vdata_name

		num_field = num_field + 1
	    endif
	endif
	
	HDF_VD_DETACH, vdata_id
    endif else continue_flag = 0
endwhile

HDF_CLOSE, file_id

return, result

end

;--------------------------------------------------------------------------------
pro get_parameters, string_call, widget, flag, filename, info

pro_name = 'get_parameters'
@getinfo

number_of_fields=long(0)

CD, '.', CURRENT = PWD

;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;                string_call,     $
;                filename, $
;                number_of_fields,/s_value)

case string_call of
	'list_sds': the_result = list_sds(filename,number_of_fields)
	'list_vdata': the_result = list_vdata(filename,number_of_fields)
	else: the_result = list_vdata_attr(filename,number_of_fields)
endcase

if the_result ne "BAD" then begin

	if number_of_fields gt 0 then begin

         	widget_control, widget, set_value  = str_sep(the_result, '|')
		
		type = str_sep(string_call, '_')

		CASE type(1) of

		'vdata': info = redefine_info(info, str_sep(the_result, '|'),0 ) 
		'vfield': info = redefine_info(info, str_sep(the_result, ','),1 )
		'sds': info = redefine_info(info, str_sep(the_result, '|'),2 )
	
		ENDCASE

		flag = 1

        endif

endif else begin

       result=dialog_message('Problem reading HDF information!',$
                        title='View HDF Warning!')
       return
endelse        

end

;--------------------------------------------------------------------------------
FUNCTION x_selected, Event

pro_name = 'x_selected'
@getinfo1

widget_control, get_uvalue=info, event.top

info.out.x_index = event.value

widget_control, set_uvalue=info, event.top

END

;--------------------------------------------------------------------------------
pro get_select_variable, info, this_subset, print_flag, hdf_data_x

pro_name = 'get_select_variable'
@getinfo

if ((print_flag lt 1) or (print_flag gt 3)) then begin

	base_loc = widget_info(info.base, /geometry)
	xoffset = base_loc.xoffset + 100
	yoffset = base_loc.yoffset + 100
	base=widget_base(group_leader=info.base, /modal, ROW=1, xoffset=xoffset, $
		yoffset=yoffset, TITLE='Select X Variable')
	widget_control, set_uvalue=info, base

	the_pick=CW_BGROUP(base, info.name_list_subset, set_value=0, $
		FONT=info.font, EVENT_FUNCT='x_selected', $
		/SCROLL,Y_SCROLL_SIZE=600,X_SCROLL_SIZE=300, /EXCLUSIVE)
   
	group2=widget_base(base, column=1,map=1, space=40, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO='donepick', UVALUE=base, $
		VALUE="Done", /ALIGN_CENTER)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
		VALUE="Cancel", /ALIGN_CENTER)

	widget_control,/realize, base
	widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
	xmanager, 'main_widget', base

	widget_control, get_uvalue=info, info.base
endif

if info.canceloption eq 'Yes' then return

x_index = info.out.x_index

if info.subset.data(x_index).src_type_flag eq 0 then begin
  handle_value, info.subset.data(x_index).src_data, hdf_data_x
endif else begin
  handle_value, info.subset.data(x_index).src_data, hdf_x_temp
  hdf_data_x = reform(hdf_x_temp.components0, n_elements(hdf_x_temp.components0))
endelse


END

;--------------------------------------------------------------------------------
pro get_vgroup_list, flag, filename, info

pro_name = 'get_vgroup_list'
@getinfo

fileid = HDF_OPEN(filename)
if fileid eq -1 then begin
	result=dialog_message('Problem open HDF file!',$
		title='View HDF Warning!')
	return
	flag = 0
endif

loneid = HDF_VG_LONE(fileid)
check_loneid = loneid(0)
if check_loneid eq -1 then begin
	;result=dialog_message('There is no Vgroup defined!',$
	;	title='View HDF Warning!')
	flag = 0
	return
endif
old_vgid = -1
new_vgid = 0
i = 0
while new_vgid ne -1 do begin
	new_vgid = HDF_VG_GETID(fileid, old_vgid)
	if new_vgid ne -1 then begin
	   check = where(loneid eq new_vgid, count)
	   if count ne 0 then begin
	      vg_handle = HDF_VG_ATTACH(fileid, new_vgid)
	      if vg_handle ne 0 then begin
		HDF_VG_GETINFO, vg_handle, CLASS=class, NAME=name, NENTRIES=num
		name_check = strpos(name, 'fakeDim')
		class_check = strpos(class, 'Var')
		class1_check = strpos(class, 'CDF')
		if name_check eq -1 and class_check eq -1 and class1_check eq -1 then begin
			if i eq 0 then begin
				vg_list = name
				vg_id = new_vgid
				vg_name_list = strtrim(name,2)
				vg_id_list = strtrim(string(new_vgid),2)
			endif else begin
				vg_list = [vg_list, name]
				vg_id = [vg_id, new_vgid]
				vg_name_list = vg_name_list + '|'
				vg_name_list = vg_name_list + strtrim(name,2)
				vg_id_list = vg_id_list + '|'
				vg_id_list = vg_id_list + strtrim(string(new_vgid),2)
			endelse
			i = i + 1
			HDF_VG_GETTRS, vg_handle, tags, refs
		endif
		HDF_VG_DETACH, vg_handle
	      endif
	   endif
	   old_vgid = new_vgid
	endif
endwhile

num_vg = n_elements(vg_list)
if num_vg gt 1 then begin
	info = initial_vgroup(info)
	metaname = ['CERES_metadata', 'SSF_Header', 'coremetadata', 'archivemetadata', $
	'CoreMetadata.0', 'ArchiveMetadata.0']
	num_vd = 0
	vdata_list = ''
	vref = ''
	for imeta = 0, 4 do begin
	    mname = metaname(imeta)
	    mname = mname(0)
	    vmetaref = HDF_VD_FIND(fileid, mname)
	    if vmetaref ne 0 then begin
		vd_id = HDF_VD_ATTACH(fileid, vmetaref, /read)
		if vd_id ne 0 then begin
		    HDF_VD_GET, vd_id, name=temp, class=class
		    if num_vd gt 0 then $
			vdata_list = [vdata_list, temp] $
		    else vdata_list = temp
		    HDF_VD_DETACH, vd_id
		    if num_vd gt 0 then begin
			vref = vref + '|'
			vref = vref + strtrim(string(vmetaref),2)
		    endif else vref = strtrim(string(vmetaref),2)
		    num_vd = num_vd + 1
		endif
	    endif
	endfor
	if num_vd gt 0 then begin
		widget_control, info.widgets.vdata, set_value  = vdata_list
		info.vgroup.vref = vref
		info = redefine_info(info, vdata_list, 0 )
		widget_control, set_uvalue=info, info.base
	endif

	flag = 1 
	info = redefine_info(info, vg_list, 9)
	info.vgroup.flag = 1
	info.vgroup.nlayer = 1
	info.vgroup.ref(0) = 1
	info.vgroup.id(0) = 1
	info.vgroup.vg_name(0) = vg_name_list
	info.vgroup.vg_id(0) = vg_id_list
	info.flags.data_read = flag
	select_vgroup,'VGROUP', info, vg_list, vg_id, 0
endif else begin
	;result=dialog_message('There is no Vgroup defined!',$
		;title='View HDF Warning!')
	flag = 0
endelse

HDF_CLOSE, fileid

end

;--------------------------------------------------------------------------------
pro get_vgroup, event

pro_name = 'get_vgroup'
@getinfo

widget_control, /hourglass
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base
widget_control, get_uvalue=vg_id, event.id
vgid = vg_id(event.index)
; check which level of the vgroup
subscript = where(info.vgroup.ref gt 0 , count)
if count gt 1 then begin
	i = 0
	icheck = 0
	while icheck eq 0 do begin
		vg_id_list = info.vgroup.vg_id(i)
		vg_list = str_sep(vg_id_list, '|')
		vg_list = long(vg_list)
		check = where(vg_list eq vgid, check_count)
		if check_count ne 0 then icheck = 1
		i = i + 1
		if i eq count then icheck = 1
	endwhile
	if i lt count then begin
		for j = i, count-1 do begin
		    if(widget_info(info.vgroup.base(j), /VALID_ID)) then $
			widget_control, info.vgroup.base(j), /destroy
		endfor
		info.vgroup.base(i:*) = 0L
		info.vgroup.ref(i:*) = 0L
		info.vgroup.id(i:*) = 0L
		info.vgroup.name_string(i:*) = ''
		info.vgroup.vg_id(i:*) = ''
		info.vgroup.vg_name(i:*) = ''
	endif
endif else i = 1
if i eq 8 then begin
	result = dialog_message("You have maximum level of Vgroup", $
		title='View HDF Warning!')
	return
endif
nlayer = i
vg_name_list = info.vgroup.vg_name(i-1)
name_list = str_sep(vg_name_list, '|')
name_vg = name_list(event.index)
info.vgroup.name_string(i) = name_vg
info.vgroup.ref(i) = vgid
info.vgroup.id(i) = event.id

widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)
fileid = HDF_OPEN(filename)
if fileid eq -1 then begin
	result=dialog_message('Problem open HDF file!',$
		title='View HDF Warning!')
	return
endif
vg_handle = HDF_VG_ATTACH(fileid, vgid)
if vg_handle eq 0 then begin
	result = dialog_message('Problem attach the vgroup!.', $
		title='View HDF Warning!')
	return
	HDF_CLOSE, fileid
endif

HDF_VG_GETINFO, vg_handle, CLASS=class, NAME=name, NENTRIES=num
HDF_VG_GETTRS, vg_handle, tags, refs
num_ref = n_elements(refs)
vdata_list = ''
sds_list = ''
vref = ''
sref = ''
vgroup = ''
temp=''
vg_list = ''
num_vd = 0
num_sd = 0
num_vg = 0
for i = 0L, num_ref-1 do begin
   type = 2
   check_vg = HDF_VG_ISVD(vg_handle, refs(i))
   if check_vg eq 1 then type = 0
   check_vg = HDF_VG_ISVG(vg_handle, refs(i))
   if check_vg eq 1 then type = 1
   case type of
	0: begin
	   vd_id = HDF_VD_ATTACH(fileid, refs(i), /read)
	   if vd_id ne 0 then begin
		HDF_VD_GET, vd_id, name=temp, class=class
		if num_vd gt 0 then $
		   vdata_list = [vdata_list, temp] $
		else vdata_list = temp
		HDF_VD_DETACH, vd_id
		if num_vd gt 0 then begin
		   vref = vref + '|'
		   vref = vref + strtrim(string(refs(i)),2)
		endif else vref = strtrim(string(refs(i)),2)
		num_vd = num_vd + 1
	   endif
	end
	1: begin
	   new_vgid = refs(i)
	   vg_handle1 = HDF_VG_ATTACH(fileid, new_vgid)
	   if vg_handle1 ne 0 then begin
		HDF_VG_GETINFO, vg_handle1, CLASS=class, NAME=name, NENTRIES=num
		name_check = strpos(name, 'fakeDim')
		class_check = strpos(class, 'Var')
		class1_check = strpos(class, 'CDF')
		if name_check eq -1 and class_check eq -1 and class1_check eq -1 then begin
		   if num_vg gt 0 then begin
			vg_list = [vg_list, name]
			vg_id = [vg_id, new_vgid]
			vg_name_list = vg_name_list + '|'
			vg_name_list = vg_name_list + strtrim(name,2)
			vg_id_list = vg_id_list + '|'
			vg_id_list = vg_id_list + strtrim(string(new_vgid),2)
		   endif else begin
			vg_list = name
			vg_id = new_vgid
			vg_name_list = strtrim(name,2)
			vg_id_list = strtrim(string(new_vgid),2)
		   endelse
		   HDF_VG_GETTRS, vg_handle1, tag1s, ref1s
		endif
		HDF_VG_DETACH, vg_handle1
		num_vg = num_vg + 1
	   endif
	end
	else: begin
	   sd_id = HDF_SD_START(filename)
	   if sd_id ne -1 then begin
		sds_index = HDF_SD_REFTOINDEX(sd_id, refs(i))
		if sds_index ne -1 then begin
		   sds_id = HDF_SD_SELECT(sd_id, sds_index)
		   if sds_id ne -1 then begin
			HDF_SD_GETINFO, sds_id, name=temp
			if num_sd gt 0 then $
			   sds_list = [sds_list, temp] $
			else sds_list = temp
			HDF_SD_ENDACCESS, sds_id
			if num_sd gt 0 then begin
			   sref = sref + '|'
			   sref = sref + strtrim(string(sds_index),2)
			endif else sref = strtrim(string(sds_index),2)
			num_sd = num_sd + 1
		   endif
		endif
		HDF_SD_END, sd_id			
	   endif
	end
   endcase
endfor

metaname = ['CERES_metadata', 'SSF_Header', 'coremetadata', 'archivemetadata', $
	'CoreMetadata.0', 'ArchiveMetadata.0']
for imeta = 0, 4 do begin
	mname = metaname(imeta)
	mname = mname(0)
	vmetaref = HDF_VD_FIND(fileid, mname)
	if vmetaref ne 0 then begin
		vd_id = HDF_VD_ATTACH(fileid, vmetaref, /read)
		if vd_id ne 0 then begin
			HDF_VD_GET, vd_id, name=temp, class=class
			if num_vd gt 0 then $
				vdata_list = [vdata_list, temp] $
			else vdata_list = temp
			HDF_VD_DETACH, vd_id
			if num_vd gt 0 then begin
				vref = vref + '|'
				vref = vref + strtrim(string(vmetaref),2)
			endif else vref = strtrim(string(vmetaref),2)
			num_vd = num_vd + 1
		endif
	endif
endfor
if num_vd gt 0 then begin
	widget_control, info.widgets.vdata, set_value  = vdata_list
	info.vgroup.vref = vref
	info = redefine_info(info, vdata_list, 0 )
endif else begin
	temp_name = 'None'
	widget_control, info.widgets.vdata, set_value = temp_name
	info.vgroup.vref = ''
	info = redefine_info(info, temp_name, 0)
endelse

if num_sd gt 0 then begin
	widget_control, info.widgets.sds, set_value  = sds_list
	info.vgroup.sref = sref
	info = redefine_info(info, sds_list,2 )
endif else begin
	temp_name = 'None'
	widget_control, info.widgets.sds, set_value = temp_name
	info.vgroup.sref = ''
	info = redefine_info(info, temp_name, 2)
endelse

widget_control, set_uvalue=info, info.base

if num_vg gt 1 then begin
	info = redefine_info(info, vg_list, 10)
	info.vgroup.vg_name(nlayer) = vg_name_list
	info.vgroup.vg_id(nlayer) = vg_id_list
	info.vgroup.nlayer = nlayer + 1
	widget_control, set_uvalue=info, info.base
	select_vgroup, name_vg, info, vg_list, vg_id, nlayer
endif

end

;------------------------------------------------------------------
pro get_curve_parameter_names, x_field, y_field, xflag, yflag, $
x_list, y_list

pro_name = 'get_curve_parameter_names'
@getinfo
 
if (xflag gt 0) then x_field = field_struct('X Field Selection', x_list)
if (yflag gt 0) then y_field = field_struct('Y Field Selection', y_list)

end

;------------------------------------------------------------------
pro get_parameter_names, x_fields, y_fields, z_fields,$
xflag, yflag, zflag, name_list

pro_name = 'get_parameter_names'
@getinfo
 
if (xflag gt 0) then x_fields = field_struct('X Field Selection', name_list)
if (yflag gt 0) then y_fields = field_struct('Y Field Selection', name_list)
if (zflag gt 0) then z_fields = field_struct('Z Field Selection', name_list)

end

;------------------------------------------------------------------
pro get_y1y2_parameter_names, x_fields, y_fields, xflag, yflag, name_list

pro_name = 'get_y1y2_parameter_names'
@getinfo
 
if (xflag gt 0) then x_fields = field_struct('Y1 Field Selection', name_list)
if (yflag gt 0) then y_fields = field_struct('Y2 Field Selection', name_list)

end

;------------------------------------------------------------------
pro get_packet_number_absolute, info, this_subset, hdf_data_x

pro_name = 'get_packet_number_absolute'
@getinfo
 
    widget_control,info.widgets.current_file,get_value=filename
    filename = filename(0)
    subset_filename = info.subset.data(this_subset).src_filename
    subset_filename=subset_filename(0)
    if subset_filename ne filename then begin
	the_message=['The subset file is not equal to current file,', $
		     'Unable to make plot vs. absolute packet number.', $
		     'Please open the subset file:', subset_filename]
	result=dialog_message(the_message, title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
    endif

    result = where(info.name_list_vdata eq 'Converted Digital Data' or $
	info.name_list_vdata eq 'Converted Instrument Status Data', count)
    if count ne 0 then begin

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
    endelse 

    result = where(the_vfield_list eq 'Packet Counter - Absolute', count)
    if count ne 0 then begin

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)
	the_types=long(1)
	the_order=long(1)

	this_start = 0
	this_end = the_nrec
	this_increment = 1L

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	blank = array_type(the_types(0), the_order)

	single_record=create_struct( 'components' + '0', blank) 

	output_data=replicate(single_record, (the_nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	output_data = reform(output_data.components0, n_elements(output_data.components0))

	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  	handle_value,info.subset.data(this_subset).src_data,hdf_data
  	size_hdf = size(hdf_data)

  	case size_hdf(0) of
	1: begin
		this_start = info.subset.data(this_subset).src_start(0)
		this_end = info.subset.data(this_subset).src_end(0)
		this_increment = info.subset.data(this_subset).src_increment(0)
		true_start = info.subset.data(this_subset).src_start(1)
		true_end = info.subset.data(this_subset).src_end(1)
		if true_start ne this_start or true_end ne this_end then begin
			message = strarr(3)
			message(0) = 'Only ONE packet is selected.'
			message(1) = 'Plotting against packet number is meaningless.'
			message(2) = 'Plotting against sample number is better!'
			result=dialog_message(message, title='View HDF Warning!')
			return
		endif
		ii = 0L
		for i = this_start, this_end-1, this_increment do begin
		  hdf_data_x(ii) = output_data(i)
		  ii = ii + 1
		endfor
  	   end
	2: begin
		i_start = info.subset.data(this_subset).src_start(0)
		i_end = info.subset.data(this_subset).src_end(0)
		i_increment = info.subset.data(this_subset).src_increment(0)
		this_start = info.subset.data(this_subset).src_start(1)
		this_end = info.subset.data(this_subset).src_end(1)
		this_increment = info.subset.data(this_subset).src_increment(1)
		ii = 0L
		for i = i_start, i_end-1, i_increment do begin
			jj = 0
        		for j = this_start, this_end-1, this_increment do begin
	    			hdf_data_x(jj,ii) = output_data(i)
				jj = jj + 1
        		endfor
			ii = ii + 1
    		endfor
	  end
	else: begin
		result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	  end

	endcase

	endif else begin
  	this_order = info.subset.data(this_subset).src_order(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_start = info.subset.data(this_subset).src_start(0)
	this_increment = info.subset.data(this_subset).src_increment(0)
	k = 0L
	for i = this_start, this_end, this_increment do begin
        	for j = 0, this_order-1 do begin
	  		hdf_data_x(k) = output_data(i)
          		k = k + 1
        	endfor
    	endfor
	endelse

   endif

return

endif

	result = where(info.name_list_vfield eq 'Absolute Packet Number', count)
	if count ne 0 then begin

	this_start = info.subset.data(this_subset).src_start(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_increment = info.subset.data(this_subset).src_increment(0)

	the_name = ''
	the_index = result
	the_name = info.name_list_vfield(the_index)
	the_types=long(1)
	the_order=long(1)

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		info.vdata.name_sel,	$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	blank = array_type(the_types(0), the_order)

	single_record=create_struct( 'components' + '0', blank) 

	output_data=replicate(single_record, (info.vdata.nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		info.vdata.name_sel,		$
               	long(1), 			$
		this_start,            	 	$
               	info.vdata.nrec-1,		$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	output_data = output_data(this_start:this_end)
	this_increment = this_increment(0)

	if (this_increment gt 1) then begin
		indices = lindgen(this_end-this_start+1)
	 	ndices = indices mod this_increment
	 	ndices = [where(indices eq 0) ]
		utput_data = output_data(indices)
	endif

	handle_value,info.subset.data(this_subset).src_data,hdf_data
	hdf_size = size(hdf_data)
	hdf_x_size = size(output_data)
	n_hdf_data = n_elements(hdf_size)
	n_hdf_x_data = n_elements(hdf_x_size)
 
	if(n_hdf_data ne n_hdf_x_data) then begin
		result=dialog_message('The rank of Absolute Packet Number is not matched!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	endif

	if(hdf_size(n_hdf_data-1) ne hdf_x_size(n_hdf_x_data-1)) then begin
		result=dialog_message('The number of data for Absolute Packet Number is not matched!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	endif

	output_data = reform(output_data.components0, n_elements(output_data.components0))
  	for i = 0L, hdf_size(n_hdf_data-1)-1 do begin
     		hdf_data_x(i) = output_data(i)
  	endfor

	return

	endif

;result = where(info.name_list_sds eq 'Packet number', count)
;if count ne 0 then begin
sds_name = ['Packet number', 'Sample_Packet', 'Scan_Index']
num_name = n_elements(sds_name)
sds_index = -1
i = 0
while (sds_index eq -1 and i lt num_name) do begin
    temp_name = sds_name(i)
    sds_index = check_sds_index(filename, temp_name)
    i = i + 1
endwhile
if sds_index ne -1 then begin

; Get the dimensions for Sample_Packet
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type
    num_sds = 1

    ;temp_name = info.name_list_sds(result)
    ;temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = get_sds_dims(filename,temp_name,num_sds,sds_index,sds_rank,$
	sds_dims,sds_type)
    ;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
    ;            'get_sds_dims',         $
    ;            filename, $
    ;            temp_name, $
    ;            sds_rank, $
    ;            sds_dims, $
    ;            sds_type)
 
    if temp_name eq 'Packet number' then begin
	start_list = info.subset.data(this_subset).src_start(0:sds_rank-1)
	end_list = info.subset.data(this_subset).src_end(0:sds_rank-1)
	increment_list = info.subset.data(this_subset).src_increment(0:sds_rank-1)
    endif else begin
	start_list=lonarr(sds_rank)
	end_list=lonarr(sds_rank)
	increment_list=lonarr(sds_rank)
	array_size=lonarr(sds_rank)
	start_list(0) = info.subset.data(this_subset).src_start(0)
	end_list(0) = info.subset.data(this_subset).src_end(0)
	increment_list(0) = info.subset.data(this_subset).src_increment(0)
	start_list(1) = 0
	end_list(1) = sds_dims(1)
	increment_list(1) = 1
    endelse
 
    if info.subset.data(this_subset).src_type_flag eq 1 then begin
	end_list(0) = end_list(0) + 1 
    endif

    array_size = long((end_list-start_list)/float(increment_list) + 0.9)
 
    output_x = array_type(sds_type, array_size)

    if (output_x(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for Sample_Packet array!',$
                 title='View HDF Warning!')
	set_error_data, hdf_data_x
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    unsign_type = 0
    if info.version lt 5.19 then begin
	if sds_type gt 20 then unsign_type = sds_type mod 2
    endif
    if unsign_type eq 0 then begin
	the_result=read_sds(filename, sds_index, start_list, array_size, $
		increment_list, output_x)
    endif else begin
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
		'read_sds_eos',	$
		filename,	$
		temp_name,	$
		sds_index,	$
		sds_rank,	$
		sds_type,	$
		sds_dims,	$
		start_list,	$
		end_list,	$
		increment_list,	$
		array_size,	$
		output_x)
    endelse
    ;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
    ;             'read_sds',      $
    ;             filename,        $
    ;             temp_name,       $
    ;             sds_rank,        $
    ;             sds_type,        $
    ;             sds_dims,        $
    ;             start_list,      $
    ;             end_list,        $
    ;             increment_list,  $
    ;             array_size,      $
    ;             output_x)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Sample_Packet SDS data!',$
                      title='View HDF Warning!')
	  set_error_data, hdf_data_x
          return
    endif

  if temp_name eq 'Sample_Packet' or temp_name eq 'Scan_Index' then begin
	output_x = output_x(1,*)
	output_x = reform(output_x)
  endif
  ; Assign the Packet Number
  if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
    for i=0L, size_hdf(1)-1 do begin
	  hdf_data_x(i) = output_x(i)
    endfor
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(j,i) = output_x(i)
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater 2!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
  end

endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  this_range = (info.subset.data(this_subset).src_end(0) - $
                info.subset.data(this_subset).src_start(0)) / $
                info.subset.data(this_subset).src_increment(0)
  this_range = this_range+1
  k = 0L
  for i = 0L, this_range-1 do begin
	for j = 0, this_order-1 do begin
	  hdf_data_x(k) = output_x(i)
          k = k + 1
        endfor
  endfor
endelse
return
endif

result=dialog_message('The Absolute Packet Number field is not found!',$
	title='View HDF Warning!')
set_error_data,hdf_data_x

end 

;------------------------------------------------------------------
pro get_packet_number_absolute_old1, info, this_subset, hdf_data_x

pro_name = 'get_packet_number_absolute'
@getinfo
 
    widget_control,info.widgets.current_file,get_value=filename
    filename = filename(0)
    subset_filename = info.subset.data(this_subset).src_filename
    subset_filename=subset_filename(0)
    if subset_filename ne filename then begin
	the_message=['The subset file is not equal to current file,', $
		     'Unable to make plot vs. absolute packet number.', $
		     'Please open the subset file:', subset_filename]
	result=dialog_message(the_message, title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
    endif

    result = where(info.name_list_vdata eq 'Converted Digital Data' or $
	info.name_list_vdata eq 'Converted Instrument Status Data', count)
    if count ne 0 then begin

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
    endelse 

    result = where(the_vfield_list eq 'Packet Counter - Absolute', count)
    if count ne 0 then begin

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)
	the_types=long(1)
	the_order=long(1)

	this_start = 0
	this_end = the_nrec
	this_increment = 1L

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	blank = array_type(the_types(0), the_order)

	single_record=create_struct( 'components' + '0', blank) 

	output_data=replicate(single_record, (the_nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	output_data = reform(output_data.components0, n_elements(output_data.components0))

	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  	handle_value,info.subset.data(this_subset).src_data,hdf_data
  	size_hdf = size(hdf_data)

  	case size_hdf(0) of
	1: begin
		this_start = info.subset.data(this_subset).src_start(0)
		this_end = info.subset.data(this_subset).src_end(0)
		this_increment = info.subset.data(this_subset).src_increment(0)
		true_start = info.subset.data(this_subset).src_start(1)
		true_end = info.subset.data(this_subset).src_end(1)
		if true_start ne this_start or true_end ne this_end then begin
			message = strarr(3)
			message(0) = 'Only ONE packet is selected.'
			message(1) = 'Plotting against packet number is meaningless.'
			message(2) = 'Plotting against sample number is better!'
			result=dialog_message(message, title='View HDF Warning!')
			return
		endif
		ii = 0L
		for i = this_start, this_end-1, this_increment do begin
		  hdf_data_x(ii) = output_data(i)
		  ii = ii + 1
		endfor
  	   end
	2: begin
		i_start = info.subset.data(this_subset).src_start(0)
		i_end = info.subset.data(this_subset).src_end(0)
		i_increment = info.subset.data(this_subset).src_increment(0)
		this_start = info.subset.data(this_subset).src_start(1)
		this_end = info.subset.data(this_subset).src_end(1)
		this_increment = info.subset.data(this_subset).src_increment(1)
		ii = 0L
		for i = i_start, i_end-1, i_increment do begin
			jj = 0
        		for j = this_start, this_end-1, this_increment do begin
	    			hdf_data_x(jj,ii) = output_data(i)
				jj = jj + 1
        		endfor
			ii = ii + 1
    		endfor
	  end
	else: begin
		result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	  end

	endcase

	endif else begin
  	this_order = info.subset.data(this_subset).src_order(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_start = info.subset.data(this_subset).src_start(0)
	this_increment = info.subset.data(this_subset).src_increment(0)
	k = 0L
	for i = this_start, this_end, this_increment do begin
        	for j = 0, this_order-1 do begin
	  		hdf_data_x(k) = output_data(i)
          		k = k + 1
        	endfor
    	endfor
	endelse

   endif

return

endif

	result = where(info.name_list_vfield eq 'Absolute Packet Number', count)
	if count ne 0 then begin

	this_start = info.subset.data(this_subset).src_start(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_increment = info.subset.data(this_subset).src_increment(0)

	the_name = ''
	the_index = result
	the_name = info.name_list_vfield(the_index)
	the_types=long(1)
	the_order=long(1)

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		info.vdata.name_sel,	$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	blank = array_type(the_types(0), the_order)

	single_record=create_struct( 'components' + '0', blank) 

	output_data=replicate(single_record, (info.vdata.nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		info.vdata.name_sel,		$
               	long(1), 			$
		this_start,            	 	$
               	info.vdata.nrec-1,		$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	output_data = output_data(this_start:this_end)
	this_increment = this_increment(0)

	if (this_increment gt 1) then begin
		indices = lindgen(this_end-this_start+1)
	 	ndices = indices mod this_increment
	 	ndices = [where(indices eq 0) ]
		utput_data = output_data(indices)
	endif

	handle_value,info.subset.data(this_subset).src_data,hdf_data
	hdf_size = size(hdf_data)
	hdf_x_size = size(output_data)
	n_hdf_data = n_elements(hdf_size)
	n_hdf_x_data = n_elements(hdf_x_size)
 
	if(n_hdf_data ne n_hdf_x_data) then begin
		result=dialog_message('The rank of Absolute Packet Number is not matched!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	endif

	if(hdf_size(n_hdf_data-1) ne hdf_x_size(n_hdf_x_data-1)) then begin
		result=dialog_message('The number of data for Absolute Packet Number is not matched!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	endif

	output_data = reform(output_data.components0, n_elements(output_data.components0))
  	for i = 0L, hdf_size(n_hdf_data-1)-1 do begin
     		hdf_data_x(i) = output_data(i)
  	endfor

	return

	endif

result = where(info.name_list_sds eq 'Packet number', count)
if count ne 0 then begin

; Get the dimensions for Sample_Packet
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    temp_name = info.name_list_sds(result)
    temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                'get_sds_dims',         $
                filename, $
                temp_name, $
                sds_rank, $
                sds_dims, $
                sds_type)
 
    start_list = info.subset.data(this_subset).src_start(0:sds_rank-1)
    end_list = info.subset.data(this_subset).src_end(0:sds_rank-1)
    increment_list = info.subset.data(this_subset).src_increment(0:sds_rank-1)
 
    if info.subset.data(this_subset).src_type_flag eq 1 then begin
	end_list(0) = end_list(0) + 1 
    endif

    array_size = long((end_list-start_list)/float(increment_list) + 0.9)
 
    output_x = array_type(sds_type, array_size)

    if (output_x(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for Sample_Packet array!',$
                 title='View HDF Warning!')
	set_error_data, hdf_data_x
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                 'read_sds',      $
                 filename,        $
                 temp_name,       $
                 sds_rank,        $
                 sds_type,        $
                 sds_dims,        $
                 start_list,      $
                 end_list,        $
                 increment_list,  $
                 array_size,      $
                 output_x)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Sample_Packet SDS data!',$
                      title='View HDF Warning!')
	  set_error_data, hdf_data_x
          return
    endif

  ; Assign the Packet Number
  if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
    for i=0L, size_hdf(1)-1 do begin
	  hdf_data_x(i) = output_x(i)
    endfor
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(j,i) = output_x(i)
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater 2!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
  end

endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  this_range = (info.subset.data(this_subset).src_end(0) - $
                info.subset.data(this_subset).src_start(0)) / $
                info.subset.data(this_subset).src_increment(0)
  this_range = this_range+1
  k = 0L
  for i = 0L, this_range-1 do begin
	for j = 0, this_order-1 do begin
	  hdf_data_x(k) = output_x(i)
          k = k + 1
        endfor
  endfor
endelse
return
endif

    result = where(info.name_list_sds eq 'Sample_Packet' or $
		   info.name_list_sds eq 'Scan_Index', count)
    if count ne 0 then begin

; Get the dimensions for Sample_Packet
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    temp_name = info.name_list_sds(result)
    temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                'get_sds_dims',         $
                filename, $
                temp_name, $
                sds_rank, $
                sds_dims, $
                sds_type)
 
    start_list=lonarr(sds_rank)
    end_list=lonarr(sds_rank)
    increment_list=lonarr(sds_rank)
    array_size=lonarr(sds_rank)

    start_list(0) = info.subset.data(this_subset).src_start(0)
    end_list(0) = info.subset.data(this_subset).src_end(0)
    increment_list(0) = info.subset.data(this_subset).src_increment(0)
    start_list(1) = 0
    end_list(1) = sds_dims(1)
    increment_list(1) = 1
 
    if info.subset.data(this_subset).src_type_flag eq 1 then begin
	end_list(0) = end_list(0) + 1 
    endif

    array_size = long((end_list-start_list)/float(increment_list) + 0.9)
 
    output_x = array_type(sds_type, array_size)

    if (output_x(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for Sample_Packet array!',$
                 title='View HDF Warning!')
	set_error_data, hdf_data_x
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                 'read_sds',      $
                 filename,        $
                 temp_name,       $
                 sds_rank,        $
                 sds_type,        $
                 sds_dims,        $
                 start_list,      $
                 end_list,        $
                 increment_list,  $
                 array_size,      $
                 output_x)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Sample_Packet SDS data!',$
                      title='View HDF Warning!')
	  set_error_data, hdf_data_x
          return
    endif

  ; Assign the Packet Number
  if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
    for i=0L, size_hdf(1)-1 do begin
	  hdf_data_x(i) = output_x(1,i)
    endfor
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(j,i) = output_x(1,i)
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater 2!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
  end

endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  this_range = (info.subset.data(this_subset).src_end(0) - $
                info.subset.data(this_subset).src_start(0)) / $
                info.subset.data(this_subset).src_increment(0)
  this_range = this_range+1
  k = 0L
  for i = 0L, this_range-1 do begin
	for j = 0, this_order-1 do begin
	  hdf_data_x(k) = output_x(1,i)
          k = k + 1
        endfor
  endfor
endelse
return
endif

result=dialog_message('The Absolute Packet Number field is not found!',$
	title='View HDF Warning!')
set_error_data,hdf_data_x

end 

;------------------------------------------------------------------
pro get_packet_number_relative, info, this_subset, hdf_data_x

pro_name = 'get_packet_number_relative'
@getinfo
 
    widget_control,info.widgets.current_file,get_value=filename
    filename = filename(0)
    subset_filename = info.subset.data(this_subset).src_filename
    subset_filename=subset_filename(0)
    if subset_filename ne filename then begin
	the_message=['The subset file is not equal to current file,', $
		     'Unable to make plot vs. relative packet number.', $
		     'Please open the subset file:', subset_filename]
	result=dialog_message(the_message, title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
    endif

    result = where(info.name_list_vdata eq 'Converted Digital Data' or $
	   info.name_list_vdata eq 'Converted Instrument Status Data', count)
    if count ne 0 then begin

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	set_error_data, hdf_data_x
	return
    endelse 

    result = where(the_vfield_list eq 'Packet Counter - Relative', count)
    if count ne 0 then begin

	the_name = ''
	the_index = result
	the_name = the_vfield_list(the_index)
	the_types=long(1)
	the_order=long(1)

	this_start = 0
	this_end = the_nrec
	this_increment = 1L

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	blank = array_type(the_types(0), the_order)

	single_record=create_struct( 'components' + '0', blank) 

	output_data=replicate(single_record, (the_nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	output_data = reform(output_data.components0, n_elements(output_data.components0))

	if info.subset.data(this_subset).src_type_flag eq 0 then begin
  	handle_value,info.subset.data(this_subset).src_data,hdf_data
  	size_hdf = size(hdf_data)

  	case size_hdf(0) of
	1: begin
		this_start = info.subset.data(this_subset).src_start(0)
		this_end = info.subset.data(this_subset).src_end(0)
		this_increment = info.subset.data(this_subset).src_increment(0)
		true_start = info.subset.data(this_subset).src_start(1)
		true_end = info.subset.data(this_subset).src_end(1)
		if true_start ne this_start or true_end ne this_end then begin
			message = strarr(3)
			message(0) = 'Only ONE packet is selected.'
			message(1) = 'Plotting against packet number is meaningless.'
			message(2) = 'Plotting against sample number is better!'
			result=dialog_message(message, title='View HDF Warning!')
			return
		endif
		ii = 0L
		for i = this_start, this_end-1, this_increment do begin
		  hdf_data_x(ii) = output_data(i)
		  ii = ii + 1
		endfor
  	   end
	2: begin
		i_start = info.subset.data(this_subset).src_start(0)
		i_end = info.subset.data(this_subset).src_end(0)
		i_increment = info.subset.data(this_subset).src_increment(0)
		this_start = info.subset.data(this_subset).src_start(1)
		this_end = info.subset.data(this_subset).src_end(1)
		this_increment = info.subset.data(this_subset).src_increment(1)
		ii = 0L
		for i = i_start, i_end-1, i_increment do begin
			jj = 0
        		for j = this_start, this_end-1, this_increment do begin
	    			hdf_data_x(jj,ii) = output_data(i)
				jj = jj + 1
        		endfor
			ii = ii + 1
    		endfor
	  end
	else: begin
		result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	  end

	endcase

	endif else begin
  	this_order = info.subset.data(this_subset).src_order(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_start = info.subset.data(this_subset).src_start(0)
	this_increment = info.subset.data(this_subset).src_increment(0)
	k = 0L
	for i = this_start, this_end, this_increment do begin
        	for j = 0, this_order-1 do begin
	  		hdf_data_x(k) = output_data(i)
          		k = k + 1
        	endfor
    	endfor
	endelse

   endif

return

endif

	result = where(info.name_list_vfield eq 'Packet Number', count)
	if count ne 0 then begin

	this_start = info.subset.data(this_subset).src_start(0)
	this_end = info.subset.data(this_subset).src_end(0)
	this_increment = info.subset.data(this_subset).src_increment(0)

	the_name = ''
	the_index = result
	the_name = info.name_list_vfield(the_index)
	the_types=long(1)
	the_order=long(1)

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		info.vdata.name_sel,	$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

	blank = array_type(the_types(0), the_order)

	single_record=create_struct( 'components' + '0', blank) 

	output_data=replicate(single_record, (info.vdata.nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		info.vdata.name_sel,		$
               	long(1), 			$
		this_start,            	 	$
               	info.vdata.nrec-1,		$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

	output_data = output_data(this_start:this_end)
	this_increment = this_increment(0)

	if (this_increment gt 1) then begin
		indices = lindgen(this_end-this_start+1)
	 	ndices = indices mod this_increment
	 	ndices = [where(indices eq 0) ]
		utput_data = output_data(indices)
	endif

	handle_value,info.subset.data(this_subset).src_data,hdf_data
	hdf_size = size(hdf_data)
	hdf_x_size = size(output_data)
	n_hdf_data = n_elements(hdf_size)
	n_hdf_x_data = n_elements(hdf_x_size)
 
	if(n_hdf_data ne n_hdf_x_data) then begin
		result=dialog_message('The rank of Relative Packet Number is not matched!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	endif

	if(hdf_size(n_hdf_data-1) ne hdf_x_size(n_hdf_x_data-1)) then begin
		result=dialog_message('The number of data for Relative Packet Number is not matched!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	endif

	output_data = reform(output_data.components0, n_elements(output_data.components0))
  	for i = 0L, hdf_size(n_hdf_data-1)-1 do begin
     		hdf_data_x(i) = output_data(i)
  	endfor

	return

	endif

result=dialog_message('The Relative Packet Number field is not found!',$
	title='View HDF Warning!')
set_error_data, hdf_data_x

end 

;------------------------------------------------------------------
pro get_record_number, info, this_subset, hdf_data_x

pro_name = 'get_record_number'
@getinfo
 
if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
     this_start = info.subset.data(this_subset).src_start(0)
     this_end = info.subset.data(this_subset).src_end(0)
     this_increment = info.subset.data(this_subset).src_increment(0)
     true_start = info.subset.data(this_subset).src_start(1)
     true_end = info.subset.data(this_subset).src_end(1)
     if true_start ne this_start or true_end ne this_end then begin
	message = strarr(3)
	message(0) = 'Only ONE record is selected.'
	message(1) = 'Plotting against record number is meaningless.'
	message(2) = 'Plotting against sample number is better!'
	result=dialog_message(message, title='View HDF Warning!')
	return
     endif
     ii = 0L
     for i = this_start, this_end-1, this_increment do begin
	    hdf_data_x(ii) = i
	    ii = ii + 1
     endfor
  end
  2: begin
    i_start = info.subset.data(this_subset).src_start(0)
    i_end = info.subset.data(this_subset).src_end(0)
    i_increment = info.subset.data(this_subset).src_increment(0)
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    ii = 0L
    for i = i_start, i_end-1, i_increment do begin
        jj = 0
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(jj,ii) = i
	    jj = jj + 1
        endfor
	ii = ii+1
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  end

  endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  this_end = info.subset.data(this_subset).src_end(0)
  this_start = info.subset.data(this_subset).src_start(0)
  this_increment = info.subset.data(this_subset).src_increment(0)
    k = 0L
    for i = this_start, this_end, this_increment do begin
        for j = 0, this_order-1 do begin
	  hdf_data_x(k) = i
          k = k + 1
        endfor
    endfor
endelse

end 

;------------------------------------------------------------------
pro get_sample_number, info, this_subset, hdf_data_x

pro_name = 'get_sample_number'
@getinfo
 
widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)

result = where(info.name_list_vfield eq 'Scan Sample Number', count)
if count ne 0 then begin

this_start = info.subset.data(this_subset).src_start(0)
this_end = info.subset.data(this_subset).src_end(0)
this_increment = info.subset.data(this_subset).src_increment(0)

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)
the_types=long(1)
the_order=long(1)

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		info.vdata.name_sel,	$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

blank = array_type(the_types(0), the_order)

single_record=create_struct( 'components' + '0', blank) 

output_data=replicate(single_record, (info.vdata.nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		info.vdata.name_sel,		$
               	long(1), 			$
		this_start,            	 	$
               	info.vdata.nrec-1,		$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

output_data = output_data(this_start:this_end)
this_increment = this_increment(0)

if (this_increment gt 1) then begin
	indices = lindgen(this_end-this_start+1)
	indices = indices mod this_increment
	indices = [where(indices eq 0) ]
	output_data = output_data(indices)
endif

handle_value,info.subset.data(this_subset).src_data,hdf_data
hdf_size = size(hdf_data)
hdf_x_size = size(output_data)
n_hdf_data = n_elements(hdf_size)
n_hdf_x_data = n_elements(hdf_x_size)
 
if(n_hdf_data ne n_hdf_x_data) then begin
	result=dialog_message('The rank of Scan Sample Number is not matched!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
endif

if(hdf_size(n_hdf_data-1) ne hdf_x_size(n_hdf_x_data-1)) then begin
	result=dialog_message('The number of data for Scan Sample Number is not matched!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
endif

hdf_data_x = reform(output_data.components0, n_elements(output_data.components0))

return

endif

;result = where(info.name_list_sds eq 'Scan sample number', count)
;if count ne 0 then begin
sds_name = ['Scan sample number', 'Sample_Packet', 'Scan_Index']
num_name = n_elements(sds_name)
sds_index = -1
i = 0
while (sds_index eq -1 and i lt num_name) do begin
    temp_name = sds_name(i)
    sds_index = check_sds_index(filename, temp_name)
    i = i + 1
endwhile
if sds_index ne -1 then begin

; Get the dimensions for Sample_Packet
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    ;temp_name = info.name_list_sds(result)
    ;temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = get_sds_dims(filename,temp_name,num_sds,sds_index,sds_rank,$
	sds_dims,sds_type)
;    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;	'get_sds_dims',         $
;	filename, $
;	temp_name, $
;	sds_rank, $
;	sds_dims, $
;	sds_type)

    if temp_name eq 'Scan sample number' then begin
	start_list = info.subset.data(this_subset).src_start(0:sds_rank-1)
	end_list = info.subset.data(this_subset).src_end(0:sds_rank-1)
	increment_list = info.subset.data(this_subset).src_increment(0:sds_rank-1)
    endif else begin
	start_list=lonarr(sds_rank)
	end_list=lonarr(sds_rank)
	increment_list=lonarr(sds_rank)
	array_size=lonarr(sds_rank)
	start_list(0) = info.subset.data(this_subset).src_start(0)
	end_list(0) = info.subset.data(this_subset).src_end(0)
	increment_list(0) = info.subset.data(this_subset).src_increment(0)
	start_list(1) = 0
	end_list(1) = sds_dims(1)
	increment_list(1) = 1
    endelse

    if info.subset.data(this_subset).src_type_flag eq 1 then begin
	end_list(0) = end_list(0) + 1 
    endif

    array_size = long((end_list-start_list)/float(increment_list) + 0.9)
 
    output_x = array_type(sds_type, array_size)

    if (output_x(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for Scan sample number array!',$
                 title='View HDF Warning!')
	set_error_data,hdf_data_x
        return
    endif
 
    CD, '.', CURRENT = PWD

    unsign_type = 0
    if info.version lt 5.19 then begin
	if sds_type gt 20 then unsign_type = sds_type mod 2
    endif
    if unsign_type eq 0 then begin
	the_result=read_sds(filename, sds_index, start_list, array_size, $
		increment_list, output_x)
    endif else begin
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
		'read_sds_eos',	$
		filename,	$
		temp_name,	$
		sds_index,	$
		sds_rank,	$
		sds_type,	$
		sds_dims,	$
		start_list,	$
		end_list,	$
		increment_list,	$
		array_size,	$
		output_x)
    endelse
 
;    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;	'read_sds',$
;	filename,$
;	temp_name,$
;	sds_rank,$
;	sds_type,$
;	sds_dims,$
;	start_list,$
;	end_list,$
;	increment_list,$
;	array_size,$
;	output_x)
 
    if (the_result eq -1) then begin
	result=dialog_message('Unable to read Scan sample number SDS data!',$
		title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
    endif

  if temp_name eq 'Sample_Packet' or temp_name eq 'Scan_Index' then begin
	output_x = output_x(0,*)
	output_x = reform(output_x)
  endif

  ; Assign the Sample Number
  if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
    for i=0L, size_hdf(1)-1 do begin
	hdf_data_x(i) = output_x(i)
    endfor
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
	for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(j,i) = output_x(i)
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater than 2!',$
		title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  end

endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  this_range = (info.subset.data(this_subset).src_end(0) - $
	info.subset.data(this_subset).src_start(0)) / $
	info.subset.data(this_subset).src_increment(0)
  this_range = this_range+1
  k = 0L
  for i = 0L, this_range-1 do begin
	for j = 0, this_order-1 do begin
	   hdf_data_x(k) = output_x(i)
	   k = k + 1
	endfor
  endfor
endelse
return
endif

if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
	this_start = info.subset.data(this_subset).src_start(0)
	this_end = info.subset.data(this_subset).src_end(0)
	true_start = info.subset.data(this_subset).src_start(1)
	true_end = info.subset.data(this_subset).src_end(1)
	if true_start eq this_start and true_end eq this_end then begin
		message = strarr(3)
		message(0) = 'Only ONE sample is selected.'
		message(1) = 'Plotting against sample number is meaningless.'
		message(2) = 'Plotting against record number is better!'
		result=dialog_message(message, title='View HDF Warning!')
		return
	endif
	this_increment = info.subset.data(this_subset).src_increment(0)
	jj = 0
	for j = this_start, this_end-1, this_increment do begin
		hdf_data_x(jj) = j
		jj = jj + 1
	endfor	
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
	jj = 0
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(jj,i) = j
	    jj = jj + 1
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  end

  endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  if this_order eq 1 then begin
	message = strarr(3)
	message(0) = 'The order of data is one.'
	message(1) = 'Plotting against sample number is meaningless.'
	message(2) = 'Plotting against record number is better!'
	result=dialog_message(message, title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  endif else begin
    this_true_order = info.subset.data(this_subset).src_order(1)
    start_order = info.subset.data(this_subset).src_start(1)
    end_order = info.subset.data(this_subset).src_end(1)
    increment_order = info.subset.data(this_subset).src_increment(1)

    sample_location = make_array(this_true_order, /LONG)
    if info.bds_file eq 1 then begin
	temp_name = info.subset.data(this_subset).subset_name
	temp_name = temp_name(0)
	dot=strpos(temp_name,'[')
	if( dot ne -1) then begin
	    fieldname=strmid(temp_name,0,dot)
	endif else begin
	    fieldname = temp_name
	endelse
	CD, '.', CURRENT = PWD
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
		'get_analog_location',         $
		fieldname, $
		this_true_order, $
		sample_location)
    endif else the_result = -1

    if the_result eq -1 then begin
	this_interval = long(660/this_true_order)
	for i = 0, this_true_order-1 do begin
	    sample_location(i) = i * this_interval
	endfor
    endif

    this_range = (info.subset.data(this_subset).src_end(0) - $
	info.subset.data(this_subset).src_start(0)) / $
	info.subset.data(this_subset).src_increment(0)
    this_range = this_range+1
    ;this_interval = 660/this_order
    k = 0L
    for i = 0L, this_range-1 do begin
	;for j = 0, this_order-1 do begin
	;    hdf_data_x(k) = j * this_interval
	for j = start_order-1, end_order-1, increment_order do begin
	    hdf_data_x(k) = sample_location(j)
	    k = k + 1
	endfor
    endfor
  endelse
endelse

end 

;------------------------------------------------------------------
pro get_sample_number_old1, info, this_subset, hdf_data_x

pro_name = 'get_sample_number'
@getinfo
 
widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)

result = where(info.name_list_vfield eq 'Scan Sample Number', count)
if count ne 0 then begin

this_start = info.subset.data(this_subset).src_start(0)
this_end = info.subset.data(this_subset).src_end(0)
this_increment = info.subset.data(this_subset).src_increment(0)

the_name = ''
the_index = result
the_name = info.name_list_vfield(the_index)
the_types=long(1)
the_order=long(1)

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		info.vdata.name_sel,	$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

blank = array_type(the_types(0), the_order)

single_record=create_struct( 'components' + '0', blank) 

output_data=replicate(single_record, (info.vdata.nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		info.vdata.name_sel,		$
               	long(1), 			$
		this_start,            	 	$
               	info.vdata.nrec-1,		$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

output_data = output_data(this_start:this_end)
this_increment = this_increment(0)

if (this_increment gt 1) then begin
	indices = lindgen(this_end-this_start+1)
	indices = indices mod this_increment
	indices = [where(indices eq 0) ]
	output_data = output_data(indices)
endif

handle_value,info.subset.data(this_subset).src_data,hdf_data
hdf_size = size(hdf_data)
hdf_x_size = size(output_data)
n_hdf_data = n_elements(hdf_size)
n_hdf_x_data = n_elements(hdf_x_size)
 
if(n_hdf_data ne n_hdf_x_data) then begin
	result=dialog_message('The rank of Scan Sample Number is not matched!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
endif

if(hdf_size(n_hdf_data-1) ne hdf_x_size(n_hdf_x_data-1)) then begin
	result=dialog_message('The number of data for Scan Sample Number is not matched!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
endif

hdf_data_x = reform(output_data.components0, n_elements(output_data.components0))

return

endif

result = where(info.name_list_sds eq 'Scan sample number', count)
if count ne 0 then begin

; Get the dimensions for Sample_Packet
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    temp_name = info.name_list_sds(result)
    temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                'get_sds_dims',         $
                filename, $
                temp_name, $
                sds_rank, $
                sds_dims, $
                sds_type)
 
    start_list = info.subset.data(this_subset).src_start(0:sds_rank-1)
    end_list = info.subset.data(this_subset).src_end(0:sds_rank-1)
    increment_list = info.subset.data(this_subset).src_increment(0:sds_rank-1)
 
    if info.subset.data(this_subset).src_type_flag eq 1 then begin
	end_list(0) = end_list(0) + 1 
    endif

    array_size = long((end_list-start_list)/float(increment_list) + 0.9)
 
    output_x = array_type(sds_type, array_size)

    if (output_x(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for Sample_Packet array!',$
                 title='View HDF Warning!')
	set_error_data,hdf_data_x
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                 'read_sds',      $
                 filename,        $
                 temp_name,       $
                 sds_rank,        $
                 sds_type,        $
                 sds_dims,        $
                 start_list,      $
                 end_list,        $
                 increment_list,  $
                 array_size,      $
                 output_x)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Sample_Packet SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
          return
    endif

  ; Assign the Sample Number
  if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
    for i=0L, size_hdf(1)-1 do begin
	  hdf_data_x(i) = output_x(i)
    endfor
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(j,i) = output_x(i)
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  end

endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  this_range = (info.subset.data(this_subset).src_end(0) - $
                info.subset.data(this_subset).src_start(0)) / $
                info.subset.data(this_subset).src_increment(0)
  this_range = this_range+1
  k = 0L
  for i = 0L, this_range-1 do begin
	for j = 0, this_order-1 do begin
	  hdf_data_x(k) = output_x(i)
          k = k + 1
        endfor
  endfor
endelse
return
endif

    result = where(info.name_list_sds eq 'Sample_Packet' or $
		   info.name_list_sds eq 'Scan_Index', count)
    if count ne 0 then begin

; Get the dimensions for Sample_Packet
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    temp_name = info.name_list_sds(result)
    temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                'get_sds_dims',         $
                filename, $
                temp_name, $
                sds_rank, $
                sds_dims, $
                sds_type)
 
    start_list=lonarr(sds_rank)
    end_list=lonarr(sds_rank)
    increment_list=lonarr(sds_rank)
    array_size=lonarr(sds_rank)

    start_list(0) = info.subset.data(this_subset).src_start(0)
    end_list(0) = info.subset.data(this_subset).src_end(0)
    increment_list(0) = info.subset.data(this_subset).src_increment(0)
    start_list(1) = 0
    end_list(1) = sds_dims(1)
    increment_list(1) = 1
 
    if info.subset.data(this_subset).src_type_flag eq 1 then begin
	end_list(0) = end_list(0) + 1 
    endif

    array_size = long((end_list-start_list)/float(increment_list) + 0.9)
 
    output_x = array_type(sds_type, array_size)

    if (output_x(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for Sample_Packet array!',$
                 title='View HDF Warning!')
	set_error_data,hdf_data_x
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                 'read_sds',      $
                 filename,        $
                 temp_name,       $
                 sds_rank,        $
                 sds_type,        $
                 sds_dims,        $
                 start_list,      $
                 end_list,        $
                 increment_list,  $
                 array_size,      $
                 output_x)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Sample_Packet SDS data!',$
                      title='View HDF Warning!')
	  set_error_data,hdf_data_x
          return
    endif

  ; Assign the Sample Number
  if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
    for i=0L, size_hdf(1)-1 do begin
	  hdf_data_x(i) = output_x(0,i)
    endfor
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(j,i) = output_x(0,i)
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  end

endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  this_range = (info.subset.data(this_subset).src_end(0) - $
                info.subset.data(this_subset).src_start(0)) / $
                info.subset.data(this_subset).src_increment(0)
  this_range = this_range+1
  k = 0L
  for i = 0L, this_range-1 do begin
	for j = 0, this_order-1 do begin
	  hdf_data_x(k) = output_x(0,i)
          k = k + 1
        endfor
  endfor
endelse
return
endif

if info.subset.data(this_subset).src_type_flag eq 0 then begin
  handle_value,info.subset.data(this_subset).src_data,hdf_data
  size_hdf = size(hdf_data)

  case size_hdf(0) of
  1: begin
	this_start = info.subset.data(this_subset).src_start(0)
	this_end = info.subset.data(this_subset).src_end(0)
	true_start = info.subset.data(this_subset).src_start(1)
	true_end = info.subset.data(this_subset).src_end(1)
	if true_start eq this_start and true_end eq this_end then begin
		message = strarr(3)
		message(0) = 'Only ONE sample is selected.'
		message(1) = 'Plotting against sample number is meaningless.'
		message(2) = 'Plotting against record number is better!'
		result=dialog_message(message, title='View HDF Warning!')
		return
	endif
	this_increment = info.subset.data(this_subset).src_increment(0)
	jj = 0
	for j = this_start, this_end-1, this_increment do begin
		hdf_data_x(jj) = j
		jj = jj + 1
	endfor	
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)
    this_increment = info.subset.data(this_subset).src_increment(1)
    for i = 0L, size_hdf(2)-1 do begin
	jj = 0
        for j = this_start, this_end-1, this_increment do begin
	    hdf_data_x(jj,i) = j
	    jj = jj + 1
        endfor
    endfor
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  end

  endcase

endif else begin
  this_order = info.subset.data(this_subset).src_order(0)
  if this_order eq 1 then begin
	message = strarr(3)
	message(0) = 'The order of data is one.'
	message(1) = 'Plotting against sample number is meaningless.'
	message(2) = 'Plotting against record number is better!'
	result=dialog_message(message, title='View HDF Warning!')
	set_error_data,hdf_data_x
	return
  endif else begin
    this_range = (info.subset.data(this_subset).src_end(0) - $
                  info.subset.data(this_subset).src_start(0)) / $
                  info.subset.data(this_subset).src_increment(0)
    this_range = this_range+1
    this_interval = 660/this_order
    k = 0L
    for i = 0L, this_range-1 do begin
        for j = 0, this_order-1 do begin
	  hdf_data_x(k) = j * this_interval
          k = k + 1
        endfor
    endfor
  endelse
endelse

end 

;--------------------------------------------------------------------------------
pro cancel_screensizeCB, event

pro_name = 'cancel_screensizeCB'
@getinfo

widget_control, get_uvalue=info, event.top

info.screen.new = 0

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro screensizeCB, event

pro_name = 'screensizeCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.sxsize, get_value=screen_xsize
widget_control, info.widgets.sysize, get_value=screen_ysize

info.screen.xsize=screen_xsize
info.screen.ysize=screen_ysize

info.screen.new = 1

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_screen_size, info, current_top

pro_name = 'get_screen_size'
@getinfo

base = widget_base(GROUP_LEADER=current_top, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Define Screen Size')

scr_group=widget_base(base, row=1,map=1)

info.widgets.sxsize = CW_FIELD(scr_group, VALUE=info.screen.xsize, $
		ROW=1, integer=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Screen XSize:', XSIZE=10)

info.widgets.sysize = CW_FIELD(scr_group, VALUE=info.screen.ysize, $
		ROW=1, integer=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Screen YSize:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='screensizeCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='cancel_screensizeCB', $
	VALUE="Cancel", /ALIGN_CENTER)

widget_control, /realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
widget_control, set_uvalue=info, base
xmanager, 'main_widget', base

end

;------------------------------------------------------------------
pro get_seconds, info, this_subset, hdf_data_x

pro_name = 'get_seconds'
@getinfo
 
if handle_info(info.subset.data(this_subset).src_time) eq 0 then begin
        result=dialog_message('Unable to get time!',$
                 title='View HDF Warning!')
	set_error_data, hdf_data_x
        return
endif

  handle_value, info.subset.data(this_subset).src_time, time_record
  time_dimen = size(time_record, /N_DIMENSIONS)
  ; Convert to the seconds of the day
  if info.subset.data(this_subset).src_type_flag eq 0 then begin
  the_rank = info.subset.data(this_subset).src_rank 
  i_start = info.subset.data(this_subset).src_start(0)
  i_end = info.subset.data(this_subset).src_end(0)-1
  i_increment = info.subset.data(this_subset).src_increment(0)

  case the_rank of
  1: begin
    if time_dimen eq 2 then begin
	true_start = info.subset.data(this_subset).src_start(the_rank)
	true_end = info.subset.data(this_subset).src_end(the_rank)-1
	if true_start eq i_start and true_end eq i_end then begin
	    k = 0L
	    for i=i_start, i_end, i_increment do begin
		hdf_data_x(k) = time_record(0,i)
		k = k + 1
	    endfor
	endif else begin
	    if info.subset.data(this_subset).src_transpose eq 0 then begin
		k = 0L
		for i=i_start, i_end, i_increment do begin
		    hdf_data_x(k) = time_record(i,true_start)
		    k = k + 1
		endfor
	    endif else begin
		k = 0L
		for i=i_start, i_end, i_increment do begin
		    hdf_data_x(k) = time_record(0,i)
		    k = k + 1
		endfor
	    endelse
	endelse
    endif else begin
	true_start = info.subset.data(this_subset).src_start(the_rank)
	true_end = info.subset.data(this_subset).src_end(the_rank)-1
	if true_start eq i_start and true_end eq i_end then begin
	    k = 0L
	    for i=i_start, i_end, i_increment do begin
		hdf_data_x(k) = time_record(i)
		k = k + 1
	    endfor
	endif else begin
	    if info.subset.data(this_subset).src_transpose eq 0 then begin
		k = 0L
		for i=i_start, i_end, i_increment do begin
		    hdf_data_x(k) = time_record(true_start) + i * 0.01
		    k = k + 1
		endfor
	    endif else begin
		k = 0L
		for i=i_start, i_end, i_increment do begin
		    hdf_data_x(k) = time_record(i)
		    k = k + 1
		endfor
	    endelse
	endelse
    endelse
  end
  2: begin
    this_start = info.subset.data(this_subset).src_start(1)
    this_end = info.subset.data(this_subset).src_end(1)-1
    this_increment = info.subset.data(this_subset).src_increment(1)
    if time_dimen eq 2 then begin
	if info.subset.data(this_subset).src_transpose eq 0 then begin
	    ii = 0L
	    for i = i_start, i_end, i_increment do begin
		jj = 0
		for j = this_start, this_end, this_increment do begin
		    hdf_data_x(jj,ii) = time_record(j,i)
		    jj = jj + 1
		endfor
		ii = ii + 1
	    endfor
	endif else begin
	    hdf_data_x = transpose(hdf_data_x)
	    ii = 0L
	    for i = this_start, this_end, this_increment do begin
		jj = 0
		for j = i_start, i_end, i_increment do begin
		    hdf_data_x(jj,ii) = time_record(j,i)
		    jj = jj + 1
		endfor
		ii = ii + 1
	    endfor
	    hdf_data_x = transpose(hdf_data_x)
	endelse
    endif else begin
	if info.subset.data(this_subset).src_transpose eq 0 then begin
	    ii = 0L
	    for i = i_start, i_end, i_increment do begin
		jj = 0
		for j = this_start, this_end, this_increment do begin
		    hdf_data_x(jj,ii) = time_record(i) + 0.01 * j
		    jj = jj + 1
		endfor
		ii = ii + 1
	    endfor
	endif else begin
	    hdf_data_x = transpose(hdf_data_x)
	    ii = 0L
	    for i = this_start, this_end, this_increment do begin
		jj = 0
		for j = i_start, i_end, i_increment do begin
		     hdf_data_x(jj,ii) = time_record(i) + 0.01 * j
		     jj = jj + 1
		endfor
		ii = ii + 1
	    endfor
	   hdf_data_x = transpose(hdf_data_x)
	endelse
    endelse
  end
  else: begin
	result=dialog_message('Do not support SDS rank greater than 2!',$
			title='View HDF Warning!')
	return
  end

endcase

endif else begin

  this_true_order = info.subset.data(this_subset).src_order(1)
  this_start = info.subset.data(this_subset).src_start(0)
  this_end = info.subset.data(this_subset).src_end(0)
  this_increment = info.subset.data(this_subset).src_increment(0)

  if this_true_order gt 1 then begin
	time_location = make_array(this_true_order, /LONG)
	if info.bds_file eq 1 then begin
	   temp_name = info.subset.data(this_subset).subset_name
	   temp_name = temp_name(0)

	   dot=strpos(temp_name,'[')
	   if( dot ne -1) then begin
		fieldname=strmid(temp_name,0,dot)
	   endif else begin
		fieldname = temp_name
	   endelse

	   CD, '.', CURRENT = PWD
 
	   the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
		'get_analog_location',         $
		fieldname, $
		this_true_order, $
		time_location)
	endif else the_result = -1
 
	if the_result eq -1 then begin
		this_interval = long(660/this_true_order)
		for i = 0, this_true_order-1 do begin
			time_location(i) = i * this_interval
		endfor
	endif
	order_start = info.subset.data(this_subset).src_start(1) - 1
	order_end = info.subset.data(this_subset).src_end(1) - 1
	order_increment = info.subset.data(this_subset).src_increment(1)
	k = 0L
	for i = this_start, this_end, this_increment do begin
		for j = order_start, order_end, order_increment do begin
			hdf_data_x(k) = time_record(i) + 0.01 * time_location(j)
			k = k + 1
		endfor
	endfor

  endif else begin
	k = 0L
        for i = this_start, this_end, this_increment do begin
		hdf_data_x(k) = time_record(i)
		k = k + 1
        endfor
  endelse


endelse

end 

;--------------------------------------------------------------------------------
pro getsymbolsizeCB, event

pro_name = 'getsymbolsizeCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.symbolsize, get_value=symbolsize

info.style.symbolsize=symbolsize
print,'symbol size =',info.style.symbolsize

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro get_symbol_size, info

pro_name = 'get_symobl_size'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Symbol Size')

ss_group=widget_base(base, row=1,map=1)

info.widgets.symbolsize = CW_FIELD(ss_group, VALUE=info.style.symbolsize, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Symbol Size:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='getsymbolsizeCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro get_x_data, info, this_subset, print_flag, hdf_data_x

pro_name = 'get_x_data'
@getinfo
 
CASE info.field_name.x of

	'Time': get_seconds, info, this_subset, hdf_data_x
	
	'Sample Number': get_sample_number, info , this_subset, hdf_data_x
	
	'Record Number': get_record_number, info , this_subset, hdf_data_x

	'Packet Number - Relative': get_packet_number_relative, info, $
					this_subset, hdf_data_x

	'Packet Number - Absolute': get_packet_number_absolute, info, $
					this_subset, hdf_data_x

	'Select Variable': get_select_variable, info, this_subset, print_flag, $
				hdf_data_x

	else: begin
		result=dialog_message('This X field is not valid!',$
			title='View HDF Warning!')
		set_error_data, hdf_data_x
		return
	end

ENDCASE

end

;------------------------------------------------------------------
pro get_time, info, call_flag

pro_name = 'get_time'
@getinfo
 
widget_control,info.widgets.current_file,get_value=filename
filename = filename(0)

sds_time_name = ['Julian Date and Time', 'Time of observation', 'Jultime_Radius', $
	'Julian_Time', 'Julian date and time']
num_name = n_elements(sds_time_name)
sds_index = -1
i = 0
while (sds_index eq -1 and i lt num_name) do begin
	temp_name = sds_time_name(i)
	sds_index = check_sds_index(filename, temp_name)
	i = i + 1
endwhile
if sds_index ne -1 then begin

    name_id = i - 1
    sd_id = HDF_SD_START(filename, /READ)
    if sd_id eq -1 then begin
	result=dialog_message('Unable to open '+filename+'!',$
		title='View HDF Warning!')
	return
    endif

    sds_id = HDF_SD_SELECT(sd_id, sds_index)
    if sds_id eq -1 then begin
	result=dialog_message('Unable to select '+temp_name+' SDS data!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return
    endif

    HDF_SD_GETINFO,sds_id, dims=sds_dims, /NOREVERSE
    HDF_SD_GETDATA, sds_id, output_data

    HDF_SD_ENDACCESS,sds_id
    HDF_SD_END, sd_id

    if name_id eq 4 then time_record = make_array(sds_dims(1), sds_dims(0), /DOUBLE) $
	else time_record = make_array(sds_dims(0), /DOUBLE)

  ; Convert to the seconds of the day

    if name_id eq 0 then begin
	for i=0L, sds_dims(0)-1 do begin
	   if(output_data(1, i) gt 0.5) then begin
		time_record(i) = (output_data(1,i) - 0.5) * 86400.0
	   endif else begin
		time_record(i) = (output_data(1,i) + 0.5) * 86400.0
	   endelse 
	endfor
    endif else if name_id eq 1 then begin
	for i=0L, sds_dims(0)-1 do begin
	   if output_data(i) gt 1.0 then $
		output_data(i) = output_data(i) - long(output_data(i))
	   if(output_data(i) gt 0.5) then begin
		time_record(i) = (output_data(i) - 0.5) * 86400.0
	   endif else begin
		time_record(i) = (output_data(i) + 0.5) * 86400.0
	   endelse 
	endfor
    endif else if name_id eq 2 or name_id eq 3 then begin
 	for i=0L, sds_dims(0)-1 do begin
 	   if output_data(0, i) gt 1.0 then $
 		output_data(0, i) = output_data(0, i) - long(output_data(0, i))
 	   if(output_data(0, i) gt 0.5) then begin
 		time_record(i) = (output_data(0,i) - 0.5) * 86400.0
 	   endif else begin
 		time_record(i) = (output_data(0,i) + 0.5) * 86400.0
 	   endelse 
 	endfor
    endif else if name_id eq 4 then begin
	for j=0L, sds_dims(1)-1 do begin
	    for i=0L, sds_dims(0)-1 do begin
		time_record(j,i) = output_data(1,j,i) * 86400.0
	    endfor
	endfor
    endif else begin
		result=dialog_message('The '+temp_name+' is not valid!',$
			title='View HDF Warning!')
		return
   endelse

  if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
  info.rangetype.time=handle_create()
  handle_value,info.rangetype.time,time_record,/set
  info.rangetype.get_time = 1
 
  widget_control, set_uvalue=info, info.base

return

endif

vdata_time_name = ['IES Hour', 'Time of observation', 'Time and Position Data']
num_name = n_elements(vdata_time_name)
count = 0
i = 0
while(count eq 0 and i lt num_name) do begin
	temp_name = vdata_time_name(i)
	search_result = strpos(info.name_list_vdata, temp_name)
	result = where(search_result ne -1, count)
	i = i + 1
endwhile

if count ne 0 then begin

    name_id = i - 1
    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    file_id = HDF_OPEN(filename, /READ)
    if file_id eq -1 then begin
	result=dialog_message('Unable to open '+filename+'!',$
		title='View HDF Warning!')
	return
    endif

    vdata_ref = HDF_VD_FIND(file_id, the_vdata_name)
    if vdata_ref eq 0 then begin
	result=dialog_message('Unable to find '+the_vdata_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return
    endif
    
    vdata_id = HDF_VD_ATTACH(file_id, vdata_ref, /READ)
    if vdata_id eq 0 then begin
	result=dialog_message('Unable to attach '+the_vdata_name+'!',$
		title='View HDF Warning!')
	HDF_CLOSE,file_id
	return
    endif

    field_time_name = ['Time of Observation', 'Time of observation', $
	'Julian Time']
    fieldname = field_time_name(name_id)
    result = HDF_VD_FEXIST(vdata_id, fieldname)
    if result eq -1 then begin
	result=dialog_message('Unable to find '+fieldname+'!', $
		title='View HDF Warning!')
	HDF_VD_DETACH, vdata_id
	HDF_CLOSE,file_id
	return
    endif

    HDF_VD_GET,vdata_id, COUNT=the_nrec
    nread = HDF_VD_READ(vdata_id,output_data,FIELDS=fieldname)
    HDF_VD_DETACH, vdata_id
    HDF_CLOSE,file_id
  
    time_record = make_array(the_nrec, /DOUBLE)
    for i = 0L, the_nrec-1 do begin
	if output_data(i) gt 1.0 then $
		output_data(i) = output_data(i) - long(output_data(i))
	if(output_data(i) gt 0.5) then $
		time_record(i) = (output_data(i) - 0.5) * 86400.0 $
	else time_record(i) = (output_data(i) + 0.5) * 86400.0
    endfor

    if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
    info.rangetype.time=handle_create()
    handle_value,info.rangetype.time,time_record,/set
    info.rangetype.get_time = 1
 
    widget_control, set_uvalue=info, info.base

return

endif

if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
if call_flag eq 1 then begin
	result=dialog_message('The Time field is not found!',$
		title='View HDF Warning!')
endif

end 

;------------------------------------------------------------------
pro get_time_old1, info, call_flag

pro_name = 'get_time'
@getinfo
 
    widget_control,info.widgets.current_file,get_value=filename
    filename = filename(0)

    result = where(info.name_list_sds eq 'Julian Date and Time', count)
    if count ne 0 then begin

; Get the dimensions for Julian Date and time
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    temp_name = info.name_list_sds(result)
    temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                'get_sds_dims',         $
                filename, $
                temp_name, $
                sds_rank, $
                sds_dims, $
                sds_type)
 
    start_list=lonarr(sds_rank)
    end_list=lonarr(sds_rank)
    increment_list=lonarr(sds_rank)
    array_size=lonarr(sds_rank)

    start_list(0) = 0
    end_list(0) = sds_dims(0)
    increment_list(0) = 1
    start_list(1) = 0
    end_list(1) = 2
    increment_list(1) = 1
 
    array_size = end_list-start_list
 
    output_data = array_type(sds_type, array_size)

    if (output_data(0) eq -1) then begin
        result=dialog_message('Unable to set Julian Date and Time!',$
                 title='View HDF Warning!')
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                 'read_sds',      $
                 filename,        $
                 temp_name,       $
                 sds_rank,        $
                 sds_type,        $
                 sds_dims,        $
                 start_list,      $
                 end_list,        $
                 increment_list,  $
                 array_size,      $
                 output_data)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Julian Date and Time SDS data!',$
                      title='View HDF Warning!')
          return
    endif

    time_record = make_array(sds_dims(0), /DOUBLE)

  ; Convert to the seconds of the day

    for i=0L, sds_dims(0)-1 do begin
       if(output_data(1, i) gt 0.5) then begin
	  time_record(i) = (output_data(1,i) - 0.5) * 86400.0
       endif else begin
	  time_record(i) = (output_data(1,i) + 0.5) * 86400.0
       endelse 
    endfor

  if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
  info.rangetype.time=handle_create()
  handle_value,info.rangetype.time,time_record,/set
  info.rangetype.get_time = 1
 
  widget_control, set_uvalue=info, info.base

return

endif

search_result = strpos(info.name_list_vdata, 'IES Hour')
result = where(search_result ne -1, count)
if count ne 0 then begin

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	return
    endelse 

result = where(the_vfield_list eq 'Time of Observation', count)
if count ne 0 then begin

this_start = 0L
this_end = the_nrec
this_increment = 1L

the_name = ''
the_index = result
the_name = the_vfield_list(the_index)
the_types=long(1)
the_order=long(1)

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

blank = array_type(the_types(0), the_order)

single_record=create_struct( 'components' + '0', blank) 

output_data=replicate(single_record, (the_nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

output_data = reform(output_data.components0, n_elements(output_data.components0))
time_record = make_array(the_nrec, /FLOAT)
  for i = 0L, the_nrec-1 do begin
     if output_data(i) gt 1.0 then $
	output_data(i) = output_data(i) - long(output_data(i))
     if(output_data(i) gt 0.5) then $
	time_record(i) = (output_data(i) - 0.5) * 86400.0 $
     else time_record(i) = (output_data(i) + 0.5) * 86400.0
  endfor

  if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
  info.rangetype.time=handle_create()
  handle_value,info.rangetype.time,time_record,/set
  info.rangetype.get_time = 1
 
  widget_control, set_uvalue=info, info.base
endif

return

endif

result = where(info.name_list_vdata eq 'Time of observation', count)
if count ne 0 then begin

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	return
    endelse 

result = where(the_vfield_list eq 'Time of observation', count)
if count ne 0 then begin

this_start = 0L
this_end = the_nrec
this_increment = 1L

the_name = ''
the_index = result
the_name = the_vfield_list(the_index)
the_types=long(1)
the_order=long(1)

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

blank = array_type(the_types(0), the_order)

single_record=create_struct( 'components' + '0', blank) 

output_data=replicate(single_record, the_nrec)

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

output_data = reform(output_data.components0, n_elements(output_data.components0))

time_record = make_array(the_nrec, /FLOAT)
  for i = 0L, the_nrec-1 do begin
     if output_data(i) gt 1.0 then $
	output_data(i) = output_data(i) - long(output_data(i))
     if(output_data(i) gt 0.5) then $
        time_record(i) = (output_data(i) - 0.5) * 86400.0 $
     else time_record(i) = (output_data(i) + 0.5) * 86400.0
  endfor
 
  if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
  info.rangetype.time=handle_create()
  handle_value,info.rangetype.time,time_record,/set
  info.rangetype.get_time = 1
 
  widget_control, set_uvalue=info, info.base

endif

return

endif

;result = where(info.name_list_sds eq 'Time of observation', count)
;if count ne 0 then begin
sds_index = check_sds_index(filename, 'Time of observation')
if sds_index ne -1 then begin

; Get the dimensions for Time of observation
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    ;temp_name = info.name_list_sds(result)
    ;temp_name = temp_name(0)
    temp_name = 'Time of observation'

    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                'get_sds_dims',         $
                filename, $
                temp_name, $
                sds_rank, $
                sds_dims, $
                sds_type)
 
    start_list=lonarr(sds_rank)
    end_list=lonarr(sds_rank)
    increment_list=lonarr(sds_rank)
    array_size=lonarr(sds_rank)

    start_list(*) = 0
    end_list(*) = sds_dims(0:sds_rank-1)
    increment_list(*) = 1
 
    array_size = end_list-start_list
 
    output_data = array_type(sds_type, array_size)

    if (output_data(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for SDS Time of observation!',$
                 title='View HDF Warning!')
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                 'read_sds',      $
                 filename,        $
                 temp_name,       $
                 sds_rank,        $
                 sds_type,        $
                 sds_dims,        $
                 start_list,      $
                 end_list,        $
                 increment_list,  $
                 array_size,      $
                 output_data)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Time of observation SDS data!',$
                      title='View HDF Warning!')
          return
    endif

    time_record = make_array(sds_dims(0), /DOUBLE)

  ; Convert to the seconds of the day

    for i=0L, sds_dims(0)-1 do begin
     if output_data(i) gt 1.0 then $
	output_data(i) = output_data(i) - long(output_data(i))
       if(output_data(i) gt 0.5) then begin
	  time_record(i) = (output_data(i) - 0.5) * 86400.0
       endif else begin
	  time_record(i) = (output_data(i) + 0.5) * 86400.0
       endelse 
    endfor

  if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
  info.rangetype.time=handle_create()
  handle_value,info.rangetype.time,time_record,/set
  info.rangetype.get_time = 1
 
  widget_control, set_uvalue=info, info.base

return

endif

    result = where((info.name_list_sds eq 'Jultime_Radius') or $
		   (info.name_list_sds eq 'Julian_Time'), count)
    if count ne 0 then begin

; Get the dimensions for Jultime_Radius
; Initial the variable type
 
    sds_dims = info.sds.dims
    sds_rank = info.sds.rank
    sds_type = info.sds.type

    temp_name = info.name_list_sds(result)
    temp_name = temp_name(0)

    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                'get_sds_dims',         $
                filename, $
                temp_name, $
                sds_rank, $
                sds_dims, $
                sds_type)
 
    start_list=lonarr(sds_rank)
    end_list=lonarr(sds_rank)
    increment_list=lonarr(sds_rank)
    array_size=lonarr(sds_rank)

    start_list(0) = 0
    end_list(0) = sds_dims(0)
    increment_list(0) = 1
    start_list(1) = 0
    end_list(1) = 2
    increment_list(1) = 1
 
    array_size = end_list-start_list
 
    output_data = array_type(sds_type, array_size)

    if (output_data(0) eq -1) then begin
        result=dialog_message('Unable to allocate memory for SDS Jultime_Radius or Julian_Time!',$
                 title='View HDF Warning!')
        return
    endif
 
    CD, '.', CURRENT = PWD
 
    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
                 'read_sds',      $
                 filename,        $
                 temp_name,       $
                 sds_rank,        $
                 sds_type,        $
                 sds_dims,        $
                 start_list,      $
                 end_list,        $
                 increment_list,  $
                 array_size,      $
                 output_data)
 
    if (the_result eq -1) then begin
          result=dialog_message('Unable to read Jultime_Radius or Julian_Time SDS data!',$
                      title='View HDF Warning!')
          return
    endif

    time_record = make_array(sds_dims(0), /DOUBLE)

  ; Convert to the seconds of the day

    for i=0L, sds_dims(0)-1 do begin
     if output_data(0, i) gt 1.0 then $
	output_data(0, i) = output_data(0, i) - long(output_data(0, i))
       if(output_data(0, i) gt 0.5) then begin
	  time_record(i) = (output_data(0,i) - 0.5) * 86400.0
       endif else begin
	  time_record(i) = (output_data(0,i) + 0.5) * 86400.0
       endelse 
    endfor

  if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
  info.rangetype.time=handle_create()
  handle_value,info.rangetype.time,time_record,/set
  info.rangetype.get_time = 1
 
  widget_control, set_uvalue=info, info.base

return

endif

result = where(info.name_list_vdata eq 'Time and Position Data', count)
if count ne 0 then begin

    the_vdata_name = ''
    the_vdata_name = info.name_list_vdata(result)

    number_of_fields=0L

    CD, '.', CURRENT = PWD

    the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_fields',  		$
                	filename,			$
			the_vdata_name,			$
			number_of_fields,		$
			/s_value)

    if the_result ne "BAD" then begin
    
    	the_vfield_list = str_sep(the_result, ',')

	CD, '.', CURRENT = PWD

	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               		'get_vdata_n_rec',  		$
                	filename,			$
			the_vdata_name)

	the_nrec=the_result

    endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
	return
    endelse 

result = where(the_vfield_list eq 'Julian Time', count)
if count ne 0 then begin

this_start = 0L
this_end = the_nrec
this_increment = 1L

the_name = ''
the_index = result
the_name = the_vfield_list(the_index)
the_types=long(1)
the_order=long(1)

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_vfield_types',  	$
               	filename, 		$
		the_vdata_name,		$ 
               	the_index,		$
		long(1),		$
               	the_types,		$
		the_order,		$
		/s_value)

blank = array_type(the_types(0), the_order)

single_record=create_struct( 'components' + '0', blank) 

output_data=replicate(single_record, the_nrec)

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

CD, '.', CURRENT = PWD

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata',  			$
               	filename, 			$
		the_vdata_name,			$
               	long(1), 			$
		this_start,            	 	$
               	the_nrec-1,			$
		this_increment,			$
		the_name, 			$
		the_types,			$
		the_order,			$
		output_data)

output_data = reform(output_data.components0, n_elements(output_data.components0))

time_record = make_array(the_nrec, /FLOAT)
  for i = 0L, the_nrec-1 do begin
     if output_data(i) gt 1.0 then $
	output_data(i) = output_data(i) - long(output_data(i))
     if(output_data(i) gt 0.5) then $
        time_record(i) = (output_data(i) - 0.5) * 86400.0 $
     else time_record(i) = (output_data(i) + 0.5) * 86400.0
  endfor
 
  if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
  info.rangetype.time=handle_create()
  handle_value,info.rangetype.time,time_record,/set
  info.rangetype.get_time = 1
 
  widget_control, set_uvalue=info, info.base

endif

return

endif

if handle_info(info.rangetype.time) then handle_free, info.rangetype.time
if call_flag eq 1 then begin
	result=dialog_message('The Time field is not found!',$
		title='View HDF Warning!')
endif

end 

;------------------------------------------------------------------
pro set_output_wref, name_of_data, this_subset, the_type, the_rank, $
	start_list, end_list, increment_list, unitname, info, subset_data

pro_name = 'set_output_wref'
@getinfo

if (info.subset.count lt info.subset.maximum) then begin
   subset_name=name_of_data + '[' + strcompress(string(info.subset.count)) +']'
   info = redefine_info(info, subset_name, 3)
   widget_control, info.widgets.subset_list, set_value=info.name_list_subset
   info.subset.count=info.subset.count+1
   info.subset.data(info.subset.count-1).subset_name = string(subset_name)
   info.subset.data(info.subset.count-1).src_filename = info.subset.data(this_subset).src_filename
   info.subset.data(info.subset.count-1).src_unitname = unitname
   info.subset.data(info.subset.count-1).src_type_flag = info.subset.data(this_subset).src_type_flag
   info.subset.data(info.subset.count-1).src_crit_flag = info.subset.data(this_subset).src_crit_flag
   info.subset.data(info.subset.count-1).src_crit_name = info.subset.data(this_subset).src_crit_name
   info.subset.data(info.subset.count-1).src_crit_min = info.subset.data(this_subset).src_crit_min
   info.subset.data(info.subset.count-1).src_crit_max = info.subset.data(this_subset).src_crit_max
   info.subset.data(info.subset.count-1).src_crit_type = info.subset.data(this_subset).src_crit_type

   info.subset.data(info.subset.count-1).src_ref = info.subset.data(this_subset).src_ref
   info.subset.data(info.subset.count-1).src_org_rank = info.subset.data(this_subset).src_org_rank
   info.subset.data(info.subset.count-1).src_org_start = info.subset.data(this_subset).src_org_start
   info.subset.data(info.subset.count-1).src_org_end = info.subset.data(this_subset).src_org_end
   info.subset.data(info.subset.count-1).src_transpose = info.subset.data(this_subset).src_transpose
   info.subset.data(info.subset.count-1).src_org_increment = info.subset.data(this_subset).src_org_increment
   info.subset.data(info.subset.count-1).src_fnames = info.subset.data(this_subset).src_fnames
   info.subset.data(info.subset.count-1).src_types(0) = the_type
   info.subset.data(info.subset.count-1).src_order = info.subset.data(this_subset).src_order

   ref_rank = info.subset.data(this_subset).src_rank
   ref_start = info.subset.data(this_subset).src_start(0:ref_rank-1)
   ref_end = info.subset.data(this_subset).src_end(0:ref_rank-1)
   if info.subset.data(this_subset).src_type_flag eq 1 then ref_end = ref_end + 1
   ref_increment = info.subset.data(this_subset).src_increment(0:ref_rank-1)
   ref_array_size = long((ref_end-ref_start)/float(ref_increment) + 0.9)
   array_size = long((end_list-start_list)/float(increment_list) + 0.9)
   if info.subset.data(this_subset).src_type_flag eq 0 then begin
      ;true_rank = info.subset.data(this_subset).src_rank
      ;info.subset.data(info.subset.count-1).src_rank = the_rank
      ;if the_rank eq 1 and true_rank eq 2 then begin
;	if array_size(0) eq ref_array_size(1) then begin
;	   info.subset.data(info.subset.count-1).src_start(0) = info.subset.data(this_subset).src_start(1)
;           info.subset.data(info.subset.count-1).src_end(0) = info.subset.data(this_subset).src_end(1)
;           info.subset.data(info.subset.count-1).src_increment(0) = info.subset.data(this_subset).src_increment(1)
;	endif else begin
;	   info.subset.data(info.subset.count-1).src_start(0) = start_list(0)
;	   info.subset.data(info.subset.count-1).src_end(0) = end_list(0)
;	   info.subset.data(info.subset.count-1).src_increment(0) = increment_list(0)
;	endelse
;	   info.subset.data(info.subset.count-1).src_start(1) = info.subset.data(this_subset).src_start(0)
;	   info.subset.data(info.subset.count-1).src_end(1) = info.subset.data(this_subset).src_end(0)
;	   info.subset.data(info.subset.count-1).src_increment(1) = info.subset.data(this_subset).src_increment(0)
;      endif else begin
;	check_same = 1
;	for i=0,the_rank-1 do begin
;	   if array_size(i) ne ref_array_size(i) then check_same = 0
;	endfor
	num_ref_element = ref_array_size(0)
	for i = 1 , ref_rank-1 do num_ref_element = num_ref_element * ref_array_size(i)
	num_element = array_size(0)
	for i = 1 , the_rank-1 do num_element = num_element * array_size(i)
;	if check_same eq 1 then begin
	if num_element eq num_ref_element then begin
 	   info.subset.data(info.subset.count-1).src_start = info.subset.data(this_subset).src_start
           info.subset.data(info.subset.count-1).src_end = info.subset.data(this_subset).src_end
           info.subset.data(info.subset.count-1).src_increment = info.subset.data(this_subset).src_increment
	   info.subset.data(info.subset.count-1).src_rank = info.subset.data(this_subset).src_rank
	   ref_array_size = reverse(ref_array_size)
	   subset_data = reform(subset_data, ref_array_size)
	endif else begin
 	   info.subset.data(info.subset.count-1).src_start = start_list
 	   info.subset.data(info.subset.count-1).src_end = end_list
 	   info.subset.data(info.subset.count-1).src_increment = increment_list
	   info.subset.data(info.subset.count-1).src_rank = the_rank
	endelse
;      endelse
   endif else begin
      num_ref_element = ref_array_size(0) * ref_array_size(1)
      num_element = array_size(0)
      for i = 1 , the_rank-1 do num_element = num_element * array_size(i)
      check_order = 0
      if num_ref_element eq num_element then begin
	the_order = ref_array_size(1)
	num_record = ref_array_size(0)
        check_order = 1
      endif else begin
	the_order = 1
	num_record = num_element
      endelse
      blank = array_type(the_type, the_order)
      single_record = create_struct('components'+'0', blank)  
      output_data = replicate(single_record, num_record)
      jj = 0L
      for i = 0L, num_record-1 do begin
	for j = 0L, the_order-1 do begin
	   output_data(i).components0(j) = subset_data(jj)
	   jj = jj + 1
	endfor
      endfor
      subset_data = output_data
      info.subset.data(info.subset.count-1).src_rank = 2
      if check_order eq 1 then begin
	info.subset.data(info.subset.count-1).src_start = info.subset.data(this_subset).src_start
	info.subset.data(info.subset.count-1).src_end = info.subset.data(this_subset).src_end
	info.subset.data(info.subset.count-1).src_increment = info.subset.data(this_subset).src_increment
      endif else begin
	info.subset.data(info.subset.count-1).src_start(0) = 0
	info.subset.data(info.subset.count-1).src_end(0) = num_record-1
	info.subset.data(info.subset.count-1).src_increment(0) = 1
	info.subset.data(info.subset.count-1).src_start(1) = 1
	info.subset.data(info.subset.count-1).src_end(1) = 1
	info.subset.data(info.subset.count-1).src_increment(1) = 1
	info.subset.data(info.subset.count-1).src_order = 1
      endelse    
   endelse

   info.subset.data(info.subset.count-1).src_data = handle_create()
   handle_value, info.subset.data(info.subset.count-1).src_data, subset_data, /set
   if handle_info(info.subset.data(this_subset).src_time) then begin
	   handle_value, info.subset.data(this_subset).src_time, time_record
   	   info.subset.data(info.subset.count-1).src_time = handle_create()
   	   handle_value, info.subset.data(info.subset.count-1).src_time, time_record, /set
   endif
   widget_control, set_uvalue=info, info.base
endif else begin
   the_message = ["You have maximum sets of data", "Please remove at least one set of data."]
       result=dialog_message(the_message, title='View HDF Warning!')
   return
endelse
	
end

;------------------------------------------------------------------
pro set_output_woref, name_of_data, this_subset, the_type, the_rank, $
	start_list, end_list, increment_list, unitname, info, subset_data

pro_name = 'set_output_woref'
@getinfo

if (info.subset.count lt info.subset.maximum) then begin
   widget_control, info.widgets.current_file, get_value=current_filename
   current_filename = current_filename(0)
   subset_name=name_of_data + '[' + strcompress(string(info.subset.count)) +']'
   info = redefine_info(info, subset_name, 3)
   widget_control, info.widgets.subset_list, set_value=info.name_list_subset
   info.subset.count=info.subset.count+1
   info.subset.data(info.subset.count-1).subset_name = string(subset_name)
   info.subset.data(info.subset.count-1).src_filename = current_filename
   info.subset.data(info.subset.count-1).src_unitname = unitname
   info.subset.data(info.subset.count-1).src_type_flag = 0
   info.subset.data(info.subset.count-1).src_crit_flag = 0
   info.subset.data(info.subset.count-1).src_crit_name = ''
   info.subset.data(info.subset.count-1).src_crit_min = ''
   info.subset.data(info.subset.count-1).src_crit_max = ''
   info.subset.data(info.subset.count-1).src_crit_type = ''

   info.subset.data(info.subset.count-1).src_ref = 0
   info.subset.data(info.subset.count-1).src_rank = the_rank
   info.subset.data(info.subset.count-1).src_start = start_list
   info.subset.data(info.subset.count-1).src_end = end_list
   info.subset.data(info.subset.count-1).src_increment = increment_list
   info.subset.data(info.subset.count-1).src_org_rank = the_rank
   info.subset.data(info.subset.count-1).src_org_start = start_list
   info.subset.data(info.subset.count-1).src_org_end = end_list
   info.subset.data(info.subset.count-1).src_org_increment = increment_list
   info.subset.data(info.subset.count-1).src_types(0) = the_type
   info.subset.data(info.subset.count-1).src_start(the_rank) = start_list(0)
   info.subset.data(info.subset.count-1).src_end(the_rank) = end_list(0)
   info.subset.data(info.subset.count-1).src_data = handle_create()
   handle_value, info.subset.data(info.subset.count-1).src_data, subset_data, /set
   widget_control, set_uvalue=info, info.base
endif else begin
   the_message = ["You have maximum sets of data", "Please remove at least one set of data."]
       result=dialog_message(the_message, title='View HDF Warning!')
   return
endelse
	
end

;--------------------------------------------------------------------------------
pro get_user_define_module, info

pro_name = 'get_user_define_module'
@getinfo

;if (info.userdefine.count ge info.userdefine.max) then begin
;	the_message = ["You have maximun sets of user defined modules.",$
;		"Please remove at least one set of module and do it again."]
;	result=dialog_message(the_message, title='View HDF Warning!')
;	return
;endif

count = check_directory(info.userdefine.old_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.userdefine.old_path = pwd
endif
filename = dialog_pickfile(title='Get User Defined Module',/read, $
		path=info.userdefine.old_path, $
		get_path=this_path, filter='*.pro')

if filename eq "" then return

user_result=STRPOS(filename, this_path)
if user_result eq -1 then filename=this_path+filename
print, 'User Defined Module = ', filename

info.userdefine.old_path = this_path

openr,unit,filename,/get_lun
loc = 0
temp=''
while(loc ne -1) do begin
    temp1 = ''
    readf,unit,temp1
    temp1 = strtrim(temp1,2)
    comment_check = strmid(temp1,0,1)
    if comment_check ne ';' then begin
	temp = temp + temp1
	loc = strpos(temp , '$')
	if loc ne -1 then temp = strmid(temp, 0 , loc)
    endif
endwhile
close,unit
free_lun, unit

temp = strcompress(temp,/REMOVE_ALL)
pararray = str_sep(temp,',')
num_para = n_elements(pararray) - 1
if num_para lt 0 then begin
	result=dialog_message('Error to get module name!', title='View HDF Warning!')
	return
endif

length = strlen(pararray(0))
if length lt 4 then begin
	result=dialog_message('The first line of the module must be pro ...!', $
		title='View HDF Warning!')
	return
endif

test_pro = strmid(pararray(0), 0, 3)
if strlowcase(test_pro) ne 'pro' then begin
	result=dialog_message('The first line of the module must be pro ...!', $
		title='View HDF Warning!')
	return
endif

prog_name = strmid(pararray(0), 3, length-3)

check_prog = 0
subscript = where(info.name_list_userdefine eq prog_name, count)
if count ne 0 then begin
    for i = 0 , count-1 do begin
	if info.userdefine.path(subscript(i)) eq this_path then begin
		if info.userdefine.num_para(subscript(i)) eq num_para then begin
			check_prog = 1
			check_index = subscript(i)
		endif
	endif
    endfor
endif

if check_prog eq 0 then begin
	info.userdefine.path(1:info.userdefine.max-1) = info.userdefine.path(0:info.userdefine.max-2)
	info.userdefine.name(1:info.userdefine.max-1) = info.userdefine.name(0:info.userdefine.max-2)
	info.userdefine.num_para(1:info.userdefine.max-1) = info.userdefine.num_para(0:info.userdefine.max-2)
	info.userdefine.path(0) = this_path
	info.userdefine.name(0) = prog_name
	info.userdefine.num_para(0) = num_para
	if info.userdefine.count lt info.userdefine.max then $
		info.userdefine.count = info.userdefine.count + 1
endif else begin
    if check_index ne 0 then begin
	info.userdefine.path(1:check_index) = info.userdefine.path(0:check_index-1)
	info.userdefine.name(1:check_index) = info.userdefine.name(0:check_index-1)
	info.userdefine.num_para(1:check_index) = info.userdefine.num_para(0:check_index-1)
	info.userdefine.path(0) = this_path
	info.userdefine.name(0) = prog_name
	info.userdefine.num_para(0) = num_para
    endif
endelse

name_list_userdefine = info.userdefine.name(0)
for i = 1, info.userdefine.count-1 do begin
	name_list_userdefine = [name_list_userdefine , info.userdefine.name(i)]
endfor
info = redefine_info(info, name_list_userdefine, 12)

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

loc = strpos(!PATH, this_path)
if loc eq -1 then !PATH = this_path+':'+!PATH

end

;--------------------------------------------------------------------------------
pro remove_user_define_module, info

pro_name = 'remove_userdefine_module'
@getinfo

if (info.userdefine.count lt 1) then begin
	the_message = 'The list of user defined module is empty!'
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

the_list = [info.name_list_userdefine, 'Cancel']
num_option = n_elements(the_list)
title = 'Remove User Defined Module'
the_message = 'Select the user defined module to remove'
default_option = num_option - 1
sel_option = get_option(default_option, the_list, title, the_message, info)
if sel_option eq num_option-1 then return

if (sel_option eq 0) and (info.userdefine.count eq 1) then begin
	info.userdefine.count = 0
	info.userdefine.num_para(0) = 0
	info.userdefine.path(0) = ''
	info.userdefine.name(0) = ''
	userdefine_name_list=[ 'None' ]
endif else if sel_option eq info.userdefine.count-1 then begin
	info.userdefine.count = info.userdefine.count - 1
	info.userdefine.num_para(info.userdefine.count) = 0
	info.userdefine.path(info.userdefine.count) = ''
	info.userdefine.name(info.userdefine.count) = ''
	userdefine_name_list = info.name_list_userdefine(0 : info.userdefine.count-1)
endif else if sel_option eq 0 then begin
	info.userdefine.count = info.userdefine.count - 1
	info.userdefine.num_para(0:info.userdefine.count-1) = $
		info.userdefine.num_para(1:info.userdefine.count)
	info.userdefine.path(0:info.userdefine.count-1) = $
		info.userdefine.path(1:info.userdefine.count)
	info.userdefine.name(0:info.userdefine.count-1) = $
		info.userdefine.name(1:info.userdefine.count)
	info.userdefine.num_para(info.userdefine.count) = 0
	info.userdefine.path(info.userdefine.count) = ''
	info.userdefine.name(info.userdefine.count) = ''
	userdefine_name_list = info.name_list_userdefine(1 : info.userdefine.count)
endif else begin
	userdefine_name_temp = info.name_list_userdefine
	userdefine_name_list = userdefine_name_temp(0 : sel_option-1)
	userdefine_name_list = [userdefine_name_list, userdefine_name_temp(sel_option+1 : *)]
	info.userdefine.count = info.userdefine.count - 1
	info.userdefine.num_para(sel_option:info.userdefine.count-1) = $
		info.userdefine.num_para(sel_option+1:info.userdefine.count)
	info.userdefine.path(sel_option:info.userdefine.count-1) = $
		info.userdefine.path(sel_option+1:info.userdefine.count)
	info.userdefine.name(sel_option:info.userdefine.count-1) = $
		info.userdefine.name(sel_option+1:info.userdefine.count)
	info.userdefine.num_para(info.userdefine.count) = 0
	info.userdefine.path(info.userdefine.count) = ''
	info.userdefine.name(info.userdefine.count) = ''
endelse

info = redefine_info(info, userdefine_name_list, 12)
widget_control, set_uvalue=info, info.base

return

end

;--------------------------------------------------------------------------------
pro run_user_define_module, info

pro_name = 'run_user_define_module'
@getinfo

if (info.userdefine.count lt 1) then begin
	the_message = ['Before using this option, you need to use the',$
		'"Add User Defined Module" option from "File" menu to', $
		'add your procedure to the user defined module list.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

the_list = [info.name_list_userdefine, 'Cancel']
num_option = n_elements(the_list)
title = 'Select User Defined Module'
the_message = 'Select the user defined module'
default_option = num_option - 1
sel_option = get_option(default_option, the_list, title, the_message, info)
if sel_option eq num_option-1 then return

info.userdefine.index = sel_option
user_path = info.userdefine.path(sel_option)
prog_name = info.userdefine.name(sel_option)
num_para = info.userdefine.num_para(sel_option)
num_output = 0

resolve_routine, prog_name

if num_para gt 0 then begin
    filename = user_path + prog_name+'.pro'
    openr,unit,filename,/get_lun
    loc = 0
    temp=''
    while(loc ne -1) do begin
	temp1 = ''
	readf,unit,temp1
	temp1 = strtrim(temp1,2)
	comment_check = strmid(temp1,0,1)
	if comment_check ne ';' then begin
	    temp = temp + temp1
	    loc = strpos(temp , '$')
	    if loc ne -1 then temp = strmid(temp, 0 , loc)
	endif
    endwhile
    close,unit
    free_lun, unit

    temp = strcompress(temp,/REMOVE_ALL)
    pararray = str_sep(temp,',')
    num_para1 = n_elements(pararray) - 1

    if num_para1 ne num_para then begin
	result=dialog_message('Error to get number parameters!', title='View HDF Warning!')
	return
    endif

    length = strlen(pararray(0))
    if length lt 4 then begin
        result=dialog_message('The first line of the module must be pro ...!', $
                title='View HDF Warning!')
        return
    endif

    test_pro = strmid(pararray(0), 0, 3)
    if strlowcase(test_pro) ne 'pro' then begin
        result=dialog_message('The first line of the module must be pro ...!', $
                title='View HDF Warning!')
        return
    endif

    prog_name1 = strmid(pararray(0), 3, length-3)
    if prog_name1 ne prog_name then begin
	result=dialog_message('Error to get user defined module!', title='View HDF Warning!')
	return
    endif

    the_message = 'Is the "'+pararray(num_para)+'" output parameter?'
    result=dialog_message(the_message, /Question, title='View HDF Question!')

   if result eq 'Yes' then begin
	num_para = num_para - 1
	num_output = 1

	i_value=pararray(num_para+1)
	title = 'Get Output Variable Name'
	f_title = 'Name:'
	the_message = 'Enter the Output Variable Name'
	output_name = get_field_value(i_value, 60, title, f_title, the_message, info)
	output_name = output_name(0)
	if output_name eq 'cancel' then return

	i_value = ''
	title = 'Set Unit Value'
	f_title = 'Unit Value:'
	the_message = 'Enter the unit value for "'+output_name+'"'
	unitname = get_field_value(i_value, 60, title, f_title, the_message, info)
	unitname = unitname(0)
	if unitname eq 'cancel' then unitname=''
	if strlen(unitname) gt 0 then unitname = ', '+unitname
    endif

    if num_para gt 0 then begin
	para = ptrarr(num_para, /ALLOCATE_HEAP)
	if info.name_list_subset(0) eq 'None' then begin
	    the_list = [ 'Constant', 'String', 'Cancel']
	endif else begin
	    the_list = [info.name_list_subset, 'Constant', 'String', 'Cancel']
	endelse
	num_option = n_elements(the_list)
	para_title = 'Select Parameter'
	for i = 0, num_para-1 do begin
	    para_message = 'Select parameter "'+pararray(i+1)+'"'
	    default_option = num_option-1
	    sel_option = get_option(default_option, the_list, para_title, para_message, info)
	    if sel_option eq num_option-1 then begin
		ptr_free, para
		return
	    endif
	    if sel_option eq num_option-3 then begin
		i_value = 0.0
		title = 'Enter Constant Value'
		f_title = 'Constant Value:'
		the_message = 'Enter constant value for "'+pararray(i+1)+'"'
		const = get_field_value(i_value, 20, title, f_title, the_message, info)
		const = const(0)
		if const eq 'cancel' then begin
		    ptr_free, para
		    return
		endif
		const = strcompress(const,/REMOVE_ALL)
		const_array = str_sep(const,',')
		if n_elements(const_array) gt 1 then *para(i) = float(const_array) $
		    else *para(i) = float(const)
	    endif else if sel_option eq num_option-2 then begin
		i_value = ''
		title = 'Enter String Value'
		f_title = 'String Value:'
		the_message = 'Enter string value for "'+pararray(i+1)+'"'
		const = get_field_value(i_value, 20, title, f_title, the_message, info)
		const = const(0)
		if const eq 'cancel' then begin
		    ptr_free, para
		    return
		endif
		*para(i) = string(const)
	    endif else begin
		if info.subset.data(sel_option).src_type_flag eq 0 then begin
		    handle_value, info.subset.data(sel_option).src_data, hdf_data
		endif else begin
		    handle_value, info.subset.data(sel_option).src_data, hdf_data_temp
		    hdf_data = reform(hdf_data_temp.components0, n_elements(hdf_data_temp.components0))
		endelse
		*para(i) = hdf_data
	    endelse
	endfor
    endif
endif

if num_output eq 0 then begin
    case num_para of
	0: call_procedure, prog_name
	1: call_procedure, prog_name, *para(0)
	2: call_procedure, prog_name, *para(0), *para(1)
	3: call_procedure, prog_name, *para(0), *para(1), *para(2)
	4: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3)
	5: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4)
	6: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5)
	7: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6)
	8: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7)
	9: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8)
	10: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9)
	11: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10)
	12: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11)
	13: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12)
	14: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13)
	15: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14)
	16: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15)
	17: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16)
	18: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17)
	19: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), *para(18)
	20: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), *para(18), *para(19)
	21: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), *para(18), *para(19), *para(20)
	22: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), *para(18), *para(19), *para(20), *para(21)
	else: begin
		the_message = ['Your module exceeds the maximum number of parameters!!', $
			 	'The maximum number of parameters is 22.']
		result=dialog_message(the_message, title='View HDF Warning!')
		ptr_free, para
		return
	      end
    endcase
endif else begin
    case num_para of
	0: call_procedure, prog_name, output_data
	1: call_procedure, prog_name, *para(0), output_data
	2: call_procedure, prog_name, *para(0), *para(1), output_data
	3: call_procedure, prog_name, *para(0), *para(1), *para(2), output_data
	4: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), output_data
	5: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), output_data
	6: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		output_data
	7: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), output_data
	8: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), output_data
	9: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), output_data
	10: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), output_data
	11: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), output_data
	12: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), output_data
	13: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), output_data
	14: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		output_data
	15: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), output_data
	16: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), output_data
	17: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), output_data
	18: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), output_data
	19: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), *para(18), output_data
	20: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), *para(18), *para(19), output_data
	21: call_procedure, prog_name, *para(0), *para(1), *para(2), *para(3), *para(4), *para(5), $
		*para(6), *para(7), *para(8), *para(9), *para(10), *para(11), *para(12), *para(13), $
		*para(14), *para(15), *para(16), *para(17), *para(18), *para(19), *para(20), output_data
	else: begin
		the_message = ['Your module exceeds the maximum number of parameters!!', $
			 	'The maximum number of parameters is 22.']
		result=dialog_message(the_message, title='View HDF Warning!')
		ptr_free, para
		return
	      end
    endcase
endelse

if num_para gt 0 then ptr_free, para

if num_output gt 0 then begin
    size_data = size(output_data)
    if size_data(0) eq 0 then begin
	the_message = 'Error to obtain output from "'+prog_name+'"!!!'
	result=dialog_message(the_message, title='View HDF Warning!')
	return
    endif

    if (info.subset.count ge info.subset.maximum) then begin
	the_message = ["You have maximum sets of data in Current Subset List", $
		"Output data cannot be written in the Current Subset List"]
	result=dialog_message(the_message, title='View HDF Warning!')
	return
    endif

    rank = size_data(0)
    start_list = lonarr(rank)
    end_list = lonarr(rank)
    increment_list = lonarr(rank)
    for i = 0, rank-1 do begin
	start_list(i) = 0
	end_list(i) = size_data(i+1)
	increment_list(i) = 1
    endfor
    end_list = reverse(end_list)
    type = size(output_data, /tname)
    hdf_type = convert_idltypename_hdftype(type)

    the_list = info.name_list_subset
    the_list = [the_list, 'No Reference', 'Cancel']
    num_option = n_elements(the_list)
    title = 'Select Reference File'
    the_message = ['Select one of the following data set for', $
	'reference to store the output data:']
    default_option = 0
    sel_option = get_option(default_option,the_list,title,the_message,info)
    if sel_option lt num_option-2 then begin
	set_output_wref, output_name, sel_option, hdf_type, rank, $
	    start_list, end_list, increment_list, unitname, info, output_data
    endif else begin
	set_output_woref, output_name, sel_option, hdf_type, rank, $
	    start_list, end_list, increment_list, unitname, info, output_data
    endelse
endif

result=dialog_message('Run User Defined Module Completed!', title='Notice!')

end

;--------------------------------------------------------------------------------
function graph_item, event

pro_name = 'graph_item'
@getinfo1

widget_control, get_uvalue=info, event.top

info.graph_style=event.value
if info.graph_style eq 'Create Subset' then info.criterion.flag = 1

widget_control, set_uvalue=info, info.base
widget_control, set_uvalue=info, event.top

end

;--------------------------------------------------------------------------------
pro graph_selected, event

pro_name = 'graph_selected'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, event.top, /destroy

plot_graph, 0, info.subset.selected, info

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro greenlocationCB, event

pro_name = 'greenlocationCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.greenlocation, get_value=greenlocation

info.greenwich.greenloca=greenlocation
print,'Global Center Location=',info.greenwich.greenloca

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro green_location, info

pro_name = 'green_location'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Global Center Location')

g_group=widget_base(base, row=1,map=1)

info.widgets.greenlocation = CW_FIELD(g_group, VALUE=info.greenwich.greenloca, $
		ROW=1, FLOATING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Global Center Location:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='greenlocationCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro gridstartlocationCB, event

pro_name = 'gridstartlocationCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.gridstart, get_value=gridstart

info.grid_start=gridstart
print,'Grid Start At=',info.grid_start

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro grid_start_location, info

pro_name = 'grid_start_location'
@getinfo

base = widget_base(COLUMN=1, MAP=1, TITLE='Grid Start Location')

g_group=widget_base(base, row=1,map=1)

info.widgets.gridstart = CW_FIELD(g_group, VALUE=info.grid_start, $
		ROW=1, INTEGER=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Grid Start At:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='gridstartlocationCB', $
	VALUE="Done", /ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro make_curve_buttons, x_fields, y_fields, z_fields, x_group, y_group, z_group,$
  base, xflag, yflag, zflag

pro_name = 'make_curve_buttons'
@getinfo
 
font1 ='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1'

if (xflag gt 0) then button1=cw_pdmenu(x_group, x_fields,$
 /RETURN_FULL_NAME, FONT= font1)

if (yflag gt 0) then button2=cw_pdmenu(y_group, y_fields,$
 /RETURN_FULL_NAME, FONT= font1 )

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=font1, EVENT_PRO='curve_doneCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=font1, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER)

end

;------------------------------------------------------------------
pro make_xyz_buttons, x_fields, y_fields, z_fields, x_group, y_group, z_group,$
  base, xflag, yflag, zflag

pro_name = 'make_xyz_buttons'
@getinfo
 
font1 ='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1'

if (xflag gt 0) then button1=cw_pdmenu(x_group, x_fields,$
 /RETURN_FULL_NAME, FONT= font1)

if (yflag gt 0) then button2=cw_pdmenu(y_group, y_fields,$
 /RETURN_FULL_NAME, FONT= font1 )

if (zflag gt 0) then button3=cw_pdmenu(z_group,z_fields,$
 /RETURN_FULL_NAME, FONT= font1)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=font1, EVENT_PRO='doneCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=font1, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER)

;button4=widget_button(base, $
;        FONT= font1, VALUE="Done", EVENT_PRO='doneCB', /ALIGN_CENTER)

;widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base

end

;--------------------------------------------------------------------------------
FUNCTION out_selected, Event

pro_name = 'out_selected'
@getinfo1

widget_control, get_uvalue=info, event.top

picks = info.out.pick
picks(event.value) = event.select
info.out.pick = picks

widget_control, set_uvalue=info, event.top

END

;------------------------------------------------------------------
pro pick_export_variables, info

pro_name = 'pick_export_variables'
@getinfo

font1='-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

info.out.pick(*) = 0

base = widget_base( GROUP_LEADER=info.base, /MODAL, $
	COLUMN = 1, $
        MAP = 1, $
        TITLE='Select Variables')

widget_control, set_uvalue=info, base
button1=widget_button(base, $
	FONT = font1, $
	XSIZE = 170, $
        VALUE="All Variables", $
        EVENT_PRO = 'set_all_out', $
	uvalue=info, $
        /ALIGN_CENTER)

button2=widget_button(base, $
	FONT = font1, $
	XSIZE = 170, $
        VALUE="Selected Variables", $
        EVENT_PRO = 'set_some_out', $
	uvalue=base, $
        /ALIGN_CENTER)

button3=widget_button(base, $
	FONT = font1, $
	XSIZE = 170, $
        VALUE="Cancel", $
        EVENT_PRO='cancel_all_out', $
        /ALIGN_CENTER)

widget_control, /realize, base 
widget_control, CANCEL_BUTTON=button3, base
xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro pick_indep_variables, this_subset, info

pro_name = 'pick_indep_variables'
@getinfo

info.out.pick(*) = 0
top_base = 0
data_name = info.subset.data(this_subset).subset_name
data_name = data_name(0)
grouplist = [info.name_list_subset, "Time", "Sample"]
info = redefine_info(info, grouplist, 8)

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
yoffset = base_loc.yoffset + 100
base=widget_base(group_leader=info.base, /modal, column=1, xoffset=xoffset, $
	yoffset=yoffset, TITLE='Select Independent Variables')
widget_control, set_uvalue=info, base

dep_variable = "Dependent Variable: " + data_name
text1 = widget_label(base, /ALIGN_LEFT, value=dep_variable, $
	FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1')

text3 = widget_label(base, /ALIGN_RIGHT, value="   ", $
	FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1')

text4 = widget_label(base, /ALIGN_LEFT, value="Independent Variables:", $
	FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1')

the_pick=CW_BGROUP(base, grouplist, set_value=0, $
	FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1', $
        EVENT_FUNCT='out_selected', uvalue=info,$
        /SCROLL,Y_SCROLL_SIZE=300,X_SCROLL_SIZE=300, /NONEXCLUSIVE)
   
group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='donepick', UVALUE=top_base, $
	VALUE="Done", /ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control,/realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
xmanager, 'main_widget', base

END

;--------------------------------------------------------------------------------
pro screen_size, event

pro_name = 'screen_size'
@getinfo

;---------------------------------------- 
; Toggle between table and graph modes
;---------------------------------------- 

widget_control, get_uvalue=info, event.top
screen_id = event.id
widget_control, get_uvalue=info, info.base

screen_xsize_old = info.screen.xsize
screen_ysize_old = info.screen.ysize

case event.index of
0: begin
	info.screen.pick = 0
	info.screen.new = 1
	info.screen.xsize = 1036
	info.screen.ysize = 540
   end
1: begin
	info.screen.pick = 1
	info.screen.new = 1
	info.screen.xsize = 1152
	info.screen.ysize = 614
   end
else: begin
	old_pick = info.screen.pick
	info.screen.pick = 2
	info.screen.new = 0
	get_screen_size, info, event.top
	widget_control, get_uvalue=info, info.base
	if info.screen.new eq 0 then begin
		info.screen.pick = old_pick
		widget_control, screen_id, set_droplist_select=info.screen.pick
	endif
      end
endcase

;if info.screen.new ne 0 then begin
if(info.screen.xsize ne screen_xsize_old or info.screen.ysize ne screen_ysize_old) then begin
	print, 'The new screen size is ', info.screen.xsize, ' x ', info.screen.ysize
	;widget_control, info.widgets.screen, set_droplist_select=info.screen.pick
endif

if event.top ne info.base then begin
	widget_control, info.widgets.screen, set_droplist_select=info.screen.pick
endif else begin
	if(widget_info(info.widgets.base, /VALID_ID)) then $
	   widget_control, info.widgets.screen_size_tool, set_droplist_select=info.screen.pick
endelse

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

if(widget_info(info.widgets.base, /VALID_ID)) then begin
	;if info.screen.new ne 0 then begin
	if(info.screen.xsize ne screen_xsize_old or info.screen.ysize ne screen_ysize_old) then begin
		widget_control, info.widgets.base, /destroy
		if info.multiple.key eq 1 then begin
			do_more_variables, 3, info
		endif else begin
			replot_screen, info.subset.selected, info
		endelse
	endif
endif 

if info.screen.new ne 0 then info.screen.new = 0


end

;--------------------------------------------------------------------------------
pro show_continue, event

pro_name = 'show_continue'
@getinfo

widget_control, get_uvalue = info, event.top
widget_control, get_uvalue = uval, event.id

widget_control, get_uvalue = info, info.base

case uval of
 
; user chooses to show graph with continue range

'showcontinue': begin
    if(info.slide.select eq 1) then info.slide.select = 0 $
      else info.slide.select = 1
    if(info.slide.select eq 1) then begin
	info.save.axis_state = info.axis_state
	info.save.x_start = info.range.x_start
	info.save.x_end = info.range.x_end
	info.save.y_start = info.range.y_start
	info.save.y_end = info.range.y_end
	if((info.graph_style eq '3D Graph') or $
	  (info.graph_style eq '3D Surface')) then begin
		if(info.axis_state eq 0) then info.axis_state = 2
		if(info.axis_state eq 1) then info.axis_state = 4
 	endif else begin
		if(info.axis_state eq 0) then info.axis_state = 1
		if(info.axis_state eq 2) then info.axis_state = 4
		if(info.axis_state eq 6) then info.axis_state = 8
		if(info.axis_state eq 7) then info.axis_state = 9
 	endelse
    endif else begin
	info.axis_state = info.save.axis_state
	info.range.x_start = info.save.x_start
	info.range.x_end = info.save.x_end
	info.range.y_start = info.save.y_start
	info.range.y_end = info.save.y_end
	if(widget_info(info.widgets.subset_base, /VALID_ID)) then begin
		widget_control, info.widgets.subset_base, /destroy
	endif
    endelse

    widget_control, set_uvalue=info, info.widgets.base
    widget_control, set_uvalue=info, info.base

    if info.slide.select eq 1 then show_subset,info

    if info.multiple.key eq 1 then begin
	do_more_variables, 2, info
    endif else begin
	plot_graph, 1, info.subset.selected, info
    endelse

 end

; user entered a range value for show

'rangeval': begin
    Widget_Control, info.widgets.rangefield, GET_VALUE = temp
;   if temp gt 1 then begin
;      widget_control, info.widgets.startslide, get_value = slidestart
;      widget_control, info.widgets.startfield, set_value = slidestart
;   endif else begin
       widget_control, info.widgets.startfield, get_value = slidestart
       widget_control, info.widgets.startslide, set_value = slidestart
;   endelse
    if((info.graph_style eq '3D Graph') or $
       (info.graph_style eq '3D Surface')) then begin
	info.range.y_start = slidestart
	info.range.y_end = info.range.y_start + temp
	if(info.axis_state eq 0) then info.axis_state = 2
	if(info.axis_state eq 1) then info.axis_state = 4
    endif else begin
	info.range.x_start = slidestart
	info.range.x_end = info.range.x_start + temp
	if(info.axis_state eq 0) then info.axis_state = 1
	if(info.axis_state eq 2) then info.axis_state = 4
	if(info.axis_state eq 6) then info.axis_state = 8
	if(info.axis_state eq 7) then info.axis_state = 9
    endelse

    widget_control, set_uvalue=info, info.base
    if(widget_info(info.widgets.base, /VALID_ID)) then begin
	widget_control, set_uvalue=info, info.widgets.base
	if info.multiple.key eq 1 then begin
		do_more_variables, 2, info
	endif else begin
		plot_graph, 1, info.subset.selected, info
	endelse
    endif

 end

'startval': begin
    WIDGET_CONTROL, info.widgets.startslide, get_value = slidestart
    WIDGET_CONTROL, info.widgets.rangefield, get_value = temp
    widget_control, info.widgets.startfield, set_value = slidestart
    if((info.graph_style eq '3D Graph') or $
       (info.graph_style eq '3D Surface')) then begin
	info.range.y_start = slidestart
	info.range.y_end = info.range.y_start + temp
	if(info.axis_state eq 0) then info.axis_state = 2
	if(info.axis_state eq 1) then info.axis_state = 4
    endif else begin
	info.range.x_start = slidestart
	info.range.x_end = info.range.x_start + temp
	if(info.axis_state eq 0) then info.axis_state = 1
	if(info.axis_state eq 2) then info.axis_state = 4
	if(info.axis_state eq 6) then info.axis_state = 8
	if(info.axis_state eq 7) then info.axis_state = 9
    endelse
 
    widget_control, set_uvalue=info, info.base
    if(widget_info(info.widgets.base, /VALID_ID)) then begin
	widget_control, set_uvalue=info, info.widgets.base
	if info.multiple.key eq 1 then begin
		do_more_variables, 2, info
	endif else begin
		plot_graph, 1, info.subset.selected, info
	endelse
    endif
 
 end
 
'startfield': begin
    WIDGET_CONTROL, info.widgets.startfield, get_value = slidestart
    WIDGET_CONTROL, info.widgets.rangefield, get_value = temp
    widget_control, info.widgets.startslide, set_value = slidestart
    if((info.graph_style eq '3D Graph') or $
       (info.graph_style eq '3D Surface')) then begin
	info.range.y_start = slidestart
	info.range.y_end = info.range.y_start + temp
	if(info.axis_state eq 0) then info.axis_state = 2
	if(info.axis_state eq 1) then info.axis_state = 4
    endif else begin
	info.range.x_start = slidestart
	info.range.x_end = info.range.x_start + temp
	if(info.axis_state eq 0) then info.axis_state = 1
	if(info.axis_state eq 2) then info.axis_state = 4
	if(info.axis_state eq 6) then info.axis_state = 8
	if(info.axis_state eq 7) then info.axis_state = 9
    endelse
 
    widget_control, set_uvalue=info, info.base
    if(widget_info(info.widgets.base, /VALID_ID)) then begin
	widget_control, set_uvalue=info, info.widgets.base
	if info.multiple.key eq 1 then begin
		do_more_variables, 2, info
	endif else begin
		plot_graph, 1, info.subset.selected, info
	endelse
    endif
 
 end

'close': begin
   widget_control, event.top, /destroy
   info.axis_state = info.save.axis_state
   info.range.x_start = info.save.x_start
   info.range.x_end = info.save.x_end
   info.range.y_start = info.save.y_start
   info.range.y_end = info.save.y_end
   info.slide.select = 0
  
   widget_control, set_uvalue=info, info.base
   if(widget_info(info.widgets.base, /VALID_ID)) then begin
	widget_control, set_button=0, info.widgets.show_subset
	widget_control, set_uvalue=info, info.widgets.base
	if info.multiple.key eq 1 then begin
		do_more_variables, 2, info
	endif else begin
		plot_graph, 1, info.subset.selected, info
	endelse
   endif

end

'addtext': begin
   addtext_message, info
end

'charsize': begin
   widget_control, info.widgets.charsize, get_value = charsize
   info.char.size = charsize
   widget_control, set_uvalue=info, info.widgets.base
   widget_control, set_uvalue=info, info.base

   if info.multiple.key eq 1 then begin
	do_more_variables, 2, info
   endif else begin
	plot_graph, 1, info.subset.selected, info
   endelse
 
end
 
else:

endcase

return
end

;--------------------------------------------------------------------------------
pro show_subset, info

pro_name = 'show_subset'
@getinfo

data_name = info.subset.data(info.subset.selected).subset_name
data_name = data_name(0)

if ((info.graph_style eq '3D Graph') $
	or (info.graph_style eq '3D Surface')) then begin
  slide_max = info.slide.y_end
  slide_min = info.slide.y_start
  range_value = info.slide.y_end - info.slide.y_start
  if(range_value le 1) then begin
	range_value = 1
	slide_max = slide_min + range_value
  endif
endif else begin
  slide_max = info.slide.x_end
  slide_min = info.slide.x_start
  range_value = info.slide.x_end - info.slide.x_start
  if(range_value le 1) then begin
	range_value = 1
	slide_max = slide_min + range_value
  endif
endelse

slide_max_int = long(slide_max)
slide_min_int = long(slide_min)
if slide_max_int eq slide_min_int then begin
  slide_max = slide_max + 1
  slide_min = slide_min - 1
  slide_max_int = long(slide_max)
  slide_min_int = long(slide_min)
  if slide_max_int eq slide_min_int then begin
    slide_min = 0
    slide_max = 1
    the_message = ["The value of X is larger than Long integer", $
		   "Cannot use Show Subset feature."]
    result=dialog_message(the_message, title='View HDF Warning!')
  endif
  range_value = slide_max - slide_min
endif

if ((info.graph_style eq '3D Graph') $
	or (info.graph_style eq '3D Surface')) then begin
   info.range.y_start = slide_min
   info.range.y_end = slide_max
endif else begin
   info.range.x_start = slide_min
   info.range.x_end = slide_max
endelse

title = 'Show Subset Menu for '+ data_name
info.widgets.subset_base=widget_base(ROW=1, MAP=1, EVENT_PRO = 'show_continue', $
	space=20, title=title, uvalue=info)

info.widgets.rangefield = CW_FIELD(info.widgets.subset_base, $
    /FLOATING, /ROW, XSIZE = 10, YSIZE=1, TITLE = 'Range: ', $
        UVALUE = 'rangeval', VALUE = range_value, FONT = info.font, $
	FIELDFONT = info.font, /RETURN_EVENTS)

info.widgets.startslide = widget_slider(info.widgets.subset_base, $
	minimum = slide_min, maximum = slide_max, value = slide_min, $
	xsize = 200, uvalue = 'startval', font=info.font, $
	title = 'X Start')

info.widgets.startfield = CW_FIELD(info.widgets.subset_base, $
    /FLOATING, /ROW, XSIZE = 10, YSIZE=1, TITLE = 'Start: ', $
        UVALUE = 'startfield', VALUE = slide_min, FONT = info.font, $
	FIELDFONT = info.font, /RETURN_EVENTS)

continuebutton = WIDGET_BUTTON(info.widgets.subset_base, $
    VALUE = 'Close', UVALUE = 'close', font = info.font)

widget_control, /realize, info.widgets.subset_base

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base
widget_control, set_uvalue=info, info.widgets.subset_base

end

;--------------------------------------------------------------------------------
pro show_time, event

pro_name = 'show_time'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

info.time_type.new = event.index

if event.top ne info.base then begin
	widget_control, info.widgets.time_type, set_droplist_select=info.time_type.new
endif else begin
	if(widget_info(info.widgets.base, /VALID_ID)) then $
	    widget_control, info.widgets.show_time_list, set_droplist_select=info.time_type.new
endelse

if(widget_info(info.widgets.base, /VALID_ID)) then begin
	if(info.field_name.x ne 'Time' and info.multiple.xy_diff ne 'Time') then $
		info.time_type.old = info.time_type.new
	if(info.graph_style ne 'XY Graph' and info.graph_style ne 'Y1Y2 Compute' $
		and info.graph_style ne 'Y12 Compute' and info.graph_style ne 'Extract Bits') then $
		info.time_type.old = info.time_type.new
	widget_control, set_uvalue=info, info.widgets.base 
endif else info.time_type.old = info.time_type.new
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro plot_dialogue, name_of_data, info

pro_name = 'plot_dialogue'
@getinfo

;-----------------------------------------------------
; Create a new plot window - allow multiple windows
;-----------------------------------------------------
; put a menubar on this window if possible
;

base=widget_base( COLUMN=1, MAP=1, $
               TITLE=info.graph_style + ' Plot for '+name_of_data, $
                        MBAR=this_menubar)

the_menu_items= [ $
                { CW_PDMENU_S,       1, 'File' }, $
                { CW_PDMENU_S,       0, 'Save Postscript...' }, $
                { CW_PDMENU_S,       0, 'Save EPS Portrait' }, $
                { CW_PDMENU_S,       0, 'Save EPS Landscape' }, $
                { CW_PDMENU_S,       0, 'Save GIF' }, $
                { CW_PDMENU_S,       1, 'Export...' }, $
                { CW_PDMENU_S,       0, 'Without Filldata' }, $
                { CW_PDMENU_S,       2, 'With Filldata' }, $
                { CW_PDMENU_S,       0, 'Print...' }, $
                { CW_PDMENU_S,       0, 'Print Viewgraph...' }, $
                { CW_PDMENU_S,       0, 'Change Temporary Directory' }, $
                { CW_PDMENU_S,       2, 'Close' }, $
                { CW_PDMENU_S,       1, 'Graphic' }, $
                { CW_PDMENU_S,       0, '2D Graph' }, $
                { CW_PDMENU_S,       0, '2D Image' }, $
                { CW_PDMENU_S,       0, '2D Image With Scale' }, $
                { CW_PDMENU_S,       0, '3D Graph' }, $
                { CW_PDMENU_S,       0, '3D Surface' }, $
                { CW_PDMENU_S,       0, 'Contour' }, $
                { CW_PDMENU_S,       0, 'Grid Contour' }, $
                { CW_PDMENU_S,       0, 'Grid Cell' }, $
                { CW_PDMENU_S,       0, 'Grid Cell - Region' }, $
                { CW_PDMENU_S,       0, 'Statistics' }, $
                { CW_PDMENU_S,       0, 'Histogram' }, $
                { CW_PDMENU_S,       0, 'XY Graph' }, $
                { CW_PDMENU_S,       0, 'XYZ Graph' }, $
                { CW_PDMENU_S,       0, 'Geolocated' }, $
                { CW_PDMENU_S,       0, 'Contour Geolocated' }, $
                { CW_PDMENU_S,       0, 'Create Subset' }, $
                { CW_PDMENU_S,       0, 'Regression' }, $
                { CW_PDMENU_S,       0, 'Extract Bits' }, $
                { CW_PDMENU_S,       0, 'Transpose' }, $
                { CW_PDMENU_S,       0, 'Display Data' }, $
                { CW_PDMENU_S,       2, 'Display Attribute' }, $
		{ CW_PDMENU_S,       1, 'Subset' }, $
		{ CW_PDMENU_S,       0, 'Zoom' }, $
		{ CW_PDMENU_S,       0, 'Locate' }, $
		{ CW_PDMENU_S,       0, 'End Locate' }, $
		{ CW_PDMENU_S,       2, 'Select Region' } $
		]
the_menu_items= [ the_menu_items, $
                { CW_PDMENU_S,       1, 'Colors' }, $
                { CW_PDMENU_S,       0, 'Select Colors...' }, $
                { CW_PDMENU_S,       0, 'Edit Colors...' }, $
                { CW_PDMENU_S,       0, 'Background' }, $
                { CW_PDMENU_S,       2, 'Foreground' }, $
      		{ CW_PDMENU_S,       1, 'Axis' }, $
        	{ CW_PDMENU_S,       1, 'Manual' }, $
          	{ CW_PDMENU_S,       0, 'X Only' }, $
          	{ CW_PDMENU_S,       0, 'Y Only' }, $
          	{ CW_PDMENU_S,       0, 'Z Only' }, $
          	{ CW_PDMENU_S,       0, 'XY Only' }, $
          	{ CW_PDMENU_S,       0, 'XYZ' }, $
          	{ CW_PDMENU_S,       0, 'Y2 Only' }, $
          	{ CW_PDMENU_S,       0, 'YY2 Only' }, $
          	{ CW_PDMENU_S,       0, 'XY2 Only' }, $
          	{ CW_PDMENU_S,       2, 'XYY2 Only' }, $
        	{ CW_PDMENU_S,       0, 'Auto' }, $
        	{ CW_PDMENU_S,       1, 'Grid' }, $
        	{ CW_PDMENU_S,       0, 'With XY Grid' }, $
        	{ CW_PDMENU_S,       0, 'With X Grid Only' }, $
        	{ CW_PDMENU_S,       0, 'With Y Grid Only' }, $
        	{ CW_PDMENU_S,       2, 'Without Grid' }, $
		{ CW_PDMENU_S,       1, 'Logarithmic Axis' }, $
                { CW_PDMENU_S,       0, 'With Linear Axes' }, $
                { CW_PDMENU_S,       0, 'With Logarithmic X Axis' }, $
                { CW_PDMENU_S,       0, 'With Logarithmic Y Axis' }, $
                { CW_PDMENU_S,       0, 'With Logarithmic XY Axes' }, $
		{ CW_PDMENU_S,       0, 'With Logarithmic Y2 Axis' }, $
                { CW_PDMENU_S,       0, 'With Logarithmic XY2 Axes' }, $
                { CW_PDMENU_S,       0, 'With Logarithmic YY2 Axes' }, $
                { CW_PDMENU_S,       2, 'With Logarithmic XYY2 Axes' }, $
        	{ CW_PDMENU_S,       2, '' } $
		]
the_menu_items= [ the_menu_items, $
      		{ CW_PDMENU_S,       1, 'Map' }, $ 	
      		{ CW_PDMENU_S,       1, 'Greenwich Location' }, $ 	
        	{ CW_PDMENU_S,       0, 'Left' }, $ 
        	{ CW_PDMENU_S,       0, 'Center' }, $ 
        	{ CW_PDMENU_S,       2, 'Other' }, $ 
      		{ CW_PDMENU_S,       1, 'Projection' }, $ 	
        	{ CW_PDMENU_S,       0, 'Cylindrical' }, $ 
        	{ CW_PDMENU_S,       0, 'Orthographic' }, $ 
        	{ CW_PDMENU_S,       0, 'Stereographic' }, $ 
        	{ CW_PDMENU_S,       2, 'Hammer-Aitoff' }, $ 
      		{ CW_PDMENU_S,       1, 'Lat-Longitude' }, $ 	
        	{ CW_PDMENU_S,       0, 'Default' }, $ 
        	{ CW_PDMENU_S,       2, 'Select' }, $ 
      		{ CW_PDMENU_S,       1, 'Label' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Label' }, $ 
        	{ CW_PDMENU_S,       2, 'Without Label' }, $ 
      		{ CW_PDMENU_S,       1, 'Expand' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Expand' }, $ 
        	{ CW_PDMENU_S,       2, 'Without Expand' }, $ 
      		{ CW_PDMENU_S,       1, 'Satellite' }, $ 	
        	{ CW_PDMENU_S,       0, 'Show Satellite' }, $ 
        	{ CW_PDMENU_S,       2, 'Show No Satellite' }, $ 
      		{ CW_PDMENU_S,       1, 'Sun' }, $ 	
        	{ CW_PDMENU_S,       0, 'Show Sun' }, $ 
        	{ CW_PDMENU_S,       2, 'Show No Sun' }, $ 
      		{ CW_PDMENU_S,       1, 'Continents' }, $ 	
        	{ CW_PDMENU_S,       0, 'Redraw Continents' }, $ 
        	{ CW_PDMENU_S,       2, 'No Redraw Continents' }, $ 
      		{ CW_PDMENU_S,       1, 'Contour Geolocated' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Without Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Filter With Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Filter Without Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Average With Smoothing' }, $ 
        	{ CW_PDMENU_S,       0, 'Average Without Smoothing' }, $ 
        	{ CW_PDMENU_S,       2, 'Set Number of Grids' }, $ 
        	{ CW_PDMENU_S,       2, 'Reread Geolocated Data' }, $ 
      		{ CW_PDMENU_S,       1, 'Grid Start' }, $ 	
      		{ CW_PDMENU_S,       0, 'Auto' }, $ 	
        	{ CW_PDMENU_S,       0, '   0' }, $ 
        	{ CW_PDMENU_S,       0, '-180' }, $ 
        	{ CW_PDMENU_S,       2, 'Other' } $ 
		]
the_menu_items= [  the_menu_items, $
     		{ CW_PDMENU_S,       1, 'Color Bar' }, $ 	
        	{ CW_PDMENU_S,       1, 'With Color Bar' }, $ 
        	{ CW_PDMENU_S,       0, 'Discrete' }, $ 
        	{ CW_PDMENU_S,       2, 'Continuous' }, $ 
        	{ CW_PDMENU_S,       0, 'Without Color Bar' }, $
        	{ CW_PDMENU_S,       2, 'Location' }, $
      		{ CW_PDMENU_S,       1, 'Style' }, $ 	
      		{ CW_PDMENU_S,       1, 'Line Type' }, $ 	
        	{ CW_PDMENU_S,       0, 'Solid' }, $ 
        	{ CW_PDMENU_S,       0, 'Dotted' }, $ 
        	{ CW_PDMENU_S,       0, 'Dashed' }, $ 
        	{ CW_PDMENU_S,       0, 'Dashed Dot' }, $ 
        	{ CW_PDMENU_S,       0, 'Dashed Dot Dot Dot' }, $ 
        	{ CW_PDMENU_S,       2, 'Long Dashes' }, $ 
      		{ CW_PDMENU_S,       1, 'Symbol' }, $ 	
        	{ CW_PDMENU_S,       0, 'No Symbol' }, $ 
        	{ CW_PDMENU_S,       0, 'Plus sign' }, $ 
        	{ CW_PDMENU_S,       0, 'Asterisk' }, $ 
        	{ CW_PDMENU_S,       0, 'Period' }, $ 
        	{ CW_PDMENU_S,       0, 'Diamond' }, $ 
      		{ CW_PDMENU_S,       0, 'Triangle' }, $ 	
        	{ CW_PDMENU_S,       0, 'Square' }, $ 
        	{ CW_PDMENU_S,       0, 'X' }, $ 
      		{ CW_PDMENU_S,       0, 'Circle' }, $ 	
      		{ CW_PDMENU_S,       0, 'FOV' }, $ 	
      		{ CW_PDMENU_S,       0, 'Filled Triangle' }, $ 	
        	{ CW_PDMENU_S,       0, 'Filled Square' }, $ 
        	{ CW_PDMENU_S,       0, 'Filled Circle' }, $ 
        	{ CW_PDMENU_S,       2, 'Filled FOV' }, $ 
      		{ CW_PDMENU_S,       1, 'Symbol With Line' }, $ 	
        	{ CW_PDMENU_S,       0, 'Without Line' }, $ 
        	{ CW_PDMENU_S,       2, 'With Line' }, $ 
        	{ CW_PDMENU_S,       2, 'Symbol Size' } $ 
		]
the_menu_items= [ the_menu_items, $
      		{ CW_PDMENU_S,       1, 'Editor' }, $ 	
        	{ CW_PDMENU_S,       0, 'VI' }, $ 
        	{ CW_PDMENU_S,       0, 'Emacs' }, $ 
        	{ CW_PDMENU_S,       0, 'Ieditor' }, $ 
        	{ CW_PDMENU_S,       2, 'Other' }, $ 
      		{ CW_PDMENU_S,       1, 'Add Criterion' }, $ 	
        	{ CW_PDMENU_S,       0, 'With Criterion' }, $ 
        	{ CW_PDMENU_S,       2, 'Without Criterion' } $ 
                ]

the_menu=cw_pdmenu(this_menubar, the_menu_items, /return_full_name, $
                        FONT=info.font, /mbar)

helpmenu = widget_button(this_menubar, FONT=info.font, value='Help', /MENU, /HELP)

user_guide = widget_button(helpmenu, FONT=info.font, value='User Guide', $
	uvalue='userguide')

user_guide = widget_button(helpmenu, FONT=info.font, value='Release Note', $
	uvalue='releasenote')

idlhelpbut = widget_button(helpmenu, FONT=info.font, value='IDL Online Help', $
	uvalue='IDLhelp')

;about_viewhdf_i = widget_button(helpmenu, value='About View_HDF(for CERES)...', FONT=info.font, $
;	uvalue='aboutviewhdfi')

;about_viewhdf_o = widget_button(helpmenu, value='About View_HDF(for others)...', FONT=info.font, $
;	uvalue='aboutviewhdfo')

about_viewhdf = widget_button(helpmenu, value='About View_HDF...', FONT=info.font, $
	uvalue='aboutviewhdf')

top_color = info.top_color
screen_xsize = info.screen.xsize
screen_ysize = info.screen.ysize
;if info.graph_style eq '2D Image' then begin
;x_scroll_size = screen_xsize-50
;y_scroll_size = screen_ysize-50
;draw_id=widget_draw(base, retain=2, xsize=screen_xsize,ysize=screen_ysize, $
;   x_scroll_size=x_scroll_size, y_scroll_size=y_scroll_size, colors=top_color, $
;   /SCROLL, /BUTTON_EVENTS)
;endif else begin
draw_id=widget_draw(base, retain=2, xsize=screen_xsize,ysize=screen_ysize, $
	colors=top_color, /BUTTON_EVENTS, /TRACKING_EVENTS)
;endelse

continue_show = widget_base(base, $
   /ROW, $
   MAP=1, $
   EVENT_PRO = 'show_continue', space=20)

continuebase = WIDGET_BASE(continue_show, $
   /ROW, $
   /NONEXCLUSIVE)

info.widgets.show_subset = WIDGET_BUTTON(continuebase, $
    VALUE = 'Show Subset', UVALUE = 'showcontinue', font = info.font)

addtext_button = WIDGET_BUTTON(continue_show, $
    VALUE = 'Add Text', UVALUE = 'addtext', font = info.font)

info.widgets.charsize = CW_FIELD(continue_show, $
    /FLOATING, /ROW, XSIZE = 10, YSIZE=1, TITLE = 'Character Size: ', $
        UVALUE = 'charsize', VALUE = info.char.size, FONT = info.font, $
	FIELDFONT = info.font, /RETURN_EVENTS)

base1 = widget_base(base, /ROW, MAP=1, SPACE=15)

plot_button=widget_button(base1, FONT=info.font, VALUE="RePlot", $
	EVENT_PRO='replot_graph', /ALIGN_CENTER)
 
subsetview_area = widget_button(base1, FONT=info.font, $
	EVENT_PRO='subsetview_dialogueCB', VALUE='Subset Size', $
	/ALIGN_CENTER)

precision_button = widget_button(base1, $
                EVENT_PRO='precision_dialogueCB', VALUE='Format', $
		FONT=info.font, $
                /ALIGN_CENTER)

filldata_button = widget_button(base1, $
                EVENT_PRO='filldata_dialogueCB', VALUE='Fill Data', $
		FONT=info.font, $
                /ALIGN_CENTER)

show_list = [ 'Hours', 'Minutes', 'Seconds' ]
info.widgets.show_time_list = widget_droplist(base1, $
		TITLE='Time Type:', VALUE=show_list, UVALUE = info, $
                EVENT_PRO='show_time', FONT=info.font, $
                /ALIGN_CENTER)

screen_size_list = [ '1036x540', '1152x614', 'Other' ]
info.widgets.screen_size_tool = widget_droplist(base1, $
		TITLE='Screen Size:', VALUE=screen_size_list, UVALUE = info, $
                EVENT_PRO='screen_size', FONT=info.font, $
                /ALIGN_CENTER)

rotation_button = widget_button(base1, $
                EVENT_PRO='rotation_dialogueCB', VALUE='3D Rotation', $
		FONT=info.font, $
                /ALIGN_CENTER)

if ((info.graph_style eq '3D Graph') or (info.graph_style eq '3D Surface')) then $
	rotate_sen = 1 $
else rotate_sen = 0
WIDGET_CONTROL, rotation_button, SENSITIVE = rotate_sen

widget_control, /realize, base

widget_control, info.widgets.show_time_list, set_droplist_select=info.time_type.new
widget_control, info.widgets.screen_size_tool, set_droplist_select=info.screen.pick
widget_control, draw_id, GET_VALUE=window_id
info.widgets.base = base
info.sview.window_id = window_id

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base
widget_control, set_uvalue=info, base

xmanager, 'main_widget', base

end

;------------------------------------------------------------------
pro set_statistics_subset, name_of_data, this_subset, the_rank, info, subset_data

pro_name = 'set_statistics_subset'
@getinfo

if (info.subset.count lt info.subset.maximum) then begin
   subset_name=name_of_data + '[' + strcompress(string(info.subset.count)) +']'
   if info.vgroup.flag eq 1 then $
	subset_name = get_vgroup_name(subset_name,info)
   info = redefine_info(info, subset_name, 3)
   widget_control, info.widgets.subset_list, set_value=info.name_list_subset
   info.subset.count=info.subset.count+1
   info.subset.data(info.subset.count-1).subset_name = string(subset_name)
   info.subset.data(info.subset.count-1).src_filename = info.subset.data(this_subset).src_filename
   dot=strpos(name_of_data, 'Number sample of')
   if( dot ne -1) then begin
	info.subset.data(info.subset.count-1).src_unitname = ''
   endif else begin
	info.subset.data(info.subset.count-1).src_unitname = info.subset.data(this_subset).src_unitname
   endelse
   if info.graph_style eq 'Statistics' then begin
	info.subset.data(info.subset.count-1).src_type_flag = 0
   endif else begin
	info.subset.data(info.subset.count-1).src_type_flag = info.subset.data(this_subset).src_type_flag
   endelse
   if info.criterion.flag eq 1 then begin
	info.subset.data(info.subset.count-1).src_crit_flag = 1			
	temp_string = info.subset.data(this_subset).src_crit_name
	string_length = strlen(temp_string)
	if string_length gt 5 then begin
		temp_string = temp_string + '|'
		temp_string = temp_string + info.criterion.name
		info.subset.data(info.subset.count-1).src_crit_name = temp_string
		temp_string = info.subset.data(this_subset).src_crit_min
		temp_string = temp_string + '|'
		temp_string = temp_string + strcompress(string(info.criterion.min), /REMOVE_ALL)
		info.subset.data(info.subset.count-1).src_crit_min = temp_string
		temp_string = info.subset.data(this_subset).src_crit_max
		temp_string = temp_string + '|'
		temp_string = temp_string + strcompress(string(info.criterion.max), /REMOVE_ALL)
		info.subset.data(info.subset.count-1).src_crit_max = temp_string
		temp_string = info.subset.data(this_subset).src_crit_type
		temp_string = temp_string + '|'
		temp_string = temp_string + strcompress(string(info.criterion.type), /REMOVE_ALL)
		info.subset.data(info.subset.count-1).src_crit_type = temp_string
	endif else begin
		info.subset.data(info.subset.count-1).src_crit_name = info.criterion.name			
		info.subset.data(info.subset.count-1).src_crit_min = strcompress(string(info.criterion.min), /REMOVE_ALL)
		info.subset.data(info.subset.count-1).src_crit_max = strcompress(string(info.criterion.max), /REMOVE_ALL)
		info.subset.data(info.subset.count-1).src_crit_type = strcompress(string(info.criterion.type), /REMOVE_ALL)
	endelse
   endif else begin
	info.subset.data(info.subset.count-1).src_crit_flag = info.subset.data(this_subset).src_crit_flag
	info.subset.data(info.subset.count-1).src_crit_name = info.subset.data(this_subset).src_crit_name
	info.subset.data(info.subset.count-1).src_crit_min = info.subset.data(this_subset).src_crit_min
	info.subset.data(info.subset.count-1).src_crit_max = info.subset.data(this_subset).src_crit_max
	info.subset.data(info.subset.count-1).src_crit_type = info.subset.data(this_subset).src_crit_type
   endelse

   info.subset.data(info.subset.count-1).src_ref = info.subset.data(this_subset).src_ref
   true_rank = info.subset.data(this_subset).src_rank
   info.subset.data(info.subset.count-1).src_rank = the_rank
   if the_rank eq 1 and true_rank eq 2 then begin
	info.subset.data(info.subset.count-1).src_start(0) = info.subset.data(this_subset).src_start(1)
	info.subset.data(info.subset.count-1).src_end(0) = info.subset.data(this_subset).src_end(1)
	info.subset.data(info.subset.count-1).src_increment(0) = info.subset.data(this_subset).src_increment(1)
	info.subset.data(info.subset.count-1).src_start(1) = info.subset.data(this_subset).src_start(0)
	info.subset.data(info.subset.count-1).src_end(1) = info.subset.data(this_subset).src_end(0)
	info.subset.data(info.subset.count-1).src_increment(1) = info.subset.data(this_subset).src_increment(0)
   endif else begin
	info.subset.data(info.subset.count-1).src_start = info.subset.data(this_subset).src_start
	info.subset.data(info.subset.count-1).src_end = info.subset.data(this_subset).src_end
	info.subset.data(info.subset.count-1).src_increment = info.subset.data(this_subset).src_increment
   endelse
   info.subset.data(info.subset.count-1).src_org_rank = info.subset.data(this_subset).src_org_rank
   info.subset.data(info.subset.count-1).src_org_start = info.subset.data(this_subset).src_org_start
   info.subset.data(info.subset.count-1).src_org_end = info.subset.data(this_subset).src_org_end
   if info.subset.data(info.subset.count-1).src_type_flag eq 0 and $
	info.subset.data(this_subset).src_type_flag eq 1 then $
	    info.subset.data(info.subset.count-1).src_org_end(0) = $
		info.subset.data(info.subset.count-1).src_org_end(0) + 1
   if info.graph_style eq 'Transpose' then begin
	if info.subset.data(this_subset).src_transpose eq 0 then begin
		info.subset.data(info.subset.count-1).src_transpose = 1
	endif else info.subset.data(info.subset.count-1).src_transpose = 0
	temp1 = info.subset.data(info.subset.count-1).src_start(0)
	temp2 = info.subset.data(info.subset.count-1).src_end(0)
	temp3 = info.subset.data(info.subset.count-1).src_increment(0)
	info.subset.data(info.subset.count-1).src_start(0) = info.subset.data(info.subset.count-1).src_start(1)
	info.subset.data(info.subset.count-1).src_end(0) = info.subset.data(info.subset.count-1).src_end(1)
	info.subset.data(info.subset.count-1).src_increment(0) = info.subset.data(info.subset.count-1).src_increment(1)
	info.subset.data(info.subset.count-1).src_start(1) = temp1
	info.subset.data(info.subset.count-1).src_end(1) = temp2
	info.subset.data(info.subset.count-1).src_increment(1) = temp3
	;temp1 = info.subset.data(info.subset.count-1).src_org_start(0)
	;temp2 = info.subset.data(info.subset.count-1).src_org_end(0)
	;info.subset.data(info.subset.count-1).src_org_start(0) = info.subset.data(info.subset.count-1).src_org_start(1)
	;info.subset.data(info.subset.count-1).src_org_end(0) = info.subset.data(info.subset.count-1).src_org_end(1)
	;info.subset.data(info.subset.count-1).src_org_start(1) = temp1
	;info.subset.data(info.subset.count-1).src_org_end(1) = temp2
   endif else begin
	info.subset.data(info.subset.count-1).src_transpose = info.subset.data(this_subset).src_transpose
   endelse
   info.subset.data(info.subset.count-1).src_org_increment = info.subset.data(this_subset).src_org_increment
   info.subset.data(info.subset.count-1).src_fnames = info.subset.data(this_subset).src_fnames
   info.subset.data(info.subset.count-1).src_types(0) = info.subset.data(this_subset).src_types(0)
   if info.graph_style eq 'Y1Y2 Compute' or info.graph_style eq 'Y1 Compute'  then $
	info.subset.data(info.subset.count-1).src_types(0) = 6
   if info.graph_style eq 'Extract Bits'  then $
	info.subset.data(info.subset.count-1).src_types(0) = 24
   info.subset.data(info.subset.count-1).src_order = info.subset.data(this_subset).src_order
   info.subset.data(info.subset.count-1).src_data = handle_create()
   handle_value, info.subset.data(info.subset.count-1).src_data, subset_data, /set
   if handle_info(info.subset.data(this_subset).src_time) then begin
	   handle_value, info.subset.data(this_subset).src_time, time_record
   	   info.subset.data(info.subset.count-1).src_time = handle_create()
   	   handle_value, info.subset.data(info.subset.count-1).src_time, time_record, /set
   endif
   widget_control, set_uvalue=info, info.base
endif else begin
   the_message = ["You have maximum sets of data", "Please remove at least one set of data."]
       result=dialog_message(the_message, title='View HDF Warning!')
   return
endelse
	
end

;------------------------------------------------------------------
pro set_curvefields_event, event

pro_name = 'set_curvefields_event'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base 

heading = str_sep(event.value, '.')
num_heading = n_elements(heading)
if num_heading gt 2 then begin
	length = strlen(event.value)
	dot=strpos(event.value,'.')
	if( dot ne -1) then begin
		field_name = strmid(event.value,dot+1,length-dot-1)
	endif else begin
		field_name = event.value
	endelse
endif else if num_heading eq 1 then begin
	field_name = heading(0)
endif else field_name = heading(1)

CASE heading(0) of

	'X Field Selection' : begin
		info.field_name.x = field_name
       		widget_control, info.widgets.xfield, set_value=field_name
	end

	'Y Field Selection' : begin
		info.field_name.y = field_name
       		widget_control, info.widgets.yfield, set_value=field_name
	end

	else: begin
		ON_IOERROR, problem
		test = float(event.value)
		info.field_name.z = event.value
		problem: ON_IOERROR,NULL
	end

ENDCASE

widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro set_xyzfields_event, event

pro_name = 'set_xyzfields_event'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base 

heading = str_sep(event.value, '.')
num_heading = n_elements(heading)
if num_heading gt 2 then begin
	length = strlen(event.value)
	dot=strpos(event.value,'.')
	if( dot ne -1) then begin
		field_name = strmid(event.value,dot+1,length-dot-1)
	endif else begin
		field_name = event.value
	endelse
endif else if num_heading eq 1 then begin
	field_name = heading(0)
endif else field_name = heading(1)

CASE heading(0) of

	'X Field Selection' : begin
		info.field_name.x = field_name
       		widget_control, info.widgets.xfield, set_value=field_name
	end

	'Y Field Selection' : begin
		info.field_name.y = field_name
       		widget_control, info.widgets.yfield, set_value=field_name
	end

	'Z Field Selection' : begin
		info.field_name.z = field_name
       		widget_control, info.widgets.zfield, set_value=field_name
	end

	'Y1 Field Selection' : begin
		info.field_name.x = field_name
       		widget_control, info.widgets.xfield, set_value=field_name
		if field_name eq 'Constant' then begin
			info.y1y2.cons_value1 = 0
			get_constant_value, info, 1
			widget_control, get_uvalue=info, info.base
			if info.canceloption eq 'Yes' then begin
				info.canceloption = 'No'
				info.field_name.x = 'None'
				widget_control, info.widgets.xfield, set_value='None'
			endif else begin
				y_value = strcompress(string(info.y1y2.cons_value1))
				widget_control, info.widgets.xfield, set_value=y_value
			endelse
		endif
	end

	'Y2 Field Selection' : begin
		info.field_name.y = field_name
       		widget_control, info.widgets.yfield, set_value=field_name
		if field_name eq 'Constant' then begin
			info.y1y2.cons_value2 = 0
			get_constant_value, info, 2
			widget_control, get_uvalue=info, info.base
			if info.canceloption eq 'Yes' then begin
				info.canceloption = 'No'
				info.field_name.y = 'None'
				widget_control, info.widgets.yfield, set_value='None'
			endif else begin
				y_value = strcompress(string(info.y1y2.cons_value2))
				widget_control, info.widgets.yfield, set_value=y_value
			endelse
		endif
	end

	else: begin
		ON_IOERROR, problem
		test = float(event.value)
		widget_control, get_uvalue=cons_id, event.id
		set_constant,info,cons_id
		problem: ON_IOERROR,NULL
	end

ENDCASE

widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
pro plot_setup, info, value, xflag, yflag, zflag

pro_name = 'plot_setup'
@getinfo

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
if(info.graph_style eq 'Y1Y2 Compute') then begin
	base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
		TITLE='Select Operands', uvalue=info, XOFFSET=xoffset)
endif else if(info.graph_style eq 'Y1 Compute') then begin
	base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
		TITLE='Select Operand', uvalue=info, XOFFSET=xoffset)
endif else begin
	base=widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
		TITLE='Select Plot Fields', uvalue=info, XOFFSET=xoffset)
endelse

x_group=widget_base(base, row=1,map=1)
if info.y1y2.tri_flag gt 0 then begin
    t1_group=widget_base(base, row=1,map=1)
    t2_group=widget_base(base, row=1,map=1)
    t3_group=widget_base(base, row=1,map=1)
endif
y_group=widget_base(base, row=1, map=1)
z_group=widget_base(base, row=1, map=1)

if(info.graph_style eq 'Y1Y2 Compute') then begin
    if info.y1y2.tri_flag eq 0 then begin
	create_y1y2_fields, x_field, y_field, x_group, y_group, $
		xflag, yflag, info
    endif else begin
	create_y1tri_fields, x_field, y_field, x_group, y_group, $
		xflag, yflag, info, t1_group, t2_group
    endelse
endif else if(info.graph_style eq 'Y1 Compute') then begin
	create_y1y2_fields, x_field, y_field, x_group, y_group, $
		xflag, yflag, info
endif else begin
	create_xyz_fields, x_field, y_field, z_field, x_group, $
		y_group, z_group, xflag, yflag, zflag, info
endelse

if(info.graph_style eq 'XY Graph') then begin
  x_axis_list = [ 'Time', 'Sample Number', 'Record Number',  $
		  'Packet Number - Relative', 'Packet Number - Absolute', $
		  'Select Variable' ]
  get_parameter_names, x_fields, y_fields, z_fields, xflag, yflag, zflag,$
	x_axis_list
endif else if(info.graph_style eq 'Y1Y2 Compute') then begin
  y1y2_list = [info.name_list_subset, 'Constant']
  get_y1y2_parameter_names, x_fields, y_fields, xflag, yflag, $
	y1y2_list
endif else if(info.graph_style eq 'Y1 Compute') then begin
  y1y2_list = info.name_list_subset
  get_y1y2_parameter_names, x_fields, y_fields, xflag, yflag, $
	y1y2_list
endif else begin
  get_parameter_names, x_fields, y_fields, z_fields, xflag, yflag, zflag,$
	info.name_list_subset
endelse

make_xyz_buttons, x_fields, y_fields, z_fields, x_group, y_group, z_group,$
        base, xflag, yflag, zflag

widget_control, set_uvalue=info, base  
widget_control,/realize, base

XMANAGER, 'set_xyzfields', base

END

;--------------------------------------------------------------------------------
pro precisionCB, event

pro_name = 'precisionCB'
@getinfo

widget_control, get_uvalue=info, event.top

precision=''
widget_control, info.widgets.precision, get_value=precision

info.precision=precision(0)
print,'Format=',info.precision

if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro precision_dialogueCB, event

pro_name = 'precision_dialogueCB'
@getinfo

widget_control, get_uvalue=info, event.top

base = widget_base(COLUMN=1, MAP=1, TITLE='Define Exporting Format')

p_group=widget_base(base, row=1,map=1)

info.widgets.precision = CW_FIELD(p_group, VALUE=info.precision, $
		ROW=1, STRING=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Format:', XSIZE=40)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='precisionCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
;	quality_done	
;------------------------------------------------------------------
PRO quality_done, Event

pro_name = 'quality_done'
@getinfo

	widget_control, get_uvalue=info, event.top
	widget_control,event.top,/destroy

        font1='-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1'

if (info.subset.count lt info.subset.maximum) then begin

	;-----------------------------------
	; Ask the user to Subset the data
	;-----------------------------------

	subset_name=info.quality.name_sel + '[' + strcompress(string(info.subset.count)) +']'

	if info.rangetype.type eq 1 then begin
	   info.rangetype.flag=0
	   get_time_range, subset_name, info.sds.rank-1, info
	   widget_control, get_uvalue=info, info.base
	   if info.canceloption eq 'Yes' then begin
		info.canceloption = 'No'
		widget_control, set_uvalue=info, info.base
		return
	   endif 
	endif
	if info.rangetype.type eq 0 or info.rangetype.flag eq 1 then $
	  record_range_buttons, subset_name, info.sds.rank-1, 'quality_subset_done', info $
	else return

	widget_control, set_uvalue=info, info.base

endif else begin
        the_message = ["You have maximum sets of data", "Please remove at least one set of data."]
        result=dialog_message(the_message, title='View HDF Warning!')
        return
endelse

END

;------------------------------------------------------------------
;	quality_subset_done
;------------------------------------------------------------------
pro quality_subset_done, Event

pro_name = 'quality_subset_done'
@getinfo
 
	widget_control, /hourglass
	widget_control, get_uvalue=info, event.id

	start_list=lonarr(info.sds.rank)
	end_list=lonarr(info.sds.rank)
	increment_list=lonarr(info.sds.rank)

if info.rangetype.type eq 1 and info.rangetype.flag eq 0 then begin
   start_list(*) = 0
   end_list = info.sds.dims(*)
   increment_list(*) = 1
   handle_value, info.rangetype.time, time_record
   start_time = ' '
   end_time = ' '
   widget_control, info.widgets.start_time, get_value=start_time
   widget_control, info.widgets.end_time, get_value=end_time
   starttime = make_second_time(start_time) - 1
   endtime = make_second_time(end_time) + 1
   if (starttime gt endtime) then begin
	the_message=['The start time is greater than end time.', $
		'Please, check the time and input it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
   endif

   subscript=where((time_record ge starttime) and (time_record le endtime), count)
   if(count lt 2) then begin
	the_message=['There are no records in the time range!', $
		'Please, check the time and do it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
   endif

   start_list(0) = subscript(0)
   end_list(0) = subscript(count-1) + 1
   
endif else begin
	for i=0,(info.sds.rank-1) do begin
		widget_control,info.widgets.starting_field(i),get_value=this_start
		widget_control,info.widgets.ending_field(i),get_value=this_end
		widget_control,info.widgets.increment_field(i),get_value=this_increment

		start_list(i)=this_start - 1
		if start_list(i) lt 0 then start_list(i) = 0L
		end_list(i)=this_end
		increment_list(i)=this_increment
	endfor

endelse

	info.rangetype.old_start(0:info.sds.rank-1) = start_list(0:info.sds.rank-1) + 1
	info.rangetype.old_end(0:info.sds.rank-1) = end_list(0:info.sds.rank-1)
	info.rangetype.old_increment(0:info.sds.rank-1) = increment_list(0:info.sds.rank-1)
	info.rangetype.old_dim(0:info.sds.rank-1) = info.sds.dims(0:info.sds.rank-1)

	;-------------------------------
	; Get values from the widgets
	;-------------------------------
	widget_control,info.widgets.current_file,get_value=filename
	filename=filename(0)

	the_count=long((end_list-start_list)/float(increment_list) + 0.9)
	total_number = the_count(0)
	if info.sds.rank gt 1 then begin
	   for i = 1 , (info.sds.rank - 1) do begin
		total_number = total_number * the_count(i)
	   endfor
	endif

	output_data = lonarr(total_number)

	output_data = reform(output_data, the_count(1), the_count(0))

	quality_nrec = info.sds.dims(0)
	check_name = info.name_list_sds(info.sds.index)
	check_name = check_name(0)

       	CD, '.', CURRENT = PWD

       	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'get_quality_flags',  		$
        	filename, 			$
		check_name(0),			$
		info.quality.indices_sel,	$
		quality_nrec,			$
              	info.sds.rank, 			$
		start_list,			$
		end_list,			$
		increment_list,			$
		the_count,			$
		output_data)

		if (the_result eq -1) then begin
			result=dialog_message('Problem reading quality flags!',$
			title='View HDF Warning!')
			return
		endif

		org_rank = info.sds.rank
		org_start = start_list
		org_end = end_list
		org_increment = increment_list
		true_start = start_list(0)
		true_end = end_list(0)
		num_start_list = n_elements(start_list)
		output_data = reform(output_data)
		sizedata_new = size(output_data)
		if num_start_list ne sizedata_new(0) then begin
		  start_list_old = start_list
		  end_list_old = end_list
		  increment_list_old = increment_list
		  j = 0
		  for i=0, num_start_list-1 do begin
			num_elem = end_list_old(i) - start_list_old(i)
			if(num_elem ne 1) then begin
			   start_list(j) = start_list_old(i)
			   end_list(j) = end_list_old(i)
			   increment_list(j) = increment_list_old(i)
			   j = j + 1
			endif
		   endfor
		   if j eq 0 then j = 1
		   info.sds.rank = j
		   start_list = start_list(0:j-1)
		   end_list = end_list(0:j-1)
		   increment_list = increment_list(0:j-1)
		endif

		sizedata_old = size(output_data)
		if sizedata_old(0) lt info.sds.rank then begin
		  start_list_old = start_list
		  end_list_old = end_list
		  increment_list_old = increment_list
		  j = 0
		  for i=0, info.sds.rank-1 do begin
			if(end_list_old(i) - start_list_old(i) ne 1) then begin
			   start_list(j) = start_list_old(i)
			   end_list(j) = end_list_old(i)
			   increment_list(j) = increment_list_old(i)
			   j = j + 1
			endif
		   endfor
		   if j eq 0 then j = 1
		   info.sds.rank = j
		   start_list = start_list(0:j-1)
		   end_list = end_list(0:j-1)
		   increment_list = increment_list(0:j-1)
		endif

	;-----------------------------------------------------------
	; You must reference the data in the dialog before you
	; blow it away!!
	;-----------------------------------------------------------
	widget_control,info.widgets.subset_name,get_value=temp_name
	temp_name=temp_name(0)
	if info.vgroup.flag eq 1 then $
		temp_name = get_vgroup_name(temp_name,info)

	info = redefine_info(info, temp_name, 3)

	widget_control,info.widgets.subset_list,set_value=info.name_list_subset
	widget_control,event.top,/destroy

	;-----------------------------------------
	; Define the data in the structure
	;-----------------------------------------
	info.subset.count=info.subset.count+1
	info.subset.data(info.subset.count-1).subset_name=string(temp_name)
	info.subset.data(info.subset.count-1).src_filename=filename
	info.subset.data(info.subset.count-1).src_unitname=''
	info.subset.data(info.subset.count-1).src_type_flag=0			
	info.subset.data(info.subset.count-1).src_crit_flag = 0
	info.subset.data(info.subset.count-1).src_crit_name = ''
	info.subset.data(info.subset.count-1).src_crit_min = ''
	info.subset.data(info.subset.count-1).src_crit_max = ''
	info.subset.data(info.subset.count-1).src_crit_type = ''
	info.subset.data(info.subset.count-1).src_ref = info.sds.ref
	info.subset.data(info.subset.count-1).src_rank=info.sds.rank
	info.subset.data(info.subset.count-1).src_start=start_list
	info.subset.data(info.subset.count-1).src_end=end_list
	info.subset.data(info.subset.count-1).src_increment=increment_list
	info.subset.data(info.subset.count-1).src_org_rank=org_rank
	info.subset.data(info.subset.count-1).src_org_start=org_start
	info.subset.data(info.subset.count-1).src_org_end=org_end
	info.subset.data(info.subset.count-1).src_org_increment=org_increment
	info.subset.data(info.subset.count-1).src_types(0)=info.sds.type
	info.subset.data(info.subset.count-1).src_data=handle_create()
	info.subset.data(info.subset.count-1).src_start(info.sds.rank)=true_start
	info.subset.data(info.subset.count-1).src_end(info.sds.rank)=true_end

	handle_value,info.subset.data(info.subset.count-1).src_data,output_data,/set

	if handle_info(info.rangetype.time) then begin
	     handle_value, info.rangetype.time, time_record
	     info.subset.data(info.subset.count-1).src_time=handle_create()
	     handle_value,info.subset.data(info.subset.count-1).src_time,time_record,/set
	endif

	info.rangetype.flag = 0

	widget_control, info.widgets.sds, set_list_select=-1
	widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro record_range_buttons, subset_name, rank, event_pro, info

pro_name = 'record_range_buttons'
@getinfo

length = strlen(info.rangetype.dim_name)
if n_elements(length) gt 1 then begin
	max_length = max(length)
endif else max_length = length

;xsize = (max_length + 1) * 8
num_char = max_length + 1
xsize = float(fix(num_char/6) + 1.0) * 0.5
if xsize gt 3.0 then xsize = 3.0
label_size = 2.3

base = widget_base( COLUMN=1, MAP=1, TITLE='Subset Data', uvalue=info)

info.widgets.subset_name=CW_FIELD(base, VALUE=subset_name, $
                ROW=1, STRING=1, FIELDFONT=info.font, FONT=info.font, $
                TITLE='Subset Name:', XSIZE=50)

label_group = widget_base(base, row=1, map=1, space=30)

name_button = widget_label(label_group, /ALIGN_CENTER, FONT=info.font, $
	value=' ', units=1, xsize=xsize)

start_button = widget_label(label_group, /ALIGN_CENTER, FONT=info.font, $
	value='Starting', units=1, xsize=label_size)

end_button = widget_label(label_group, /ALIGN_CENTER, FONT=info.font, $
	value='Ending', units=1, xsize=label_size)

increment_button = widget_label(label_group, /ALIGN_CENTER, FONT=info.font, $
	value='Increment', units=1, xsize=label_size)
	
for i=0,rank do begin

	if (info.rangetype.old_increment(i) eq 0) or $
	    (info.rangetype.old_dim(i) ne info.sds.dims(i)) then begin
		vstart = 1
		vend = info.sds.dims(i)
		vincre = 1
	endif else begin
		if info.rangetype.old_start(i) gt info.sds.dims(i) then $
			vstart = 1 $
		else vstart = info.rangetype.old_start(i)
		if info.rangetype.old_end(i) gt info.sds.dims(i) then $
			vend = info.sds.dims(i) $
		else vend = info.rangetype.old_end(i)
		if info.rangetype.old_increment(i) gt info.sds.dims(i) then $
			vincre = 1 $
		else vincre = info.rangetype.old_increment(i)
	endelse
	if info.ssf.file eq 1 then begin 
	   if info.ssf.key eq 1 then begin
		if i eq rank then begin
			vstart = info.ssf.select
			vend = info.ssf.select
		endif else if i eq rank-1 then begin
			if info.ssf.layer ne 0 then begin
				vstart = info.ssf.layer
				vend = info.ssf.layer
			endif
		endif
	   endif else if info.ssf.key eq 2 then begin
		if i eq rank and info.ssf.layer ne 0 then begin
			vstart = info.ssf.layer
			vend = info.ssf.layer
		endif
	   endif
	endif
				
	if info.rangetype.type eq 1 and info.rangetype.flag eq 1 then begin
		if i eq 0 then begin
			vstart = info.rangetype.start_rec
			if vstart gt info.sds.dims(0) then $
				vstart = 1
			vend = info.rangetype.end_rec
			if vend gt info.sds.dims(0) then $
				vend = info.sds.dims(0)
		endif
	endif

        group1=widget_base(base, row=1,map=1, space=30)

	dim_name = info.rangetype.dim_name(i) + ':'
	name_button = widget_label(group1, /ALIGN_CENTER, FONT=info.font, $
		value=dim_name, units=1, xsize=xsize)

        info.widgets.starting_field(i)= CW_FIELD(group1,VALUE=vstart, $
                        ROW=1, /long, FIELDFONT=info.font, FONT=info.font, $
                        TITLE=' ',XSIZE=20)

        info.widgets.ending_field(i)= CW_FIELD(group1,VALUE=vend, $
                        ROW=1, /long, FIELDFONT=info.font, FONT=info.font, $
                        TITLE=' ',XSIZE=20)

        info.widgets.increment_field(i)= CW_FIELD(group1,VALUE=vincre, $
                        ROW=1, /long, FIELDFONT=info.font, FONT=info.font, $
                        TITLE=' ',XSIZE=20)

endfor

        group2=widget_base(base, row=1,map=1, space=100, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO=event_pro, VALUE="Done",$
				 /ALIGN_CENTER, uvalue=info)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='reset_range', VALUE="Reset",$
				 /ALIGN_CENTER, uvalue=rank)

	button3=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
				 /ALIGN_CENTER, uvalue=info)

widget_control, /realize, base 
widget_control, set_uvalue=info, base

end

;--------------------------------------------------------------------------------
pro record_range_buttons_old1, subset_name, rank, event_pro, info

pro_name = 'record_range_buttons'
@getinfo

base = widget_base( COLUMN=1, MAP=1, TITLE='Subset Data', uvalue=info)

info.widgets.subset_name=CW_FIELD(base, VALUE=subset_name, $
                ROW=1, STRING=1, FIELDFONT=info.font, FONT=info.font, $
                TITLE='Subset Name:', XSIZE=50)

for i=0,rank do begin

	if (info.rangetype.old_increment(i) eq 0) or $
	    (info.rangetype.old_dim(i) ne info.sds.dims(i)) then begin
		vstart = 1
		vend = info.sds.dims(i)
		vincre = 1
	endif else begin
		if info.rangetype.old_start(i) gt info.sds.dims(i) then $
			vstart = 1 $
		else vstart = info.rangetype.old_start(i)
		if info.rangetype.old_end(i) gt info.sds.dims(i) then $
			vend = info.sds.dims(i) $
		else vend = info.rangetype.old_end(i)
		if info.rangetype.old_increment(i) gt info.sds.dims(i) then $
			vincre = 1 $
		else vincre = info.rangetype.old_increment(i)
	endelse
	if info.ssf.file eq 1 then begin 
	   if info.ssf.key eq 1 then begin
		if i eq rank then begin
			vstart = info.ssf.select
			vend = info.ssf.select
		endif else if i eq rank-1 then begin
			if info.ssf.layer ne 0 then begin
				vstart = info.ssf.layer
				vend = info.ssf.layer
			endif
		endif
	   endif else if info.ssf.key eq 2 then begin
		if i eq rank and info.ssf.layer ne 0 then begin
			vstart = info.ssf.layer
			vend = info.ssf.layer
		endif
	   endif
	endif
				
	if info.rangetype.type eq 1 and info.rangetype.flag eq 1 then begin
		if i eq 0 then begin
			vstart = info.rangetype.start_rec
			if vstart gt info.sds.dims(0) then $
				vstart = 1
			vend = info.rangetype.end_rec
			if vend gt info.sds.dims(0) then $
				vend = info.sds.dims(0)
		endif
	endif

	;print,'dim_name = ',info.rangetype.dim_name(i)
				
        group1=widget_base(base, row=1,map=1)

        info.widgets.starting_field(i)= CW_FIELD(group1,VALUE=vstart, $
                        ROW=1, /long, FIELDFONT=info.font, FONT=info.font, $
                        TITLE='Starting(' + strmid(string(i),7,2) +'): ', XSIZE=20)

        info.widgets.ending_field(i)= CW_FIELD(group1,VALUE=vend, $
                        ROW=1, /long, FIELDFONT=info.font, FONT=info.font, $
                        TITLE='Ending(' + strmid(string(i),7,2) +'): ', XSIZE=20)

        info.widgets.increment_field(i)= CW_FIELD(group1,VALUE=vincre, $
                        ROW=1, /long, FIELDFONT=info.font, FONT=info.font, $
                        TITLE='Increment(' + strmid(string(i),7,2)+'): ', XSIZE=20)

endfor

        group2=widget_base(base, row=1,map=1, space=100, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO=event_pro, VALUE="Done",$
				 /ALIGN_CENTER, uvalue=info)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='reset_range', VALUE="Reset",$
				 /ALIGN_CENTER, uvalue=rank)

	button3=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
				 /ALIGN_CENTER, uvalue=info)

widget_control, /realize, base 
widget_control, set_uvalue=info, base

end

;--------------------------------------------------------------------------------
pro time_range_buttons, subset_name, event_pro, info

pro_name = 'time_range_buttons'
@getinfo

if info.rangetype.get_time eq 0 then get_time, info, 1

handle_value, info.rangetype.time, time_record
n_time_record = n_elements(time_record)

if n_time_record lt 2 then begin
	result=dialog_message('Problem assigning time variable!',$
		title='View HDF Warning!')
	return
endif

start_time = ' '
end_time = ' '

start_time= make_string_time(time_record(0))
end_time = make_string_time(time_record(n_time_record-1))

base = widget_base( COLUMN=1, MAP=1, TITLE='Subset Data', uvalue=info)

info.widgets.subset_name=CW_FIELD(base, VALUE=subset_name, $
                ROW=1, STRING=1, FIELDFONT=info.font, FONT=info.font, $
                TITLE='Subset Name:', XSIZE=30)

        group1=widget_base(base, row=1,map=1)

        info.widgets.start_time = CW_FIELD(group1,VALUE=start_time, $
                        ROW=1, /string, FIELDFONT=info.font, FONT=info.font, $
                        TITLE='Starting Time: ', XSIZE=10)

        info.widgets.end_time = CW_FIELD(group1,VALUE=end_time, $
                        ROW=1, /string, FIELDFONT=info.font, FONT=info.font, $
                        TITLE='Ending Time: ', XSIZE=10)

        group2=widget_base(base, row=1,map=1, space=100, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO=event_pro, VALUE="Done",$
				 /ALIGN_CENTER, uvalue=info)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
				 /ALIGN_CENTER, uvalue=info)

widget_control, /realize, base 

end

;--------------------------------------------------------------------------------
pro set_time_range, event

pro_name = 'set_time_range'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, /hourglass

handle_value, info.rangetype.time, time_record
size_time = size(time_record)
if size_time(0) eq 2 then temp = 0 else temp = 1
start_time = ' '
end_time = ' '
widget_control, info.widgets.start_time, get_value=start_time
widget_control, info.widgets.end_time, get_value=end_time
starttime = make_second_time(start_time) - temp
endtime = make_second_time(end_time) + temp
if (starttime gt endtime) then begin
	the_message=['The start time is greater than end time.', $
		'Please, check the time and input it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

if size_time(0) eq 2 then begin
	subscript=where((time_record(0,*) ge starttime) and $
		(time_record(0,*) le endtime), count)
endif else begin
	subscript=where((time_record ge starttime) and $
		(time_record le endtime), count)
endelse
if(count lt 2) then begin
	the_message=['There are no records in the time range!', $
		'Please, check the time and do it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

info.rangetype.start_rec = subscript(0) + 1
info.rangetype.end_rec = subscript(count-1) + 1
info.rangetype.flag = 1

widget_control, set_uvalue=info, info.base
widget_control, event.top, /destroy

end
   
;--------------------------------------------------------------------------------
pro get_time_range, subset_name, rank, info

pro_name = 'get_time_range'
@getinfo

;if info.rangetype.get_time eq 0 then get_time, info, 1
if info.rangetype.get_time eq 0 then begin
	message=['Time variable is not available.', 'Please use Record Number']
	result=dialog_message(message, title='View HDF Warning!')
        return
endif

handle_value, info.rangetype.time, time_record
n_time_record = n_elements(time_record)

if n_time_record lt 2 then begin
	result=dialog_message('Problem assigning time variable!',$
		title='View HDF Warning!')
	return
endif

start_time = ' '
end_time = ' '

time_dimen = size(time_record, /N_DIMENSIONS)
if (info.rangetype.old_increment(0) eq 0) or $
    (info.rangetype.old_dim(0) ne info.sds.dims(0)) then begin
	start_time= make_string_time(time_record(0))
	end_time = make_string_time(time_record(n_time_record-1))
endif else begin
    if time_dimen eq 2 then begin
	startsample = info.rangetype.old_start(1)-1
	endsample = info.rangetype.old_end(1)-1
	start_time= make_string_time(time_record(startsample, info.rangetype.old_start(0)-1))
	end_time = make_string_time(time_record(endsample, info.rangetype.old_end(0)-1))
    endif else begin
	start_time= make_string_time(time_record(info.rangetype.old_start(0)-1))
	end_time = make_string_time(time_record(info.rangetype.old_end(0)-1))
    endelse
endelse

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 200
base = widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Subset Data', uvalue=info, XOFFSET=xoffset)

info.widgets.subset_name=CW_FIELD(base, VALUE=subset_name, $
                ROW=1, STRING=1, FIELDFONT=info.font, FONT=info.font, $
                TITLE='Subset Name:', XSIZE=40)

        group1=widget_base(base, row=1,map=1)

        info.widgets.start_time = CW_FIELD(group1,VALUE=start_time, $
		ROW=1, /string, FIELDFONT=info.font, FONT=info.font, $
		TITLE='Starting Time: ', XSIZE=10)

        info.widgets.end_time = CW_FIELD(group1,VALUE=end_time, $
		ROW=1, /string, FIELDFONT=info.font, FONT=info.font, $
		TITLE='Ending Time: ', XSIZE=10)

        group2=widget_base(base, row=1,map=1, space=100, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO='set_time_range', $
		VALUE="Done", /ALIGN_CENTER, uvalue=info)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='reset_range', $
		VALUE="Reset", /ALIGN_CENTER, uvalue=rank)

	;button3=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', $
	button3=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
		VALUE="Cancel", /ALIGN_CENTER, uvalue=info)

widget_control, /realize, base 
widget_control, set_uvalue=info, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button3, base
xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro range_input, event

pro_name = 'range_input'
@getinfo

;---------------------------------------- 
; Toggle between table and graph modes
;---------------------------------------- 

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

info.rangetype.type = event.index

widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
;	read_digital_data	
;------------------------------------------------------------------
pro read_digital_data, info

pro_name = 'read_digital_data'
@getinfo
 
  CD, '.', CURRENT = PWD

  instr_id = long(get_instrument_id(info))
  if instr_id lt 0 then begin
	result=dialog_message('Problem reading Instrument ID Number!',$
		title='View HDF Warning!')
	return
  endif 

  the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
               'get_digital_namelist',	$
		instr_id, $
		/s_value)

	if the_result ne "BAD" then begin

		digital_name_list=str_sep(the_result, ',')
		;
		; Pop up a dialog box with these digital names	
		;
		base=widget_base(resource_name='ddf',$
			COLUMN=1, MAP=1, TITLE='Select Digital Data')

		button_group=cw_bgroup(base,digital_name_list,column=1, $
			event_funct="add_digital", uvalue=digital_name_list, $
			/scroll,y_scroll_size=450,x_scroll_size=350,/exclusive)

		group2=widget_base(base, row=1,map=1, space=100, /align_center)

		button1=widget_button(group2, FONT=info.font, EVENT_PRO='digital_done', $
			VALUE="Done", /ALIGN_CENTER, uvalue=info)

		button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', $
			VALUE="Cancel", /ALIGN_CENTER)

		widget_control, set_uvalue=info, base
		widget_control,/realize,base

	endif else begin
		result=dialog_message('Problem reading Digital Variable!',$
			title='View HDF Warning!')
	endelse 

end

;--------------------------------------------------------------------------------
pro read_quality_flag, info, num_list

pro_name = 'read_quality_flag'
@getinfo

	quality_nrec = info.sds.dims(0)

   case num_list of
     1: begin
	quality_name_list= [ 'FOV Flag' , 'SW Filtered Radiance Flag' , 'WN Filtered Radiance Flag' , $
			     'TOT Filtered Radiance Flag' , 'Azimuth Scan Plane' , 'Elevation Scan Profile' , $
			     'Azimuth Motion Status' , 'Elevation Scan Rate' , 'Clock Angle Rate' , $
			     'Cone Angle Rate' ]
	end
     2: begin
	quality_name_list= [ 'Elevation Profile ID', 'MAM Cover Status' , 'Main Cover Status' , $
			     'Bias Voltage Edit Check' , 'TOT DAC Voltage Edit Check' , $
			     'SW DAC Voltage Edit Check' , 'WN DAC Voltage Edit Check' , $
			     'TOT Heatsink Temperature Edit Check' , 'SW Heatsink Temperature Edit Check' , $
			     'WN Heatsink Temperature Edit Check' , 'TOT Radiance Edit Check' , $
			     'SW Radiance Edit Check' ,'WN Radiance Edit Check' ]
	end
     3: begin
	quality_name_list= [ 'TOT 2nd Time Constant VK Status' , 'SW 2nd Time Constant VK Status Flag' , $
			     'WN 2nd Time Constant VK Status' , 'Measurement Used in Spaceclamp' , $
			     'TOT SpaceClamp Status' , 'SW SpaceClamp Status' , 'WN SpaceClamp Status' , $
			     'TOT DAC Status' , 'SW DAC Status' , 'WN DAC Status' ]
	end
     else: begin
		result=dialog_message('Do not support this quality list of '+ $
			strcompress(string(num_list), /REMOVE_ALL) + '!',$
			title='View HDF Warning!')
		return
	end
   endcase
		;
		; Pop up a dialog box with these quality flag names	
		;
		base=widget_base(resource_name='qff',$
			COLUMN=1, MAP=1, TITLE='Select Quality Flag')

		button_group=cw_bgroup(base,quality_name_list,column=1, $
			event_funct="add_quality", uvalue=quality_name_list, $
                        FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1', $
			/exclusive)

		group2=widget_base(base, row=1,map=1, space=40, /align_center)

		button1=widget_button(group2, FONT=info.font, EVENT_PRO='quality_done', $
			VALUE="Done", /ALIGN_CENTER)

		button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
			 /ALIGN_CENTER)

		widget_control, set_uvalue=info, base
		widget_control,/realize,base

end

;--------------------------------------------------------------------------------
pro read_vfield_quality_flag, info

pro_name = 'read_vfield_quality_flag'
@getinfo

	quality_name_list= [ 'FOV Flag' , 'SW Filtered Radiance Flag' , 'WN Filtered Radiance Flag' , $
		'TOT Filtered Radiance Flag' , 'Azimuth Scan Plane' , 'Elevation Scan Profile' , $
		'Azimuth Motion Status' , 'Elevation Scan Rate' , 'Clock Angle Rate' , $
		'Cone Angle Rate' ]
	;
	; Pop up a dialog box with these quality flag names	
	;
	base=widget_base(GROUP_LEADER=info.base, /MODAL, $
		COLUMN=1, MAP=1, TITLE='Select Quality Flag')

	button_group=cw_bgroup(base,quality_name_list,column=1, $
		event_funct="add_vfield_quality", uvalue=quality_name_list, $
                       FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1', $
		/exclusive)


	button2=widget_button(base, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
		 /ALIGN_CENTER)

	widget_control, set_uvalue=info, base
	widget_control,/realize,base
	xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro read_sds_dataCB, event

pro_name = 'read_sds_dataCB'
@getinfo

widget_control, get_uvalue=info, event.id
widget_control, /hourglass

start_list=lonarr(info.sds.rank)
end_list=lonarr(info.sds.rank)
increment_list=lonarr(info.sds.rank)

if info.rangetype.type eq 1 and info.rangetype.flag eq 0 then begin
   start_list(*) = 0
   end_list = info.sds.dims(*)
   increment_list(*) = 1
   handle_value, info.rangetype.time, time_record
   start_time = ' '
   end_time = ' '
   widget_control, info.widgets.start_time, get_value=start_time
   widget_control, info.widgets.end_time, get_value=end_time
   starttime = make_second_time(start_time) - 1
   endtime = make_second_time(end_time) + 1
   if (starttime gt endtime) then begin
	the_message=['The start time is greater than end time.', $
		'Please, check the time and input it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
   endif

   subscript=where((time_record ge starttime) and (time_record le endtime), count)
   if(count lt 2) then begin
	the_message=['There are no records in the time range!', $
		'Please, check the time and do it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
   endif

   start_list(0) = subscript(0)
   end_list(0) = subscript(count-1) + 1
   
   if info.ssf.file eq 1 then begin
     if info.ssf.key eq 1 then begin
	start_list(info.sds.rank-1) = info.ssf.select - 1
	end_list(info.sds.rank-1) = info.ssf.select
	if info.ssf.layer ne 0 then begin
		start_list(info.sds.rank-2) = info.ssf.layer - 1
		end_list(info.sds.rank-2) = info.ssf.layer
	endif
     endif else if info.ssf.key eq 2 then begin
	if info.ssf.layer ne 0 then begin
		start_list(info.sds.rank-1) = info.ssf.layer - 1
		end_list(info.sds.rank-1) = info.ssf.layer
	endif
     endif
   endif

endif else begin
   for i=0,(info.sds.rank-1) do begin

	widget_control, info.widgets.starting_field(i), get_value=this_start
	widget_control, info.widgets.ending_field(i), get_value=this_end
	widget_control, info.widgets.increment_field(i), get_value=this_increment

	start_list(i)=this_start-1
	if start_list(i) lt 0 then start_list(i) = 0L
	end_list(i)=this_end
	increment_list(i)=this_increment
   end
endelse

info.rangetype.old_start(0:info.sds.rank-1) = start_list(0:info.sds.rank-1) + 1
info.rangetype.old_end(0:info.sds.rank-1) = end_list(0:info.sds.rank-1)
info.rangetype.old_increment(0:info.sds.rank-1) = increment_list(0:info.sds.rank-1)
info.rangetype.old_dim(0:info.sds.rank-1) = info.sds.dims(0:info.sds.rank-1)

widget_control, info.widgets.current_file, get_value=filename
filename=filename(0)

		unsign_type = 0
		if info.version lt 5.19 then begin
		    if info.sds.type gt 20 then unsign_type = info.sds.type mod 2
		endif

		array_size = long((end_list-start_list)/float(increment_list) + 0.9)

		if unsign_type ne 0 then begin
		    output_data = array_type(info.sds.type, array_size)
		    if (output_data(0) eq -1) then begin
			result=dialog_message('Unable to allocate memory for SDS data!',$
				title='View HDF Warning!')
			return
		    endif
		endif

		;check_name = info.name_list_sds(info.sds.index)
		;check_name = check_name(0)
		;subscripts = where(info.name_list_sds eq check_name, count)

       		CD, '.', CURRENT = PWD

		;if count gt 1 then begin
		;	index = long(info.sds.index)
			data_name = info.name_list_sds(info.sds.index)
			data_name = data_name(0)
			check_name = get_data_name(data_name)
		if unsign_type eq 0 then begin
		    the_result=read_sds(filename, info.sds.ref, start_list, array_size, $
			increment_list, output_data)
		endif else begin
       			the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       				'read_sds_eos', 		$
               			filename, 			$
				check_name,			$
				info.sds.ref,			$
               			info.sds.rank, 			$
				info.sds.type,         		$
               			info.sds.dims, 			$
				start_list,			$
				end_list,			$
				increment_list,			$
				array_size,			$
				output_data)

			case info.sds.type of
				21: info.sds.type = 22
				23: info.sds.type = 24
				25: info.sds.type = 6
				else:
			endcase
		endelse
		;endif else begin
		;	check_name=str_sep(info.name_list_sds(info.sds.index), ":")
       		;	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		;		'read_sds',  			$
               	;		filename, 			$
		;		check_name(0),			$
               	;		info.sds.rank, 			$
		;		info.sds.type,         		$
               	;		info.sds.dims, 			$
		;		start_list,			$
		;		end_list,			$
		;		increment_list,			$
		;		array_size,			$
		;		output_data)
		;endelse

		if (the_result eq -1) then begin
			result=dialog_message('Unable to read SDS data!',$
				title='View HDF Warning!')
			return
		endif

		org_rank = info.sds.rank
		org_start = start_list
		org_end = end_list
		org_increment = increment_list
		true_start = start_list(0)
		true_end = end_list(0)
		num_start_list = n_elements(start_list)
		output_data = reform(output_data)
		sizedata_new = size(output_data)
		if num_start_list ne sizedata_new(0) then begin
		  start_list_old = start_list
		  end_list_old = end_list
		  increment_list_old = increment_list
		  j = 0
		  for i=0, num_start_list-1 do begin
			num_elem = end_list_old(i) - start_list_old(i)
			if(num_elem ne 1) then begin
			   start_list(j) = start_list_old(i)
			   end_list(j) = end_list_old(i)
			   increment_list(j) = increment_list_old(i)
			   j = j + 1
			endif
		   endfor
		   if j eq 0 then j = 1
		   info.sds.rank = j
		   start_list = start_list(0:j-1)
		   end_list = end_list(0:j-1)
		   increment_list = increment_list(0:j-1)
		endif

		sizedata_old = size(output_data)
		if sizedata_old(0) lt info.sds.rank then begin
		  start_list_old = start_list
		  end_list_old = end_list
		  increment_list_old = increment_list
		  j = 0
		  for i=0, info.sds.rank-1 do begin
			if(end_list_old(i) - start_list_old(i) ne 1) then begin
			   start_list(j) = start_list_old(i)
			   end_list(j) = end_list_old(i)
			   increment_list(j) = increment_list_old(i)
			   j = j + 1
			endif
		   endfor
		   if j eq 0 then j = 1
		   info.sds.rank = j
		   start_list = start_list(0:j-1)
		   end_list = end_list(0:j-1)
		   increment_list = increment_list(0:j-1)
		endif

widget_control, info.widgets.subset_name, get_value=temp_name
temp_name=temp_name(0)
if info.vgroup.flag eq 1 then $
	temp_name = get_vgroup_name(temp_name,info)

info = redefine_info(info, temp_name, 3)

widget_control, info.widgets.subset_list, set_value=info.name_list_subset
widget_control, event.top, /destroy

info.subset.count=info.subset.count+1
info.subset.data(info.subset.count-1).subset_name = string(temp_name)
info.subset.data(info.subset.count-1).src_filename = filename
info.subset.data(info.subset.count-1).src_unitname = info.unitname
info.subset.data(info.subset.count-1).src_type_flag = 0			
info.subset.data(info.subset.count-1).src_crit_flag = 0
info.subset.data(info.subset.count-1).src_crit_name = ''
info.subset.data(info.subset.count-1).src_crit_min = ''
info.subset.data(info.subset.count-1).src_crit_max = ''
info.subset.data(info.subset.count-1).src_crit_type = ''
info.subset.data(info.subset.count-1).src_ref = info.sds.ref
info.subset.data(info.subset.count-1).src_rank = info.sds.rank
info.subset.data(info.subset.count-1).src_start = start_list
info.subset.data(info.subset.count-1).src_end = end_list
info.subset.data(info.subset.count-1).src_increment = increment_list
info.subset.data(info.subset.count-1).src_org_rank = org_rank
info.subset.data(info.subset.count-1).src_org_start = org_start
info.subset.data(info.subset.count-1).src_org_end = org_end
info.subset.data(info.subset.count-1).src_org_increment = org_increment
info.subset.data(info.subset.count-1).src_types(0) = info.sds.type
info.subset.data(info.subset.count-1).src_data = handle_create()
info.subset.data(info.subset.count-1).src_start(info.sds.rank) = true_start
info.subset.data(info.subset.count-1).src_end(info.sds.rank) = true_end

handle_value, info.subset.data(info.subset.count-1).src_data, output_data, /set

if handle_info(info.rangetype.time) then begin
     handle_value, info.rangetype.time, time_record
     info.subset.data(info.subset.count-1).src_time=handle_create()
     handle_value,info.subset.data(info.subset.count-1).src_time,time_record,/set
endif

info.rangetype.flag = 0
widget_control, info.widgets.sds, set_list_select=-1
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro read_vfield_dataCB, Event

pro_name = 'read_vfield_dataCB'
@getinfo

widget_control, /hourglass
widget_control, get_uvalue=info, event.id

widget_control, info.widgets.current_file, get_value=filename
filename=filename(0)

;----------------------------------------------------------
; Figure out what data types are in the vfield_names_sel
; and what the order is for each field.
;----------------------------------------------------------
; array of long integers to hold the data type number
; form HDF.

the_types=long(1)
the_order=long(1)


CD, '.', CURRENT = PWD

;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;      		'get_vfield_types',  	$
;              	filename, 		$
;		info.vdata.name_sel,	$ 
;              	info.vfield.indices_sel,$
;		long(1),		$
;              	the_types,		$
;		the_order,		$
;		/s_value)
 
the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'get_vfield_types_eos', $
	filename, 		$
	info.vdata.name_sel,	$ 
	info.vdata.ref,		$
	info.vfield.indices_sel,$
	long(1),		$
	the_types,		$
	the_order,		$
	/s_value)

;the_result = get_vfield_type(filename,info.vdata.name_sel,info.vdata.ref, $
;	info.vfield.indices_sel,the_types,the_order,info.library)
 
;print,'in read_vfield_dataCB, the_types = ',the_types
;print,'the_order = ',the_order
;print,'unit = ',the_result

the_true_order = the_order

unitname = ''
if the_result ne "BAD" then unitname = ', '+the_result

start_order = 1
end_order = the_order
increment_order = 1

widget_control, info.widgets.subset_name, get_value=temp_name
temp_name=temp_name(0)
if info.vgroup.flag eq 1 then $
	temp_name = get_vgroup_name(temp_name,info)

if info.rangetype.type eq 1 and info.rangetype.flag eq 0 then begin
   handle_value, info.rangetype.time, time_record
   start_time = ' '
   end_time = ' '
   widget_control, info.widgets.start_time, get_value=start_time
   widget_control, info.widgets.end_time, get_value=end_time
   starttime = make_second_time(start_time) - 1
   endtime = make_second_time(end_time) + 1
   if (starttime gt endtime) then begin
	the_message=['The start time is greater than end time.', $
		'Please, check the time and input it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
   endif

   subscript=where((time_record ge starttime) and (time_record le endtime), count)
   if(count lt 2) then begin
	the_message=['There are no records in the time range!', $
		'Please, check the time and do it again.']
	result=dialog_message(the_message, title='View HDF Warning!')
	return
   endif

   this_start = long(subscript(0))
   this_end = long(subscript(count-1))
   this_increment = 1L
   
endif else begin

   widget_control, info.widgets.starting_field(0), get_value=this_start
   this_start=long(this_start) - 1
   if this_start lt 0 then this_start = 0L

   widget_control, info.widgets.ending_field(0), get_value=this_end
   this_end=long(this_end)-1

   widget_control, info.widgets.increment_field(0), get_value=this_increment
   this_increment=long(this_increment)

   if the_order gt 1 then begin
	widget_control, info.widgets.starting_field(1), get_value=order_start
	order_start=long(order_start) - 1
	if order_start lt 0 then order_start = 0L

	widget_control, info.widgets.ending_field(1), get_value=order_end
	order_end=long(order_end)-1

	widget_control, info.widgets.increment_field(1), get_value=order_increment
	order_increment=long(order_increment)

	start_order = order_start + 1
	end_order = order_end + 1
	increment_order = order_increment
   endif

endelse

info.rangetype.old_start(0) = this_start + 1
info.rangetype.old_end(0) = this_end + 1
info.rangetype.old_increment(0) = this_increment
info.rangetype.old_dim(0) = info.sds.dims(0)
info.rangetype.old_start(1) = start_order
info.rangetype.old_end(1) = end_order
info.rangetype.old_increment(1) = increment_order
info.rangetype.old_dim(1) = the_order

widget_control, event.top, /destroy

;----------------------------------------------------------
; Figure out what data types are in the vfield_names_sel
; and what the order is for each field.
;----------------------------------------------------------
; array of long integers to hold the data type number
; form HDF.
;---------------------------------------------
; Create a structure defined by what fields
; the user selected and their number of
; components. Then load the data 
; into that structure through src_data
;---------------------------------------------
;----------------------------------------------
;	HDF Number Types
;----------------------------------------------
;	Hdf Name	#     Size in Bytes
;	-------------   --    -------------
;	DFNT_CHAR8	 4	    1
;	DFNT_FLOAT32     5	    4
;	DFNT_FLOAT64     6	    8
;	DFNT_UINT8      21	    1
;	DFNT_INT16      22	    2
;	DFNT_UINT16     23	    2
;	DFNT_INT32      24	    4
;	DFNT_UINT32     25	    4
;	DFNT_INT64      26	    8
;	DFNT_UINT64     27	    8
;----------------------------------------------
; size = sizeof(data_type) * number_of_components * number_of_rows
; create an array of that size
;-------------------------------------------------

num_rec = this_end - this_start + 1
if the_types(0) eq 4 then begin
	blank = array_type(20L, the_order+1)
endif else if the_types(0) eq 21 and num_rec eq 1 then begin
	blank = array_type(the_types(0), the_order+1)
endif else begin
	blank = array_type(the_types(0), the_order)
endelse

single_record=create_struct( 'components' + '0', blank) 

;-------------------------------------------
; Setup the output data to be the correct 
; data type and rank.
;-------------------------------------------

output_data=replicate(single_record, (info.vdata.nrec))

;-------------------------------------------
; Now read in the vdata from the HDF file
;-------------------------------------------

CD, '.', CURRENT = PWD

;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;      		'read_vdata',  			$
;              	filename, 			$
;		info.vdata.name_sel,		$
;              	long(1), 			$
;		this_start,            	 	$
;              	info.vdata.nrec-1,		$
;		this_increment,			$
;		info.vfield.name_sel, 		$
;		the_types,			$
;		the_order,			$
;		output_data)

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
       		'read_vdata_eos',		$
               	filename, 			$
		info.vdata.name_sel,		$
		info.vdata.ref,			$
               	long(1), 			$
		this_start,            	 	$
               	info.vdata.nrec-1,		$
		this_increment,			$
		info.vfield.name_sel, 		$
		the_types,			$
		the_order,			$
		output_data)

if info.vfield.name_sel eq "Radiance and mode flags" then begin
	get_quality_bits, info.quality.indices_sel, start_bit, num_bit
	data_type = the_types(0)
	num_data = n_elements(output_data.components0)
	output_data = reform(output_data.components0, n_elements(output_data.components0))
	output_data = long(output_data)
	output_data_1 = get_bit_values(num_data,start_bit,num_bit,output_data)
	blank = array_type(24L, the_order)
	single_record=create_struct( 'components' + '0', blank)
	output_data=replicate(single_record, (info.vdata.nrec))
	jj = 0L
	for i=0L, info.vdata.nrec-1 do begin
		for j=0, the_order-1 do begin
			output_data(i).components0(j) = output_data_1(jj)
			jj = jj + 1
		endfor
	endfor
endif

output_data = output_data(this_start:this_end)

this_increment = this_increment(0)
if (this_increment gt 1) then begin
	indices = lindgen(this_end-this_start+1)
	indices = indices mod this_increment
	indices = [where(indices eq 0) ]
	output_data = output_data(indices)
endif

;  Convert to string
num_rec = this_end - this_start + 1
if the_types eq 21 and num_rec eq 1 then begin
	result=dialog_message('Is ' + temp_name + ' a text data?', $
		title='View HDF Question!', /QUESTION)
	if result eq 'Yes' then the_types = 4
endif

if the_types eq 4 then begin
  num_rec = this_end-this_start+1
  single_record=create_struct( 'components' + '0', '') 
  output_data_1=replicate(single_record, num_rec)

  for i=this_start, this_end, this_increment do begin
    output_data_1(i).components0 = ''
    j=0L
    while((output_data(i).components0(j) ne 0) and (j lt the_order)) do begin
	output_data_1(i).components0 = output_data_1(i).components0 + string(byte(output_data(i).components0(j)))
        j=j+1
	if j eq the_order then output_data(i).components0(j) = 0
    endwhile
  endfor


  output_data = output_data_1

endif else begin
  if the_order gt 1 then begin
	the_new_order = (order_end - order_start + 1)/order_increment
	check_order = order_start + the_new_order*order_increment
	if check_order LE order_end then the_new_order = the_new_order + 1
	if the_new_order lt the_order then begin
		blank = array_type(the_types(0), the_new_order)
		single_record=create_struct( 'components' + '0', blank) 
		the_new_record=n_elements(output_data)
		output_data1=replicate(single_record, the_new_record)
		for i=0L, the_new_record-1 do begin
			jj=0
			for j=order_start, order_end, order_increment do begin
				output_data1(i).components0(jj) = output_data(i).components0(j)
				jj = jj + 1
			endfor
		endfor
		the_order=the_new_order
		output_data = output_data1
	endif
  endif
endelse

if (the_result ne -1) then begin

	;-------------------------------------------
	; Stuff the data into info.subset.data 
	;-------------------------------------------
	info.subset.count=info.subset.count+1
 	info.subset.data(info.subset.count-1).subset_name = string(temp_name)
	info.subset.data(info.subset.count-1).src_filename = filename
	info.subset.data(info.subset.count-1).src_unitname = unitname
	info.subset.data(info.subset.count-1).src_type_flag = 1			
	info.subset.data(info.subset.count-1).src_crit_flag = 0
	info.subset.data(info.subset.count-1).src_crit_name = ''
	info.subset.data(info.subset.count-1).src_crit_min = ''
	info.subset.data(info.subset.count-1).src_crit_max = ''
	info.subset.data(info.subset.count-1).src_crit_type = ''
	info.subset.data(info.subset.count-1).src_ref = info.vdata.ref
	info.subset.data(info.subset.count-1).src_rank = 2
	info.subset.data(info.subset.count-1).src_start(0) = this_start
	info.subset.data(info.subset.count-1).src_end(0) = this_end
	info.subset.data(info.subset.count-1).src_increment(0) = this_increment
	info.subset.data(info.subset.count-1).src_org_rank = 2
	info.subset.data(info.subset.count-1).src_org_start(0) = this_start
	info.subset.data(info.subset.count-1).src_org_end(0) = this_end
	info.subset.data(info.subset.count-1).src_org_increment(0) = this_increment
	info.subset.data(info.subset.count-1).src_org_start(1) = start_order - 1
	info.subset.data(info.subset.count-1).src_org_end(1) = end_order
	info.subset.data(info.subset.count-1).src_org_increment(1) = increment_order
	info.subset.data(info.subset.count-1).src_start(1) = start_order
	info.subset.data(info.subset.count-1).src_end(1) = end_order
	info.subset.data(info.subset.count-1).src_increment(1) = increment_order
	info.subset.data(info.subset.count-1).src_fnames = info.vfield.name_sel
	info.subset.data(info.subset.count-1).src_order = the_order
	info.subset.data(info.subset.count-1).src_order(1) = the_true_order
	info.subset.data(info.subset.count-1).src_types = the_types
	info.subset.data(info.subset.count-1).src_data = handle_create()

	;-------------------------------------------------
	; Assign the src_data to point to the structure
	;-------------------------------------------------
	handle_value, info.subset.data(info.subset.count-1).src_data, output_data,/set

	if handle_info(info.rangetype.time) then begin
	     handle_value, info.rangetype.time, time_record
	     info.subset.data(info.subset.count-1).src_time=handle_create()
	     handle_value,info.subset.data(info.subset.count-1).src_time,time_record,/set
	endif

	;-------------------------------------------
	; Add to the subset list
	;-------------------------------------------

	info = redefine_info(info, temp_name, 3 )
	
	widget_control, info.widgets.subset_list, set_value=info.name_list_subset

endif else begin
	result=dialog_message('Problem reading HDF Vdata!',$
		title='View HDF Warning!')
endelse

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro remove_all_subset, info

pro_name = 'remove_all_subset'
@getinfo

if info.subset.count lt 1 then return

for i = 0, info.subset.count-1 do begin
       handle_free, info.subset.data(i).src_data
       if handle_info(info.subset.data(i).src_time) then $
	handle_free, info.subset.data(i).src_time
	info = initial_subset_data(info,i)
endfor

info.subset.count = 0
subset_name_list=[ 'None' ]

info = redefine_info(info, subset_name_list, 4)
widget_control, set_uvalue=info, info.base
widget_control, info.widgets.subset_list, set_value = info.name_list_subset
return

end

;--------------------------------------------------------------------------------
pro change_subset_name, info, this_subset

pro_name = 'change_subset_name'
@getinfo

if this_subset ge info.subset.count then begin

       result = dialog_message('This subset is not valid, cannot rename!', $
                                title='View_HDF Warning!')
                return
endif

data_name = info.subset.data(this_subset).subset_name
data_name = data_name(0)
dot=strpos(data_name, '[')
if( dot ne -1) then begin
	temp_name=strmid(data_name,0,dot)
endif else temp_name = data_name

get_variable_name, temp_name, info
widget_control, get_uvalue=info, info.base
if info.variablename eq 'None' then return

subset_name = info.variablename + '[' + strcompress(string(this_subset)) +']'

if (this_subset eq 0) and (info.subset.count eq 1) then begin

       subset_name_list=[ subset_name ]

endif else if this_subset eq info.subset.count-1 then begin

       subset_name_list = [info.name_list_subset(0 : info.subset.count-2), subset_name]

endif else if this_subset eq 0 then begin

       subset_name_list = [subset_name, info.name_list_subset(1 : info.subset.count-1)]

endif else begin

       subset_name_list = [info.name_list_subset(0:this_subset-1), $
		subset_name, info.name_list_subset(this_subset+1 : *)]

endelse

info.subset.data(this_subset).subset_name = subset_name
info = redefine_info(info, subset_name_list, 4)
widget_control, set_uvalue=info, info.base
widget_control, info.widgets.subset_list, set_value = info.name_list_subset
return

end

;--------------------------------------------------------------------------------
pro remove_some_subset, info, this_subset

pro_name = 'remove_some_subset'
@getinfo

if this_subset ge info.subset.count then begin

       result = dialog_message('This subset is not valid, cannot remove!', $
                                title='View_HDF Warning!')
                return

 endif else if (this_subset eq 0) and (info.subset.count eq 1) then begin

       info.subset.count = 0
       subset_name_list=[ 'None' ]
       handle_free, info.subset.data(this_subset).src_data
       if handle_info(info.subset.data(this_subset).src_time) then $
	handle_free, info.subset.data(this_subset).src_time
	info = initial_subset_data(info,this_subset)

endif else if this_subset eq info.subset.count-1 then begin

       info.subset.count = info.subset.count - 1
       handle_free, info.subset.data(this_subset).src_data
       if handle_info(info.subset.data(this_subset).src_time) then $
	handle_free, info.subset.data(this_subset).src_time
       subset_name_list = info.name_list_subset(0 : info.subset.count-1)
       info = initial_subset_data(info,info.subset.count)

endif else if this_subset eq 0 then begin

       info.subset.count = info.subset.count - 1
       handle_free, info.subset.data(this_subset).src_data
       if handle_info(info.subset.data(this_subset).src_time) then $
	handle_free, info.subset.data(this_subset).src_time
       subset_name_list = info.name_list_subset(1 : info.subset.count)

       info.subset.data(0:info.subset.count-1) = info.subset.data(1:info.subset.count)
       info = initial_subset_data(info,info.subset.count)

endif else begin

       subset_name_temp = info.name_list_subset

       subset_name_list = subset_name_temp(0 : this_subset-1)
       subset_name_list = [subset_name_list, subset_name_temp(this_subset+1 : *)]

       info.subset.count = info.subset.count - 1

       handle_free, info.subset.data(this_subset).src_data
       if handle_info(info.subset.data(this_subset).src_time) then $
	handle_free, info.subset.data(this_subset).src_time

       info.subset.data(this_subset:info.subset.count-1) = info.subset.data(this_subset+1:info.subset.count)
       info = initial_subset_data(info,info.subset.count)

endelse

info = redefine_info(info, subset_name_list, 4)
widget_control, set_uvalue=info, info.base
widget_control, info.widgets.subset_list, set_value = info.name_list_subset
return

end

;--------------------------------------------------------------------------------
pro remove_dataset, event

pro_name = 'remove_dataset'
@getinfo

widget_control, get_uvalue=info, event.id
widget_control, get_uvalue=info, info.base

if info.name_list_subset(0) eq "None" then begin
         result=dialog_message('No data read in Subset list yet!',$
                    title='View HDF Warning!')
         return
endif

pick_export_variables, info
widget_control, get_uvalue=info, info.base
subscripts = where(info.out.pick eq 1, numout)
print, 'number of variables picked = ', numout
if (numout eq 0) then begin
     result=dialog_message('No data selected for "Multi Variables"!',$
                    title='View HDF Warning!')
     return
endif

if numout eq info.subset.count then begin
	remove_all_subset, info
endif else begin
	for i = numout-1, 0, -1 do begin
		remove_some_subset, info, subscripts(i)
	endfor
endelse

end

;--------------------------------------------------------------------------------
pro remove_all_handle_create, info

pro_name = 'remove_all_handle_create'
@getinfo

if handle_info(info.rangetype.time) then $
	handle_free, info.rangetype.time

if handle_info(info.xyvalue.x_index) then $
	handle_free, info.xyvalue.x_index

if handle_info(info.xyvalue.y_index) then $
	handle_free, info.xyvalue.y_index

if handle_info(info.geolocated.colat) then $
	handle_free, info.geolocated.colat

if handle_info(info.geolocated.long) then $
	handle_free, info.geolocated.long

if handle_info(info.geolocated.sate_colat) then $
	handle_free, info.geolocated.sate_colat

if handle_info(info.geolocated.sate_long) then $
	handle_free, info.geolocated.sate_long

if handle_info(info.geolocated.sun_colat) then $
	handle_free, info.geolocated.sun_colat

if handle_info(info.geolocated.sun_long) then $
	handle_free, info.geolocated.sun_long

end

;--------------------------------------------------------------------------------
pro redraw_graph, info

pro_name = 'redraw_graph'
@getinfo

if info.multiple.key eq 1 then begin
	do_more_variables, 2, info
endif else begin
	if (info.graph_style eq 'Geolocated' or info.graph_style eq $
		'Contour Geolocated') and info.geolocated.flag eq 0 then $
		plot_graph, 2, info.subset.selected, info $
	else plot_graph, 1, info.subset.selected, info
endelse

end

;--------------------------------------------------------------------------------
pro replot_graph, event

pro_name = 'replot_graph'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

redraw_graph, info

end

;--------------------------------------------------------------------------------
pro reset_range, event

pro_name = 'reset_range'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control,get_uvalue=rank, event.id

if info.rangetype.type eq 1 and info.rangetype.flag eq 0 then begin
	handle_value, info.rangetype.time, time_record
	n_time_record = n_elements(time_record)
	start_time = ' '
	end_time = ' '
	start_time= make_string_time(time_record(0))
	end_time = make_string_time(time_record(n_time_record-1))
        widget_control, set_value = start_time, info.widgets.start_time
        widget_control, set_value = end_time, info.widgets.end_time
endif else begin
	for i = 0, rank do begin
        	widget_control, set_value = 1, info.widgets.starting_field(i)
        	widget_control, set_value = info.sds.dims(i), info.widgets.ending_field(i)
        	widget_control, set_value = 1, info.widgets.increment_field(i)
	endfor
endelse

for i = 0, rank do begin
	info.rangetype.old_start(i) = 1
	info.rangetype.old_end(i) = info.sds.dims(i)
	info.rangetype.old_increment(i) = 1
endfor

end

;--------------------------------------------------------------------------------
pro sds_range_dialogue, info

pro_name = 'sds_range_dialogue'
@getinfo

if info.ssf.file eq 1 and info.ssf.key eq 1 then begin
   if info.ssf.layer eq 0 then begin
	subset_name = info.name_list_ssf(info.ssf.select-1) + '[' + strcompress(string(info.subset.count)) +']'
   endif else begin
	if info.ssf.layer eq 1 then begin
		subset_name = info.name_list_ssf(info.ssf.select-1) + ' (Lower)' + $
			'[' + strcompress(string(info.subset.count)) +']'
	endif else begin
		subset_name = info.name_list_ssf(info.ssf.select-1) + ' (Upper)' + $
                        '[' + strcompress(string(info.subset.count)) +']'
	endelse
   endelse
endif else if info.ssf.file eq 1 and info.ssf.key eq 2 then begin
   if info.ssf.layer eq 0 then begin
	subset_name = info.name_list_sds(info.sds.index) + '[' + strcompress(string(info.subset.count)) +']'
   endif else begin
	if info.ssf.layer eq 1 then begin
		subset_name = info.name_list_sds(info.sds.index) + ' (Lower)' + $
			'[' + strcompress(string(info.subset.count)) +']'
	endif else begin
		subset_name = info.name_list_sds(info.sds.index) + ' (Upper)' + $
			'[' + strcompress(string(info.subset.count)) +']'
	endelse
   endelse
endif else begin
   subset_name = info.name_list_sds(info.sds.index) + '[' + strcompress(string(info.subset.count)) +']'
endelse

if info.rangetype.type eq 1 then begin
  info.rangetype.flag = 0
  get_time_range, subset_name, info.sds.rank-1, info
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 
endif
if info.rangetype.type eq 0 or info.rangetype.flag eq 1 then $
  record_range_buttons, subset_name, info.sds.rank-1, 'read_sds_dataCB', info $
else return

widget_control, set_uvalue=info, info.base


end

;--------------------------------------------------------------------------------
pro select_output, event

pro_name = 'select_output'
@getinfo

file_pick = event.index
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

base=widget_base( COLUMN=1, MAP=1, TITLE='Select Output Action', XSIZE=240, uvalue=info)

group1=widget_base(base, column=1, map=1, xoffset=80)

desc = [ 'Display Data', 'Remove' ]
info.graph_style = 'Display Data'

info = initial_info(info)
widget_control, set_uvalue=info, base

the_style = CW_BGROUP(group1, desc, /return_name, $
	set_value=0, FONT=info.font, $
	event_func='graph_item', /exclusive)

group2=widget_base(base, row=1,map=1, space=30, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='output_action', $
	VALUE="Done", UVALUE=file_pick, /ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', $
	VALUE="Cancel", /ALIGN_CENTER)

widget_control, /realize, base 

end

;--------------------------------------------------------------------------------
pro output_action, event

pro_name = 'output_action'
@getinfo

widget_control, /hourglass
widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=file_pick, event.id

widget_control, event.top, /destroy

cd, info.output_path, current=old_dir
output_name_list=findfile(info.filter, count=count)
;output_name_list=findfile('*.dat', count=count)
if count eq 0 then begin
	output_name_list = [ 'None' ]
	return
endif

check=check_path(info.output_path)
if check eq 1 then begin
	output_file = info.output_path + output_name_list(file_pick)
endif else begin
	output_file = info.output_path + '/' + output_name_list(file_pick)
endelse

;print,'output_file = ', output_file
if info.graph_style eq 'Remove' then begin
	;command_line="\rm -f "+ output_name_list(file_pick)
	command_line="\rm -f "+ output_file
	spawn,command_line,results
	output_name_list=findfile(info.filter, count=count)
	if count eq 0 then output_name_list = [ 'None' ]
	widget_control, info.widgets.output, set_value=output_name_list
	cd, old_dir
	return
endif

; 
; Invoke viewing and printing here?
;
case info.editor_type of
	;1: command_line = "emacs " + output_name_list(file_pick) + " &"
	1: command_line = "emacs " + output_file + " &"
	2: begin 
		command_line = info.ieditor + " -geometry 757x531+75+104"
		command_line = command_line + " -title 'Display Output File' "
		;command_line = command_line + output_name_list(file_pick) + " &"
		command_line = command_line + output_file + " &"
	   end
	3: command_line = info.editor + " " + output_file + " &"
	else: begin
		command_line="xterm -bg \#73a1ff -fn "
		command_line=command_line+"-adobe-courier-bold-r-normal--14-100-100-100-m-90-iso8859-1"
		command_line=command_line + " -e vi -R "+ output_file + " &"
	      end
endcase

spawn, command_line, results

cd, old_dir

end

;--------------------------------------------------------------------------------
pro select_printer, printer_list, info, print_type

pro_name = 'select_printer'
@getinfo

if print_type eq 0 then begin
	eventpro = 'spawn_printjobCB'
	yscrollsize = 450
endif else begin
	eventpro = 'spawn_viewjobCB'
	yscrollsize = 60
endelse

printer_index=0
;info.current_printer = printer_list(0)
result=where(printer_list eq info.current_printer, count)
;if count eq 0 then printer_index=0 $
;   else printer_index=result(0)
if count gt 0 then begin
  default_printer = printer_list(result(0))
  default_printer = default_printer(0)
  printer_list = [default_printer, printer_list]
endif
 
;-----------------------------------------------------------
; Ask which printer from thunder's /etc/printcap to use
;-----------------------------------------------------------
base = widget_base( COLUMN=1, MAP=1, TITLE='Select a Printer', uvalue=info)

group2=widget_base(base, column=1,map=1, xoffset=80)

;the_style=CW_BGROUP(group2, printer_list, /return_name, set_value=0, $
the_style=CW_BGROUP(group2, printer_list, /return_name, set_value=printer_index, $
                FONT= info.font,$
                event_func='select_printerCB', $
                /scroll, y_scroll_size=yscrollsize, x_scroll_size=150, /exclusive)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO=eventpro, VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, set_uvalue=info, base
widget_control, /realize, base

end

;--------------------------------------------------------------------------------
function select_printerCB, event

pro_name = 'select_printerCB'
@getinfo1

widget_control, get_uvalue=info, event.top

info.current_printer = event.value

print,"Current Printer is: ",info.current_printer

widget_control, set_uvalue=info, event.top

end

;--------------------------------------------------------------------------------
pro select_sdsCB, event

pro_name = 'select_sdsCB'
@getinfo

widget_control, get_uvalue=info, event.top

if (info.flags.data_read eq 0) then begin
	result=dialog_message('No data read in yet!',$
			title='View HDF Warning!')
	return
end

if (info.subset.count eq info.subset.maximum) then begin
	the_message = ["You have maximum sets of data", "Please remove at least one set of data."]
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

widget_control, info.widgets.current_file, get_value=filename		
filename=filename(0)

;
; Get the dimensions for this SDS 
; Initial the variable type

sds_dims = info.sds.dims
sds_rank = info.sds.rank
sds_type = info.sds.type

info.ssf.key = 0
info.ssf.select = 0
info.ssf.layer = 0

check_name = info.name_list_sds(event.index)
check_name = check_name(0)
subscripts = where(info.name_list_sds eq check_name, count)
num_sds = 1;
if count gt 1 then begin
   match = 0
   i = 0
   while match eq 0 and i lt count do begin
	if subscripts(i) eq event.index then begin
		num_sds = i + 1
		match = 1
	endif		
	i = i + 1
   endwhile
endif
num_sds = long(num_sds)
if info.vgroup.flag eq 1 then begin
	sref = info.vgroup.sref
	sref_list = str_sep(sref, '|')
	s_ref = long(sref_list)
	sds_ref = s_ref(event.index)
endif else sds_ref = long(event.index)

CD, '.', CURRENT = PWD
;if count gt 1 then begin
;	index = long(event.index)
data_name = info.name_list_sds(event.index)
data_name = data_name(0)
check_name = get_data_name(data_name)
the_result = get_sds_dims(filename,check_name,num_sds,sds_ref,sds_rank,sds_dims,$
	sds_type)
;	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;		'get_sds_dims_eos',         $
;		filename, $
;		check_name,	  $
;		num_sds,  $
;		sds_ref,  $
;		sds_rank, $
;		sds_dims, $
;		sds_type)
;endif else begin
;	check_name=str_sep(info.name_list_sds(event.index), ":")
;	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;      		'get_sds_dims',  	$
;              	filename, $
;		check_name(0), $
;		sds_rank, $
;		sds_dims, $
;		sds_type)
;endelse

if (the_result eq 'BAD') then begin
        result=dialog_message('Problem to get SDS information!',$
                        title='View HDF Warning!')
        return
end

info.sds.index = event.index
info.sds.rank = sds_rank 
info.sds.dims = sds_dims 
info.sds.type = sds_type 

info.sds.ref = sds_ref
;print,'sds_ref = ',sds_ref
;print,'info.sds.index = ',info.sds.index

info.rangetype.dim_name(*) = ''
for i = 0 , sds_rank-1 do begin
	info.rangetype.dim_name(i) = 'Dimension ' + strcompress(string(i+1),/REMOVE_ALL)
endfor

sd_id = HDF_SD_START(filename)
if sd_id ne -1 then begin
	sds_index = sds_ref
	if sds_index ne -1 then begin
		sds_id = HDF_SD_SELECT(sd_id, sds_index)
		if sds_id ne -1 then begin
			j = 0
			for i = sds_rank-1, 0, -1 do begin
				dim_id = HDF_SD_DIMGETID(sds_id,i)
				HDF_SD_DIMGET, dim_id, NAME=dim_name
				;print,'dim_id = ',dim_id,'dim_name = ',dim_name
				loc=strpos(dim_name, 'fakeDim')
				if loc eq -1 then info.rangetype.dim_name(j) = dim_name
				j = j + 1
			endfor
			HDF_SD_ENDACCESS, sds_id
		endif else print,'sds_id is bad'
	endif else print,'sds_index is bad'
	HDF_SD_END, sd_id
endif else print,'sd_id is bad'

;if info.show_attr eq 1 then $
if info.show_attr gt 0 then begin
	;get_data_attr,filename,data_name, info.sds.ref, 0, info
	get_data_attr,filename,check_name, info.sds.ref, 0, info
	if info.show_attr eq 2 then return
endif

if info.name_list_sds(event.index) EQ 'BDS Raw Digital Status Measurement' or $
   info.name_list_sds(event.index) EQ 'Raw Instrument Status Data' then begin
  read_digital_data, info
endif else if (info.name_list_sds(event.index) EQ 'BDS Quality Flags') OR $
	      (info.name_list_sds(event.index) EQ 'Radiance and mode flags') then begin
  read_quality_flag, info, 1
endif else if (info.name_list_sds(event.index) EQ 'Ancillary QA Flags Set 1') then begin
  read_quality_flag, info, 2
endif else if (info.name_list_sds(event.index) EQ 'Ancillary QA Flags Set 2') then begin
  read_quality_flag, info, 3
endif else begin

  CD, '.', CURRENT = PWD
  attr_type = "units"
the_result = get_sds_attr_value(filename,check_name,info.sds.ref,attr_type)
;if count gt 1 then begin
; the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;	'get_sds_attr_value_eos',  	$
;	filename, $
;	check_name, $
;	info.sds.ref, $
;	attr_type, $
;	/s_value)
;endif else begin
;  check_name=str_sep(info.name_list_sds(event.index), ":")
;  the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;      		'get_sds_attr_value',  	$
;              	filename, $
;		check_name(0), $
;		attr_type, $
;		/s_value)
;endelse

unit_list  = str_sep(the_result, '|')
num_elem = n_elements(unit_list)
if the_result eq 'BAD' or the_result eq '' then begin
;  if unit_list(0) eq '' then begin
	the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'get_vdata_attr_value',  	$
	filename, $
	info.name_list_sds(event.index), $
	/s_value)

	if the_result eq 'BAD' then begin
    	    unit_list = [ 'None' ]
    	    info.unitname = ''
	endif else begin
	    unit_list = [ the_result ]
	    info.unitname = ', ' + the_result
	endelse
endif else if num_elem eq 1 then begin 
	info.unitname = ', ' + unit_list(0)
endif
info = redefine_info( info, unit_list, 7)

  if info.ssf.file eq 1 then begin
	if sds_rank gt 1 and sds_dims(sds_rank-1) gt 1 then begin
		;result = where(info.name_list_sds eq "Time of observation", count)
		;if count eq 0 then begin
		sds_index = check_sds_index(filename, "Time of observation")
		if sds_index eq -1 then begin
			select_ssf, info, event.index, info.sds.ref
			widget_control, get_uvalue=info, info.base
			  if info.canceloption eq 'Yes' then begin
				info.canceloption = 'No'
				widget_control, set_uvalue=info, info.base
				return
			  endif 
		endif else info.ssf.key = 2
		if info.ssf.key eq 1 then begin
			ssf_name = info.name_list_sds(info.sds.index)
			ssf_layer = ["Cloudy_FOV_Integers", "Cloudy_FOV_Reals", $
				"Validation_Stddev"]
			result = where(ssf_layer eq ssf_name, count)
			if count ne 0 then begin
				select_layer, info
				widget_control, get_uvalue=info, info.base
			  	if info.canceloption eq 'Yes' then begin
					info.canceloption = 'No'
					widget_control, set_uvalue=info, info.base
					return
			  	endif 
			endif
		endif else if info.ssf.key eq 2 then begin
			ssf_name = info.name_list_sds(info.sds.index)
			ssf_name_test = strlowcase(ssf_name)
			dot=strpos(ssf_name_test,'cloud layer')
			if dot ne -1 then begin
				select_layer, info
				widget_control, get_uvalue=info, info.base
			  	if info.canceloption eq 'Yes' then begin
					info.canceloption = 'No'
					widget_control, set_uvalue=info, info.base
					return
			  	endif 
			endif
		endif
	endif
  endif

  sds_range_dialogue, info
endelse

end

;--------------------------------------------------------------------------------
pro select_subsetCB, event

pro_name = 'select_subsetCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

if info.widgets.base ne 0 then begin
	if(widget_info(info.widgets.base, /VALID_ID)) then begin
	    info.view.p_old = !P
	    info.view.d_old = !D
	    info.view.x_old = !X
	    info.view.y_old = !Y
	    widget_control, set_uvalue=info, info.widgets.base
	endif
endif

info.multiple.key = 0
info.multiple.flag = 0
info.multiple.y1y2 = 0
info.subset.selected = event.index

if (info.flags.data_read eq 0) or (info.name_list_subset(event.index)  eq 'None' ) then begin

	result=dialog_message('No data read in yet!',$
			title='View HDF Warning!')
	return

endif else begin

	if (info.current_tool eq 'graph') then begin

        	;base=widget_base( COLUMN=1, MAP=1, TITLE='Select Function', uvalue=info, xsize=200)
        	base=widget_base( COLUMN=1, MAP=1, TITLE='Select Function', uvalue=info)

        	group2=widget_base(base, column=1, map=1, xoffset=80)

		if info.subset.data(event.index).src_types(0) eq 4 then begin
			desc = [ 'Display Data', $
				 'Export Data', $
				 'Change Name', $
				 'Remove'	 ]
			info.graph_style = 'Display Data'
		endif else begin
			desc= [ '2D Graph' ,		$
				'2D Image' ,		$
				'2D Image With Scale' ,	$
				'3D Graph',		$
				'3D Surface',		$
				'Contour',		$
				'Grid Contour',		$
				'Grid Cell',		$
				'Grid Cell - Region',	$
				'Statistics',		$
				'Histogram',		$
				'XY Graph',		$
				'XYZ Graph',		$
				'Geolocated',		$
				'Contour Geolocated',	$
				'Create Subset',	$
				'Regression',		$
				'Extract Bits',		$
				'Transpose',		$
				'Display Data',		$
				'Display Attribute',	$
				'Export Data',		$
				'Export Data Without Filldata',	$
				'Change Name',	$
				'Change Data Type',	$
				'Remove'	]
			info.graph_style = '2D Graph'
		endelse	

		info = initial_info(info)
		info = initial_addtext(info)
		widget_control, set_uvalue=info, base

		the_style = CW_BGROUP(group2, desc, /return_name, $
			set_value=0, FONT=info.font, $
			/scroll, y_scroll_size = 600, x_scroll_size = 200, $
			event_func='graph_item', /exclusive)

		group2=widget_base(base, row=1,map=1, space=30, /align_center)

		button1=widget_button(group2, FONT=info.font, EVENT_PRO='graph_selected', $
			VALUE="Done", /ALIGN_CENTER)

		button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', $
			VALUE="Cancel", /ALIGN_CENTER)

		widget_control, /realize, base 

	endif else begin

		;------------------------	
		; View Data as a Table 
		;------------------------	

       		widget_control, /hourglass

		check=check_path(info.temp_dir)
		if check eq 1 then begin
		   table_filename=info.temp_dir+"."+info.tempname+"_table" + $
			strcompress(string(info.subset.count),/REMOVE_ALL)
		endif else begin
		   table_filename=info.temp_dir+"/."+info.tempname+"_table" + $
			strcompress(string(info.subset.count),/REMOVE_ALL)
		endelse

		get_lun, unit
		openw, unit, table_filename 

		;--------------------------
		; Write file header
		;--------------------------
		widget_control, info.widgets.current_file, get_value=filename		

        	printf, unit, format='("Source Data Filename: ",A)', filename
        	printf, unit, format='("Subset Name: ",A)', info.name_list_subset(event.index)

		;-------------------------------
		; Get values from the widgets
		;-------------------------------

		handle_value, info.subset.data(event.index).src_data, hdf_data

		if info.subset.data(event.index).src_type_flag eq 0 then printf, unit,$
		 hdf_data  else begin
			if info.subset.data(event.index).src_types(0) eq 4 then begin
				printf, unit, hdf_data(*).components0
			endif else begin
				temp='('+info.precision+')'
				temp=temp(0)
				printf, unit, format=temp, hdf_data(*).components0
				;printf, unit, hdf_data(*).components0
			endelse
		endelse

		close,unit
		free_lun, unit

		case info.editor_type of
			1: command_line = "emacs " + table_filename + " &"
			2: begin 
				command_line = info.ieditor + " -geometry 757x531+75+104"
				command_line = command_line + " -title 'Display Data' "
				command_line = command_line + table_filename + " &"
	   		   end
			3: command_line = info.editor + " " + table_filename + " &"
			else: begin
				command_line="xterm -bg \#73a1ff -fn "
				command_line=command_line+ $
		   		"-adobe-courier-bold-r-normal--14-100-100-100-m-90-iso8859-1"
				command_line=command_line + " -e vi -R " + table_filename + " &"
			     end
		endcase
		spawn,command_line,results
	endelse

	widget_control, info.widgets.subset_list, set_list_select=-1

endelse

widget_control, set_uvalue=info, info.base

end

;------------------------------------------------------------------
;	pick_ssfCB	
;------------------------------------------------------------------
function pick_ssfCB, event

pro_name = 'pick_ssfCB'
@getinfo1

widget_control, get_uvalue=info, event.top

info.ssf.select = long(event.value) + 1L
info.ssf.key = 1
info.unitname = ', ' + info.name_list_units(event.value)

widget_control, set_uvalue=info, info.base

END

;--------------------------------------------------------------------------------
pro select_ssf, info, this_select, sds_ref

pro_name = 'select_ssf'
@getinfo

widget_control, info.widgets.current_file, get_value=filename		
filename = filename(0)

data_name = ''
data_name = info.name_list_sds(this_select)

CD, '.', CURRENT = PWD

the_result = get_sds_attr_name(filename,data_name,sds_ref)
;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;      		'get_sds_attr_name',  	$
;              	filename, $
;		data_name, $
;		/s_value)

if the_result ne "BAD" then begin

ssf_list  = str_sep(the_result, '|')

info = redefine_info( info, ssf_list, 6)

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
base = widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Select '+data_name, uvalue=info, xoffset=xoffset)

button_group=cw_bgroup(base, ssf_list, column=1, $
	FONT=info.font, event_funct="pick_ssfCB", $
	/scroll, y_scroll_size=150, x_scroll_size=450, /exclusive)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER)

;button=widget_button(base, FONT=info.font, $
;	event_pro="doneCB", VALUE="Done", /ALIGN_CENTER )

widget_control, set_uvalue=info, base
widget_control, /realize, base 
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
xmanager, 'main_widget', base

endif else begin
	result=dialog_message('Problem reading SSF Attribute!',$
			title='View HDF Warning!')
	info.ssf.key = 0
endelse 

end

;------------------------------------------------------------------
;	pick_layerCB	
;------------------------------------------------------------------
function pick_layerCB, event

pro_name = 'pick_layerCB'
@getinfo1

widget_control, get_uvalue=info, event.top

info.ssf.layer = long(event.value) + 1L

widget_control, set_uvalue=info, info.base

END

;--------------------------------------------------------------------------------
pro select_layer, info

pro_name = 'select_layer'
@getinfo

data_name = ''
if info.ssf.key eq 1 then $
	data_name = info.name_list_ssf(info.ssf.select-1) $
	else data_name = info.name_list_sds(info.sds.index)

layer_list  = ["Lower Cloud Layer", "Upper Cloud Layer"]

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
base = widget_base( GROUP_LEADER=info.base, /MODAL, COLUMN=1, MAP=1, $
	TITLE='Select Cloud Layer', uvalue=info, xoffset=xoffset)

button_group=cw_bgroup(base, layer_list, column=1, $
			FONT=info.font, event_funct="pick_layerCB", $
                        /scroll, y_scroll_size=40, x_scroll_size=200, /exclusive)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='canceloptionCB', $
	VALUE="Cancel", /ALIGN_CENTER)

;button=widget_button(base, FONT=info.font, $
;	event_pro="doneCB", VALUE="Done", /ALIGN_CENTER )

widget_control, set_uvalue=info, base
widget_control, /realize, base 
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
xmanager, 'main_widget', base

end

;--------------------------------------------------------------------------------
pro select_vdataCB, event

pro_name = 'select_vdataCB'
@getinfo

widget_control, get_uvalue=info, event.top

if (info.flags.data_read eq 0) then begin
	result=dialog_message('No data read in yet!',$
			title='View HDF Warning!')
	return
endif

if (info.subset.count eq info.subset.maximum) then begin
	the_message = ["You have maximun sets of data.","Please remove at least one set of data."]
	result=dialog_message(the_message, title='View HDF Warning!')
	return
endif

widget_control, info.widgets.current_file, get_value=filename		

info.vfield.name_sel=""

number_of_fields=0L

num_vdata = 1
info.vdata.name_sel = info.name_list_vdata(event.index)
check_name = info.vdata.name_sel
check_name = check_name(0)
subscripts = where(info.name_list_vdata eq check_name, count)
if count gt 1 then begin
   match = 0
   i = 0
   while match eq 0 and i lt count do begin
	if subscripts(i) eq event.index then begin
		num_vdata = i + 1
		match = 1
	endif		
	i = i + 1
   endwhile
endif
;print,'num_vdata = ',num_vdata
num_vdata = long(num_vdata)
if info.vgroup.flag eq 1 then begin
	vref = info.vgroup.vref
	vref_list = str_sep(vref, '|')
	v_ref = long(vref_list)
	vdata_ref = v_ref(event.index)
endif else vdata_ref = long(0)

CD, '.', CURRENT = PWD

;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;               		'get_vdata_fields',  		$
;                	filename,			$
;			info.vdata.name_sel,		$
;			number_of_fields,		$
;			/s_value)

the_result = get_vdata_fields(filename,check_name,number_of_fields,num_vdata,$
	vdata_ref, n_records)
;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;			'get_vdata_fields_eos',		$
;                	filename,			$
;			info.vdata.name_sel,		$
;			number_of_fields,		$
;			num_vdata,			$
;			vdata_ref,			$
;			/s_value)

if the_result ne "BAD" then begin

	;print,'vdata_ref = ',vdata_ref
	info.vdata.ref = vdata_ref
	the_vfield_list = str_sep(the_result, ',')
	;info = redefine_info( info, str_sep(the_result, ','), 1)
	info = redefine_info( info, the_vfield_list, 1)

	CD, '.', CURRENT = PWD

	;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
        ;       	'get_vdata_n_rec',  		$
        ;        	filename,			$
	;		info.vdata.name_sel)

	;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
        ;		'get_vdata_n_rec_eos', 		$
        ;        	filename,			$
	;		info.vdata.name_sel,		$
	;		vdata_ref)

	info.rangetype.dim_name(*) = ''
	info.rangetype.dim_name(0) = 'Record Number'
	info.rangetype.dim_name(1) = 'Order Number'
	info.vdata.nrec=n_records
	;info.sds.dims(0) = the_result
	info.sds.dims(0) = n_records
	num_vfield = n_elements(the_vfield_list)
	if num_vfield eq 1 then begin
		info.vfield.name_sel = the_vfield_list(0)
		info.vfield.indices_sel= [ long(0) ]
		vfield_range_dialogue, info
	endif else vdata_dialogue, info

endif else begin
	result=dialog_message('Problem reading Vdata Fields!',$
			title='View HDF Warning!')
endelse 

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro select_vgroup, name, info, vg_list, vg_id, index

pro_name = 'select_vgroup'
@getinfo

num_list = n_elements(vg_list)
ysize = fix(1.5 * num_list)
title = 'Select '+name

info.vgroup.base(index)=widget_base( COLUMN=1, MAP=1, TITLE=title, $
	XSIZE=300, uvalue=info)

vg_list=widget_list(info.vgroup.base(index), value=vg_list, $
	FONT=info.font, event_pro='get_vgroup', uvalue=vg_id, $
	xsize=60, ysize=ysize)

button1=widget_button(info.vgroup.base(index), FONT=info.font, EVENT_PRO='doneCB', $
	VALUE="Close", /ALIGN_CENTER)

widget_control, /realize, info.vgroup.base(index) 
widget_control, set_uvalue=info, info.vgroup.base(index)
widget_control, set_uvalue=info, info.base

if index gt 0 then begin
	if widget_info(info.vgroup.base(index-1),/valid_id) eq 1 then begin
		DEVICE, GET_SCREEN_SIZE=scr
		base_loc = widget_info(info.vgroup.base(index-1), /geometry)
		base_loc1 = widget_info(info.vgroup.base(index), /geometry)
		xoffset = base_loc.xoffset
		yoffset = base_loc.yoffset + base_loc.scr_ysize
		if yoffset + base_loc1.scr_ysize gt scr(1) then begin
			base_loc2 = widget_info(info.vgroup.base(0), /geometry)
			yoffset = base_loc2.yoffset
			if base_loc2.xoffset lt scr(0)/2 then begin
				xoffset = xoffset + base_loc.scr_xsize
			endif else begin
				xoffset = xoffset - base_loc.scr_xsize
			endelse
		endif 
		widget_control, info.vgroup.base(index), xoffset=xoffset, yoffset=yoffset
	endif
endif 

end

;--------------------------------------------------------------------------------
PRO set_all_out, Event

pro_name = 'set_all_out'
@getinfo

    widget_control, get_uvalue=info, event.top
    if(info.subset.count gt 0) then begin
	info.out.pick(0:info.subset.count - 1) = 1
	n_infooutpick = n_elements(info.out.pick)
	if n_infooutpick gt info.subset.count then $
		info.out.pick(info.subset.count:*) = 0
    endif 
    widget_control, set_uvalue=info, info.base
 
    widget_control, event.top, /destroy

END

;--------------------------------------------------------------------------------
PRO cancel_all_out, Event

pro_name = 'cancel_all_out'
@getinfo

	widget_control, get_uvalue=info, event.top
	info.out.pick(*) = 0
	widget_control, set_uvalue=info, info.base
 
	widget_control, event.top, /destroy

END

;------------------------------------------------------------------
pro set_axis_ranges, info, YRange, Ystyle,  XRange, Xstyle, ZRange, Zstyle

pro_name = 'set_axis_ranges'
@getinfo
 
Xstyle=2 & Ystyle=2 & Zstyle=2
XRange=[0L,0L] & YRange=[0L,0L] & ZRange=[0L,0L]
if (info.graph_style eq 'Geolocated' or $
    info.graph_style eq 'Contour Geolocated') then begin
	xrange_min = info.greenwich.greenloca - 180
	xrange_max = info.greenwich.greenloca + 180
	XRange=[xrange_min, xrange_max]
	YRange=[-90, 90]
endif

CASE info.axis_state of

        1 : begin
                	XRange=[info.range.x_start, info.range.x_end]
                	Xstyle=3
        end
        2 : begin
                	YRange=[info.range.y_start, info.range.y_end]
                	Ystyle=3
        end
        3 : begin
			ZRange=[info.range.z_start, info.range.z_end]
			ZStyle=3
        end
        4 : begin
                	XRange=[info.range.x_start, info.range.x_end]
                	Yrange=[info.range.y_start, info.range.y_end]
                	Xstyle=3
                	Ystyle=3
        end
        5 : begin
                	XRange=[info.range.x_start, info.range.x_end]
                	YRange=[info.range.y_start, info.range.y_end]
			ZRange=[info.range.z_start, info.range.z_end]
                	Xstyle=3
                	Ystyle=3
			Zstyle=3
        end
        7 : begin
			YRange=[info.range.y_start, info.range.y_end]
			YStyle=3
        end
        8 : begin
                	XRange=[info.range.x_start, info.range.x_end]
                	Xstyle=3
        end
        9 : begin
                	XRange=[info.range.x_start, info.range.x_end]
                	YRange=[info.range.y_start, info.range.y_end]
                	Xstyle=3
                	Ystyle=3
        end
        else :
ENDCASE

end

;--------------------------------------------------------------------------------
pro set_some_out, Event

pro_name = 'set_some_out'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=top_base, event.id

info.out.pick(*) = 0

base_loc = widget_info(info.base, /geometry)
xoffset = base_loc.xoffset + 100
yoffset = base_loc.yoffset + 100
base=widget_base(group_leader=event.top, /modal, ROW=1, xoffset=xoffset, $
	yoffset=yoffset, TITLE='Select Output Variables')
widget_control, set_uvalue=info, base

the_pick=CW_BGROUP(base, info.name_list_subset, set_value=0, $
	FONT='-adobe-helvetica-bold-r-normal--14-140-75-75-p-82-iso8859-1', $
        EVENT_FUNCT='out_selected', $
	uvalue=info,$
        /SCROLL,Y_SCROLL_SIZE=600,X_SCROLL_SIZE=300, /NONEXCLUSIVE)
   
group2=widget_base(base, column=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='donepick', UVALUE=top_base, $
	VALUE="Done", /ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control,/realize, base
widget_control, DEFAULT_BUTTON=button1, CANCEL_BUTTON=button2, base
xmanager, 'main_widget', base

END

;--------------------------------------------------------------------------------
pro spawn_printjobCB, event

pro_name = 'spawn_printjobCB'
@getinfo

widget_control, event.top, get_uvalue=info
widget_control, event.top, /destroy
widget_control, set_uvalue=info, info.base

;-----------------------------------------------------------
; Queue the print job
;-----------------------------------------------------------

command_line="lp -c -d " + info.current_printer + $
                " "+info.temp_dir+"/."+info.tempname+"_ps"

spawn, command_line, results

result=dialog_message('Print Job Submitted!', title='Notice!')

command_line="\rm -f "+ info.temp_dir +"/."+info.tempname+"_ps"

spawn, command_line, results
		
end

;--------------------------------------------------------------------------------
pro spawn_viewjobCB, event

pro_name = 'spawn_viewjobCB'
@getinfo

widget_control, event.top, get_uvalue=info
widget_control, event.top, /destroy
widget_control, set_uvalue=info, info.base

;-----------------------------------------------------------
; Queue the print job
;-----------------------------------------------------------

if info.current_printer eq 'phaser550' then begin
	command_line="/usr/slocal/bin/phaser550 -s T "+$
		info.temp_dir+"/."+info.tempname+"_ps | lp -c -d phaser550"
endif else if info.current_printer eq 'sai550' then begin
	command_line="/usr/slocal/bin/phaser550 -s T "+$
		info.temp_dir+"/."+info.tempname+"_ps | lp -c -d sai550"
	;rmhost = ' '
	;rmhost = getenv('REMOTEHOST')
	;rmuser = ' '
	;rmuser = getenv('REMOTEUSER')
	;command_line="cat "+info.temp_dir+"/."+info.tempname+"_ps"+" | rsh " + $
	;	rmhost + " -l " + rmuser + " /usr/slocal/bin/tekprint -d sai550 -s M -"
endif else begin
	command_line = ''
	get_print_command, info
	widget_control, get_uvalue=info, info.base
	if info.canceloption eq 'Yes' then begin
		info.canceloption = 'No'
		widget_control, set_uvalue=info, info.base
		return
	endif else begin
		command_line = info.printcommand + " "+info.temp_dir+"/."+info.tempname+"_ps"
		print,'command_line = ', command_line
	endelse
endelse

spawn, command_line, results

result=dialog_message('Print Job Submitted!', title='Notice!')

command_line="\rm -f "+info.temp_dir+"/."+info.tempname+"_ps"

spawn, command_line, results
		
end

;------------------------------------------------------------------
pro subset_locate, info

pro_name = 'subset_locate'
@getinfo

if(widget_info(info.widgets.base, /VALID_ID)) then begin
	info.subset_locate = 1
	widget_control, set_uvalue=info, info.widgets.base
endif else begin
	the_message = [ 'Problem to locate position in this draw window.',$
		'You may need to close this window and do it again.']
	result= dialog_message(the_message, title='View HDF Warning')
	return
endelse

the_message = [ 'Move the CURSOR to the location and ',$
	'PRESS LEFT MOUSE BUTTON to show position.', $
	'Use "Subet" --> "End Locate" to end this option.']
result= dialog_message(the_message, title='Select Position to Locate')

end

;------------------------------------------------------------------
pro subset_locate_end, info

pro_name = 'subset_locate_end'
@getinfo

if(widget_info(info.widgets.base, /VALID_ID)) then begin
	info.subset_locate = 0
	widget_control, set_uvalue=info, info.widgets.base
endif else begin
	the_message = [ 'Problem to end locate option in this draw window.',$
		'You may need to close this window and do it again.']
	result= dialog_message(the_message, title='View HDF Warning')
	return
endelse

end

;------------------------------------------------------------------
pro subset_select_region, info

pro_name = 'subset_select_region'
@getinfo

if info.graph_style ne 'Geolocated' then begin
	the_message=['This graph type is not "Geolocated"!',$
		'Subset-Select Region is not valid!!']
	result=dialog_message(the_message, title='View HDF Warning!')
                return
endif

the_message = [ 'Left button to mark point',$
'Middle button to erase previous point', 'Right button to close region' ]
result= dialog_message(the_message,title='Select Region')

screen_xsize = info.screen.xsize
screen_ysize = info.screen.ysize

indices=defroi(screen_xsize,screen_ysize, xvert, yvert, /restore, /noregion)

max_xsize = max(xvert, min=min_xsize)
max_ysize = max(yvert, min=min_ysize)

max_locat = CONVERT_COORD(max_xsize, max_ysize, /DEVICE, /TO_DATA)
min_locat = CONVERT_COORD(min_xsize, min_ysize, /DEVICE, /TO_DATA)

if max_locat(0) lt 0.0 then max_locat(0) = 360.0 + max_locat(0)
if min_locat(0) lt 0.0 then min_locat(0) = 360.0 + min_locat(0)

info.sview.xsize = max_xsize - min_xsize
info.sview.ysize = max_ysize - min_ysize

info.sview.long(0) = min_locat(0)
info.sview.long(1) = max_locat(0)
info.sview.lat(0) = min_locat(1)
info.sview.lat(1) = max_locat(1)

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

; Now ask the user how he wants to view this data
; then show the data in subset_view.

base=widget_base(TITLE='Subset View Region')

widget_control, set_uvalue=info, base
items=['Table','2D Plot','XYZ Plot','Geolocated Plot','Done']

list=widget_list(base, value=items, $
	FONT=info.font, xsize=10,ysize=5, event_pro='subset_viewCB', uvalue=info)

widget_control, /realize, base

end

;------------------------------------------------------------------
pro subset_viewCB, event

pro_name = 'subset_viewCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base
if event.index lt 4 then begin
   view_xsize = info.sview.ratio * info.sview.xsize
   view_ysize = info.sview.ratio * info.sview.ysize
   barlocation = info.barlocation
   set_color_bar = info.color_bar
   widget_control, get_uvalue=info, event.top

   this_subset = info.subset.selected
   this_type = info.subset.data(this_subset).src_types
   this_type = this_type(0)
   filldata = get_filldata(this_type, info.filldata)
   handle_value, info.geolocated.hdf_z, hdf_data_z
   handle_value, info.geolocated.long, hdf_data_x
   handle_value, info.geolocated.colat, hdf_data_y
   if info.greenwich.satellite eq 1 then begin
	handle_value, info.geolocated.sate_long, satellite_x
	handle_value, info.geolocated.sate_colat, satellite_y
   endif
   if info.greenwich.sun eq 1 then begin
	handle_value, info.geolocated.sun_long, sun_x
	handle_value, info.geolocated.sun_colat, sun_y
   endif

   subscript = where(hdf_data_x lt info.filldata, count)
   if(count ne 0) then begin
      hdf_data_x = hdf_data_x(subscript)
      hdf_data_y = hdf_data_y(subscript)
      hdf_data_z = hdf_data_z(subscript)
   endif else begin
        result=dialog_message('All the longitude data are fill data!',$
                    title='View HDF Warning!')
         return
   endelse
 
   subscript = where(hdf_data_y lt info.filldata, count)
   if(count ne 0) then begin
      hdf_data_x = hdf_data_x(subscript)
      hdf_data_y = hdf_data_y(subscript)
      hdf_data_z = hdf_data_z(subscript)
   endif else begin
        result=dialog_message('All the colatitude data are fill data!',$
                    title='View HDF Warning!')
         return
   endelse
 
   ;subscript = where(hdf_data_z lt info.filldata, count)
   subscript = where(hdf_data_z lt filldata, count)
   if(count ne 0) then begin
      hdf_data_x = hdf_data_x(subscript)
      hdf_data_y = hdf_data_y(subscript)
      hdf_data_z = hdf_data_z(subscript)
   endif else begin
        result=dialog_message('All the data are fill data!',$
                    title='View HDF Warning!')
         return
   endelse
 
   ;long_max = max(hdf_data_x, min = long_min)
   ;lat_max = max(hdf_data_y, min = lat_min)

   subscript = where(hdf_data_x lt 0.0 and hdf_data_x gt -180.01, count)
   if count ne 0 then begin
	hdf_data_x(subscript) = 360.0 + hdf_data_x(subscript)
	;long_max = max(hdf_data_x, min=long_min)
   endif

   if(info.sview.long(0) gt info.sview.long(1)) then begin
      subscript=where( ((hdf_data_x GE info.sview.long(0)) or $
		    (hdf_data_x LE info.sview.long(1))) and $
                    (hdf_data_y  GE info.sview.lat(0))  and $
		    (hdf_data_y  LE info.sview.lat(1)) , count)
      if info.greenwich.satellite eq 1 then begin
	sate_sub=where( ((satellite_x GE info.sview.long(0)) or $
                    (satellite_x LE info.sview.long(1))) and $
                    (satellite_y  GE info.sview.lat(0))  and $
                    (satellite_y  LE info.sview.lat(1)) , sate_count)
      endif
      if info.greenwich.sun eq 1 then begin
   	sun_sub=where( ((sun_x GE info.sview.long(0)) or $
                   (sun_x LE info.sview.long(1))) and $
                   (sun_y  GE info.sview.lat(0))  and $
                   (sun_y  LE info.sview.lat(1)) , sun_count)
      endif
   endif else begin
      subscript=where( (hdf_data_x GE info.sview.long(0)) and $
		    (hdf_data_x LE info.sview.long(1)) and $
                    (hdf_data_y  GE info.sview.lat(0))  and $
		    (hdf_data_y  LE info.sview.lat(1)) , count)
      if info.greenwich.satellite eq 1 then begin
	sate_sub=where( (satellite_x GE info.sview.long(0)) and $
                    (satellite_x LE info.sview.long(1)) and $
                    (satellite_y  GE info.sview.lat(0))  and $
                    (satellite_y  LE info.sview.lat(1)) , sate_count)
      endif
      if info.greenwich.sun eq 1 then begin
	sun_sub=where( (sun_x GE info.sview.long(0)) and $
                  (sun_x LE info.sview.long(1)) and $
                  (sun_y  GE info.sview.lat(0))  and $
                  (sun_y  LE info.sview.lat(1)) , sun_count)
      endif
   endelse

    if count ne 0 then begin
	hdf_data_z = hdf_data_z(subscript)
	hdf_data_x = hdf_data_x(subscript)
	hdf_data_y = hdf_data_y(subscript)
    endif else begin
	result=dialog_message('All data is out of range!',$
		title='View HDF Warning!')
	return
    endelse

   if info.greenwich.satellite eq 1 then begin
      if sate_count ne 0 then begin
	satellite_x = satellite_x(sate_sub)
        satellite_y = satellite_y(sate_sub)
      endif
   endif 

   if info.greenwich.sun eq 1 then begin
      if sun_count ne 0 then begin
	sun_x = sun_x(sun_sub)
        sun_y = sun_y(sun_sub)
      endif
   endif 

endif

CASE event.index of

	0:begin
		print,"Values for the Selected Region are:"
		print, hdf_data_z
	end
	1:begin
		window,5,xsize=view_xsize,ysize=view_ysize, $
			title='Subset 2D Plot', retain=2
		if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
			else plot_symbol = info.style.symbol

		get_ticklen, info.style.grid, xticklen, yticklen 

		plot, hdf_data_z, font=info.char.font, psym = plot_symbol, $
			linestyle=info.style.linetype, symsize=info.style.symbolsize, $
                        xticklen=xticklen, yticklen=yticklen
	end
	2:begin

		window, 5, xsize=view_xsize,ysize=view_ysize, $
			title='Subset XYZ Plot', retain=2

		top_color=!d.n_colors - 2
                if (info.axis_state eq 3) or (info.axis_state eq 5) then begin
		  z_max = info.range.z_end
		  z_min = info.range.z_start
                  my_color=bytscl(hdf_data_z, max=z_max, min=z_min, top=top_color)
                endif else begin
                  my_color=bytscl(hdf_data_z, top=top_color)
		  z_max = max(hdf_data_z, min = z_min)
		endelse

		get_ticklen, info.style.grid, xticklen, yticklen 

                plot,[hdf_data_x],[hdf_data_y], /nodata, $
			FONT=info.char.font, $
			charsize=info.char.size, $
                        xtitle='Longitude, deg', $
                        ytitle='Latitude, deg', $
                        xticklen=xticklen, yticklen=yticklen

		if info.style.symbolline eq 1 then plot_symbol = - info.style.symbol $
			else plot_symbol = info.style.symbol

                for i=0L,(count-1) do begin
                        oplot,[hdf_data_x(i),hdf_data_x(i)],[hdf_data_y(i),hdf_data_y(i)], $
			MAX_VALUE = info.filldata, psym = plot_symbol, linestyle=info.style.linetype, $
			symsize = info.style.symbolsize, color=my_color(i)
                endfor

		if set_color_bar eq 1 then begin
		   temp_name = info.subset.data(this_subset).src_unitname
		   temp_name = temp_name(0)
		   temp_length = strlen(temp_name)
		   unitlabel = ''
		   if (temp_length gt 0) then begin
		      dot=strpos(temp_name,'N/A')
		      if( dot eq -1) then unitlabel = strmid(temp_name,2,temp_length-2)
		   endif
		   x_location = !x.window(0) + (!x.window(1) - !X.window(0))/2. - 0.22
   		   y_location = !y.window(0) + 0.08
		   draw_color_bar, top_color, z_min, z_max, y_location, x_location, info.char.size, $
			info.char.font, unitlabel
		endif
	end
	3:begin

		window,5,xsize=view_xsize,ysize=view_ysize, $
			title='Subset Geolocated Plot', retain=2

		map_color = !d.n_colors/3
		case info.greenwich.projection of
                1: map_set,0,info.greenwich.greenloca,/grid, /orthographic, LABEL=info.greenwich.label, $
			/horizon, charsize=info.char.size, $
                        limit=[info.sview.lat(0), info.sview.long(0),$
			info.sview.lat(1), info.sview.long(1)]
                2: map_set,0,info.greenwich.greenloca,/grid, /stereographic, LABEL=info.greenwich.label, $
			/horizon, charsize=info.char.size, $
                        limit=[info.sview.lat(0), info.sview.long(0),$
			info.sview.lat(1), info.sview.long(1)]
                ;3: map_set,0,info.greenwich.greenloca,/grid, /aitoff, LABEL=info.greenwich.label, $
                3: map_set,0,info.greenwich.greenloca,/grid, /hammer, LABEL=info.greenwich.label, $
			/horizon, charsize=info.char.size, $
                        limit=[info.sview.lat(0), info.sview.long(0),$
			info.sview.lat(1), info.sview.long(1)]
                else: map_set,0,info.greenwich.greenloca,/grid, /cylindrical, LABEL=info.greenwich.label, $
			charsize=info.char.size, $
                        limit=[info.sview.lat(0), info.sview.long(0),$
			info.sview.lat(1), info.sview.long(1)]
		endcase
                map_continents, /coasts
                ;map_continents, /coasts, color=map_color

		top_color = !d.n_colors - 2
                if (info.axis_state eq 3) or (info.axis_state eq 5) then begin
		  z_max = info.range.z_end
		  z_min = info.range.z_start
                  my_color=bytscl(hdf_data_z, max=z_max, min=z_min, top=top_color)
                endif else begin
		  z_max = max(hdf_data_z, min = z_min)
                  my_color=bytscl(hdf_data_z, max=z_max, min=z_min, top=top_color)
		endelse

		if info.style.symbol eq 0 then plot_symbol = 3 $
			else plot_symbol = info.style.symbol
                for i=0L,(count-1) do begin
                        oplot,[hdf_data_x(i),hdf_data_x(i)],[hdf_data_y(i),hdf_data_y(i)], $
			MAX_VALUE = info.filldata, color=my_color(i), psym=plot_symbol
		endfor

		; Plot the Satellite Position
		if info.greenwich.satellite eq 1 then begin
		  satellite_color = !d.n_colors - map_color
		  oplot, satellite_x, satellite_y, MAX_VALUE = info.filldata, color=satellite_color
		endif
		; Plot the Sun Position
		if info.greenwich.sun eq 1 then begin
		  sun_color = !d.n_colors - 20
		  oplot, sun_x, sun_y, MAX_VALUE = info.filldata, color=sun_color
		endif

		if set_color_bar eq 1 then begin
		   temp_name = info.subset.data(this_subset).src_unitname
		   temp_name = temp_name(0)
		   temp_length = strlen(temp_name)
		   unitlabel = ''
		   if (temp_length gt 0) then begin
		      dot=strpos(temp_name,'N/A')
		      if( dot eq -1) then unitlabel = strmid(temp_name,2,temp_length-2)
		   endif
   		   y_location = !y.window(0) + 0.08
		   draw_color_bar, top_color, z_min, z_max, y_location, 0.28, info.char.size, $
			info.char.font, unitlabel
		endif

	end
	4:begin
		wdelete, 5
		widget_control, get_uvalue=info, info.base
		wset, info.sview.window_id
		!Map = info.sview.map_old
                !P = info.sview.p_old
                !X = info.sview.x_old
                !Y = info.sview.y_old
		widget_control,	event.top, /destroy
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		return
       end
ENDCASE

	 
end

;------------------------------------------------------------------
pro subset_zoom, info

pro_name = 'subset_zoom'
@getinfo

the_message =[ 'Left button to zoom', 'Middle button to display zoom menu',$
'Right button to exit' ]

result= dialog_message(the_message, title='Select Region to Zoom')

zoom

end

;--------------------------------------------------------------------------------
pro subsetviewCB, event

pro_name = 'SubsetviewCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, info.widgets.sview_xsize, get_value=sview_xsize
info.sview.xsize=sview_xsize
print,'Subset View XSize =',info.sview.xsize

widget_control, info.widgets.sview_ysize, get_value=sview_ysize
info.sview.ysize=sview_ysize
print,'Subset View YSize =',info.sview.ysize

widget_control, info.widgets.sview_ratio, get_value=sview_ratio
info.sview.ratio=sview_ratio
print,'Subset View Ratio =',info.sview.ratio

widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

widget_control, event.top, /destroy

end

;--------------------------------------------------------------------------------
pro subsetview_dialogueCB, event

pro_name = 'subsetview_dialogueCB'
@getinfo

widget_control, get_uvalue=info, event.top
widget_control, get_uvalue=info, info.base

base = widget_base(COLUMN=1, MAP=1, TITLE='Define Subset View Size')

s_group=widget_base(base, column=1,map=1)

info.widgets.sview_xsize = CW_FIELD(s_group, VALUE=info.sview.xsize, $
		ROW=1, INTEGER=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Subset View XSize:', XSIZE=10)

info.widgets.sview_ysize = CW_FIELD(s_group, VALUE=info.sview.ysize, $
		ROW=1, INTEGER=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Subset View YSize:', XSIZE=10)

info.widgets.sview_ratio = CW_FIELD(s_group, VALUE=info.sview.ratio, $
		ROW=1, INTEGER=1, FIELDFONT=info.font, $
		FONT=info.font, TITLE='Subset View Ratio:', XSIZE=10)

group2=widget_base(base, row=1,map=1, space=40, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='subsetviewCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, /realize, base

widget_control, set_uvalue=info, base
widget_control, set_uvalue=info, info.widgets.base
widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro tool_axis, event

pro_name = 'tool_axis'
@getinfo

widget_control, get_uvalue=info, event.top


if (info.axis_state eq 0) then begin

	info.axis_state=5 

	;---------------------------------
	; Set the button look to manual
	;---------------------------------
	read_x11_bitmap, 'axis_button_manual.xbm', axis_button_man, expand_to_bytes
	widget_control, info.widgets.axis_tool, set_value=axis_button_man

       	base=widget_base( COLUMN=1, MAP=1, TITLE='Define X & Y Axis', uvalue=info)

	x_group=widget_base(base, row=1,map=1)
	y_group=widget_base(base, row=1,map=1)
	z_group=widget_base(base, row=1,map=1)

	info.widgets.x_start= CW_FIELD(x_group,VALUE=info.range.x_start, ROW=1, $
		FLOATING=1, FIELDFONT=info.font, FONT=info.font, TITLE='X Start:', $
		XSIZE=20)

	info.widgets.x_end= CW_FIELD(x_group,VALUE=info.range.x_end, ROW=1, $
		FLOATING=1, FIELDFONT=info.font, FONT=info.font, TITLE='X End:', $
		XSIZE=20 )

	info.widgets.y_start= CW_FIELD(y_group,VALUE=info.range.y_start, $ ROW=1, $
		FLOATING=1, FIELDFONT=info.font, FONT=info.font, TITLE='Y Start:', $
		XSIZE=20)

	info.widgets.y_end= CW_FIELD(y_group,VALUE=info.range.y_end, ROW=1, $
		FLOATING=1, FIELDFONT=info.font, FONT=info.font, TITLE='Y End:', $
		XSIZE=20)

	info.widgets.z_start= CW_FIELD(z_group,VALUE=info.range.z_start, $ ROW=1, $
		FLOATING=1, FIELDFONT=info.font, FONT=info.font, TITLE='Z Start:', $
		XSIZE=20)

	info.widgets.z_end= CW_FIELD(z_group,VALUE=info.range.z_end, ROW=1, $
		FLOATING=1, FIELDFONT=info.font, FONT=info.font, TITLE='Z End:', $
		XSIZE=20)

	group2=widget_base(base, row=1,map=1, space=100, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO='axis_dialogueCB', $
		VALUE="Done", /ALIGN_CENTER)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
		 /ALIGN_CENTER)

	widget_control, set_uvalue=info, base
        widget_control, /realize, base
        xmanager,'main_widget', base

endif else begin

	info.axis_state=0 
	;---------------------------------
	; Set the button to auto axis
	;---------------------------------

	read_x11_bitmap, 'axis_button.xbm', axis_button_auto, expand_to_bytes
	widget_control, info.widgets.axis_tool, set_value=axis_button_auto

endelse

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro tool_graph, event

pro_name = 'tool_graph'
@getinfo

;---------------------------------------- 
; Toggle between table and graph modes
;---------------------------------------- 

widget_control, get_uvalue=info, event.top

if info.current_tool eq 'graph' then begin

	info.current_tool='table'
	read_x11_bitmap, 'table_button.xbm', table_button, expand_to_bytes
	widget_control, info.widgets.graph_button, set_value=table_button

endif else begin

	info.current_tool='graph'
	read_x11_bitmap, 'graph_button.xbm', graph_button, expand_to_bytes
	widget_control, info.widgets.graph_button, set_value=graph_button

endelse

widget_control, set_uvalue=info, info.base

end

;--------------------------------------------------------------------------------
pro vdata_dialogue, info

pro_name = 'vdata_dialogue'
@getinfo

base = widget_base( COLUMN=1, MAP=1, TITLE='Select Vdata Fields', uvalue=info)

button_group=cw_bgroup(base, info.name_list_vfield, column=1, $
                        event_funct="add_vfieldCB", $
                        /scroll, y_scroll_size=450, x_scroll_size=350, /exclusive)

group2=widget_base(base, row=1,map=1, space=100, /align_center)

button1=widget_button(group2, FONT=info.font, EVENT_PRO='vfield_doneCB', VALUE="Done",$
	/ALIGN_CENTER)

button2=widget_button(group2, FONT=info.font, EVENT_PRO='doneCB', VALUE="Cancel",$
	 /ALIGN_CENTER)

widget_control, set_uvalue=info, base
widget_control, /realize, base 

widget_control, base, set_list_select=-1

end

;--------------------------------------------------------------------------------
PRO vfield_doneCB, event

pro_name = 'vfield_doneCB'
@getinfo

widget_control, get_uvalue=info, event.top

widget_control, event.top, /destroy

if (info.subset.count lt info.subset.maximum) then vfield_range_dialogue, info else print,$
	 'Maximum number of subsets = ', info.subset.maximum

END

;--------------------------------------------------------------------------------
pro vfield_range_dialogue, info

pro_name = 'vfield_range_dialogue'
@getinfo

subset_name = info.vfield.name_sel
subset_name = subset_name(0)
if subset_name eq "Radiance and mode flags" then begin
	widget_control, set_uvalue=info, info.base
	read_vfield_quality_flag, info
	widget_control, get_uvalue=info, info.base
	subset_name = info.quality.name_sel + $
		'[' + strcompress(string(info.subset.count)) +']'
endif else begin
	subset_name=info.vfield.name_sel + $
		'[' + strcompress(string(info.subset.count)) +']'
endelse

widget_control, info.widgets.current_file, get_value=filename		
the_vdata_name=info.vdata.name_sel
vdata_ref=info.vdata.ref
the_name = info.vfield.name_sel
the_index = info.vfield.indices_sel

;if info.show_attr eq 1 then $
if info.show_attr gt 0 then begin
	get_data_attr,filename,the_name, vdata_ref, 1, info
	if info.show_attr eq 2 then return
endif

the_types=long(1)
the_order=long(1)

CD, '.', CURRENT = PWD

;the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
;	'get_vfield_types',  	$
;	filename, 		$
;	the_vdata_name,		$ 
;	the_index,		$
;	long(1),		$
;	the_types,		$
;	the_order,		$
;	/s_value)

the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'get_vfield_types_eos',	$
	filename, 		$
	the_vdata_name,		$ 
	vdata_ref,		$
	the_index,		$
	long(1),		$
	the_types,		$
	the_order,		$
	/s_value)

;the_result = get_vfield_type(filename,info.vdata.name_sel,info.vdata.ref, $
;	info.vfield.indices_sel,the_types,the_order,info.library)

;print,'in vfield_range_dialogue, the_types = ',the_types
;print,'the_order = ',the_order
;print,'unit = ',the_result

if the_order gt 1 then begin
	info.sds.dims(1) = the_order
	rank = 1
endif else rank = 0
	
if info.rangetype.type eq 1 then begin
  info.rangetype.flag = 0
  get_time_range, subset_name, rank, info
  widget_control, get_uvalue=info, info.base
  if info.canceloption eq 'Yes' then begin
	info.canceloption = 'No'
	widget_control, set_uvalue=info, info.base
	return
  endif 
endif
if info.rangetype.type eq 0 or info.rangetype.flag eq 1 then $
  record_range_buttons, subset_name, rank, 'read_vfield_dataCB', info $
else return

;------------------------------------------------------
; NOTE: This only handles single dimensioned vdatas.
;------------------------------------------------------

widget_control, info.widgets.vdata, set_list_select=-1

end

;--------------------------------------------------------------------------------
pro write_hdf_sds, info, write_type, this_subset, filename

pro_name = 'write_hdf_sds'
@getinfosds

handle_value, info.subset.data(this_subset).src_data, hdf_data
size_hdf_data = size(hdf_data)

org_filename = info.subset.data(this_subset).src_filename
org_filename = org_filename(0)

temp_name = info.subset.data(this_subset).subset_name
temp_name = temp_name(0)
dot=strpos(temp_name, '[')
if( dot ne -1) then data_name=strmid(temp_name,0,dot) $
else data_name=temp_name

org_sds_index = info.subset.data(this_subset).src_ref

sel_option = 0
if write_type eq 0 then begin
	sd_id = HDF_SD_START(filename, /CREATE)
	if sd_id eq -1 then begin
		result=dialog_message('Problem to create HDF file!',$
			title='View HDF Warning!')
		return
	endif
endif else begin
	sd_id = HDF_SD_START(filename, /RDWR)
	if sd_id eq -1 then begin
		result=dialog_message('Problem to open HDF file!',$
			title='View HDF Warning!')
		return
	endif
	old_quiet = !QUIET
	!QUIET=1
	sds_index = HDF_SD_NAMETOINDEX(sd_id, data_name)
	!QUIET=old_quiet
	if sds_index ne -1 then begin
		;the_message = [data_name+' already exists!', $
		;	'Create another data set with same name?']
		;result=dialog_message(the_message, title='View HDF Question!', $
		;	/QUESTION)
		;if result eq 'No' then begin
		;	HDF_SD_END,sd_id
		;	return
		;endif
		the_list = ['Create another data set with same name', $
			    'Append data to the data set', $
			    'Overwrite data to the data set', $
			    'Cancel adding this data to the HDF']
		title = 'Write HDF Question'
		the_message = [data_name+' already exists!', $
			'Please select one of the following options:']
		default_option = 3
		sel_option = get_option(default_option,the_list,title,the_message,info)
		if sel_option eq 3 then begin
			HDF_SD_END,sd_id
			return
		endif
	endif
endelse

if sel_option eq 0 then begin
   dim = [size_hdf_data(1)]
   if size_hdf_data(0) gt 1 then begin
	for i = 2, size_hdf_data(0) do begin
		dim = [dim, size_hdf_data(i)]
	endfor
   endif
   rank = info.subset.data(this_subset).src_rank
   org_rank = info.subset.data(this_subset).src_org_rank
   if rank ne org_rank then begin
	org_start = info.subset.data(this_subset).src_org_start(0)
	org_end = info.subset.data(this_subset).src_org_end(0)
	org_increment = info.subset.data(this_subset).src_org_increment(0)
	num_data = (org_end-org_start)/org_increment
	if num_data eq 1 then begin
		dim=[dim,1]
		rank = rank + 1
	endif
   endif
   num_dim = n_elements(dim)
   dim(num_dim-1) = 0
	
   the_type = info.subset.data(this_subset).src_types
   the_type = the_type(0)
   case the_type of
	 4:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_CHAR)
	 5:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_FLOAT32)
	 6:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_FLOAT64)
	20:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_INT8)
	21:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_UINT8)
	22:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_INT16)
	23:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_UINT16)
	24:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_INT32)
	25:   sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_UINT32)
	else: sds_id = HDF_SD_CREATE(sd_id,data_name,dim,/DFNT_FLOAT32)
   endcase

   if sds_id eq -1 then begin
	result=dialog_message('Problem to create HDF file!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return
   endif

   HDF_SD_ADDDATA,sds_id,hdf_data

   org_sd_id = HDF_SD_START(org_filename, /READ)
   if org_sd_id eq -1 then begin
	HDF_SD_ENDACCESS,sds_id
	HDF_SD_END, sd_id
	return
   endif

   org_sds_id = HDF_SD_SELECT(org_sd_id, org_sds_index)
   if org_sds_id eq -1 then begin
	HDF_SD_END,org_sd_id
        HDF_SD_ENDACCESS,sds_id
        HDF_SD_END, sd_id
        return
   endif

   old_quiet = !QUIET
   !QUIET=1
   HDF_SD_GETINFO,org_sds_id,FILL=fill,FORMAT=format,LABEL=label,RANGE=range,$
	UNIT=unit,COORDSYS=coordsys,CALDATA=caldata,NATTS=natts
   !QUIET=old_quiet
   check_range = size(range)
   if check_range(0) eq 0 then attr_range = 0 $
	else attr_range = 1

   if natts gt 0 then begin
	if caldata.cal ne 0.0 then begin
	   if attr_range gt 0 then begin
		HDF_SD_SETINFO,sds_id,FILL=fill,FORMAT=format,LABEL=label,$
			RANGE=range,UNIT=unit,COORDSYS=coordsys,CALDATA=caldata
	   endif else begin
		HDF_SD_SETINFO,sds_id,FILL=fill,FORMAT=format,LABEL=label,$
			UNIT=unit,COORDSYS=coordsys,CALDATA=caldata
	   endelse
	endif else begin
	   if attr_range gt 0 then begin
		HDF_SD_SETINFO,sds_id,FILL=fill,FORMAT=format,LABEL=label,$
			RANGE=range,UNIT=unit,COORDSYS=coordsys
	   endif else begin
		HDF_SD_SETINFO,sds_id,FILL=fill,FORMAT=format,LABEL=label,$
			UNIT=unit,COORDSYS=coordsys
	   endelse
	endelse
   endif

   ;rank = info.subset.data(this_subset).src_rank
   ;org_rank = info.subset.data(this_subset).src_org_rank
   if rank eq org_rank then begin
	for i = 0, rank-1 do begin
		org_dim_id = HDF_SD_DIMGETID(org_sds_id,i)
		HDF_SD_DIMGET,org_dim_id,NAME=name
		if strpos(name,"fakeDim") eq -1 then begin
			dim_id = HDF_SD_DIMGETID(sds_id,i)
			HDF_SD_DIMSET,dim_id,NAME=name
		endif
	endfor
   endif else begin
	org_start = info.subset.data(this_subset).src_org_start
	org_end = info.subset.data(this_subset).src_org_end
	org_increment = info.subset.data(this_subset).src_org_increment
	j = rank - 1
        ij = 0
	i = org_rank - 1
	while(j ge 0 and i ge 0) do begin
		org_dim_id = HDF_SD_DIMGETID(org_sds_id,i)
		HDF_SD_DIMGET,org_dim_id,NAME=name
		num_data = (org_end(ij)-org_start(ij))/org_increment(ij)
		if num_data gt 1 or i eq org_rank - 1 then begin
			org_dim_id = HDF_SD_DIMGETID(org_sds_id,i)
			HDF_SD_DIMGET,org_dim_id,NAME=name
			if strpos(name,"fakeDim") eq -1 then begin
				dim_id = HDF_SD_DIMGETID(sds_id,j)
				HDF_SD_DIMSET,dim_id,NAME=name
			endif
			j = j - 1
		endif
		ij = ij + 1
		i = i - 1
        endwhile
   endelse

   HDF_SD_ENDACCESS,org_sds_id
   HDF_SD_END, org_sd_id

endif else begin

   sds_id = HDF_SD_SELECT(sd_id, sds_index)
   if sds_id eq -1 then begin
	result=dialog_message('Unable to select '+temp_name+' SDS data!',$
		title='View HDF Warning!')
	HDF_SD_END,sd_id
	return
   endif

   HDF_SD_GETINFO,sds_id, DIMS=sds_dims, NDIMS=sds_rank, TYPE=sds_type

   case sds_type of
	'BYTE': data_type = 1
	'INT':  data_type = 2
	'LONG': data_type = 3
	'FLOAT': data_type = 4
	'DOUBLE': data_type = 5
	'STRING': data_type = 7
	else: data_type = 12
   endcase

   if data_type ne size_hdf_data(size_hdf_data(0)+1) then begin
	the_message = ['The data types are not same', $
		'Please check the data type and do it again!']
	result=dialog_message(the_message, title='View HDF Warning!')
	HDF_SD_ENDACCESS,sds_id
	HDF_SD_END,sd_id
	return
   endif

   this_rank = size_hdf_data(0)
   start_list = lonarr(sds_rank)
   count_list = lonarr(sds_rank)
   start_list(*) = 0
   start_list(sds_rank-1) = sds_dims(sds_rank-1)

   if sel_option eq 2 then begin
	i_value = 1
	last_record = '"'+strcompress(string(sds_dims(sds_rank-1)),/REMOVE_ALL)+'"'
	title = 'Select Start Record'
	f_title = 'Start Record:'
	message = ['Enter the record number start to overwrite', $
		'The first record number is "1"', $
		'The last record number is '+last_record]
	start_record = get_field_value(i_value, 20, title, f_title, message, info)
	start_record = start_record(0)
	if start_record eq 'cancel' then begin
		HDF_SD_ENDACCESS,sds_id
		HDF_SD_END,sd_id
		return
	endif
	start_record = long(start_record) - 1
	if start_record lt 0 then start_record = 0
	if start_record gt sds_dims(sds_rank-1) then start_record = sds_dims(sds_rank-1)
	start_list(sds_rank-1) = start_record
   endif

   if this_rank eq sds_rank then begin
	for i = 0,sds_rank-1 do begin
		count_list(i) = size_hdf_data(i+1)
	endfor
   endif else if sds_rank - this_rank eq 1 then begin
	for i = 0, sds_rank-2 do begin
		if sds_dims(i) eq size_hdf_data(i+1) then begin
			count_list(i) = size_hdf_data(i+1)
		endif else begin
			the_message = ['The data ranges are not same', $
				'Please check the data range and do it again!']
			result=dialog_message(the_message, title='View HDF Warning!')
			HDF_SD_ENDACCESS,sds_id
			HDF_SD_END,sd_id
			return
		endelse
	endfor
	count_list(sds_rank-1) = 1
   endif else begin
	the_message = ['The data ranges are not same', $
		'Please check the data range and do it again!']
	result=dialog_message(the_message, title='View HDF Warning!')
	HDF_SD_ENDACCESS,sds_id
	HDF_SD_END,sd_id
	return
   endelse

   HDF_SD_ADDDATA,sds_id,hdf_data,START=start_list,COUNT=count_list
	
endelse
		
HDF_SD_ENDACCESS,sds_id
HDF_SD_END, sd_id

end

;--------------------------------------------------------------------------------
pro write_hdf_vdata, info, write_type, this_subset, filename

pro_name = 'write_hdf_vdata'
@getinfovd

handle_value, info.subset.data(this_subset).src_data, hdf_data
if info.subset.data(this_subset).src_types(0) eq 4 then begin
	hdf_data_temp = hdf_data(*).components0
	hdf_data = byte(hdf_data_temp)
endif else begin
	hdf_data = reform(hdf_data.components0, n_elements(hdf_data.components0))
endelse
size_hdf_data = size(hdf_data)
num_data = n_elements(hdf_data)

temp_name = info.subset.data(this_subset).subset_name
temp_name = temp_name(0)
dot=strpos(temp_name, '[')
if( dot ne -1) then data_name=strmid(temp_name,0,dot) $
else data_name=temp_name

sel_option = 0
if write_type eq 0 then begin
	file_id = HDF_OPEN(filename, /CREATE)
	if file_id eq -1 then begin
		result=dialog_message('Problem to create HDF file!',$
			title='View HDF Warning!')
		return
	endif
	vd_id = HDF_VD_ATTACH(file_id,-1,/WRITE)
	if vd_id eq 0 then begin
		result=dialog_message('Problem to create new Vdata!',$
			title='View HDF Warning!')
		HDF_CLOSE,file_id
		return
	endif
endif else begin
	file_id = HDF_OPEN(filename, /RDWR)
	if file_id eq -1 then begin
		result=dialog_message('Problem to open HDF file!',$
			title='View HDF Warning!')
		return
	endif
	vdata_index = HDF_VD_FIND(file_id, data_name)
	if vdata_index ne 0 then begin
	   vd_id = HDF_VD_ATTACH(file_id,vdata_index,/READ)
	   if vd_id eq 0 then begin
		result=dialog_message('Problem to open '+data_name+' Vdata!',$
			title='View HDF Warning!')
		HDF_CLOSE,file_id
		return
	   endif
	   check_field = HDF_VD_FEXIST(vd_id, data_name)
	   HDF_VD_DETACH,vd_id
	   if check_field eq 1 then begin
		;the_message = [data_name+' already exists!', $
		;	'Create another data set with same name?']
		;result=dialog_message(the_message, title='View HDF Question!', $
		;	/QUESTION)
		;if result eq 'No' then begin
		;	HDF_CLOSE,file_id
		;	return
		;endif
		the_list = ['Create another data set with same name', $
			    'Append data to the data set', $
			    'Overwrite data to the data set', $
			    'Cancel adding this data to the HDF']
		title = 'Write HDF Question'
		the_message = [data_name+' already exists!', $
			'Please select one of the following options:']
		default_option = 3
		sel_option = get_option(default_option,the_list,title,the_message,info)
		if sel_option eq 3 then begin
			HDF_CLOSE,file_id
			return
		endif
	   endif else begin
		the_message = ['Field '+data_name+' does not exist', $
			'in vdata '+data_name+'.', $
			'Create another data set with same name?']
		result=dialog_message(the_message, title='View HDF Question!', $
			/QUESTION)
		if result eq 'No' then begin
			HDF_CLOSE,file_id
			return
		endif else sel_option = 0
	   endelse
        endif
	if sel_option eq 0 then begin
		vd_id = HDF_VD_ATTACH(file_id,-1,/WRITE)
		the_message = 'Problem to create new Vdata!'
	endif else begin
		vd_id = HDF_VD_ATTACH(file_id,vdata_index,/WRITE)
		the_message = 'Problem to open Vdata!'
	endelse
	if vd_id eq 0 then begin
		result=dialog_message(the_message, title='View HDF Warning!')
		HDF_CLOSE,file_id
		return
	endif
endelse

start_order = info.subset.data(this_subset).src_start(1)
end_order = info.subset.data(this_subset).src_end(1)
increment_order = info.subset.data(this_subset).src_increment(1)
the_order = long((end_order - start_order)/increment_order + 1.9)
if the_order lt 0 then the_order = 1L

if sel_option eq 0 then begin
   HDF_VD_SETINFO,vd_id,NAME=data_name

   case size_hdf_data(2) of
	1: HDF_VD_FDEFINE, vd_id, data_name, /BYTE, ORDER=the_order
	2: HDF_VD_FDEFINE, vd_id, data_name, /INT, ORDER=the_order
	3: HDF_VD_FDEFINE, vd_id, data_name, /LONG, ORDER=the_order
	4: HDF_VD_FDEFINE, vd_id, data_name, /FLOAT, ORDER=the_order
	5: HDF_VD_FDEFINE, vd_id, data_name, /DOUBLE, ORDER=the_order
	7: HDF_VD_FDEFINE, vd_id, data_name, /BYTE, ORDER=the_order
	12: HDF_VD_FDEFINE, vd_id, data_name, /UINT, ORDER=the_order
	13: HDF_VD_FDEFINE, vd_id, data_name, /ULONG, ORDER=the_order
	14: HDF_VD_FDEFINE, vd_id, data_name, /DLONG, ORDER=the_order
	15: HDF_VD_FDEFINE, vd_id, data_name, /DULONG, ORDER=the_order
	else: HDF_VD_FDEFINE, vd_id, data_name, /FLOAT, ORDER=the_order
   endcase
   the_record = long(num_data/the_order + 0.9)
   if the_order gt 1 and the_record gt 1 then $
	hdf_data = reform(hdf_data,the_order,the_record)
   HDF_VD_WRITE, vd_id, data_name, hdf_data

   HDF_VD_DETACH,vd_id
   HDF_CLOSE, file_id

   org_filename=info.subset.data(this_subset).src_filename
   org_filename = org_filename(0)
   vdata_ref=info.subset.data(this_subset).src_ref

   CD, '.', CURRENT = PWD

   the_result = CALL_EXTERNAL(PWD+'/' + info.library,   $
	'write_vfield_attr',  	$
	org_filename,		$
	data_name,		$
	vdata_ref,		$
	filename,		$
	data_name,		$
	0L,			$
	/S_VALUE)

endif else begin
   HDF_VD_GET,vd_id,COUNT=the_nrec
   HDF_VD_GETINFO,vd_id,data_name,order=this_order,type=this_type
   data_type = convert_idltypename_idltype(this_type)
   
;   case this_type of
;	'BYTE': data_type = 1
;	'INT':  data_type = 2
;	'LONG': data_type = 3
;	'FLOAT': data_type = 4
;	'DOUBLE': data_type = 5
;	'STRING': data_type = 7
;	else: data_type = 12
;   endcase

   ;print,'data_type = ',data_type,' size_hdf_data = ',size_hdf_data(size_hdf_data(0)+1)
   if data_type ne size_hdf_data(size_hdf_data(0)+1) then begin
	the_message = ['The data types are not same', $
		'Please check the data type and do it again!']
	result=dialog_message(the_message, title='View HDF Warning!')
	HDF_VD_DETACH,vd_id
	HDF_CLOSE,file_id
	return
   endif

   if this_order ne the_order then begin
	the_message = ['The field order are not same', $
		'Please check the field order and do it again!']
	result=dialog_message(the_message, title='View HDF Warning!')
	HDF_VD_DETACH,vd_id
	HDF_CLOSE,file_id
	return
   endif

   if sel_option eq 2 then begin
	i_value = 1
	last_record = '"'+strcompress(string(the_nrec),/REMOVE_ALL)+'"'
	title = 'Select Start Record'
	f_title = 'Start Record:'
	message = ['Enter the record number start to overwrite', $
		'The first record number is "1"', $
		'The last record number is '+last_record]
	start_record = get_field_value(i_value, 20, title, f_title, message, info)
	start_record = start_record(0)
	if start_record eq 'cancel' then begin
		HDF_VD_DETACH,vd_id
		HDF_CLOSE,file_id
		return
	endif
	start_record = long(start_record) - 1
	if start_record lt 0 then start_record = 0
	if start_record gt the_nrec then start_record = the_nrec
   endif else start_record = the_nrec

   HDF_VD_SEEK,vd_id,start_record

   the_record = long(num_data/the_order + 0.9)
   if the_order gt 1 and the_record gt 1 then $
	hdf_data = reform(hdf_data,the_order,the_record)
   HDF_VD_WRITE, vd_id, data_name, hdf_data

   HDF_VD_DETACH,vd_id
   HDF_CLOSE, file_id

endelse

end

;--------------------------------------------------------------------------------
pro write_hdf, info, write_type

pro_name = 'write_hdf'
@getinfo

if info.name_list_subset(0) eq "None" then begin
         result=dialog_message('No data read in Subset list yet!',$
                    title='View HDF Warning!')
         return
end

count = check_directory(info.hdf_path, info.home_path)
if count eq 0 then begin
	CD, '.', CURRENT=pwd
	info.hdf_path = pwd
endif
hdf_filename = dialog_pickfile(filter='*.hdf', path=info.hdf_path, $
			file=info.hdf_filename, get_path=hdf_path, /write)

if hdf_filename eq "" then return

hdf_result=STRPOS(hdf_filename, hdf_path)

if hdf_result eq -1 then hdf_filename=hdf_path+hdf_filename
print,"Filename=", hdf_filename
hdf_name_list=findfile(hdf_filename, count=count)
if count gt 0 and write_type eq 0 then begin
	the_message=[hdf_filename+' exists','Do you want to overwrite it?']
	result=dialog_message(the_message,/question,title='View HDF Question')
	if result eq 'No' then return
endif else if count eq 0 and write_type eq 1 then begin
	the_message=[hdf_filename+' does not exist','Do you want to create it?']
	result=dialog_message(the_message,/question,title='View HDF Question')
	if result eq 'No' then return
	write_type = 0
endif

widget_control, /hourglass

if info.name_list_subset(0) eq "None" then begin
         result=dialog_message('No data read in Subset list yet!',$
                    title='View HDF Warning!')
         return
end

pick_export_variables, info

widget_control, get_uvalue=info, info.base

info.hdf_path = hdf_path
default_file = ''
default_file = get_default_file(hdf_filename)
if default_file ne 'None' then info.hdf_filename = default_file

widget_control, /hourglass


subscripts = where(info.out.pick eq 1, numout)

print, 'number of variables picked = ', numout

if (numout eq 0) then begin
  result=dialog_message('No data selected to write!',$
                    title='View HDF Warning!')
  return
end

for i = 0, numout-1 do begin
	if info.subset.data(subscripts(i)).src_type_flag eq 0 then $
		write_hdf_sds, info, write_type, subscripts(i), hdf_filename $
	else write_hdf_vdata, info, write_type, subscripts(i), hdf_filename
	write_type = 1
endfor

result=dialog_message('Writing HDF file Completed!',$
                title='Notice!')

end

;--------------------------------------------------------------------------------
pro write_config, info

pro_name = 'write_config'
@getinfo

config_filename=info.home_path+"/"+info.tempname+"_view_hdf_config_file"

get_lun, unit
openw, unit, config_filename 

;--------------------------
; Write file header
;--------------------------
printf, unit, format='("view_hdf Configuration file for: ",A)', info.tempname
printf, unit, format='("info.precision=",A)', strcompress(info.precision,/REMOVE_ALL)
printf, unit, format='("info.color_bar=",A)', strcompress(string(info.color_bar),/REMOVE_ALL)
printf, unit, format='("info.barlocation=",A)', strcompress(string(info.barlocation),/REMOVE_ALL)
if info.color_table lt 0 then info.color_table = 13
printf, unit, format='("info.color_table=",A)', strcompress(string(info.color_table),/REMOVE_ALL)
printf, unit, format='("info.open_path=",A)', strcompress(info.open_path,/REMOVE_ALL)
printf, unit, format='("info.open_filter=",A)', strcompress(info.open_filter,/REMOVE_ALL)
printf, unit, format='("info.ps_path=",A)', strcompress(info.ps_path,/REMOVE_ALL)
printf, unit, format='("info.ps_file=",A)', strcompress(info.ps_file,/REMOVE_ALL)
printf, unit, format='("info.eps_path=",A)', strcompress(info.eps_path,/REMOVE_ALL)
printf, unit, format='("info.eps_file=",A)', strcompress(info.eps_file,/REMOVE_ALL)
printf, unit, format='("info.export_path=",A)', strcompress(info.export_path,/REMOVE_ALL)
printf, unit, format='("info.export_file=",A)', strcompress(info.export_file,/REMOVE_ALL)
printf, unit, format='("info.hdf_path=",A)', strcompress(info.hdf_path,/REMOVE_ALL)
printf, unit, format='("info.hdf_filename=",A)', strcompress(info.hdf_filename,/REMOVE_ALL)
printf, unit, format='("info.list_path=",A)', strcompress(info.list_path,/REMOVE_ALL)
printf, unit, format='("info.output_path=",A)', strcompress(info.output_path,/REMOVE_ALL)
printf, unit, format='("info.userdefine.old_path=",A)', strcompress(info.userdefine.old_path,/REMOVE_ALL)
for i = 0, info.userdefine.count-1 do begin
    printf, unit, format='("info.userdefine.path=",A)', strcompress(info.userdefine.path(i),/REMOVE_ALL)
    printf, unit, format='("info.userdefine.name=",A)', strcompress(info.userdefine.name(i),/REMOVE_ALL)
    printf, unit, format='("info.userdefine.num_para=",A)', $
	 strcompress(string(info.userdefine.num_para(i)),/REMOVE_ALL)
endfor
printf, unit, format='("info.filter=",A)', strcompress(info.filter,/REMOVE_ALL)
printf, unit, format='("info.gif_path=",A)', strcompress(info.gif_path,/REMOVE_ALL)
printf, unit, format='("info.gif_file=",A)', strcompress(info.gif_file,/REMOVE_ALL)
printf, unit, format='("info.stats_path=",A)', strcompress(info.stats_path,/REMOVE_ALL)
printf, unit, format='("info.stats_file=",A)', strcompress(info.stats_file,/REMOVE_ALL)
printf, unit, format='("info.temp_dir=",A)', strcompress(info.temp_dir,/REMOVE_ALL)
printf, unit, format='("info.eps_type=",A)', strcompress(string(info.eps_type),/REMOVE_ALL)
printf, unit, format='("info.editor_type=",A)', strcompress(string(info.editor_type),/REMOVE_ALL)
printf, unit, format='("info.editor=",A)', strcompress(string(info.editor),/REMOVE_ALL)
printf, unit, format='("info.printcommand=",A)', strcompress(info.printcommand)
printf, unit, format='("info.style.linetype=",A)', strcompress(string(info.style.linetype),/REMOVE_ALL)
printf, unit, format='("info.style.symbol=",A)', strcompress(string(info.style.symbol),/REMOVE_ALL)
printf, unit, format='("info.style.usersym=",A)', strcompress(string(info.style.usersym),/REMOVE_ALL)
printf, unit, format='("info.style.symbolsize=",A)', strcompress(string(info.style.symbolsize),/REMOVE_ALL)
printf, unit, format='("info.style.symbolline=",A)', strcompress(string(info.style.symbolline),/REMOVE_ALL)
printf, unit, format='("info.style.grid=",A)', strcompress(string(info.style.grid),/REMOVE_ALL)
printf, unit, format='("info.char.size=",A)', strcompress(string(info.char.size),/REMOVE_ALL)
printf, unit, format='("info.greenwich.greenloca=",A)', strcompress(string(info.greenwich.greenloca),/REMOVE_ALL)
printf, unit, format='("info.greenwich.projection=",A)', strcompress(string(info.greenwich.projection),/REMOVE_ALL)
printf, unit, format='("info.greenwich.label=",A)', strcompress(string(info.greenwich.label),/REMOVE_ALL)
printf, unit, format='("info.greenwich.n_level=",A)', strcompress(string(info.greenwich.n_level),/REMOVE_ALL)
printf, unit, format='("info.greenwich.expand=",A)', strcompress(string(info.greenwich.expand),/REMOVE_ALL)
printf, unit, format='("info.greenwich.satellite=",A)', strcompress(string(info.greenwich.satellite),/REMOVE_ALL)
printf, unit, format='("info.greenwich.sun=",A)', strcompress(string(info.greenwich.sun),/REMOVE_ALL)
printf, unit, format='("info.greenwich.smooth=",A)', strcompress(string(info.greenwich.smooth),/REMOVE_ALL)
printf, unit, format='("info.greenwich.n_x_grid=",A)', strcompress(string(info.greenwich.n_x_grid),/REMOVE_ALL)
printf, unit, format='("info.greenwich.n_y_grid=",A)', strcompress(string(info.greenwich.n_y_grid),/REMOVE_ALL)
printf, unit, format='("info.greenwich.continents=",A)', strcompress(string(info.greenwich.continents),/REMOVE_ALL)
printf, unit, format='("info.grid_start=",A)', strcompress(string(info.grid_start),/REMOVE_ALL)
printf, unit, format='("info.time_type.old=",A)', strcompress(string(info.time_type.old),/REMOVE_ALL)
printf, unit, format='("info.time_type.new=",A)', strcompress(string(info.time_type.new),/REMOVE_ALL)
printf, unit, format='("info.screen.pick=",A)', strcompress(string(info.screen.pick),/REMOVE_ALL)
printf, unit, format='("info.screen.xsize=",A)', strcompress(string(info.screen.xsize),/REMOVE_ALL)
printf, unit, format='("info.screen.ysize=",A)', strcompress(string(info.screen.ysize),/REMOVE_ALL)
;printf, unit, format='("info.pdfread=",A)', strcompress(info.pdfread,/REMOVE_ALL)
printf, unit, format='("info.current_printer=",A)', strcompress(info.current_printer,/REMOVE_ALL)
printf, unit, format='("info.top_color=",A)', strcompress(string(info.top_color),/REMOVE_ALL)
printf, unit, format='("background_color=",A)', strcompress(string(!P.BACKGROUND),/REMOVE_ALL)
printf, unit, format='("foreground_color=",A)', strcompress(string(!P.COLOR),/REMOVE_ALL)
printf, unit, format='("info.previous_file.max=",A)', strcompress(string(info.previous_file.max),/REMOVE_ALL)
for i = 0, info.previous_file.max-1 do begin
	printf, unit, format='("info.previous_file.store=",A)', strcompress(info.previous_file.store(i),/REMOVE_ALL)
endfor

close, unit
free_lun, unit

end

;--------------------------------------------------------------------------------
pro read_config, info

pro_name = 'read_config'
@getinfo

config_filename=info.home_path+"/"+info.tempname+"_view_hdf_config_file"

get_lun, unit
openr, unit, config_filename 

;--------------------------
; Read file header
;--------------------------
temp=''
readf, unit, temp
i = 0
while not EOF(unit) do begin
   temp=''
   readf, unit, temp
   namearray = str_sep(temp, '=')
   if n_elements(namearray) eq 2 then begin
      case namearray(0) of
	'info.precision': info.precision = namearray(1)
	'info.color_bar': info.color_bar = fix(namearray(1))
	'info.barlocation': info.barlocation = float(namearray(1))
	'info.color_table': begin
		info.color_table = float(namearray(1))
		if info.color_table lt 0 then info.color_table = 13
	end
	'info.open_path': info.open_path = namearray(1)
	'info.open_filter': info.open_filter = namearray(1)
	'info.ps_path': info.ps_path = namearray(1)
	'info.ps_file': info.ps_file = namearray(1)
	'info.eps_path': info.eps_path = namearray(1)
	'info.eps_file': info.eps_file = namearray(1)
	'info.export_path': info.export_path = namearray(1)
	'info.export_file': info.export_file = namearray(1)
	'info.hdf_path': info.hdf_path = namearray(1)
	'info.hdf_filename': info.hdf_filename = namearray(1)
	'info.list_path': info.list_path = namearray(1)
	'info.output_path': info.output_path = namearray(1)
	'info.userdefine.old_path': info.userdefine.old_path = namearray(1)
	'info.userdefine.path': begin
		info.userdefine.path(info.userdefine.count) = namearray(1)
		loc = strpos(!PATH, namearray(1))
		if loc eq -1 then !PATH = namearray(1)+':'+!PATH
	 end
	'info.userdefine.name': info.userdefine.name(info.userdefine.count) = namearray(1)
	'info.userdefine.num_para': begin
		info.userdefine.num_para(info.userdefine.count) = fix(namearray(1))
		info.userdefine.count = info.userdefine.count + 1
	 end
	'info.filter': info.filter = namearray(1)
	'info.gif_path': info.gif_path = namearray(1)
	'info.gif_file': info.gif_file = namearray(1)
	'info.stats_path': info.stats_path = namearray(1)
	'info.stats_file': info.stats_file = namearray(1)
	'info.temp_dir': info.temp_dir = namearray(1)
	'info.eps_type': info.eps_type = fix(namearray(1))
	'info.editor_type': info.editor_type = fix(namearray(1))
	'info.editor': info.editor= namearray(1)
	'info.printcommand': info.printcommand = namearray(1)
	'info.style.linetype': info.style.linetype = float(namearray(1))
	'info.style.symbol': info.style.symbol = float(namearray(1))
	'info.style.usersym': info.style.usersym = float(namearray(1))
	'info.style.symbolsize': info.style.symbolsize = float(namearray(1))
	'info.style.symbolline': info.style.symbolline = float(namearray(1))
	'info.style.grid': info.style.grid = float(namearray(1))
	'info.char.size': info.char.size = float(namearray(1))
	'info.greenwich.greenloca': info.greenwich.greenloca = fix(namearray(1))
	'info.greenwich.projection': info.greenwich.projection = fix(namearray(1))
	'info.greenwich.label': info.greenwich.label = fix(namearray(1))
	'info.greenwich.n_level': info.greenwich.n_level = fix(namearray(1))
	'info.greenwich.expand': info.greenwich.expand = fix(namearray(1))
	'info.greenwich.satellite': info.greenwich.satellite = fix(namearray(1))
	'info.greenwich.sun': info.greenwich.sun = fix(namearray(1))
	'info.greenwich.smooth': info.greenwich.smooth = fix(namearray(1))
	'info.greenwich.n_x_grid': info.greenwich.n_x_grid = fix(namearray(1))
	'info.greenwich.n_y_grid': info.greenwich.n_y_grid = fix(namearray(1))
	'info.greenwich.continents': info.greenwich.continents = fix(namearray(1))
	'info.grid_start': info.grid_start = fix(namearray(1))
	'info.time_type.old': info.time_type.old = fix(namearray(1))
	'info.time_type.new': info.time_type.new = fix(namearray(1))
	'info.screen.pick': info.screen.pick = fix(namearray(1))
	'info.screen.xsize': info.screen.xsize = fix(namearray(1))
	'info.screen.ysize': info.screen.ysize = fix(namearray(1))
	;'info.pdfread': info.pdfread = namearray(1)
	'info.current_printer': info.current_printer = namearray(1)
	'info.top_color': info.top_color = fix(namearray(1))
	'info.previous_file.max': info.previous_file.max = fix(namearray(1))
	'info.previous_file.store': begin
		info.previous_file.store(i) = namearray(1)
		i = i + 1
	end
	'background_color': begin
		if fix(namearray(1)) lt 0 then begin
			!P.BACKGROUND  = 0
		endif else if fix(namearray(1)) gt info.top_color then begin
			!P.BACKGROUND = info.top_color
		endif else begin
			!P.BACKGROUND = fix(namearray(1))
		endelse
	end
	'foreground_color': begin
		if fix(namearray(1)) lt 0 then begin
			!P.COLOR  = 0
		endif else if fix(namearray(1)) gt info.top_color then begin
			!P.COLOR = info.top_color
		endif else begin
			!P.COLOR = fix(namearray(1))
		endelse
	end
	else:
      endcase
   endif
end

close, unit
free_lun, unit

end

;--------------------------------------------------------------------------------
PRO PDMENU3_Event, Event

pro_name = 'PDMENU3_Event'
@getinfo

widget_control, get_uvalue=info, Event.top
widget_control, get_uvalue=info, info.base

CASE Event.Value OF 

  'File.Open...Without Attribute': file_open, info, 0

  'File.Open...With Attribute': file_open, info, 1 

  'File.Open...With Vgroup': file_open, info, 2 

  'File.Open Previous Files': open_previous_file, info

  'File.Open File Filter': get_open_filter, info

  'File.Add User Defined Module': get_user_define_module, info

  'File.Remove User Defined Module': remove_user_define_module, info

  'File.Save Postscript...': file_save_ps, 0, info

  'File.Save EPS Portrait': file_save_eps, info, 0

  'File.Save EPS Landscape': file_save_eps, info, 1

  'File.Save GIF': file_save_gif, info

  'File.Print...': file_print, info , 0

  'File.Print Viewgraph...': file_print, info , 1

  'File.Export....Without Filldata': file_export, info, 1

  'File.Export....With Filldata': file_export, info, 0

  'File.Export List....Without Filldata.Without Reference': export_list, info, 0, 1

  'File.Export List....Without Filldata.With Reference': export_list, info, 0, 2

  'File.Export List....With Filldata': export_list, info, 0, 0

  'File.Export Tecplot....Without Filldata.Without Reference': export_list, info, 1, 1 

  'File.Export Tecplot....Without Filldata.With Reference': export_list, info, 1, 2 

  'File.Export Tecplot....With Filldata': export_list, info, 1, 0

  'File.Create an HDF File': write_hdf, info, 0

  'File.Add Data to an HDF File': write_hdf, info, 1 

  'File.Change Open File Path': change_open_path, info

  'File.Change Output Path': change_opath, info

  'File.Change Temporary Directory': get_temp_directory, info

  'File.Restart': BEGIN

	widget_control, /hourglass
	remove_all_subset, info
	remove_all_handle_create, info
	widget_control,/reset
	create_gui, info
	
   END

  'File.Exit': BEGIN

	widget_control, /hourglass
	remove_all_subset, info
	remove_all_handle_create, info
	;if info.color_table le 0 then info.color_table = 13
	if info.color_table lt 0 then info.color_table = 13
	;if info.color_table ne 0 then check_bw = check_color_table(!d.n_colors-2) $
	;	else check_bw = 1
	;if check_bw eq 0 then $
	if info.pick_color_table eq 1 then $
		info.color_table = get_color_table(info.color_table)
	write_config, info
	command_line="\rm -f "+info.temp_dir+"/."+info.tempname+"_*"
	spawn,command_line,results
	;print_file=info.home_path+"/"+info.printname+"_printer_name"
	;check_file=findfile(print_file, count=count)
	;if count gt 0 then begin
	;	command_line="\rm -f "+print_file
	;	spawn,command_line,results
	;endif

	widget_control,/reset
   END

  'File.Close': BEGIN

	widget_control, /hourglass
	if info.multiple.key eq 1 then begin
		info.multiple.flag = 0
		info.multiple.key = 0
		info.multiple.y1y2 = 0
		info.style.linetype = info.multiple.linetype
		info.style.symbol = info.multiple.symbol
		info.style.symbolsize = info.multiple.symbolsize
		info.style.symbolline = info.multiple.symbolline
	endif
	if info.addtext.key eq 1 then begin
		info = initial_addtext(info)
	endif
	if (info.graph_style eq 'Geolocated' or $
	    info.graph_style eq 'Contour Geolocated') then begin
		if handle_info(info.geolocated.hdf_z) then handle_free, $
			info.geolocated.hdf_z

		if handle_info(info.geolocated.long) then handle_free, $
			info.geolocated.long

		if handle_info(info.geolocated.colat) then handle_free, $
			info.geolocated.colat
 
		if handle_info(info.geolocated.sate_long) then handle_free, $
			info.geolocated.sate_long

		if handle_info(info.geolocated.sate_colat) then handle_free, $
			info.geolocated.sate_colat

 
		if handle_info(info.geolocated.sun_long) then handle_free, $
			info.geolocated.sun_long

		if handle_info(info.geolocated.sun_colat) then handle_free, $
			info.geolocated.sun_colat

	endif

	widget_control,	Event.top, /destroy
    END

  'Colors.Select Colors...': BEGIN
	;	Set the colors
	xloadct, file='view_hdf_color.tbl', /use_current
	info.pick_color_table = 1
    END

  'Colors.Edit Colors...': BEGIN
	current_id = !d.window
        this_widget = widget_base(resource_name='sp',$
                COLUMN=1, $
                MAP=1, $
		UVALUE = current_id, $
                TITLE='Select Edit Colors')
        the_colors = cw_colorsel(this_widget)

	group2=widget_base(this_widget, row=1,map=1, space=100, /align_center)

	button1=widget_button(group2, FONT=info.font, EVENT_PRO='edit_color_doneCB', $
		VALUE="Done", /ALIGN_CENTER)

	button2=widget_button(group2, FONT=info.font, EVENT_PRO='save_edit_color', VALUE="Save",$
		 /ALIGN_CENTER, UVALUE=info)

        widget_control, /realize,this_widget
        xmanager, 'main_widget', this_widget
   END

  'Colors.Background': change_background, info

  'Colors.Foreground': change_foreground, info

  'Graphic.Multi Variables': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.multiple.linetype = info.style.linetype
	info.multiple.symbol = info.style.symbol
	info.multiple.symbolsize = info.style.symbolsize
	info.multiple.symbolline = info.style.symbolline
	do_more_variables, 0, info
  END

  'Graphic.X-Y Plot': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	do_xy_plot, 0, info
  END

  'Graphic.X-Y-Z Plot': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	do_xyz_plot, 0, info
  END

  'Graphic.Y1-Y2 Plot': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.multiple.linetype = info.style.linetype
	info.multiple.symbol = info.style.symbol
	info.multiple.symbolsize = info.style.symbolsize
	info.multiple.symbolline = info.style.symbolline
	info.multiple.y1y2 = 1
	do_more_variables, 0, info
  END

  'Graphic.2D Graph': BEGIN
	info.graph_style = '2D Graph'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	if info.multiple.key eq 1 then do_more_variables, 3, info $
	else plot_graph, 0, info.subset.selected, info
  END

  'Graphic.2D Image': BEGIN
	info.graph_style = '2D Image'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.2D Image With Scale': BEGIN
	info.graph_style = '2D Image With Scale'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.3D Graph': BEGIN
	info.graph_style = '3D Graph'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.3D Surface': BEGIN
	info.graph_style = '3D Surface'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Contour': BEGIN
	info.graph_style = 'Contour'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Grid Contour': BEGIN
	info.graph_style = 'Grid Contour'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Grid Cell': BEGIN
	info.graph_style = 'Grid Cell'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Grid Cell - Region': BEGIN
	info.graph_style = 'Grid Cell - Region'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Statistics': BEGIN
	info.graph_style = 'Statistics'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Histogram': BEGIN
	info.graph_style = 'Histogram'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.XY Graph': BEGIN
	info.graph_style = 'XY Graph'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	if info.multiple.key eq 1 then do_more_variables, 4, info $
	else plot_graph, 0, info.subset.selected, info
  END

  'Graphic.XYZ Graph': BEGIN
	info.graph_style = 'XYZ Graph'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Geolocated': BEGIN
	info.graph_style = 'Geolocated'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Contour Geolocated': BEGIN
	info.graph_style = 'Contour Geolocated'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Create Subset': BEGIN
	old_graph_style = info.graph_style
	info.graph_style = 'Create Subset'
	info.criterion.flag = 1
	info = initial_info(info)
	widget_control, set_uvalue=info, info.base
	plot_graph, 0, info.subset.selected, info
	info.graph_style = old_graph_style
  END

  'Graphic.Regression': BEGIN
	info.graph_style = 'Regression'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Extract Bits': BEGIN
	info.graph_style = 'Extract Bits'
	info = initial_info(info)
	info = initial_addtext(info)
	widget_control, set_uvalue=info, info.base
	widget_control, event.top, /destroy
	plot_graph, 0, info.subset.selected, info
  END

  'Graphic.Transpose': BEGIN
	old_graph_style = info.graph_style
	info.graph_style = 'Transpose'
	info = initial_info(info)
	widget_control, set_uvalue=info, info.base
	plot_graph, 0, info.subset.selected, info
	info.graph_style = old_graph_style
  END

  'Graphic.Display Data': BEGIN
	old_graph_style = info.graph_style
	info.graph_style = 'Display Data'
	info = initial_info(info)
	widget_control, set_uvalue=info, info.base
	plot_graph, 0, info.subset.selected, info
	info.graph_style = old_graph_style
  END

  'Graphic.Display Attribute': BEGIN
	old_graph_style = info.graph_style
	info.graph_style = 'Display Attribute'
	info = initial_info(info)
	widget_control, set_uvalue=info, info.base
	plot_graph, 0, info.subset.selected, info
	info.graph_style = old_graph_style
  END

  'Compute.Y1 Plus Y2, [Y1 + Y2]': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' + '
	info.y1y2.tri_flag = 0
	do_y1y2_compute, 0, info
  END

  'Compute.Y1 Minus Y2, [Y1 - Y2]': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' - '
	info.y1y2.tri_flag = 0
	do_y1y2_compute, 0, info
  END

  'Compute.Y1 Times Y2, [Y1 * Y2]': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' * '
	info.y1y2.tri_flag = 0
	do_y1y2_compute, 0, info
  END

  'Compute.Y1 Divided By Y2, [Y1 / Y2]': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' / '
	info.y1y2.tri_flag = 0
	do_y1y2_compute, 0, info
  END

  'Compute.Y1 Raised To The Y2 Power, [Y1 ** Y2]': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' ** '
	info.y1y2.tri_flag = 0
	do_y1y2_compute, 0, info
  END

  'Compute.cos(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' cos '
	info.y1y2.tri_flag = 1
	do_y1y2_compute, 0, info
  END

  'Compute.sin(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' sin '
	info.y1y2.tri_flag = 1
	do_y1y2_compute, 0, info
  END

  'Compute.tan(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' tan '
	info.y1y2.tri_flag = 1
	do_y1y2_compute, 0, info
  END

  'Compute.acos(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' acos '
	info.y1y2.tri_flag = 2
	do_y1y2_compute, 0, info
  END

  'Compute.asin(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' asin '
	info.y1y2.tri_flag = 2
	do_y1y2_compute, 0, info
  END

  'Compute.atan(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' atan '
	info.y1y2.tri_flag = 2
	do_y1y2_compute, 0, info
  END

  'Compute.Extract Bits': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	do_extract_bits, -1, 0, info
  END

  'Compute.log(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' alog '
	do_y1_compute, 0, info
  END

  'Compute.log10(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' alog10 '
	do_y1_compute, 0, info
  END

  'Compute.exp(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' exp '
	do_y1_compute, 0, info
  END

  'Compute.abs(Y1)': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.y1y2.operator = ' abs '
	do_y1_compute, 0, info
  END

  'Compute.Run User Defined Module': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	run_user_define_module, info
  END

  'Curve Fit.Polynomial Fit': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.curvefit_type = 0
	do_curve_fit, 0, info.curvefit_type, info
  END

  'Curve Fit.Exponential': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.curvefit_type = 1
	do_curve_fit, 0, info.curvefit_type, info
  END

  'Curve Fit.Geometric': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.curvefit_type = 2
	do_curve_fit, 0, info.curvefit_type, info
  END

  'Curve Fit.Logsquare': BEGIN
	info = initial_info(info)
	info = initial_addtext(info)
	info.curvefit_type = 3
	do_curve_fit, 0, info.curvefit_type, info
  END

  'Subset.Zoom': subset_zoom, info
 
  'Subset.Locate': subset_locate, info
 
  'Subset.End Locate': subset_locate_end, info
 
  'Subset.Select Region':  subset_select_region, info

  'Axis.Auto': BEGIN
	info.axis_state = 0
	info.widgets.x_start=0L
	info.widgets.x_end=0L
	info.widgets.y_start=0L
	info.widgets.y_end=0L
	info.widgets.z_start=0L
	info.widgets.z_end=0L
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Manual.X Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 1
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.Y Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 2
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.Z Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 3
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.XY Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 4
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.XYZ': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 5
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.Y2 Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 6
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.YY2 Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 7
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.XY2 Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 8
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Manual.XYY2 Only': BEGIN
	old_axis_state = info.axis_state
	info.axis_state = 9
	axis_setup, info, Event.top, old_axis_state
  END

  'Axis.Grid.With XY Grid': info.style.grid = 1

  'Axis.Grid.With X Grid Only': info.style.grid = 2

  'Axis.Grid.With Y Grid Only': info.style.grid = 3

  'Axis.Grid.Without Grid': info.style.grid = 0

  'Axis.Logarithmic Axis.With Linear Axes': BEGIN
	info.style.xlog = 0
	info.style.ylog = 0
	info.style.y2log = 0
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Logarithmic Axis.With Logarithmic X Axis': BEGIN
	info.style.xlog = 1
	info.style.ylog = 0
	info.style.y2log = 0
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Logarithmic Axis.With Logarithmic Y Axis': BEGIN
	info.style.xlog = 0
	info.style.ylog = 1
	info.style.y2log = 0
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Logarithmic Axis.With Logarithmic XY Axes': BEGIN
	info.style.xlog = 1
	info.style.ylog = 1
	info.style.y2log = 0
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Logarithmic Axis.With Logarithmic Y2 Axis': BEGIN
	info.style.xlog = 0
	info.style.ylog = 0
	info.style.y2log = 1
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Logarithmic Axis.With Logarithmic XY2 Axes': BEGIN
	info.style.xlog = 1
	info.style.ylog = 0
	info.style.y2log = 1
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Logarithmic Axis.With Logarithmic YY2 Axes': BEGIN
	info.style.xlog = 0
	info.style.ylog = 1
	info.style.y2log = 1
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Axis.Logarithmic Axis.With Logarithmic XYY2 Axes': BEGIN
	info.style.xlog = 1
	info.style.ylog = 1
	info.style.y2log = 1
	if event.top eq info.widgets.base then begin
		widget_control, set_uvalue=info, info.widgets.base
		widget_control, set_uvalue=info, info.base
		redraw_graph, info
	endif
  END

  'Map.Greenwich Location.Left': info.greenwich.greenloca = 180

  'Map.Greenwich Location.Center': info.greenwich.greenloca = 0

  'Map.Greenwich Location.Other': green_location, info

  'Map.Projection.Cylindrical': info.greenwich.projection = 0

  'Map.Projection.Orthographic': info.greenwich.projection = 1

  'Map.Projection.Stereographic': info.greenwich.projection = 2

  'Map.Projection.Hammer-Aitoff': info.greenwich.projection = 3

  'Map.Lat-Longitude.Default': BEGIN
	info.greenwich.default = 1
	info.geolocated.flag = 0
	info.geolocated.selected = 0
   END

  'Map.Lat-Longitude.Select': BEGIN
	info.greenwich.default = 0
	info.geolocated.flag = 0
	info.geolocated.selected = 0
  END

  'Map.Label.With Label': info.greenwich.label = 1

  'Map.Label.Without Label': info.greenwich.label = 0

  'Map.Expand.With Expand': info.greenwich.expand = 1

  'Map.Expand.Without Expand': info.greenwich.expand = 0

  'Map.Satellite.Show Satellite': info.greenwich.satellite = 1

  'Map.Satellite.Show No Satellite': info.greenwich.satellite = 0

  'Map.Sun.Show Sun': info.greenwich.sun = 1

  'Map.Sun.Show No Sun': info.greenwich.sun = 0

  'Map.Continents.Redraw Continents': info.greenwich.continents = 1

  'Map.Continents.No Redraw Continents': info.greenwich.continents = 0

  'Map.Contour Geolocated.With Smoothing': info.greenwich.smooth = 1

  'Map.Contour Geolocated.Without Smoothing': info.greenwich.smooth = 0

  'Map.Contour Geolocated.Filter With Smoothing': info.greenwich.smooth = 3

  'Map.Contour Geolocated.Filter Without Smoothing': info.greenwich.smooth = 2

  'Map.Contour Geolocated.Average With Smoothing': info.greenwich.smooth = 5

  'Map.Contour Geolocated.Average Without Smoothing': info.greenwich.smooth = 4

  'Map.Contour Geolocated.Set Number of Grids': set_number_grid, info

  'Map.Reread Geolocated Data': BEGIN
	info.geolocated.flag = 0
	info.geolocated.selected = 0
  END

  'Grid Start.Auto': info.grid_start = 500

  'Grid Start.   0': info.grid_start = 0

  'Grid Start.-180': info.grid_start = -180

  'Grid Start.Other': grid_start_location, info

  'Color Bar.With Color Bar.Discrete': BEGIN
	info.color_bar = 1
	info.greenwich.with_level = 1
	get_n_level, info
   END

  'Color Bar.With Color Bar.Continuous': BEGIN
	info.color_bar = 1
	info.greenwich.with_level = 0
   END

  'Color Bar.Without Color Bar': info.color_bar = 0

  'Color Bar.Location': bar_location, info

  'Style.Line Type.Solid': info.style.linetype = 0

  'Style.Line Type.Dotted': info.style.linetype = 1

  'Style.Line Type.Dashed': info.style.linetype = 2

  'Style.Line Type.Dashed Dot': info.style.linetype = 3

  'Style.Line Type.Dashed Dot Dot Dot': info.style.linetype = 4

  'Style.Line Type.Long Dashes': info.style.linetype = 5

  'Style.Symbol.No Symbol': info.style.symbol = 0

  'Style.Symbol.Plus sign': info.style.symbol = 1

  'Style.Symbol.Asterisk': info.style.symbol = 2

  'Style.Symbol.Period': info.style.symbol = 3

  'Style.Symbol.Diamond': info.style.symbol = 4

  'Style.Symbol.Triangle': info.style.symbol = 5

  'Style.Symbol.Square': info.style.symbol = 6

  'Style.Symbol.X': info.style.symbol = 7

  'Style.Symbol.Circle': BEGIN
	info.style.symbol = 8
	info.style.usersym = 1
	set_user_symbol, info.style.usersym
   END

  'Style.Symbol.FOV': BEGIN
	info.style.symbol = 8
	info.style.usersym = 2
	set_user_symbol, info.style.usersym
   END

  'Style.Symbol.Filled Triangle': BEGIN
	info.style.symbol = 8
	info.style.usersym = 3
	set_user_symbol, info.style.usersym
   END

  'Style.Symbol.Filled Square': BEGIN
	info.style.symbol = 8
	info.style.usersym = 4
	set_user_symbol, info.style.usersym
   END

  'Style.Symbol.Filled Circle': BEGIN
	info.style.symbol = 8
	info.style.usersym = 5
	set_user_symbol, info.style.usersym
   END

  'Style.Symbol.Filled FOV': BEGIN
	info.style.symbol = 8
	info.style.usersym = 6
	set_user_symbol, info.style.usersym
   END

  'Style.Symbol With Line.Without Line': info.style.symbolline = 0

  'Style.Symbol With Line.With Line': info.style.symbolline = 1

  'Style.Symbol Size': get_symbol_size, info

  'Editor.VI': info.editor_type = 0

  'Editor.Emacs': info.editor_type = 1

  'Editor.Ieditor': info.editor_type = 2

  'Editor.Other': get_editor_name, info, event.top

  'Add Criterion.With Criterion': BEGIN
	info.criterion.flag = 1
	get_criterion, info, 0
	WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
   END

  'Add Criterion.Without Criterion': BEGIN
	info.criterion.flag = 0
	WIDGET_CONTROL, info.widgets.criterion, SENSITIVE = info.criterion.flag
   END

  'IDLhelp': online_help

  'userguide': begin
	;command_line = "/usr/slocal/acrobat/bin/acroread"
	command_line = info.pdfread
	;command_line = command_line + " /CERES/instrument/analysis/view_hdf.pdf &"
	command_line = command_line + " view_hdf.pdf &"
	spawn,command_line,results
   end

  'releasenote': begin
	command_line = info.pdfread
	command_line = command_line + " release2.3.0.pdf &"
	spawn,command_line,results
   end

;  'aboutviewhdfi': about_view_hdf,info, 0

;  'aboutviewhdfo': about_view_hdf,info, 1

   'aboutviewhdf': about_view_hdf,info, 0

ENDCASE

if(widget_info(info.base, /VALID_ID)) then begin
     if(widget_info(info.widgets.base, /VALID_ID)) then $
	widget_control, set_uvalue=info, info.widgets.base
     widget_control, set_uvalue=info, info.base
endif

END

;------------------------------------------------------------------
;		main_widget_event
;------------------------------------------------------------------
PRO main_widget_event, Event

pro_name = 'main_widget'
@getinfo

widget_control, Event.id, get_uvalue=user_value
widget_control, Event.top, get_uvalue=info

tvlct,r,g,b,/get

case TAG_NAMES(event,/structure_name) of


	'COLORSEL_EVENT': begin

		color_index=event.value

		base=widget_base(resource_name='cell',$
			COLUMN=1, MAP=1, $
                	TITLE='Edit Color Cell ' + strcompress(string(color_index), /remove_all), $
			xsize=250, uvalue=color_index)

		red_slider=widget_slider(base,minimum=0, value=r(color_index),$
			maximum=255,title="red",uvalue="red")
		green_slider=widget_slider(base,minimum=0, value=g(color_index),$
			maximum=255,title="green",uvalue="green")
		blue_slider=widget_slider(base,minimum=0, value=b(color_index),$
			maximum=255,title="blue",uvalue="blue")

		this_group=widget_base(base,row=1,map=1)

		done_button=widget_button(this_group, value="Done", event_pro='doneCB')

        	widget_control, /realize, base
        	xmanager, 'main_widget', base

	end

	'WIDGET_SLIDER': begin

		widget_control, get_uvalue=color_index, event.top
  		CASE user_value of
			'red':   r(color_index)=event.value
			'green': g(color_index)=event.value
			'blue':  b(color_index)=event.value
		ENDCASE

		tvlct,r,g,b
  		TV, Replicate(color_index, 60, 60)
	end

	'WIDGET_DRAW': begin
	   if event.PRESS eq 1 then begin
		if info.addtext.flag eq 1 then begin
		   if !X.S(0) eq 0 and !X.S(1) eq 0 then return
		   X = event.X
		   Y = event.Y
		   ;the_locat = CONVERT_COORD(X, Y, /DEVICE, /TO_NORMAL)
		   the_locat = CONVERT_COORD(X, Y, /DEVICE, /TO_DATA)
		   ;print, 'The location is ', the_locat(0), ' and ', the_locat(1)
		   add_text, the_locat(0), the_locat(1), info
		endif
		if info.subset_locate eq 1 then begin
		   if !X.S(0) eq 0 then return
		   X = event.X
		   Y = event.Y
		   the_locat = CONVERT_COORD(X, Y, /DEVICE, /TO_DATA)
		   print, 'The location is ', the_locat(0), ' and ', the_locat(1)
		endif
		if info.view.d_old.NAME ne "PS" then begin
		   widget_control, event.id, GET_VALUE=window_id
		   wset, window_id
		   widget_control, get_uvalue=info, event.top
		   !P = info.view.p_old
		   !X = info.view.x_old
		   !Y = info.view.y_old
		   widget_control, set_uvalue=info, info.base
		endif
	   endif
        end

	'WIDGET_TRACKING': begin
	   ;print,'start in widget_tracking, !P.BACkGROUND = ',!P.BACKGROUND,' !P.Color = ',!P.Color
	   if event.ENTER eq 1 then begin
		if info.view.d_old.NAME ne "PS" then begin
		   widget_control, event.id, GET_VALUE=window_id
		   wset, window_id
		   widget_control, get_uvalue=info, event.top
		   !P = info.view.p_old
		   !X = info.view.x_old
		   !Y = info.view.y_old
		   widget_control, set_uvalue=info, info.base
		   if event.top ne info.base then widget_control, set_uvalue=info, event.top
		   ;print,'end in widget_tracking, !P.BACkGROUND = ',!P.BACKGROUND,' !P.Color = ',!P.Color
		endif
	   endif
        end

	ELSE: PDMENU3_event, Event
ENDCASE

END

;--------------------------------------------------------------------------------
PRO view_hdf, max_color=max_color

pro_name = 'view_hdf'
@getinfo

info = create_info()

DEVICE, PSEUDO_COLOR = 8
DEVICE, GET_SCREEN_SIZE=scr

screen_xsize = fix(0.9*scr(0))
if screen_xsize lt 1030 then begin
   info.screen.xsize = screen_xsize
   info.screen.ysize = fix(0.6*scr(1))
   info.screen.pick = 2
endif else if screen_xsize lt 1145 then begin
   info.screen.xsize = 1036
   info.screen.ysize = 540
   info.screen.pick = 0
endif else begin
   info.screen.xsize = 1152
   info.screen.ysize = 614
   info.screen.pick = 1
   info.char.size = 0.6
   info.char.sgi = 1
endelse

!X.CHARSIZE = 0.85
!Y.CHARSIZE = 0.85

config_filename=info.home_path+"/"+info.tempname+"_view_hdf_config_file"
test_file = findfile(config_filename, count=count)
if count eq 1 then read_config,info

if keyword_set(max_color) then begin
	if !d.n_colors - 1 lt max_color then max_color = !d.n_colors - 1
	if !P.COLOR eq info.top_color-1 then begin
		!P.COLOR = max_color - 1 
	endif else begin
		!P.COLOR = fix(float(!P.COLOR)/float(info.top_color)*float(max_color))
	endelse
	info.top_color = max_color
endif
if !d.n_colors - 1 lt info.top_color then info.top_color = !d.n_colors - 1

window, colors=info.top_color, /pixmap
wdelete

if info.style.symbol eq 8 and info.style.usersym eq 0 then $
	info.style.usersym = 4
set_user_symbol, info.style.usersym

if info.userdefine.count gt 0 then begin
	userdefine_name = info.userdefine.name(0)
	for i = 1 , info.userdefine.count-1 do begin
		userdefine_name = [userdefine_name, info.userdefine.name(i)]
	endfor
	info = redefine_info(info, userdefine_name, 12)
endif

create_gui, info

END
